#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_fphd(Libderiv_t *, prim_data *);

  /* Computes derivatives of (fp|hd) integrals */

void d12hrr_order_fphd(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[4][7][11] = int_stack + 0;
 Libderiv->deriv_classes[4][7][10] = int_stack + 540;
 Libderiv->deriv_classes[4][7][9] = int_stack + 1080;
 Libderiv->deriv_classes[4][7][8] = int_stack + 1620;
 Libderiv->deriv_classes[4][7][7] = int_stack + 2160;
 Libderiv->dvrr_classes[4][6] = int_stack + 2700;
 Libderiv->deriv_classes[4][7][6] = int_stack + 3120;
 Libderiv->deriv_classes[4][7][2] = int_stack + 3660;
 Libderiv->deriv_classes[4][7][1] = int_stack + 4200;
 Libderiv->dvrr_classes[3][7] = int_stack + 4740;
 Libderiv->deriv_classes[4][7][0] = int_stack + 5100;
 Libderiv->deriv2_classes[3][5][143] = int_stack + 5640;
 Libderiv->deriv2_classes[3][6][143] = int_stack + 5850;
 Libderiv->deriv2_classes[3][7][143] = int_stack + 6130;
 Libderiv->deriv2_classes[4][5][143] = int_stack + 6490;
 Libderiv->deriv2_classes[4][6][143] = int_stack + 6805;
 Libderiv->deriv2_classes[4][7][143] = int_stack + 7225;
 Libderiv->deriv2_classes[3][5][131] = int_stack + 7765;
 Libderiv->deriv2_classes[3][6][131] = int_stack + 7975;
 Libderiv->deriv2_classes[3][7][131] = int_stack + 8255;
 Libderiv->deriv2_classes[4][5][131] = int_stack + 8615;
 Libderiv->deriv2_classes[4][6][131] = int_stack + 8930;
 Libderiv->deriv2_classes[4][7][131] = int_stack + 9350;
 Libderiv->deriv2_classes[3][5][130] = int_stack + 9890;
 Libderiv->deriv2_classes[3][6][130] = int_stack + 10100;
 Libderiv->deriv2_classes[3][7][130] = int_stack + 10380;
 Libderiv->deriv2_classes[4][5][130] = int_stack + 10740;
 Libderiv->deriv2_classes[4][6][130] = int_stack + 11055;
 Libderiv->deriv2_classes[4][7][130] = int_stack + 11475;
 Libderiv->deriv2_classes[3][5][119] = int_stack + 12015;
 Libderiv->deriv2_classes[3][6][119] = int_stack + 12225;
 Libderiv->deriv2_classes[3][7][119] = int_stack + 12505;
 Libderiv->deriv2_classes[4][5][119] = int_stack + 12865;
 Libderiv->deriv2_classes[4][6][119] = int_stack + 13180;
 Libderiv->deriv2_classes[4][7][119] = int_stack + 13600;
 Libderiv->deriv2_classes[3][5][118] = int_stack + 14140;
 Libderiv->deriv2_classes[3][6][118] = int_stack + 14350;
 Libderiv->deriv2_classes[3][7][118] = int_stack + 14630;
 Libderiv->deriv2_classes[4][5][118] = int_stack + 14990;
 Libderiv->deriv2_classes[4][6][118] = int_stack + 15305;
 Libderiv->deriv2_classes[4][7][118] = int_stack + 15725;
 Libderiv->deriv2_classes[3][5][117] = int_stack + 16265;
 Libderiv->deriv2_classes[3][6][117] = int_stack + 16475;
 Libderiv->deriv2_classes[3][7][117] = int_stack + 16755;
 Libderiv->deriv2_classes[4][5][117] = int_stack + 17115;
 Libderiv->deriv2_classes[4][6][117] = int_stack + 17430;
 Libderiv->deriv2_classes[4][7][117] = int_stack + 17850;
 Libderiv->deriv2_classes[3][5][107] = int_stack + 18390;
 Libderiv->deriv2_classes[3][6][107] = int_stack + 18600;
 Libderiv->deriv2_classes[3][7][107] = int_stack + 18880;
 Libderiv->deriv2_classes[4][5][107] = int_stack + 19240;
 Libderiv->deriv2_classes[4][6][107] = int_stack + 19555;
 Libderiv->deriv2_classes[4][7][107] = int_stack + 19975;
 Libderiv->deriv2_classes[3][5][106] = int_stack + 20515;
 Libderiv->deriv2_classes[3][6][106] = int_stack + 20725;
 Libderiv->deriv2_classes[3][7][106] = int_stack + 21005;
 Libderiv->deriv2_classes[4][5][106] = int_stack + 21365;
 Libderiv->deriv2_classes[4][6][106] = int_stack + 21680;
 Libderiv->deriv2_classes[4][7][106] = int_stack + 22100;
 Libderiv->deriv2_classes[3][5][105] = int_stack + 22640;
 Libderiv->deriv2_classes[3][6][105] = int_stack + 22850;
 Libderiv->deriv2_classes[3][7][105] = int_stack + 23130;
 Libderiv->deriv2_classes[4][5][105] = int_stack + 23490;
 Libderiv->deriv2_classes[4][6][105] = int_stack + 23805;
 Libderiv->deriv2_classes[4][7][105] = int_stack + 24225;
 Libderiv->deriv2_classes[3][5][104] = int_stack + 24765;
 Libderiv->deriv2_classes[3][6][104] = int_stack + 24975;
 Libderiv->deriv2_classes[3][7][104] = int_stack + 25255;
 Libderiv->deriv2_classes[4][5][104] = int_stack + 25615;
 Libderiv->deriv2_classes[4][6][104] = int_stack + 25930;
 Libderiv->deriv2_classes[4][7][104] = int_stack + 26350;
 Libderiv->deriv2_classes[3][5][95] = int_stack + 26890;
 Libderiv->deriv2_classes[3][6][95] = int_stack + 27100;
 Libderiv->deriv2_classes[3][7][95] = int_stack + 27380;
 Libderiv->deriv2_classes[4][5][95] = int_stack + 27740;
 Libderiv->deriv2_classes[4][6][95] = int_stack + 28055;
 Libderiv->deriv2_classes[4][7][95] = int_stack + 28475;
 Libderiv->deriv2_classes[3][5][94] = int_stack + 29015;
 Libderiv->deriv2_classes[3][6][94] = int_stack + 29225;
 Libderiv->deriv2_classes[3][7][94] = int_stack + 29505;
 Libderiv->deriv2_classes[4][5][94] = int_stack + 29865;
 Libderiv->deriv2_classes[4][6][94] = int_stack + 30180;
 Libderiv->deriv2_classes[4][7][94] = int_stack + 30600;
 Libderiv->deriv2_classes[3][5][93] = int_stack + 31140;
 Libderiv->deriv2_classes[3][6][93] = int_stack + 31350;
 Libderiv->deriv2_classes[3][7][93] = int_stack + 31630;
 Libderiv->deriv2_classes[4][5][93] = int_stack + 31990;
 Libderiv->deriv2_classes[4][6][93] = int_stack + 32305;
 Libderiv->deriv2_classes[4][7][93] = int_stack + 32725;
 Libderiv->deriv2_classes[3][5][92] = int_stack + 33265;
 Libderiv->deriv2_classes[3][6][92] = int_stack + 33475;
 Libderiv->deriv2_classes[3][7][92] = int_stack + 33755;
 Libderiv->deriv2_classes[4][5][92] = int_stack + 34115;
 Libderiv->deriv2_classes[4][6][92] = int_stack + 34430;
 Libderiv->deriv2_classes[4][7][92] = int_stack + 34850;
 Libderiv->deriv2_classes[3][5][91] = int_stack + 35390;
 Libderiv->deriv2_classes[3][6][91] = int_stack + 35600;
 Libderiv->deriv2_classes[3][7][91] = int_stack + 35880;
 Libderiv->deriv2_classes[4][5][91] = int_stack + 36240;
 Libderiv->deriv2_classes[4][6][91] = int_stack + 36555;
 Libderiv->deriv2_classes[4][7][91] = int_stack + 36975;
 Libderiv->deriv2_classes[3][5][83] = int_stack + 37515;
 Libderiv->deriv2_classes[3][6][83] = int_stack + 37725;
 Libderiv->deriv2_classes[3][7][83] = int_stack + 38005;
 Libderiv->deriv_classes[4][5][11] = int_stack + 38365;
 Libderiv->deriv2_classes[4][5][83] = int_stack + 38680;
 Libderiv->deriv_classes[4][6][11] = int_stack + 38995;
 Libderiv->deriv2_classes[4][6][83] = int_stack + 39415;
 Libderiv->deriv2_classes[4][7][83] = int_stack + 39835;
 Libderiv->deriv2_classes[3][5][82] = int_stack + 40375;
 Libderiv->deriv2_classes[3][6][82] = int_stack + 40585;
 Libderiv->deriv2_classes[3][7][82] = int_stack + 40865;
 Libderiv->deriv_classes[4][5][10] = int_stack + 41225;
 Libderiv->deriv2_classes[4][5][82] = int_stack + 41540;
 Libderiv->deriv_classes[4][6][10] = int_stack + 41855;
 Libderiv->deriv2_classes[4][6][82] = int_stack + 42275;
 Libderiv->deriv2_classes[4][7][82] = int_stack + 42695;
 Libderiv->deriv2_classes[3][5][81] = int_stack + 43235;
 Libderiv->deriv2_classes[3][6][81] = int_stack + 43445;
 Libderiv->deriv2_classes[3][7][81] = int_stack + 43725;
 Libderiv->deriv_classes[4][5][9] = int_stack + 44085;
 Libderiv->deriv2_classes[4][5][81] = int_stack + 44400;
 Libderiv->deriv_classes[4][6][9] = int_stack + 44715;
 Libderiv->deriv2_classes[4][6][81] = int_stack + 45135;
 Libderiv->deriv2_classes[4][7][81] = int_stack + 45555;
 Libderiv->deriv2_classes[3][5][80] = int_stack + 46095;
 Libderiv->deriv2_classes[3][6][80] = int_stack + 46305;
 Libderiv->deriv2_classes[3][7][80] = int_stack + 46585;
 Libderiv->deriv_classes[4][5][8] = int_stack + 46945;
 Libderiv->deriv2_classes[4][5][80] = int_stack + 47260;
 Libderiv->deriv_classes[4][6][8] = int_stack + 47575;
 Libderiv->deriv2_classes[4][6][80] = int_stack + 47995;
 Libderiv->deriv2_classes[4][7][80] = int_stack + 48415;
 Libderiv->deriv2_classes[3][5][79] = int_stack + 48955;
 Libderiv->deriv2_classes[3][6][79] = int_stack + 49165;
 Libderiv->deriv2_classes[3][7][79] = int_stack + 49445;
 Libderiv->deriv_classes[4][5][7] = int_stack + 49805;
 Libderiv->deriv2_classes[4][5][79] = int_stack + 50120;
 Libderiv->deriv_classes[4][6][7] = int_stack + 50435;
 Libderiv->deriv2_classes[4][6][79] = int_stack + 50855;
 Libderiv->deriv2_classes[4][7][79] = int_stack + 51275;
 Libderiv->deriv2_classes[3][5][78] = int_stack + 51815;
 Libderiv->deriv2_classes[3][6][78] = int_stack + 52025;
 Libderiv->deriv2_classes[3][7][78] = int_stack + 52305;
 Libderiv->dvrr_classes[4][5] = int_stack + 52665;
 Libderiv->deriv_classes[4][5][6] = int_stack + 52980;
 Libderiv->deriv2_classes[4][5][78] = int_stack + 53295;
 Libderiv->deriv_classes[4][6][6] = int_stack + 53610;
 Libderiv->deriv2_classes[4][6][78] = int_stack + 54030;
 Libderiv->deriv2_classes[4][7][78] = int_stack + 54450;
 Libderiv->deriv2_classes[3][5][35] = int_stack + 54990;
 Libderiv->deriv2_classes[3][6][35] = int_stack + 55200;
 Libderiv->deriv2_classes[3][7][35] = int_stack + 55480;
 Libderiv->deriv2_classes[4][5][35] = int_stack + 55840;
 Libderiv->deriv2_classes[4][6][35] = int_stack + 56155;
 Libderiv->deriv2_classes[4][7][35] = int_stack + 56575;
 Libderiv->deriv2_classes[3][5][34] = int_stack + 57115;
 Libderiv->deriv2_classes[3][6][34] = int_stack + 57325;
 Libderiv->deriv2_classes[3][7][34] = int_stack + 57605;
 Libderiv->deriv2_classes[4][5][34] = int_stack + 57965;
 Libderiv->deriv2_classes[4][6][34] = int_stack + 58280;
 Libderiv->deriv2_classes[4][7][34] = int_stack + 58700;
 Libderiv->deriv2_classes[3][5][33] = int_stack + 59240;
 Libderiv->deriv2_classes[3][6][33] = int_stack + 59450;
 Libderiv->deriv2_classes[3][7][33] = int_stack + 59730;
 Libderiv->deriv2_classes[4][5][33] = int_stack + 60090;
 Libderiv->deriv2_classes[4][6][33] = int_stack + 60405;
 Libderiv->deriv2_classes[4][7][33] = int_stack + 60825;
 Libderiv->deriv2_classes[3][5][32] = int_stack + 61365;
 Libderiv->deriv2_classes[3][6][32] = int_stack + 61575;
 Libderiv->deriv2_classes[3][7][32] = int_stack + 61855;
 Libderiv->deriv2_classes[4][5][32] = int_stack + 62215;
 Libderiv->deriv2_classes[4][6][32] = int_stack + 62530;
 Libderiv->deriv2_classes[4][7][32] = int_stack + 62950;
 Libderiv->deriv2_classes[3][5][31] = int_stack + 63490;
 Libderiv->deriv2_classes[3][6][31] = int_stack + 63700;
 Libderiv->deriv2_classes[3][7][31] = int_stack + 63980;
 Libderiv->deriv2_classes[4][5][31] = int_stack + 64340;
 Libderiv->deriv2_classes[4][6][31] = int_stack + 64655;
 Libderiv->deriv2_classes[4][7][31] = int_stack + 65075;
 Libderiv->deriv2_classes[3][5][30] = int_stack + 65615;
 Libderiv->deriv2_classes[3][6][30] = int_stack + 65825;
 Libderiv->deriv2_classes[3][7][30] = int_stack + 66105;
 Libderiv->deriv_classes[4][5][2] = int_stack + 66465;
 Libderiv->deriv2_classes[4][5][30] = int_stack + 66780;
 Libderiv->deriv_classes[4][6][2] = int_stack + 67095;
 Libderiv->deriv2_classes[4][6][30] = int_stack + 67515;
 Libderiv->deriv2_classes[4][7][30] = int_stack + 67935;
 Libderiv->deriv2_classes[3][5][26] = int_stack + 68475;
 Libderiv->deriv2_classes[3][6][26] = int_stack + 68685;
 Libderiv->deriv2_classes[3][7][26] = int_stack + 68965;
 Libderiv->deriv2_classes[4][5][26] = int_stack + 69325;
 Libderiv->deriv2_classes[4][6][26] = int_stack + 69640;
 Libderiv->deriv2_classes[4][7][26] = int_stack + 70060;
 Libderiv->deriv2_classes[3][5][23] = int_stack + 70600;
 Libderiv->deriv2_classes[3][6][23] = int_stack + 70810;
 Libderiv->deriv2_classes[3][7][23] = int_stack + 71090;
 Libderiv->deriv2_classes[4][5][23] = int_stack + 71450;
 Libderiv->deriv2_classes[4][6][23] = int_stack + 71765;
 Libderiv->deriv2_classes[4][7][23] = int_stack + 72185;
 Libderiv->deriv2_classes[3][5][22] = int_stack + 72725;
 Libderiv->deriv2_classes[3][6][22] = int_stack + 72935;
 Libderiv->deriv2_classes[3][7][22] = int_stack + 73215;
 Libderiv->deriv2_classes[4][5][22] = int_stack + 73575;
 Libderiv->deriv2_classes[4][6][22] = int_stack + 73890;
 Libderiv->deriv2_classes[4][7][22] = int_stack + 74310;
 Libderiv->deriv2_classes[3][5][21] = int_stack + 74850;
 Libderiv->deriv2_classes[3][6][21] = int_stack + 75060;
 Libderiv->deriv2_classes[3][7][21] = int_stack + 75340;
 Libderiv->deriv2_classes[4][5][21] = int_stack + 75700;
 Libderiv->deriv2_classes[4][6][21] = int_stack + 76015;
 Libderiv->deriv2_classes[4][7][21] = int_stack + 76435;
 Libderiv->deriv2_classes[3][5][20] = int_stack + 76975;
 Libderiv->deriv2_classes[3][6][20] = int_stack + 77185;
 Libderiv->deriv2_classes[3][7][20] = int_stack + 77465;
 Libderiv->deriv2_classes[4][5][20] = int_stack + 77825;
 Libderiv->deriv2_classes[4][6][20] = int_stack + 78140;
 Libderiv->deriv2_classes[4][7][20] = int_stack + 78560;
 Libderiv->deriv2_classes[3][5][19] = int_stack + 79100;
 Libderiv->deriv2_classes[3][6][19] = int_stack + 79310;
 Libderiv->deriv2_classes[3][7][19] = int_stack + 79590;
 Libderiv->deriv2_classes[4][5][19] = int_stack + 79950;
 Libderiv->deriv2_classes[4][6][19] = int_stack + 80265;
 Libderiv->deriv2_classes[4][7][19] = int_stack + 80685;
 Libderiv->deriv2_classes[3][5][18] = int_stack + 81225;
 Libderiv->deriv2_classes[3][6][18] = int_stack + 81435;
 Libderiv->deriv2_classes[3][7][18] = int_stack + 81715;
 Libderiv->deriv_classes[4][5][1] = int_stack + 82075;
 Libderiv->deriv2_classes[4][5][18] = int_stack + 82390;
 Libderiv->deriv_classes[4][6][1] = int_stack + 82705;
 Libderiv->deriv2_classes[4][6][18] = int_stack + 83125;
 Libderiv->deriv2_classes[4][7][18] = int_stack + 83545;
 Libderiv->deriv2_classes[3][5][14] = int_stack + 84085;
 Libderiv->deriv2_classes[3][6][14] = int_stack + 84295;
 Libderiv->deriv2_classes[3][7][14] = int_stack + 84575;
 Libderiv->deriv2_classes[4][5][14] = int_stack + 84935;
 Libderiv->deriv2_classes[4][6][14] = int_stack + 85250;
 Libderiv->deriv2_classes[4][7][14] = int_stack + 85670;
 Libderiv->deriv2_classes[3][5][13] = int_stack + 86210;
 Libderiv->deriv2_classes[3][6][13] = int_stack + 86420;
 Libderiv->deriv2_classes[3][7][13] = int_stack + 86700;
 Libderiv->deriv2_classes[4][5][13] = int_stack + 87060;
 Libderiv->deriv2_classes[4][6][13] = int_stack + 87375;
 Libderiv->deriv2_classes[4][7][13] = int_stack + 87795;
 Libderiv->deriv_classes[3][5][11] = int_stack + 88335;
 Libderiv->deriv_classes[3][6][11] = int_stack + 88545;
 Libderiv->deriv_classes[3][7][11] = int_stack + 88825;
 Libderiv->deriv2_classes[3][5][11] = int_stack + 89185;
 Libderiv->deriv2_classes[3][6][11] = int_stack + 89395;
 Libderiv->deriv2_classes[3][7][11] = int_stack + 89675;
 Libderiv->deriv2_classes[4][5][11] = int_stack + 90035;
 Libderiv->deriv2_classes[4][6][11] = int_stack + 90350;
 Libderiv->deriv2_classes[4][7][11] = int_stack + 90770;
 Libderiv->deriv_classes[3][5][10] = int_stack + 91310;
 Libderiv->deriv_classes[3][6][10] = int_stack + 91520;
 Libderiv->deriv_classes[3][7][10] = int_stack + 91800;
 Libderiv->deriv2_classes[3][5][10] = int_stack + 92160;
 Libderiv->deriv2_classes[3][6][10] = int_stack + 92370;
 Libderiv->deriv2_classes[3][7][10] = int_stack + 92650;
 Libderiv->deriv2_classes[4][5][10] = int_stack + 93010;
 Libderiv->deriv2_classes[4][6][10] = int_stack + 93325;
 Libderiv->deriv2_classes[4][7][10] = int_stack + 93745;
 Libderiv->deriv_classes[3][5][9] = int_stack + 94285;
 Libderiv->deriv_classes[3][6][9] = int_stack + 94495;
 Libderiv->deriv_classes[3][7][9] = int_stack + 94775;
 Libderiv->deriv2_classes[3][5][9] = int_stack + 95135;
 Libderiv->deriv2_classes[3][6][9] = int_stack + 95345;
 Libderiv->deriv2_classes[3][7][9] = int_stack + 95625;
 Libderiv->deriv2_classes[4][5][9] = int_stack + 95985;
 Libderiv->deriv2_classes[4][6][9] = int_stack + 96300;
 Libderiv->deriv2_classes[4][7][9] = int_stack + 96720;
 Libderiv->deriv_classes[3][5][8] = int_stack + 97260;
 Libderiv->deriv_classes[3][6][8] = int_stack + 97470;
 Libderiv->deriv_classes[3][7][8] = int_stack + 97750;
 Libderiv->deriv2_classes[3][5][8] = int_stack + 98110;
 Libderiv->deriv2_classes[3][6][8] = int_stack + 98320;
 Libderiv->deriv2_classes[3][7][8] = int_stack + 98600;
 Libderiv->deriv2_classes[4][5][8] = int_stack + 98960;
 Libderiv->deriv2_classes[4][6][8] = int_stack + 99275;
 Libderiv->deriv2_classes[4][7][8] = int_stack + 99695;
 Libderiv->deriv_classes[3][5][7] = int_stack + 100235;
 Libderiv->deriv_classes[3][6][7] = int_stack + 100445;
 Libderiv->deriv_classes[3][7][7] = int_stack + 100725;
 Libderiv->deriv2_classes[3][5][7] = int_stack + 101085;
 Libderiv->deriv2_classes[3][6][7] = int_stack + 101295;
 Libderiv->deriv2_classes[3][7][7] = int_stack + 101575;
 Libderiv->deriv2_classes[4][5][7] = int_stack + 101935;
 Libderiv->deriv2_classes[4][6][7] = int_stack + 102250;
 Libderiv->deriv2_classes[4][7][7] = int_stack + 102670;
 Libderiv->dvrr_classes[3][5] = int_stack + 103210;
 Libderiv->deriv_classes[3][5][6] = int_stack + 103420;
 Libderiv->dvrr_classes[3][6] = int_stack + 103630;
 Libderiv->deriv_classes[3][6][6] = int_stack + 103910;
 Libderiv->deriv_classes[3][7][6] = int_stack + 104190;
 Libderiv->deriv2_classes[3][5][6] = int_stack + 104550;
 Libderiv->deriv2_classes[3][6][6] = int_stack + 104760;
 Libderiv->deriv2_classes[3][7][6] = int_stack + 105040;
 Libderiv->deriv_classes[4][5][0] = int_stack + 105400;
 Libderiv->deriv2_classes[4][5][6] = int_stack + 105715;
 Libderiv->deriv_classes[4][6][0] = int_stack + 106030;
 Libderiv->deriv2_classes[4][6][6] = int_stack + 106450;
 Libderiv->deriv2_classes[4][7][6] = int_stack + 106870;
 Libderiv->deriv_classes[3][5][2] = int_stack + 107410;
 Libderiv->deriv_classes[3][6][2] = int_stack + 107620;
 Libderiv->deriv_classes[3][7][2] = int_stack + 107900;
 Libderiv->deriv2_classes[3][5][2] = int_stack + 108260;
 Libderiv->deriv2_classes[3][6][2] = int_stack + 108470;
 Libderiv->deriv2_classes[3][7][2] = int_stack + 108750;
 Libderiv->deriv2_classes[4][5][2] = int_stack + 109110;
 Libderiv->deriv2_classes[4][6][2] = int_stack + 109425;
 Libderiv->deriv2_classes[4][7][2] = int_stack + 109845;
 Libderiv->deriv_classes[3][5][1] = int_stack + 110385;
 Libderiv->deriv_classes[3][6][1] = int_stack + 110595;
 Libderiv->deriv_classes[3][7][1] = int_stack + 110875;
 Libderiv->deriv2_classes[3][5][1] = int_stack + 111235;
 Libderiv->deriv2_classes[3][6][1] = int_stack + 111445;
 Libderiv->deriv2_classes[3][7][1] = int_stack + 111725;
 Libderiv->deriv2_classes[4][5][1] = int_stack + 112085;
 Libderiv->deriv2_classes[4][6][1] = int_stack + 112400;
 Libderiv->deriv2_classes[4][7][1] = int_stack + 112820;
 Libderiv->deriv_classes[3][5][0] = int_stack + 113360;
 Libderiv->deriv_classes[3][6][0] = int_stack + 113570;
 Libderiv->deriv_classes[3][7][0] = int_stack + 113850;
 Libderiv->deriv2_classes[3][5][0] = int_stack + 114210;
 Libderiv->deriv2_classes[3][6][0] = int_stack + 114420;
 Libderiv->deriv2_classes[3][7][0] = int_stack + 114700;
 Libderiv->deriv2_classes[4][5][0] = int_stack + 115060;
 Libderiv->deriv2_classes[4][6][0] = int_stack + 115375;
 Libderiv->deriv2_classes[4][7][0] = int_stack + 115795;
 memset(int_stack,0,930680);

 Libderiv->dvrr_stack = int_stack + 236560;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_fphd(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+116335,int_stack+103630,int_stack+103210,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+116965,int_stack+88545,int_stack+88335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103210,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+88825,int_stack+88545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103630,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+118435,int_stack+117595,int_stack+116965, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116335,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+119695,int_stack+2700,int_stack+52665,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120640,int_stack+38995,int_stack+38365, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52665,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+121585,int_stack+0,int_stack+38995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2700,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+122845,int_stack+121585,int_stack+120640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119695,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+121585,int_stack+91520,int_stack+91310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103210, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+91800,int_stack+91520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103630, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+124735,int_stack+117595,int_stack+121585, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116335, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+125995,int_stack+41855,int_stack+41225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52665, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+126940,int_stack+540,int_stack+41855, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2700, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+128200,int_stack+126940,int_stack+125995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119695, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+122215,int_stack+94495,int_stack+94285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103210, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+94775,int_stack+94495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103630, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+126940,int_stack+117595,int_stack+122215, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116335, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+44715,int_stack+44085, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52665, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+130090,int_stack+1080,int_stack+44715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2700, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+131350,int_stack+130090,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119695, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+130090,int_stack+97470,int_stack+97260, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+97750,int_stack+97470, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+133240,int_stack+117595,int_stack+130090, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+134500,int_stack+47575,int_stack+46945, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52665, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+135445,int_stack+1620,int_stack+47575, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+136705,int_stack+135445,int_stack+134500, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+130720,int_stack+100445,int_stack+100235, 0.0, zero_stack, 1.0, int_stack+103210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+100725,int_stack+100445, 0.0, zero_stack, 1.0, int_stack+103630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+135445,int_stack+117595,int_stack+130720, 0.0, zero_stack, 1.0, int_stack+116335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+945,int_stack+50435,int_stack+49805, 0.0, zero_stack, 1.0, int_stack+52665, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+138595,int_stack+2160,int_stack+50435, 0.0, zero_stack, 1.0, int_stack+2700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+139855,int_stack+138595,int_stack+945, 0.0, zero_stack, 1.0, int_stack+119695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+138595,int_stack+103910,int_stack+103420, 1.0, int_stack+103210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+104190,int_stack+103910, 1.0, int_stack+103630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+141745,int_stack+117595,int_stack+138595, 1.0, int_stack+116335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+143005,int_stack+53610,int_stack+52980, 1.0, int_stack+52665, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+143950,int_stack+3120,int_stack+53610, 1.0, int_stack+2700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+145210,int_stack+143950,int_stack+143005, 1.0, int_stack+119695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+4740,int_stack+103630,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+143950,int_stack+117595,int_stack+116335,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+116335,int_stack+107620,int_stack+107410,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+107900,int_stack+107620,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1890,int_stack+117595,int_stack+116335,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+119695,int_stack+67095,int_stack+66465,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+147100,int_stack+3660,int_stack+67095,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+148360,int_stack+147100,int_stack+119695,15);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+139225,int_stack+110595,int_stack+110385,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+110875,int_stack+110595,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+147100,int_stack+117595,int_stack+139225,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+3150,int_stack+82705,int_stack+82075,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+150250,int_stack+4200,int_stack+82705,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+151510,int_stack+150250,int_stack+3150,15);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+150250,int_stack+113570,int_stack+113360,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+113850,int_stack+113570,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+153400,int_stack+117595,int_stack+150250,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+4095,int_stack+106030,int_stack+105400,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+154660,int_stack+5100,int_stack+106030,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+155920,int_stack+154660,int_stack+4095,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+150880,int_stack+5850,int_stack+5640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+88335,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+6130,int_stack+5850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+88545,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+154660,int_stack+117595,int_stack+150880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+116965,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5040,int_stack+6805,int_stack+6490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+38365,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+157810,int_stack+7225,int_stack+6805, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+38995,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+159070,int_stack+157810,int_stack+5040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+120640,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+150880,int_stack+7975,int_stack+7765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88335, 1.0, int_stack+91310,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+8255,int_stack+7975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88545, 1.0, int_stack+91520,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+157810,int_stack+117595,int_stack+150880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116965, 1.0, int_stack+121585,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5040,int_stack+8930,int_stack+8615, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38365, 1.0, int_stack+41225,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5985,int_stack+9350,int_stack+8930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38995, 1.0, int_stack+41855,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+7245,int_stack+5985,int_stack+5040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120640, 1.0, int_stack+125995,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+150880,int_stack+10100,int_stack+9890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+91310, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+10380,int_stack+10100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+91520, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+5040,int_stack+117595,int_stack+150880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+121585, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6300,int_stack+11055,int_stack+10740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+41225, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+9135,int_stack+11475,int_stack+11055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+41855, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+160960,int_stack+9135,int_stack+6300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+125995, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+150880,int_stack+12225,int_stack+12015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88335, 0.0, zero_stack, 1.0, int_stack+94285,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+12505,int_stack+12225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88545, 0.0, zero_stack, 1.0, int_stack+94495,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+9135,int_stack+117595,int_stack+150880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116965, 0.0, zero_stack, 1.0, int_stack+122215,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6300,int_stack+13180,int_stack+12865, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38365, 0.0, zero_stack, 1.0, int_stack+44085,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+10395,int_stack+13600,int_stack+13180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38995, 0.0, zero_stack, 1.0, int_stack+44715,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+11655,int_stack+10395,int_stack+6300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120640, 0.0, zero_stack, 1.0, int_stack+0,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+150880,int_stack+14350,int_stack+14140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91310, 1.0, int_stack+94285, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+14630,int_stack+14350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91520, 1.0, int_stack+94495, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+10395,int_stack+117595,int_stack+150880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121585, 1.0, int_stack+122215, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6300,int_stack+15305,int_stack+14990, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41225, 1.0, int_stack+44085, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+13545,int_stack+15725,int_stack+15305, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41855, 1.0, int_stack+44715, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+162850,int_stack+13545,int_stack+6300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+125995, 1.0, int_stack+0, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+150880,int_stack+16475,int_stack+16265, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+94285, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+16755,int_stack+16475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+94495, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+13545,int_stack+117595,int_stack+150880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+122215, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6300,int_stack+17430,int_stack+17115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+44085, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+14805,int_stack+17850,int_stack+17430, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+44715, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+16065,int_stack+14805,int_stack+6300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+150880,int_stack+18600,int_stack+18390, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88335, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97260,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+18880,int_stack+18600, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88545, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97470,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+14805,int_stack+117595,int_stack+150880, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116965, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130090,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6300,int_stack+19555,int_stack+19240, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38365, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46945,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+17955,int_stack+19975,int_stack+19555, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38995, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+47575,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+164740,int_stack+17955,int_stack+6300, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120640, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+134500,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+150880,int_stack+20725,int_stack+20515, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91310, 0.0, zero_stack, 1.0, int_stack+97260, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+21005,int_stack+20725, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91520, 0.0, zero_stack, 1.0, int_stack+97470, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+17955,int_stack+117595,int_stack+150880, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121585, 0.0, zero_stack, 1.0, int_stack+130090, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6300,int_stack+21680,int_stack+21365, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41225, 0.0, zero_stack, 1.0, int_stack+46945, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19215,int_stack+22100,int_stack+21680, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41855, 0.0, zero_stack, 1.0, int_stack+47575, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+20475,int_stack+19215,int_stack+6300, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+125995, 0.0, zero_stack, 1.0, int_stack+134500, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+150880,int_stack+22850,int_stack+22640, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94285, 1.0, int_stack+97260, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+23130,int_stack+22850, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+94495, 1.0, int_stack+97470, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19215,int_stack+117595,int_stack+150880, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+122215, 1.0, int_stack+130090, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6300,int_stack+23805,int_stack+23490, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44085, 1.0, int_stack+46945, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22365,int_stack+24225,int_stack+23805, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44715, 1.0, int_stack+47575, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+166630,int_stack+22365,int_stack+6300, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 1.0, int_stack+134500, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+150880,int_stack+24975,int_stack+24765, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+97260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+25255,int_stack+24975, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+97470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+22365,int_stack+117595,int_stack+150880, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+130090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6300,int_stack+25930,int_stack+25615, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+46945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+23625,int_stack+26350,int_stack+25930, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+47575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+24885,int_stack+23625,int_stack+6300, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+134500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+150880,int_stack+27100,int_stack+26890, 0.0, zero_stack, 1.0, int_stack+88335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100235,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+27380,int_stack+27100, 0.0, zero_stack, 1.0, int_stack+88545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100445,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+23625,int_stack+117595,int_stack+150880, 0.0, zero_stack, 1.0, int_stack+116965, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130720,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6300,int_stack+28055,int_stack+27740, 0.0, zero_stack, 1.0, int_stack+38365, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49805,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+26775,int_stack+28475,int_stack+28055, 0.0, zero_stack, 1.0, int_stack+38995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50435,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+168520,int_stack+26775,int_stack+6300, 0.0, zero_stack, 1.0, int_stack+120640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+945,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+150880,int_stack+29225,int_stack+29015, 0.0, zero_stack, 1.0, int_stack+91310, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100235, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+29505,int_stack+29225, 0.0, zero_stack, 1.0, int_stack+91520, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100445, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+26775,int_stack+117595,int_stack+150880, 0.0, zero_stack, 1.0, int_stack+121585, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130720, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6300,int_stack+30180,int_stack+29865, 0.0, zero_stack, 1.0, int_stack+41225, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49805, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+28035,int_stack+30600,int_stack+30180, 0.0, zero_stack, 1.0, int_stack+41855, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50435, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+170410,int_stack+28035,int_stack+6300, 0.0, zero_stack, 1.0, int_stack+125995, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+945, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+150880,int_stack+31350,int_stack+31140, 0.0, zero_stack, 1.0, int_stack+94285, 0.0, zero_stack, 1.0, int_stack+100235, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+31630,int_stack+31350, 0.0, zero_stack, 1.0, int_stack+94495, 0.0, zero_stack, 1.0, int_stack+100445, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+28035,int_stack+117595,int_stack+150880, 0.0, zero_stack, 1.0, int_stack+122215, 0.0, zero_stack, 1.0, int_stack+130720, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6300,int_stack+32305,int_stack+31990, 0.0, zero_stack, 1.0, int_stack+44085, 0.0, zero_stack, 1.0, int_stack+49805, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+29295,int_stack+32725,int_stack+32305, 0.0, zero_stack, 1.0, int_stack+44715, 0.0, zero_stack, 1.0, int_stack+50435, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+30555,int_stack+29295,int_stack+6300, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 1.0, int_stack+945, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+150880,int_stack+33475,int_stack+33265, 0.0, zero_stack, 1.0, int_stack+97260, 1.0, int_stack+100235, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+33755,int_stack+33475, 0.0, zero_stack, 1.0, int_stack+97470, 1.0, int_stack+100445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+29295,int_stack+117595,int_stack+150880, 0.0, zero_stack, 1.0, int_stack+130090, 1.0, int_stack+130720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6300,int_stack+34430,int_stack+34115, 0.0, zero_stack, 1.0, int_stack+46945, 1.0, int_stack+49805, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+32445,int_stack+34850,int_stack+34430, 0.0, zero_stack, 1.0, int_stack+47575, 1.0, int_stack+50435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+172300,int_stack+32445,int_stack+6300, 0.0, zero_stack, 1.0, int_stack+134500, 1.0, int_stack+945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+150880,int_stack+35600,int_stack+35390, 0.0, zero_stack, 2.0, int_stack+100235, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+35880,int_stack+35600, 0.0, zero_stack, 2.0, int_stack+100445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+32445,int_stack+117595,int_stack+150880, 0.0, zero_stack, 2.0, int_stack+130720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6300,int_stack+36555,int_stack+36240, 0.0, zero_stack, 2.0, int_stack+49805, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+33705,int_stack+36975,int_stack+36555, 0.0, zero_stack, 2.0, int_stack+50435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+34965,int_stack+33705,int_stack+6300, 0.0, zero_stack, 2.0, int_stack+945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+150880,int_stack+37725,int_stack+37515, 1.0, int_stack+88335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103420,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+117595,int_stack+38005,int_stack+37725, 1.0, int_stack+88545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103910,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+33705,int_stack+117595,int_stack+150880, 1.0, int_stack+116965, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+138595,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6300,int_stack+39415,int_stack+38680, 1.0, int_stack+38365, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52980,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+116965,int_stack+39835,int_stack+39415, 1.0, int_stack+38995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53610,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36855,int_stack+116965,int_stack+6300, 1.0, int_stack+120640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+143005,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+150880,int_stack+40585,int_stack+40375, 1.0, int_stack+91310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103420, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+120640,int_stack+40865,int_stack+40585, 1.0, int_stack+91520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103910, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+116965,int_stack+120640,int_stack+150880, 1.0, int_stack+121585, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+138595, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6300,int_stack+42275,int_stack+41540, 1.0, int_stack+41225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52980, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+120640,int_stack+42695,int_stack+42275, 1.0, int_stack+41855, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53610, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+38745,int_stack+120640,int_stack+6300, 1.0, int_stack+125995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+143005, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+150880,int_stack+43445,int_stack+43235, 1.0, int_stack+94285, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103420, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+125995,int_stack+43725,int_stack+43445, 1.0, int_stack+94495, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103910, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+120640,int_stack+125995,int_stack+150880, 1.0, int_stack+122215, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+138595, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+125995,int_stack+45135,int_stack+44400, 1.0, int_stack+44085, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52980, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+40635,int_stack+45555,int_stack+45135, 1.0, int_stack+44715, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53610, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+41895,int_stack+40635,int_stack+125995, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+143005, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+150880,int_stack+46305,int_stack+46095, 1.0, int_stack+97260, 0.0, zero_stack, 1.0, int_stack+103420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+46585,int_stack+46305, 1.0, int_stack+97470, 0.0, zero_stack, 1.0, int_stack+103910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+40635,int_stack+0,int_stack+150880, 1.0, int_stack+130090, 0.0, zero_stack, 1.0, int_stack+138595, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+47995,int_stack+47260, 1.0, int_stack+46945, 0.0, zero_stack, 1.0, int_stack+52980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+43785,int_stack+48415,int_stack+47995, 1.0, int_stack+47575, 0.0, zero_stack, 1.0, int_stack+53610, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+45045,int_stack+43785,int_stack+0, 1.0, int_stack+134500, 0.0, zero_stack, 1.0, int_stack+143005, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+130090,int_stack+49165,int_stack+48955, 1.0, int_stack+100235, 1.0, int_stack+103420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+134500,int_stack+49445,int_stack+49165, 1.0, int_stack+100445, 1.0, int_stack+103910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+43785,int_stack+134500,int_stack+130090, 1.0, int_stack+130720, 1.0, int_stack+138595, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+134500,int_stack+50855,int_stack+50120, 1.0, int_stack+49805, 1.0, int_stack+52980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+130090,int_stack+51275,int_stack+50855, 1.0, int_stack+50435, 1.0, int_stack+53610, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+46935,int_stack+130090,int_stack+134500, 1.0, int_stack+945, 1.0, int_stack+143005, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+150880,int_stack+52025,int_stack+51815, 2.0, int_stack+103420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+134500,int_stack+52305,int_stack+52025, 2.0, int_stack+103910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+130090,int_stack+134500,int_stack+150880, 2.0, int_stack+138595, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+134500,int_stack+54030,int_stack+53295, 2.0, int_stack+52980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+54450,int_stack+54030, 2.0, int_stack+53610, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+48825,int_stack+0,int_stack+134500, 2.0, int_stack+143005, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+138595,int_stack+55200,int_stack+54990, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107410,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+143005,int_stack+55480,int_stack+55200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107620,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+143005,int_stack+138595, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116335,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+143005,int_stack+56155,int_stack+55840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66465,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+50715,int_stack+56575,int_stack+56155, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67095,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+51975,int_stack+50715,int_stack+143005, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119695,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+138595,int_stack+57325,int_stack+57115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107410, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+143005,int_stack+57605,int_stack+57325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107620, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+50715,int_stack+143005,int_stack+138595, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116335, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+143005,int_stack+58280,int_stack+57965, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66465, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+53865,int_stack+58700,int_stack+58280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67095, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+55125,int_stack+53865,int_stack+143005, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119695, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+138595,int_stack+59450,int_stack+59240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107410, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+143005,int_stack+59730,int_stack+59450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107620, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+53865,int_stack+143005,int_stack+138595, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116335, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+143005,int_stack+60405,int_stack+60090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66465, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+57015,int_stack+60825,int_stack+60405, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67095, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+58275,int_stack+57015,int_stack+143005, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119695, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+138595,int_stack+61575,int_stack+61365, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107410, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+143005,int_stack+61855,int_stack+61575, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+57015,int_stack+143005,int_stack+138595, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+143005,int_stack+62530,int_stack+62215, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66465, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+60165,int_stack+62950,int_stack+62530, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67095, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+61425,int_stack+60165,int_stack+143005, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+138595,int_stack+63700,int_stack+63490, 0.0, zero_stack, 1.0, int_stack+107410, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+143005,int_stack+63980,int_stack+63700, 0.0, zero_stack, 1.0, int_stack+107620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+60165,int_stack+143005,int_stack+138595, 0.0, zero_stack, 1.0, int_stack+116335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+143005,int_stack+64655,int_stack+64340, 0.0, zero_stack, 1.0, int_stack+66465, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+63315,int_stack+65075,int_stack+64655, 0.0, zero_stack, 1.0, int_stack+67095, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+174190,int_stack+63315,int_stack+143005, 0.0, zero_stack, 1.0, int_stack+119695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+138595,int_stack+65825,int_stack+65615, 1.0, int_stack+107410, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+143005,int_stack+66105,int_stack+65825, 1.0, int_stack+107620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+63315,int_stack+143005,int_stack+138595, 1.0, int_stack+116335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+143005,int_stack+67515,int_stack+66780, 1.0, int_stack+66465, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+64575,int_stack+67935,int_stack+67515, 1.0, int_stack+67095, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+65835,int_stack+64575,int_stack+143005, 1.0, int_stack+119695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+116335,int_stack+68685,int_stack+68475,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+119695,int_stack+68965,int_stack+68685,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+64575,int_stack+119695,int_stack+116335,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+119695,int_stack+69640,int_stack+69325,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+67725,int_stack+70060,int_stack+69640,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+176080,int_stack+67725,int_stack+119695,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+116335,int_stack+70810,int_stack+70600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110385,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+119695,int_stack+71090,int_stack+70810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110595,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+67725,int_stack+119695,int_stack+116335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139225,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+119695,int_stack+71765,int_stack+71450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82075,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+68985,int_stack+72185,int_stack+71765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82705,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+70245,int_stack+68985,int_stack+119695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3150,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+116335,int_stack+72935,int_stack+72725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110385, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+119695,int_stack+73215,int_stack+72935, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110595, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+68985,int_stack+119695,int_stack+116335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139225, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+119695,int_stack+73890,int_stack+73575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82075, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+72135,int_stack+74310,int_stack+73890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82705, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+177970,int_stack+72135,int_stack+119695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3150, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+116335,int_stack+75060,int_stack+74850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110385, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+119695,int_stack+75340,int_stack+75060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110595, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+72135,int_stack+119695,int_stack+116335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139225, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+119695,int_stack+76015,int_stack+75700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82075, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+73395,int_stack+76435,int_stack+76015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82705, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+74655,int_stack+73395,int_stack+119695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3150, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+116335,int_stack+77185,int_stack+76975, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+119695,int_stack+77465,int_stack+77185, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110595, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+73395,int_stack+119695,int_stack+116335, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+119695,int_stack+78140,int_stack+77825, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+76545,int_stack+78560,int_stack+78140, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+179860,int_stack+76545,int_stack+119695, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+116335,int_stack+79310,int_stack+79100, 0.0, zero_stack, 1.0, int_stack+110385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+119695,int_stack+79590,int_stack+79310, 0.0, zero_stack, 1.0, int_stack+110595, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+76545,int_stack+119695,int_stack+116335, 0.0, zero_stack, 1.0, int_stack+139225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+119695,int_stack+80265,int_stack+79950, 0.0, zero_stack, 1.0, int_stack+82075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+77805,int_stack+80685,int_stack+80265, 0.0, zero_stack, 1.0, int_stack+82705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+79065,int_stack+77805,int_stack+119695, 0.0, zero_stack, 1.0, int_stack+3150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+116335,int_stack+81435,int_stack+81225, 1.0, int_stack+110385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+119695,int_stack+81715,int_stack+81435, 1.0, int_stack+110595, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+77805,int_stack+119695,int_stack+116335, 1.0, int_stack+139225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+119695,int_stack+83125,int_stack+82390, 1.0, int_stack+82075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+138595,int_stack+83545,int_stack+83125, 1.0, int_stack+82705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+80955,int_stack+138595,int_stack+119695, 1.0, int_stack+3150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+116335,int_stack+84295,int_stack+84085,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+3150,int_stack+84575,int_stack+84295,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+138595,int_stack+3150,int_stack+116335,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+3150,int_stack+85250,int_stack+84935,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+82845,int_stack+85670,int_stack+85250,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+84105,int_stack+82845,int_stack+3150,15);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+116335,int_stack+86420,int_stack+86210,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+3150,int_stack+86700,int_stack+86420,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+82845,int_stack+3150,int_stack+116335,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+3150,int_stack+87375,int_stack+87060,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+85995,int_stack+87795,int_stack+87375,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+87255,int_stack+85995,int_stack+3150,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+116335,int_stack+89395,int_stack+89185, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+113360,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3150,int_stack+89675,int_stack+89395, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+113570,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+85995,int_stack+3150,int_stack+116335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150250,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3150,int_stack+90350,int_stack+90035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105400,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+103210,int_stack+90770,int_stack+90350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106030,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+89145,int_stack+103210,int_stack+3150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4095,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+116335,int_stack+92370,int_stack+92160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+113360, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3150,int_stack+92650,int_stack+92370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+113570, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+103210,int_stack+3150,int_stack+116335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150250, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3150,int_stack+93325,int_stack+93010, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105400, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+91035,int_stack+93745,int_stack+93325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106030, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+92295,int_stack+91035,int_stack+3150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4095, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+116335,int_stack+95345,int_stack+95135, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+113360, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3150,int_stack+95625,int_stack+95345, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+113570, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+91035,int_stack+3150,int_stack+116335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150250, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3150,int_stack+96300,int_stack+95985, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105400, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+94185,int_stack+96720,int_stack+96300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106030, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+95445,int_stack+94185,int_stack+3150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4095, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+116335,int_stack+98320,int_stack+98110, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+113360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3150,int_stack+98600,int_stack+98320, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+113570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+94185,int_stack+3150,int_stack+116335, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3150,int_stack+99275,int_stack+98960, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+97335,int_stack+99695,int_stack+99275, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+98595,int_stack+97335,int_stack+3150, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4095, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+116335,int_stack+101295,int_stack+101085, 0.0, zero_stack, 1.0, int_stack+113360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3150,int_stack+101575,int_stack+101295, 0.0, zero_stack, 1.0, int_stack+113570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+97335,int_stack+3150,int_stack+116335, 0.0, zero_stack, 1.0, int_stack+150250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3150,int_stack+102250,int_stack+101935, 0.0, zero_stack, 1.0, int_stack+105400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+100485,int_stack+102670,int_stack+102250, 0.0, zero_stack, 1.0, int_stack+106030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+181750,int_stack+100485,int_stack+3150, 0.0, zero_stack, 1.0, int_stack+4095, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+116335,int_stack+104760,int_stack+104550, 1.0, int_stack+113360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3150,int_stack+105040,int_stack+104760, 1.0, int_stack+113570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+100485,int_stack+3150,int_stack+116335, 1.0, int_stack+150250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3150,int_stack+106450,int_stack+105715, 1.0, int_stack+105400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+150250,int_stack+106870,int_stack+106450, 1.0, int_stack+106030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+104470,int_stack+150250,int_stack+3150, 1.0, int_stack+4095, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+116335,int_stack+108470,int_stack+108260,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+3150,int_stack+108750,int_stack+108470,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+150250,int_stack+3150,int_stack+116335,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+119695,int_stack+109425,int_stack+109110,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+3150,int_stack+109845,int_stack+109425,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+106360,int_stack+3150,int_stack+119695,15);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+116335,int_stack+111445,int_stack+111235,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+119695,int_stack+111725,int_stack+111445,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+3150,int_stack+119695,int_stack+116335,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+119695,int_stack+112400,int_stack+112085,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+101745,int_stack+112820,int_stack+112400,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+108250,int_stack+101745,int_stack+119695,15);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+116335,int_stack+114420,int_stack+114210,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+119695,int_stack+114700,int_stack+114420,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+101745,int_stack+119695,int_stack+116335,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+119695,int_stack+115375,int_stack+115060,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+110140,int_stack+115795,int_stack+115375,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+111400,int_stack+110140,int_stack+119695,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+183640,int_stack+122845,int_stack+118435,126);
     Libderiv->ABCD[11] = int_stack + 183640;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+187420,int_stack+128200,int_stack+124735,126);
     Libderiv->ABCD[10] = int_stack + 187420;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+191200,int_stack+131350,int_stack+126940,126);
     Libderiv->ABCD[9] = int_stack + 191200;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+194980,int_stack+136705,int_stack+133240,126);
     Libderiv->ABCD[8] = int_stack + 194980;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+198760,int_stack+139855,int_stack+135445,126);
     Libderiv->ABCD[7] = int_stack + 198760;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+202540,int_stack+145210,int_stack+141745,126);
     Libderiv->ABCD[6] = int_stack + 202540;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+206320,int_stack+148360,int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+143950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[2] = int_stack + 206320;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+210100,int_stack+151510,int_stack+147100, 0.0, zero_stack, 1.0, int_stack+143950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[1] = int_stack + 210100;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+213880,int_stack+155920,int_stack+153400, 1.0, int_stack+143950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[0] = int_stack + 213880;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+143005,int_stack+159070,int_stack+154660,126);
     Libderiv->ABCD[155] = int_stack + 143005;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+217660,int_stack+7245,int_stack+157810,126);
     Libderiv->ABCD[143] = int_stack + 217660;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+154660,int_stack+160960,int_stack+5040,126);
     Libderiv->ABCD[142] = int_stack + 154660;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+158440,int_stack+11655,int_stack+9135,126);
     Libderiv->ABCD[131] = int_stack + 158440;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+4410,int_stack+162850,int_stack+10395,126);
     Libderiv->ABCD[130] = int_stack + 4410;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+8190,int_stack+16065,int_stack+13545,126);
     Libderiv->ABCD[129] = int_stack + 8190;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+221440,int_stack+164740,int_stack+14805,126);
     Libderiv->ABCD[119] = int_stack + 221440;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+162220,int_stack+20475,int_stack+17955,126);
     Libderiv->ABCD[118] = int_stack + 162220;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+11970,int_stack+166630,int_stack+19215,126);
     Libderiv->ABCD[117] = int_stack + 11970;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+15750,int_stack+24885,int_stack+22365,126);
     Libderiv->ABCD[116] = int_stack + 15750;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+19530,int_stack+168520,int_stack+23625,126);
     Libderiv->ABCD[107] = int_stack + 19530;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+166000,int_stack+170410,int_stack+26775,126);
     Libderiv->ABCD[106] = int_stack + 166000;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+23310,int_stack+30555,int_stack+28035,126);
     Libderiv->ABCD[105] = int_stack + 23310;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+225220,int_stack+172300,int_stack+29295,126);
     Libderiv->ABCD[104] = int_stack + 225220;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+169780,int_stack+34965,int_stack+32445,126);
     Libderiv->ABCD[103] = int_stack + 169780;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+27090,int_stack+36855,int_stack+33705,126);
     Libderiv->ABCD[95] = int_stack + 27090;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+30870,int_stack+38745,int_stack+116965,126);
     Libderiv->ABCD[94] = int_stack + 30870;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+34650,int_stack+41895,int_stack+120640,126);
     Libderiv->ABCD[93] = int_stack + 34650;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+119695,int_stack+45045,int_stack+40635,126);
     Libderiv->ABCD[92] = int_stack + 119695;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+38430,int_stack+46935,int_stack+43785,126);
     Libderiv->ABCD[91] = int_stack + 38430;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+42210,int_stack+48825,int_stack+130090,126);
     Libderiv->ABCD[90] = int_stack + 42210;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+128200,int_stack+51975,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+118435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[47] = int_stack + 128200;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+45990,int_stack+55125,int_stack+50715, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124735, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[46] = int_stack + 45990;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+49770,int_stack+58275,int_stack+53865, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+126940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[45] = int_stack + 49770;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+113290,int_stack+61425,int_stack+57015, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+133240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[44] = int_stack + 113290;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+53550,int_stack+174190,int_stack+60165, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[43] = int_stack + 53550;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+57330,int_stack+65835,int_stack+63315, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+141745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[42] = int_stack + 57330;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+229000,int_stack+176080,int_stack+64575, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[38] = int_stack + 229000;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+173560,int_stack+70245,int_stack+67725, 0.0, zero_stack, 1.0, int_stack+118435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[35] = int_stack + 173560;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+61110,int_stack+177970,int_stack+68985, 0.0, zero_stack, 1.0, int_stack+124735, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[34] = int_stack + 61110;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+64890,int_stack+74655,int_stack+72135, 0.0, zero_stack, 1.0, int_stack+126940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[33] = int_stack + 64890;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+68670,int_stack+179860,int_stack+73395, 0.0, zero_stack, 1.0, int_stack+133240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[32] = int_stack + 68670;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+177340,int_stack+79065,int_stack+76545, 0.0, zero_stack, 1.0, int_stack+135445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[31] = int_stack + 177340;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+72450,int_stack+80955,int_stack+77805, 0.0, zero_stack, 1.0, int_stack+141745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[30] = int_stack + 72450;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+76230,int_stack+84105,int_stack+138595, 0.0, zero_stack, 1.0, int_stack+1890, 1.0, int_stack+147100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[26] = int_stack + 76230;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+136705,int_stack+87255,int_stack+82845, 0.0, zero_stack, 2.0, int_stack+147100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[25] = int_stack + 136705;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+80010,int_stack+89145,int_stack+85995, 1.0, int_stack+118435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[23] = int_stack + 80010;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+83790,int_stack+92295,int_stack+103210, 1.0, int_stack+124735, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[22] = int_stack + 83790;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+232780,int_stack+95445,int_stack+91035, 1.0, int_stack+126940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[21] = int_stack + 232780;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+123475,int_stack+98595,int_stack+94185, 1.0, int_stack+133240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[20] = int_stack + 123475;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+87570,int_stack+181750,int_stack+97335, 1.0, int_stack+135445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[19] = int_stack + 87570;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+131980,int_stack+104470,int_stack+100485, 1.0, int_stack+141745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[18] = int_stack + 131980;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+91350,int_stack+106360,int_stack+150250, 1.0, int_stack+1890, 0.0, zero_stack, 1.0, int_stack+153400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[14] = int_stack + 91350;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+148360,int_stack+108250,int_stack+3150, 1.0, int_stack+147100, 1.0, int_stack+153400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[13] = int_stack + 148360;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+0,int_stack+111400,int_stack+101745, 2.0, int_stack+153400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[12] = int_stack + 0;

}
