#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_g0gd(Libderiv_t *, prim_data *);

  /* Computes derivatives of (g0|gd) integrals */

void d12hrr_order_g0gd(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[4][6][11] = int_stack + 0;
 Libderiv->deriv_classes[4][6][10] = int_stack + 420;
 Libderiv->deriv_classes[4][6][9] = int_stack + 840;
 Libderiv->deriv_classes[4][6][8] = int_stack + 1260;
 Libderiv->deriv_classes[4][6][7] = int_stack + 1680;
 Libderiv->dvrr_classes[4][5] = int_stack + 2100;
 Libderiv->deriv_classes[4][6][6] = int_stack + 2415;
 Libderiv->deriv_classes[4][6][2] = int_stack + 2835;
 Libderiv->deriv_classes[4][6][1] = int_stack + 3255;
 Libderiv->deriv_classes[4][6][0] = int_stack + 3675;
 Libderiv->deriv2_classes[4][4][143] = int_stack + 4095;
 Libderiv->deriv2_classes[4][5][143] = int_stack + 4320;
 Libderiv->deriv2_classes[4][6][143] = int_stack + 4635;
 Libderiv->deriv2_classes[4][4][131] = int_stack + 5055;
 Libderiv->deriv2_classes[4][5][131] = int_stack + 5280;
 Libderiv->deriv2_classes[4][6][131] = int_stack + 5595;
 Libderiv->deriv2_classes[4][4][130] = int_stack + 6015;
 Libderiv->deriv2_classes[4][5][130] = int_stack + 6240;
 Libderiv->deriv2_classes[4][6][130] = int_stack + 6555;
 Libderiv->deriv2_classes[4][4][119] = int_stack + 6975;
 Libderiv->deriv2_classes[4][5][119] = int_stack + 7200;
 Libderiv->deriv2_classes[4][6][119] = int_stack + 7515;
 Libderiv->deriv2_classes[4][4][118] = int_stack + 7935;
 Libderiv->deriv2_classes[4][5][118] = int_stack + 8160;
 Libderiv->deriv2_classes[4][6][118] = int_stack + 8475;
 Libderiv->deriv2_classes[4][4][117] = int_stack + 8895;
 Libderiv->deriv2_classes[4][5][117] = int_stack + 9120;
 Libderiv->deriv2_classes[4][6][117] = int_stack + 9435;
 Libderiv->deriv2_classes[4][4][107] = int_stack + 9855;
 Libderiv->deriv2_classes[4][5][107] = int_stack + 10080;
 Libderiv->deriv2_classes[4][6][107] = int_stack + 10395;
 Libderiv->deriv2_classes[4][4][106] = int_stack + 10815;
 Libderiv->deriv2_classes[4][5][106] = int_stack + 11040;
 Libderiv->deriv2_classes[4][6][106] = int_stack + 11355;
 Libderiv->deriv2_classes[4][4][105] = int_stack + 11775;
 Libderiv->deriv2_classes[4][5][105] = int_stack + 12000;
 Libderiv->deriv2_classes[4][6][105] = int_stack + 12315;
 Libderiv->deriv2_classes[4][4][104] = int_stack + 12735;
 Libderiv->deriv2_classes[4][5][104] = int_stack + 12960;
 Libderiv->deriv2_classes[4][6][104] = int_stack + 13275;
 Libderiv->deriv2_classes[4][4][95] = int_stack + 13695;
 Libderiv->deriv2_classes[4][5][95] = int_stack + 13920;
 Libderiv->deriv2_classes[4][6][95] = int_stack + 14235;
 Libderiv->deriv2_classes[4][4][94] = int_stack + 14655;
 Libderiv->deriv2_classes[4][5][94] = int_stack + 14880;
 Libderiv->deriv2_classes[4][6][94] = int_stack + 15195;
 Libderiv->deriv2_classes[4][4][93] = int_stack + 15615;
 Libderiv->deriv2_classes[4][5][93] = int_stack + 15840;
 Libderiv->deriv2_classes[4][6][93] = int_stack + 16155;
 Libderiv->deriv2_classes[4][4][92] = int_stack + 16575;
 Libderiv->deriv2_classes[4][5][92] = int_stack + 16800;
 Libderiv->deriv2_classes[4][6][92] = int_stack + 17115;
 Libderiv->deriv2_classes[4][4][91] = int_stack + 17535;
 Libderiv->deriv2_classes[4][5][91] = int_stack + 17760;
 Libderiv->deriv2_classes[4][6][91] = int_stack + 18075;
 Libderiv->deriv_classes[4][4][11] = int_stack + 18495;
 Libderiv->deriv2_classes[4][4][83] = int_stack + 18720;
 Libderiv->deriv_classes[4][5][11] = int_stack + 18945;
 Libderiv->deriv2_classes[4][5][83] = int_stack + 19260;
 Libderiv->deriv2_classes[4][6][83] = int_stack + 19575;
 Libderiv->deriv_classes[4][4][10] = int_stack + 19995;
 Libderiv->deriv2_classes[4][4][82] = int_stack + 20220;
 Libderiv->deriv_classes[4][5][10] = int_stack + 20445;
 Libderiv->deriv2_classes[4][5][82] = int_stack + 20760;
 Libderiv->deriv2_classes[4][6][82] = int_stack + 21075;
 Libderiv->deriv_classes[4][4][9] = int_stack + 21495;
 Libderiv->deriv2_classes[4][4][81] = int_stack + 21720;
 Libderiv->deriv_classes[4][5][9] = int_stack + 21945;
 Libderiv->deriv2_classes[4][5][81] = int_stack + 22260;
 Libderiv->deriv2_classes[4][6][81] = int_stack + 22575;
 Libderiv->deriv_classes[4][4][8] = int_stack + 22995;
 Libderiv->deriv2_classes[4][4][80] = int_stack + 23220;
 Libderiv->deriv_classes[4][5][8] = int_stack + 23445;
 Libderiv->deriv2_classes[4][5][80] = int_stack + 23760;
 Libderiv->deriv2_classes[4][6][80] = int_stack + 24075;
 Libderiv->deriv_classes[4][4][7] = int_stack + 24495;
 Libderiv->deriv2_classes[4][4][79] = int_stack + 24720;
 Libderiv->deriv_classes[4][5][7] = int_stack + 24945;
 Libderiv->deriv2_classes[4][5][79] = int_stack + 25260;
 Libderiv->deriv2_classes[4][6][79] = int_stack + 25575;
 Libderiv->dvrr_classes[4][4] = int_stack + 25995;
 Libderiv->deriv_classes[4][4][6] = int_stack + 26220;
 Libderiv->deriv2_classes[4][4][78] = int_stack + 26445;
 Libderiv->deriv_classes[4][5][6] = int_stack + 26670;
 Libderiv->deriv2_classes[4][5][78] = int_stack + 26985;
 Libderiv->deriv2_classes[4][6][78] = int_stack + 27300;
 Libderiv->deriv2_classes[4][4][35] = int_stack + 27720;
 Libderiv->deriv2_classes[4][5][35] = int_stack + 27945;
 Libderiv->deriv2_classes[4][6][35] = int_stack + 28260;
 Libderiv->deriv2_classes[4][4][34] = int_stack + 28680;
 Libderiv->deriv2_classes[4][5][34] = int_stack + 28905;
 Libderiv->deriv2_classes[4][6][34] = int_stack + 29220;
 Libderiv->deriv2_classes[4][4][33] = int_stack + 29640;
 Libderiv->deriv2_classes[4][5][33] = int_stack + 29865;
 Libderiv->deriv2_classes[4][6][33] = int_stack + 30180;
 Libderiv->deriv2_classes[4][4][32] = int_stack + 30600;
 Libderiv->deriv2_classes[4][5][32] = int_stack + 30825;
 Libderiv->deriv2_classes[4][6][32] = int_stack + 31140;
 Libderiv->deriv2_classes[4][4][31] = int_stack + 31560;
 Libderiv->deriv2_classes[4][5][31] = int_stack + 31785;
 Libderiv->deriv2_classes[4][6][31] = int_stack + 32100;
 Libderiv->deriv_classes[4][4][2] = int_stack + 32520;
 Libderiv->deriv2_classes[4][4][30] = int_stack + 32745;
 Libderiv->deriv_classes[4][5][2] = int_stack + 32970;
 Libderiv->deriv2_classes[4][5][30] = int_stack + 33285;
 Libderiv->deriv2_classes[4][6][30] = int_stack + 33600;
 Libderiv->deriv2_classes[4][4][26] = int_stack + 34020;
 Libderiv->deriv2_classes[4][5][26] = int_stack + 34245;
 Libderiv->deriv2_classes[4][6][26] = int_stack + 34560;
 Libderiv->deriv2_classes[4][4][23] = int_stack + 34980;
 Libderiv->deriv2_classes[4][5][23] = int_stack + 35205;
 Libderiv->deriv2_classes[4][6][23] = int_stack + 35520;
 Libderiv->deriv2_classes[4][4][22] = int_stack + 35940;
 Libderiv->deriv2_classes[4][5][22] = int_stack + 36165;
 Libderiv->deriv2_classes[4][6][22] = int_stack + 36480;
 Libderiv->deriv2_classes[4][4][21] = int_stack + 36900;
 Libderiv->deriv2_classes[4][5][21] = int_stack + 37125;
 Libderiv->deriv2_classes[4][6][21] = int_stack + 37440;
 Libderiv->deriv2_classes[4][4][20] = int_stack + 37860;
 Libderiv->deriv2_classes[4][5][20] = int_stack + 38085;
 Libderiv->deriv2_classes[4][6][20] = int_stack + 38400;
 Libderiv->deriv2_classes[4][4][19] = int_stack + 38820;
 Libderiv->deriv2_classes[4][5][19] = int_stack + 39045;
 Libderiv->deriv2_classes[4][6][19] = int_stack + 39360;
 Libderiv->deriv_classes[4][4][1] = int_stack + 39780;
 Libderiv->deriv2_classes[4][4][18] = int_stack + 40005;
 Libderiv->deriv_classes[4][5][1] = int_stack + 40230;
 Libderiv->deriv2_classes[4][5][18] = int_stack + 40545;
 Libderiv->deriv2_classes[4][6][18] = int_stack + 40860;
 Libderiv->deriv2_classes[4][4][14] = int_stack + 41280;
 Libderiv->deriv2_classes[4][5][14] = int_stack + 41505;
 Libderiv->deriv2_classes[4][6][14] = int_stack + 41820;
 Libderiv->deriv2_classes[4][4][13] = int_stack + 42240;
 Libderiv->deriv2_classes[4][5][13] = int_stack + 42465;
 Libderiv->deriv2_classes[4][6][13] = int_stack + 42780;
 Libderiv->deriv2_classes[4][4][11] = int_stack + 43200;
 Libderiv->deriv2_classes[4][5][11] = int_stack + 43425;
 Libderiv->deriv2_classes[4][6][11] = int_stack + 43740;
 Libderiv->deriv2_classes[4][4][10] = int_stack + 44160;
 Libderiv->deriv2_classes[4][5][10] = int_stack + 44385;
 Libderiv->deriv2_classes[4][6][10] = int_stack + 44700;
 Libderiv->deriv2_classes[4][4][9] = int_stack + 45120;
 Libderiv->deriv2_classes[4][5][9] = int_stack + 45345;
 Libderiv->deriv2_classes[4][6][9] = int_stack + 45660;
 Libderiv->deriv2_classes[4][4][8] = int_stack + 46080;
 Libderiv->deriv2_classes[4][5][8] = int_stack + 46305;
 Libderiv->deriv2_classes[4][6][8] = int_stack + 46620;
 Libderiv->deriv2_classes[4][4][7] = int_stack + 47040;
 Libderiv->deriv2_classes[4][5][7] = int_stack + 47265;
 Libderiv->deriv2_classes[4][6][7] = int_stack + 47580;
 Libderiv->deriv_classes[4][4][0] = int_stack + 48000;
 Libderiv->deriv2_classes[4][4][6] = int_stack + 48225;
 Libderiv->deriv_classes[4][5][0] = int_stack + 48450;
 Libderiv->deriv2_classes[4][5][6] = int_stack + 48765;
 Libderiv->deriv2_classes[4][6][6] = int_stack + 49080;
 Libderiv->deriv2_classes[4][4][2] = int_stack + 49500;
 Libderiv->deriv2_classes[4][5][2] = int_stack + 49725;
 Libderiv->deriv2_classes[4][6][2] = int_stack + 50040;
 Libderiv->deriv2_classes[4][4][1] = int_stack + 50460;
 Libderiv->deriv2_classes[4][5][1] = int_stack + 50685;
 Libderiv->deriv2_classes[4][6][1] = int_stack + 51000;
 Libderiv->deriv2_classes[4][4][0] = int_stack + 51420;
 Libderiv->deriv2_classes[4][5][0] = int_stack + 51645;
 Libderiv->deriv2_classes[4][6][0] = int_stack + 51960;
 memset(int_stack,0,419040);

 Libderiv->dvrr_stack = int_stack + 96525;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_g0gd(Libderiv, Data);
   Data++;
 }

 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+52380,int_stack+2100,int_stack+25995,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+53055,int_stack+18945,int_stack+18495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25995,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+53730,int_stack+0,int_stack+18945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2100,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+54675,int_stack+20445,int_stack+19995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25995, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+55350,int_stack+420,int_stack+20445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2100, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+0,int_stack+21945,int_stack+21495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25995, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+56295,int_stack+840,int_stack+21945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2100, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+57240,int_stack+23445,int_stack+22995, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+57915,int_stack+1260,int_stack+23445, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+675,int_stack+24945,int_stack+24495, 0.0, zero_stack, 1.0, int_stack+25995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+58860,int_stack+1680,int_stack+24945, 0.0, zero_stack, 1.0, int_stack+2100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+1350,int_stack+26670,int_stack+26220, 1.0, int_stack+25995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+59805,int_stack+2415,int_stack+26670, 1.0, int_stack+2100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+2025,int_stack+32970,int_stack+32520,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+60750,int_stack+2835,int_stack+32970,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+61695,int_stack+40230,int_stack+39780,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+62370,int_stack+3255,int_stack+40230,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+2700,int_stack+48450,int_stack+48000,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+63315,int_stack+3675,int_stack+48450,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3375,int_stack+4320,int_stack+4095, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+18495,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+64260,int_stack+4635,int_stack+4320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+18945,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+5280,int_stack+5055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18495, 1.0, int_stack+19995,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+65205,int_stack+5595,int_stack+5280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18945, 1.0, int_stack+20445,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4725,int_stack+6240,int_stack+6015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+19995, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+66150,int_stack+6555,int_stack+6240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+20445, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5400,int_stack+7200,int_stack+6975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18495, 0.0, zero_stack, 1.0, int_stack+21495,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6075,int_stack+7515,int_stack+7200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18945, 0.0, zero_stack, 1.0, int_stack+21945,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+7020,int_stack+8160,int_stack+7935, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19995, 1.0, int_stack+21495, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+67095,int_stack+8475,int_stack+8160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20445, 1.0, int_stack+21945, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+7695,int_stack+9120,int_stack+8895, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+21495, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+68040,int_stack+9435,int_stack+9120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+21945, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+8370,int_stack+10080,int_stack+9855, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18495, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22995,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+9045,int_stack+10395,int_stack+10080, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18945, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23445,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+9990,int_stack+11040,int_stack+10815, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19995, 0.0, zero_stack, 1.0, int_stack+22995, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+68985,int_stack+11355,int_stack+11040, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20445, 0.0, zero_stack, 1.0, int_stack+23445, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+10665,int_stack+12000,int_stack+11775, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21495, 1.0, int_stack+22995, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+69930,int_stack+12315,int_stack+12000, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21945, 1.0, int_stack+23445, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+11340,int_stack+12960,int_stack+12735, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+22995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+12015,int_stack+13275,int_stack+12960, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+23445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+12960,int_stack+13920,int_stack+13695, 0.0, zero_stack, 1.0, int_stack+18495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24495,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+70875,int_stack+14235,int_stack+13920, 0.0, zero_stack, 1.0, int_stack+18945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24945,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+13635,int_stack+14880,int_stack+14655, 0.0, zero_stack, 1.0, int_stack+19995, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24495, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+71820,int_stack+15195,int_stack+14880, 0.0, zero_stack, 1.0, int_stack+20445, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24945, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+14310,int_stack+15840,int_stack+15615, 0.0, zero_stack, 1.0, int_stack+21495, 0.0, zero_stack, 1.0, int_stack+24495, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+72765,int_stack+16155,int_stack+15840, 0.0, zero_stack, 1.0, int_stack+21945, 0.0, zero_stack, 1.0, int_stack+24945, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+14985,int_stack+16800,int_stack+16575, 0.0, zero_stack, 1.0, int_stack+22995, 1.0, int_stack+24495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+15660,int_stack+17115,int_stack+16800, 0.0, zero_stack, 1.0, int_stack+23445, 1.0, int_stack+24945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+16605,int_stack+17760,int_stack+17535, 0.0, zero_stack, 2.0, int_stack+24495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+73710,int_stack+18075,int_stack+17760, 0.0, zero_stack, 2.0, int_stack+24945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+17280,int_stack+19260,int_stack+18720, 1.0, int_stack+18495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26220,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+17955,int_stack+19575,int_stack+19260, 1.0, int_stack+18945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26670,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+18900,int_stack+20760,int_stack+20220, 1.0, int_stack+19995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26220, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+74655,int_stack+21075,int_stack+20760, 1.0, int_stack+20445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26670, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+19575,int_stack+22260,int_stack+21720, 1.0, int_stack+21495, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26220, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+20250,int_stack+22575,int_stack+22260, 1.0, int_stack+21945, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26670, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+21195,int_stack+23760,int_stack+23220, 1.0, int_stack+22995, 0.0, zero_stack, 1.0, int_stack+26220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+21870,int_stack+24075,int_stack+23760, 1.0, int_stack+23445, 0.0, zero_stack, 1.0, int_stack+26670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+22815,int_stack+25260,int_stack+24720, 1.0, int_stack+24495, 1.0, int_stack+26220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+23490,int_stack+25575,int_stack+25260, 1.0, int_stack+24945, 1.0, int_stack+26670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+24435,int_stack+26985,int_stack+26445, 2.0, int_stack+26220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+25110,int_stack+27300,int_stack+26985, 2.0, int_stack+26670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+26055,int_stack+27945,int_stack+27720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32520,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+26730,int_stack+28260,int_stack+27945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32970,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+27675,int_stack+28905,int_stack+28680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32520, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+75600,int_stack+29220,int_stack+28905, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32970, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+28350,int_stack+29865,int_stack+29640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32520, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+76545,int_stack+30180,int_stack+29865, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32970, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+29025,int_stack+30825,int_stack+30600, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+29700,int_stack+31140,int_stack+30825, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+30645,int_stack+31785,int_stack+31560, 0.0, zero_stack, 1.0, int_stack+32520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+77490,int_stack+32100,int_stack+31785, 0.0, zero_stack, 1.0, int_stack+32970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+31320,int_stack+33285,int_stack+32745, 1.0, int_stack+32520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+31995,int_stack+33600,int_stack+33285, 1.0, int_stack+32970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+32940,int_stack+34245,int_stack+34020,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+78435,int_stack+34560,int_stack+34245,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+33615,int_stack+35205,int_stack+34980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39780,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+79380,int_stack+35520,int_stack+35205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40230,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+34290,int_stack+36165,int_stack+35940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39780, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+34965,int_stack+36480,int_stack+36165, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40230, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+35910,int_stack+37125,int_stack+36900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39780, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+80325,int_stack+37440,int_stack+37125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40230, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+36585,int_stack+38085,int_stack+37860, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+81270,int_stack+38400,int_stack+38085, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+37260,int_stack+39045,int_stack+38820, 0.0, zero_stack, 1.0, int_stack+39780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+37935,int_stack+39360,int_stack+39045, 0.0, zero_stack, 1.0, int_stack+40230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+38880,int_stack+40545,int_stack+40005, 1.0, int_stack+39780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+82215,int_stack+40860,int_stack+40545, 1.0, int_stack+40230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+39555,int_stack+41505,int_stack+41280,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+40230,int_stack+41820,int_stack+41505,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+41175,int_stack+42465,int_stack+42240,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+83160,int_stack+42780,int_stack+42465,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+41850,int_stack+43425,int_stack+43200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48000,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+84105,int_stack+43740,int_stack+43425, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48450,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+42525,int_stack+44385,int_stack+44160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48000, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+43200,int_stack+44700,int_stack+44385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48450, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+44145,int_stack+45345,int_stack+45120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48000, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+85050,int_stack+45660,int_stack+45345, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48450, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+44820,int_stack+46305,int_stack+46080, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+85995,int_stack+46620,int_stack+46305, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+45495,int_stack+47265,int_stack+47040, 0.0, zero_stack, 1.0, int_stack+48000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+46170,int_stack+47580,int_stack+47265, 0.0, zero_stack, 1.0, int_stack+48450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+47115,int_stack+48765,int_stack+48225, 1.0, int_stack+48000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+86940,int_stack+49080,int_stack+48765, 1.0, int_stack+48450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+47790,int_stack+49725,int_stack+49500,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+48465,int_stack+50040,int_stack+49725,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+49410,int_stack+50685,int_stack+50460,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+87885,int_stack+51000,int_stack+50685,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+50085,int_stack+51645,int_stack+51420,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+88830,int_stack+51960,int_stack+51645,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+50760,int_stack+53730,int_stack+53055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52380,15);
     Libderiv->ABCD[11] = int_stack + 50760;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+89775,int_stack+55350,int_stack+54675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52380, 0.0, zero_stack,15);
     Libderiv->ABCD[10] = int_stack + 89775;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+91125,int_stack+56295,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52380, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[9] = int_stack + 91125;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+55350,int_stack+57915,int_stack+57240, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[8] = int_stack + 55350;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+92475,int_stack+58860,int_stack+675, 0.0, zero_stack, 1.0, int_stack+52380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[7] = int_stack + 92475;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+57915,int_stack+59805,int_stack+1350, 1.0, int_stack+52380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[6] = int_stack + 57915;
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+59265,int_stack+60750,int_stack+2025,15);
     Libderiv->ABCD[2] = int_stack + 59265;
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+93825,int_stack+62370,int_stack+61695,15);
     Libderiv->ABCD[1] = int_stack + 93825;
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+95175,int_stack+63315,int_stack+2700,15);
     Libderiv->ABCD[0] = int_stack + 95175;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+62370,int_stack+64260,int_stack+3375, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+53055,15);
     Libderiv->ABCD[155] = int_stack + 62370;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+63720,int_stack+65205,int_stack+4050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53055, 1.0, int_stack+54675,15);
     Libderiv->ABCD[143] = int_stack + 63720;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+3375,int_stack+66150,int_stack+4725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+54675, 0.0, zero_stack,15);
     Libderiv->ABCD[142] = int_stack + 3375;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+65070,int_stack+6075,int_stack+5400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53055, 0.0, zero_stack, 1.0, int_stack+0,15);
     Libderiv->ABCD[131] = int_stack + 65070;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+4725,int_stack+67095,int_stack+7020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54675, 1.0, int_stack+0, 0.0, zero_stack,15);
     Libderiv->ABCD[130] = int_stack + 4725;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+6075,int_stack+68040,int_stack+7695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[129] = int_stack + 6075;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+66420,int_stack+9045,int_stack+8370, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53055, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57240,15);
     Libderiv->ABCD[119] = int_stack + 66420;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+7425,int_stack+68985,int_stack+9990, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54675, 0.0, zero_stack, 1.0, int_stack+57240, 0.0, zero_stack,15);
     Libderiv->ABCD[118] = int_stack + 7425;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+8775,int_stack+69930,int_stack+10665, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 1.0, int_stack+57240, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[117] = int_stack + 8775;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+67770,int_stack+12015,int_stack+11340, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+57240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[116] = int_stack + 67770;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+10125,int_stack+70875,int_stack+12960, 0.0, zero_stack, 1.0, int_stack+53055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+675,15);
     Libderiv->ABCD[107] = int_stack + 10125;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+11475,int_stack+71820,int_stack+13635, 0.0, zero_stack, 1.0, int_stack+54675, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+675, 0.0, zero_stack,15);
     Libderiv->ABCD[106] = int_stack + 11475;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+12825,int_stack+72765,int_stack+14310, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 1.0, int_stack+675, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[105] = int_stack + 12825;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+69120,int_stack+15660,int_stack+14985, 0.0, zero_stack, 1.0, int_stack+57240, 1.0, int_stack+675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[104] = int_stack + 69120;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+14175,int_stack+73710,int_stack+16605, 0.0, zero_stack, 2.0, int_stack+675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[103] = int_stack + 14175;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+15525,int_stack+17955,int_stack+17280, 1.0, int_stack+53055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1350,15);
     Libderiv->ABCD[95] = int_stack + 15525;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+16875,int_stack+74655,int_stack+18900, 1.0, int_stack+54675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1350, 0.0, zero_stack,15);
     Libderiv->ABCD[94] = int_stack + 16875;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+18225,int_stack+20250,int_stack+19575, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1350, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[93] = int_stack + 18225;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+19575,int_stack+21870,int_stack+21195, 1.0, int_stack+57240, 0.0, zero_stack, 1.0, int_stack+1350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[92] = int_stack + 19575;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+20925,int_stack+23490,int_stack+22815, 1.0, int_stack+675, 1.0, int_stack+1350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[91] = int_stack + 20925;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+0,int_stack+25110,int_stack+24435, 2.0, int_stack+1350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[90] = int_stack + 0;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+22275,int_stack+26730,int_stack+26055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2025,15);
     Libderiv->ABCD[47] = int_stack + 22275;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+23625,int_stack+75600,int_stack+27675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2025, 0.0, zero_stack,15);
     Libderiv->ABCD[46] = int_stack + 23625;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+24975,int_stack+76545,int_stack+28350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2025, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[45] = int_stack + 24975;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+26325,int_stack+29700,int_stack+29025, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[44] = int_stack + 26325;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+27675,int_stack+77490,int_stack+30645, 0.0, zero_stack, 1.0, int_stack+2025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[43] = int_stack + 27675;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+29025,int_stack+31995,int_stack+31320, 1.0, int_stack+2025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[42] = int_stack + 29025;
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+1350,int_stack+78435,int_stack+32940,15);
     Libderiv->ABCD[38] = int_stack + 1350;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+30375,int_stack+79380,int_stack+33615, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61695,15);
     Libderiv->ABCD[35] = int_stack + 30375;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+31725,int_stack+34965,int_stack+34290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61695, 0.0, zero_stack,15);
     Libderiv->ABCD[34] = int_stack + 31725;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+33075,int_stack+80325,int_stack+35910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61695, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[33] = int_stack + 33075;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+34425,int_stack+81270,int_stack+36585, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[32] = int_stack + 34425;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+35775,int_stack+37935,int_stack+37260, 0.0, zero_stack, 1.0, int_stack+61695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[31] = int_stack + 35775;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+37125,int_stack+82215,int_stack+38880, 1.0, int_stack+61695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[30] = int_stack + 37125;
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+70470,int_stack+40230,int_stack+39555,15);
     Libderiv->ABCD[26] = int_stack + 70470;
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+38475,int_stack+83160,int_stack+41175,15);
     Libderiv->ABCD[25] = int_stack + 38475;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+39825,int_stack+84105,int_stack+41850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2700,15);
     Libderiv->ABCD[23] = int_stack + 39825;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+41175,int_stack+43200,int_stack+42525, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2700, 0.0, zero_stack,15);
     Libderiv->ABCD[22] = int_stack + 41175;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+42525,int_stack+85050,int_stack+44145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2700, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[21] = int_stack + 42525;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+71820,int_stack+85995,int_stack+44820, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[20] = int_stack + 71820;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+43875,int_stack+46170,int_stack+45495, 0.0, zero_stack, 1.0, int_stack+2700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[19] = int_stack + 43875;
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+45225,int_stack+86940,int_stack+47115, 1.0, int_stack+2700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[18] = int_stack + 45225;
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+73170,int_stack+48465,int_stack+47790,15);
     Libderiv->ABCD[14] = int_stack + 73170;
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+46575,int_stack+87885,int_stack+49410,15);
     Libderiv->ABCD[13] = int_stack + 46575;
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+47925,int_stack+88830,int_stack+50085,15);
     Libderiv->ABCD[12] = int_stack + 47925;

}
