#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_g0gf(Libderiv_t *, prim_data *);

  /* Computes derivatives of (g0|gf) integrals */

void d12hrr_order_g0gf(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[4][7][11] = int_stack + 0;
 Libderiv->deriv_classes[4][7][10] = int_stack + 540;
 Libderiv->deriv_classes[4][7][9] = int_stack + 1080;
 Libderiv->deriv_classes[4][7][8] = int_stack + 1620;
 Libderiv->deriv_classes[4][7][7] = int_stack + 2160;
 Libderiv->dvrr_classes[4][6] = int_stack + 2700;
 Libderiv->deriv_classes[4][7][6] = int_stack + 3120;
 Libderiv->deriv_classes[4][7][2] = int_stack + 3660;
 Libderiv->deriv_classes[4][7][1] = int_stack + 4200;
 Libderiv->deriv_classes[4][7][0] = int_stack + 4740;
 Libderiv->deriv2_classes[4][4][143] = int_stack + 5280;
 Libderiv->deriv2_classes[4][5][143] = int_stack + 5505;
 Libderiv->deriv2_classes[4][6][143] = int_stack + 5820;
 Libderiv->deriv2_classes[4][7][143] = int_stack + 6240;
 Libderiv->deriv2_classes[4][4][131] = int_stack + 6780;
 Libderiv->deriv2_classes[4][5][131] = int_stack + 7005;
 Libderiv->deriv2_classes[4][6][131] = int_stack + 7320;
 Libderiv->deriv2_classes[4][7][131] = int_stack + 7740;
 Libderiv->deriv2_classes[4][4][130] = int_stack + 8280;
 Libderiv->deriv2_classes[4][5][130] = int_stack + 8505;
 Libderiv->deriv2_classes[4][6][130] = int_stack + 8820;
 Libderiv->deriv2_classes[4][7][130] = int_stack + 9240;
 Libderiv->deriv2_classes[4][4][119] = int_stack + 9780;
 Libderiv->deriv2_classes[4][5][119] = int_stack + 10005;
 Libderiv->deriv2_classes[4][6][119] = int_stack + 10320;
 Libderiv->deriv2_classes[4][7][119] = int_stack + 10740;
 Libderiv->deriv2_classes[4][4][118] = int_stack + 11280;
 Libderiv->deriv2_classes[4][5][118] = int_stack + 11505;
 Libderiv->deriv2_classes[4][6][118] = int_stack + 11820;
 Libderiv->deriv2_classes[4][7][118] = int_stack + 12240;
 Libderiv->deriv2_classes[4][4][117] = int_stack + 12780;
 Libderiv->deriv2_classes[4][5][117] = int_stack + 13005;
 Libderiv->deriv2_classes[4][6][117] = int_stack + 13320;
 Libderiv->deriv2_classes[4][7][117] = int_stack + 13740;
 Libderiv->deriv2_classes[4][4][107] = int_stack + 14280;
 Libderiv->deriv2_classes[4][5][107] = int_stack + 14505;
 Libderiv->deriv2_classes[4][6][107] = int_stack + 14820;
 Libderiv->deriv2_classes[4][7][107] = int_stack + 15240;
 Libderiv->deriv2_classes[4][4][106] = int_stack + 15780;
 Libderiv->deriv2_classes[4][5][106] = int_stack + 16005;
 Libderiv->deriv2_classes[4][6][106] = int_stack + 16320;
 Libderiv->deriv2_classes[4][7][106] = int_stack + 16740;
 Libderiv->deriv2_classes[4][4][105] = int_stack + 17280;
 Libderiv->deriv2_classes[4][5][105] = int_stack + 17505;
 Libderiv->deriv2_classes[4][6][105] = int_stack + 17820;
 Libderiv->deriv2_classes[4][7][105] = int_stack + 18240;
 Libderiv->deriv2_classes[4][4][104] = int_stack + 18780;
 Libderiv->deriv2_classes[4][5][104] = int_stack + 19005;
 Libderiv->deriv2_classes[4][6][104] = int_stack + 19320;
 Libderiv->deriv2_classes[4][7][104] = int_stack + 19740;
 Libderiv->deriv2_classes[4][4][95] = int_stack + 20280;
 Libderiv->deriv2_classes[4][5][95] = int_stack + 20505;
 Libderiv->deriv2_classes[4][6][95] = int_stack + 20820;
 Libderiv->deriv2_classes[4][7][95] = int_stack + 21240;
 Libderiv->deriv2_classes[4][4][94] = int_stack + 21780;
 Libderiv->deriv2_classes[4][5][94] = int_stack + 22005;
 Libderiv->deriv2_classes[4][6][94] = int_stack + 22320;
 Libderiv->deriv2_classes[4][7][94] = int_stack + 22740;
 Libderiv->deriv2_classes[4][4][93] = int_stack + 23280;
 Libderiv->deriv2_classes[4][5][93] = int_stack + 23505;
 Libderiv->deriv2_classes[4][6][93] = int_stack + 23820;
 Libderiv->deriv2_classes[4][7][93] = int_stack + 24240;
 Libderiv->deriv2_classes[4][4][92] = int_stack + 24780;
 Libderiv->deriv2_classes[4][5][92] = int_stack + 25005;
 Libderiv->deriv2_classes[4][6][92] = int_stack + 25320;
 Libderiv->deriv2_classes[4][7][92] = int_stack + 25740;
 Libderiv->deriv2_classes[4][4][91] = int_stack + 26280;
 Libderiv->deriv2_classes[4][5][91] = int_stack + 26505;
 Libderiv->deriv2_classes[4][6][91] = int_stack + 26820;
 Libderiv->deriv2_classes[4][7][91] = int_stack + 27240;
 Libderiv->deriv_classes[4][4][11] = int_stack + 27780;
 Libderiv->deriv2_classes[4][4][83] = int_stack + 28005;
 Libderiv->deriv_classes[4][5][11] = int_stack + 28230;
 Libderiv->deriv2_classes[4][5][83] = int_stack + 28545;
 Libderiv->deriv_classes[4][6][11] = int_stack + 28860;
 Libderiv->deriv2_classes[4][6][83] = int_stack + 29280;
 Libderiv->deriv2_classes[4][7][83] = int_stack + 29700;
 Libderiv->deriv_classes[4][4][10] = int_stack + 30240;
 Libderiv->deriv2_classes[4][4][82] = int_stack + 30465;
 Libderiv->deriv_classes[4][5][10] = int_stack + 30690;
 Libderiv->deriv2_classes[4][5][82] = int_stack + 31005;
 Libderiv->deriv_classes[4][6][10] = int_stack + 31320;
 Libderiv->deriv2_classes[4][6][82] = int_stack + 31740;
 Libderiv->deriv2_classes[4][7][82] = int_stack + 32160;
 Libderiv->deriv_classes[4][4][9] = int_stack + 32700;
 Libderiv->deriv2_classes[4][4][81] = int_stack + 32925;
 Libderiv->deriv_classes[4][5][9] = int_stack + 33150;
 Libderiv->deriv2_classes[4][5][81] = int_stack + 33465;
 Libderiv->deriv_classes[4][6][9] = int_stack + 33780;
 Libderiv->deriv2_classes[4][6][81] = int_stack + 34200;
 Libderiv->deriv2_classes[4][7][81] = int_stack + 34620;
 Libderiv->deriv_classes[4][4][8] = int_stack + 35160;
 Libderiv->deriv2_classes[4][4][80] = int_stack + 35385;
 Libderiv->deriv_classes[4][5][8] = int_stack + 35610;
 Libderiv->deriv2_classes[4][5][80] = int_stack + 35925;
 Libderiv->deriv_classes[4][6][8] = int_stack + 36240;
 Libderiv->deriv2_classes[4][6][80] = int_stack + 36660;
 Libderiv->deriv2_classes[4][7][80] = int_stack + 37080;
 Libderiv->deriv_classes[4][4][7] = int_stack + 37620;
 Libderiv->deriv2_classes[4][4][79] = int_stack + 37845;
 Libderiv->deriv_classes[4][5][7] = int_stack + 38070;
 Libderiv->deriv2_classes[4][5][79] = int_stack + 38385;
 Libderiv->deriv_classes[4][6][7] = int_stack + 38700;
 Libderiv->deriv2_classes[4][6][79] = int_stack + 39120;
 Libderiv->deriv2_classes[4][7][79] = int_stack + 39540;
 Libderiv->dvrr_classes[4][4] = int_stack + 40080;
 Libderiv->deriv_classes[4][4][6] = int_stack + 40305;
 Libderiv->deriv2_classes[4][4][78] = int_stack + 40530;
 Libderiv->dvrr_classes[4][5] = int_stack + 40755;
 Libderiv->deriv_classes[4][5][6] = int_stack + 41070;
 Libderiv->deriv2_classes[4][5][78] = int_stack + 41385;
 Libderiv->deriv_classes[4][6][6] = int_stack + 41700;
 Libderiv->deriv2_classes[4][6][78] = int_stack + 42120;
 Libderiv->deriv2_classes[4][7][78] = int_stack + 42540;
 Libderiv->deriv2_classes[4][4][35] = int_stack + 43080;
 Libderiv->deriv2_classes[4][5][35] = int_stack + 43305;
 Libderiv->deriv2_classes[4][6][35] = int_stack + 43620;
 Libderiv->deriv2_classes[4][7][35] = int_stack + 44040;
 Libderiv->deriv2_classes[4][4][34] = int_stack + 44580;
 Libderiv->deriv2_classes[4][5][34] = int_stack + 44805;
 Libderiv->deriv2_classes[4][6][34] = int_stack + 45120;
 Libderiv->deriv2_classes[4][7][34] = int_stack + 45540;
 Libderiv->deriv2_classes[4][4][33] = int_stack + 46080;
 Libderiv->deriv2_classes[4][5][33] = int_stack + 46305;
 Libderiv->deriv2_classes[4][6][33] = int_stack + 46620;
 Libderiv->deriv2_classes[4][7][33] = int_stack + 47040;
 Libderiv->deriv2_classes[4][4][32] = int_stack + 47580;
 Libderiv->deriv2_classes[4][5][32] = int_stack + 47805;
 Libderiv->deriv2_classes[4][6][32] = int_stack + 48120;
 Libderiv->deriv2_classes[4][7][32] = int_stack + 48540;
 Libderiv->deriv2_classes[4][4][31] = int_stack + 49080;
 Libderiv->deriv2_classes[4][5][31] = int_stack + 49305;
 Libderiv->deriv2_classes[4][6][31] = int_stack + 49620;
 Libderiv->deriv2_classes[4][7][31] = int_stack + 50040;
 Libderiv->deriv_classes[4][4][2] = int_stack + 50580;
 Libderiv->deriv2_classes[4][4][30] = int_stack + 50805;
 Libderiv->deriv_classes[4][5][2] = int_stack + 51030;
 Libderiv->deriv2_classes[4][5][30] = int_stack + 51345;
 Libderiv->deriv_classes[4][6][2] = int_stack + 51660;
 Libderiv->deriv2_classes[4][6][30] = int_stack + 52080;
 Libderiv->deriv2_classes[4][7][30] = int_stack + 52500;
 Libderiv->deriv2_classes[4][4][26] = int_stack + 53040;
 Libderiv->deriv2_classes[4][5][26] = int_stack + 53265;
 Libderiv->deriv2_classes[4][6][26] = int_stack + 53580;
 Libderiv->deriv2_classes[4][7][26] = int_stack + 54000;
 Libderiv->deriv2_classes[4][4][23] = int_stack + 54540;
 Libderiv->deriv2_classes[4][5][23] = int_stack + 54765;
 Libderiv->deriv2_classes[4][6][23] = int_stack + 55080;
 Libderiv->deriv2_classes[4][7][23] = int_stack + 55500;
 Libderiv->deriv2_classes[4][4][22] = int_stack + 56040;
 Libderiv->deriv2_classes[4][5][22] = int_stack + 56265;
 Libderiv->deriv2_classes[4][6][22] = int_stack + 56580;
 Libderiv->deriv2_classes[4][7][22] = int_stack + 57000;
 Libderiv->deriv2_classes[4][4][21] = int_stack + 57540;
 Libderiv->deriv2_classes[4][5][21] = int_stack + 57765;
 Libderiv->deriv2_classes[4][6][21] = int_stack + 58080;
 Libderiv->deriv2_classes[4][7][21] = int_stack + 58500;
 Libderiv->deriv2_classes[4][4][20] = int_stack + 59040;
 Libderiv->deriv2_classes[4][5][20] = int_stack + 59265;
 Libderiv->deriv2_classes[4][6][20] = int_stack + 59580;
 Libderiv->deriv2_classes[4][7][20] = int_stack + 60000;
 Libderiv->deriv2_classes[4][4][19] = int_stack + 60540;
 Libderiv->deriv2_classes[4][5][19] = int_stack + 60765;
 Libderiv->deriv2_classes[4][6][19] = int_stack + 61080;
 Libderiv->deriv2_classes[4][7][19] = int_stack + 61500;
 Libderiv->deriv_classes[4][4][1] = int_stack + 62040;
 Libderiv->deriv2_classes[4][4][18] = int_stack + 62265;
 Libderiv->deriv_classes[4][5][1] = int_stack + 62490;
 Libderiv->deriv2_classes[4][5][18] = int_stack + 62805;
 Libderiv->deriv_classes[4][6][1] = int_stack + 63120;
 Libderiv->deriv2_classes[4][6][18] = int_stack + 63540;
 Libderiv->deriv2_classes[4][7][18] = int_stack + 63960;
 Libderiv->deriv2_classes[4][4][14] = int_stack + 64500;
 Libderiv->deriv2_classes[4][5][14] = int_stack + 64725;
 Libderiv->deriv2_classes[4][6][14] = int_stack + 65040;
 Libderiv->deriv2_classes[4][7][14] = int_stack + 65460;
 Libderiv->deriv2_classes[4][4][13] = int_stack + 66000;
 Libderiv->deriv2_classes[4][5][13] = int_stack + 66225;
 Libderiv->deriv2_classes[4][6][13] = int_stack + 66540;
 Libderiv->deriv2_classes[4][7][13] = int_stack + 66960;
 Libderiv->deriv2_classes[4][4][11] = int_stack + 67500;
 Libderiv->deriv2_classes[4][5][11] = int_stack + 67725;
 Libderiv->deriv2_classes[4][6][11] = int_stack + 68040;
 Libderiv->deriv2_classes[4][7][11] = int_stack + 68460;
 Libderiv->deriv2_classes[4][4][10] = int_stack + 69000;
 Libderiv->deriv2_classes[4][5][10] = int_stack + 69225;
 Libderiv->deriv2_classes[4][6][10] = int_stack + 69540;
 Libderiv->deriv2_classes[4][7][10] = int_stack + 69960;
 Libderiv->deriv2_classes[4][4][9] = int_stack + 70500;
 Libderiv->deriv2_classes[4][5][9] = int_stack + 70725;
 Libderiv->deriv2_classes[4][6][9] = int_stack + 71040;
 Libderiv->deriv2_classes[4][7][9] = int_stack + 71460;
 Libderiv->deriv2_classes[4][4][8] = int_stack + 72000;
 Libderiv->deriv2_classes[4][5][8] = int_stack + 72225;
 Libderiv->deriv2_classes[4][6][8] = int_stack + 72540;
 Libderiv->deriv2_classes[4][7][8] = int_stack + 72960;
 Libderiv->deriv2_classes[4][4][7] = int_stack + 73500;
 Libderiv->deriv2_classes[4][5][7] = int_stack + 73725;
 Libderiv->deriv2_classes[4][6][7] = int_stack + 74040;
 Libderiv->deriv2_classes[4][7][7] = int_stack + 74460;
 Libderiv->deriv_classes[4][4][0] = int_stack + 75000;
 Libderiv->deriv2_classes[4][4][6] = int_stack + 75225;
 Libderiv->deriv_classes[4][5][0] = int_stack + 75450;
 Libderiv->deriv2_classes[4][5][6] = int_stack + 75765;
 Libderiv->deriv_classes[4][6][0] = int_stack + 76080;
 Libderiv->deriv2_classes[4][6][6] = int_stack + 76500;
 Libderiv->deriv2_classes[4][7][6] = int_stack + 76920;
 Libderiv->deriv2_classes[4][4][2] = int_stack + 77460;
 Libderiv->deriv2_classes[4][5][2] = int_stack + 77685;
 Libderiv->deriv2_classes[4][6][2] = int_stack + 78000;
 Libderiv->deriv2_classes[4][7][2] = int_stack + 78420;
 Libderiv->deriv2_classes[4][4][1] = int_stack + 78960;
 Libderiv->deriv2_classes[4][5][1] = int_stack + 79185;
 Libderiv->deriv2_classes[4][6][1] = int_stack + 79500;
 Libderiv->deriv2_classes[4][7][1] = int_stack + 79920;
 Libderiv->deriv2_classes[4][4][0] = int_stack + 80460;
 Libderiv->deriv2_classes[4][5][0] = int_stack + 80685;
 Libderiv->deriv2_classes[4][6][0] = int_stack + 81000;
 Libderiv->deriv2_classes[4][7][0] = int_stack + 81420;
 memset(int_stack,0,655680);

 Libderiv->dvrr_stack = int_stack + 198195;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_g0gf(Libderiv, Data);
   Data++;
 }

 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+81960,int_stack+40755,int_stack+40080,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+82635,int_stack+2700,int_stack+40755,15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+83580,int_stack+82635,int_stack+81960,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+84930,int_stack+28230,int_stack+27780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40080,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+85605,int_stack+28860,int_stack+28230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40755,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+86550,int_stack+85605,int_stack+84930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81960,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+87900,int_stack+0,int_stack+28860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2700,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+89160,int_stack+87900,int_stack+85605, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82635,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+87900,int_stack+30690,int_stack+30240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40080, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+91050,int_stack+31320,int_stack+30690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40755, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+91995,int_stack+91050,int_stack+87900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81960, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+93345,int_stack+540,int_stack+31320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2700, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+94605,int_stack+93345,int_stack+91050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82635, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+93345,int_stack+33150,int_stack+32700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40080, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+33780,int_stack+33150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40755, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+96495,int_stack+0,int_stack+93345, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81960, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+97845,int_stack+1080,int_stack+33780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2700, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+99105,int_stack+97845,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82635, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+945,int_stack+35610,int_stack+35160, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+97845,int_stack+36240,int_stack+35610, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40755, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+100995,int_stack+97845,int_stack+945, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+102345,int_stack+1620,int_stack+36240, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+103605,int_stack+102345,int_stack+97845, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+102345,int_stack+38070,int_stack+37620, 0.0, zero_stack, 1.0, int_stack+40080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+105495,int_stack+38700,int_stack+38070, 0.0, zero_stack, 1.0, int_stack+40755, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+106440,int_stack+105495,int_stack+102345, 0.0, zero_stack, 1.0, int_stack+81960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+107790,int_stack+2160,int_stack+38700, 0.0, zero_stack, 1.0, int_stack+2700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+109050,int_stack+107790,int_stack+105495, 0.0, zero_stack, 1.0, int_stack+82635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+107790,int_stack+41070,int_stack+40305, 1.0, int_stack+40080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1620,int_stack+41700,int_stack+41070, 1.0, int_stack+40755, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+110940,int_stack+1620,int_stack+107790, 1.0, int_stack+81960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+112290,int_stack+3120,int_stack+41700, 1.0, int_stack+2700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+113550,int_stack+112290,int_stack+1620, 1.0, int_stack+82635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+112290,int_stack+51030,int_stack+50580,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+81960,int_stack+51660,int_stack+51030,15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+115440,int_stack+81960,int_stack+112290,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+116790,int_stack+3660,int_stack+51660,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+118050,int_stack+116790,int_stack+81960,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+82905,int_stack+62490,int_stack+62040,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+116790,int_stack+63120,int_stack+62490,15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+2565,int_stack+116790,int_stack+82905,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+119940,int_stack+4200,int_stack+63120,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+121200,int_stack+119940,int_stack+116790,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+119940,int_stack+75450,int_stack+75000,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+123090,int_stack+76080,int_stack+75450,15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+124035,int_stack+123090,int_stack+119940,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+125385,int_stack+4740,int_stack+76080,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+126645,int_stack+125385,int_stack+123090,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+125385,int_stack+5505,int_stack+5280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+27780,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+5820,int_stack+5505, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+28230,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+128535,int_stack+3915,int_stack+125385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+84930,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+125385,int_stack+6240,int_stack+5820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+28860,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4860,int_stack+125385,int_stack+3915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+85605,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3915,int_stack+7005,int_stack+6780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27780, 1.0, int_stack+30240,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+125385,int_stack+7320,int_stack+7005, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28230, 1.0, int_stack+30690,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+129885,int_stack+125385,int_stack+3915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84930, 1.0, int_stack+87900,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+131235,int_stack+7740,int_stack+7320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28860, 1.0, int_stack+31320,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+132495,int_stack+131235,int_stack+125385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85605, 1.0, int_stack+91050,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+125385,int_stack+8505,int_stack+8280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+30240, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+8820,int_stack+8505, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+30690, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+6750,int_stack+3915,int_stack+125385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+87900, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+125385,int_stack+9240,int_stack+8820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+31320, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+134385,int_stack+125385,int_stack+3915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+91050, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3915,int_stack+10005,int_stack+9780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27780, 0.0, zero_stack, 1.0, int_stack+32700,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+125385,int_stack+10320,int_stack+10005, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28230, 0.0, zero_stack, 1.0, int_stack+33150,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+8100,int_stack+125385,int_stack+3915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84930, 0.0, zero_stack, 1.0, int_stack+93345,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+131235,int_stack+10740,int_stack+10320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28860, 0.0, zero_stack, 1.0, int_stack+33780,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+136275,int_stack+131235,int_stack+125385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85605, 0.0, zero_stack, 1.0, int_stack+0,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+125385,int_stack+11505,int_stack+11280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30240, 1.0, int_stack+32700, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+11820,int_stack+11505, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30690, 1.0, int_stack+33150, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+9450,int_stack+3915,int_stack+125385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87900, 1.0, int_stack+93345, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+125385,int_stack+12240,int_stack+11820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31320, 1.0, int_stack+33780, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+10800,int_stack+125385,int_stack+3915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91050, 1.0, int_stack+0, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3915,int_stack+13005,int_stack+12780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+32700, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+125385,int_stack+13320,int_stack+13005, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+33150, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+138165,int_stack+125385,int_stack+3915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+93345, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+131235,int_stack+13740,int_stack+13320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+33780, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+139515,int_stack+131235,int_stack+125385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+125385,int_stack+14505,int_stack+14280, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27780, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35160,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+14820,int_stack+14505, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28230, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35610,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+12690,int_stack+3915,int_stack+125385, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84930, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+945,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+125385,int_stack+15240,int_stack+14820, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28860, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36240,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+141405,int_stack+125385,int_stack+3915, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85605, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97845,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3915,int_stack+16005,int_stack+15780, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30240, 0.0, zero_stack, 1.0, int_stack+35160, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+125385,int_stack+16320,int_stack+16005, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30690, 0.0, zero_stack, 1.0, int_stack+35610, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+14040,int_stack+125385,int_stack+3915, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87900, 0.0, zero_stack, 1.0, int_stack+945, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+131235,int_stack+16740,int_stack+16320, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31320, 0.0, zero_stack, 1.0, int_stack+36240, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+15390,int_stack+131235,int_stack+125385, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91050, 0.0, zero_stack, 1.0, int_stack+97845, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+125385,int_stack+17505,int_stack+17280, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32700, 1.0, int_stack+35160, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+17820,int_stack+17505, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33150, 1.0, int_stack+35610, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+143295,int_stack+3915,int_stack+125385, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93345, 1.0, int_stack+945, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+125385,int_stack+18240,int_stack+17820, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33780, 1.0, int_stack+36240, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+144645,int_stack+125385,int_stack+3915, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 1.0, int_stack+97845, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3915,int_stack+19005,int_stack+18780, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+35160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+125385,int_stack+19320,int_stack+19005, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+35610, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+17280,int_stack+125385,int_stack+3915, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+131235,int_stack+19740,int_stack+19320, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+36240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+146535,int_stack+131235,int_stack+125385, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+97845, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+125385,int_stack+20505,int_stack+20280, 0.0, zero_stack, 1.0, int_stack+27780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37620,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+20820,int_stack+20505, 0.0, zero_stack, 1.0, int_stack+28230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38070,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+18630,int_stack+3915,int_stack+125385, 0.0, zero_stack, 1.0, int_stack+84930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+102345,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+125385,int_stack+21240,int_stack+20820, 0.0, zero_stack, 1.0, int_stack+28860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38700,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+148425,int_stack+125385,int_stack+3915, 0.0, zero_stack, 1.0, int_stack+85605, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105495,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3915,int_stack+22005,int_stack+21780, 0.0, zero_stack, 1.0, int_stack+30240, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37620, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+125385,int_stack+22320,int_stack+22005, 0.0, zero_stack, 1.0, int_stack+30690, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38070, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+19980,int_stack+125385,int_stack+3915, 0.0, zero_stack, 1.0, int_stack+87900, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+102345, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+131235,int_stack+22740,int_stack+22320, 0.0, zero_stack, 1.0, int_stack+31320, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38700, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+21330,int_stack+131235,int_stack+125385, 0.0, zero_stack, 1.0, int_stack+91050, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105495, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+125385,int_stack+23505,int_stack+23280, 0.0, zero_stack, 1.0, int_stack+32700, 0.0, zero_stack, 1.0, int_stack+37620, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+23820,int_stack+23505, 0.0, zero_stack, 1.0, int_stack+33150, 0.0, zero_stack, 1.0, int_stack+38070, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+150315,int_stack+3915,int_stack+125385, 0.0, zero_stack, 1.0, int_stack+93345, 0.0, zero_stack, 1.0, int_stack+102345, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+125385,int_stack+24240,int_stack+23820, 0.0, zero_stack, 1.0, int_stack+33780, 0.0, zero_stack, 1.0, int_stack+38700, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+151665,int_stack+125385,int_stack+3915, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 1.0, int_stack+105495, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3915,int_stack+25005,int_stack+24780, 0.0, zero_stack, 1.0, int_stack+35160, 1.0, int_stack+37620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+125385,int_stack+25320,int_stack+25005, 0.0, zero_stack, 1.0, int_stack+35610, 1.0, int_stack+38070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+23220,int_stack+125385,int_stack+3915, 0.0, zero_stack, 1.0, int_stack+945, 1.0, int_stack+102345, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+131235,int_stack+25740,int_stack+25320, 0.0, zero_stack, 1.0, int_stack+36240, 1.0, int_stack+38700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+153555,int_stack+131235,int_stack+125385, 0.0, zero_stack, 1.0, int_stack+97845, 1.0, int_stack+105495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+125385,int_stack+26505,int_stack+26280, 0.0, zero_stack, 2.0, int_stack+37620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+26820,int_stack+26505, 0.0, zero_stack, 2.0, int_stack+38070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+24570,int_stack+3915,int_stack+125385, 0.0, zero_stack, 2.0, int_stack+102345, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+125385,int_stack+27240,int_stack+26820, 0.0, zero_stack, 2.0, int_stack+38700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+155445,int_stack+125385,int_stack+3915, 0.0, zero_stack, 2.0, int_stack+105495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3915,int_stack+28545,int_stack+28005, 1.0, int_stack+27780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40305,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+125385,int_stack+29280,int_stack+28545, 1.0, int_stack+28230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41070,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+25920,int_stack+125385,int_stack+3915, 1.0, int_stack+84930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107790,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+131235,int_stack+29700,int_stack+29280, 1.0, int_stack+28860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41700,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27270,int_stack+131235,int_stack+125385, 1.0, int_stack+85605, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1620,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+125385,int_stack+31005,int_stack+30465, 1.0, int_stack+30240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40305, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+31740,int_stack+31005, 1.0, int_stack+30690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41070, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+84930,int_stack+3915,int_stack+125385, 1.0, int_stack+87900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107790, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+87900,int_stack+32160,int_stack+31740, 1.0, int_stack+31320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41700, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+29160,int_stack+87900,int_stack+3915, 1.0, int_stack+91050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1620, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+91050,int_stack+33465,int_stack+32925, 1.0, int_stack+32700, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40305, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+34200,int_stack+33465, 1.0, int_stack+33150, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41070, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+31050,int_stack+3915,int_stack+91050, 1.0, int_stack+93345, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107790, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+93345,int_stack+34620,int_stack+34200, 1.0, int_stack+33780, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41700, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+32400,int_stack+93345,int_stack+3915, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1620, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+0,int_stack+35925,int_stack+35385, 1.0, int_stack+35160, 0.0, zero_stack, 1.0, int_stack+40305, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+36660,int_stack+35925, 1.0, int_stack+35610, 0.0, zero_stack, 1.0, int_stack+41070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+34290,int_stack+3915,int_stack+0, 1.0, int_stack+945, 0.0, zero_stack, 1.0, int_stack+107790, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+93345,int_stack+37080,int_stack+36660, 1.0, int_stack+36240, 0.0, zero_stack, 1.0, int_stack+41700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+35640,int_stack+93345,int_stack+3915, 1.0, int_stack+97845, 0.0, zero_stack, 1.0, int_stack+1620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+97845,int_stack+38385,int_stack+37845, 1.0, int_stack+37620, 1.0, int_stack+40305, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+39120,int_stack+38385, 1.0, int_stack+38070, 1.0, int_stack+41070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+0,int_stack+3915,int_stack+97845, 1.0, int_stack+102345, 1.0, int_stack+107790, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+102345,int_stack+39540,int_stack+39120, 1.0, int_stack+38700, 1.0, int_stack+41700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+37530,int_stack+102345,int_stack+3915, 1.0, int_stack+105495, 1.0, int_stack+1620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+105495,int_stack+41385,int_stack+40530, 2.0, int_stack+40305, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+42120,int_stack+41385, 2.0, int_stack+41070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+39420,int_stack+3915,int_stack+105495, 2.0, int_stack+107790, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+107790,int_stack+42540,int_stack+42120, 2.0, int_stack+41700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+40770,int_stack+107790,int_stack+3915, 2.0, int_stack+1620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3915,int_stack+43305,int_stack+43080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50580,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+105495,int_stack+43620,int_stack+43305, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51030,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+157335,int_stack+105495,int_stack+3915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+112290,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+107790,int_stack+44040,int_stack+43620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51660,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+42660,int_stack+107790,int_stack+105495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81960,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+105495,int_stack+44805,int_stack+44580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50580, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+45120,int_stack+44805, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51030, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+158685,int_stack+3915,int_stack+105495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+112290, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+107790,int_stack+45540,int_stack+45120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51660, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+160035,int_stack+107790,int_stack+3915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81960, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3915,int_stack+46305,int_stack+46080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50580, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+105495,int_stack+46620,int_stack+46305, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51030, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+44550,int_stack+105495,int_stack+3915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+112290, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+107790,int_stack+47040,int_stack+46620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51660, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+161925,int_stack+107790,int_stack+105495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81960, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+105495,int_stack+47805,int_stack+47580, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+48120,int_stack+47805, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+45900,int_stack+3915,int_stack+105495, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+112290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+107790,int_stack+48540,int_stack+48120, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+163815,int_stack+107790,int_stack+3915, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3915,int_stack+49305,int_stack+49080, 0.0, zero_stack, 1.0, int_stack+50580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+105495,int_stack+49620,int_stack+49305, 0.0, zero_stack, 1.0, int_stack+51030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+47250,int_stack+105495,int_stack+3915, 0.0, zero_stack, 1.0, int_stack+112290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+107790,int_stack+50040,int_stack+49620, 0.0, zero_stack, 1.0, int_stack+51660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+48600,int_stack+107790,int_stack+105495, 0.0, zero_stack, 1.0, int_stack+81960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+105495,int_stack+51345,int_stack+50805, 1.0, int_stack+50580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+52080,int_stack+51345, 1.0, int_stack+51030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+165705,int_stack+3915,int_stack+105495, 1.0, int_stack+112290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+112290,int_stack+52500,int_stack+52080, 1.0, int_stack+51660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+50490,int_stack+112290,int_stack+3915, 1.0, int_stack+81960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+81960,int_stack+53265,int_stack+53040,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+53580,int_stack+53265,15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+167055,int_stack+3915,int_stack+81960,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+112290,int_stack+54000,int_stack+53580,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+52380,int_stack+112290,int_stack+3915,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3915,int_stack+54765,int_stack+54540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62040,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+81960,int_stack+55080,int_stack+54765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62490,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+168405,int_stack+81960,int_stack+3915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82905,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+112290,int_stack+55500,int_stack+55080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63120,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+169755,int_stack+112290,int_stack+81960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116790,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+81960,int_stack+56265,int_stack+56040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62040, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+56580,int_stack+56265, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62490, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+54270,int_stack+3915,int_stack+81960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82905, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+112290,int_stack+57000,int_stack+56580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63120, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+55620,int_stack+112290,int_stack+3915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116790, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3915,int_stack+57765,int_stack+57540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62040, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+81960,int_stack+58080,int_stack+57765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62490, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+171645,int_stack+81960,int_stack+3915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82905, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+112290,int_stack+58500,int_stack+58080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63120, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+172995,int_stack+112290,int_stack+81960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116790, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+81960,int_stack+59265,int_stack+59040, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+59580,int_stack+59265, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+57510,int_stack+3915,int_stack+81960, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+82905, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+112290,int_stack+60000,int_stack+59580, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+174885,int_stack+112290,int_stack+3915, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116790, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3915,int_stack+60765,int_stack+60540, 0.0, zero_stack, 1.0, int_stack+62040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+81960,int_stack+61080,int_stack+60765, 0.0, zero_stack, 1.0, int_stack+62490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+58860,int_stack+81960,int_stack+3915, 0.0, zero_stack, 1.0, int_stack+82905, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+112290,int_stack+61500,int_stack+61080, 0.0, zero_stack, 1.0, int_stack+63120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+176775,int_stack+112290,int_stack+81960, 0.0, zero_stack, 1.0, int_stack+116790, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+81960,int_stack+62805,int_stack+62265, 1.0, int_stack+62040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+63540,int_stack+62805, 1.0, int_stack+62490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+60210,int_stack+3915,int_stack+81960, 1.0, int_stack+82905, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+112290,int_stack+63960,int_stack+63540, 1.0, int_stack+63120, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+61560,int_stack+112290,int_stack+3915, 1.0, int_stack+116790, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+116790,int_stack+64725,int_stack+64500,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+65040,int_stack+64725,15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+81960,int_stack+3915,int_stack+116790,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+116790,int_stack+65460,int_stack+65040,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+63450,int_stack+116790,int_stack+3915,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+3915,int_stack+66225,int_stack+66000,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+105495,int_stack+66540,int_stack+66225,15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+178665,int_stack+105495,int_stack+3915,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+116790,int_stack+66960,int_stack+66540,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+65340,int_stack+116790,int_stack+105495,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+105495,int_stack+67725,int_stack+67500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75000,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+68040,int_stack+67725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75450,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+180015,int_stack+3915,int_stack+105495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119940,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+116790,int_stack+68460,int_stack+68040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76080,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+181365,int_stack+116790,int_stack+3915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123090,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3915,int_stack+69225,int_stack+69000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75000, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+105495,int_stack+69540,int_stack+69225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75450, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+67230,int_stack+105495,int_stack+3915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119940, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+116790,int_stack+69960,int_stack+69540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76080, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+68580,int_stack+116790,int_stack+105495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123090, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+105495,int_stack+70725,int_stack+70500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75000, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+71040,int_stack+70725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75450, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+183255,int_stack+3915,int_stack+105495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119940, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+116790,int_stack+71460,int_stack+71040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76080, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+184605,int_stack+116790,int_stack+3915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123090, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3915,int_stack+72225,int_stack+72000, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+105495,int_stack+72540,int_stack+72225, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+70470,int_stack+105495,int_stack+3915, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+116790,int_stack+72960,int_stack+72540, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+186495,int_stack+116790,int_stack+105495, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+105495,int_stack+73725,int_stack+73500, 0.0, zero_stack, 1.0, int_stack+75000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3915,int_stack+74040,int_stack+73725, 0.0, zero_stack, 1.0, int_stack+75450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+71820,int_stack+3915,int_stack+105495, 0.0, zero_stack, 1.0, int_stack+119940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+116790,int_stack+74460,int_stack+74040, 0.0, zero_stack, 1.0, int_stack+76080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+188385,int_stack+116790,int_stack+3915, 0.0, zero_stack, 1.0, int_stack+123090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3915,int_stack+75765,int_stack+75225, 1.0, int_stack+75000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+105495,int_stack+76500,int_stack+75765, 1.0, int_stack+75450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+73170,int_stack+105495,int_stack+3915, 1.0, int_stack+119940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+119940,int_stack+76920,int_stack+76500, 1.0, int_stack+76080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+74520,int_stack+119940,int_stack+105495, 1.0, int_stack+123090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+123090,int_stack+77685,int_stack+77460,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+105495,int_stack+78000,int_stack+77685,15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+76410,int_stack+105495,int_stack+123090,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+119940,int_stack+78420,int_stack+78000,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+190275,int_stack+119940,int_stack+105495,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+105495,int_stack+79185,int_stack+78960,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+123090,int_stack+79500,int_stack+79185,15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+77760,int_stack+123090,int_stack+105495,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+119940,int_stack+79920,int_stack+79500,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+192165,int_stack+119940,int_stack+123090,15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+123090,int_stack+80685,int_stack+80460,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+105495,int_stack+81000,int_stack+80685,15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+79110,int_stack+105495,int_stack+123090,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+119940,int_stack+81420,int_stack+81000,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+194055,int_stack+119940,int_stack+105495,15);
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+195945,int_stack+89160,int_stack+86550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83580,15);
     Libderiv->ABCD[11] = int_stack + 195945;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+87900,int_stack+94605,int_stack+91995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83580, 0.0, zero_stack,15);
     Libderiv->ABCD[10] = int_stack + 87900;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+93345,int_stack+99105,int_stack+96495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83580, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[9] = int_stack + 93345;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+97845,int_stack+103605,int_stack+100995, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[8] = int_stack + 97845;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+102345,int_stack+109050,int_stack+106440, 0.0, zero_stack, 1.0, int_stack+83580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[7] = int_stack + 102345;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+107790,int_stack+113550,int_stack+110940, 1.0, int_stack+83580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[6] = int_stack + 107790;
 /*--- compute (g0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+112290,int_stack+118050,int_stack+115440,15);
     Libderiv->ABCD[2] = int_stack + 112290;
 /*--- compute (g0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+116790,int_stack+121200,int_stack+2565,15);
     Libderiv->ABCD[1] = int_stack + 116790;
 /*--- compute (g0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+119040,int_stack+126645,int_stack+124035,15);
     Libderiv->ABCD[0] = int_stack + 119040;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+121290,int_stack+4860,int_stack+128535, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+86550,15);
     Libderiv->ABCD[155] = int_stack + 121290;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+3915,int_stack+132495,int_stack+129885, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86550, 1.0, int_stack+91995,15);
     Libderiv->ABCD[143] = int_stack + 3915;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+125385,int_stack+134385,int_stack+6750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+91995, 0.0, zero_stack,15);
     Libderiv->ABCD[142] = int_stack + 125385;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+127635,int_stack+136275,int_stack+8100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86550, 0.0, zero_stack, 1.0, int_stack+96495,15);
     Libderiv->ABCD[131] = int_stack + 127635;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+6165,int_stack+10800,int_stack+9450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91995, 1.0, int_stack+96495, 0.0, zero_stack,15);
     Libderiv->ABCD[130] = int_stack + 6165;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+8415,int_stack+139515,int_stack+138165, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+96495, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[129] = int_stack + 8415;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+129885,int_stack+141405,int_stack+12690, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86550, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100995,15);
     Libderiv->ABCD[119] = int_stack + 129885;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+10665,int_stack+15390,int_stack+14040, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+91995, 0.0, zero_stack, 1.0, int_stack+100995, 0.0, zero_stack,15);
     Libderiv->ABCD[118] = int_stack + 10665;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+12915,int_stack+144645,int_stack+143295, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+96495, 1.0, int_stack+100995, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[117] = int_stack + 12915;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+132135,int_stack+146535,int_stack+17280, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+100995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[116] = int_stack + 132135;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+15165,int_stack+148425,int_stack+18630, 0.0, zero_stack, 1.0, int_stack+86550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106440,15);
     Libderiv->ABCD[107] = int_stack + 15165;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+17415,int_stack+21330,int_stack+19980, 0.0, zero_stack, 1.0, int_stack+91995, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106440, 0.0, zero_stack,15);
     Libderiv->ABCD[106] = int_stack + 17415;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+19665,int_stack+151665,int_stack+150315, 0.0, zero_stack, 1.0, int_stack+96495, 0.0, zero_stack, 1.0, int_stack+106440, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[105] = int_stack + 19665;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+134385,int_stack+153555,int_stack+23220, 0.0, zero_stack, 1.0, int_stack+100995, 1.0, int_stack+106440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[104] = int_stack + 134385;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+21915,int_stack+155445,int_stack+24570, 0.0, zero_stack, 2.0, int_stack+106440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[103] = int_stack + 21915;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+136635,int_stack+27270,int_stack+25920, 1.0, int_stack+86550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110940,15);
     Libderiv->ABCD[95] = int_stack + 136635;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+24165,int_stack+29160,int_stack+84930, 1.0, int_stack+91995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110940, 0.0, zero_stack,15);
     Libderiv->ABCD[94] = int_stack + 24165;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+26415,int_stack+32400,int_stack+31050, 1.0, int_stack+96495, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110940, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[93] = int_stack + 26415;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+95595,int_stack+35640,int_stack+34290, 1.0, int_stack+100995, 0.0, zero_stack, 1.0, int_stack+110940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[92] = int_stack + 95595;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+100095,int_stack+37530,int_stack+0, 1.0, int_stack+106440, 1.0, int_stack+110940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[91] = int_stack + 100095;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+0,int_stack+40770,int_stack+39420, 2.0, int_stack+110940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[90] = int_stack + 0;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+110040,int_stack+42660,int_stack+157335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115440,15);
     Libderiv->ABCD[47] = int_stack + 110040;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+28665,int_stack+160035,int_stack+158685, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115440, 0.0, zero_stack,15);
     Libderiv->ABCD[46] = int_stack + 28665;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+30915,int_stack+161925,int_stack+44550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115440, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[45] = int_stack + 30915;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+33165,int_stack+163815,int_stack+45900, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[44] = int_stack + 33165;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+35415,int_stack+48600,int_stack+47250, 0.0, zero_stack, 1.0, int_stack+115440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[43] = int_stack + 35415;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+37665,int_stack+50490,int_stack+165705, 1.0, int_stack+115440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[42] = int_stack + 37665;
 /*--- compute (g0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+114540,int_stack+52380,int_stack+167055,15);
     Libderiv->ABCD[38] = int_stack + 114540;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+39915,int_stack+169755,int_stack+168405, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2565,15);
     Libderiv->ABCD[35] = int_stack + 39915;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+42165,int_stack+55620,int_stack+54270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2565, 0.0, zero_stack,15);
     Libderiv->ABCD[34] = int_stack + 42165;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+44415,int_stack+172995,int_stack+171645, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2565, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[33] = int_stack + 44415;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+46665,int_stack+174885,int_stack+57510, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2565, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[32] = int_stack + 46665;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+48915,int_stack+176775,int_stack+58860, 0.0, zero_stack, 1.0, int_stack+2565, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[31] = int_stack + 48915;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+51165,int_stack+61560,int_stack+60210, 1.0, int_stack+2565, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[30] = int_stack + 51165;
 /*--- compute (g0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+53415,int_stack+63450,int_stack+81960,15);
     Libderiv->ABCD[26] = int_stack + 53415;
 /*--- compute (g0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+55665,int_stack+65340,int_stack+178665,15);
     Libderiv->ABCD[25] = int_stack + 55665;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+57915,int_stack+181365,int_stack+180015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124035,15);
     Libderiv->ABCD[23] = int_stack + 57915;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+60165,int_stack+68580,int_stack+67230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124035, 0.0, zero_stack,15);
     Libderiv->ABCD[22] = int_stack + 60165;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+62415,int_stack+184605,int_stack+183255, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124035, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[21] = int_stack + 62415;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+64665,int_stack+186495,int_stack+70470, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[20] = int_stack + 64665;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+66915,int_stack+188385,int_stack+71820, 0.0, zero_stack, 1.0, int_stack+124035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[19] = int_stack + 66915;
 /*--- compute (g0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+69165,int_stack+74520,int_stack+73170, 1.0, int_stack+124035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[18] = int_stack + 69165;
 /*--- compute (g0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+71415,int_stack+190275,int_stack+76410,15);
     Libderiv->ABCD[14] = int_stack + 71415;
 /*--- compute (g0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+73665,int_stack+192165,int_stack+77760,15);
     Libderiv->ABCD[13] = int_stack + 73665;
 /*--- compute (g0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+75915,int_stack+194055,int_stack+79110,15);
     Libderiv->ABCD[12] = int_stack + 75915;

}
