#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_00hf(Libderiv_t *, prim_data *);

  /* Computes derivatives of (00|hf) integrals */

void d1hrr_order_00hf(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[0][5][11] = int_stack + 0;
 Libderiv->deriv_classes[0][6][11] = int_stack + 21;
 Libderiv->deriv_classes[0][7][11] = int_stack + 49;
 Libderiv->deriv_classes[0][8][11] = int_stack + 85;
 Libderiv->deriv_classes[0][5][10] = int_stack + 130;
 Libderiv->deriv_classes[0][6][10] = int_stack + 151;
 Libderiv->deriv_classes[0][7][10] = int_stack + 179;
 Libderiv->deriv_classes[0][8][10] = int_stack + 215;
 Libderiv->deriv_classes[0][5][9] = int_stack + 260;
 Libderiv->deriv_classes[0][6][9] = int_stack + 281;
 Libderiv->deriv_classes[0][7][9] = int_stack + 309;
 Libderiv->deriv_classes[0][8][9] = int_stack + 345;
 Libderiv->deriv_classes[0][5][8] = int_stack + 390;
 Libderiv->deriv_classes[0][6][8] = int_stack + 411;
 Libderiv->deriv_classes[0][7][8] = int_stack + 439;
 Libderiv->deriv_classes[0][8][8] = int_stack + 475;
 Libderiv->deriv_classes[0][5][7] = int_stack + 520;
 Libderiv->deriv_classes[0][6][7] = int_stack + 541;
 Libderiv->deriv_classes[0][7][7] = int_stack + 569;
 Libderiv->deriv_classes[0][8][7] = int_stack + 605;
 Libderiv->dvrr_classes[0][5] = int_stack + 650;
 Libderiv->deriv_classes[0][5][6] = int_stack + 671;
 Libderiv->dvrr_classes[0][6] = int_stack + 692;
 Libderiv->deriv_classes[0][6][6] = int_stack + 720;
 Libderiv->dvrr_classes[0][7] = int_stack + 748;
 Libderiv->deriv_classes[0][7][6] = int_stack + 784;
 Libderiv->deriv_classes[0][8][6] = int_stack + 820;
 Libderiv->deriv_classes[0][5][2] = int_stack + 865;
 Libderiv->deriv_classes[0][6][2] = int_stack + 886;
 Libderiv->deriv_classes[0][7][2] = int_stack + 914;
 Libderiv->deriv_classes[0][8][2] = int_stack + 950;
 Libderiv->deriv_classes[0][5][1] = int_stack + 995;
 Libderiv->deriv_classes[0][6][1] = int_stack + 1016;
 Libderiv->deriv_classes[0][7][1] = int_stack + 1044;
 Libderiv->deriv_classes[0][8][1] = int_stack + 1080;
 Libderiv->deriv_classes[0][5][0] = int_stack + 1125;
 Libderiv->deriv_classes[0][6][0] = int_stack + 1146;
 Libderiv->deriv_classes[0][7][0] = int_stack + 1174;
 Libderiv->deriv_classes[0][8][0] = int_stack + 1210;
 memset(int_stack,0,10040);

 Libderiv->dvrr_stack = int_stack + 3421;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_00hf(Libderiv, Data);
   Data++;
 }

 /*--- compute (00|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1255,int_stack+692,int_stack+650,1);
 /*--- compute (00|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1318,int_stack+748,int_stack+692,1);
 /*--- compute (00|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1402,int_stack+1318,int_stack+1255,1);
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1528,int_stack+21,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+650,1);
 /*--- compute (00|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1591,int_stack+49,int_stack+21, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+692,1);
 /*--- compute (00|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1675,int_stack+1591,int_stack+1528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1255,1);
 /*--- compute (00|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1801,int_stack+85,int_stack+49, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+748,1);
 /*--- compute (00|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1909,int_stack+1801,int_stack+1591, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1318,1);
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1801,int_stack+151,int_stack+130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+650, 0.0, zero_stack,1);
 /*--- compute (00|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1528,int_stack+179,int_stack+151, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+692, 0.0, zero_stack,1);
 /*--- compute (00|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+1528,int_stack+1801, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1255, 0.0, zero_stack,1);
 /*--- compute (00|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1801,int_stack+215,int_stack+179, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+748, 0.0, zero_stack,1);
 /*--- compute (00|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2077,int_stack+1801,int_stack+1528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1318, 0.0, zero_stack,1);
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1528,int_stack+281,int_stack+260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+650, 0.0, zero_stack, 0.0, zero_stack,1);
 /*--- compute (00|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1591,int_stack+309,int_stack+281, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+692, 0.0, zero_stack, 0.0, zero_stack,1);
 /*--- compute (00|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+126,int_stack+1591,int_stack+1528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1255, 0.0, zero_stack, 0.0, zero_stack,1);
 /*--- compute (00|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1801,int_stack+345,int_stack+309, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+748, 0.0, zero_stack, 0.0, zero_stack,1);
 /*--- compute (00|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2245,int_stack+1801,int_stack+1591, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1318, 0.0, zero_stack, 0.0, zero_stack,1);
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1801,int_stack+411,int_stack+390, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
 /*--- compute (00|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1528,int_stack+439,int_stack+411, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
 /*--- compute (00|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+252,int_stack+1528,int_stack+1801, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1255, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
 /*--- compute (00|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1801,int_stack+475,int_stack+439, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+748, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
 /*--- compute (00|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2413,int_stack+1801,int_stack+1528, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1318, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1528,int_stack+541,int_stack+520, 0.0, zero_stack, 1.0, int_stack+650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
 /*--- compute (00|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1591,int_stack+569,int_stack+541, 0.0, zero_stack, 1.0, int_stack+692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
 /*--- compute (00|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+378,int_stack+1591,int_stack+1528, 0.0, zero_stack, 1.0, int_stack+1255, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
 /*--- compute (00|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1801,int_stack+605,int_stack+569, 0.0, zero_stack, 1.0, int_stack+748, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
 /*--- compute (00|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2581,int_stack+1801,int_stack+1591, 0.0, zero_stack, 1.0, int_stack+1318, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1801,int_stack+720,int_stack+671, 1.0, int_stack+650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
 /*--- compute (00|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1528,int_stack+784,int_stack+720, 1.0, int_stack+692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
 /*--- compute (00|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+504,int_stack+1528,int_stack+1801, 1.0, int_stack+1255, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
 /*--- compute (00|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1801,int_stack+820,int_stack+784, 1.0, int_stack+748, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
 /*--- compute (00|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+630,int_stack+1801,int_stack+1528, 1.0, int_stack+1318, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
 /*--- compute (00|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1528,int_stack+886,int_stack+865,1);
 /*--- compute (00|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1591,int_stack+914,int_stack+886,1);
 /*--- compute (00|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1255,int_stack+1591,int_stack+1528,1);
 /*--- compute (00|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1801,int_stack+950,int_stack+914,1);
 /*--- compute (00|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+798,int_stack+1801,int_stack+1591,1);
 /*--- compute (00|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1801,int_stack+1016,int_stack+995,1);
 /*--- compute (00|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1528,int_stack+1044,int_stack+1016,1);
 /*--- compute (00|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+2749,int_stack+1528,int_stack+1801,1);
 /*--- compute (00|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1801,int_stack+1080,int_stack+1044,1);
 /*--- compute (00|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+2875,int_stack+1801,int_stack+1528,1);
 /*--- compute (00|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1528,int_stack+1146,int_stack+1125,1);
 /*--- compute (00|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1591,int_stack+1174,int_stack+1146,1);
 /*--- compute (00|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+966,int_stack+1591,int_stack+1528,1);
 /*--- compute (00|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1801,int_stack+1210,int_stack+1174,1);
 /*--- compute (00|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+3043,int_stack+1801,int_stack+1591,1);
 /*--- compute (00|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+3211,int_stack+1909,int_stack+1675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1402,1);
     Libderiv->ABCD[11] = int_stack + 3211;
 /*--- compute (00|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1528,int_stack+2077,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1402, 0.0, zero_stack,1);
     Libderiv->ABCD[10] = int_stack + 1528;
 /*--- compute (00|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1738,int_stack+2245,int_stack+126, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1402, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[9] = int_stack + 1738;
 /*--- compute (00|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+2413,int_stack+252, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1402, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (00|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1948,int_stack+2581,int_stack+378, 0.0, zero_stack, 1.0, int_stack+1402, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[7] = int_stack + 1948;
 /*--- compute (00|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+210,int_stack+630,int_stack+504, 1.0, int_stack+1402, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[6] = int_stack + 210;
 /*--- compute (00|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+420,int_stack+798,int_stack+1255,1);
     Libderiv->ABCD[2] = int_stack + 420;
 /*--- compute (00|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+630,int_stack+2875,int_stack+2749,1);
     Libderiv->ABCD[1] = int_stack + 630;
 /*--- compute (00|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+2158,int_stack+3043,int_stack+966,1);
     Libderiv->ABCD[0] = int_stack + 2158;

}
