#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_f0ig(Libderiv_t *, prim_data *);

  /* Computes derivatives of (f0|ig) integrals */

void d1hrr_order_f0ig(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][6][11] = int_stack + 0;
 Libderiv->deriv_classes[3][7][11] = int_stack + 280;
 Libderiv->deriv_classes[3][8][11] = int_stack + 640;
 Libderiv->deriv_classes[3][9][11] = int_stack + 1090;
 Libderiv->deriv_classes[3][10][11] = int_stack + 1640;
 Libderiv->deriv_classes[3][6][10] = int_stack + 2300;
 Libderiv->deriv_classes[3][7][10] = int_stack + 2580;
 Libderiv->deriv_classes[3][8][10] = int_stack + 2940;
 Libderiv->deriv_classes[3][9][10] = int_stack + 3390;
 Libderiv->deriv_classes[3][10][10] = int_stack + 3940;
 Libderiv->deriv_classes[3][6][9] = int_stack + 4600;
 Libderiv->deriv_classes[3][7][9] = int_stack + 4880;
 Libderiv->deriv_classes[3][8][9] = int_stack + 5240;
 Libderiv->deriv_classes[3][9][9] = int_stack + 5690;
 Libderiv->deriv_classes[3][10][9] = int_stack + 6240;
 Libderiv->deriv_classes[3][6][8] = int_stack + 6900;
 Libderiv->deriv_classes[3][7][8] = int_stack + 7180;
 Libderiv->deriv_classes[3][8][8] = int_stack + 7540;
 Libderiv->deriv_classes[3][9][8] = int_stack + 7990;
 Libderiv->deriv_classes[3][10][8] = int_stack + 8540;
 Libderiv->deriv_classes[3][6][7] = int_stack + 9200;
 Libderiv->deriv_classes[3][7][7] = int_stack + 9480;
 Libderiv->deriv_classes[3][8][7] = int_stack + 9840;
 Libderiv->deriv_classes[3][9][7] = int_stack + 10290;
 Libderiv->deriv_classes[3][10][7] = int_stack + 10840;
 Libderiv->dvrr_classes[3][6] = int_stack + 11500;
 Libderiv->deriv_classes[3][6][6] = int_stack + 11780;
 Libderiv->dvrr_classes[3][7] = int_stack + 12060;
 Libderiv->deriv_classes[3][7][6] = int_stack + 12420;
 Libderiv->dvrr_classes[3][8] = int_stack + 12780;
 Libderiv->deriv_classes[3][8][6] = int_stack + 13230;
 Libderiv->dvrr_classes[3][9] = int_stack + 13680;
 Libderiv->deriv_classes[3][9][6] = int_stack + 14230;
 Libderiv->deriv_classes[3][10][6] = int_stack + 14780;
 Libderiv->deriv_classes[3][6][2] = int_stack + 15440;
 Libderiv->deriv_classes[3][7][2] = int_stack + 15720;
 Libderiv->deriv_classes[3][8][2] = int_stack + 16080;
 Libderiv->deriv_classes[3][9][2] = int_stack + 16530;
 Libderiv->deriv_classes[3][10][2] = int_stack + 17080;
 Libderiv->deriv_classes[3][6][1] = int_stack + 17740;
 Libderiv->deriv_classes[3][7][1] = int_stack + 18020;
 Libderiv->deriv_classes[3][8][1] = int_stack + 18380;
 Libderiv->deriv_classes[3][9][1] = int_stack + 18830;
 Libderiv->deriv_classes[3][10][1] = int_stack + 19380;
 Libderiv->deriv_classes[3][6][0] = int_stack + 20040;
 Libderiv->deriv_classes[3][7][0] = int_stack + 20320;
 Libderiv->deriv_classes[3][8][0] = int_stack + 20680;
 Libderiv->deriv_classes[3][9][0] = int_stack + 21130;
 Libderiv->deriv_classes[3][10][0] = int_stack + 21680;
 memset(int_stack,0,178720);

 Libderiv->dvrr_stack = int_stack + 80540;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_f0ig(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+22340,int_stack+12060,int_stack+11500,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+23180,int_stack+12780,int_stack+12060,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+24260,int_stack+23180,int_stack+22340,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+25940,int_stack+13680,int_stack+12780,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+27290,int_stack+25940,int_stack+23180,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+29450,int_stack+27290,int_stack+24260,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+32250,int_stack+280,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11500,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+33090,int_stack+640,int_stack+280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12060,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+34170,int_stack+33090,int_stack+32250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22340,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+35850,int_stack+1090,int_stack+640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12780,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+37200,int_stack+35850,int_stack+33090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23180,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+39360,int_stack+37200,int_stack+34170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24260,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+32250,int_stack+1640,int_stack+1090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13680,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+42160,int_stack+32250,int_stack+35850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25940,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+32250,int_stack+42160,int_stack+37200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27290,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+42160,int_stack+2580,int_stack+2300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11500, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+43000,int_stack+2940,int_stack+2580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12060, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+35850,int_stack+43000,int_stack+42160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22340, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+37530,int_stack+3390,int_stack+2940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12780, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+37530,int_stack+43000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23180, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+42160,int_stack+0,int_stack+35850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24260, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+35850,int_stack+3940,int_stack+3390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13680, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+44960,int_stack+35850,int_stack+37530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25940, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+47660,int_stack+44960,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27290, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+4880,int_stack+4600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11500, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+840,int_stack+5240,int_stack+4880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12060, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1920,int_stack+840,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22340, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+3600,int_stack+5690,int_stack+5240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12780, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+44960,int_stack+3600,int_stack+840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23180, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+35850,int_stack+44960,int_stack+1920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24260, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+6240,int_stack+5690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13680, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+51260,int_stack+0,int_stack+3600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25940, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+0,int_stack+51260,int_stack+44960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27290, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+44960,int_stack+7180,int_stack+6900, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+45800,int_stack+7540,int_stack+7180, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+51260,int_stack+45800,int_stack+44960, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+3600,int_stack+7990,int_stack+7540, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4950,int_stack+3600,int_stack+45800, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+52940,int_stack+4950,int_stack+51260, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+51260,int_stack+8540,int_stack+7990, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+44960,int_stack+51260,int_stack+3600, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+55740,int_stack+44960,int_stack+4950, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+44960,int_stack+9480,int_stack+9200, 0.0, zero_stack, 1.0, int_stack+11500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+45800,int_stack+9840,int_stack+9480, 0.0, zero_stack, 1.0, int_stack+12060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+51260,int_stack+45800,int_stack+44960, 0.0, zero_stack, 1.0, int_stack+22340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+3600,int_stack+10290,int_stack+9840, 0.0, zero_stack, 1.0, int_stack+12780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4950,int_stack+3600,int_stack+45800, 0.0, zero_stack, 1.0, int_stack+23180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+7110,int_stack+4950,int_stack+51260, 0.0, zero_stack, 1.0, int_stack+24260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+51260,int_stack+10840,int_stack+10290, 0.0, zero_stack, 1.0, int_stack+13680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+44960,int_stack+51260,int_stack+3600, 0.0, zero_stack, 1.0, int_stack+25940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+59340,int_stack+44960,int_stack+4950, 0.0, zero_stack, 1.0, int_stack+27290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+44960,int_stack+12420,int_stack+11780, 1.0, int_stack+11500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+45800,int_stack+13230,int_stack+12420, 1.0, int_stack+12060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+51260,int_stack+45800,int_stack+44960, 1.0, int_stack+22340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+3600,int_stack+14230,int_stack+13230, 1.0, int_stack+12780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4950,int_stack+3600,int_stack+45800, 1.0, int_stack+23180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+9910,int_stack+4950,int_stack+51260, 1.0, int_stack+24260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+51260,int_stack+14780,int_stack+14230, 1.0, int_stack+13680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+44960,int_stack+51260,int_stack+3600, 1.0, int_stack+25940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+22340,int_stack+44960,int_stack+4950, 1.0, int_stack+27290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+44960,int_stack+15720,int_stack+15440,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+45800,int_stack+16080,int_stack+15720,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+51260,int_stack+45800,int_stack+44960,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+3600,int_stack+16530,int_stack+16080,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+4950,int_stack+3600,int_stack+45800,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+25940,int_stack+4950,int_stack+51260,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+51260,int_stack+17080,int_stack+16530,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+44960,int_stack+51260,int_stack+3600,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+12710,int_stack+44960,int_stack+4950,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+44960,int_stack+18020,int_stack+17740,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+45800,int_stack+18380,int_stack+18020,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+51260,int_stack+45800,int_stack+44960,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+3600,int_stack+18830,int_stack+18380,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+4950,int_stack+3600,int_stack+45800,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+62940,int_stack+4950,int_stack+51260,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+51260,int_stack+19380,int_stack+18830,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+44960,int_stack+51260,int_stack+3600,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+16310,int_stack+44960,int_stack+4950,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+44960,int_stack+20320,int_stack+20040,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+45800,int_stack+20680,int_stack+20320,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+51260,int_stack+45800,int_stack+44960,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+3600,int_stack+21130,int_stack+20680,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+4950,int_stack+3600,int_stack+45800,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+65740,int_stack+4950,int_stack+51260,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+51260,int_stack+21680,int_stack+21130,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+44960,int_stack+51260,int_stack+3600,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+68540,int_stack+44960,int_stack+4950,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+72140,int_stack+32250,int_stack+39360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29450,10);
     Libderiv->ABCD[11] = int_stack + 72140;
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+76340,int_stack+47660,int_stack+42160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29450, 0.0, zero_stack,10);
     Libderiv->ABCD[10] = int_stack + 76340;
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+38650,int_stack+0,int_stack+35850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29450, 0.0, zero_stack, 0.0, zero_stack,10);
     Libderiv->ABCD[9] = int_stack + 38650;
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+0,int_stack+55740,int_stack+52940, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+32250,int_stack+59340,int_stack+7110, 0.0, zero_stack, 1.0, int_stack+29450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
     Libderiv->ABCD[7] = int_stack + 32250;
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4200,int_stack+22340,int_stack+9910, 1.0, int_stack+29450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
     Libderiv->ABCD[6] = int_stack + 4200;
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+8400,int_stack+12710,int_stack+25940,10);
     Libderiv->ABCD[2] = int_stack + 8400;
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+19910,int_stack+16310,int_stack+62940,10);
     Libderiv->ABCD[1] = int_stack + 19910;
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+12600,int_stack+68540,int_stack+65740,10);
     Libderiv->ABCD[0] = int_stack + 12600;

}
