#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_ffif(Libderiv_t *, prim_data *);

  /* Computes derivatives of (ff|if) integrals */

void d1hrr_order_ffif(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][6][11] = int_stack + 0;
 Libderiv->deriv_classes[3][7][11] = int_stack + 280;
 Libderiv->deriv_classes[3][8][11] = int_stack + 640;
 Libderiv->deriv_classes[3][9][11] = int_stack + 1090;
 Libderiv->deriv_classes[4][6][11] = int_stack + 1640;
 Libderiv->deriv_classes[4][7][11] = int_stack + 2060;
 Libderiv->deriv_classes[4][8][11] = int_stack + 2600;
 Libderiv->deriv_classes[4][9][11] = int_stack + 3275;
 Libderiv->deriv_classes[5][6][11] = int_stack + 4100;
 Libderiv->deriv_classes[5][7][11] = int_stack + 4688;
 Libderiv->deriv_classes[5][8][11] = int_stack + 5444;
 Libderiv->deriv_classes[5][9][11] = int_stack + 6389;
 Libderiv->deriv_classes[6][6][11] = int_stack + 7544;
 Libderiv->deriv_classes[6][7][11] = int_stack + 8328;
 Libderiv->deriv_classes[6][8][11] = int_stack + 9336;
 Libderiv->deriv_classes[6][9][11] = int_stack + 10596;
 Libderiv->deriv_classes[3][6][10] = int_stack + 12136;
 Libderiv->deriv_classes[3][7][10] = int_stack + 12416;
 Libderiv->deriv_classes[3][8][10] = int_stack + 12776;
 Libderiv->deriv_classes[3][9][10] = int_stack + 13226;
 Libderiv->deriv_classes[4][6][10] = int_stack + 13776;
 Libderiv->deriv_classes[4][7][10] = int_stack + 14196;
 Libderiv->deriv_classes[4][8][10] = int_stack + 14736;
 Libderiv->deriv_classes[4][9][10] = int_stack + 15411;
 Libderiv->deriv_classes[5][6][10] = int_stack + 16236;
 Libderiv->deriv_classes[5][7][10] = int_stack + 16824;
 Libderiv->deriv_classes[5][8][10] = int_stack + 17580;
 Libderiv->deriv_classes[5][9][10] = int_stack + 18525;
 Libderiv->deriv_classes[6][6][10] = int_stack + 19680;
 Libderiv->deriv_classes[6][7][10] = int_stack + 20464;
 Libderiv->deriv_classes[6][8][10] = int_stack + 21472;
 Libderiv->deriv_classes[6][9][10] = int_stack + 22732;
 Libderiv->deriv_classes[3][6][9] = int_stack + 24272;
 Libderiv->deriv_classes[3][7][9] = int_stack + 24552;
 Libderiv->deriv_classes[3][8][9] = int_stack + 24912;
 Libderiv->deriv_classes[3][9][9] = int_stack + 25362;
 Libderiv->deriv_classes[4][6][9] = int_stack + 25912;
 Libderiv->deriv_classes[4][7][9] = int_stack + 26332;
 Libderiv->deriv_classes[4][8][9] = int_stack + 26872;
 Libderiv->deriv_classes[4][9][9] = int_stack + 27547;
 Libderiv->deriv_classes[5][6][9] = int_stack + 28372;
 Libderiv->deriv_classes[5][7][9] = int_stack + 28960;
 Libderiv->deriv_classes[5][8][9] = int_stack + 29716;
 Libderiv->deriv_classes[5][9][9] = int_stack + 30661;
 Libderiv->deriv_classes[6][6][9] = int_stack + 31816;
 Libderiv->deriv_classes[6][7][9] = int_stack + 32600;
 Libderiv->deriv_classes[6][8][9] = int_stack + 33608;
 Libderiv->deriv_classes[6][9][9] = int_stack + 34868;
 Libderiv->deriv_classes[3][6][8] = int_stack + 36408;
 Libderiv->deriv_classes[3][7][8] = int_stack + 36688;
 Libderiv->deriv_classes[3][8][8] = int_stack + 37048;
 Libderiv->deriv_classes[3][9][8] = int_stack + 37498;
 Libderiv->deriv_classes[4][6][8] = int_stack + 38048;
 Libderiv->deriv_classes[4][7][8] = int_stack + 38468;
 Libderiv->deriv_classes[4][8][8] = int_stack + 39008;
 Libderiv->deriv_classes[4][9][8] = int_stack + 39683;
 Libderiv->deriv_classes[5][6][8] = int_stack + 40508;
 Libderiv->deriv_classes[5][7][8] = int_stack + 41096;
 Libderiv->deriv_classes[5][8][8] = int_stack + 41852;
 Libderiv->deriv_classes[5][9][8] = int_stack + 42797;
 Libderiv->deriv_classes[6][6][8] = int_stack + 43952;
 Libderiv->deriv_classes[6][7][8] = int_stack + 44736;
 Libderiv->deriv_classes[6][8][8] = int_stack + 45744;
 Libderiv->deriv_classes[6][9][8] = int_stack + 47004;
 Libderiv->deriv_classes[3][6][7] = int_stack + 48544;
 Libderiv->deriv_classes[3][7][7] = int_stack + 48824;
 Libderiv->deriv_classes[3][8][7] = int_stack + 49184;
 Libderiv->deriv_classes[3][9][7] = int_stack + 49634;
 Libderiv->deriv_classes[4][6][7] = int_stack + 50184;
 Libderiv->deriv_classes[4][7][7] = int_stack + 50604;
 Libderiv->deriv_classes[4][8][7] = int_stack + 51144;
 Libderiv->deriv_classes[4][9][7] = int_stack + 51819;
 Libderiv->deriv_classes[5][6][7] = int_stack + 52644;
 Libderiv->deriv_classes[5][7][7] = int_stack + 53232;
 Libderiv->deriv_classes[5][8][7] = int_stack + 53988;
 Libderiv->deriv_classes[5][9][7] = int_stack + 54933;
 Libderiv->deriv_classes[6][6][7] = int_stack + 56088;
 Libderiv->deriv_classes[6][7][7] = int_stack + 56872;
 Libderiv->deriv_classes[6][8][7] = int_stack + 57880;
 Libderiv->deriv_classes[6][9][7] = int_stack + 59140;
 Libderiv->deriv_classes[3][6][6] = int_stack + 60680;
 Libderiv->deriv_classes[3][7][6] = int_stack + 60960;
 Libderiv->deriv_classes[3][8][6] = int_stack + 61320;
 Libderiv->deriv_classes[3][9][6] = int_stack + 61770;
 Libderiv->deriv_classes[4][6][6] = int_stack + 62320;
 Libderiv->deriv_classes[4][7][6] = int_stack + 62740;
 Libderiv->deriv_classes[4][8][6] = int_stack + 63280;
 Libderiv->deriv_classes[4][9][6] = int_stack + 63955;
 Libderiv->deriv_classes[5][6][6] = int_stack + 64780;
 Libderiv->deriv_classes[5][7][6] = int_stack + 65368;
 Libderiv->deriv_classes[5][8][6] = int_stack + 66124;
 Libderiv->deriv_classes[5][9][6] = int_stack + 67069;
 Libderiv->dvrr_classes[6][6] = int_stack + 68224;
 Libderiv->deriv_classes[6][6][6] = int_stack + 69008;
 Libderiv->dvrr_classes[6][7] = int_stack + 69792;
 Libderiv->deriv_classes[6][7][6] = int_stack + 70800;
 Libderiv->dvrr_classes[6][8] = int_stack + 71808;
 Libderiv->deriv_classes[6][8][6] = int_stack + 73068;
 Libderiv->deriv_classes[6][9][6] = int_stack + 74328;
 Libderiv->deriv_classes[3][6][2] = int_stack + 75868;
 Libderiv->deriv_classes[3][7][2] = int_stack + 76148;
 Libderiv->deriv_classes[3][8][2] = int_stack + 76508;
 Libderiv->deriv_classes[3][9][2] = int_stack + 76958;
 Libderiv->deriv_classes[4][6][2] = int_stack + 77508;
 Libderiv->deriv_classes[4][7][2] = int_stack + 77928;
 Libderiv->deriv_classes[4][8][2] = int_stack + 78468;
 Libderiv->deriv_classes[4][9][2] = int_stack + 79143;
 Libderiv->deriv_classes[5][6][2] = int_stack + 79968;
 Libderiv->deriv_classes[5][7][2] = int_stack + 80556;
 Libderiv->deriv_classes[5][8][2] = int_stack + 81312;
 Libderiv->deriv_classes[5][9][2] = int_stack + 82257;
 Libderiv->deriv_classes[6][6][2] = int_stack + 83412;
 Libderiv->deriv_classes[6][7][2] = int_stack + 84196;
 Libderiv->deriv_classes[6][8][2] = int_stack + 85204;
 Libderiv->deriv_classes[6][9][2] = int_stack + 86464;
 Libderiv->deriv_classes[3][6][1] = int_stack + 88004;
 Libderiv->deriv_classes[3][7][1] = int_stack + 88284;
 Libderiv->deriv_classes[3][8][1] = int_stack + 88644;
 Libderiv->deriv_classes[3][9][1] = int_stack + 89094;
 Libderiv->deriv_classes[4][6][1] = int_stack + 89644;
 Libderiv->deriv_classes[4][7][1] = int_stack + 90064;
 Libderiv->deriv_classes[4][8][1] = int_stack + 90604;
 Libderiv->deriv_classes[4][9][1] = int_stack + 91279;
 Libderiv->deriv_classes[5][6][1] = int_stack + 92104;
 Libderiv->deriv_classes[5][7][1] = int_stack + 92692;
 Libderiv->deriv_classes[5][8][1] = int_stack + 93448;
 Libderiv->deriv_classes[5][9][1] = int_stack + 94393;
 Libderiv->deriv_classes[6][6][1] = int_stack + 95548;
 Libderiv->deriv_classes[6][7][1] = int_stack + 96332;
 Libderiv->deriv_classes[6][8][1] = int_stack + 97340;
 Libderiv->deriv_classes[6][9][1] = int_stack + 98600;
 Libderiv->dvrr_classes[3][6] = int_stack + 100140;
 Libderiv->dvrr_classes[3][7] = int_stack + 100420;
 Libderiv->dvrr_classes[3][8] = int_stack + 100780;
 Libderiv->dvrr_classes[3][9] = int_stack + 101230;
 Libderiv->deriv_classes[3][6][0] = int_stack + 101780;
 Libderiv->deriv_classes[3][7][0] = int_stack + 102060;
 Libderiv->deriv_classes[3][8][0] = int_stack + 102420;
 Libderiv->deriv_classes[3][9][0] = int_stack + 102870;
 Libderiv->dvrr_classes[4][6] = int_stack + 103420;
 Libderiv->dvrr_classes[4][7] = int_stack + 103840;
 Libderiv->dvrr_classes[4][8] = int_stack + 104380;
 Libderiv->dvrr_classes[4][9] = int_stack + 105055;
 Libderiv->deriv_classes[4][6][0] = int_stack + 105880;
 Libderiv->deriv_classes[4][7][0] = int_stack + 106300;
 Libderiv->deriv_classes[4][8][0] = int_stack + 106840;
 Libderiv->deriv_classes[4][9][0] = int_stack + 107515;
 Libderiv->dvrr_classes[5][6] = int_stack + 108340;
 Libderiv->dvrr_classes[5][7] = int_stack + 108928;
 Libderiv->dvrr_classes[5][8] = int_stack + 109684;
 Libderiv->dvrr_classes[5][9] = int_stack + 110629;
 Libderiv->deriv_classes[5][6][0] = int_stack + 111784;
 Libderiv->deriv_classes[5][7][0] = int_stack + 112372;
 Libderiv->deriv_classes[5][8][0] = int_stack + 113128;
 Libderiv->deriv_classes[5][9][0] = int_stack + 114073;
 Libderiv->deriv_classes[6][6][0] = int_stack + 115228;
 Libderiv->deriv_classes[6][7][0] = int_stack + 116012;
 Libderiv->deriv_classes[6][8][0] = int_stack + 117020;
 Libderiv->deriv_classes[6][9][0] = int_stack + 118280;
 memset(int_stack,0,958560);

 Libderiv->dvrr_stack = int_stack + 542726;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_ffif(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+119820,int_stack+100420,int_stack+100140,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+120660,int_stack+100780,int_stack+100420,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+121740,int_stack+120660,int_stack+119820,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+123420,int_stack+280,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100140,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+124260,int_stack+640,int_stack+280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100420,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+125340,int_stack+124260,int_stack+123420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119820,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+127020,int_stack+1090,int_stack+640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100780,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+128370,int_stack+127020,int_stack+124260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120660,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+130530,int_stack+128370,int_stack+125340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121740,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+123420,int_stack+103840,int_stack+103420,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+124680,int_stack+104380,int_stack+103840,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+126300,int_stack+124680,int_stack+123420,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+128820,int_stack+2060,int_stack+1640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103420,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+2600,int_stack+2060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103840,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+133330,int_stack+0,int_stack+128820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123420,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+135850,int_stack+3275,int_stack+2600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104380,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+137875,int_stack+135850,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124680,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+141115,int_stack+137875,int_stack+133330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+126300,15);
 /*--- compute (fp|if) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+145315,int_stack+141115,int_stack+130530,280);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+108928,int_stack+108340,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1764,int_stack+109684,int_stack+108928,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+128820,int_stack+1764,int_stack+0,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+132348,int_stack+4688,int_stack+4100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108340,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+134112,int_stack+5444,int_stack+4688, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108928,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+136380,int_stack+134112,int_stack+132348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+153715,int_stack+6389,int_stack+5444, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109684,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+156550,int_stack+153715,int_stack+134112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1764,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+161086,int_stack+156550,int_stack+136380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128820,21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+166966,int_stack+161086,int_stack+141115,280);
 /*--- compute (fd|if) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+179566,int_stack+166966,int_stack+145315,280);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+132348,int_stack+69792,int_stack+68224,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+134700,int_stack+71808,int_stack+69792,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+137724,int_stack+134700,int_stack+132348,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+142428,int_stack+8328,int_stack+7544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68224,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+144780,int_stack+9336,int_stack+8328, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69792,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+147804,int_stack+144780,int_stack+142428, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+132348,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+152508,int_stack+10596,int_stack+9336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71808,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4032,int_stack+152508,int_stack+144780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+134700,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+152508,int_stack+4032,int_stack+147804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137724,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+196366,int_stack+152508,int_stack+161086,280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+214006,int_stack+196366,int_stack+166966,280);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+196366,int_stack+12416,int_stack+12136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100140, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+197206,int_stack+12776,int_stack+12416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100420, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+198286,int_stack+197206,int_stack+196366, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119820, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+199966,int_stack+13226,int_stack+12776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100780, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+201316,int_stack+199966,int_stack+197206, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120660, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+203476,int_stack+201316,int_stack+198286, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121740, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+196366,int_stack+14196,int_stack+13776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103420, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+197626,int_stack+14736,int_stack+14196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103840, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+199246,int_stack+197626,int_stack+196366, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123420, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+206276,int_stack+15411,int_stack+14736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104380, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+208301,int_stack+206276,int_stack+197626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124680, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4032,int_stack+208301,int_stack+199246, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+126300, 0.0, zero_stack,15);
 /*--- compute (fp|if) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+142428,int_stack+4032,int_stack+203476,280);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+196366,int_stack+16824,int_stack+16236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108340, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+198130,int_stack+17580,int_stack+16824, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108928, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+200398,int_stack+198130,int_stack+196366, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+203926,int_stack+18525,int_stack+17580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109684, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+206761,int_stack+203926,int_stack+198130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1764, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8232,int_stack+206761,int_stack+200398, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128820, 0.0, zero_stack,21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+196366,int_stack+8232,int_stack+4032,280);
 /*--- compute (fd|if) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+150828,int_stack+196366,int_stack+142428,280);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+142428,int_stack+20464,int_stack+19680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68224, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+144780,int_stack+21472,int_stack+20464, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69792, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+208966,int_stack+144780,int_stack+142428, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+132348, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4032,int_stack+22732,int_stack+21472, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71808, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+14112,int_stack+4032,int_stack+144780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+134700, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+142428,int_stack+14112,int_stack+208966, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137724, 0.0, zero_stack,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+239206,int_stack+142428,int_stack+8232,280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+256846,int_stack+239206,int_stack+196366,280);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+196366,int_stack+24552,int_stack+24272, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100140, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+197206,int_stack+24912,int_stack+24552, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100420, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+198286,int_stack+197206,int_stack+196366, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119820, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+199966,int_stack+25362,int_stack+24912, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100780, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+201316,int_stack+199966,int_stack+197206, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120660, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+203476,int_stack+201316,int_stack+198286, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121740, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+196366,int_stack+26332,int_stack+25912, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103420, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+197626,int_stack+26872,int_stack+26332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103840, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+199246,int_stack+197626,int_stack+196366, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123420, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+206276,int_stack+27547,int_stack+26872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104380, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+208301,int_stack+206276,int_stack+197626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124680, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+239206,int_stack+208301,int_stack+199246, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+126300, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|if) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+142428,int_stack+239206,int_stack+203476,280);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+196366,int_stack+28960,int_stack+28372, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108340, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+198130,int_stack+29716,int_stack+28960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108928, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+200398,int_stack+198130,int_stack+196366, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+203926,int_stack+30661,int_stack+29716, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109684, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+206761,int_stack+203926,int_stack+198130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1764, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+243406,int_stack+206761,int_stack+200398, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128820, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+196366,int_stack+243406,int_stack+239206,280);
 /*--- compute (fd|if) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+4032,int_stack+196366,int_stack+142428,280);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+142428,int_stack+32600,int_stack+31816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68224, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+144780,int_stack+33608,int_stack+32600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69792, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+208966,int_stack+144780,int_stack+142428, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+132348, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+239206,int_stack+34868,int_stack+33608, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71808, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+249286,int_stack+239206,int_stack+144780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+134700, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+142428,int_stack+249286,int_stack+208966, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137724, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+282046,int_stack+142428,int_stack+243406,280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+299686,int_stack+282046,int_stack+196366,280);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+196366,int_stack+36688,int_stack+36408, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+197206,int_stack+37048,int_stack+36688, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+198286,int_stack+197206,int_stack+196366, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+199966,int_stack+37498,int_stack+37048, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+201316,int_stack+199966,int_stack+197206, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+203476,int_stack+201316,int_stack+198286, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+196366,int_stack+38468,int_stack+38048, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+197626,int_stack+39008,int_stack+38468, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+199246,int_stack+197626,int_stack+196366, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+206276,int_stack+39683,int_stack+39008, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+208301,int_stack+206276,int_stack+197626, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+282046,int_stack+208301,int_stack+199246, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+126300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|if) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+142428,int_stack+282046,int_stack+203476,280);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+196366,int_stack+41096,int_stack+40508, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+198130,int_stack+41852,int_stack+41096, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+200398,int_stack+198130,int_stack+196366, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+203926,int_stack+42797,int_stack+41852, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+206761,int_stack+203926,int_stack+198130, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+286246,int_stack+206761,int_stack+200398, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+196366,int_stack+286246,int_stack+282046,280);
 /*--- compute (fd|if) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+239206,int_stack+196366,int_stack+142428,280);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+142428,int_stack+44736,int_stack+43952, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+144780,int_stack+45744,int_stack+44736, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+208966,int_stack+144780,int_stack+142428, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+132348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+282046,int_stack+47004,int_stack+45744, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+292126,int_stack+282046,int_stack+144780, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+134700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+142428,int_stack+292126,int_stack+208966, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+20832,int_stack+142428,int_stack+286246,280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+324886,int_stack+20832,int_stack+196366,280);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+256006,int_stack+48824,int_stack+48544, 0.0, zero_stack, 1.0, int_stack+100140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+196366,int_stack+49184,int_stack+48824, 0.0, zero_stack, 1.0, int_stack+100420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+197446,int_stack+196366,int_stack+256006, 0.0, zero_stack, 1.0, int_stack+119820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+199126,int_stack+49634,int_stack+49184, 0.0, zero_stack, 1.0, int_stack+100780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+200476,int_stack+199126,int_stack+196366, 0.0, zero_stack, 1.0, int_stack+120660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+202636,int_stack+200476,int_stack+197446, 0.0, zero_stack, 1.0, int_stack+121740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+196366,int_stack+50604,int_stack+50184, 0.0, zero_stack, 1.0, int_stack+103420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+197626,int_stack+51144,int_stack+50604, 0.0, zero_stack, 1.0, int_stack+103840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+199246,int_stack+197626,int_stack+196366, 0.0, zero_stack, 1.0, int_stack+123420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+205436,int_stack+51819,int_stack+51144, 0.0, zero_stack, 1.0, int_stack+104380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+207461,int_stack+205436,int_stack+197626, 0.0, zero_stack, 1.0, int_stack+124680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+20832,int_stack+207461,int_stack+199246, 0.0, zero_stack, 1.0, int_stack+126300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|if) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+142428,int_stack+20832,int_stack+202636,280);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+196366,int_stack+53232,int_stack+52644, 0.0, zero_stack, 1.0, int_stack+108340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+198130,int_stack+53988,int_stack+53232, 0.0, zero_stack, 1.0, int_stack+108928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+200398,int_stack+198130,int_stack+196366, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+203926,int_stack+54933,int_stack+53988, 0.0, zero_stack, 1.0, int_stack+109684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+206761,int_stack+203926,int_stack+198130, 0.0, zero_stack, 1.0, int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+25032,int_stack+206761,int_stack+200398, 0.0, zero_stack, 1.0, int_stack+128820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+196366,int_stack+25032,int_stack+20832,280);
 /*--- compute (fd|if) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+30912,int_stack+196366,int_stack+142428,280);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+142428,int_stack+56872,int_stack+56088, 0.0, zero_stack, 1.0, int_stack+68224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+144780,int_stack+57880,int_stack+56872, 0.0, zero_stack, 1.0, int_stack+69792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+208966,int_stack+144780,int_stack+142428, 0.0, zero_stack, 1.0, int_stack+132348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+20832,int_stack+59140,int_stack+57880, 0.0, zero_stack, 1.0, int_stack+71808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+47712,int_stack+20832,int_stack+144780, 0.0, zero_stack, 1.0, int_stack+134700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+142428,int_stack+47712,int_stack+208966, 0.0, zero_stack, 1.0, int_stack+137724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+282046,int_stack+142428,int_stack+25032,280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+350086,int_stack+282046,int_stack+196366,280);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+256006,int_stack+60960,int_stack+60680, 1.0, int_stack+100140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+196366,int_stack+61320,int_stack+60960, 1.0, int_stack+100420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+197446,int_stack+196366,int_stack+256006, 1.0, int_stack+119820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+199126,int_stack+61770,int_stack+61320, 1.0, int_stack+100780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+200476,int_stack+199126,int_stack+196366, 1.0, int_stack+120660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+202636,int_stack+200476,int_stack+197446, 1.0, int_stack+121740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+196366,int_stack+62740,int_stack+62320, 1.0, int_stack+103420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+197626,int_stack+63280,int_stack+62740, 1.0, int_stack+103840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+199246,int_stack+197626,int_stack+196366, 1.0, int_stack+123420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+205436,int_stack+63955,int_stack+63280, 1.0, int_stack+104380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+207461,int_stack+205436,int_stack+197626, 1.0, int_stack+124680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+282046,int_stack+207461,int_stack+199246, 1.0, int_stack+126300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|if) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+142428,int_stack+282046,int_stack+202636,280);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+196366,int_stack+65368,int_stack+64780, 1.0, int_stack+108340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+198130,int_stack+66124,int_stack+65368, 1.0, int_stack+108928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+200398,int_stack+198130,int_stack+196366, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+203926,int_stack+67069,int_stack+66124, 1.0, int_stack+109684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+206761,int_stack+203926,int_stack+198130, 1.0, int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+286246,int_stack+206761,int_stack+200398, 1.0, int_stack+128820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+196366,int_stack+286246,int_stack+282046,280);
 /*--- compute (fd|if) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+47712,int_stack+196366,int_stack+142428,280);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+142428,int_stack+70800,int_stack+69008, 1.0, int_stack+68224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+144780,int_stack+73068,int_stack+70800, 1.0, int_stack+69792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+208966,int_stack+144780,int_stack+142428, 1.0, int_stack+132348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+282046,int_stack+74328,int_stack+73068, 1.0, int_stack+71808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+292126,int_stack+282046,int_stack+144780, 1.0, int_stack+134700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+142428,int_stack+292126,int_stack+208966, 1.0, int_stack+137724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+375286,int_stack+142428,int_stack+286246,280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+392926,int_stack+375286,int_stack+196366,280);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+196366,int_stack+101230,int_stack+100780,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+197716,int_stack+196366,int_stack+120660,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+199876,int_stack+197716,int_stack+121740,10);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+196366,int_stack+105055,int_stack+104380,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+202676,int_stack+196366,int_stack+124680,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+205916,int_stack+202676,int_stack+126300,15);
 /*--- compute (fp|if) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+375286,int_stack+205916,int_stack+199876,280);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+202676,int_stack+110629,int_stack+109684,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+383686,int_stack+202676,int_stack+1764,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+282046,int_stack+383686,int_stack+128820,21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+119820,int_stack+282046,int_stack+205916,280);
 /*--- compute (fd|if) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+132420,int_stack+119820,int_stack+375286,280);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+256006,int_stack+76148,int_stack+75868,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+383686,int_stack+76508,int_stack+76148,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+384766,int_stack+383686,int_stack+256006,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+386446,int_stack+76958,int_stack+76508,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+387796,int_stack+386446,int_stack+383686,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+389956,int_stack+387796,int_stack+384766,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+383686,int_stack+77928,int_stack+77508,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+384946,int_stack+78468,int_stack+77928,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+386566,int_stack+384946,int_stack+383686,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+202676,int_stack+79143,int_stack+78468,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+196366,int_stack+202676,int_stack+384946,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+287926,int_stack+196366,int_stack+386566,15);
 /*--- compute (fp|if) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+64512,int_stack+287926,int_stack+389956, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+199876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+196366,int_stack+80556,int_stack+79968,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+202676,int_stack+81312,int_stack+80556,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+383686,int_stack+202676,int_stack+196366,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+196366,int_stack+82257,int_stack+81312,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+387214,int_stack+196366,int_stack+202676,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+292126,int_stack+387214,int_stack+383686,21);
 /*--- compute (gp|if) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+418126,int_stack+292126,int_stack+287926, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+205916, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (fd|if) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+430726,int_stack+418126,int_stack+64512, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+375286, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+64512,int_stack+84196,int_stack+83412,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+66864,int_stack+85204,int_stack+84196,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+69888,int_stack+66864,int_stack+64512,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+74592,int_stack+86464,int_stack+85204,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+78372,int_stack+74592,int_stack+66864,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+383686,int_stack+78372,int_stack+69888,28);
 /*--- compute (hp|if) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+64512,int_stack+383686,int_stack+292126, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+282046, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (gd|if) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+447526,int_stack+64512,int_stack+418126, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+256006,int_stack+88284,int_stack+88004,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+418126,int_stack+88644,int_stack+88284,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+419206,int_stack+418126,int_stack+256006,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+420886,int_stack+89094,int_stack+88644,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+422236,int_stack+420886,int_stack+418126,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+424396,int_stack+422236,int_stack+419206,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+418126,int_stack+90064,int_stack+89644,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+419386,int_stack+90604,int_stack+90064,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+421006,int_stack+419386,int_stack+418126,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+427196,int_stack+91279,int_stack+90604,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+202676,int_stack+427196,int_stack+419386,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+64512,int_stack+202676,int_stack+421006,15);
 /*--- compute (fp|if) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+68712,int_stack+64512,int_stack+424396, 0.0, zero_stack, 1.0, int_stack+199876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+202676,int_stack+92692,int_stack+92104,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+418126,int_stack+93448,int_stack+92692,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+420394,int_stack+418126,int_stack+202676,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+202676,int_stack+94393,int_stack+93448,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+423922,int_stack+202676,int_stack+418126,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+77112,int_stack+423922,int_stack+420394,21);
 /*--- compute (gp|if) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+418126,int_stack+77112,int_stack+64512, 0.0, zero_stack, 1.0, int_stack+205916, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (fd|if) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+472726,int_stack+418126,int_stack+68712, 0.0, zero_stack, 1.0, int_stack+375286, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+64512,int_stack+96332,int_stack+95548,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+66864,int_stack+97340,int_stack+96332,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+69888,int_stack+66864,int_stack+64512,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+82992,int_stack+98600,int_stack+97340,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+86772,int_stack+82992,int_stack+66864,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+92820,int_stack+86772,int_stack+69888,28);
 /*--- compute (hp|if) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+489526,int_stack+92820,int_stack+77112, 0.0, zero_stack, 1.0, int_stack+282046, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (gd|if) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+64512,int_stack+489526,int_stack+418126, 0.0, zero_stack, 1.0, int_stack+119820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+256006,int_stack+102060,int_stack+101780,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+418126,int_stack+102420,int_stack+102060,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+419206,int_stack+418126,int_stack+256006,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+420886,int_stack+102870,int_stack+102420,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+422236,int_stack+420886,int_stack+418126,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+424396,int_stack+422236,int_stack+419206,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+418126,int_stack+106300,int_stack+105880,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+419386,int_stack+106840,int_stack+106300,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+421006,int_stack+419386,int_stack+418126,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+427196,int_stack+107515,int_stack+106840,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+202676,int_stack+427196,int_stack+419386,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+489526,int_stack+202676,int_stack+421006,15);
 /*--- compute (fp|if) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+493726,int_stack+489526,int_stack+424396, 1.0, int_stack+199876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+418126,int_stack+112372,int_stack+111784,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+419890,int_stack+113128,int_stack+112372,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+422158,int_stack+419890,int_stack+418126,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+425686,int_stack+114073,int_stack+113128,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+502126,int_stack+425686,int_stack+419890,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+89712,int_stack+502126,int_stack+422158,21);
 /*--- compute (gp|if) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+418126,int_stack+89712,int_stack+489526, 1.0, int_stack+205916, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (fd|if) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+95592,int_stack+418126,int_stack+493726, 1.0, int_stack+375286, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+375286,int_stack+116012,int_stack+115228,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+377638,int_stack+117020,int_stack+116012,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+380662,int_stack+377638,int_stack+375286,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+385366,int_stack+118280,int_stack+117020,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+489526,int_stack+385366,int_stack+377638,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+495574,int_stack+489526,int_stack+380662,28);
 /*--- compute (hp|if) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+375286,int_stack+495574,int_stack+89712, 1.0, int_stack+282046, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (gd|if) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+489526,int_stack+375286,int_stack+418126, 1.0, int_stack+119820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (ff|if) ---*/
   hrr1_build_ff(Libderiv->AB,int_stack+514726,int_stack+214006,int_stack+179566,280);
     Libderiv->ABCD[11] = int_stack + 514726;
 /*--- compute (ff|if) ---*/
   hrr1_build_ff(Libderiv->AB,int_stack+167628,int_stack+256846,int_stack+150828,280);
     Libderiv->ABCD[10] = int_stack + 167628;
 /*--- compute (ff|if) ---*/
   hrr1_build_ff(Libderiv->AB,int_stack+256006,int_stack+299686,int_stack+4032,280);
     Libderiv->ABCD[9] = int_stack + 256006;
 /*--- compute (ff|if) ---*/
   hrr1_build_ff(Libderiv->AB,int_stack+284006,int_stack+324886,int_stack+239206,280);
     Libderiv->ABCD[8] = int_stack + 284006;
 /*--- compute (ff|if) ---*/
   hrr1_build_ff(Libderiv->AB,int_stack+312006,int_stack+350086,int_stack+30912,280);
     Libderiv->ABCD[7] = int_stack + 312006;
 /*--- compute (ff|if) ---*/
   hrr1_build_ff(Libderiv->AB,int_stack+340006,int_stack+392926,int_stack+47712,280);
     Libderiv->ABCD[6] = int_stack + 340006;
 /*--- compute (ff|if) ---*/
   d1hrr1_build_ff(Libderiv->AB,int_stack+368006,int_stack+447526,int_stack+430726, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+132420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[2] = int_stack + 368006;
 /*--- compute (ff|if) ---*/
   d1hrr1_build_ff(Libderiv->AB,int_stack+396006,int_stack+64512,int_stack+472726, 0.0, zero_stack, 1.0, int_stack+132420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[1] = int_stack + 396006;
 /*--- compute (ff|if) ---*/
   d1hrr1_build_ff(Libderiv->AB,int_stack+424006,int_stack+489526,int_stack+95592, 1.0, int_stack+132420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[0] = int_stack + 424006;

}
