#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_fpii(Libderiv_t *, prim_data *);

  /* Computes derivatives of (fp|ii) integrals */

void d1hrr_order_fpii(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][6][11] = int_stack + 0;
 Libderiv->deriv_classes[3][7][11] = int_stack + 280;
 Libderiv->deriv_classes[3][8][11] = int_stack + 640;
 Libderiv->deriv_classes[3][9][11] = int_stack + 1090;
 Libderiv->deriv_classes[3][10][11] = int_stack + 1640;
 Libderiv->deriv_classes[3][11][11] = int_stack + 2300;
 Libderiv->deriv_classes[3][12][11] = int_stack + 3080;
 Libderiv->deriv_classes[4][6][11] = int_stack + 3990;
 Libderiv->deriv_classes[4][7][11] = int_stack + 4410;
 Libderiv->deriv_classes[4][8][11] = int_stack + 4950;
 Libderiv->deriv_classes[4][9][11] = int_stack + 5625;
 Libderiv->deriv_classes[4][10][11] = int_stack + 6450;
 Libderiv->deriv_classes[4][11][11] = int_stack + 7440;
 Libderiv->deriv_classes[4][12][11] = int_stack + 8610;
 Libderiv->deriv_classes[3][6][10] = int_stack + 9975;
 Libderiv->deriv_classes[3][7][10] = int_stack + 10255;
 Libderiv->deriv_classes[3][8][10] = int_stack + 10615;
 Libderiv->deriv_classes[3][9][10] = int_stack + 11065;
 Libderiv->deriv_classes[3][10][10] = int_stack + 11615;
 Libderiv->deriv_classes[3][11][10] = int_stack + 12275;
 Libderiv->deriv_classes[3][12][10] = int_stack + 13055;
 Libderiv->deriv_classes[4][6][10] = int_stack + 13965;
 Libderiv->deriv_classes[4][7][10] = int_stack + 14385;
 Libderiv->deriv_classes[4][8][10] = int_stack + 14925;
 Libderiv->deriv_classes[4][9][10] = int_stack + 15600;
 Libderiv->deriv_classes[4][10][10] = int_stack + 16425;
 Libderiv->deriv_classes[4][11][10] = int_stack + 17415;
 Libderiv->deriv_classes[4][12][10] = int_stack + 18585;
 Libderiv->deriv_classes[3][6][9] = int_stack + 19950;
 Libderiv->deriv_classes[3][7][9] = int_stack + 20230;
 Libderiv->deriv_classes[3][8][9] = int_stack + 20590;
 Libderiv->deriv_classes[3][9][9] = int_stack + 21040;
 Libderiv->deriv_classes[3][10][9] = int_stack + 21590;
 Libderiv->deriv_classes[3][11][9] = int_stack + 22250;
 Libderiv->deriv_classes[3][12][9] = int_stack + 23030;
 Libderiv->deriv_classes[4][6][9] = int_stack + 23940;
 Libderiv->deriv_classes[4][7][9] = int_stack + 24360;
 Libderiv->deriv_classes[4][8][9] = int_stack + 24900;
 Libderiv->deriv_classes[4][9][9] = int_stack + 25575;
 Libderiv->deriv_classes[4][10][9] = int_stack + 26400;
 Libderiv->deriv_classes[4][11][9] = int_stack + 27390;
 Libderiv->deriv_classes[4][12][9] = int_stack + 28560;
 Libderiv->deriv_classes[3][6][8] = int_stack + 29925;
 Libderiv->deriv_classes[3][7][8] = int_stack + 30205;
 Libderiv->deriv_classes[3][8][8] = int_stack + 30565;
 Libderiv->deriv_classes[3][9][8] = int_stack + 31015;
 Libderiv->deriv_classes[3][10][8] = int_stack + 31565;
 Libderiv->deriv_classes[3][11][8] = int_stack + 32225;
 Libderiv->deriv_classes[3][12][8] = int_stack + 33005;
 Libderiv->deriv_classes[4][6][8] = int_stack + 33915;
 Libderiv->deriv_classes[4][7][8] = int_stack + 34335;
 Libderiv->deriv_classes[4][8][8] = int_stack + 34875;
 Libderiv->deriv_classes[4][9][8] = int_stack + 35550;
 Libderiv->deriv_classes[4][10][8] = int_stack + 36375;
 Libderiv->deriv_classes[4][11][8] = int_stack + 37365;
 Libderiv->deriv_classes[4][12][8] = int_stack + 38535;
 Libderiv->deriv_classes[3][6][7] = int_stack + 39900;
 Libderiv->deriv_classes[3][7][7] = int_stack + 40180;
 Libderiv->deriv_classes[3][8][7] = int_stack + 40540;
 Libderiv->deriv_classes[3][9][7] = int_stack + 40990;
 Libderiv->deriv_classes[3][10][7] = int_stack + 41540;
 Libderiv->deriv_classes[3][11][7] = int_stack + 42200;
 Libderiv->deriv_classes[3][12][7] = int_stack + 42980;
 Libderiv->deriv_classes[4][6][7] = int_stack + 43890;
 Libderiv->deriv_classes[4][7][7] = int_stack + 44310;
 Libderiv->deriv_classes[4][8][7] = int_stack + 44850;
 Libderiv->deriv_classes[4][9][7] = int_stack + 45525;
 Libderiv->deriv_classes[4][10][7] = int_stack + 46350;
 Libderiv->deriv_classes[4][11][7] = int_stack + 47340;
 Libderiv->deriv_classes[4][12][7] = int_stack + 48510;
 Libderiv->deriv_classes[3][6][6] = int_stack + 49875;
 Libderiv->deriv_classes[3][7][6] = int_stack + 50155;
 Libderiv->deriv_classes[3][8][6] = int_stack + 50515;
 Libderiv->deriv_classes[3][9][6] = int_stack + 50965;
 Libderiv->deriv_classes[3][10][6] = int_stack + 51515;
 Libderiv->deriv_classes[3][11][6] = int_stack + 52175;
 Libderiv->deriv_classes[3][12][6] = int_stack + 52955;
 Libderiv->dvrr_classes[4][6] = int_stack + 53865;
 Libderiv->deriv_classes[4][6][6] = int_stack + 54285;
 Libderiv->dvrr_classes[4][7] = int_stack + 54705;
 Libderiv->deriv_classes[4][7][6] = int_stack + 55245;
 Libderiv->dvrr_classes[4][8] = int_stack + 55785;
 Libderiv->deriv_classes[4][8][6] = int_stack + 56460;
 Libderiv->dvrr_classes[4][9] = int_stack + 57135;
 Libderiv->deriv_classes[4][9][6] = int_stack + 57960;
 Libderiv->dvrr_classes[4][10] = int_stack + 58785;
 Libderiv->deriv_classes[4][10][6] = int_stack + 59775;
 Libderiv->dvrr_classes[4][11] = int_stack + 60765;
 Libderiv->deriv_classes[4][11][6] = int_stack + 61935;
 Libderiv->deriv_classes[4][12][6] = int_stack + 63105;
 Libderiv->deriv_classes[3][6][2] = int_stack + 64470;
 Libderiv->deriv_classes[3][7][2] = int_stack + 64750;
 Libderiv->deriv_classes[3][8][2] = int_stack + 65110;
 Libderiv->deriv_classes[3][9][2] = int_stack + 65560;
 Libderiv->deriv_classes[3][10][2] = int_stack + 66110;
 Libderiv->deriv_classes[3][11][2] = int_stack + 66770;
 Libderiv->deriv_classes[3][12][2] = int_stack + 67550;
 Libderiv->deriv_classes[4][6][2] = int_stack + 68460;
 Libderiv->deriv_classes[4][7][2] = int_stack + 68880;
 Libderiv->deriv_classes[4][8][2] = int_stack + 69420;
 Libderiv->deriv_classes[4][9][2] = int_stack + 70095;
 Libderiv->deriv_classes[4][10][2] = int_stack + 70920;
 Libderiv->deriv_classes[4][11][2] = int_stack + 71910;
 Libderiv->deriv_classes[4][12][2] = int_stack + 73080;
 Libderiv->deriv_classes[3][6][1] = int_stack + 74445;
 Libderiv->deriv_classes[3][7][1] = int_stack + 74725;
 Libderiv->deriv_classes[3][8][1] = int_stack + 75085;
 Libderiv->deriv_classes[3][9][1] = int_stack + 75535;
 Libderiv->deriv_classes[3][10][1] = int_stack + 76085;
 Libderiv->deriv_classes[3][11][1] = int_stack + 76745;
 Libderiv->deriv_classes[3][12][1] = int_stack + 77525;
 Libderiv->deriv_classes[4][6][1] = int_stack + 78435;
 Libderiv->deriv_classes[4][7][1] = int_stack + 78855;
 Libderiv->deriv_classes[4][8][1] = int_stack + 79395;
 Libderiv->deriv_classes[4][9][1] = int_stack + 80070;
 Libderiv->deriv_classes[4][10][1] = int_stack + 80895;
 Libderiv->deriv_classes[4][11][1] = int_stack + 81885;
 Libderiv->deriv_classes[4][12][1] = int_stack + 83055;
 Libderiv->dvrr_classes[3][6] = int_stack + 84420;
 Libderiv->dvrr_classes[3][7] = int_stack + 84700;
 Libderiv->dvrr_classes[3][8] = int_stack + 85060;
 Libderiv->dvrr_classes[3][9] = int_stack + 85510;
 Libderiv->dvrr_classes[3][10] = int_stack + 86060;
 Libderiv->dvrr_classes[3][11] = int_stack + 86720;
 Libderiv->dvrr_classes[3][12] = int_stack + 87500;
 Libderiv->deriv_classes[3][6][0] = int_stack + 88410;
 Libderiv->deriv_classes[3][7][0] = int_stack + 88690;
 Libderiv->deriv_classes[3][8][0] = int_stack + 89050;
 Libderiv->deriv_classes[3][9][0] = int_stack + 89500;
 Libderiv->deriv_classes[3][10][0] = int_stack + 90050;
 Libderiv->deriv_classes[3][11][0] = int_stack + 90710;
 Libderiv->deriv_classes[3][12][0] = int_stack + 91490;
 Libderiv->deriv_classes[4][6][0] = int_stack + 92400;
 Libderiv->deriv_classes[4][7][0] = int_stack + 92820;
 Libderiv->deriv_classes[4][8][0] = int_stack + 93360;
 Libderiv->deriv_classes[4][9][0] = int_stack + 94035;
 Libderiv->deriv_classes[4][10][0] = int_stack + 94860;
 Libderiv->deriv_classes[4][11][0] = int_stack + 95850;
 Libderiv->deriv_classes[4][12][0] = int_stack + 97020;
 memset(int_stack,0,787080);

 Libderiv->dvrr_stack = int_stack + 333630;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_fpii(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+98385,int_stack+84700,int_stack+84420,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+99225,int_stack+85060,int_stack+84700,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+100305,int_stack+99225,int_stack+98385,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+101985,int_stack+85510,int_stack+85060,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+103335,int_stack+101985,int_stack+99225,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+105495,int_stack+103335,int_stack+100305,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+108295,int_stack+86060,int_stack+85510,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+109945,int_stack+108295,int_stack+101985,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+112645,int_stack+109945,int_stack+103335,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+116245,int_stack+112645,int_stack+105495,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+120445,int_stack+86720,int_stack+86060,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+122425,int_stack+120445,int_stack+108295,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+125725,int_stack+122425,int_stack+109945,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+130225,int_stack+125725,int_stack+112645,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+135625,int_stack+130225,int_stack+116245,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+141505,int_stack+280,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84420,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+142345,int_stack+640,int_stack+280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84700,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+143425,int_stack+142345,int_stack+141505, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98385,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+145105,int_stack+1090,int_stack+640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85060,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+146455,int_stack+145105,int_stack+142345, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99225,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+148615,int_stack+146455,int_stack+143425, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100305,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+141505,int_stack+1640,int_stack+1090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85510,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+151415,int_stack+141505,int_stack+145105, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101985,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+154115,int_stack+151415,int_stack+146455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103335,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+143155,int_stack+154115,int_stack+148615, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105495,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+147355,int_stack+2300,int_stack+1640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86060,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+157715,int_stack+147355,int_stack+141505, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108295,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+161015,int_stack+157715,int_stack+151415, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109945,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+165515,int_stack+161015,int_stack+154115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+112645,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+149335,int_stack+165515,int_stack+143155, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116245,10);
 /*--- compute (f0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+141505,int_stack+3080,int_stack+2300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86720,10);
 /*--- compute (f0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+0,int_stack+141505,int_stack+147355, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120445,10);
 /*--- compute (f0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+141505,int_stack+0,int_stack+157715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+122425,10);
 /*--- compute (f0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+170915,int_stack+141505,int_stack+161015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+125725,10);
 /*--- compute (f0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+141505,int_stack+170915,int_stack+165515, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130225,10);
 /*--- compute (f0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+155215,int_stack+141505,int_stack+149335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135625,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+141505,int_stack+54705,int_stack+53865,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+142765,int_stack+55785,int_stack+54705,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+144385,int_stack+142765,int_stack+141505,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+146905,int_stack+57135,int_stack+55785,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+148930,int_stack+146905,int_stack+142765,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+163055,int_stack+148930,int_stack+144385,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+152170,int_stack+58785,int_stack+57135,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+167255,int_stack+152170,int_stack+146905,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+171305,int_stack+167255,int_stack+148930,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+176705,int_stack+171305,int_stack+163055,15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+0,int_stack+60765,int_stack+58785,15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+183005,int_stack+0,int_stack+152170,15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+187955,int_stack+183005,int_stack+167255,15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+194705,int_stack+187955,int_stack+171305,15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+202805,int_stack+194705,int_stack+176705,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+211625,int_stack+4410,int_stack+3990, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53865,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+212885,int_stack+4950,int_stack+4410, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54705,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+214505,int_stack+212885,int_stack+211625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+141505,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+217025,int_stack+5625,int_stack+4950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55785,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+219050,int_stack+217025,int_stack+212885, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+142765,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+222290,int_stack+219050,int_stack+214505, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144385,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+211625,int_stack+6450,int_stack+5625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57135,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+226490,int_stack+211625,int_stack+217025, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+146905,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+230540,int_stack+226490,int_stack+219050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+148930,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+214100,int_stack+230540,int_stack+222290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163055,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+220400,int_stack+7440,int_stack+6450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+58785,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+235940,int_stack+220400,int_stack+211625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+152170,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+240890,int_stack+235940,int_stack+226490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167255,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+247640,int_stack+240890,int_stack+230540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+171305,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+223370,int_stack+247640,int_stack+214100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176705,15);
 /*--- compute (g0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+211625,int_stack+8610,int_stack+7440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60765,15);
 /*--- compute (g0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+2970,int_stack+211625,int_stack+220400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,15);
 /*--- compute (g0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+211625,int_stack+2970,int_stack+235940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183005,15);
 /*--- compute (g0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+255740,int_stack+211625,int_stack+240890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+187955,15);
 /*--- compute (g0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+211625,int_stack+255740,int_stack+247640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194705,15);
 /*--- compute (g0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+232190,int_stack+211625,int_stack+223370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+202805,15);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+211625,int_stack+10255,int_stack+9975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84420, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+212465,int_stack+10615,int_stack+10255, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84700, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+213545,int_stack+212465,int_stack+211625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98385, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+215225,int_stack+11065,int_stack+10615, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85060, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+216575,int_stack+215225,int_stack+212465, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99225, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+218735,int_stack+216575,int_stack+213545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100305, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+211625,int_stack+11615,int_stack+11065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85510, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+221535,int_stack+211625,int_stack+215225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101985, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+224235,int_stack+221535,int_stack+216575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103335, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+213275,int_stack+224235,int_stack+218735, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105495, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+217475,int_stack+12275,int_stack+11615, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86060, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+227835,int_stack+217475,int_stack+211625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108295, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2970,int_stack+227835,int_stack+221535, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109945, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+243950,int_stack+2970,int_stack+224235, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+112645, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+219455,int_stack+243950,int_stack+213275, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116245, 0.0, zero_stack,10);
 /*--- compute (f0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+211625,int_stack+13055,int_stack+12275, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86720, 0.0, zero_stack,10);
 /*--- compute (f0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+7470,int_stack+211625,int_stack+217475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120445, 0.0, zero_stack,10);
 /*--- compute (f0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+211625,int_stack+7470,int_stack+227835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+122425, 0.0, zero_stack,10);
 /*--- compute (f0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+225335,int_stack+211625,int_stack+2970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+125725, 0.0, zero_stack,10);
 /*--- compute (f0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+2970,int_stack+225335,int_stack+243950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130225, 0.0, zero_stack,10);
 /*--- compute (f0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+243950,int_stack+2970,int_stack+219455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135625, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2970,int_stack+14385,int_stack+13965, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53865, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4230,int_stack+14925,int_stack+14385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54705, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+5850,int_stack+4230,int_stack+2970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+141505, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8370,int_stack+15600,int_stack+14925, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55785, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+10395,int_stack+8370,int_stack+4230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+142765, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+251790,int_stack+10395,int_stack+5850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144385, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2970,int_stack+16425,int_stack+15600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57135, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+255990,int_stack+2970,int_stack+8370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+146905, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+260040,int_stack+255990,int_stack+10395, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+148930, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+5445,int_stack+260040,int_stack+251790, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163055, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+251790,int_stack+17415,int_stack+16425, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+58785, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+11745,int_stack+251790,int_stack+2970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+152170, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+211625,int_stack+11745,int_stack+255990, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167255, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+218375,int_stack+211625,int_stack+260040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+171305, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+254760,int_stack+218375,int_stack+5445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176705, 0.0, zero_stack,15);
 /*--- compute (g0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+2970,int_stack+18585,int_stack+17415, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60765, 0.0, zero_stack,15);
 /*--- compute (g0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+263580,int_stack+2970,int_stack+251790, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,15);
 /*--- compute (g0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+2970,int_stack+263580,int_stack+11745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183005, 0.0, zero_stack,15);
 /*--- compute (g0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+263580,int_stack+2970,int_stack+211625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+187955, 0.0, zero_stack,15);
 /*--- compute (g0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+2970,int_stack+263580,int_stack+218375, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194705, 0.0, zero_stack,15);
 /*--- compute (g0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+211625,int_stack+2970,int_stack+254760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+202805, 0.0, zero_stack,15);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2970,int_stack+20230,int_stack+19950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84420, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3810,int_stack+20590,int_stack+20230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84700, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4890,int_stack+3810,int_stack+2970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98385, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+6570,int_stack+21040,int_stack+20590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85060, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+7920,int_stack+6570,int_stack+3810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99225, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+10080,int_stack+7920,int_stack+4890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100305, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2970,int_stack+21590,int_stack+21040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85510, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+12880,int_stack+2970,int_stack+6570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101985, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+15580,int_stack+12880,int_stack+7920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103335, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4620,int_stack+15580,int_stack+10080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105495, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+8820,int_stack+22250,int_stack+21590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86060, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+223385,int_stack+8820,int_stack+2970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108295, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+226685,int_stack+223385,int_stack+12880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109945, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+251790,int_stack+226685,int_stack+15580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+112645, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+10800,int_stack+251790,int_stack+4620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116245, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+2970,int_stack+23030,int_stack+22250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86720, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+16680,int_stack+2970,int_stack+8820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120445, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+2970,int_stack+16680,int_stack+223385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+122425, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+16680,int_stack+2970,int_stack+226685, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+125725, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+2970,int_stack+16680,int_stack+251790, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130225, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+251790,int_stack+2970,int_stack+10800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135625, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2970,int_stack+24360,int_stack+23940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53865, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4230,int_stack+24900,int_stack+24360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54705, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+5850,int_stack+4230,int_stack+2970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+141505, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8370,int_stack+25575,int_stack+24900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55785, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+10395,int_stack+8370,int_stack+4230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+142765, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+13635,int_stack+10395,int_stack+5850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144385, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2970,int_stack+26400,int_stack+25575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57135, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+17835,int_stack+2970,int_stack+8370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+146905, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+259630,int_stack+17835,int_stack+10395, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+148930, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+5445,int_stack+259630,int_stack+13635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163055, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+11745,int_stack+27390,int_stack+26400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+58785, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+21885,int_stack+11745,int_stack+2970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+152170, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+265030,int_stack+21885,int_stack+17835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167255, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+223385,int_stack+265030,int_stack+259630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+171305, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+271780,int_stack+223385,int_stack+5445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176705, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+259630,int_stack+28560,int_stack+27390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60765, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+2970,int_stack+259630,int_stack+11745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+8910,int_stack+2970,int_stack+21885, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183005, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+17160,int_stack+8910,int_stack+265030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+187955, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+2970,int_stack+17160,int_stack+223385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194705, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+14310,int_stack+2970,int_stack+271780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+202805, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2970,int_stack+30205,int_stack+29925, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3810,int_stack+30565,int_stack+30205, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4890,int_stack+3810,int_stack+2970, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+6570,int_stack+31015,int_stack+30565, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+7920,int_stack+6570,int_stack+3810, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+99225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+10080,int_stack+7920,int_stack+4890, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100305, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2970,int_stack+31565,int_stack+31015, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+223385,int_stack+2970,int_stack+6570, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101985, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+226085,int_stack+223385,int_stack+7920, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4620,int_stack+226085,int_stack+10080, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+8820,int_stack+32225,int_stack+31565, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+10800,int_stack+8820,int_stack+2970, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+26070,int_stack+10800,int_stack+223385, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+259630,int_stack+26070,int_stack+226085, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+112645, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+223385,int_stack+259630,int_stack+4620, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116245, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+229265,int_stack+33005,int_stack+32225, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+2970,int_stack+229265,int_stack+8820, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+265030,int_stack+2970,int_stack+10800, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+122425, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+2970,int_stack+265030,int_stack+26070, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+125725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+26070,int_stack+2970,int_stack+259630, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+259630,int_stack+26070,int_stack+223385, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+223385,int_stack+34335,int_stack+33915, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53865, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+224645,int_stack+34875,int_stack+34335, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+226265,int_stack+224645,int_stack+223385, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+141505, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+228785,int_stack+35550,int_stack+34875, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+26070,int_stack+228785,int_stack+224645, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+142765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+29310,int_stack+26070,int_stack+226265, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+223385,int_stack+36375,int_stack+35550, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57135, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+267470,int_stack+223385,int_stack+228785, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+146905, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+225860,int_stack+267470,int_stack+26070, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+148930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+271520,int_stack+225860,int_stack+29310, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+163055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+26070,int_stack+37365,int_stack+36375, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+58785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+29040,int_stack+26070,int_stack+223385, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+152170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2970,int_stack+29040,int_stack+267470, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167255, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+277820,int_stack+2970,int_stack+225860, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+171305, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+285920,int_stack+277820,int_stack+271520, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+267470,int_stack+38535,int_stack+37365, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+270980,int_stack+267470,int_stack+26070, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+223385,int_stack+270980,int_stack+29040, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183005, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+26070,int_stack+223385,int_stack+2970, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+187955, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+2970,int_stack+26070,int_stack+277820, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+26070,int_stack+2970,int_stack+285920, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+202805, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2970,int_stack+40180,int_stack+39900, 0.0, zero_stack, 1.0, int_stack+84420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3810,int_stack+40540,int_stack+40180, 0.0, zero_stack, 1.0, int_stack+84700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4890,int_stack+3810,int_stack+2970, 0.0, zero_stack, 1.0, int_stack+98385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+6570,int_stack+40990,int_stack+40540, 0.0, zero_stack, 1.0, int_stack+85060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+7920,int_stack+6570,int_stack+3810, 0.0, zero_stack, 1.0, int_stack+99225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+10080,int_stack+7920,int_stack+4890, 0.0, zero_stack, 1.0, int_stack+100305, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2970,int_stack+41540,int_stack+40990, 0.0, zero_stack, 1.0, int_stack+85510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+37830,int_stack+2970,int_stack+6570, 0.0, zero_stack, 1.0, int_stack+101985, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+223385,int_stack+37830,int_stack+7920, 0.0, zero_stack, 1.0, int_stack+103335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4620,int_stack+223385,int_stack+10080, 0.0, zero_stack, 1.0, int_stack+105495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+8820,int_stack+42200,int_stack+41540, 0.0, zero_stack, 1.0, int_stack+86060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+10800,int_stack+8820,int_stack+2970, 0.0, zero_stack, 1.0, int_stack+108295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+226985,int_stack+10800,int_stack+37830, 0.0, zero_stack, 1.0, int_stack+109945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+267470,int_stack+226985,int_stack+223385, 0.0, zero_stack, 1.0, int_stack+112645, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+272870,int_stack+267470,int_stack+4620, 0.0, zero_stack, 1.0, int_stack+116245, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+223385,int_stack+42980,int_stack+42200, 0.0, zero_stack, 1.0, int_stack+86720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+37830,int_stack+223385,int_stack+8820, 0.0, zero_stack, 1.0, int_stack+120445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+2970,int_stack+37830,int_stack+10800, 0.0, zero_stack, 1.0, int_stack+122425, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+278750,int_stack+2970,int_stack+226985, 0.0, zero_stack, 1.0, int_stack+125725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+2970,int_stack+278750,int_stack+267470, 0.0, zero_stack, 1.0, int_stack+130225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+278750,int_stack+2970,int_stack+272870, 0.0, zero_stack, 1.0, int_stack+135625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2970,int_stack+44310,int_stack+43890, 0.0, zero_stack, 1.0, int_stack+53865, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4230,int_stack+44850,int_stack+44310, 0.0, zero_stack, 1.0, int_stack+54705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+5850,int_stack+4230,int_stack+2970, 0.0, zero_stack, 1.0, int_stack+141505, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8370,int_stack+45525,int_stack+44850, 0.0, zero_stack, 1.0, int_stack+55785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+10395,int_stack+8370,int_stack+4230, 0.0, zero_stack, 1.0, int_stack+142765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+267470,int_stack+10395,int_stack+5850, 0.0, zero_stack, 1.0, int_stack+144385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2970,int_stack+46350,int_stack+45525, 0.0, zero_stack, 1.0, int_stack+57135, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+271670,int_stack+2970,int_stack+8370, 0.0, zero_stack, 1.0, int_stack+146905, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+286590,int_stack+271670,int_stack+10395, 0.0, zero_stack, 1.0, int_stack+148930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+5445,int_stack+286590,int_stack+267470, 0.0, zero_stack, 1.0, int_stack+163055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+267470,int_stack+47340,int_stack+46350, 0.0, zero_stack, 1.0, int_stack+58785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+37830,int_stack+267470,int_stack+2970, 0.0, zero_stack, 1.0, int_stack+152170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+223385,int_stack+37830,int_stack+271670, 0.0, zero_stack, 1.0, int_stack+167255, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+270440,int_stack+223385,int_stack+286590, 0.0, zero_stack, 1.0, int_stack+171305, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+286590,int_stack+270440,int_stack+5445, 0.0, zero_stack, 1.0, int_stack+176705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+2970,int_stack+48510,int_stack+47340, 0.0, zero_stack, 1.0, int_stack+60765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+6480,int_stack+2970,int_stack+267470, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+295410,int_stack+6480,int_stack+37830, 0.0, zero_stack, 1.0, int_stack+183005, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+37830,int_stack+295410,int_stack+223385, 0.0, zero_stack, 1.0, int_stack+187955, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+2970,int_stack+37830,int_stack+270440, 0.0, zero_stack, 1.0, int_stack+194705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+37830,int_stack+2970,int_stack+286590, 0.0, zero_stack, 1.0, int_stack+202805, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+286590,int_stack+50155,int_stack+49875, 1.0, int_stack+84420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+287430,int_stack+50515,int_stack+50155, 1.0, int_stack+84700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+288510,int_stack+287430,int_stack+286590, 1.0, int_stack+98385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+290190,int_stack+50965,int_stack+50515, 1.0, int_stack+85060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+291540,int_stack+290190,int_stack+287430, 1.0, int_stack+99225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+293700,int_stack+291540,int_stack+288510, 1.0, int_stack+100305, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+98385,int_stack+51515,int_stack+50965, 1.0, int_stack+85510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+286590,int_stack+98385,int_stack+290190, 1.0, int_stack+101985, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+296500,int_stack+286590,int_stack+291540, 1.0, int_stack+103335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+100035,int_stack+296500,int_stack+293700, 1.0, int_stack+105495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+104235,int_stack+52175,int_stack+51515, 1.0, int_stack+86060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+289290,int_stack+104235,int_stack+98385, 1.0, int_stack+108295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2970,int_stack+289290,int_stack+286590, 1.0, int_stack+109945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+106215,int_stack+2970,int_stack+296500, 1.0, int_stack+112645, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+292590,int_stack+106215,int_stack+100035, 1.0, int_stack+116245, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+286590,int_stack+52955,int_stack+52175, 1.0, int_stack+86720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+98385,int_stack+286590,int_stack+104235, 1.0, int_stack+120445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+111615,int_stack+98385,int_stack+289290, 1.0, int_stack+122425, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+98385,int_stack+111615,int_stack+2970, 1.0, int_stack+125725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+2970,int_stack+98385,int_stack+106215, 1.0, int_stack+130225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+98385,int_stack+2970,int_stack+292590, 1.0, int_stack+135625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2970,int_stack+55245,int_stack+54285, 1.0, int_stack+53865, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4230,int_stack+56460,int_stack+55245, 1.0, int_stack+54705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+5850,int_stack+4230,int_stack+2970, 1.0, int_stack+141505, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8370,int_stack+57960,int_stack+56460, 1.0, int_stack+55785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+10395,int_stack+8370,int_stack+4230, 1.0, int_stack+142765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+106225,int_stack+10395,int_stack+5850, 1.0, int_stack+144385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+141505,int_stack+59775,int_stack+57960, 1.0, int_stack+57135, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2970,int_stack+141505,int_stack+8370, 1.0, int_stack+146905, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+110425,int_stack+2970,int_stack+10395, 1.0, int_stack+148930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+143980,int_stack+110425,int_stack+106225, 1.0, int_stack+163055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+163055,int_stack+61935,int_stack+59775, 1.0, int_stack+58785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+7020,int_stack+163055,int_stack+141505, 1.0, int_stack+152170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+286590,int_stack+7020,int_stack+2970, 1.0, int_stack+167255, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+293340,int_stack+286590,int_stack+110425, 1.0, int_stack+171305, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+166025,int_stack+293340,int_stack+143980, 1.0, int_stack+176705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+2970,int_stack+63105,int_stack+61935, 1.0, int_stack+60765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+141505,int_stack+2970,int_stack+163055, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+106225,int_stack+141505,int_stack+7020, 1.0, int_stack+183005, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+141505,int_stack+106225,int_stack+286590, 1.0, int_stack+187955, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+106225,int_stack+141505,int_stack+293340, 1.0, int_stack+194705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+141505,int_stack+106225,int_stack+166025, 1.0, int_stack+202805, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+106225,int_stack+87500,int_stack+86720,10);
 /*--- compute (f0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+108565,int_stack+106225,int_stack+120445,10);
 /*--- compute (f0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+112525,int_stack+108565,int_stack+122425,10);
 /*--- compute (f0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+118025,int_stack+112525,int_stack+125725,10);
 /*--- compute (f0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+106225,int_stack+118025,int_stack+130225,10);
 /*--- compute (f0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+113785,int_stack+106225,int_stack+135625,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+106225,int_stack+64750,int_stack+64470,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+107065,int_stack+65110,int_stack+64750,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+108145,int_stack+107065,int_stack+106225,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+109825,int_stack+65560,int_stack+65110,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+111175,int_stack+109825,int_stack+107065,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+121625,int_stack+111175,int_stack+108145,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+106225,int_stack+66110,int_stack+65560,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+124425,int_stack+106225,int_stack+109825,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+127125,int_stack+124425,int_stack+111175,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+107875,int_stack+127125,int_stack+121625,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+121625,int_stack+66770,int_stack+66110,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+130725,int_stack+121625,int_stack+106225,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+134025,int_stack+130725,int_stack+124425,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+286590,int_stack+134025,int_stack+127125,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+123605,int_stack+286590,int_stack+107875,10);
 /*--- compute (f0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+106225,int_stack+67550,int_stack+66770,10);
 /*--- compute (f0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+108565,int_stack+106225,int_stack+121625,10);
 /*--- compute (f0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+291990,int_stack+108565,int_stack+130725,10);
 /*--- compute (f0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+106225,int_stack+291990,int_stack+134025,10);
 /*--- compute (f0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+291990,int_stack+106225,int_stack+286590,10);
 /*--- compute (f0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+129485,int_stack+291990,int_stack+123605,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+286590,int_stack+68880,int_stack+68460,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+287850,int_stack+69420,int_stack+68880,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+289470,int_stack+287850,int_stack+286590,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+291990,int_stack+70095,int_stack+69420,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+294015,int_stack+291990,int_stack+287850,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+297255,int_stack+294015,int_stack+289470,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+286590,int_stack+70920,int_stack+70095,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+106225,int_stack+286590,int_stack+291990,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+121625,int_stack+106225,int_stack+294015,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+289065,int_stack+121625,int_stack+297255,15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+295365,int_stack+71910,int_stack+70920,15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+298335,int_stack+295365,int_stack+286590,15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+0,int_stack+298335,int_stack+106225,15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+163055,int_stack+0,int_stack+121625,15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+171155,int_stack+163055,int_stack+289065,15);
 /*--- compute (g0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+121625,int_stack+73080,int_stack+71910,15);
 /*--- compute (g0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+106225,int_stack+121625,int_stack+295365,15);
 /*--- compute (g0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+286590,int_stack+106225,int_stack+298335,15);
 /*--- compute (g0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+179975,int_stack+286590,int_stack+0,15);
 /*--- compute (g0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+0,int_stack+179975,int_stack+163055,15);
 /*--- compute (g0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+179975,int_stack+0,int_stack+171155,15);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+74725,int_stack+74445,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+840,int_stack+75085,int_stack+74725,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1920,int_stack+840,int_stack+0,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+3600,int_stack+75535,int_stack+75085,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+4950,int_stack+3600,int_stack+840,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+7110,int_stack+4950,int_stack+1920,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+76085,int_stack+75535,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+9910,int_stack+0,int_stack+3600,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+163055,int_stack+9910,int_stack+4950,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+1650,int_stack+163055,int_stack+7110,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+5850,int_stack+76745,int_stack+76085,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+166655,int_stack+5850,int_stack+0,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+169955,int_stack+166655,int_stack+9910,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+7830,int_stack+169955,int_stack+163055,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+191735,int_stack+7830,int_stack+1650,10);
 /*--- compute (f0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+163055,int_stack+77525,int_stack+76745,10);
 /*--- compute (f0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+0,int_stack+163055,int_stack+5850,10);
 /*--- compute (f0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+174455,int_stack+0,int_stack+166655,10);
 /*--- compute (f0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+0,int_stack+174455,int_stack+169955,10);
 /*--- compute (f0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+106225,int_stack+0,int_stack+7830,10);
 /*--- compute (f0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+0,int_stack+106225,int_stack+191735,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+191735,int_stack+78855,int_stack+78435,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+192995,int_stack+79395,int_stack+78855,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+194615,int_stack+192995,int_stack+191735,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+197135,int_stack+80070,int_stack+79395,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+199160,int_stack+197135,int_stack+192995,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+202400,int_stack+199160,int_stack+194615,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+191735,int_stack+80895,int_stack+80070,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+206600,int_stack+191735,int_stack+197135,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+106225,int_stack+206600,int_stack+199160,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+194210,int_stack+106225,int_stack+202400,15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+200510,int_stack+81885,int_stack+80895,15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+7840,int_stack+200510,int_stack+191735,15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+163055,int_stack+7840,int_stack+206600,15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+203480,int_stack+163055,int_stack+106225,15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+169805,int_stack+203480,int_stack+194210,15);
 /*--- compute (g0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+106225,int_stack+83055,int_stack+81885,15);
 /*--- compute (g0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+191735,int_stack+106225,int_stack+200510,15);
 /*--- compute (g0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+286590,int_stack+191735,int_stack+7840,15);
 /*--- compute (g0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+191735,int_stack+286590,int_stack+163055,15);
 /*--- compute (g0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+286590,int_stack+191735,int_stack+203480,15);
 /*--- compute (g0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+191735,int_stack+286590,int_stack+169805,15);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+286590,int_stack+88690,int_stack+88410,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+287430,int_stack+89050,int_stack+88690,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+288510,int_stack+287430,int_stack+286590,10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+290190,int_stack+89500,int_stack+89050,10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+291540,int_stack+290190,int_stack+287430,10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+293700,int_stack+291540,int_stack+288510,10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+286590,int_stack+90050,int_stack+89500,10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+296500,int_stack+286590,int_stack+290190,10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+299200,int_stack+296500,int_stack+291540,10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+288240,int_stack+299200,int_stack+293700,10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+292440,int_stack+90710,int_stack+90050,10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+203495,int_stack+292440,int_stack+286590,10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+206795,int_stack+203495,int_stack+296500,10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+163055,int_stack+206795,int_stack+299200,10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+294420,int_stack+163055,int_stack+288240,10);
 /*--- compute (f0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+286590,int_stack+91490,int_stack+90710,10);
 /*--- compute (f0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+168455,int_stack+286590,int_stack+292440,10);
 /*--- compute (f0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+286590,int_stack+168455,int_stack+203495,10);
 /*--- compute (f0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+168455,int_stack+286590,int_stack+206795,10);
 /*--- compute (f0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+106225,int_stack+168455,int_stack+163055,10);
 /*--- compute (f0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+163055,int_stack+106225,int_stack+294420,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+106225,int_stack+92820,int_stack+92400,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+107485,int_stack+93360,int_stack+92820,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+109105,int_stack+107485,int_stack+106225,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+111625,int_stack+94035,int_stack+93360,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+170895,int_stack+111625,int_stack+107485,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+174135,int_stack+170895,int_stack+109105,15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+106225,int_stack+94860,int_stack+94035,15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+286590,int_stack+106225,int_stack+111625,15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+290640,int_stack+286590,int_stack+170895,15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+296040,int_stack+290640,int_stack+174135,15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+170895,int_stack+95850,int_stack+94860,15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+173865,int_stack+170895,int_stack+106225,15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+106225,int_stack+173865,int_stack+286590,15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+203495,int_stack+106225,int_stack+290640,15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+286590,int_stack+203495,int_stack+296040,15);
 /*--- compute (g0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+295410,int_stack+97020,int_stack+95850,15);
 /*--- compute (g0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+7840,int_stack+295410,int_stack+170895,15);
 /*--- compute (g0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+295410,int_stack+7840,int_stack+173865,15);
 /*--- compute (g0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+49590,int_stack+295410,int_stack+106225,15);
 /*--- compute (g0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+59715,int_stack+49590,int_stack+203495,15);
 /*--- compute (g0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+71055,int_stack+59715,int_stack+286590,15);
 /*--- compute (fp|ii) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+286590,int_stack+232190,int_stack+155215,784);
     Libderiv->ABCD[11] = int_stack + 286590;
 /*--- compute (fp|ii) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+310110,int_stack+211625,int_stack+243950,784);
     Libderiv->ABCD[10] = int_stack + 310110;
 /*--- compute (fp|ii) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+203495,int_stack+14310,int_stack+251790,784);
     Libderiv->ABCD[9] = int_stack + 203495;
 /*--- compute (fp|ii) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+227015,int_stack+26070,int_stack+259630,784);
     Libderiv->ABCD[8] = int_stack + 227015;
 /*--- compute (fp|ii) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+250535,int_stack+37830,int_stack+278750,784);
     Libderiv->ABCD[7] = int_stack + 250535;
 /*--- compute (fp|ii) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+7840,int_stack+141505,int_stack+98385,784);
     Libderiv->ABCD[6] = int_stack + 7840;
 /*--- compute (fp|ii) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+31360,int_stack+179975,int_stack+129485, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+113785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
     Libderiv->ABCD[2] = int_stack + 31360;
 /*--- compute (fp|ii) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+121625,int_stack+191735,int_stack+0, 0.0, zero_stack, 1.0, int_stack+113785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
     Libderiv->ABCD[1] = int_stack + 121625;
 /*--- compute (fp|ii) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+170895,int_stack+71055,int_stack+163055, 1.0, int_stack+113785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
     Libderiv->ABCD[0] = int_stack + 170895;

}
