#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_ggif(Libderiv_t *, prim_data *);

  /* Computes derivatives of (gg|if) integrals */

void d1hrr_order_ggif(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[4][6][11] = int_stack + 0;
 Libderiv->deriv_classes[4][7][11] = int_stack + 420;
 Libderiv->deriv_classes[4][8][11] = int_stack + 960;
 Libderiv->deriv_classes[4][9][11] = int_stack + 1635;
 Libderiv->deriv_classes[5][6][11] = int_stack + 2460;
 Libderiv->deriv_classes[5][7][11] = int_stack + 3048;
 Libderiv->deriv_classes[5][8][11] = int_stack + 3804;
 Libderiv->deriv_classes[5][9][11] = int_stack + 4749;
 Libderiv->deriv_classes[6][6][11] = int_stack + 5904;
 Libderiv->deriv_classes[6][7][11] = int_stack + 6688;
 Libderiv->deriv_classes[6][8][11] = int_stack + 7696;
 Libderiv->deriv_classes[6][9][11] = int_stack + 8956;
 Libderiv->deriv_classes[7][6][11] = int_stack + 10496;
 Libderiv->deriv_classes[7][7][11] = int_stack + 11504;
 Libderiv->deriv_classes[7][8][11] = int_stack + 12800;
 Libderiv->deriv_classes[7][9][11] = int_stack + 14420;
 Libderiv->deriv_classes[8][6][11] = int_stack + 16400;
 Libderiv->deriv_classes[8][7][11] = int_stack + 17660;
 Libderiv->deriv_classes[8][8][11] = int_stack + 19280;
 Libderiv->deriv_classes[8][9][11] = int_stack + 21305;
 Libderiv->deriv_classes[4][6][10] = int_stack + 23780;
 Libderiv->deriv_classes[4][7][10] = int_stack + 24200;
 Libderiv->deriv_classes[4][8][10] = int_stack + 24740;
 Libderiv->deriv_classes[4][9][10] = int_stack + 25415;
 Libderiv->deriv_classes[5][6][10] = int_stack + 26240;
 Libderiv->deriv_classes[5][7][10] = int_stack + 26828;
 Libderiv->deriv_classes[5][8][10] = int_stack + 27584;
 Libderiv->deriv_classes[5][9][10] = int_stack + 28529;
 Libderiv->deriv_classes[6][6][10] = int_stack + 29684;
 Libderiv->deriv_classes[6][7][10] = int_stack + 30468;
 Libderiv->deriv_classes[6][8][10] = int_stack + 31476;
 Libderiv->deriv_classes[6][9][10] = int_stack + 32736;
 Libderiv->deriv_classes[7][6][10] = int_stack + 34276;
 Libderiv->deriv_classes[7][7][10] = int_stack + 35284;
 Libderiv->deriv_classes[7][8][10] = int_stack + 36580;
 Libderiv->deriv_classes[7][9][10] = int_stack + 38200;
 Libderiv->deriv_classes[8][6][10] = int_stack + 40180;
 Libderiv->deriv_classes[8][7][10] = int_stack + 41440;
 Libderiv->deriv_classes[8][8][10] = int_stack + 43060;
 Libderiv->deriv_classes[8][9][10] = int_stack + 45085;
 Libderiv->deriv_classes[4][6][9] = int_stack + 47560;
 Libderiv->deriv_classes[4][7][9] = int_stack + 47980;
 Libderiv->deriv_classes[4][8][9] = int_stack + 48520;
 Libderiv->deriv_classes[4][9][9] = int_stack + 49195;
 Libderiv->deriv_classes[5][6][9] = int_stack + 50020;
 Libderiv->deriv_classes[5][7][9] = int_stack + 50608;
 Libderiv->deriv_classes[5][8][9] = int_stack + 51364;
 Libderiv->deriv_classes[5][9][9] = int_stack + 52309;
 Libderiv->deriv_classes[6][6][9] = int_stack + 53464;
 Libderiv->deriv_classes[6][7][9] = int_stack + 54248;
 Libderiv->deriv_classes[6][8][9] = int_stack + 55256;
 Libderiv->deriv_classes[6][9][9] = int_stack + 56516;
 Libderiv->deriv_classes[7][6][9] = int_stack + 58056;
 Libderiv->deriv_classes[7][7][9] = int_stack + 59064;
 Libderiv->deriv_classes[7][8][9] = int_stack + 60360;
 Libderiv->deriv_classes[7][9][9] = int_stack + 61980;
 Libderiv->deriv_classes[8][6][9] = int_stack + 63960;
 Libderiv->deriv_classes[8][7][9] = int_stack + 65220;
 Libderiv->deriv_classes[8][8][9] = int_stack + 66840;
 Libderiv->deriv_classes[8][9][9] = int_stack + 68865;
 Libderiv->deriv_classes[4][6][8] = int_stack + 71340;
 Libderiv->deriv_classes[4][7][8] = int_stack + 71760;
 Libderiv->deriv_classes[4][8][8] = int_stack + 72300;
 Libderiv->deriv_classes[4][9][8] = int_stack + 72975;
 Libderiv->deriv_classes[5][6][8] = int_stack + 73800;
 Libderiv->deriv_classes[5][7][8] = int_stack + 74388;
 Libderiv->deriv_classes[5][8][8] = int_stack + 75144;
 Libderiv->deriv_classes[5][9][8] = int_stack + 76089;
 Libderiv->deriv_classes[6][6][8] = int_stack + 77244;
 Libderiv->deriv_classes[6][7][8] = int_stack + 78028;
 Libderiv->deriv_classes[6][8][8] = int_stack + 79036;
 Libderiv->deriv_classes[6][9][8] = int_stack + 80296;
 Libderiv->deriv_classes[7][6][8] = int_stack + 81836;
 Libderiv->deriv_classes[7][7][8] = int_stack + 82844;
 Libderiv->deriv_classes[7][8][8] = int_stack + 84140;
 Libderiv->deriv_classes[7][9][8] = int_stack + 85760;
 Libderiv->deriv_classes[8][6][8] = int_stack + 87740;
 Libderiv->deriv_classes[8][7][8] = int_stack + 89000;
 Libderiv->deriv_classes[8][8][8] = int_stack + 90620;
 Libderiv->deriv_classes[8][9][8] = int_stack + 92645;
 Libderiv->deriv_classes[4][6][7] = int_stack + 95120;
 Libderiv->deriv_classes[4][7][7] = int_stack + 95540;
 Libderiv->deriv_classes[4][8][7] = int_stack + 96080;
 Libderiv->deriv_classes[4][9][7] = int_stack + 96755;
 Libderiv->deriv_classes[5][6][7] = int_stack + 97580;
 Libderiv->deriv_classes[5][7][7] = int_stack + 98168;
 Libderiv->deriv_classes[5][8][7] = int_stack + 98924;
 Libderiv->deriv_classes[5][9][7] = int_stack + 99869;
 Libderiv->deriv_classes[6][6][7] = int_stack + 101024;
 Libderiv->deriv_classes[6][7][7] = int_stack + 101808;
 Libderiv->deriv_classes[6][8][7] = int_stack + 102816;
 Libderiv->deriv_classes[6][9][7] = int_stack + 104076;
 Libderiv->deriv_classes[7][6][7] = int_stack + 105616;
 Libderiv->deriv_classes[7][7][7] = int_stack + 106624;
 Libderiv->deriv_classes[7][8][7] = int_stack + 107920;
 Libderiv->deriv_classes[7][9][7] = int_stack + 109540;
 Libderiv->deriv_classes[8][6][7] = int_stack + 111520;
 Libderiv->deriv_classes[8][7][7] = int_stack + 112780;
 Libderiv->deriv_classes[8][8][7] = int_stack + 114400;
 Libderiv->deriv_classes[8][9][7] = int_stack + 116425;
 Libderiv->deriv_classes[4][6][6] = int_stack + 118900;
 Libderiv->deriv_classes[4][7][6] = int_stack + 119320;
 Libderiv->deriv_classes[4][8][6] = int_stack + 119860;
 Libderiv->deriv_classes[4][9][6] = int_stack + 120535;
 Libderiv->deriv_classes[5][6][6] = int_stack + 121360;
 Libderiv->deriv_classes[5][7][6] = int_stack + 121948;
 Libderiv->deriv_classes[5][8][6] = int_stack + 122704;
 Libderiv->deriv_classes[5][9][6] = int_stack + 123649;
 Libderiv->deriv_classes[6][6][6] = int_stack + 124804;
 Libderiv->deriv_classes[6][7][6] = int_stack + 125588;
 Libderiv->deriv_classes[6][8][6] = int_stack + 126596;
 Libderiv->deriv_classes[6][9][6] = int_stack + 127856;
 Libderiv->deriv_classes[7][6][6] = int_stack + 129396;
 Libderiv->deriv_classes[7][7][6] = int_stack + 130404;
 Libderiv->deriv_classes[7][8][6] = int_stack + 131700;
 Libderiv->deriv_classes[7][9][6] = int_stack + 133320;
 Libderiv->dvrr_classes[8][6] = int_stack + 135300;
 Libderiv->deriv_classes[8][6][6] = int_stack + 136560;
 Libderiv->dvrr_classes[8][7] = int_stack + 137820;
 Libderiv->deriv_classes[8][7][6] = int_stack + 139440;
 Libderiv->dvrr_classes[8][8] = int_stack + 141060;
 Libderiv->deriv_classes[8][8][6] = int_stack + 143085;
 Libderiv->deriv_classes[8][9][6] = int_stack + 145110;
 Libderiv->deriv_classes[4][6][2] = int_stack + 147585;
 Libderiv->deriv_classes[4][7][2] = int_stack + 148005;
 Libderiv->deriv_classes[4][8][2] = int_stack + 148545;
 Libderiv->deriv_classes[4][9][2] = int_stack + 149220;
 Libderiv->deriv_classes[5][6][2] = int_stack + 150045;
 Libderiv->deriv_classes[5][7][2] = int_stack + 150633;
 Libderiv->deriv_classes[5][8][2] = int_stack + 151389;
 Libderiv->deriv_classes[5][9][2] = int_stack + 152334;
 Libderiv->deriv_classes[6][6][2] = int_stack + 153489;
 Libderiv->deriv_classes[6][7][2] = int_stack + 154273;
 Libderiv->deriv_classes[6][8][2] = int_stack + 155281;
 Libderiv->deriv_classes[6][9][2] = int_stack + 156541;
 Libderiv->deriv_classes[7][6][2] = int_stack + 158081;
 Libderiv->deriv_classes[7][7][2] = int_stack + 159089;
 Libderiv->deriv_classes[7][8][2] = int_stack + 160385;
 Libderiv->deriv_classes[7][9][2] = int_stack + 162005;
 Libderiv->deriv_classes[8][6][2] = int_stack + 163985;
 Libderiv->deriv_classes[8][7][2] = int_stack + 165245;
 Libderiv->deriv_classes[8][8][2] = int_stack + 166865;
 Libderiv->deriv_classes[8][9][2] = int_stack + 168890;
 Libderiv->deriv_classes[4][6][1] = int_stack + 171365;
 Libderiv->deriv_classes[4][7][1] = int_stack + 171785;
 Libderiv->deriv_classes[4][8][1] = int_stack + 172325;
 Libderiv->deriv_classes[4][9][1] = int_stack + 173000;
 Libderiv->deriv_classes[5][6][1] = int_stack + 173825;
 Libderiv->deriv_classes[5][7][1] = int_stack + 174413;
 Libderiv->deriv_classes[5][8][1] = int_stack + 175169;
 Libderiv->deriv_classes[5][9][1] = int_stack + 176114;
 Libderiv->deriv_classes[6][6][1] = int_stack + 177269;
 Libderiv->deriv_classes[6][7][1] = int_stack + 178053;
 Libderiv->deriv_classes[6][8][1] = int_stack + 179061;
 Libderiv->deriv_classes[6][9][1] = int_stack + 180321;
 Libderiv->deriv_classes[7][6][1] = int_stack + 181861;
 Libderiv->deriv_classes[7][7][1] = int_stack + 182869;
 Libderiv->deriv_classes[7][8][1] = int_stack + 184165;
 Libderiv->deriv_classes[7][9][1] = int_stack + 185785;
 Libderiv->deriv_classes[8][6][1] = int_stack + 187765;
 Libderiv->deriv_classes[8][7][1] = int_stack + 189025;
 Libderiv->deriv_classes[8][8][1] = int_stack + 190645;
 Libderiv->deriv_classes[8][9][1] = int_stack + 192670;
 Libderiv->dvrr_classes[4][6] = int_stack + 195145;
 Libderiv->dvrr_classes[4][7] = int_stack + 195565;
 Libderiv->dvrr_classes[4][8] = int_stack + 196105;
 Libderiv->dvrr_classes[4][9] = int_stack + 196780;
 Libderiv->deriv_classes[4][6][0] = int_stack + 197605;
 Libderiv->deriv_classes[4][7][0] = int_stack + 198025;
 Libderiv->deriv_classes[4][8][0] = int_stack + 198565;
 Libderiv->deriv_classes[4][9][0] = int_stack + 199240;
 Libderiv->dvrr_classes[5][6] = int_stack + 200065;
 Libderiv->dvrr_classes[5][7] = int_stack + 200653;
 Libderiv->dvrr_classes[5][8] = int_stack + 201409;
 Libderiv->dvrr_classes[5][9] = int_stack + 202354;
 Libderiv->deriv_classes[5][6][0] = int_stack + 203509;
 Libderiv->deriv_classes[5][7][0] = int_stack + 204097;
 Libderiv->deriv_classes[5][8][0] = int_stack + 204853;
 Libderiv->deriv_classes[5][9][0] = int_stack + 205798;
 Libderiv->dvrr_classes[6][6] = int_stack + 206953;
 Libderiv->dvrr_classes[6][7] = int_stack + 207737;
 Libderiv->dvrr_classes[6][8] = int_stack + 208745;
 Libderiv->dvrr_classes[6][9] = int_stack + 210005;
 Libderiv->deriv_classes[6][6][0] = int_stack + 211545;
 Libderiv->deriv_classes[6][7][0] = int_stack + 212329;
 Libderiv->deriv_classes[6][8][0] = int_stack + 213337;
 Libderiv->deriv_classes[6][9][0] = int_stack + 214597;
 Libderiv->dvrr_classes[7][6] = int_stack + 216137;
 Libderiv->dvrr_classes[7][7] = int_stack + 217145;
 Libderiv->dvrr_classes[7][8] = int_stack + 218441;
 Libderiv->dvrr_classes[7][9] = int_stack + 220061;
 Libderiv->deriv_classes[7][6][0] = int_stack + 222041;
 Libderiv->deriv_classes[7][7][0] = int_stack + 223049;
 Libderiv->deriv_classes[7][8][0] = int_stack + 224345;
 Libderiv->deriv_classes[7][9][0] = int_stack + 225965;
 Libderiv->deriv_classes[8][6][0] = int_stack + 227945;
 Libderiv->deriv_classes[8][7][0] = int_stack + 229205;
 Libderiv->deriv_classes[8][8][0] = int_stack + 230825;
 Libderiv->deriv_classes[8][9][0] = int_stack + 232850;
 memset(int_stack,0,1882600);

 Libderiv->dvrr_stack = int_stack + 1326666;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_ggif(Libderiv, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+235325,int_stack+195565,int_stack+195145,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+236585,int_stack+196105,int_stack+195565,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+238205,int_stack+236585,int_stack+235325,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+240725,int_stack+420,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195145,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+241985,int_stack+960,int_stack+420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195565,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+243605,int_stack+241985,int_stack+240725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+235325,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+246125,int_stack+1635,int_stack+960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+196105,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+248150,int_stack+246125,int_stack+241985, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+236585,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+251390,int_stack+248150,int_stack+243605, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+238205,15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+240725,int_stack+200653,int_stack+200065,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+242489,int_stack+201409,int_stack+200653,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+244757,int_stack+242489,int_stack+240725,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+248285,int_stack+3048,int_stack+2460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200065,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+3804,int_stack+3048, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200653,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+255590,int_stack+0,int_stack+248285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+240725,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+248285,int_stack+4749,int_stack+3804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201409,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+259118,int_stack+248285,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+242489,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+259118,int_stack+255590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+244757,21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+255590,int_stack+0,int_stack+251390,280);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+248285,int_stack+207737,int_stack+206953,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+250637,int_stack+208745,int_stack+207737,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+268190,int_stack+250637,int_stack+248285,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+272894,int_stack+6688,int_stack+5904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+206953,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+275246,int_stack+7696,int_stack+6688, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207737,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+278270,int_stack+275246,int_stack+272894, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+248285,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+282974,int_stack+8956,int_stack+7696, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208745,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+286754,int_stack+282974,int_stack+275246, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+250637,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+292802,int_stack+286754,int_stack+278270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+268190,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+272894,int_stack+292802,int_stack+0,280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+300642,int_stack+272894,int_stack+255590,280);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+217145,int_stack+216137,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3024,int_stack+218441,int_stack+217145,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+253661,int_stack+3024,int_stack+0,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6912,int_stack+11504,int_stack+10496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+216137,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+259709,int_stack+12800,int_stack+11504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+217145,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+325842,int_stack+259709,int_stack+6912, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+6912,int_stack+14420,int_stack+12800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+218441,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+331890,int_stack+6912,int_stack+259709, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3024,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+339666,int_stack+331890,int_stack+325842, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+253661,36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+349746,int_stack+339666,int_stack+292802,280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+373266,int_stack+349746,int_stack+272894,280);
 /*--- compute (gf|if) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+408546,int_stack+373266,int_stack+300642,280);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+272894,int_stack+137820,int_stack+135300,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+276674,int_stack+141060,int_stack+137820,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+281534,int_stack+276674,int_stack+272894,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+289094,int_stack+17660,int_stack+16400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135300,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+292874,int_stack+19280,int_stack+17660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137820,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+297734,int_stack+292874,int_stack+289094, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+272894,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+305294,int_stack+21305,int_stack+19280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+141060,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+311369,int_stack+305294,int_stack+292874, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+276674,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+321089,int_stack+311369,int_stack+297734, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281534,45);
 /*--- compute (kp|if) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+289094,int_stack+321089,int_stack+339666,280);
 /*--- compute (id|if) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+450546,int_stack+289094,int_stack+349746,280);
 /*--- compute (hf|if) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+289094,int_stack+450546,int_stack+373266,280);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+450546,int_stack+24200,int_stack+23780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195145, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+451806,int_stack+24740,int_stack+24200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195565, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+453426,int_stack+451806,int_stack+450546, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+235325, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+455946,int_stack+25415,int_stack+24740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+196105, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+457971,int_stack+455946,int_stack+451806, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+236585, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+461211,int_stack+457971,int_stack+453426, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+238205, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+450546,int_stack+26828,int_stack+26240, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200065, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+452310,int_stack+27584,int_stack+26828, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200653, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+454578,int_stack+452310,int_stack+450546, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+240725, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+458106,int_stack+28529,int_stack+27584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201409, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+465411,int_stack+458106,int_stack+452310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+242489, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+469947,int_stack+465411,int_stack+454578, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+244757, 0.0, zero_stack,21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+475827,int_stack+469947,int_stack+461211,280);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+450546,int_stack+30468,int_stack+29684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+206953, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+452898,int_stack+31476,int_stack+30468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207737, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+455922,int_stack+452898,int_stack+450546, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+248285, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+460626,int_stack+32736,int_stack+31476, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208745, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+488427,int_stack+460626,int_stack+452898, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+250637, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+460626,int_stack+488427,int_stack+455922, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+268190, 0.0, zero_stack,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+347894,int_stack+460626,int_stack+469947,280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+365534,int_stack+347894,int_stack+475827,280);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+468466,int_stack+35284,int_stack+34276, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+216137, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+471490,int_stack+36580,int_stack+35284, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+217145, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+475378,int_stack+471490,int_stack+468466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+481426,int_stack+38200,int_stack+36580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+218441, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+486286,int_stack+481426,int_stack+471490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3024, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+450546,int_stack+486286,int_stack+475378, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+253661, 0.0, zero_stack,36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+468466,int_stack+450546,int_stack+460626,280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+491986,int_stack+468466,int_stack+347894,280);
 /*--- compute (gf|if) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+527266,int_stack+491986,int_stack+365534,280);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+347894,int_stack+41440,int_stack+40180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135300, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+351674,int_stack+43060,int_stack+41440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137820, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+356534,int_stack+351674,int_stack+347894, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+272894, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+364094,int_stack+45085,int_stack+43060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+141060, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+370169,int_stack+364094,int_stack+351674, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+276674, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+379889,int_stack+370169,int_stack+356534, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281534, 0.0, zero_stack,45);
 /*--- compute (kp|if) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+347894,int_stack+379889,int_stack+450546,280);
 /*--- compute (id|if) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+569266,int_stack+347894,int_stack+468466,280);
 /*--- compute (hf|if) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+347894,int_stack+569266,int_stack+491986,280);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+569266,int_stack+47980,int_stack+47560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195145, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+570526,int_stack+48520,int_stack+47980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195565, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+572146,int_stack+570526,int_stack+569266, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+235325, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+574666,int_stack+49195,int_stack+48520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+196105, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+576691,int_stack+574666,int_stack+570526, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+236585, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+579931,int_stack+576691,int_stack+572146, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+238205, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+569266,int_stack+50608,int_stack+50020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200065, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+571030,int_stack+51364,int_stack+50608, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200653, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+573298,int_stack+571030,int_stack+569266, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+240725, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+576826,int_stack+52309,int_stack+51364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201409, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+584131,int_stack+576826,int_stack+571030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+242489, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+588667,int_stack+584131,int_stack+573298, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+244757, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+594547,int_stack+588667,int_stack+579931,280);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+569266,int_stack+54248,int_stack+53464, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+206953, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+571618,int_stack+55256,int_stack+54248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207737, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+574642,int_stack+571618,int_stack+569266, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+248285, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+579346,int_stack+56516,int_stack+55256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208745, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+607147,int_stack+579346,int_stack+571618, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+250637, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+579346,int_stack+607147,int_stack+574642, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+268190, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+450546,int_stack+579346,int_stack+588667,280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+468186,int_stack+450546,int_stack+594547,280);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+587186,int_stack+59064,int_stack+58056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+216137, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+590210,int_stack+60360,int_stack+59064, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+217145, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+594098,int_stack+590210,int_stack+587186, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+600146,int_stack+61980,int_stack+60360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+218441, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+605006,int_stack+600146,int_stack+590210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3024, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+569266,int_stack+605006,int_stack+594098, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+253661, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+587186,int_stack+569266,int_stack+579346,280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+6912,int_stack+587186,int_stack+450546,280);
 /*--- compute (gf|if) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+610706,int_stack+6912,int_stack+468186,280);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+450546,int_stack+65220,int_stack+63960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135300, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+454326,int_stack+66840,int_stack+65220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137820, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+459186,int_stack+454326,int_stack+450546, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+272894, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+466746,int_stack+68865,int_stack+66840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+141060, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+472821,int_stack+466746,int_stack+454326, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+276674, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+482541,int_stack+472821,int_stack+459186, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281534, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|if) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+450546,int_stack+482541,int_stack+569266,280);
 /*--- compute (id|if) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+652706,int_stack+450546,int_stack+587186,280);
 /*--- compute (hf|if) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+450546,int_stack+652706,int_stack+6912,280);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6912,int_stack+71760,int_stack+71340, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+8172,int_stack+72300,int_stack+71760, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+195565, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+9792,int_stack+8172,int_stack+6912, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+235325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+12312,int_stack+72975,int_stack+72300, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+196105, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+14337,int_stack+12312,int_stack+8172, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+236585, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+17577,int_stack+14337,int_stack+9792, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+238205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6912,int_stack+74388,int_stack+73800, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+8676,int_stack+75144,int_stack+74388, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200653, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+10944,int_stack+8676,int_stack+6912, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+240725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+14472,int_stack+76089,int_stack+75144, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+201409, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+21777,int_stack+14472,int_stack+8676, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+242489, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+26313,int_stack+21777,int_stack+10944, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+244757, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+32193,int_stack+26313,int_stack+17577,280);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6912,int_stack+78028,int_stack+77244, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+206953, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+9264,int_stack+79036,int_stack+78028, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+207737, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+12288,int_stack+9264,int_stack+6912, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+248285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+16992,int_stack+80296,int_stack+79036, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+44793,int_stack+16992,int_stack+9264, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+250637, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+16992,int_stack+44793,int_stack+12288, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+268190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+44793,int_stack+16992,int_stack+26313,280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+652706,int_stack+44793,int_stack+32193,280);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+62433,int_stack+82844,int_stack+81836, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+216137, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+65457,int_stack+84140,int_stack+82844, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+217145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+69345,int_stack+65457,int_stack+62433, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+75393,int_stack+85760,int_stack+84140, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+218441, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+24832,int_stack+75393,int_stack+65457, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+6912,int_stack+24832,int_stack+69345, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+253661, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+62433,int_stack+6912,int_stack+16992,280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+569266,int_stack+62433,int_stack+44793,280);
 /*--- compute (gf|if) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+16992,int_stack+569266,int_stack+652706,280);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+652706,int_stack+89000,int_stack+87740, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+656486,int_stack+90620,int_stack+89000, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+661346,int_stack+656486,int_stack+652706, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+272894, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+668906,int_stack+92645,int_stack+90620, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+141060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+674981,int_stack+668906,int_stack+656486, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+276674, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+684701,int_stack+674981,int_stack+661346, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+281534, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|if) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+652706,int_stack+684701,int_stack+6912,280);
 /*--- compute (id|if) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+682946,int_stack+652706,int_stack+62433,280);
 /*--- compute (hf|if) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+729986,int_stack+682946,int_stack+569266,280);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+569266,int_stack+95540,int_stack+95120, 0.0, zero_stack, 1.0, int_stack+195145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+570526,int_stack+96080,int_stack+95540, 0.0, zero_stack, 1.0, int_stack+195565, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+572146,int_stack+570526,int_stack+569266, 0.0, zero_stack, 1.0, int_stack+235325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+574666,int_stack+96755,int_stack+96080, 0.0, zero_stack, 1.0, int_stack+196105, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+576691,int_stack+574666,int_stack+570526, 0.0, zero_stack, 1.0, int_stack+236585, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+579931,int_stack+576691,int_stack+572146, 0.0, zero_stack, 1.0, int_stack+238205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+569266,int_stack+98168,int_stack+97580, 0.0, zero_stack, 1.0, int_stack+200065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+571030,int_stack+98924,int_stack+98168, 0.0, zero_stack, 1.0, int_stack+200653, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+573298,int_stack+571030,int_stack+569266, 0.0, zero_stack, 1.0, int_stack+240725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+576826,int_stack+99869,int_stack+98924, 0.0, zero_stack, 1.0, int_stack+201409, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+584131,int_stack+576826,int_stack+571030, 0.0, zero_stack, 1.0, int_stack+242489, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+588667,int_stack+584131,int_stack+573298, 0.0, zero_stack, 1.0, int_stack+244757, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+594547,int_stack+588667,int_stack+579931,280);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+569266,int_stack+101808,int_stack+101024, 0.0, zero_stack, 1.0, int_stack+206953, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+571618,int_stack+102816,int_stack+101808, 0.0, zero_stack, 1.0, int_stack+207737, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+574642,int_stack+571618,int_stack+569266, 0.0, zero_stack, 1.0, int_stack+248285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+579346,int_stack+104076,int_stack+102816, 0.0, zero_stack, 1.0, int_stack+208745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+652706,int_stack+579346,int_stack+571618, 0.0, zero_stack, 1.0, int_stack+250637, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+579346,int_stack+652706,int_stack+574642, 0.0, zero_stack, 1.0, int_stack+268190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+652706,int_stack+579346,int_stack+588667,280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+670346,int_stack+652706,int_stack+594547,280);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+695546,int_stack+106624,int_stack+105616, 0.0, zero_stack, 1.0, int_stack+216137, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+698570,int_stack+107920,int_stack+106624, 0.0, zero_stack, 1.0, int_stack+217145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+702458,int_stack+698570,int_stack+695546, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+708506,int_stack+109540,int_stack+107920, 0.0, zero_stack, 1.0, int_stack+218441, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+713366,int_stack+708506,int_stack+698570, 0.0, zero_stack, 1.0, int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+569266,int_stack+713366,int_stack+702458, 0.0, zero_stack, 1.0, int_stack+253661, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+587186,int_stack+569266,int_stack+579346,280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+58992,int_stack+587186,int_stack+652706,280);
 /*--- compute (gf|if) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+788786,int_stack+58992,int_stack+670346,280);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+652706,int_stack+112780,int_stack+111520, 0.0, zero_stack, 1.0, int_stack+135300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+656486,int_stack+114400,int_stack+112780, 0.0, zero_stack, 1.0, int_stack+137820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+661346,int_stack+656486,int_stack+652706, 0.0, zero_stack, 1.0, int_stack+272894, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+668906,int_stack+116425,int_stack+114400, 0.0, zero_stack, 1.0, int_stack+141060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+674981,int_stack+668906,int_stack+656486, 0.0, zero_stack, 1.0, int_stack+276674, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+684701,int_stack+674981,int_stack+661346, 0.0, zero_stack, 1.0, int_stack+281534, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|if) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+652706,int_stack+684701,int_stack+569266,280);
 /*--- compute (id|if) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+682946,int_stack+652706,int_stack+587186,280);
 /*--- compute (hf|if) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+830786,int_stack+682946,int_stack+58992,280);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+58992,int_stack+119320,int_stack+118900, 1.0, int_stack+195145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+60252,int_stack+119860,int_stack+119320, 1.0, int_stack+195565, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+61872,int_stack+60252,int_stack+58992, 1.0, int_stack+235325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+64392,int_stack+120535,int_stack+119860, 1.0, int_stack+196105, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+66417,int_stack+64392,int_stack+60252, 1.0, int_stack+236585, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+69657,int_stack+66417,int_stack+61872, 1.0, int_stack+238205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+58992,int_stack+121948,int_stack+121360, 1.0, int_stack+200065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+60756,int_stack+122704,int_stack+121948, 1.0, int_stack+200653, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+63024,int_stack+60756,int_stack+58992, 1.0, int_stack+240725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+66552,int_stack+123649,int_stack+122704, 1.0, int_stack+201409, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+73857,int_stack+66552,int_stack+60756, 1.0, int_stack+242489, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+78393,int_stack+73857,int_stack+63024, 1.0, int_stack+244757, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+84273,int_stack+78393,int_stack+69657,280);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+58992,int_stack+125588,int_stack+124804, 1.0, int_stack+206953, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+61344,int_stack+126596,int_stack+125588, 1.0, int_stack+207737, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+64368,int_stack+61344,int_stack+58992, 1.0, int_stack+248285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+69072,int_stack+127856,int_stack+126596, 1.0, int_stack+208745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+96873,int_stack+69072,int_stack+61344, 1.0, int_stack+250637, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+69072,int_stack+96873,int_stack+64368, 1.0, int_stack+268190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+96873,int_stack+69072,int_stack+78393,280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+652706,int_stack+96873,int_stack+84273,280);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+114513,int_stack+130404,int_stack+129396, 1.0, int_stack+216137, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+117537,int_stack+131700,int_stack+130404, 1.0, int_stack+217145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+121425,int_stack+117537,int_stack+114513, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+76912,int_stack+133320,int_stack+131700, 1.0, int_stack+218441, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+127473,int_stack+76912,int_stack+117537, 1.0, int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+58992,int_stack+127473,int_stack+121425, 1.0, int_stack+253661, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+677906,int_stack+58992,int_stack+69072,280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+569266,int_stack+677906,int_stack+96873,280);
 /*--- compute (gf|if) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+69072,int_stack+569266,int_stack+652706,280);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+652706,int_stack+139440,int_stack+136560, 1.0, int_stack+135300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+656486,int_stack+143085,int_stack+139440, 1.0, int_stack+137820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+661346,int_stack+656486,int_stack+652706, 1.0, int_stack+272894, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+668906,int_stack+145110,int_stack+143085, 1.0, int_stack+141060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+111072,int_stack+668906,int_stack+656486, 1.0, int_stack+276674, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+120792,int_stack+111072,int_stack+661346, 1.0, int_stack+281534, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|if) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+889586,int_stack+120792,int_stack+58992,280);
 /*--- compute (id|if) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+919826,int_stack+889586,int_stack+677906,280);
 /*--- compute (hf|if) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+652706,int_stack+919826,int_stack+569266,280);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+569266,int_stack+196780,int_stack+196105,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+571291,int_stack+569266,int_stack+236585,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+574531,int_stack+571291,int_stack+238205,15);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+569266,int_stack+202354,int_stack+201409,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+578731,int_stack+569266,int_stack+242489,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+583267,int_stack+578731,int_stack+244757,21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+589147,int_stack+583267,int_stack+574531,280);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+578731,int_stack+210005,int_stack+208745,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+601747,int_stack+578731,int_stack+250637,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+889586,int_stack+601747,int_stack+268190,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+897426,int_stack+889586,int_stack+583267,280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+915066,int_stack+897426,int_stack+589147,280);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+601747,int_stack+220061,int_stack+218441,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+940266,int_stack+601747,int_stack+3024,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+58992,int_stack+940266,int_stack+253661,36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+940266,int_stack+58992,int_stack+889586,280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+111072,int_stack+940266,int_stack+897426,280);
 /*--- compute (gf|if) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+235325,int_stack+111072,int_stack+915066,280);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+963786,int_stack+148005,int_stack+147585,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+965046,int_stack+148545,int_stack+148005,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+601747,int_stack+965046,int_stack+963786,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+604267,int_stack+149220,int_stack+148545,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+606292,int_stack+604267,int_stack+965046,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+578731,int_stack+606292,int_stack+601747,15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+601747,int_stack+150633,int_stack+150045,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+603511,int_stack+151389,int_stack+150633,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+605779,int_stack+603511,int_stack+601747,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+963786,int_stack+152334,int_stack+151389,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+569266,int_stack+963786,int_stack+603511,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+146352,int_stack+569266,int_stack+605779,21);
 /*--- compute (gp|if) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+711506,int_stack+146352,int_stack+578731, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+574531, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+578731,int_stack+154273,int_stack+153489,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+569266,int_stack+155281,int_stack+154273,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+601747,int_stack+569266,int_stack+578731,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+578731,int_stack+156541,int_stack+155281,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+578731,int_stack+569266,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+6048,int_stack+0,int_stack+601747,28);
 /*--- compute (hp|if) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+509346,int_stack+6048,int_stack+146352, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+583267, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (gd|if) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+963786,int_stack+509346,int_stack+711506, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+589147, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+711506,int_stack+159089,int_stack+158081,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+714530,int_stack+160385,int_stack+159089,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+714530,int_stack+711506,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+718418,int_stack+162005,int_stack+160385,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+146352,int_stack+718418,int_stack+714530,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+711506,int_stack+146352,int_stack+0,36);
 /*--- compute (ip|if) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+988986,int_stack+711506,int_stack+6048, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+889586, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (hd|if) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+1012506,int_stack+988986,int_stack+509346, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+897426, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (gf|if) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+1047786,int_stack+1012506,int_stack+963786, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+915066, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+963786,int_stack+165245,int_stack+163985,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+967566,int_stack+166865,int_stack+165245,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+972426,int_stack+967566,int_stack+963786,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+979986,int_stack+168890,int_stack+166865,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+509346,int_stack+979986,int_stack+967566,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+509346,int_stack+972426,45);
 /*--- compute (kp|if) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+1089786,int_stack+0,int_stack+711506, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+58992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (id|if) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+1120026,int_stack+1089786,int_stack+988986, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+940266, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (hf|if) ---*/
   d1hrr1_build_hf(Libderiv->AB,int_stack+1167066,int_stack+1120026,int_stack+1012506, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1089786,int_stack+171785,int_stack+171365,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1091046,int_stack+172325,int_stack+171785,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1092666,int_stack+1091046,int_stack+1089786,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1095186,int_stack+173000,int_stack+172325,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1097211,int_stack+1095186,int_stack+1091046,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1100451,int_stack+1097211,int_stack+1092666,15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1089786,int_stack+174413,int_stack+173825,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1091550,int_stack+175169,int_stack+174413,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1093818,int_stack+1091550,int_stack+1089786,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1097346,int_stack+176114,int_stack+175169,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+578731,int_stack+1097346,int_stack+1091550,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1104651,int_stack+578731,int_stack+1093818,21);
 /*--- compute (gp|if) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1110531,int_stack+1104651,int_stack+1100451, 0.0, zero_stack, 1.0, int_stack+574531, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+578731,int_stack+178053,int_stack+177269,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1089786,int_stack+179061,int_stack+178053,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1092810,int_stack+1089786,int_stack+578731,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+578731,int_stack+180321,int_stack+179061,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1097514,int_stack+578731,int_stack+1089786,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1123131,int_stack+1097514,int_stack+1092810,28);
 /*--- compute (hp|if) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1130971,int_stack+1123131,int_stack+1104651, 0.0, zero_stack, 1.0, int_stack+583267, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (gd|if) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+963786,int_stack+1130971,int_stack+1110531, 0.0, zero_stack, 1.0, int_stack+589147, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1089786,int_stack+182869,int_stack+181861,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1092810,int_stack+184165,int_stack+182869,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1096698,int_stack+1092810,int_stack+1089786,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1102746,int_stack+185785,int_stack+184165,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1107606,int_stack+1102746,int_stack+1092810,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1148611,int_stack+1107606,int_stack+1096698,36);
 /*--- compute (ip|if) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1089786,int_stack+1148611,int_stack+1123131, 0.0, zero_stack, 1.0, int_stack+889586, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (hd|if) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+988986,int_stack+1089786,int_stack+1130971, 0.0, zero_stack, 1.0, int_stack+897426, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (gf|if) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+1225866,int_stack+988986,int_stack+963786, 0.0, zero_stack, 1.0, int_stack+915066, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+963786,int_stack+189025,int_stack+187765,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+967566,int_stack+190645,int_stack+189025,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+972426,int_stack+967566,int_stack+963786,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+979986,int_stack+192670,int_stack+190645,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1113306,int_stack+979986,int_stack+967566,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1123026,int_stack+1113306,int_stack+972426,45);
 /*--- compute (kp|if) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+146352,int_stack+1123026,int_stack+1148611, 0.0, zero_stack, 1.0, int_stack+58992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (id|if) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+1113306,int_stack+146352,int_stack+1089786, 0.0, zero_stack, 1.0, int_stack+940266, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (hf|if) ---*/
   d1hrr1_build_hf(Libderiv->AB,int_stack+1267866,int_stack+1113306,int_stack+988986, 0.0, zero_stack, 1.0, int_stack+111072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1089786,int_stack+198025,int_stack+197605,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1091046,int_stack+198565,int_stack+198025,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1092666,int_stack+1091046,int_stack+1089786,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1095186,int_stack+199240,int_stack+198565,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1097211,int_stack+1095186,int_stack+1091046,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1100451,int_stack+1097211,int_stack+1092666,15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1089786,int_stack+204097,int_stack+203509,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1091550,int_stack+204853,int_stack+204097,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1093818,int_stack+1091550,int_stack+1089786,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1097346,int_stack+205798,int_stack+204853,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+578731,int_stack+1097346,int_stack+1091550,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1104651,int_stack+578731,int_stack+1093818,21);
 /*--- compute (gp|if) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1110531,int_stack+1104651,int_stack+1100451, 1.0, int_stack+574531, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1089786,int_stack+212329,int_stack+211545,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1092138,int_stack+213337,int_stack+212329,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1095162,int_stack+1092138,int_stack+1089786,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1099866,int_stack+214597,int_stack+213337,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1123131,int_stack+1099866,int_stack+1092138,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1129179,int_stack+1123131,int_stack+1095162,28);
 /*--- compute (hp|if) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1137019,int_stack+1129179,int_stack+1104651, 1.0, int_stack+583267, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (gd|if) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+146352,int_stack+1137019,int_stack+1110531, 1.0, int_stack+589147, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1089786,int_stack+223049,int_stack+222041,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1092810,int_stack+224345,int_stack+223049,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1096698,int_stack+1092810,int_stack+1089786,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1102746,int_stack+225965,int_stack+224345,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1107606,int_stack+1102746,int_stack+1092810,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1115382,int_stack+1107606,int_stack+1096698,36);
 /*--- compute (ip|if) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1089786,int_stack+1115382,int_stack+1129179, 1.0, int_stack+889586, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (hd|if) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+171552,int_stack+1089786,int_stack+1137019, 1.0, int_stack+897426, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (gf|if) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+963786,int_stack+171552,int_stack+146352, 1.0, int_stack+915066, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+146352,int_stack+229205,int_stack+227945,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+150132,int_stack+230825,int_stack+229205,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+154992,int_stack+150132,int_stack+146352,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+162552,int_stack+232850,int_stack+230825,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+889586,int_stack+162552,int_stack+150132,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+899306,int_stack+889586,int_stack+154992,45);
 /*--- compute (kp|if) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+1125462,int_stack+899306,int_stack+1115382, 1.0, int_stack+58992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (id|if) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+889586,int_stack+1125462,int_stack+1089786, 1.0, int_stack+940266, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (hf|if) ---*/
   d1hrr1_build_hf(Libderiv->AB,int_stack+1089786,int_stack+889586,int_stack+171552, 1.0, int_stack+111072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (gg|if) ---*/
   hrr1_build_gg(Libderiv->AB,int_stack+111072,int_stack+289094,int_stack+408546,280);
     Libderiv->ABCD[11] = int_stack + 111072;
 /*--- compute (gg|if) ---*/
   hrr1_build_gg(Libderiv->AB,int_stack+889586,int_stack+347894,int_stack+527266,280);
     Libderiv->ABCD[10] = int_stack + 889586;
 /*--- compute (gg|if) ---*/
   hrr1_build_gg(Libderiv->AB,int_stack+509346,int_stack+450546,int_stack+610706,280);
     Libderiv->ABCD[9] = int_stack + 509346;
 /*--- compute (gg|if) ---*/
   hrr1_build_gg(Libderiv->AB,int_stack+572346,int_stack+729986,int_stack+16992,280);
     Libderiv->ABCD[8] = int_stack + 572346;
 /*--- compute (gg|if) ---*/
   hrr1_build_gg(Libderiv->AB,int_stack+711506,int_stack+830786,int_stack+788786,280);
     Libderiv->ABCD[7] = int_stack + 711506;
 /*--- compute (gg|if) ---*/
   hrr1_build_gg(Libderiv->AB,int_stack+774506,int_stack+652706,int_stack+69072,280);
     Libderiv->ABCD[6] = int_stack + 774506;
 /*--- compute (gg|if) ---*/
   d1hrr1_build_gg(Libderiv->AB,int_stack+0,int_stack+1167066,int_stack+1047786, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+235325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[2] = int_stack + 0;
 /*--- compute (gg|if) ---*/
   d1hrr1_build_gg(Libderiv->AB,int_stack+1148586,int_stack+1267866,int_stack+1225866, 0.0, zero_stack, 1.0, int_stack+235325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[1] = int_stack + 1148586;
 /*--- compute (gg|if) ---*/
   d1hrr1_build_gg(Libderiv->AB,int_stack+1211586,int_stack+1089786,int_stack+963786, 1.0, int_stack+235325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[0] = int_stack + 1211586;

}
