#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_i0ff(Libderiv_t *, prim_data *);

  /* Computes derivatives of (i0|ff) integrals */

void d1hrr_order_i0ff(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[6][3][11] = int_stack + 0;
 Libderiv->deriv_classes[6][4][11] = int_stack + 280;
 Libderiv->deriv_classes[6][5][11] = int_stack + 700;
 Libderiv->deriv_classes[6][6][11] = int_stack + 1288;
 Libderiv->deriv_classes[6][3][10] = int_stack + 2072;
 Libderiv->deriv_classes[6][4][10] = int_stack + 2352;
 Libderiv->deriv_classes[6][5][10] = int_stack + 2772;
 Libderiv->deriv_classes[6][6][10] = int_stack + 3360;
 Libderiv->deriv_classes[6][3][9] = int_stack + 4144;
 Libderiv->deriv_classes[6][4][9] = int_stack + 4424;
 Libderiv->deriv_classes[6][5][9] = int_stack + 4844;
 Libderiv->deriv_classes[6][6][9] = int_stack + 5432;
 Libderiv->deriv_classes[6][3][8] = int_stack + 6216;
 Libderiv->deriv_classes[6][4][8] = int_stack + 6496;
 Libderiv->deriv_classes[6][5][8] = int_stack + 6916;
 Libderiv->deriv_classes[6][6][8] = int_stack + 7504;
 Libderiv->deriv_classes[6][3][7] = int_stack + 8288;
 Libderiv->deriv_classes[6][4][7] = int_stack + 8568;
 Libderiv->deriv_classes[6][5][7] = int_stack + 8988;
 Libderiv->deriv_classes[6][6][7] = int_stack + 9576;
 Libderiv->dvrr_classes[6][3] = int_stack + 10360;
 Libderiv->deriv_classes[6][3][6] = int_stack + 10640;
 Libderiv->dvrr_classes[6][4] = int_stack + 10920;
 Libderiv->deriv_classes[6][4][6] = int_stack + 11340;
 Libderiv->dvrr_classes[6][5] = int_stack + 11760;
 Libderiv->deriv_classes[6][5][6] = int_stack + 12348;
 Libderiv->deriv_classes[6][6][6] = int_stack + 12936;
 Libderiv->deriv_classes[6][3][2] = int_stack + 13720;
 Libderiv->deriv_classes[6][4][2] = int_stack + 14000;
 Libderiv->deriv_classes[6][5][2] = int_stack + 14420;
 Libderiv->deriv_classes[6][6][2] = int_stack + 15008;
 Libderiv->deriv_classes[6][3][1] = int_stack + 15792;
 Libderiv->deriv_classes[6][4][1] = int_stack + 16072;
 Libderiv->deriv_classes[6][5][1] = int_stack + 16492;
 Libderiv->deriv_classes[6][6][1] = int_stack + 17080;
 Libderiv->deriv_classes[6][3][0] = int_stack + 17864;
 Libderiv->deriv_classes[6][4][0] = int_stack + 18144;
 Libderiv->deriv_classes[6][5][0] = int_stack + 18564;
 Libderiv->deriv_classes[6][6][0] = int_stack + 19152;
 memset(int_stack,0,159488);

 Libderiv->dvrr_stack = int_stack + 49784;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_i0ff(Libderiv, Data);
   Data++;
 }

 /*--- compute (i0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+19936,int_stack+10920,int_stack+10360,28);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+20776,int_stack+11760,int_stack+10920,28);
 /*--- compute (i0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+22036,int_stack+20776,int_stack+19936,28);
 /*--- compute (i0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+23716,int_stack+280,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10360,28);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+24556,int_stack+700,int_stack+280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10920,28);
 /*--- compute (i0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+25816,int_stack+24556,int_stack+23716, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19936,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+27496,int_stack+1288,int_stack+700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11760,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+29260,int_stack+27496,int_stack+24556, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20776,28);
 /*--- compute (i0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+27496,int_stack+2352,int_stack+2072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10360, 0.0, zero_stack,28);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+23716,int_stack+2772,int_stack+2352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10920, 0.0, zero_stack,28);
 /*--- compute (i0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+0,int_stack+23716,int_stack+27496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19936, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+27496,int_stack+3360,int_stack+2772, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11760, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+31780,int_stack+27496,int_stack+23716, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20776, 0.0, zero_stack,28);
 /*--- compute (i0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+23716,int_stack+4424,int_stack+4144, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10360, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+24556,int_stack+4844,int_stack+4424, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10920, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+27496,int_stack+24556,int_stack+23716, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19936, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1680,int_stack+5432,int_stack+4844, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11760, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+3444,int_stack+1680,int_stack+24556, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20776, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+1680,int_stack+6496,int_stack+6216, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+23716,int_stack+6916,int_stack+6496, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+34300,int_stack+23716,int_stack+1680, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19936, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1680,int_stack+7504,int_stack+6916, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+35980,int_stack+1680,int_stack+23716, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+23716,int_stack+8568,int_stack+8288, 0.0, zero_stack, 1.0, int_stack+10360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+24556,int_stack+8988,int_stack+8568, 0.0, zero_stack, 1.0, int_stack+10920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+1680,int_stack+24556,int_stack+23716, 0.0, zero_stack, 1.0, int_stack+19936, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5964,int_stack+9576,int_stack+8988, 0.0, zero_stack, 1.0, int_stack+11760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+7728,int_stack+5964,int_stack+24556, 0.0, zero_stack, 1.0, int_stack+20776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+5964,int_stack+11340,int_stack+10640, 1.0, int_stack+10360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+23716,int_stack+12348,int_stack+11340, 1.0, int_stack+10920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+38500,int_stack+23716,int_stack+5964, 1.0, int_stack+19936, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5964,int_stack+12936,int_stack+12348, 1.0, int_stack+11760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+10248,int_stack+5964,int_stack+23716, 1.0, int_stack+20776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+23716,int_stack+14000,int_stack+13720,28);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+24556,int_stack+14420,int_stack+14000,28);
 /*--- compute (i0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+5964,int_stack+24556,int_stack+23716,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+19936,int_stack+15008,int_stack+14420,28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+12768,int_stack+19936,int_stack+24556,28);
 /*--- compute (i0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+19936,int_stack+16072,int_stack+15792,28);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+20776,int_stack+16492,int_stack+16072,28);
 /*--- compute (i0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+23716,int_stack+20776,int_stack+19936,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+40180,int_stack+17080,int_stack+16492,28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+15288,int_stack+40180,int_stack+20776,28);
 /*--- compute (i0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+40180,int_stack+18144,int_stack+17864,28);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+19936,int_stack+18564,int_stack+18144,28);
 /*--- compute (i0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+41020,int_stack+19936,int_stack+40180,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+42700,int_stack+19152,int_stack+18564,28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+44464,int_stack+42700,int_stack+19936,28);
 /*--- compute (i0|ff) ---*/
   d1hrr3_build_ff(Libderiv->CD,int_stack+17808,int_stack+29260,int_stack+25816, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22036,28);
     Libderiv->ABCD[11] = int_stack + 17808;
 /*--- compute (i0|ff) ---*/
   d1hrr3_build_ff(Libderiv->CD,int_stack+46984,int_stack+31780,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22036, 0.0, zero_stack,28);
     Libderiv->ABCD[10] = int_stack + 46984;
 /*--- compute (i0|ff) ---*/
   d1hrr3_build_ff(Libderiv->CD,int_stack+29176,int_stack+3444,int_stack+27496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22036, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[9] = int_stack + 29176;
 /*--- compute (i0|ff) ---*/
   d1hrr3_build_ff(Libderiv->CD,int_stack+25396,int_stack+35980,int_stack+34300, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22036, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[8] = int_stack + 25396;
 /*--- compute (i0|ff) ---*/
   d1hrr3_build_ff(Libderiv->CD,int_stack+31976,int_stack+7728,int_stack+1680, 0.0, zero_stack, 1.0, int_stack+22036, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[7] = int_stack + 31976;
 /*--- compute (i0|ff) ---*/
   d1hrr3_build_ff(Libderiv->CD,int_stack+0,int_stack+10248,int_stack+38500, 1.0, int_stack+22036, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[6] = int_stack + 0;
 /*--- compute (i0|ff) ---*/
   hrr3_build_ff(Libderiv->CD,int_stack+2800,int_stack+12768,int_stack+5964,28);
     Libderiv->ABCD[2] = int_stack + 2800;
 /*--- compute (i0|ff) ---*/
   hrr3_build_ff(Libderiv->CD,int_stack+5600,int_stack+15288,int_stack+23716,28);
     Libderiv->ABCD[1] = int_stack + 5600;
 /*--- compute (i0|ff) ---*/
   hrr3_build_ff(Libderiv->CD,int_stack+8400,int_stack+44464,int_stack+41020,28);
     Libderiv->ABCD[0] = int_stack + 8400;

}
