#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_i0hf(Libderiv_t *, prim_data *);

  /* Computes derivatives of (i0|hf) integrals */

void d1hrr_order_i0hf(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[6][5][11] = int_stack + 0;
 Libderiv->deriv_classes[6][6][11] = int_stack + 588;
 Libderiv->deriv_classes[6][7][11] = int_stack + 1372;
 Libderiv->deriv_classes[6][8][11] = int_stack + 2380;
 Libderiv->deriv_classes[6][5][10] = int_stack + 3640;
 Libderiv->deriv_classes[6][6][10] = int_stack + 4228;
 Libderiv->deriv_classes[6][7][10] = int_stack + 5012;
 Libderiv->deriv_classes[6][8][10] = int_stack + 6020;
 Libderiv->deriv_classes[6][5][9] = int_stack + 7280;
 Libderiv->deriv_classes[6][6][9] = int_stack + 7868;
 Libderiv->deriv_classes[6][7][9] = int_stack + 8652;
 Libderiv->deriv_classes[6][8][9] = int_stack + 9660;
 Libderiv->deriv_classes[6][5][8] = int_stack + 10920;
 Libderiv->deriv_classes[6][6][8] = int_stack + 11508;
 Libderiv->deriv_classes[6][7][8] = int_stack + 12292;
 Libderiv->deriv_classes[6][8][8] = int_stack + 13300;
 Libderiv->deriv_classes[6][5][7] = int_stack + 14560;
 Libderiv->deriv_classes[6][6][7] = int_stack + 15148;
 Libderiv->deriv_classes[6][7][7] = int_stack + 15932;
 Libderiv->deriv_classes[6][8][7] = int_stack + 16940;
 Libderiv->dvrr_classes[6][5] = int_stack + 18200;
 Libderiv->deriv_classes[6][5][6] = int_stack + 18788;
 Libderiv->dvrr_classes[6][6] = int_stack + 19376;
 Libderiv->deriv_classes[6][6][6] = int_stack + 20160;
 Libderiv->dvrr_classes[6][7] = int_stack + 20944;
 Libderiv->deriv_classes[6][7][6] = int_stack + 21952;
 Libderiv->deriv_classes[6][8][6] = int_stack + 22960;
 Libderiv->deriv_classes[6][5][2] = int_stack + 24220;
 Libderiv->deriv_classes[6][6][2] = int_stack + 24808;
 Libderiv->deriv_classes[6][7][2] = int_stack + 25592;
 Libderiv->deriv_classes[6][8][2] = int_stack + 26600;
 Libderiv->deriv_classes[6][5][1] = int_stack + 27860;
 Libderiv->deriv_classes[6][6][1] = int_stack + 28448;
 Libderiv->deriv_classes[6][7][1] = int_stack + 29232;
 Libderiv->deriv_classes[6][8][1] = int_stack + 30240;
 Libderiv->deriv_classes[6][5][0] = int_stack + 31500;
 Libderiv->deriv_classes[6][6][0] = int_stack + 32088;
 Libderiv->deriv_classes[6][7][0] = int_stack + 32872;
 Libderiv->deriv_classes[6][8][0] = int_stack + 33880;
 memset(int_stack,0,281120);

 Libderiv->dvrr_stack = int_stack + 95788;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_i0hf(Libderiv, Data);
   Data++;
 }

 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+35140,int_stack+19376,int_stack+18200,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+36904,int_stack+20944,int_stack+19376,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+39256,int_stack+36904,int_stack+35140,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+42784,int_stack+588,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18200,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+44548,int_stack+1372,int_stack+588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19376,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+46900,int_stack+44548,int_stack+42784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35140,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+50428,int_stack+2380,int_stack+1372, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20944,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+53452,int_stack+50428,int_stack+44548, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36904,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+50428,int_stack+4228,int_stack+3640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18200, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+42784,int_stack+5012,int_stack+4228, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19376, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+42784,int_stack+50428, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35140, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+50428,int_stack+6020,int_stack+5012, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20944, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+58156,int_stack+50428,int_stack+42784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36904, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+42784,int_stack+7868,int_stack+7280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18200, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+44548,int_stack+8652,int_stack+7868, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19376, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+3528,int_stack+44548,int_stack+42784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35140, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+50428,int_stack+9660,int_stack+8652, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20944, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+62860,int_stack+50428,int_stack+44548, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36904, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+50428,int_stack+11508,int_stack+10920, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+42784,int_stack+12292,int_stack+11508, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+7056,int_stack+42784,int_stack+50428, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+50428,int_stack+13300,int_stack+12292, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+67564,int_stack+50428,int_stack+42784, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+42784,int_stack+15148,int_stack+14560, 0.0, zero_stack, 1.0, int_stack+18200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+44548,int_stack+15932,int_stack+15148, 0.0, zero_stack, 1.0, int_stack+19376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+10584,int_stack+44548,int_stack+42784, 0.0, zero_stack, 1.0, int_stack+35140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+50428,int_stack+16940,int_stack+15932, 0.0, zero_stack, 1.0, int_stack+20944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+72268,int_stack+50428,int_stack+44548, 0.0, zero_stack, 1.0, int_stack+36904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+50428,int_stack+20160,int_stack+18788, 1.0, int_stack+18200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+42784,int_stack+21952,int_stack+20160, 1.0, int_stack+19376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+14112,int_stack+42784,int_stack+50428, 1.0, int_stack+35140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+50428,int_stack+22960,int_stack+21952, 1.0, int_stack+20944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+17640,int_stack+50428,int_stack+42784, 1.0, int_stack+36904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+42784,int_stack+24808,int_stack+24220,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+44548,int_stack+25592,int_stack+24808,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+35140,int_stack+44548,int_stack+42784,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+50428,int_stack+26600,int_stack+25592,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+22344,int_stack+50428,int_stack+44548,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+50428,int_stack+28448,int_stack+27860,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+42784,int_stack+29232,int_stack+28448,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+76972,int_stack+42784,int_stack+50428,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+50428,int_stack+30240,int_stack+29232,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+80500,int_stack+50428,int_stack+42784,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+42784,int_stack+32088,int_stack+31500,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+44548,int_stack+32872,int_stack+32088,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+27048,int_stack+44548,int_stack+42784,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+50428,int_stack+33880,int_stack+32872,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+85204,int_stack+50428,int_stack+44548,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+89908,int_stack+53452,int_stack+46900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39256,28);
     Libderiv->ABCD[11] = int_stack + 89908;
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+42784,int_stack+58156,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39256, 0.0, zero_stack,28);
     Libderiv->ABCD[10] = int_stack + 42784;
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+48664,int_stack+62860,int_stack+3528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39256, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[9] = int_stack + 48664;
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+67564,int_stack+7056, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+54544,int_stack+72268,int_stack+10584, 0.0, zero_stack, 1.0, int_stack+39256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[7] = int_stack + 54544;
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+5880,int_stack+17640,int_stack+14112, 1.0, int_stack+39256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[6] = int_stack + 5880;
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+11760,int_stack+22344,int_stack+35140,28);
     Libderiv->ABCD[2] = int_stack + 11760;
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+17640,int_stack+80500,int_stack+76972,28);
     Libderiv->ABCD[1] = int_stack + 17640;
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+60424,int_stack+85204,int_stack+27048,28);
     Libderiv->ABCD[0] = int_stack + 60424;

}
