#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_i0hg(Libderiv_t *, prim_data *);

  /* Computes derivatives of (i0|hg) integrals */

void d1hrr_order_i0hg(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[6][5][11] = int_stack + 0;
 Libderiv->deriv_classes[6][6][11] = int_stack + 588;
 Libderiv->deriv_classes[6][7][11] = int_stack + 1372;
 Libderiv->deriv_classes[6][8][11] = int_stack + 2380;
 Libderiv->deriv_classes[6][9][11] = int_stack + 3640;
 Libderiv->deriv_classes[6][5][10] = int_stack + 5180;
 Libderiv->deriv_classes[6][6][10] = int_stack + 5768;
 Libderiv->deriv_classes[6][7][10] = int_stack + 6552;
 Libderiv->deriv_classes[6][8][10] = int_stack + 7560;
 Libderiv->deriv_classes[6][9][10] = int_stack + 8820;
 Libderiv->deriv_classes[6][5][9] = int_stack + 10360;
 Libderiv->deriv_classes[6][6][9] = int_stack + 10948;
 Libderiv->deriv_classes[6][7][9] = int_stack + 11732;
 Libderiv->deriv_classes[6][8][9] = int_stack + 12740;
 Libderiv->deriv_classes[6][9][9] = int_stack + 14000;
 Libderiv->deriv_classes[6][5][8] = int_stack + 15540;
 Libderiv->deriv_classes[6][6][8] = int_stack + 16128;
 Libderiv->deriv_classes[6][7][8] = int_stack + 16912;
 Libderiv->deriv_classes[6][8][8] = int_stack + 17920;
 Libderiv->deriv_classes[6][9][8] = int_stack + 19180;
 Libderiv->deriv_classes[6][5][7] = int_stack + 20720;
 Libderiv->deriv_classes[6][6][7] = int_stack + 21308;
 Libderiv->deriv_classes[6][7][7] = int_stack + 22092;
 Libderiv->deriv_classes[6][8][7] = int_stack + 23100;
 Libderiv->deriv_classes[6][9][7] = int_stack + 24360;
 Libderiv->dvrr_classes[6][5] = int_stack + 25900;
 Libderiv->deriv_classes[6][5][6] = int_stack + 26488;
 Libderiv->dvrr_classes[6][6] = int_stack + 27076;
 Libderiv->deriv_classes[6][6][6] = int_stack + 27860;
 Libderiv->dvrr_classes[6][7] = int_stack + 28644;
 Libderiv->deriv_classes[6][7][6] = int_stack + 29652;
 Libderiv->dvrr_classes[6][8] = int_stack + 30660;
 Libderiv->deriv_classes[6][8][6] = int_stack + 31920;
 Libderiv->deriv_classes[6][9][6] = int_stack + 33180;
 Libderiv->deriv_classes[6][5][2] = int_stack + 34720;
 Libderiv->deriv_classes[6][6][2] = int_stack + 35308;
 Libderiv->deriv_classes[6][7][2] = int_stack + 36092;
 Libderiv->deriv_classes[6][8][2] = int_stack + 37100;
 Libderiv->deriv_classes[6][9][2] = int_stack + 38360;
 Libderiv->deriv_classes[6][5][1] = int_stack + 39900;
 Libderiv->deriv_classes[6][6][1] = int_stack + 40488;
 Libderiv->deriv_classes[6][7][1] = int_stack + 41272;
 Libderiv->deriv_classes[6][8][1] = int_stack + 42280;
 Libderiv->deriv_classes[6][9][1] = int_stack + 43540;
 Libderiv->deriv_classes[6][5][0] = int_stack + 45080;
 Libderiv->deriv_classes[6][6][0] = int_stack + 45668;
 Libderiv->deriv_classes[6][7][0] = int_stack + 46452;
 Libderiv->deriv_classes[6][8][0] = int_stack + 47460;
 Libderiv->deriv_classes[6][9][0] = int_stack + 48720;
 memset(int_stack,0,402080);

 Libderiv->dvrr_stack = int_stack + 169484;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_i0hg(Libderiv, Data);
   Data++;
 }

 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+50260,int_stack+27076,int_stack+25900,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+52024,int_stack+28644,int_stack+27076,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+54376,int_stack+52024,int_stack+50260,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+57904,int_stack+30660,int_stack+28644,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+60928,int_stack+57904,int_stack+52024,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+65632,int_stack+60928,int_stack+54376,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+71512,int_stack+588,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25900,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+73276,int_stack+1372,int_stack+588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27076,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+75628,int_stack+73276,int_stack+71512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50260,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+79156,int_stack+2380,int_stack+1372, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28644,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+82180,int_stack+79156,int_stack+73276, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52024,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+86884,int_stack+82180,int_stack+75628, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54376,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+71512,int_stack+3640,int_stack+2380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30660,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+92764,int_stack+71512,int_stack+79156, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57904,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+71512,int_stack+92764,int_stack+82180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60928,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+92764,int_stack+5768,int_stack+5180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25900, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+94528,int_stack+6552,int_stack+5768, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27076, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+79352,int_stack+94528,int_stack+92764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50260, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+82880,int_stack+7560,int_stack+6552, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28644, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+82880,int_stack+94528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52024, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+92764,int_stack+0,int_stack+79352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54376, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+98644,int_stack+8820,int_stack+7560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30660, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+102424,int_stack+98644,int_stack+82880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57904, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+108472,int_stack+102424,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60928, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+10948,int_stack+10360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25900, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+11732,int_stack+10948, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27076, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4116,int_stack+1764,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50260, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+7644,int_stack+12740,int_stack+11732, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28644, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+98644,int_stack+7644,int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52024, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+79352,int_stack+98644,int_stack+4116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54376, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+14000,int_stack+12740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30660, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+116312,int_stack+0,int_stack+7644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57904, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+116312,int_stack+98644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60928, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+98644,int_stack+16128,int_stack+15540, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+100408,int_stack+16912,int_stack+16128, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27076, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+102760,int_stack+100408,int_stack+98644, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+116312,int_stack+17920,int_stack+16912, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+7840,int_stack+116312,int_stack+100408, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+119336,int_stack+7840,int_stack+102760, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+98644,int_stack+19180,int_stack+17920, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+102424,int_stack+98644,int_stack+116312, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+12544,int_stack+102424,int_stack+7840, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+60928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7840,int_stack+21308,int_stack+20720, 0.0, zero_stack, 1.0, int_stack+25900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+9604,int_stack+22092,int_stack+21308, 0.0, zero_stack, 1.0, int_stack+27076, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+98644,int_stack+9604,int_stack+7840, 0.0, zero_stack, 1.0, int_stack+50260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+116312,int_stack+23100,int_stack+22092, 0.0, zero_stack, 1.0, int_stack+28644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+102172,int_stack+116312,int_stack+9604, 0.0, zero_stack, 1.0, int_stack+52024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+125216,int_stack+102172,int_stack+98644, 0.0, zero_stack, 1.0, int_stack+54376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+7840,int_stack+24360,int_stack+23100, 0.0, zero_stack, 1.0, int_stack+30660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+131096,int_stack+7840,int_stack+116312, 0.0, zero_stack, 1.0, int_stack+57904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+137144,int_stack+131096,int_stack+102172, 0.0, zero_stack, 1.0, int_stack+60928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+131096,int_stack+27860,int_stack+26488, 1.0, int_stack+25900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+132860,int_stack+29652,int_stack+27860, 1.0, int_stack+27076, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+7840,int_stack+132860,int_stack+131096, 1.0, int_stack+50260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+116312,int_stack+31920,int_stack+29652, 1.0, int_stack+28644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+98644,int_stack+116312,int_stack+132860, 1.0, int_stack+52024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+131096,int_stack+98644,int_stack+7840, 1.0, int_stack+54376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+7840,int_stack+33180,int_stack+31920, 1.0, int_stack+30660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+50260,int_stack+7840,int_stack+116312, 1.0, int_stack+57904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+20384,int_stack+50260,int_stack+98644, 1.0, int_stack+60928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+98644,int_stack+35308,int_stack+34720,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+100408,int_stack+36092,int_stack+35308,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+102760,int_stack+100408,int_stack+98644,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+116312,int_stack+37100,int_stack+36092,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+7840,int_stack+116312,int_stack+100408,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+50260,int_stack+7840,int_stack+102760,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+98644,int_stack+38360,int_stack+37100,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+102424,int_stack+98644,int_stack+116312,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+56140,int_stack+102424,int_stack+7840,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+7840,int_stack+40488,int_stack+39900,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+9604,int_stack+41272,int_stack+40488,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+98644,int_stack+9604,int_stack+7840,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+116312,int_stack+42280,int_stack+41272,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+102172,int_stack+116312,int_stack+9604,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+28224,int_stack+102172,int_stack+98644,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+7840,int_stack+43540,int_stack+42280,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+34104,int_stack+7840,int_stack+116312,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+144984,int_stack+34104,int_stack+102172,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+34104,int_stack+45668,int_stack+45080,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+35868,int_stack+46452,int_stack+45668,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+38220,int_stack+35868,int_stack+34104,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+116312,int_stack+47460,int_stack+46452,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+7840,int_stack+116312,int_stack+35868,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+98644,int_stack+7840,int_stack+38220,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+34104,int_stack+48720,int_stack+47460,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+37884,int_stack+34104,int_stack+116312,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+152824,int_stack+37884,int_stack+7840,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+34104,int_stack+71512,int_stack+86884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65632,28);
     Libderiv->ABCD[11] = int_stack + 34104;
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+160664,int_stack+108472,int_stack+92764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65632, 0.0, zero_stack,28);
     Libderiv->ABCD[10] = int_stack + 160664;
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+104524,int_stack+0,int_stack+79352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65632, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[9] = int_stack + 104524;
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+0,int_stack+12544,int_stack+119336, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65632, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+8820,int_stack+137144,int_stack+125216, 0.0, zero_stack, 1.0, int_stack+65632, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[7] = int_stack + 8820;
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+71512,int_stack+20384,int_stack+131096, 1.0, int_stack+65632, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
     Libderiv->ABCD[6] = int_stack + 71512;
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+17640,int_stack+56140,int_stack+50260,28);
     Libderiv->ABCD[2] = int_stack + 17640;
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+80332,int_stack+144984,int_stack+28224,28);
     Libderiv->ABCD[1] = int_stack + 80332;
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+89152,int_stack+152824,int_stack+98644,28);
     Libderiv->ABCD[0] = int_stack + 89152;

}
