#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_p0ig(Libderiv_t *, prim_data *);

  /* Computes derivatives of (p0|ig) integrals */

void d1hrr_order_p0ig(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[1][6][11] = int_stack + 0;
 Libderiv->deriv_classes[1][7][11] = int_stack + 84;
 Libderiv->deriv_classes[1][8][11] = int_stack + 192;
 Libderiv->deriv_classes[1][9][11] = int_stack + 327;
 Libderiv->deriv_classes[1][10][11] = int_stack + 492;
 Libderiv->deriv_classes[1][6][10] = int_stack + 690;
 Libderiv->deriv_classes[1][7][10] = int_stack + 774;
 Libderiv->deriv_classes[1][8][10] = int_stack + 882;
 Libderiv->deriv_classes[1][9][10] = int_stack + 1017;
 Libderiv->deriv_classes[1][10][10] = int_stack + 1182;
 Libderiv->deriv_classes[1][6][9] = int_stack + 1380;
 Libderiv->deriv_classes[1][7][9] = int_stack + 1464;
 Libderiv->deriv_classes[1][8][9] = int_stack + 1572;
 Libderiv->deriv_classes[1][9][9] = int_stack + 1707;
 Libderiv->deriv_classes[1][10][9] = int_stack + 1872;
 Libderiv->deriv_classes[1][6][8] = int_stack + 2070;
 Libderiv->deriv_classes[1][7][8] = int_stack + 2154;
 Libderiv->deriv_classes[1][8][8] = int_stack + 2262;
 Libderiv->deriv_classes[1][9][8] = int_stack + 2397;
 Libderiv->deriv_classes[1][10][8] = int_stack + 2562;
 Libderiv->deriv_classes[1][6][7] = int_stack + 2760;
 Libderiv->deriv_classes[1][7][7] = int_stack + 2844;
 Libderiv->deriv_classes[1][8][7] = int_stack + 2952;
 Libderiv->deriv_classes[1][9][7] = int_stack + 3087;
 Libderiv->deriv_classes[1][10][7] = int_stack + 3252;
 Libderiv->dvrr_classes[1][6] = int_stack + 3450;
 Libderiv->deriv_classes[1][6][6] = int_stack + 3534;
 Libderiv->dvrr_classes[1][7] = int_stack + 3618;
 Libderiv->deriv_classes[1][7][6] = int_stack + 3726;
 Libderiv->dvrr_classes[1][8] = int_stack + 3834;
 Libderiv->deriv_classes[1][8][6] = int_stack + 3969;
 Libderiv->dvrr_classes[1][9] = int_stack + 4104;
 Libderiv->deriv_classes[1][9][6] = int_stack + 4269;
 Libderiv->deriv_classes[1][10][6] = int_stack + 4434;
 Libderiv->deriv_classes[1][6][2] = int_stack + 4632;
 Libderiv->deriv_classes[1][7][2] = int_stack + 4716;
 Libderiv->deriv_classes[1][8][2] = int_stack + 4824;
 Libderiv->deriv_classes[1][9][2] = int_stack + 4959;
 Libderiv->deriv_classes[1][10][2] = int_stack + 5124;
 Libderiv->deriv_classes[1][6][1] = int_stack + 5322;
 Libderiv->deriv_classes[1][7][1] = int_stack + 5406;
 Libderiv->deriv_classes[1][8][1] = int_stack + 5514;
 Libderiv->deriv_classes[1][9][1] = int_stack + 5649;
 Libderiv->deriv_classes[1][10][1] = int_stack + 5814;
 Libderiv->deriv_classes[1][6][0] = int_stack + 6012;
 Libderiv->deriv_classes[1][7][0] = int_stack + 6096;
 Libderiv->deriv_classes[1][8][0] = int_stack + 6204;
 Libderiv->deriv_classes[1][9][0] = int_stack + 6339;
 Libderiv->deriv_classes[1][10][0] = int_stack + 6504;
 memset(int_stack,0,53616);

 Libderiv->dvrr_stack = int_stack + 23793;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_p0ig(Libderiv, Data);
   Data++;
 }

 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+6702,int_stack+3618,int_stack+3450,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+6954,int_stack+3834,int_stack+3618,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+7278,int_stack+6954,int_stack+6702,3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+7782,int_stack+4104,int_stack+3834,3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+8187,int_stack+7782,int_stack+6954,3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+8835,int_stack+8187,int_stack+7278,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+9675,int_stack+84,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3450,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+9927,int_stack+192,int_stack+84, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3618,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+10251,int_stack+9927,int_stack+9675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6702,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+10755,int_stack+327,int_stack+192, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3834,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+11160,int_stack+10755,int_stack+9927, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6954,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+11808,int_stack+11160,int_stack+10251, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7278,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+9675,int_stack+492,int_stack+327, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4104,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+12648,int_stack+9675,int_stack+10755, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7782,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+9675,int_stack+12648,int_stack+11160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8187,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+12648,int_stack+774,int_stack+690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3450, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+12900,int_stack+882,int_stack+774, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3618, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+13224,int_stack+12900,int_stack+12648, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6702, 0.0, zero_stack,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+10755,int_stack+1017,int_stack+882, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3834, 0.0, zero_stack,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+11160,int_stack+10755,int_stack+12900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6954, 0.0, zero_stack,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+11160,int_stack+13224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7278, 0.0, zero_stack,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+12648,int_stack+1182,int_stack+1017, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4104, 0.0, zero_stack,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+13143,int_stack+12648,int_stack+10755, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7782, 0.0, zero_stack,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+13953,int_stack+13143,int_stack+11160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8187, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+10755,int_stack+1464,int_stack+1380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3450, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+11007,int_stack+1572,int_stack+1464, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3618, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+12648,int_stack+11007,int_stack+10755, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6702, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+11331,int_stack+1707,int_stack+1572, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3834, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+13152,int_stack+11331,int_stack+11007, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6954, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+15033,int_stack+13152,int_stack+12648, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7278, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+12648,int_stack+1872,int_stack+1707, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4104, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+840,int_stack+12648,int_stack+11331, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7782, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+15873,int_stack+840,int_stack+13152, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8187, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+840,int_stack+2154,int_stack+2070, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1092,int_stack+2262,int_stack+2154, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3618, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1416,int_stack+1092,int_stack+840, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6702, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+12648,int_stack+2397,int_stack+2262, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3834, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+13053,int_stack+12648,int_stack+1092, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6954, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+10755,int_stack+13053,int_stack+1416, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7278, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+840,int_stack+2562,int_stack+2397, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+1335,int_stack+840,int_stack+12648, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7782, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+16953,int_stack+1335,int_stack+13053, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8187, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+12648,int_stack+2844,int_stack+2760, 0.0, zero_stack, 1.0, int_stack+3450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+12900,int_stack+2952,int_stack+2844, 0.0, zero_stack, 1.0, int_stack+3618, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+13224,int_stack+12900,int_stack+12648, 0.0, zero_stack, 1.0, int_stack+6702, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+840,int_stack+3087,int_stack+2952, 0.0, zero_stack, 1.0, int_stack+3834, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1245,int_stack+840,int_stack+12900, 0.0, zero_stack, 1.0, int_stack+6954, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+1893,int_stack+1245,int_stack+13224, 0.0, zero_stack, 1.0, int_stack+7278, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+12648,int_stack+3252,int_stack+3087, 0.0, zero_stack, 1.0, int_stack+4104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+13143,int_stack+12648,int_stack+840, 0.0, zero_stack, 1.0, int_stack+7782, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+18033,int_stack+13143,int_stack+1245, 0.0, zero_stack, 1.0, int_stack+8187, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+840,int_stack+3726,int_stack+3534, 1.0, int_stack+3450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1092,int_stack+3969,int_stack+3726, 1.0, int_stack+3618, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+12648,int_stack+1092,int_stack+840, 1.0, int_stack+6702, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+1416,int_stack+4269,int_stack+3969, 1.0, int_stack+3834, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+13152,int_stack+1416,int_stack+1092, 1.0, int_stack+6954, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2733,int_stack+13152,int_stack+12648, 1.0, int_stack+7278, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+12648,int_stack+4434,int_stack+4269, 1.0, int_stack+4104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+6702,int_stack+12648,int_stack+1416, 1.0, int_stack+7782, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+19113,int_stack+6702,int_stack+13152, 1.0, int_stack+8187, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+6702,int_stack+4716,int_stack+4632,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+6954,int_stack+4824,int_stack+4716,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+7278,int_stack+6954,int_stack+6702,3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+7782,int_stack+4959,int_stack+4824,3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+8187,int_stack+7782,int_stack+6954,3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+12648,int_stack+8187,int_stack+7278,3);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+6702,int_stack+5124,int_stack+4959,3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+840,int_stack+6702,int_stack+7782,3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+6702,int_stack+840,int_stack+8187,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+840,int_stack+5406,int_stack+5322,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1092,int_stack+5514,int_stack+5406,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+7782,int_stack+1092,int_stack+840,3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1416,int_stack+5649,int_stack+5514,3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+3573,int_stack+1416,int_stack+1092,3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+4221,int_stack+3573,int_stack+7782,3);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+7782,int_stack+5814,int_stack+5649,3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+5061,int_stack+7782,int_stack+1416,3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+20193,int_stack+5061,int_stack+3573,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+3573,int_stack+6096,int_stack+6012,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3825,int_stack+6204,int_stack+6096,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+5061,int_stack+3825,int_stack+3573,3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+5565,int_stack+6339,int_stack+6204,3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+7782,int_stack+5565,int_stack+3825,3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+840,int_stack+7782,int_stack+5061,3);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+5061,int_stack+6504,int_stack+6339,3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+21273,int_stack+5061,int_stack+5565,3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+5061,int_stack+21273,int_stack+7782,3);
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+21273,int_stack+9675,int_stack+11808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8835,3);
     Libderiv->ABCD[11] = int_stack + 21273;
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+22533,int_stack+13953,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8835, 0.0, zero_stack,3);
     Libderiv->ABCD[10] = int_stack + 22533;
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+13488,int_stack+15873,int_stack+15033, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8835, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[9] = int_stack + 13488;
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+14748,int_stack+16953,int_stack+10755, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[8] = int_stack + 14748;
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+9675,int_stack+18033,int_stack+1893, 0.0, zero_stack, 1.0, int_stack+8835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[7] = int_stack + 9675;
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+10935,int_stack+19113,int_stack+2733, 1.0, int_stack+8835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[6] = int_stack + 10935;
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+7782,int_stack+6702,int_stack+12648,3);
     Libderiv->ABCD[2] = int_stack + 7782;
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+12195,int_stack+20193,int_stack+4221,3);
     Libderiv->ABCD[1] = int_stack + 12195;
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+6141,int_stack+5061,int_stack+840,3);
     Libderiv->ABCD[0] = int_stack + 6141;

}
