#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ddkg(Libint_t*, prim_data*);

  /* Computes quartets of (dd|kg) integrals */

REALTYPE *hrr_order_ddkg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][7] = int_stack + 0;
 Libint->vrr_classes[2][8] = int_stack + 216;
 Libint->vrr_classes[2][9] = int_stack + 486;
 Libint->vrr_classes[2][10] = int_stack + 816;
 Libint->vrr_classes[2][11] = int_stack + 1212;
 Libint->vrr_classes[3][7] = int_stack + 1680;
 Libint->vrr_classes[3][8] = int_stack + 2040;
 Libint->vrr_classes[3][9] = int_stack + 2490;
 Libint->vrr_classes[3][10] = int_stack + 3040;
 Libint->vrr_classes[3][11] = int_stack + 3700;
 Libint->vrr_classes[4][7] = int_stack + 4480;
 Libint->vrr_classes[4][8] = int_stack + 5020;
 Libint->vrr_classes[4][9] = int_stack + 5695;
 Libint->vrr_classes[4][10] = int_stack + 6520;
 Libint->vrr_classes[4][11] = int_stack + 7510;
 memset(int_stack,0,8680*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 8680;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ddkg(Libint, Data);
   Data++;
 }
 /*--- compute (d0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+8680,int_stack+216,int_stack+0,6);
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+9328,int_stack+486,int_stack+216,6);
 /*--- compute (d0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+10138,int_stack+9328,int_stack+8680,6);
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+11434,int_stack+816,int_stack+486,6);
 /*--- compute (d0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+12424,int_stack+11434,int_stack+9328,6);
 /*--- compute (d0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+14044,int_stack+12424,int_stack+10138,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+8680,int_stack+1212,int_stack+816,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+16204,int_stack+8680,int_stack+11434,6);
 /*--- compute (d0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+8680,int_stack+16204,int_stack+12424,6);
 /*--- compute (d0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+16204,int_stack+8680,int_stack+14044,6);
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+8680,int_stack+2040,int_stack+1680,10);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+9760,int_stack+2490,int_stack+2040,10);
 /*--- compute (f0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+11110,int_stack+9760,int_stack+8680,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+13270,int_stack+3040,int_stack+2490,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+13270,int_stack+9760,10);
 /*--- compute (f0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+19444,int_stack+0,int_stack+11110,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+8680,int_stack+3700,int_stack+3040,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+23044,int_stack+8680,int_stack+13270,10);
 /*--- compute (f0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+8680,int_stack+23044,int_stack+0,10);
 /*--- compute (f0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+23044,int_stack+8680,int_stack+19444,10);
 /*--- compute (dp|kg) ---*/
 hrr1_build_dp(Libint->AB,int_stack+28444,int_stack+23044,int_stack+16204,540);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+8680,int_stack+5020,int_stack+4480,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+10300,int_stack+5695,int_stack+5020,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+12325,int_stack+10300,int_stack+8680,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+15565,int_stack+6520,int_stack+5695,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+18040,int_stack+15565,int_stack+10300,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+18040,int_stack+12325,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+8680,int_stack+7510,int_stack+6520,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+38164,int_stack+8680,int_stack+15565,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+5400,int_stack+38164,int_stack+18040,15);
 /*--- compute (g0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+12150,int_stack+5400,int_stack+0,15);
 /*--- compute (fp|kg) ---*/
 hrr1_build_fp(Libint->AB,int_stack+38164,int_stack+12150,int_stack+23044,540);
 /*--- compute (dd|kg) ---*/
 hrr1_build_dd(Libint->AB,int_stack+0,int_stack+38164,int_stack+28444,540);
 return int_stack+0;}
