#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ddnh(Libint_t*, prim_data*);

  /* Computes quartets of (dd|nh) integrals */

REALTYPE *hrr_order_ddnh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][10] = int_stack + 0;
 Libint->vrr_classes[2][11] = int_stack + 396;
 Libint->vrr_classes[2][12] = int_stack + 864;
 Libint->vrr_classes[2][13] = int_stack + 1410;
 Libint->vrr_classes[2][14] = int_stack + 2040;
 Libint->vrr_classes[2][15] = int_stack + 2760;
 Libint->vrr_classes[3][10] = int_stack + 3576;
 Libint->vrr_classes[3][11] = int_stack + 4236;
 Libint->vrr_classes[3][12] = int_stack + 5016;
 Libint->vrr_classes[3][13] = int_stack + 5926;
 Libint->vrr_classes[3][14] = int_stack + 6976;
 Libint->vrr_classes[3][15] = int_stack + 8176;
 Libint->vrr_classes[4][10] = int_stack + 9536;
 Libint->vrr_classes[4][11] = int_stack + 10526;
 Libint->vrr_classes[4][12] = int_stack + 11696;
 Libint->vrr_classes[4][13] = int_stack + 13061;
 Libint->vrr_classes[4][14] = int_stack + 14636;
 Libint->vrr_classes[4][15] = int_stack + 16436;
 memset(int_stack,0,18476*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 18476;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ddnh(Libint, Data);
   Data++;
 }
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+18476,int_stack+396,int_stack+0,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+19664,int_stack+864,int_stack+396,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+21068,int_stack+19664,int_stack+18476,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+23444,int_stack+1410,int_stack+864,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+25082,int_stack+23444,int_stack+19664,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+27890,int_stack+25082,int_stack+21068,6);
 /*--- compute (d0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+18476,int_stack+2040,int_stack+1410,6);
 /*--- compute (d0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+31850,int_stack+18476,int_stack+23444,6);
 /*--- compute (d0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+20366,int_stack+31850,int_stack+25082,6);
 /*--- compute (d0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+35126,int_stack+20366,int_stack+27890,6);
 /*--- compute (d0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+25046,int_stack+2760,int_stack+2040,6);
 /*--- compute (d0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+27206,int_stack+25046,int_stack+18476,6);
 /*--- compute (d0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+41066,int_stack+27206,int_stack+31850,6);
 /*--- compute (d0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+25046,int_stack+41066,int_stack+20366,6);
 /*--- compute (d0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+41066,int_stack+25046,int_stack+35126,6);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+18476,int_stack+4236,int_stack+3576,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+20456,int_stack+5016,int_stack+4236,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+22796,int_stack+20456,int_stack+18476,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+26756,int_stack+5926,int_stack+5016,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+29486,int_stack+26756,int_stack+20456,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+34166,int_stack+29486,int_stack+22796,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+18476,int_stack+6976,int_stack+5926,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+18476,int_stack+26756,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+21626,int_stack+0,int_stack+29486,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+49382,int_stack+21626,int_stack+34166,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+29426,int_stack+8176,int_stack+6976,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+33026,int_stack+29426,int_stack+18476,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+59282,int_stack+33026,int_stack+0,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+68382,int_stack+59282,int_stack+21626,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+18476,int_stack+68382,int_stack+49382,10);
 /*--- compute (dp|nh) ---*/
 hrr1_build_dp(Libint->AB,int_stack+49382,int_stack+18476,int_stack+41066,1386);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+74330,int_stack+10526,int_stack+9536,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+77300,int_stack+11696,int_stack+10526,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+77300,int_stack+74330,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+5940,int_stack+13061,int_stack+11696,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+32336,int_stack+5940,int_stack+77300,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+39356,int_stack+32336,int_stack+0,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+14636,int_stack+13061,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+74330,int_stack+0,int_stack+5940,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+82520,int_stack+74330,int_stack+32336,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+94220,int_stack+82520,int_stack+39356,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+32336,int_stack+16436,int_stack+14636,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+37736,int_stack+32336,int_stack+0,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+37736,int_stack+74330,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+109070,int_stack+0,int_stack+82520,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+126620,int_stack+109070,int_stack+94220,15);
 /*--- compute (fp|nh) ---*/
 hrr1_build_fp(Libint->AB,int_stack+74330,int_stack+126620,int_stack+18476,1386);
 /*--- compute (dd|nh) ---*/
 hrr1_build_dd(Libint->AB,int_stack+115910,int_stack+74330,int_stack+49382,1386);
 return int_stack+115910;}
