#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_dplk(Libint_t*, prim_data*);

  /* Computes quartets of (dp|lk) integrals */

REALTYPE *hrr_order_dplk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][8] = int_stack + 0;
 Libint->vrr_classes[2][9] = int_stack + 270;
 Libint->vrr_classes[2][10] = int_stack + 600;
 Libint->vrr_classes[2][11] = int_stack + 996;
 Libint->vrr_classes[2][12] = int_stack + 1464;
 Libint->vrr_classes[2][13] = int_stack + 2010;
 Libint->vrr_classes[2][14] = int_stack + 2640;
 Libint->vrr_classes[2][15] = int_stack + 3360;
 Libint->vrr_classes[3][8] = int_stack + 4176;
 Libint->vrr_classes[3][9] = int_stack + 4626;
 Libint->vrr_classes[3][10] = int_stack + 5176;
 Libint->vrr_classes[3][11] = int_stack + 5836;
 Libint->vrr_classes[3][12] = int_stack + 6616;
 Libint->vrr_classes[3][13] = int_stack + 7526;
 Libint->vrr_classes[3][14] = int_stack + 8576;
 Libint->vrr_classes[3][15] = int_stack + 9776;
 memset(int_stack,0,11136*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 11136;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_dplk(Libint, Data);
   Data++;
 }
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+11136,int_stack+270,int_stack+0,6);
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+11946,int_stack+600,int_stack+270,6);
 /*--- compute (d0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+12936,int_stack+11946,int_stack+11136,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+14556,int_stack+996,int_stack+600,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+15744,int_stack+14556,int_stack+11946,6);
 /*--- compute (d0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+17724,int_stack+15744,int_stack+12936,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+11136,int_stack+1464,int_stack+996,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+20424,int_stack+11136,int_stack+14556,6);
 /*--- compute (d0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+22800,int_stack+20424,int_stack+15744,6);
 /*--- compute (d0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+12540,int_stack+22800,int_stack+17724,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+16590,int_stack+2010,int_stack+1464,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+26100,int_stack+16590,int_stack+11136,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+28908,int_stack+26100,int_stack+20424,6);
 /*--- compute (d0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+32868,int_stack+28908,int_stack+22800,6);
 /*--- compute (d0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+18228,int_stack+32868,int_stack+12540,6);
 /*--- compute (d0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+11136,int_stack+2640,int_stack+2010,6);
 /*--- compute (d0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+13026,int_stack+11136,int_stack+16590,6);
 /*--- compute (d0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+37818,int_stack+13026,int_stack+26100,6);
 /*--- compute (d0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+42498,int_stack+37818,int_stack+28908,6);
 /*--- compute (d0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+23898,int_stack+42498,int_stack+32868,6);
 /*--- compute (d0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+48438,int_stack+23898,int_stack+18228,6);
 /*--- compute (d0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+16302,int_stack+3360,int_stack+2640,6);
 /*--- compute (d0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+18462,int_stack+16302,int_stack+11136,6);
 /*--- compute (d0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+30828,int_stack+18462,int_stack+13026,6);
 /*--- compute (d0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+11136,int_stack+30828,int_stack+37818,6);
 /*--- compute (d0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+30828,int_stack+11136,int_stack+42498,6);
 /*--- compute (d0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+11136,int_stack+30828,int_stack+23898,6);
 /*--- compute (d0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+20376,int_stack+11136,int_stack+48438,6);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+11136,int_stack+4626,int_stack+4176,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+12486,int_stack+5176,int_stack+4626,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+14136,int_stack+12486,int_stack+11136,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+16836,int_stack+5836,int_stack+5176,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+30096,int_stack+16836,int_stack+12486,10);
 /*--- compute (f0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+33396,int_stack+30096,int_stack+14136,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+11136,int_stack+6616,int_stack+5836,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+37896,int_stack+11136,int_stack+16836,10);
 /*--- compute (f0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+13476,int_stack+37896,int_stack+30096,10);
 /*--- compute (f0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+41856,int_stack+13476,int_stack+33396,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+30096,int_stack+7526,int_stack+6616,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+32826,int_stack+30096,int_stack+11136,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+48606,int_stack+32826,int_stack+37896,10);
 /*--- compute (f0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+55206,int_stack+48606,int_stack+13476,10);
 /*--- compute (f0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+63456,int_stack+55206,int_stack+41856,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+11136,int_stack+8576,int_stack+7526,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+14286,int_stack+11136,int_stack+30096,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+37506,int_stack+14286,int_stack+32826,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+72906,int_stack+37506,int_stack+48606,10);
 /*--- compute (f0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+82806,int_stack+72906,int_stack+55206,10);
 /*--- compute (f0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+45306,int_stack+82806,int_stack+63456,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+30096,int_stack+9776,int_stack+8576,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+57906,int_stack+30096,int_stack+11136,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+57906,int_stack+14286,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+57906,int_stack+0,int_stack+37506,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+57906,int_stack+72906,10);
 /*--- compute (f0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+57906,int_stack+0,int_stack+82806,10);
 /*--- compute (f0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+0,int_stack+57906,int_stack+45306,10);
 /*--- compute (dp|lk) ---*/
 hrr1_build_dp(Libint->AB,int_stack+30096,int_stack+0,int_stack+20376,1620);
 return int_stack+30096;}
