#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_f0nl(Libint_t*, prim_data*);

  /* Computes quartets of (f0|nl) integrals */

REALTYPE *hrr_order_f0nl(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][10] = int_stack + 0;
 Libint->vrr_classes[3][11] = int_stack + 660;
 Libint->vrr_classes[3][12] = int_stack + 1440;
 Libint->vrr_classes[3][13] = int_stack + 2350;
 Libint->vrr_classes[3][14] = int_stack + 3400;
 Libint->vrr_classes[3][15] = int_stack + 4600;
 Libint->vrr_classes[3][16] = int_stack + 5960;
 Libint->vrr_classes[3][17] = int_stack + 7490;
 Libint->vrr_classes[3][18] = int_stack + 9200;
 memset(int_stack,0,11100*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 11100;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_f0nl(Libint, Data);
   Data++;
 }
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+11100,int_stack+660,int_stack+0,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13080,int_stack+1440,int_stack+660,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+15420,int_stack+13080,int_stack+11100,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+19380,int_stack+2350,int_stack+1440,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+22110,int_stack+19380,int_stack+13080,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+26790,int_stack+22110,int_stack+15420,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+11100,int_stack+3400,int_stack+2350,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+33390,int_stack+11100,int_stack+19380,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+14250,int_stack+33390,int_stack+22110,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+38850,int_stack+14250,int_stack+26790,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+22050,int_stack+4600,int_stack+3400,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+25650,int_stack+22050,int_stack+11100,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+48750,int_stack+25650,int_stack+33390,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+57850,int_stack+48750,int_stack+14250,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+69550,int_stack+57850,int_stack+38850,10);
 /*--- compute (f0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+11100,int_stack+5960,int_stack+4600,10);
 /*--- compute (f0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+31950,int_stack+11100,int_stack+22050,10);
 /*--- compute (f0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+83410,int_stack+31950,int_stack+25650,10);
 /*--- compute (f0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+15180,int_stack+83410,int_stack+48750,10);
 /*--- compute (f0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+39150,int_stack+15180,int_stack+57850,10);
 /*--- compute (f0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+93910,int_stack+39150,int_stack+69550,10);
 /*--- compute (f0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+55530,int_stack+7490,int_stack+5960,10);
 /*--- compute (f0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+60120,int_stack+55530,int_stack+11100,10);
 /*--- compute (f0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+68280,int_stack+60120,int_stack+31950,10);
 /*--- compute (f0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+112390,int_stack+68280,int_stack+83410,10);
 /*--- compute (f0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+128140,int_stack+112390,int_stack+15180,10);
 /*--- compute (f0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+11100,int_stack+128140,int_stack+39150,10);
 /*--- compute (f0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+147250,int_stack+11100,int_stack+93910,10);
 /*--- compute (f0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+32940,int_stack+9200,int_stack+7490,10);
 /*--- compute (f0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+38070,int_stack+32940,int_stack+55530,10);
 /*--- compute (f0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+80280,int_stack+38070,int_stack+60120,10);
 /*--- compute (f0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+32940,int_stack+80280,int_stack+68280,10);
 /*--- compute (f0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+50940,int_stack+32940,int_stack+112390,10);
 /*--- compute (f0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+72990,int_stack+50940,int_stack+128140,10);
 /*--- compute (f0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+32940,int_stack+72990,int_stack+11100,10);
 /*--- compute (f0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+61020,int_stack+32940,int_stack+147250,10);
 return int_stack+61020;}
