#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fdli(Libint_t*, prim_data*);

  /* Computes quartets of (fd|li) integrals */

REALTYPE *hrr_order_fdli(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][8] = int_stack + 0;
 Libint->vrr_classes[3][9] = int_stack + 450;
 Libint->vrr_classes[3][10] = int_stack + 1000;
 Libint->vrr_classes[3][11] = int_stack + 1660;
 Libint->vrr_classes[3][12] = int_stack + 2440;
 Libint->vrr_classes[3][13] = int_stack + 3350;
 Libint->vrr_classes[3][14] = int_stack + 4400;
 Libint->vrr_classes[4][8] = int_stack + 5600;
 Libint->vrr_classes[4][9] = int_stack + 6275;
 Libint->vrr_classes[4][10] = int_stack + 7100;
 Libint->vrr_classes[4][11] = int_stack + 8090;
 Libint->vrr_classes[4][12] = int_stack + 9260;
 Libint->vrr_classes[4][13] = int_stack + 10625;
 Libint->vrr_classes[4][14] = int_stack + 12200;
 Libint->vrr_classes[5][8] = int_stack + 14000;
 Libint->vrr_classes[5][9] = int_stack + 14945;
 Libint->vrr_classes[5][10] = int_stack + 16100;
 Libint->vrr_classes[5][11] = int_stack + 17486;
 Libint->vrr_classes[5][12] = int_stack + 19124;
 Libint->vrr_classes[5][13] = int_stack + 21035;
 Libint->vrr_classes[5][14] = int_stack + 23240;
 memset(int_stack,0,25760*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 25760;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fdli(Libint, Data);
   Data++;
 }
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+25760,int_stack+450,int_stack+0,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+27110,int_stack+1000,int_stack+450,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+28760,int_stack+27110,int_stack+25760,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+31460,int_stack+1660,int_stack+1000,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+33440,int_stack+31460,int_stack+27110,10);
 /*--- compute (f0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+36740,int_stack+33440,int_stack+28760,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+25760,int_stack+2440,int_stack+1660,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+41240,int_stack+25760,int_stack+31460,10);
 /*--- compute (f0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+45200,int_stack+41240,int_stack+33440,10);
 /*--- compute (f0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+28100,int_stack+45200,int_stack+36740,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+34850,int_stack+3350,int_stack+2440,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+50700,int_stack+34850,int_stack+25760,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+55380,int_stack+50700,int_stack+41240,10);
 /*--- compute (f0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+61980,int_stack+55380,int_stack+45200,10);
 /*--- compute (f0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+37580,int_stack+61980,int_stack+28100,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+25760,int_stack+4400,int_stack+3350,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+28910,int_stack+25760,int_stack+34850,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+70230,int_stack+28910,int_stack+50700,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+25760,int_stack+70230,int_stack+55380,10);
 /*--- compute (f0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+47030,int_stack+25760,int_stack+61980,10);
 /*--- compute (f0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+58580,int_stack+47030,int_stack+37580,10);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+25760,int_stack+6275,int_stack+5600,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+27785,int_stack+7100,int_stack+6275,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+30260,int_stack+27785,int_stack+25760,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+34310,int_stack+8090,int_stack+7100,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+37280,int_stack+34310,int_stack+27785,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+42230,int_stack+37280,int_stack+30260,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+25760,int_stack+9260,int_stack+8090,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+48980,int_stack+25760,int_stack+34310,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+48980,int_stack+37280,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+29270,int_stack+0,int_stack+42230,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+39395,int_stack+10625,int_stack+9260,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+71180,int_stack+39395,int_stack+25760,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+78200,int_stack+71180,int_stack+48980,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+43490,int_stack+78200,int_stack+0,15);
 /*--- compute (g0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+88100,int_stack+43490,int_stack+29270,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+12200,int_stack+10625,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+4725,int_stack+0,int_stack+39395,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+25760,int_stack+4725,int_stack+71180,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+102275,int_stack+25760,int_stack+78200,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+25760,int_stack+102275,int_stack+43490,15);
 /*--- compute (g0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+102275,int_stack+25760,int_stack+88100,15);
 /*--- compute (fp|li) ---*/
 hrr1_build_fp(Libint->AB,int_stack+121175,int_stack+102275,int_stack+58580,1260);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+25760,int_stack+14945,int_stack+14000,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+28595,int_stack+16100,int_stack+14945,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+32060,int_stack+28595,int_stack+25760,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+37730,int_stack+17486,int_stack+16100,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+41888,int_stack+37730,int_stack+28595,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+48818,int_stack+41888,int_stack+32060,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+25760,int_stack+19124,int_stack+17486,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+58268,int_stack+25760,int_stack+37730,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+66584,int_stack+58268,int_stack+41888,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+30674,int_stack+66584,int_stack+48818,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+44849,int_stack+21035,int_stack+19124,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+78134,int_stack+44849,int_stack+25760,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+87962,int_stack+78134,int_stack+58268,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+87962,int_stack+66584,21);
 /*--- compute (h0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+50582,int_stack+0,int_stack+30674,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+25760,int_stack+23240,int_stack+21035,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+32375,int_stack+25760,int_stack+44849,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+158975,int_stack+32375,int_stack+78134,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+17325,int_stack+158975,int_stack+87962,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+70427,int_stack+17325,int_stack+0,21);
 /*--- compute (h0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+70427,int_stack+50582,21);
 /*--- compute (gp|li) ---*/
 hrr1_build_gp(Libint->AB,int_stack+26460,int_stack+0,int_stack+102275,1260);
 /*--- compute (fd|li) ---*/
 hrr1_build_fd(Libint->AB,int_stack+158975,int_stack+26460,int_stack+121175,1260);
 return int_stack+158975;}
