#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fplk(Libint_t*, prim_data*);

  /* Computes quartets of (fp|lk) integrals */

REALTYPE *hrr_order_fplk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][8] = int_stack + 0;
 Libint->vrr_classes[3][9] = int_stack + 450;
 Libint->vrr_classes[3][10] = int_stack + 1000;
 Libint->vrr_classes[3][11] = int_stack + 1660;
 Libint->vrr_classes[3][12] = int_stack + 2440;
 Libint->vrr_classes[3][13] = int_stack + 3350;
 Libint->vrr_classes[3][14] = int_stack + 4400;
 Libint->vrr_classes[3][15] = int_stack + 5600;
 Libint->vrr_classes[4][8] = int_stack + 6960;
 Libint->vrr_classes[4][9] = int_stack + 7635;
 Libint->vrr_classes[4][10] = int_stack + 8460;
 Libint->vrr_classes[4][11] = int_stack + 9450;
 Libint->vrr_classes[4][12] = int_stack + 10620;
 Libint->vrr_classes[4][13] = int_stack + 11985;
 Libint->vrr_classes[4][14] = int_stack + 13560;
 Libint->vrr_classes[4][15] = int_stack + 15360;
 memset(int_stack,0,17400*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 17400;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fplk(Libint, Data);
   Data++;
 }
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+17400,int_stack+450,int_stack+0,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+18750,int_stack+1000,int_stack+450,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+20400,int_stack+18750,int_stack+17400,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+23100,int_stack+1660,int_stack+1000,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+25080,int_stack+23100,int_stack+18750,10);
 /*--- compute (f0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+28380,int_stack+25080,int_stack+20400,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+17400,int_stack+2440,int_stack+1660,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+32880,int_stack+17400,int_stack+23100,10);
 /*--- compute (f0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+36840,int_stack+32880,int_stack+25080,10);
 /*--- compute (f0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+19740,int_stack+36840,int_stack+28380,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+26490,int_stack+3350,int_stack+2440,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+42340,int_stack+26490,int_stack+17400,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+47020,int_stack+42340,int_stack+32880,10);
 /*--- compute (f0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+53620,int_stack+47020,int_stack+36840,10);
 /*--- compute (f0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+29220,int_stack+53620,int_stack+19740,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+17400,int_stack+4400,int_stack+3350,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+20550,int_stack+17400,int_stack+26490,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+61870,int_stack+20550,int_stack+42340,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+69670,int_stack+61870,int_stack+47020,10);
 /*--- compute (f0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+38670,int_stack+69670,int_stack+53620,10);
 /*--- compute (f0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+79570,int_stack+38670,int_stack+29220,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+26010,int_stack+5600,int_stack+4400,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+29610,int_stack+26010,int_stack+17400,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+50220,int_stack+29610,int_stack+20550,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+17400,int_stack+50220,int_stack+61870,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+50220,int_stack+17400,int_stack+69670,10);
 /*--- compute (f0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+17400,int_stack+50220,int_stack+38670,10);
 /*--- compute (f0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+32800,int_stack+17400,int_stack+79570,10);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+17400,int_stack+7635,int_stack+6960,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+19425,int_stack+8460,int_stack+7635,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+21900,int_stack+19425,int_stack+17400,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+25950,int_stack+9450,int_stack+8460,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+49000,int_stack+25950,int_stack+19425,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+53950,int_stack+49000,int_stack+21900,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+17400,int_stack+10620,int_stack+9450,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+60700,int_stack+17400,int_stack+25950,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+20910,int_stack+60700,int_stack+49000,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+66640,int_stack+20910,int_stack+53950,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+49000,int_stack+11985,int_stack+10620,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+53095,int_stack+49000,int_stack+17400,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+76765,int_stack+53095,int_stack+60700,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+86665,int_stack+76765,int_stack+20910,15);
 /*--- compute (g0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+17400,int_stack+86665,int_stack+66640,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+60115,int_stack+13560,int_stack+11985,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+64840,int_stack+60115,int_stack+49000,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+64840,int_stack+53095,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+99040,int_stack+0,int_stack+76765,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+113890,int_stack+99040,int_stack+86665,15);
 /*--- compute (g0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+73030,int_stack+113890,int_stack+17400,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+17400,int_stack+15360,int_stack+13560,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+22800,int_stack+17400,int_stack+60115,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+49000,int_stack+22800,int_stack+64840,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+11700,int_stack+49000,int_stack+0,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+49000,int_stack+11700,int_stack+99040,15);
 /*--- compute (g0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+49000,int_stack+113890,15);
 /*--- compute (g0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+91930,int_stack+0,int_stack+73030,15);
 /*--- compute (fp|lk) ---*/
 hrr1_build_fp(Libint->AB,int_stack+116230,int_stack+91930,int_stack+32800,1620);
 return int_stack+116230;}
