#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fpll(Libint_t*, prim_data*);

  /* Computes quartets of (fp|ll) integrals */

REALTYPE *hrr_order_fpll(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][8] = int_stack + 0;
 Libint->vrr_classes[3][9] = int_stack + 450;
 Libint->vrr_classes[3][10] = int_stack + 1000;
 Libint->vrr_classes[3][11] = int_stack + 1660;
 Libint->vrr_classes[3][12] = int_stack + 2440;
 Libint->vrr_classes[3][13] = int_stack + 3350;
 Libint->vrr_classes[3][14] = int_stack + 4400;
 Libint->vrr_classes[3][15] = int_stack + 5600;
 Libint->vrr_classes[3][16] = int_stack + 6960;
 Libint->vrr_classes[4][8] = int_stack + 8490;
 Libint->vrr_classes[4][9] = int_stack + 9165;
 Libint->vrr_classes[4][10] = int_stack + 9990;
 Libint->vrr_classes[4][11] = int_stack + 10980;
 Libint->vrr_classes[4][12] = int_stack + 12150;
 Libint->vrr_classes[4][13] = int_stack + 13515;
 Libint->vrr_classes[4][14] = int_stack + 15090;
 Libint->vrr_classes[4][15] = int_stack + 16890;
 Libint->vrr_classes[4][16] = int_stack + 18930;
 memset(int_stack,0,21225*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 21225;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fpll(Libint, Data);
   Data++;
 }
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+21225,int_stack+450,int_stack+0,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+22575,int_stack+1000,int_stack+450,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+24225,int_stack+22575,int_stack+21225,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+26925,int_stack+1660,int_stack+1000,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+28905,int_stack+26925,int_stack+22575,10);
 /*--- compute (f0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+32205,int_stack+28905,int_stack+24225,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+21225,int_stack+2440,int_stack+1660,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+36705,int_stack+21225,int_stack+26925,10);
 /*--- compute (f0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+40665,int_stack+36705,int_stack+28905,10);
 /*--- compute (f0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+23565,int_stack+40665,int_stack+32205,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+30315,int_stack+3350,int_stack+2440,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+46165,int_stack+30315,int_stack+21225,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+50845,int_stack+46165,int_stack+36705,10);
 /*--- compute (f0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+57445,int_stack+50845,int_stack+40665,10);
 /*--- compute (f0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+33045,int_stack+57445,int_stack+23565,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+21225,int_stack+4400,int_stack+3350,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+24375,int_stack+21225,int_stack+30315,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+65695,int_stack+24375,int_stack+46165,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+73495,int_stack+65695,int_stack+50845,10);
 /*--- compute (f0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+42495,int_stack+73495,int_stack+57445,10);
 /*--- compute (f0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+83395,int_stack+42495,int_stack+33045,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+29835,int_stack+5600,int_stack+4400,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+33435,int_stack+29835,int_stack+21225,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+54045,int_stack+33435,int_stack+24375,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+95995,int_stack+54045,int_stack+65695,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+107695,int_stack+95995,int_stack+73495,10);
 /*--- compute (f0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+63145,int_stack+107695,int_stack+42495,10);
 /*--- compute (f0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+121555,int_stack+63145,int_stack+83395,10);
 /*--- compute (f0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+21225,int_stack+6960,int_stack+5600,10);
 /*--- compute (f0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+39735,int_stack+21225,int_stack+29835,10);
 /*--- compute (f0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+21225,int_stack+39735,int_stack+33435,10);
 /*--- compute (f0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+31725,int_stack+21225,int_stack+54045,10);
 /*--- compute (f0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+45375,int_stack+31725,int_stack+95995,10);
 /*--- compute (f0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+21225,int_stack+45375,int_stack+107695,10);
 /*--- compute (f0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+39705,int_stack+21225,int_stack+63145,10);
 /*--- compute (f0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+59505,int_stack+39705,int_stack+121555,10);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+21225,int_stack+9165,int_stack+8490,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+23250,int_stack+9990,int_stack+9165,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+25725,int_stack+23250,int_stack+21225,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+29775,int_stack+10980,int_stack+9990,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+32745,int_stack+29775,int_stack+23250,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+37695,int_stack+32745,int_stack+25725,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+21225,int_stack+12150,int_stack+10980,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+44445,int_stack+21225,int_stack+29775,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+50385,int_stack+44445,int_stack+32745,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+24735,int_stack+50385,int_stack+37695,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+34860,int_stack+13515,int_stack+12150,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+79755,int_stack+34860,int_stack+21225,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+86775,int_stack+79755,int_stack+44445,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+96675,int_stack+86775,int_stack+50385,15);
 /*--- compute (g0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+38955,int_stack+96675,int_stack+24735,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+21225,int_stack+15090,int_stack+13515,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+25950,int_stack+21225,int_stack+34860,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+109050,int_stack+25950,int_stack+79755,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+120750,int_stack+109050,int_stack+86775,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+135600,int_stack+120750,int_stack+96675,15);
 /*--- compute (g0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+79755,int_stack+135600,int_stack+38955,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+98655,int_stack+16890,int_stack+15090,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+34140,int_stack+98655,int_stack+21225,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+43590,int_stack+34140,int_stack+25950,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+152925,int_stack+43590,int_stack+109050,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+170475,int_stack+152925,int_stack+120750,15);
 /*--- compute (g0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+104055,int_stack+170475,int_stack+135600,15);
 /*--- compute (g0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+127155,int_stack+104055,int_stack+79755,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+79755,int_stack+18930,int_stack+16890,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+85875,int_stack+79755,int_stack+98655,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+85875,int_stack+34140,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+79755,int_stack+0,int_stack+43590,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+0,int_stack+79755,int_stack+152925,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+24570,int_stack+0,int_stack+170475,15);
 /*--- compute (g0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+151455,int_stack+24570,int_stack+104055,15);
 /*--- compute (g0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+0,int_stack+151455,int_stack+127155,15);
 /*--- compute (fp|ll) ---*/
 hrr1_build_fp(Libint->AB,int_stack+79755,int_stack+0,int_stack+59505,2025);
 return int_stack+79755;}
