#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fpmk(Libint_t*, prim_data*);

  /* Computes quartets of (fp|mk) integrals */

REALTYPE *hrr_order_fpmk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][9] = int_stack + 0;
 Libint->vrr_classes[3][10] = int_stack + 550;
 Libint->vrr_classes[3][11] = int_stack + 1210;
 Libint->vrr_classes[3][12] = int_stack + 1990;
 Libint->vrr_classes[3][13] = int_stack + 2900;
 Libint->vrr_classes[3][14] = int_stack + 3950;
 Libint->vrr_classes[3][15] = int_stack + 5150;
 Libint->vrr_classes[3][16] = int_stack + 6510;
 Libint->vrr_classes[4][9] = int_stack + 8040;
 Libint->vrr_classes[4][10] = int_stack + 8865;
 Libint->vrr_classes[4][11] = int_stack + 9855;
 Libint->vrr_classes[4][12] = int_stack + 11025;
 Libint->vrr_classes[4][13] = int_stack + 12390;
 Libint->vrr_classes[4][14] = int_stack + 13965;
 Libint->vrr_classes[4][15] = int_stack + 15765;
 Libint->vrr_classes[4][16] = int_stack + 17805;
 memset(int_stack,0,20100*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 20100;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fpmk(Libint, Data);
   Data++;
 }
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+20100,int_stack+550,int_stack+0,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+21750,int_stack+1210,int_stack+550,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+23730,int_stack+21750,int_stack+20100,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+27030,int_stack+1990,int_stack+1210,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+29370,int_stack+27030,int_stack+21750,10);
 /*--- compute (f0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+33330,int_stack+29370,int_stack+23730,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+20100,int_stack+2900,int_stack+1990,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+38830,int_stack+20100,int_stack+27030,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+43510,int_stack+38830,int_stack+29370,10);
 /*--- compute (f0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+22830,int_stack+43510,int_stack+33330,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+31080,int_stack+3950,int_stack+2900,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+50110,int_stack+31080,int_stack+20100,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+55570,int_stack+50110,int_stack+38830,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+63370,int_stack+55570,int_stack+43510,10);
 /*--- compute (f0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+34230,int_stack+63370,int_stack+22830,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+20100,int_stack+5150,int_stack+3950,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+23700,int_stack+20100,int_stack+31080,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+73270,int_stack+23700,int_stack+50110,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+82370,int_stack+73270,int_stack+55570,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+45780,int_stack+82370,int_stack+63370,10);
 /*--- compute (f0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+94070,int_stack+45780,int_stack+34230,10);
 /*--- compute (f0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+30000,int_stack+6510,int_stack+5150,10);
 /*--- compute (f0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+34080,int_stack+30000,int_stack+20100,10);
 /*--- compute (f0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+59640,int_stack+34080,int_stack+23700,10);
 /*--- compute (f0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+20100,int_stack+59640,int_stack+73270,10);
 /*--- compute (f0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+59640,int_stack+20100,int_stack+82370,10);
 /*--- compute (f0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+20100,int_stack+59640,int_stack+45780,10);
 /*--- compute (f0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+38580,int_stack+20100,int_stack+94070,10);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+20100,int_stack+8865,int_stack+8040,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+22575,int_stack+9855,int_stack+8865,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+25545,int_stack+22575,int_stack+20100,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+30495,int_stack+11025,int_stack+9855,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+58380,int_stack+30495,int_stack+22575,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+64320,int_stack+58380,int_stack+25545,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+20100,int_stack+12390,int_stack+11025,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+72570,int_stack+20100,int_stack+30495,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+24195,int_stack+72570,int_stack+58380,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+79590,int_stack+24195,int_stack+64320,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+58380,int_stack+13965,int_stack+12390,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+63105,int_stack+58380,int_stack+20100,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+91965,int_stack+63105,int_stack+72570,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+103665,int_stack+91965,int_stack+24195,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+20100,int_stack+103665,int_stack+79590,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+71295,int_stack+15765,int_stack+13965,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+76695,int_stack+71295,int_stack+58380,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+76695,int_stack+63105,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+118515,int_stack+0,int_stack+91965,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+136065,int_stack+118515,int_stack+103665,15);
 /*--- compute (g0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+86145,int_stack+136065,int_stack+20100,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+20100,int_stack+17805,int_stack+15765,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+26220,int_stack+20100,int_stack+71295,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+58380,int_stack+26220,int_stack+76695,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+13650,int_stack+58380,int_stack+0,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+58380,int_stack+13650,int_stack+118515,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+58380,int_stack+136065,15);
 /*--- compute (g0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+109245,int_stack+0,int_stack+86145,15);
 /*--- compute (fp|mk) ---*/
 hrr1_build_fp(Libint->AB,int_stack+138945,int_stack+109245,int_stack+38580,1980);
 return int_stack+138945;}
