#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fpni(Libint_t*, prim_data*);

  /* Computes quartets of (fp|ni) integrals */

REALTYPE *hrr_order_fpni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][10] = int_stack + 0;
 Libint->vrr_classes[3][11] = int_stack + 660;
 Libint->vrr_classes[3][12] = int_stack + 1440;
 Libint->vrr_classes[3][13] = int_stack + 2350;
 Libint->vrr_classes[3][14] = int_stack + 3400;
 Libint->vrr_classes[3][15] = int_stack + 4600;
 Libint->vrr_classes[3][16] = int_stack + 5960;
 Libint->vrr_classes[4][10] = int_stack + 7490;
 Libint->vrr_classes[4][11] = int_stack + 8480;
 Libint->vrr_classes[4][12] = int_stack + 9650;
 Libint->vrr_classes[4][13] = int_stack + 11015;
 Libint->vrr_classes[4][14] = int_stack + 12590;
 Libint->vrr_classes[4][15] = int_stack + 14390;
 Libint->vrr_classes[4][16] = int_stack + 16430;
 memset(int_stack,0,18725*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 18725;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fpni(Libint, Data);
   Data++;
 }
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+18725,int_stack+660,int_stack+0,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+20705,int_stack+1440,int_stack+660,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+23045,int_stack+20705,int_stack+18725,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+27005,int_stack+2350,int_stack+1440,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+29735,int_stack+27005,int_stack+20705,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+34415,int_stack+29735,int_stack+23045,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+18725,int_stack+3400,int_stack+2350,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+41015,int_stack+18725,int_stack+27005,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+21875,int_stack+41015,int_stack+29735,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+46475,int_stack+21875,int_stack+34415,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+29675,int_stack+4600,int_stack+3400,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+33275,int_stack+29675,int_stack+18725,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+56375,int_stack+33275,int_stack+41015,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+65475,int_stack+56375,int_stack+21875,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+77175,int_stack+65475,int_stack+46475,10);
 /*--- compute (f0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+18725,int_stack+5960,int_stack+4600,10);
 /*--- compute (f0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+39575,int_stack+18725,int_stack+29675,10);
 /*--- compute (f0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+18725,int_stack+39575,int_stack+33275,10);
 /*--- compute (f0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+29225,int_stack+18725,int_stack+56375,10);
 /*--- compute (f0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+42875,int_stack+29225,int_stack+65475,10);
 /*--- compute (f0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+18725,int_stack+42875,int_stack+77175,10);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+37205,int_stack+8480,int_stack+7490,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+40175,int_stack+9650,int_stack+8480,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+43685,int_stack+40175,int_stack+37205,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+49625,int_stack+11015,int_stack+9650,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+53720,int_stack+49625,int_stack+40175,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+60740,int_stack+53720,int_stack+43685,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+37205,int_stack+12590,int_stack+11015,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+70640,int_stack+37205,int_stack+49625,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+41930,int_stack+70640,int_stack+53720,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+78830,int_stack+41930,int_stack+60740,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+53630,int_stack+14390,int_stack+12590,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+59030,int_stack+53630,int_stack+37205,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+59030,int_stack+70640,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+93680,int_stack+0,int_stack+41930,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+111230,int_stack+93680,int_stack+78830,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+37205,int_stack+16430,int_stack+14390,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+68480,int_stack+37205,int_stack+53630,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+37205,int_stack+68480,int_stack+59030,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+52955,int_stack+37205,int_stack+0,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+132020,int_stack+52955,int_stack+93680,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+37205,int_stack+132020,int_stack+111230,15);
 /*--- compute (fp|ni) ---*/
 hrr1_build_fp(Libint->AB,int_stack+64925,int_stack+37205,int_stack+18725,1848);
 return int_stack+64925;}
