#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_g0ll(Libint_t*, prim_data*);

  /* Computes quartets of (g0|ll) integrals */

REALTYPE *hrr_order_g0ll(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][8] = int_stack + 0;
 Libint->vrr_classes[4][9] = int_stack + 675;
 Libint->vrr_classes[4][10] = int_stack + 1500;
 Libint->vrr_classes[4][11] = int_stack + 2490;
 Libint->vrr_classes[4][12] = int_stack + 3660;
 Libint->vrr_classes[4][13] = int_stack + 5025;
 Libint->vrr_classes[4][14] = int_stack + 6600;
 Libint->vrr_classes[4][15] = int_stack + 8400;
 Libint->vrr_classes[4][16] = int_stack + 10440;
 memset(int_stack,0,12735*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 12735;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_g0ll(Libint, Data);
   Data++;
 }
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+12735,int_stack+675,int_stack+0,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+14760,int_stack+1500,int_stack+675,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+17235,int_stack+14760,int_stack+12735,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+21285,int_stack+2490,int_stack+1500,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+24255,int_stack+21285,int_stack+14760,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+29205,int_stack+24255,int_stack+17235,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+12735,int_stack+3660,int_stack+2490,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+35955,int_stack+12735,int_stack+21285,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+41895,int_stack+35955,int_stack+24255,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+16245,int_stack+41895,int_stack+29205,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+26370,int_stack+5025,int_stack+3660,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+50145,int_stack+26370,int_stack+12735,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+57165,int_stack+50145,int_stack+35955,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+67065,int_stack+57165,int_stack+41895,15);
 /*--- compute (g0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+30465,int_stack+67065,int_stack+16245,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+12735,int_stack+6600,int_stack+5025,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+17460,int_stack+12735,int_stack+26370,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+79440,int_stack+17460,int_stack+50145,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+91140,int_stack+79440,int_stack+57165,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+44640,int_stack+91140,int_stack+67065,15);
 /*--- compute (g0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+105990,int_stack+44640,int_stack+30465,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+25650,int_stack+8400,int_stack+6600,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+31050,int_stack+25650,int_stack+12735,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+61965,int_stack+31050,int_stack+17460,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+124890,int_stack+61965,int_stack+79440,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+142440,int_stack+124890,int_stack+91140,15);
 /*--- compute (g0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+75615,int_stack+142440,int_stack+44640,15);
 /*--- compute (g0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+163230,int_stack+75615,int_stack+105990,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+12735,int_stack+10440,int_stack+8400,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+40500,int_stack+12735,int_stack+25650,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+98715,int_stack+40500,int_stack+31050,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+98715,int_stack+61965,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+98715,int_stack+0,int_stack+124890,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+98715,int_stack+142440,15);
 /*--- compute (g0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+98715,int_stack+0,int_stack+75615,15);
 /*--- compute (g0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+0,int_stack+98715,int_stack+163230,15);
 return int_stack+0;}
