#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_g0nm(Libint_t*, prim_data*);

  /* Computes quartets of (g0|nm) integrals */

REALTYPE *hrr_order_g0nm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][10] = int_stack + 0;
 Libint->vrr_classes[4][11] = int_stack + 990;
 Libint->vrr_classes[4][12] = int_stack + 2160;
 Libint->vrr_classes[4][13] = int_stack + 3525;
 Libint->vrr_classes[4][14] = int_stack + 5100;
 Libint->vrr_classes[4][15] = int_stack + 6900;
 Libint->vrr_classes[4][16] = int_stack + 8940;
 Libint->vrr_classes[4][17] = int_stack + 11235;
 Libint->vrr_classes[4][18] = int_stack + 13800;
 Libint->vrr_classes[4][19] = int_stack + 16650;
 memset(int_stack,0,19800*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 19800;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_g0nm(Libint, Data);
   Data++;
 }
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+19800,int_stack+990,int_stack+0,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+22770,int_stack+2160,int_stack+990,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+26280,int_stack+22770,int_stack+19800,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+32220,int_stack+3525,int_stack+2160,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+36315,int_stack+32220,int_stack+22770,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+43335,int_stack+36315,int_stack+26280,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+19800,int_stack+5100,int_stack+3525,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+53235,int_stack+19800,int_stack+32220,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+24525,int_stack+53235,int_stack+36315,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+61425,int_stack+24525,int_stack+43335,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+36225,int_stack+6900,int_stack+5100,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+41625,int_stack+36225,int_stack+19800,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+76275,int_stack+41625,int_stack+53235,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+89925,int_stack+76275,int_stack+24525,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+107475,int_stack+89925,int_stack+61425,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+19800,int_stack+8940,int_stack+6900,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+51075,int_stack+19800,int_stack+36225,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+128265,int_stack+51075,int_stack+41625,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+25920,int_stack+128265,int_stack+76275,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+61875,int_stack+25920,int_stack+89925,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+144015,int_stack+61875,int_stack+107475,15);
 /*--- compute (g0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+86445,int_stack+11235,int_stack+8940,15);
 /*--- compute (g0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+93330,int_stack+86445,int_stack+19800,15);
 /*--- compute (g0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+105570,int_stack+93330,int_stack+51075,15);
 /*--- compute (g0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+171735,int_stack+105570,int_stack+128265,15);
 /*--- compute (g0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+195360,int_stack+171735,int_stack+25920,15);
 /*--- compute (g0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+19800,int_stack+195360,int_stack+61875,15);
 /*--- compute (g0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+224025,int_stack+19800,int_stack+144015,15);
 /*--- compute (g0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+52560,int_stack+13800,int_stack+11235,15);
 /*--- compute (g0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+60255,int_stack+52560,int_stack+86445,15);
 /*--- compute (g0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+123570,int_stack+60255,int_stack+93330,15);
 /*--- compute (g0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+74025,int_stack+123570,int_stack+105570,15);
 /*--- compute (g0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+259665,int_stack+74025,int_stack+171735,15);
 /*--- compute (g0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+143970,int_stack+259665,int_stack+195360,15);
 /*--- compute (g0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+292740,int_stack+143970,int_stack+19800,15);
 /*--- compute (g0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+334860,int_stack+292740,int_stack+224025,15);
 /*--- compute (g0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+19800,int_stack+16650,int_stack+13800,15);
 /*--- compute (g0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+28350,int_stack+19800,int_stack+52560,15);
 /*--- compute (g0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+182190,int_stack+28350,int_stack+60255,15);
 /*--- compute (g0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+205140,int_stack+182190,int_stack+123570,15);
 /*--- compute (g0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+101025,int_stack+205140,int_stack+74025,15);
 /*--- compute (g0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+182190,int_stack+101025,int_stack+259665,15);
 /*--- compute (g0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+226290,int_stack+182190,int_stack+143970,15);
 /*--- compute (g0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+0,int_stack+226290,int_stack+292740,15);
 /*--- compute (g0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+52650,int_stack+0,int_stack+334860,15);
 return int_stack+52650;}
