#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gdmg(Libint_t*, prim_data*);

  /* Computes quartets of (gd|mg) integrals */

REALTYPE *hrr_order_gdmg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][9] = int_stack + 0;
 Libint->vrr_classes[4][10] = int_stack + 825;
 Libint->vrr_classes[4][11] = int_stack + 1815;
 Libint->vrr_classes[4][12] = int_stack + 2985;
 Libint->vrr_classes[4][13] = int_stack + 4350;
 Libint->vrr_classes[5][9] = int_stack + 5925;
 Libint->vrr_classes[5][10] = int_stack + 7080;
 Libint->vrr_classes[5][11] = int_stack + 8466;
 Libint->vrr_classes[5][12] = int_stack + 10104;
 Libint->vrr_classes[5][13] = int_stack + 12015;
 Libint->vrr_classes[6][9] = int_stack + 14220;
 Libint->vrr_classes[6][10] = int_stack + 15760;
 Libint->vrr_classes[6][11] = int_stack + 17608;
 Libint->vrr_classes[6][12] = int_stack + 19792;
 Libint->vrr_classes[6][13] = int_stack + 22340;
 memset(int_stack,0,25280*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 25280;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gdmg(Libint, Data);
   Data++;
 }
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+25280,int_stack+825,int_stack+0,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+27755,int_stack+1815,int_stack+825,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+30725,int_stack+27755,int_stack+25280,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+35675,int_stack+2985,int_stack+1815,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+39185,int_stack+35675,int_stack+27755,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+45125,int_stack+39185,int_stack+30725,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+25280,int_stack+4350,int_stack+2985,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+53375,int_stack+25280,int_stack+35675,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+25280,int_stack+53375,int_stack+39185,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+53375,int_stack+25280,int_stack+45125,15);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+25280,int_stack+7080,int_stack+5925,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+28745,int_stack+8466,int_stack+7080,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+32903,int_stack+28745,int_stack+25280,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+39833,int_stack+10104,int_stack+8466,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+44747,int_stack+39833,int_stack+28745,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+65750,int_stack+44747,int_stack+32903,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+25280,int_stack+12015,int_stack+10104,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+25280,int_stack+39833,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+25280,int_stack+0,int_stack+44747,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+77300,int_stack+25280,int_stack+65750,21);
 /*--- compute (gp|mg) ---*/
 hrr1_build_gp(Libint->AB,int_stack+94625,int_stack+77300,int_stack+53375,825);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+25280,int_stack+15760,int_stack+14220,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+29900,int_stack+17608,int_stack+15760,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+35444,int_stack+29900,int_stack+25280,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+44684,int_stack+19792,int_stack+17608,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+51236,int_stack+44684,int_stack+29900,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+51236,int_stack+35444,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+25280,int_stack+22340,int_stack+19792,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+62324,int_stack+25280,int_stack+44684,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+15400,int_stack+62324,int_stack+51236,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+33880,int_stack+15400,int_stack+0,28);
 /*--- compute (hp|mg) ---*/
 hrr1_build_hp(Libint->AB,int_stack+131750,int_stack+33880,int_stack+77300,825);
 /*--- compute (gd|mg) ---*/
 hrr1_build_gd(Libint->AB,int_stack+0,int_stack+131750,int_stack+94625,825);
 return int_stack+0;}
