#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gfkh(Libint_t*, prim_data*);

  /* Computes quartets of (gf|kh) integrals */

REALTYPE *hrr_order_gfkh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][7] = int_stack + 0;
 Libint->vrr_classes[4][8] = int_stack + 540;
 Libint->vrr_classes[4][9] = int_stack + 1215;
 Libint->vrr_classes[4][10] = int_stack + 2040;
 Libint->vrr_classes[4][11] = int_stack + 3030;
 Libint->vrr_classes[4][12] = int_stack + 4200;
 Libint->vrr_classes[5][7] = int_stack + 5565;
 Libint->vrr_classes[5][8] = int_stack + 6321;
 Libint->vrr_classes[5][9] = int_stack + 7266;
 Libint->vrr_classes[5][10] = int_stack + 8421;
 Libint->vrr_classes[5][11] = int_stack + 9807;
 Libint->vrr_classes[5][12] = int_stack + 11445;
 Libint->vrr_classes[6][7] = int_stack + 13356;
 Libint->vrr_classes[6][8] = int_stack + 14364;
 Libint->vrr_classes[6][9] = int_stack + 15624;
 Libint->vrr_classes[6][10] = int_stack + 17164;
 Libint->vrr_classes[6][11] = int_stack + 19012;
 Libint->vrr_classes[6][12] = int_stack + 21196;
 Libint->vrr_classes[7][7] = int_stack + 23744;
 Libint->vrr_classes[7][8] = int_stack + 25040;
 Libint->vrr_classes[7][9] = int_stack + 26660;
 Libint->vrr_classes[7][10] = int_stack + 28640;
 Libint->vrr_classes[7][11] = int_stack + 31016;
 Libint->vrr_classes[7][12] = int_stack + 33824;
 memset(int_stack,0,37100*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 37100;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gfkh(Libint, Data);
   Data++;
 }
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+37100,int_stack+540,int_stack+0,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+38720,int_stack+1215,int_stack+540,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+40745,int_stack+38720,int_stack+37100,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+43985,int_stack+2040,int_stack+1215,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+46460,int_stack+43985,int_stack+38720,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+50510,int_stack+46460,int_stack+40745,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+37100,int_stack+3030,int_stack+2040,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+55910,int_stack+37100,int_stack+43985,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+60860,int_stack+55910,int_stack+46460,15);
 /*--- compute (g0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+40070,int_stack+60860,int_stack+50510,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+48170,int_stack+4200,int_stack+3030,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+67610,int_stack+48170,int_stack+37100,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+73550,int_stack+67610,int_stack+55910,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+48170,int_stack+73550,int_stack+60860,15);
 /*--- compute (g0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+58295,int_stack+48170,int_stack+40070,15);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+37100,int_stack+6321,int_stack+5565,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+39368,int_stack+7266,int_stack+6321,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+42203,int_stack+39368,int_stack+37100,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+46739,int_stack+8421,int_stack+7266,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+50204,int_stack+46739,int_stack+39368,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+69635,int_stack+50204,int_stack+42203,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+37100,int_stack+9807,int_stack+8421,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+37100,int_stack+46739,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+77195,int_stack+0,int_stack+50204,21);
 /*--- compute (h0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+41258,int_stack+77195,int_stack+69635,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+69635,int_stack+11445,int_stack+9807,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+86645,int_stack+69635,int_stack+37100,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+94961,int_stack+86645,int_stack+0,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+106511,int_stack+94961,int_stack+77195,21);
 /*--- compute (h0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+69635,int_stack+106511,int_stack+41258,21);
 /*--- compute (gp|kh) ---*/
 hrr1_build_gp(Libint->AB,int_stack+85511,int_stack+69635,int_stack+58295,756);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+14364,int_stack+13356,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3024,int_stack+15624,int_stack+14364,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+6804,int_stack+3024,int_stack+0,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+37100,int_stack+17164,int_stack+15624,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+41720,int_stack+37100,int_stack+3024,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+49280,int_stack+41720,int_stack+6804,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+19012,int_stack+17164,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+5544,int_stack+0,int_stack+37100,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+119531,int_stack+5544,int_stack+41720,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+132131,int_stack+119531,int_stack+49280,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+37100,int_stack+21196,int_stack+19012,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+43652,int_stack+37100,int_stack+0,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+147251,int_stack+43652,int_stack+5544,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+147251,int_stack+119531,28);
 /*--- compute (i0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+37100,int_stack+0,int_stack+132131,28);
 /*--- compute (hp|kh) ---*/
 hrr1_build_hp(Libint->AB,int_stack+119531,int_stack+37100,int_stack+69635,756);
 /*--- compute (gd|kh) ---*/
 hrr1_build_gd(Libint->AB,int_stack+167159,int_stack+119531,int_stack+85511,756);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+25040,int_stack+23744,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3888,int_stack+26660,int_stack+25040,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+8748,int_stack+3888,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+16524,int_stack+28640,int_stack+26660,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+58268,int_stack+16524,int_stack+3888,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+67988,int_stack+58268,int_stack+8748,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+31016,int_stack+28640,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+80948,int_stack+0,int_stack+16524,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+7128,int_stack+80948,int_stack+58268,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+92828,int_stack+7128,int_stack+67988,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+58268,int_stack+33824,int_stack+31016,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+66692,int_stack+58268,int_stack+0,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+235199,int_stack+66692,int_stack+80948,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+58268,int_stack+235199,int_stack+7128,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+58268,int_stack+92828,36);
 /*--- compute (ip|kh) ---*/
 hrr1_build_ip(Libint->AB,int_stack+235199,int_stack+0,int_stack+37100,756);
 /*--- compute (hd|kh) ---*/
 hrr1_build_hd(Libint->AB,int_stack+0,int_stack+235199,int_stack+119531,756);
 /*--- compute (gf|kh) ---*/
 hrr1_build_gf(Libint->AB,int_stack+235199,int_stack+0,int_stack+167159,756);
 return int_stack+235199;}
