#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ggnf(Libint_t*, prim_data*);

  /* Computes quartets of (gg|nf) integrals */

REALTYPE *hrr_order_ggnf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][10] = int_stack + 0;
 Libint->vrr_classes[4][11] = int_stack + 990;
 Libint->vrr_classes[4][12] = int_stack + 2160;
 Libint->vrr_classes[4][13] = int_stack + 3525;
 Libint->vrr_classes[5][10] = int_stack + 5100;
 Libint->vrr_classes[5][11] = int_stack + 6486;
 Libint->vrr_classes[5][12] = int_stack + 8124;
 Libint->vrr_classes[5][13] = int_stack + 10035;
 Libint->vrr_classes[6][10] = int_stack + 12240;
 Libint->vrr_classes[6][11] = int_stack + 14088;
 Libint->vrr_classes[6][12] = int_stack + 16272;
 Libint->vrr_classes[6][13] = int_stack + 18820;
 Libint->vrr_classes[7][10] = int_stack + 21760;
 Libint->vrr_classes[7][11] = int_stack + 24136;
 Libint->vrr_classes[7][12] = int_stack + 26944;
 Libint->vrr_classes[7][13] = int_stack + 30220;
 Libint->vrr_classes[8][10] = int_stack + 34000;
 Libint->vrr_classes[8][11] = int_stack + 36970;
 Libint->vrr_classes[8][12] = int_stack + 40480;
 Libint->vrr_classes[8][13] = int_stack + 44575;
 memset(int_stack,0,49300*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 49300;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ggnf(Libint, Data);
   Data++;
 }
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+49300,int_stack+990,int_stack+0,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+52270,int_stack+2160,int_stack+990,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+55780,int_stack+52270,int_stack+49300,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+61720,int_stack+3525,int_stack+2160,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+65815,int_stack+61720,int_stack+52270,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+72835,int_stack+65815,int_stack+55780,15);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+49300,int_stack+6486,int_stack+5100,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+53458,int_stack+8124,int_stack+6486,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+58372,int_stack+53458,int_stack+49300,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+66688,int_stack+10035,int_stack+8124,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+66688,int_stack+53458,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+82735,int_stack+0,int_stack+58372,21);
 /*--- compute (gp|nf) ---*/
 hrr1_build_gp(Libint->AB,int_stack+96595,int_stack+82735,int_stack+72835,660);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+14088,int_stack+12240,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+5544,int_stack+16272,int_stack+14088,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+49300,int_stack+5544,int_stack+0,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+60388,int_stack+18820,int_stack+16272,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+68032,int_stack+60388,int_stack+5544,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+68032,int_stack+49300,28);
 /*--- compute (hp|nf) ---*/
 hrr1_build_hp(Libint->AB,int_stack+126295,int_stack+0,int_stack+82735,660);
 /*--- compute (gd|nf) ---*/
 hrr1_build_gd(Libint->AB,int_stack+167875,int_stack+126295,int_stack+96595,660);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+49300,int_stack+24136,int_stack+21760,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+56428,int_stack+26944,int_stack+24136,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+64852,int_stack+56428,int_stack+49300,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+79108,int_stack+30220,int_stack+26944,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+88936,int_stack+79108,int_stack+56428,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+227275,int_stack+88936,int_stack+64852,36);
 /*--- compute (ip|nf) ---*/
 hrr1_build_ip(Libint->AB,int_stack+49300,int_stack+227275,int_stack+0,660);
 /*--- compute (hd|nf) ---*/
 hrr1_build_hd(Libint->AB,int_stack+251035,int_stack+49300,int_stack+126295,660);
 /*--- compute (gf|nf) ---*/
 hrr1_build_gf(Libint->AB,int_stack+334195,int_stack+251035,int_stack+167875,660);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+36970,int_stack+34000,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+8910,int_stack+40480,int_stack+36970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+19440,int_stack+8910,int_stack+0,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+104740,int_stack+44575,int_stack+40480,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+117025,int_stack+104740,int_stack+8910,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+138085,int_stack+117025,int_stack+19440,45);
 /*--- compute (kp|nf) ---*/
 hrr1_build_kp(Libint->AB,int_stack+433195,int_stack+138085,int_stack+227275,660);
 /*--- compute (id|nf) ---*/
 hrr1_build_id(Libint->AB,int_stack+104740,int_stack+433195,int_stack+49300,660);
 /*--- compute (hf|nf) ---*/
 hrr1_build_hf(Libint->AB,int_stack+433195,int_stack+104740,int_stack+251035,660);
 /*--- compute (gg|nf) ---*/
 hrr1_build_gg(Libint->AB,int_stack+0,int_stack+433195,int_stack+334195,660);
 return int_stack+0;}
