#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_i0ll(Libint_t*, prim_data*);

  /* Computes quartets of (i0|ll) integrals */

REALTYPE *hrr_order_i0ll(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][8] = int_stack + 0;
 Libint->vrr_classes[6][9] = int_stack + 1260;
 Libint->vrr_classes[6][10] = int_stack + 2800;
 Libint->vrr_classes[6][11] = int_stack + 4648;
 Libint->vrr_classes[6][12] = int_stack + 6832;
 Libint->vrr_classes[6][13] = int_stack + 9380;
 Libint->vrr_classes[6][14] = int_stack + 12320;
 Libint->vrr_classes[6][15] = int_stack + 15680;
 Libint->vrr_classes[6][16] = int_stack + 19488;
 memset(int_stack,0,23772*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 23772;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_i0ll(Libint, Data);
   Data++;
 }
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+23772,int_stack+1260,int_stack+0,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+27552,int_stack+2800,int_stack+1260,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+32172,int_stack+27552,int_stack+23772,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+39732,int_stack+4648,int_stack+2800,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+45276,int_stack+39732,int_stack+27552,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+54516,int_stack+45276,int_stack+32172,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+23772,int_stack+6832,int_stack+4648,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+67116,int_stack+23772,int_stack+39732,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+78204,int_stack+67116,int_stack+45276,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+30324,int_stack+78204,int_stack+54516,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+49224,int_stack+9380,int_stack+6832,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+93604,int_stack+49224,int_stack+23772,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+106708,int_stack+93604,int_stack+67116,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+125188,int_stack+106708,int_stack+78204,28);
 /*--- compute (i0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+56868,int_stack+125188,int_stack+30324,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+23772,int_stack+12320,int_stack+9380,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+32592,int_stack+23772,int_stack+49224,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+148288,int_stack+32592,int_stack+93604,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+170128,int_stack+148288,int_stack+106708,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+83328,int_stack+170128,int_stack+125188,28);
 /*--- compute (i0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+197848,int_stack+83328,int_stack+56868,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+47880,int_stack+15680,int_stack+12320,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+57960,int_stack+47880,int_stack+23772,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+115668,int_stack+57960,int_stack+32592,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+233128,int_stack+115668,int_stack+148288,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+265888,int_stack+233128,int_stack+170128,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+141148,int_stack+265888,int_stack+83328,28);
 /*--- compute (i0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+304696,int_stack+141148,int_stack+197848,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+23772,int_stack+19488,int_stack+15680,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+75600,int_stack+23772,int_stack+47880,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+184268,int_stack+75600,int_stack+57960,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+184268,int_stack+115668,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+184268,int_stack+0,int_stack+233128,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+184268,int_stack+265888,28);
 /*--- compute (i0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+184268,int_stack+0,int_stack+141148,28);
 /*--- compute (i0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+0,int_stack+184268,int_stack+304696,28);
 return int_stack+0;}
