#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_k0ll(Libint_t*, prim_data*);

  /* Computes quartets of (k0|ll) integrals */

REALTYPE *hrr_order_k0ll(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][8] = int_stack + 0;
 Libint->vrr_classes[7][9] = int_stack + 1620;
 Libint->vrr_classes[7][10] = int_stack + 3600;
 Libint->vrr_classes[7][11] = int_stack + 5976;
 Libint->vrr_classes[7][12] = int_stack + 8784;
 Libint->vrr_classes[7][13] = int_stack + 12060;
 Libint->vrr_classes[7][14] = int_stack + 15840;
 Libint->vrr_classes[7][15] = int_stack + 20160;
 Libint->vrr_classes[7][16] = int_stack + 25056;
 memset(int_stack,0,30564*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 30564;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_k0ll(Libint, Data);
   Data++;
 }
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+30564,int_stack+1620,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+35424,int_stack+3600,int_stack+1620,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+41364,int_stack+35424,int_stack+30564,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+51084,int_stack+5976,int_stack+3600,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+58212,int_stack+51084,int_stack+35424,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+70092,int_stack+58212,int_stack+41364,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+30564,int_stack+8784,int_stack+5976,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+86292,int_stack+30564,int_stack+51084,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+100548,int_stack+86292,int_stack+58212,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+38988,int_stack+100548,int_stack+70092,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+63288,int_stack+12060,int_stack+8784,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+120348,int_stack+63288,int_stack+30564,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+137196,int_stack+120348,int_stack+86292,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+160956,int_stack+137196,int_stack+100548,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+73116,int_stack+160956,int_stack+38988,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+30564,int_stack+15840,int_stack+12060,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+41904,int_stack+30564,int_stack+63288,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+190656,int_stack+41904,int_stack+120348,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+218736,int_stack+190656,int_stack+137196,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+107136,int_stack+218736,int_stack+160956,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+254376,int_stack+107136,int_stack+73116,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+61560,int_stack+20160,int_stack+15840,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+74520,int_stack+61560,int_stack+30564,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+148716,int_stack+74520,int_stack+41904,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+299736,int_stack+148716,int_stack+190656,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+341856,int_stack+299736,int_stack+218736,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+181476,int_stack+341856,int_stack+107136,36);
 /*--- compute (k0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+391752,int_stack+181476,int_stack+254376,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+30564,int_stack+25056,int_stack+20160,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+97200,int_stack+30564,int_stack+61560,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+236916,int_stack+97200,int_stack+74520,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+236916,int_stack+148716,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+236916,int_stack+0,int_stack+299736,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+236916,int_stack+341856,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+236916,int_stack+0,int_stack+181476,36);
 /*--- compute (k0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+0,int_stack+236916,int_stack+391752,36);
 return int_stack+0;}
