#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kinm(Libint_t*, prim_data*);

  /* Computes quartets of (ki|nm) integrals */

REALTYPE *hrr_order_kinm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 Libint->vrr_classes[7][12] = int_stack + 5184;
 Libint->vrr_classes[7][13] = int_stack + 8460;
 Libint->vrr_classes[7][14] = int_stack + 12240;
 Libint->vrr_classes[7][15] = int_stack + 16560;
 Libint->vrr_classes[7][16] = int_stack + 21456;
 Libint->vrr_classes[7][17] = int_stack + 26964;
 Libint->vrr_classes[7][18] = int_stack + 33120;
 Libint->vrr_classes[7][19] = int_stack + 39960;
 Libint->vrr_classes[8][10] = int_stack + 47520;
 Libint->vrr_classes[8][11] = int_stack + 50490;
 Libint->vrr_classes[8][12] = int_stack + 54000;
 Libint->vrr_classes[8][13] = int_stack + 58095;
 Libint->vrr_classes[8][14] = int_stack + 62820;
 Libint->vrr_classes[8][15] = int_stack + 68220;
 Libint->vrr_classes[8][16] = int_stack + 74340;
 Libint->vrr_classes[8][17] = int_stack + 81225;
 Libint->vrr_classes[8][18] = int_stack + 88920;
 Libint->vrr_classes[8][19] = int_stack + 97470;
 Libint->vrr_classes[9][10] = int_stack + 106920;
 Libint->vrr_classes[9][11] = int_stack + 110550;
 Libint->vrr_classes[9][12] = int_stack + 114840;
 Libint->vrr_classes[9][13] = int_stack + 119845;
 Libint->vrr_classes[9][14] = int_stack + 125620;
 Libint->vrr_classes[9][15] = int_stack + 132220;
 Libint->vrr_classes[9][16] = int_stack + 139700;
 Libint->vrr_classes[9][17] = int_stack + 148115;
 Libint->vrr_classes[9][18] = int_stack + 157520;
 Libint->vrr_classes[9][19] = int_stack + 167970;
 Libint->vrr_classes[10][10] = int_stack + 179520;
 Libint->vrr_classes[10][11] = int_stack + 183876;
 Libint->vrr_classes[10][12] = int_stack + 189024;
 Libint->vrr_classes[10][13] = int_stack + 195030;
 Libint->vrr_classes[10][14] = int_stack + 201960;
 Libint->vrr_classes[10][15] = int_stack + 209880;
 Libint->vrr_classes[10][16] = int_stack + 218856;
 Libint->vrr_classes[10][17] = int_stack + 228954;
 Libint->vrr_classes[10][18] = int_stack + 240240;
 Libint->vrr_classes[10][19] = int_stack + 252780;
 Libint->vrr_classes[11][10] = int_stack + 266640;
 Libint->vrr_classes[11][11] = int_stack + 271788;
 Libint->vrr_classes[11][12] = int_stack + 277872;
 Libint->vrr_classes[11][13] = int_stack + 284970;
 Libint->vrr_classes[11][14] = int_stack + 293160;
 Libint->vrr_classes[11][15] = int_stack + 302520;
 Libint->vrr_classes[11][16] = int_stack + 313128;
 Libint->vrr_classes[11][17] = int_stack + 325062;
 Libint->vrr_classes[11][18] = int_stack + 338400;
 Libint->vrr_classes[11][19] = int_stack + 353220;
 Libint->vrr_classes[12][10] = int_stack + 369600;
 Libint->vrr_classes[12][11] = int_stack + 375606;
 Libint->vrr_classes[12][12] = int_stack + 382704;
 Libint->vrr_classes[12][13] = int_stack + 390985;
 Libint->vrr_classes[12][14] = int_stack + 400540;
 Libint->vrr_classes[12][15] = int_stack + 411460;
 Libint->vrr_classes[12][16] = int_stack + 423836;
 Libint->vrr_classes[12][17] = int_stack + 437759;
 Libint->vrr_classes[12][18] = int_stack + 453320;
 Libint->vrr_classes[12][19] = int_stack + 470610;
 Libint->vrr_classes[13][10] = int_stack + 489720;
 Libint->vrr_classes[13][11] = int_stack + 496650;
 Libint->vrr_classes[13][12] = int_stack + 504840;
 Libint->vrr_classes[13][13] = int_stack + 514395;
 Libint->vrr_classes[13][14] = int_stack + 525420;
 Libint->vrr_classes[13][15] = int_stack + 538020;
 Libint->vrr_classes[13][16] = int_stack + 552300;
 Libint->vrr_classes[13][17] = int_stack + 568365;
 Libint->vrr_classes[13][18] = int_stack + 586320;
 Libint->vrr_classes[13][19] = int_stack + 606270;
 memset(int_stack,0,628320*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 628320;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kinm(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+628320,int_stack+2376,int_stack+0,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+635448,int_stack+5184,int_stack+2376,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+643872,int_stack+635448,int_stack+628320,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+658128,int_stack+8460,int_stack+5184,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+667956,int_stack+658128,int_stack+635448,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+684804,int_stack+667956,int_stack+643872,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+628320,int_stack+12240,int_stack+8460,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+708564,int_stack+628320,int_stack+658128,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+639660,int_stack+708564,int_stack+667956,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+728220,int_stack+639660,int_stack+684804,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+667740,int_stack+16560,int_stack+12240,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+680700,int_stack+667740,int_stack+628320,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+763860,int_stack+680700,int_stack+708564,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+796620,int_stack+763860,int_stack+639660,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+838740,int_stack+796620,int_stack+728220,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+628320,int_stack+21456,int_stack+16560,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+703380,int_stack+628320,int_stack+667740,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+888636,int_stack+703380,int_stack+680700,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+643008,int_stack+888636,int_stack+763860,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+729300,int_stack+643008,int_stack+796620,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+926436,int_stack+729300,int_stack+838740,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+788268,int_stack+26964,int_stack+21456,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+804792,int_stack+788268,int_stack+628320,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+834168,int_stack+804792,int_stack+703380,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+992964,int_stack+834168,int_stack+888636,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1049664,int_stack+992964,int_stack+643008,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+628320,int_stack+1049664,int_stack+729300,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1118460,int_stack+628320,int_stack+926436,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+706944,int_stack+33120,int_stack+26964,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+725412,int_stack+706944,int_stack+788268,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+877368,int_stack+725412,int_stack+804792,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+758460,int_stack+877368,int_stack+834168,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1203996,int_stack+758460,int_stack+992964,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+926328,int_stack+1203996,int_stack+1049664,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1283376,int_stack+926328,int_stack+628320,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1384464,int_stack+1283376,int_stack+1118460,36);
 /*--- compute (k0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+628320,int_stack+39960,int_stack+33120,36);
 /*--- compute (k0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+648840,int_stack+628320,int_stack+706944,36);
 /*--- compute (k0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1018056,int_stack+648840,int_stack+725412,36);
 /*--- compute (k0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+628320,int_stack+1018056,int_stack+877368,36);
 /*--- compute (k0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1018056,int_stack+628320,int_stack+758460,36);
 /*--- compute (k0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+628320,int_stack+1018056,int_stack+1203996,36);
 /*--- compute (k0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1018056,int_stack+628320,int_stack+926328,36);
 /*--- compute (k0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+628320,int_stack+1018056,int_stack+1283376,36);
 /*--- compute (k0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+754680,int_stack+628320,int_stack+1384464,36);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+628320,int_stack+50490,int_stack+47520,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+637230,int_stack+54000,int_stack+50490,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+647760,int_stack+637230,int_stack+628320,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+665580,int_stack+58095,int_stack+54000,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+677865,int_stack+665580,int_stack+637230,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+698925,int_stack+677865,int_stack+647760,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+628320,int_stack+62820,int_stack+58095,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+728625,int_stack+628320,int_stack+665580,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+642495,int_stack+728625,int_stack+677865,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+885360,int_stack+642495,int_stack+698925,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+677595,int_stack+68220,int_stack+62820,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+693795,int_stack+677595,int_stack+628320,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+929910,int_stack+693795,int_stack+728625,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+970860,int_stack+929910,int_stack+642495,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1023510,int_stack+970860,int_stack+885360,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+885360,int_stack+74340,int_stack+68220,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+628320,int_stack+885360,int_stack+677595,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1085880,int_stack+628320,int_stack+693795,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+660720,int_stack+1085880,int_stack+929910,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1133130,int_stack+660720,int_stack+970860,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+903720,int_stack+1133130,int_stack+1023510,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+986880,int_stack+81225,int_stack+74340,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1007535,int_stack+986880,int_stack+885360,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1206840,int_stack+1007535,int_stack+628320,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1260840,int_stack+1206840,int_stack+1085880,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1044255,int_stack+1260840,int_stack+660720,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+628320,int_stack+1044255,int_stack+1133130,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1331715,int_stack+628320,int_stack+903720,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+726600,int_stack+88920,int_stack+81225,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+885360,int_stack+726600,int_stack+986880,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+926670,int_stack+885360,int_stack+1007535,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+926670,int_stack+1206840,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1130250,int_stack+0,int_stack+1260840,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1438635,int_stack+1130250,int_stack+1044255,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+987870,int_stack+1438635,int_stack+628320,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1553295,int_stack+987870,int_stack+1331715,45);
 /*--- compute (l0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+628320,int_stack+97470,int_stack+88920,45);
 /*--- compute (l0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+653970,int_stack+628320,int_stack+726600,45);
 /*--- compute (l0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1229475,int_stack+653970,int_stack+885360,45);
 /*--- compute (l0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+628320,int_stack+1229475,int_stack+926670,45);
 /*--- compute (l0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1229475,int_stack+628320,int_stack+0,45);
 /*--- compute (l0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1686945,int_stack+1229475,int_stack+1130250,45);
 /*--- compute (l0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1114230,int_stack+1686945,int_stack+1438635,45);
 /*--- compute (l0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1261650,int_stack+1114230,int_stack+987870,45);
 /*--- compute (l0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+885360,int_stack+1261650,int_stack+1553295,45);
 /*--- compute (kp|nm) ---*/
 hrr1_build_kp(Libint->AB,int_stack+1048710,int_stack+885360,int_stack+754680,3630);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+110550,int_stack+106920,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+10890,int_stack+114840,int_stack+110550,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+23760,int_stack+10890,int_stack+0,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+45540,int_stack+119845,int_stack+114840,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+60555,int_stack+45540,int_stack+10890,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+628320,int_stack+60555,int_stack+23760,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+125620,int_stack+119845,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+86295,int_stack+0,int_stack+45540,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+17325,int_stack+86295,int_stack+60555,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+664620,int_stack+17325,int_stack+628320,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+628320,int_stack+132220,int_stack+125620,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+719070,int_stack+628320,int_stack+0,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+753720,int_stack+719070,int_stack+86295,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+60225,int_stack+753720,int_stack+17325,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+803770,int_stack+60225,int_stack+664620,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+139700,int_stack+132220,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+648120,int_stack+0,int_stack+628320,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1440750,int_stack+648120,int_stack+719070,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1498500,int_stack+1440750,int_stack+753720,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+687720,int_stack+1498500,int_stack+60225,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+22440,int_stack+687720,int_stack+803770,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+777810,int_stack+148115,int_stack+139700,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+803055,int_stack+777810,int_stack+0,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1573575,int_stack+803055,int_stack+648120,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1639575,int_stack+1573575,int_stack+1440750,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1726200,int_stack+1639575,int_stack+1498500,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1440750,int_stack+1726200,int_stack+687720,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+628320,int_stack+1440750,int_stack+22440,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+157520,int_stack+148115,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+28215,int_stack+0,int_stack+777810,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+78705,int_stack+28215,int_stack+803055,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+759000,int_stack+78705,int_stack+1573575,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1831305,int_stack+759000,int_stack+1639575,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1560870,int_stack+1831305,int_stack+1726200,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1952580,int_stack+1560870,int_stack+1440750,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2107020,int_stack+1952580,int_stack+628320,55);
 /*--- compute (m0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+628320,int_stack+167970,int_stack+157520,55);
 /*--- compute (m0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+659670,int_stack+628320,int_stack+0,55);
 /*--- compute (m0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1440750,int_stack+659670,int_stack+28215,55);
 /*--- compute (m0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+628320,int_stack+1440750,int_stack+78705,55);
 /*--- compute (m0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+0,int_stack+628320,int_stack+759000,55);
 /*--- compute (m0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+628320,int_stack+0,int_stack+1831305,55);
 /*--- compute (m0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1701010,int_stack+628320,int_stack+1560870,55);
 /*--- compute (m0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+628320,int_stack+1701010,int_stack+1952580,55);
 /*--- compute (m0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1440750,int_stack+628320,int_stack+2107020,55);
 /*--- compute (lp|nm) ---*/
 hrr1_build_lp(Libint->AB,int_stack+1640400,int_stack+1440750,int_stack+885360,3630);
 /*--- compute (kd|nm) ---*/
 hrr1_build_kd(Libint->AB,int_stack+2130450,int_stack+1640400,int_stack+1048710,3630);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+628320,int_stack+183876,int_stack+179520,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+641388,int_stack+189024,int_stack+183876,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+656832,int_stack+641388,int_stack+628320,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+682968,int_stack+195030,int_stack+189024,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+700986,int_stack+682968,int_stack+641388,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+731874,int_stack+700986,int_stack+656832,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+628320,int_stack+201960,int_stack+195030,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+775434,int_stack+628320,int_stack+682968,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+649110,int_stack+775434,int_stack+700986,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+811470,int_stack+649110,int_stack+731874,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+700590,int_stack+209880,int_stack+201960,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+724350,int_stack+700590,int_stack+628320,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+876810,int_stack+724350,int_stack+775434,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+936870,int_stack+876810,int_stack+649110,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1014090,int_stack+936870,int_stack+811470,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+628320,int_stack+218856,int_stack+209880,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+765930,int_stack+628320,int_stack+700590,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1105566,int_stack+765930,int_stack+724350,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+655248,int_stack+1105566,int_stack+876810,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+813450,int_stack+655248,int_stack+936870,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1174866,int_stack+813450,int_stack+1014090,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+921558,int_stack+228954,int_stack+218856,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+951852,int_stack+921558,int_stack+628320,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1005708,int_stack+951852,int_stack+765930,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1296834,int_stack+1005708,int_stack+1105566,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+1296834,int_stack+655248,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+628320,int_stack+0,int_stack+813450,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2914530,int_stack+628320,int_stack+1174866,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+772464,int_stack+240240,int_stack+228954,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+806322,int_stack+772464,int_stack+921558,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1084908,int_stack+806322,int_stack+951852,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+866910,int_stack+1084908,int_stack+1005708,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+3071346,int_stack+866910,int_stack+1296834,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1174668,int_stack+3071346,int_stack+0,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+1174668,int_stack+628320,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+3216876,int_stack+0,int_stack+2914530,66);
 /*--- compute (n0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+2914530,int_stack+252780,int_stack+240240,66);
 /*--- compute (n0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+2952150,int_stack+2914530,int_stack+772464,66);
 /*--- compute (n0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+628320,int_stack+2952150,int_stack+806322,66);
 /*--- compute (n0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+2914530,int_stack+628320,int_stack+1084908,66);
 /*--- compute (n0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+628320,int_stack+2914530,int_stack+866910,66);
 /*--- compute (n0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+794640,int_stack+628320,int_stack+3071346,66);
 /*--- compute (n0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+2914530,int_stack+794640,int_stack+1174668,66);
 /*--- compute (n0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+628320,int_stack+2914530,int_stack+0,66);
 /*--- compute (n0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+0,int_stack+628320,int_stack+3216876,66);
 /*--- compute (mp|nm) ---*/
 hrr1_build_mp(Libint->AB,int_stack+628320,int_stack+0,int_stack+1440750,3630);
 /*--- compute (ld|nm) ---*/
 hrr1_build_ld(Libint->AB,int_stack+2914530,int_stack+628320,int_stack+1640400,3630);
 /*--- compute (kf|nm) ---*/
 hrr1_build_kf(Libint->AB,int_stack+3894630,int_stack+2914530,int_stack+2130450,3630);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1227270,int_stack+271788,int_stack+266640,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1242714,int_stack+277872,int_stack+271788,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1260966,int_stack+1242714,int_stack+1227270,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1291854,int_stack+284970,int_stack+277872,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1313148,int_stack+1291854,int_stack+1242714,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1349652,int_stack+1313148,int_stack+1260966,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1227270,int_stack+293160,int_stack+284970,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1401132,int_stack+1227270,int_stack+1291854,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1251840,int_stack+1401132,int_stack+1313148,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1443720,int_stack+1251840,int_stack+1349652,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1312680,int_stack+302520,int_stack+293160,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1340760,int_stack+1312680,int_stack+1227270,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1520940,int_stack+1340760,int_stack+1401132,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1591920,int_stack+1520940,int_stack+1251840,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1683180,int_stack+1591920,int_stack+1443720,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1227270,int_stack+313128,int_stack+302520,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1389900,int_stack+1227270,int_stack+1312680,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1791288,int_stack+1389900,int_stack+1340760,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1259094,int_stack+1791288,int_stack+1520940,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1446060,int_stack+1259094,int_stack+1591920,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1873188,int_stack+1446060,int_stack+1683180,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1573824,int_stack+325062,int_stack+313128,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1609626,int_stack+1573824,int_stack+1227270,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1673274,int_stack+1609626,int_stack+1389900,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2017332,int_stack+1673274,int_stack+1791288,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2140182,int_stack+2017332,int_stack+1259094,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1227270,int_stack+2140182,int_stack+1446060,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2289240,int_stack+1227270,int_stack+1873188,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1397622,int_stack+338400,int_stack+325062,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1437636,int_stack+1397622,int_stack+1573824,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1766874,int_stack+1437636,int_stack+1609626,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1509240,int_stack+1766874,int_stack+1673274,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2474568,int_stack+1509240,int_stack+2017332,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1872954,int_stack+2474568,int_stack+2140182,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2646558,int_stack+1872954,int_stack+1227270,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+5201430,int_stack+2646558,int_stack+2289240,78);
 /*--- compute (o0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+1227270,int_stack+353220,int_stack+338400,78);
 /*--- compute (o0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+1271730,int_stack+1227270,int_stack+1397622,78);
 /*--- compute (o0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+2071698,int_stack+1271730,int_stack+1437636,78);
 /*--- compute (o0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1227270,int_stack+2071698,int_stack+1766874,78);
 /*--- compute (o0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+2071698,int_stack+1227270,int_stack+1509240,78);
 /*--- compute (o0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1227270,int_stack+2071698,int_stack+2474568,78);
 /*--- compute (o0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+2071698,int_stack+1227270,int_stack+1872954,78);
 /*--- compute (o0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1227270,int_stack+2071698,int_stack+2646558,78);
 /*--- compute (o0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1501050,int_stack+1227270,int_stack+5201430,78);
 /*--- compute (np|nm) ---*/
 hrr1_build_np(Libint->AB,int_stack+1784190,int_stack+1501050,int_stack+0,3630);
 /*--- compute (md|nm) ---*/
 hrr1_build_md(Libint->AB,int_stack+5201430,int_stack+1784190,int_stack+628320,3630);
 /*--- compute (lf|nm) ---*/
 hrr1_build_lf(Libint->AB,int_stack+6399330,int_stack+5201430,int_stack+2914530,3630);
 /*--- compute (kg|nm) ---*/
 hrr1_build_kg(Libint->AB,int_stack+8032830,int_stack+6399330,int_stack+3894630,3630);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+628320,int_stack+375606,int_stack+369600,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+646338,int_stack+382704,int_stack+375606,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+667632,int_stack+646338,int_stack+628320,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+703668,int_stack+390985,int_stack+382704,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+728511,int_stack+703668,int_stack+646338,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+771099,int_stack+728511,int_stack+667632,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+628320,int_stack+400540,int_stack+390985,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+831159,int_stack+628320,int_stack+703668,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+656985,int_stack+831159,int_stack+728511,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+880845,int_stack+656985,int_stack+771099,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+727965,int_stack+411460,int_stack+400540,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+760725,int_stack+727965,int_stack+628320,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+970935,int_stack+760725,int_stack+831159,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1053745,int_stack+970935,int_stack+656985,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1160215,int_stack+1053745,int_stack+880845,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+628320,int_stack+423836,int_stack+411460,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+818055,int_stack+628320,int_stack+727965,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1286341,int_stack+818055,int_stack+760725,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+665448,int_stack+1286341,int_stack+970935,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+883575,int_stack+665448,int_stack+1053745,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+883575,int_stack+1160215,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1032633,int_stack+437759,int_stack+423836,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1074402,int_stack+1032633,int_stack+628320,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1148658,int_stack+1074402,int_stack+818055,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+168168,int_stack+1148658,int_stack+1286341,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1257858,int_stack+168168,int_stack+665448,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+628320,int_stack+1257858,int_stack+883575,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2502930,int_stack+628320,int_stack+0,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+453320,int_stack+437759,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+46683,int_stack+0,int_stack+1032633,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+827064,int_stack+46683,int_stack+1074402,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+950824,int_stack+827064,int_stack+1148658,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2719146,int_stack+950824,int_stack+168168,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+130221,int_stack+2719146,int_stack+1257858,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1114624,int_stack+130221,int_stack+628320,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2919801,int_stack+1114624,int_stack+2502930,91);
 /*--- compute (q0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+2502930,int_stack+470610,int_stack+453320,91);
 /*--- compute (q0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+2554800,int_stack+2502930,int_stack+0,91);
 /*--- compute (q0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+628320,int_stack+2554800,int_stack+46683,91);
 /*--- compute (q0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+2502930,int_stack+628320,int_stack+827064,91);
 /*--- compute (q0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+628320,int_stack+2502930,int_stack+950824,91);
 /*--- compute (q0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+3190071,int_stack+628320,int_stack+2719146,91);
 /*--- compute (q0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+628320,int_stack+3190071,int_stack+130221,91);
 /*--- compute (q0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+3190071,int_stack+628320,int_stack+1114624,91);
 /*--- compute (q0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+628320,int_stack+3190071,int_stack+2919801,91);
 /*--- compute (op|nm) ---*/
 hrr1_build_op(Libint->AB,int_stack+2502930,int_stack+628320,int_stack+1501050,3630);
 /*--- compute (nd|nm) ---*/
 hrr1_build_nd(Libint->AB,int_stack+3352350,int_stack+2502930,int_stack+1784190,3630);
 /*--- compute (mf|nm) ---*/
 hrr1_build_mf(Libint->AB,int_stack+9993030,int_stack+3352350,int_stack+5201430,3630);
 /*--- compute (lg|nm) ---*/
 hrr1_build_lg(Libint->AB,int_stack+11989530,int_stack+9993030,int_stack+6399330,3630);
 /*--- compute (kh|nm) ---*/
 hrr1_build_kh(Libint->AB,int_stack+4789830,int_stack+11989530,int_stack+8032830,3630);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+958650,int_stack+496650,int_stack+489720,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+979440,int_stack+504840,int_stack+496650,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1004010,int_stack+979440,int_stack+958650,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1045590,int_stack+514395,int_stack+504840,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1074255,int_stack+1045590,int_stack+979440,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1123395,int_stack+1074255,int_stack+1004010,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+958650,int_stack+525420,int_stack+514395,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1192695,int_stack+958650,int_stack+1045590,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+991725,int_stack+1192695,int_stack+1074255,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1250025,int_stack+991725,int_stack+1123395,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1073625,int_stack+538020,int_stack+525420,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1111425,int_stack+1073625,int_stack+958650,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1353975,int_stack+1111425,int_stack+1192695,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1449525,int_stack+1353975,int_stack+991725,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1572375,int_stack+1449525,int_stack+1250025,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+958650,int_stack+552300,int_stack+538020,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1177575,int_stack+958650,int_stack+1073625,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1717905,int_stack+1177575,int_stack+1111425,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1001490,int_stack+1717905,int_stack+1353975,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1253175,int_stack+1001490,int_stack+1449525,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1828155,int_stack+1253175,int_stack+1572375,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1425165,int_stack+568365,int_stack+552300,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1473360,int_stack+1425165,int_stack+958650,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1559040,int_stack+1473360,int_stack+1177575,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2022195,int_stack+1559040,int_stack+1717905,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2187570,int_stack+2022195,int_stack+1001490,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+958650,int_stack+2187570,int_stack+1253175,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+7534110,int_stack+958650,int_stack+1828155,105);
 /*--- compute (r0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1187970,int_stack+586320,int_stack+568365,105);
 /*--- compute (r0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1241835,int_stack+1187970,int_stack+1425165,105);
 /*--- compute (r0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1685040,int_stack+1241835,int_stack+1473360,105);
 /*--- compute (r0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1338225,int_stack+1685040,int_stack+1559040,105);
 /*--- compute (r0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+7783590,int_stack+1338225,int_stack+2022195,105);
 /*--- compute (r0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1827840,int_stack+7783590,int_stack+2187570,105);
 /*--- compute (r0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2095380,int_stack+1827840,int_stack+958650,105);
 /*--- compute (r0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+8015115,int_stack+2095380,int_stack+7534110,105);
 /*--- compute (r0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+7534110,int_stack+606270,int_stack+586320,105);
 /*--- compute (r0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+7593960,int_stack+7534110,int_stack+1187970,105);
 /*--- compute (r0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+958650,int_stack+7593960,int_stack+1241835,105);
 /*--- compute (r0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+7534110,int_stack+958650,int_stack+1685040,105);
 /*--- compute (r0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+958650,int_stack+7534110,int_stack+1338225,105);
 /*--- compute (r0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1223250,int_stack+958650,int_stack+7783590,105);
 /*--- compute (r0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+7534110,int_stack+1223250,int_stack+1827840,105);
 /*--- compute (r0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+958650,int_stack+7534110,int_stack+2095380,105);
 /*--- compute (r0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+7534110,int_stack+958650,int_stack+8015115,105);
 /*--- compute (qp|nm) ---*/
 hrr1_build_qp(Libint->AB,int_stack+958650,int_stack+7534110,int_stack+628320,3630);
 /*--- compute (od|nm) ---*/
 hrr1_build_od(Libint->AB,int_stack+7534110,int_stack+958650,int_stack+2502930,3630);
 /*--- compute (nf|nm) ---*/
 hrr1_build_nf(Libint->AB,int_stack+0,int_stack+7534110,int_stack+3352350,3630);
 /*--- compute (mg|nm) ---*/
 hrr1_build_mg(Libint->AB,int_stack+14439780,int_stack+0,int_stack+9993030,3630);
 /*--- compute (lh|nm) ---*/
 hrr1_build_lh(Libint->AB,int_stack+0,int_stack+14439780,int_stack+11989530,3630);
 /*--- compute (ki|nm) ---*/
 hrr1_build_ki(Libint->AB,int_stack+7534110,int_stack+0,int_stack+4789830,3630);
 return int_stack+7534110;}
