#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kknm(Libint_t*, prim_data*);

  /* Computes quartets of (kk|nm) integrals */

REALTYPE *hrr_order_kknm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 Libint->vrr_classes[7][12] = int_stack + 5184;
 Libint->vrr_classes[7][13] = int_stack + 8460;
 Libint->vrr_classes[7][14] = int_stack + 12240;
 Libint->vrr_classes[7][15] = int_stack + 16560;
 Libint->vrr_classes[7][16] = int_stack + 21456;
 Libint->vrr_classes[7][17] = int_stack + 26964;
 Libint->vrr_classes[7][18] = int_stack + 33120;
 Libint->vrr_classes[7][19] = int_stack + 39960;
 Libint->vrr_classes[8][10] = int_stack + 47520;
 Libint->vrr_classes[8][11] = int_stack + 50490;
 Libint->vrr_classes[8][12] = int_stack + 54000;
 Libint->vrr_classes[8][13] = int_stack + 58095;
 Libint->vrr_classes[8][14] = int_stack + 62820;
 Libint->vrr_classes[8][15] = int_stack + 68220;
 Libint->vrr_classes[8][16] = int_stack + 74340;
 Libint->vrr_classes[8][17] = int_stack + 81225;
 Libint->vrr_classes[8][18] = int_stack + 88920;
 Libint->vrr_classes[8][19] = int_stack + 97470;
 Libint->vrr_classes[9][10] = int_stack + 106920;
 Libint->vrr_classes[9][11] = int_stack + 110550;
 Libint->vrr_classes[9][12] = int_stack + 114840;
 Libint->vrr_classes[9][13] = int_stack + 119845;
 Libint->vrr_classes[9][14] = int_stack + 125620;
 Libint->vrr_classes[9][15] = int_stack + 132220;
 Libint->vrr_classes[9][16] = int_stack + 139700;
 Libint->vrr_classes[9][17] = int_stack + 148115;
 Libint->vrr_classes[9][18] = int_stack + 157520;
 Libint->vrr_classes[9][19] = int_stack + 167970;
 Libint->vrr_classes[10][10] = int_stack + 179520;
 Libint->vrr_classes[10][11] = int_stack + 183876;
 Libint->vrr_classes[10][12] = int_stack + 189024;
 Libint->vrr_classes[10][13] = int_stack + 195030;
 Libint->vrr_classes[10][14] = int_stack + 201960;
 Libint->vrr_classes[10][15] = int_stack + 209880;
 Libint->vrr_classes[10][16] = int_stack + 218856;
 Libint->vrr_classes[10][17] = int_stack + 228954;
 Libint->vrr_classes[10][18] = int_stack + 240240;
 Libint->vrr_classes[10][19] = int_stack + 252780;
 Libint->vrr_classes[11][10] = int_stack + 266640;
 Libint->vrr_classes[11][11] = int_stack + 271788;
 Libint->vrr_classes[11][12] = int_stack + 277872;
 Libint->vrr_classes[11][13] = int_stack + 284970;
 Libint->vrr_classes[11][14] = int_stack + 293160;
 Libint->vrr_classes[11][15] = int_stack + 302520;
 Libint->vrr_classes[11][16] = int_stack + 313128;
 Libint->vrr_classes[11][17] = int_stack + 325062;
 Libint->vrr_classes[11][18] = int_stack + 338400;
 Libint->vrr_classes[11][19] = int_stack + 353220;
 Libint->vrr_classes[12][10] = int_stack + 369600;
 Libint->vrr_classes[12][11] = int_stack + 375606;
 Libint->vrr_classes[12][12] = int_stack + 382704;
 Libint->vrr_classes[12][13] = int_stack + 390985;
 Libint->vrr_classes[12][14] = int_stack + 400540;
 Libint->vrr_classes[12][15] = int_stack + 411460;
 Libint->vrr_classes[12][16] = int_stack + 423836;
 Libint->vrr_classes[12][17] = int_stack + 437759;
 Libint->vrr_classes[12][18] = int_stack + 453320;
 Libint->vrr_classes[12][19] = int_stack + 470610;
 Libint->vrr_classes[13][10] = int_stack + 489720;
 Libint->vrr_classes[13][11] = int_stack + 496650;
 Libint->vrr_classes[13][12] = int_stack + 504840;
 Libint->vrr_classes[13][13] = int_stack + 514395;
 Libint->vrr_classes[13][14] = int_stack + 525420;
 Libint->vrr_classes[13][15] = int_stack + 538020;
 Libint->vrr_classes[13][16] = int_stack + 552300;
 Libint->vrr_classes[13][17] = int_stack + 568365;
 Libint->vrr_classes[13][18] = int_stack + 586320;
 Libint->vrr_classes[13][19] = int_stack + 606270;
 Libint->vrr_classes[14][10] = int_stack + 628320;
 Libint->vrr_classes[14][11] = int_stack + 636240;
 Libint->vrr_classes[14][12] = int_stack + 645600;
 Libint->vrr_classes[14][13] = int_stack + 656520;
 Libint->vrr_classes[14][14] = int_stack + 669120;
 Libint->vrr_classes[14][15] = int_stack + 683520;
 Libint->vrr_classes[14][16] = int_stack + 699840;
 Libint->vrr_classes[14][17] = int_stack + 718200;
 Libint->vrr_classes[14][18] = int_stack + 738720;
 Libint->vrr_classes[14][19] = int_stack + 761520;
 memset(int_stack,0,786720*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 786720;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kknm(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+786720,int_stack+2376,int_stack+0,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+793848,int_stack+5184,int_stack+2376,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+802272,int_stack+793848,int_stack+786720,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+816528,int_stack+8460,int_stack+5184,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+826356,int_stack+816528,int_stack+793848,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+843204,int_stack+826356,int_stack+802272,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+786720,int_stack+12240,int_stack+8460,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+866964,int_stack+786720,int_stack+816528,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+798060,int_stack+866964,int_stack+826356,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+886620,int_stack+798060,int_stack+843204,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+826140,int_stack+16560,int_stack+12240,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+839100,int_stack+826140,int_stack+786720,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+922260,int_stack+839100,int_stack+866964,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+955020,int_stack+922260,int_stack+798060,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+997140,int_stack+955020,int_stack+886620,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+786720,int_stack+21456,int_stack+16560,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+861780,int_stack+786720,int_stack+826140,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1047036,int_stack+861780,int_stack+839100,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+801408,int_stack+1047036,int_stack+922260,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+887700,int_stack+801408,int_stack+955020,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1084836,int_stack+887700,int_stack+997140,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+946668,int_stack+26964,int_stack+21456,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+963192,int_stack+946668,int_stack+786720,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+992568,int_stack+963192,int_stack+861780,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1151364,int_stack+992568,int_stack+1047036,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1208064,int_stack+1151364,int_stack+801408,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+786720,int_stack+1208064,int_stack+887700,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1276860,int_stack+786720,int_stack+1084836,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+865344,int_stack+33120,int_stack+26964,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+883812,int_stack+865344,int_stack+946668,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1035768,int_stack+883812,int_stack+963192,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+916860,int_stack+1035768,int_stack+992568,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1362396,int_stack+916860,int_stack+1151364,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1084728,int_stack+1362396,int_stack+1208064,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1441776,int_stack+1084728,int_stack+786720,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1542864,int_stack+1441776,int_stack+1276860,36);
 /*--- compute (k0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+786720,int_stack+39960,int_stack+33120,36);
 /*--- compute (k0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+807240,int_stack+786720,int_stack+865344,36);
 /*--- compute (k0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1176456,int_stack+807240,int_stack+883812,36);
 /*--- compute (k0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+786720,int_stack+1176456,int_stack+1035768,36);
 /*--- compute (k0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1176456,int_stack+786720,int_stack+916860,36);
 /*--- compute (k0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+786720,int_stack+1176456,int_stack+1362396,36);
 /*--- compute (k0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1176456,int_stack+786720,int_stack+1084728,36);
 /*--- compute (k0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+786720,int_stack+1176456,int_stack+1441776,36);
 /*--- compute (k0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+913080,int_stack+786720,int_stack+1542864,36);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+786720,int_stack+50490,int_stack+47520,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+795630,int_stack+54000,int_stack+50490,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+806160,int_stack+795630,int_stack+786720,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+823980,int_stack+58095,int_stack+54000,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+836265,int_stack+823980,int_stack+795630,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+857325,int_stack+836265,int_stack+806160,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+786720,int_stack+62820,int_stack+58095,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+887025,int_stack+786720,int_stack+823980,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+800895,int_stack+887025,int_stack+836265,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1043760,int_stack+800895,int_stack+857325,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+835995,int_stack+68220,int_stack+62820,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+852195,int_stack+835995,int_stack+786720,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1088310,int_stack+852195,int_stack+887025,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1129260,int_stack+1088310,int_stack+800895,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1181910,int_stack+1129260,int_stack+1043760,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1043760,int_stack+74340,int_stack+68220,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+786720,int_stack+1043760,int_stack+835995,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1244280,int_stack+786720,int_stack+852195,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+819120,int_stack+1244280,int_stack+1088310,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1291530,int_stack+819120,int_stack+1129260,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1062120,int_stack+1291530,int_stack+1181910,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1145280,int_stack+81225,int_stack+74340,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1165935,int_stack+1145280,int_stack+1043760,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1365240,int_stack+1165935,int_stack+786720,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1419240,int_stack+1365240,int_stack+1244280,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1202655,int_stack+1419240,int_stack+819120,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+786720,int_stack+1202655,int_stack+1291530,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1490115,int_stack+786720,int_stack+1062120,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+885000,int_stack+88920,int_stack+81225,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1043760,int_stack+885000,int_stack+1145280,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1085070,int_stack+1043760,int_stack+1165935,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+1085070,int_stack+1365240,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1288650,int_stack+0,int_stack+1419240,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1597035,int_stack+1288650,int_stack+1202655,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1146270,int_stack+1597035,int_stack+786720,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1711695,int_stack+1146270,int_stack+1490115,45);
 /*--- compute (l0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+786720,int_stack+97470,int_stack+88920,45);
 /*--- compute (l0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+812370,int_stack+786720,int_stack+885000,45);
 /*--- compute (l0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1387875,int_stack+812370,int_stack+1043760,45);
 /*--- compute (l0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+786720,int_stack+1387875,int_stack+1085070,45);
 /*--- compute (l0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1387875,int_stack+786720,int_stack+0,45);
 /*--- compute (l0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1845345,int_stack+1387875,int_stack+1288650,45);
 /*--- compute (l0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1272630,int_stack+1845345,int_stack+1597035,45);
 /*--- compute (l0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1420050,int_stack+1272630,int_stack+1146270,45);
 /*--- compute (l0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1043760,int_stack+1420050,int_stack+1711695,45);
 /*--- compute (kp|nm) ---*/
 hrr1_build_kp(Libint->AB,int_stack+1207110,int_stack+1043760,int_stack+913080,3630);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+110550,int_stack+106920,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+10890,int_stack+114840,int_stack+110550,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+23760,int_stack+10890,int_stack+0,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+45540,int_stack+119845,int_stack+114840,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+60555,int_stack+45540,int_stack+10890,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+786720,int_stack+60555,int_stack+23760,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+125620,int_stack+119845,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+86295,int_stack+0,int_stack+45540,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+17325,int_stack+86295,int_stack+60555,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+823020,int_stack+17325,int_stack+786720,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+786720,int_stack+132220,int_stack+125620,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+877470,int_stack+786720,int_stack+0,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+912120,int_stack+877470,int_stack+86295,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+60225,int_stack+912120,int_stack+17325,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+962170,int_stack+60225,int_stack+823020,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+139700,int_stack+132220,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+806520,int_stack+0,int_stack+786720,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1599150,int_stack+806520,int_stack+877470,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1656900,int_stack+1599150,int_stack+912120,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+846120,int_stack+1656900,int_stack+60225,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+22440,int_stack+846120,int_stack+962170,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+936210,int_stack+148115,int_stack+139700,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+961455,int_stack+936210,int_stack+0,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1731975,int_stack+961455,int_stack+806520,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1797975,int_stack+1731975,int_stack+1599150,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1884600,int_stack+1797975,int_stack+1656900,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1599150,int_stack+1884600,int_stack+846120,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+786720,int_stack+1599150,int_stack+22440,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+157520,int_stack+148115,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+28215,int_stack+0,int_stack+936210,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+78705,int_stack+28215,int_stack+961455,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+917400,int_stack+78705,int_stack+1731975,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1989705,int_stack+917400,int_stack+1797975,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1719270,int_stack+1989705,int_stack+1884600,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2110980,int_stack+1719270,int_stack+1599150,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2265420,int_stack+2110980,int_stack+786720,55);
 /*--- compute (m0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+786720,int_stack+167970,int_stack+157520,55);
 /*--- compute (m0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+818070,int_stack+786720,int_stack+0,55);
 /*--- compute (m0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1599150,int_stack+818070,int_stack+28215,55);
 /*--- compute (m0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+786720,int_stack+1599150,int_stack+78705,55);
 /*--- compute (m0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+0,int_stack+786720,int_stack+917400,55);
 /*--- compute (m0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+786720,int_stack+0,int_stack+1989705,55);
 /*--- compute (m0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1859410,int_stack+786720,int_stack+1719270,55);
 /*--- compute (m0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+786720,int_stack+1859410,int_stack+2110980,55);
 /*--- compute (m0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1599150,int_stack+786720,int_stack+2265420,55);
 /*--- compute (lp|nm) ---*/
 hrr1_build_lp(Libint->AB,int_stack+1798800,int_stack+1599150,int_stack+1043760,3630);
 /*--- compute (kd|nm) ---*/
 hrr1_build_kd(Libint->AB,int_stack+2288850,int_stack+1798800,int_stack+1207110,3630);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+786720,int_stack+183876,int_stack+179520,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+799788,int_stack+189024,int_stack+183876,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+815232,int_stack+799788,int_stack+786720,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+841368,int_stack+195030,int_stack+189024,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+859386,int_stack+841368,int_stack+799788,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+890274,int_stack+859386,int_stack+815232,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+786720,int_stack+201960,int_stack+195030,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+933834,int_stack+786720,int_stack+841368,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+807510,int_stack+933834,int_stack+859386,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+969870,int_stack+807510,int_stack+890274,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+858990,int_stack+209880,int_stack+201960,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+882750,int_stack+858990,int_stack+786720,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1035210,int_stack+882750,int_stack+933834,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1095270,int_stack+1035210,int_stack+807510,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1172490,int_stack+1095270,int_stack+969870,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+786720,int_stack+218856,int_stack+209880,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+924330,int_stack+786720,int_stack+858990,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1263966,int_stack+924330,int_stack+882750,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+813648,int_stack+1263966,int_stack+1035210,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+971850,int_stack+813648,int_stack+1095270,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1333266,int_stack+971850,int_stack+1172490,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1079958,int_stack+228954,int_stack+218856,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1110252,int_stack+1079958,int_stack+786720,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1164108,int_stack+1110252,int_stack+924330,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1455234,int_stack+1164108,int_stack+1263966,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+1455234,int_stack+813648,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+786720,int_stack+0,int_stack+971850,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+3072930,int_stack+786720,int_stack+1333266,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+930864,int_stack+240240,int_stack+228954,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+964722,int_stack+930864,int_stack+1079958,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1243308,int_stack+964722,int_stack+1110252,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1025310,int_stack+1243308,int_stack+1164108,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+3229746,int_stack+1025310,int_stack+1455234,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1333068,int_stack+3229746,int_stack+0,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+1333068,int_stack+786720,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+3375276,int_stack+0,int_stack+3072930,66);
 /*--- compute (n0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+3072930,int_stack+252780,int_stack+240240,66);
 /*--- compute (n0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+3110550,int_stack+3072930,int_stack+930864,66);
 /*--- compute (n0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+786720,int_stack+3110550,int_stack+964722,66);
 /*--- compute (n0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+3072930,int_stack+786720,int_stack+1243308,66);
 /*--- compute (n0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+786720,int_stack+3072930,int_stack+1025310,66);
 /*--- compute (n0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+953040,int_stack+786720,int_stack+3229746,66);
 /*--- compute (n0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+3072930,int_stack+953040,int_stack+1333068,66);
 /*--- compute (n0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+786720,int_stack+3072930,int_stack+0,66);
 /*--- compute (n0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+0,int_stack+786720,int_stack+3375276,66);
 /*--- compute (mp|nm) ---*/
 hrr1_build_mp(Libint->AB,int_stack+786720,int_stack+0,int_stack+1599150,3630);
 /*--- compute (ld|nm) ---*/
 hrr1_build_ld(Libint->AB,int_stack+3072930,int_stack+786720,int_stack+1798800,3630);
 /*--- compute (kf|nm) ---*/
 hrr1_build_kf(Libint->AB,int_stack+4053030,int_stack+3072930,int_stack+2288850,3630);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1385670,int_stack+271788,int_stack+266640,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1401114,int_stack+277872,int_stack+271788,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1419366,int_stack+1401114,int_stack+1385670,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1450254,int_stack+284970,int_stack+277872,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1471548,int_stack+1450254,int_stack+1401114,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1508052,int_stack+1471548,int_stack+1419366,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1385670,int_stack+293160,int_stack+284970,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1559532,int_stack+1385670,int_stack+1450254,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1410240,int_stack+1559532,int_stack+1471548,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1602120,int_stack+1410240,int_stack+1508052,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1471080,int_stack+302520,int_stack+293160,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1499160,int_stack+1471080,int_stack+1385670,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1679340,int_stack+1499160,int_stack+1559532,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1750320,int_stack+1679340,int_stack+1410240,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1841580,int_stack+1750320,int_stack+1602120,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1385670,int_stack+313128,int_stack+302520,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1548300,int_stack+1385670,int_stack+1471080,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1949688,int_stack+1548300,int_stack+1499160,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1417494,int_stack+1949688,int_stack+1679340,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1604460,int_stack+1417494,int_stack+1750320,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2031588,int_stack+1604460,int_stack+1841580,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1732224,int_stack+325062,int_stack+313128,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1768026,int_stack+1732224,int_stack+1385670,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1831674,int_stack+1768026,int_stack+1548300,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2175732,int_stack+1831674,int_stack+1949688,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2298582,int_stack+2175732,int_stack+1417494,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1385670,int_stack+2298582,int_stack+1604460,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2447640,int_stack+1385670,int_stack+2031588,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1556022,int_stack+338400,int_stack+325062,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1596036,int_stack+1556022,int_stack+1732224,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1925274,int_stack+1596036,int_stack+1768026,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1667640,int_stack+1925274,int_stack+1831674,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2632968,int_stack+1667640,int_stack+2175732,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2031354,int_stack+2632968,int_stack+2298582,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2804958,int_stack+2031354,int_stack+1385670,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+5359830,int_stack+2804958,int_stack+2447640,78);
 /*--- compute (o0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+1385670,int_stack+353220,int_stack+338400,78);
 /*--- compute (o0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+1430130,int_stack+1385670,int_stack+1556022,78);
 /*--- compute (o0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+2230098,int_stack+1430130,int_stack+1596036,78);
 /*--- compute (o0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1385670,int_stack+2230098,int_stack+1925274,78);
 /*--- compute (o0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+2230098,int_stack+1385670,int_stack+1667640,78);
 /*--- compute (o0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1385670,int_stack+2230098,int_stack+2632968,78);
 /*--- compute (o0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+2230098,int_stack+1385670,int_stack+2031354,78);
 /*--- compute (o0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1385670,int_stack+2230098,int_stack+2804958,78);
 /*--- compute (o0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1659450,int_stack+1385670,int_stack+5359830,78);
 /*--- compute (np|nm) ---*/
 hrr1_build_np(Libint->AB,int_stack+1942590,int_stack+1659450,int_stack+0,3630);
 /*--- compute (md|nm) ---*/
 hrr1_build_md(Libint->AB,int_stack+5359830,int_stack+1942590,int_stack+786720,3630);
 /*--- compute (lf|nm) ---*/
 hrr1_build_lf(Libint->AB,int_stack+6557730,int_stack+5359830,int_stack+3072930,3630);
 /*--- compute (kg|nm) ---*/
 hrr1_build_kg(Libint->AB,int_stack+8191230,int_stack+6557730,int_stack+4053030,3630);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+786720,int_stack+375606,int_stack+369600,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+804738,int_stack+382704,int_stack+375606,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+826032,int_stack+804738,int_stack+786720,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+862068,int_stack+390985,int_stack+382704,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+886911,int_stack+862068,int_stack+804738,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+929499,int_stack+886911,int_stack+826032,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+786720,int_stack+400540,int_stack+390985,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+989559,int_stack+786720,int_stack+862068,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+815385,int_stack+989559,int_stack+886911,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1039245,int_stack+815385,int_stack+929499,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+886365,int_stack+411460,int_stack+400540,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+919125,int_stack+886365,int_stack+786720,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1129335,int_stack+919125,int_stack+989559,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1212145,int_stack+1129335,int_stack+815385,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1318615,int_stack+1212145,int_stack+1039245,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+786720,int_stack+423836,int_stack+411460,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+976455,int_stack+786720,int_stack+886365,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1444741,int_stack+976455,int_stack+919125,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+823848,int_stack+1444741,int_stack+1129335,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1041975,int_stack+823848,int_stack+1212145,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+1041975,int_stack+1318615,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1191033,int_stack+437759,int_stack+423836,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1232802,int_stack+1191033,int_stack+786720,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1307058,int_stack+1232802,int_stack+976455,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+168168,int_stack+1307058,int_stack+1444741,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1416258,int_stack+168168,int_stack+823848,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+786720,int_stack+1416258,int_stack+1041975,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2661330,int_stack+786720,int_stack+0,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+453320,int_stack+437759,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+46683,int_stack+0,int_stack+1191033,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+985464,int_stack+46683,int_stack+1232802,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1109224,int_stack+985464,int_stack+1307058,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2877546,int_stack+1109224,int_stack+168168,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+130221,int_stack+2877546,int_stack+1416258,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1273024,int_stack+130221,int_stack+786720,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+3078201,int_stack+1273024,int_stack+2661330,91);
 /*--- compute (q0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+2661330,int_stack+470610,int_stack+453320,91);
 /*--- compute (q0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+2713200,int_stack+2661330,int_stack+0,91);
 /*--- compute (q0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+786720,int_stack+2713200,int_stack+46683,91);
 /*--- compute (q0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+2661330,int_stack+786720,int_stack+985464,91);
 /*--- compute (q0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+786720,int_stack+2661330,int_stack+1109224,91);
 /*--- compute (q0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+3348471,int_stack+786720,int_stack+2877546,91);
 /*--- compute (q0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+786720,int_stack+3348471,int_stack+130221,91);
 /*--- compute (q0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+3348471,int_stack+786720,int_stack+1273024,91);
 /*--- compute (q0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+786720,int_stack+3348471,int_stack+3078201,91);
 /*--- compute (op|nm) ---*/
 hrr1_build_op(Libint->AB,int_stack+2661330,int_stack+786720,int_stack+1659450,3630);
 /*--- compute (nd|nm) ---*/
 hrr1_build_nd(Libint->AB,int_stack+3510750,int_stack+2661330,int_stack+1942590,3630);
 /*--- compute (mf|nm) ---*/
 hrr1_build_mf(Libint->AB,int_stack+10151430,int_stack+3510750,int_stack+5359830,3630);
 /*--- compute (lg|nm) ---*/
 hrr1_build_lg(Libint->AB,int_stack+12147930,int_stack+10151430,int_stack+6557730,3630);
 /*--- compute (kh|nm) ---*/
 hrr1_build_kh(Libint->AB,int_stack+4948230,int_stack+12147930,int_stack+8191230,3630);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1117050,int_stack+496650,int_stack+489720,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1137840,int_stack+504840,int_stack+496650,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1162410,int_stack+1137840,int_stack+1117050,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1203990,int_stack+514395,int_stack+504840,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1232655,int_stack+1203990,int_stack+1137840,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1281795,int_stack+1232655,int_stack+1162410,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1117050,int_stack+525420,int_stack+514395,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1351095,int_stack+1117050,int_stack+1203990,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1150125,int_stack+1351095,int_stack+1232655,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1408425,int_stack+1150125,int_stack+1281795,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1232025,int_stack+538020,int_stack+525420,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1269825,int_stack+1232025,int_stack+1117050,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1512375,int_stack+1269825,int_stack+1351095,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1607925,int_stack+1512375,int_stack+1150125,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1730775,int_stack+1607925,int_stack+1408425,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1117050,int_stack+552300,int_stack+538020,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1335975,int_stack+1117050,int_stack+1232025,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1876305,int_stack+1335975,int_stack+1269825,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1159890,int_stack+1876305,int_stack+1512375,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1411575,int_stack+1159890,int_stack+1607925,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1986555,int_stack+1411575,int_stack+1730775,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1583565,int_stack+568365,int_stack+552300,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1631760,int_stack+1583565,int_stack+1117050,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1717440,int_stack+1631760,int_stack+1335975,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2180595,int_stack+1717440,int_stack+1876305,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2345970,int_stack+2180595,int_stack+1159890,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1117050,int_stack+2345970,int_stack+1411575,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+7692510,int_stack+1117050,int_stack+1986555,105);
 /*--- compute (r0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1346370,int_stack+586320,int_stack+568365,105);
 /*--- compute (r0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1400235,int_stack+1346370,int_stack+1583565,105);
 /*--- compute (r0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1843440,int_stack+1400235,int_stack+1631760,105);
 /*--- compute (r0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1496625,int_stack+1843440,int_stack+1717440,105);
 /*--- compute (r0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+7941990,int_stack+1496625,int_stack+2180595,105);
 /*--- compute (r0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1986240,int_stack+7941990,int_stack+2345970,105);
 /*--- compute (r0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2253780,int_stack+1986240,int_stack+1117050,105);
 /*--- compute (r0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+8173515,int_stack+2253780,int_stack+7692510,105);
 /*--- compute (r0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+7692510,int_stack+606270,int_stack+586320,105);
 /*--- compute (r0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+7752360,int_stack+7692510,int_stack+1346370,105);
 /*--- compute (r0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1117050,int_stack+7752360,int_stack+1400235,105);
 /*--- compute (r0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+7692510,int_stack+1117050,int_stack+1843440,105);
 /*--- compute (r0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1117050,int_stack+7692510,int_stack+1496625,105);
 /*--- compute (r0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1381650,int_stack+1117050,int_stack+7941990,105);
 /*--- compute (r0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+7692510,int_stack+1381650,int_stack+1986240,105);
 /*--- compute (r0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1117050,int_stack+7692510,int_stack+2253780,105);
 /*--- compute (r0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+7692510,int_stack+1117050,int_stack+8173515,105);
 /*--- compute (qp|nm) ---*/
 hrr1_build_qp(Libint->AB,int_stack+1117050,int_stack+7692510,int_stack+786720,3630);
 /*--- compute (od|nm) ---*/
 hrr1_build_od(Libint->AB,int_stack+8073660,int_stack+1117050,int_stack+2661330,3630);
 /*--- compute (nf|nm) ---*/
 hrr1_build_nf(Libint->AB,int_stack+14598180,int_stack+8073660,int_stack+3510750,3630);
 /*--- compute (mg|nm) ---*/
 hrr1_build_mg(Libint->AB,int_stack+16993980,int_stack+14598180,int_stack+10151430,3630);
 /*--- compute (lh|nm) ---*/
 hrr1_build_lh(Libint->AB,int_stack+19988730,int_stack+16993980,int_stack+12147930,3630);
 /*--- compute (ki|nm) ---*/
 hrr1_build_ki(Libint->AB,int_stack+9772500,int_stack+19988730,int_stack+4948230,3630);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+786720,int_stack+636240,int_stack+628320,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+810480,int_stack+645600,int_stack+636240,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+838560,int_stack+810480,int_stack+786720,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+886080,int_stack+656520,int_stack+645600,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+918840,int_stack+886080,int_stack+810480,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+975000,int_stack+918840,int_stack+838560,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+786720,int_stack+669120,int_stack+656520,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+2108040,int_stack+786720,int_stack+886080,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+824520,int_stack+2108040,int_stack+918840,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+2173560,int_stack+824520,int_stack+975000,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+918120,int_stack+683520,int_stack+669120,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+961320,int_stack+918120,int_stack+786720,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2292360,int_stack+961320,int_stack+2108040,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2401560,int_stack+2292360,int_stack+824520,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2541960,int_stack+2401560,int_stack+2173560,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+2108040,int_stack+699840,int_stack+683520,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+2157000,int_stack+2108040,int_stack+918120,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+786720,int_stack+2157000,int_stack+961320,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+912720,int_stack+786720,int_stack+2292360,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2708280,int_stack+912720,int_stack+2401560,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2243400,int_stack+2708280,int_stack+2541960,120);
 /*--- compute (t0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+2465160,int_stack+718200,int_stack+699840,120);
 /*--- compute (t0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+2520240,int_stack+2465160,int_stack+2108040,120);
 /*--- compute (t0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2904840,int_stack+2520240,int_stack+2157000,120);
 /*--- compute (t0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+3048840,int_stack+2904840,int_stack+786720,120);
 /*--- compute (t0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+3237840,int_stack+3048840,int_stack+912720,120);
 /*--- compute (t0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+786720,int_stack+3237840,int_stack+2708280,120);
 /*--- compute (t0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2618160,int_stack+786720,int_stack+2243400,120);
 /*--- compute (t0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1048800,int_stack+738720,int_stack+718200,120);
 /*--- compute (t0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+2108040,int_stack+1048800,int_stack+2465160,120);
 /*--- compute (t0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2218200,int_stack+2108040,int_stack+2520240,120);
 /*--- compute (t0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2381400,int_stack+2218200,int_stack+2904840,120);
 /*--- compute (t0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+3467160,int_stack+2381400,int_stack+3048840,120);
 /*--- compute (t0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2903280,int_stack+3467160,int_stack+3237840,120);
 /*--- compute (t0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+3731760,int_stack+2903280,int_stack+786720,120);
 /*--- compute (t0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+4068720,int_stack+3731760,int_stack+2618160,120);
 /*--- compute (t0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+786720,int_stack+761520,int_stack+738720,120);
 /*--- compute (t0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+855120,int_stack+786720,int_stack+1048800,120);
 /*--- compute (t0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+2597400,int_stack+855120,int_stack+2108040,120);
 /*--- compute (t0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+3209040,int_stack+2597400,int_stack+2218200,120);
 /*--- compute (t0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+2597400,int_stack+3209040,int_stack+2381400,120);
 /*--- compute (t0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+2108040,int_stack+2597400,int_stack+3467160,120);
 /*--- compute (t0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+3209040,int_stack+2108040,int_stack+2903280,120);
 /*--- compute (t0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+2108040,int_stack+3209040,int_stack+3731760,120);
 /*--- compute (t0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+2529240,int_stack+2108040,int_stack+4068720,120);
 /*--- compute (rp|nm) ---*/
 hrr1_build_rp(Libint->AB,int_stack+2964840,int_stack+2529240,int_stack+7692510,3630);
 /*--- compute (qd|nm) ---*/
 hrr1_build_qd(Libint->AB,int_stack+4108290,int_stack+2964840,int_stack+1117050,3630);
 /*--- compute (of|nm) ---*/
 hrr1_build_of(Libint->AB,int_stack+0,int_stack+4108290,int_stack+8073660,3630);
 /*--- compute (ng|nm) ---*/
 hrr1_build_ng(Libint->AB,int_stack+2831400,int_stack+0,int_stack+14598180,3630);
 /*--- compute (mh|nm) ---*/
 hrr1_build_mh(Libint->AB,int_stack+23419080,int_stack+2831400,int_stack+16993980,3630);
 /*--- compute (li|nm) ---*/
 hrr1_build_li(Libint->AB,int_stack+0,int_stack+23419080,int_stack+19988730,3630);
 /*--- compute (kk|nm) ---*/
 hrr1_build_kk(Libint->AB,int_stack+4573800,int_stack+0,int_stack+9772500,3630);
 return int_stack+4573800;}
