#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kpkh(Libint_t*, prim_data*);

  /* Computes quartets of (kp|kh) integrals */

REALTYPE *hrr_order_kpkh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][7] = int_stack + 0;
 Libint->vrr_classes[7][8] = int_stack + 1296;
 Libint->vrr_classes[7][9] = int_stack + 2916;
 Libint->vrr_classes[7][10] = int_stack + 4896;
 Libint->vrr_classes[7][11] = int_stack + 7272;
 Libint->vrr_classes[7][12] = int_stack + 10080;
 Libint->vrr_classes[8][7] = int_stack + 13356;
 Libint->vrr_classes[8][8] = int_stack + 14976;
 Libint->vrr_classes[8][9] = int_stack + 17001;
 Libint->vrr_classes[8][10] = int_stack + 19476;
 Libint->vrr_classes[8][11] = int_stack + 22446;
 Libint->vrr_classes[8][12] = int_stack + 25956;
 memset(int_stack,0,30051*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 30051;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kpkh(Libint, Data);
   Data++;
 }
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+30051,int_stack+1296,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+33939,int_stack+2916,int_stack+1296,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+38799,int_stack+33939,int_stack+30051,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+46575,int_stack+4896,int_stack+2916,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+52515,int_stack+46575,int_stack+33939,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+62235,int_stack+52515,int_stack+38799,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+30051,int_stack+7272,int_stack+4896,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+75195,int_stack+30051,int_stack+46575,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+87075,int_stack+75195,int_stack+52515,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+37179,int_stack+87075,int_stack+62235,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+56619,int_stack+10080,int_stack+7272,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+103275,int_stack+56619,int_stack+30051,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+117531,int_stack+103275,int_stack+75195,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+56619,int_stack+117531,int_stack+87075,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+80919,int_stack+56619,int_stack+37179,36);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+30051,int_stack+14976,int_stack+13356,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+34911,int_stack+17001,int_stack+14976,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+40986,int_stack+34911,int_stack+30051,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+50706,int_stack+19476,int_stack+17001,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+58131,int_stack+50706,int_stack+34911,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+108135,int_stack+58131,int_stack+40986,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+30051,int_stack+22446,int_stack+19476,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+30051,int_stack+50706,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+124335,int_stack+0,int_stack+58131,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+38961,int_stack+124335,int_stack+108135,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+108135,int_stack+25956,int_stack+22446,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+144585,int_stack+108135,int_stack+30051,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+162405,int_stack+144585,int_stack+0,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+162405,int_stack+124335,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+108135,int_stack+0,int_stack+38961,45);
 /*--- compute (kp|kh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+142155,int_stack+108135,int_stack+80919,756);
 return int_stack+142155;}
