#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lfli(Libint_t*, prim_data*);

  /* Computes quartets of (lf|li) integrals */

REALTYPE *hrr_order_lfli(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][8] = int_stack + 0;
 Libint->vrr_classes[8][9] = int_stack + 2025;
 Libint->vrr_classes[8][10] = int_stack + 4500;
 Libint->vrr_classes[8][11] = int_stack + 7470;
 Libint->vrr_classes[8][12] = int_stack + 10980;
 Libint->vrr_classes[8][13] = int_stack + 15075;
 Libint->vrr_classes[8][14] = int_stack + 19800;
 Libint->vrr_classes[9][8] = int_stack + 25200;
 Libint->vrr_classes[9][9] = int_stack + 27675;
 Libint->vrr_classes[9][10] = int_stack + 30700;
 Libint->vrr_classes[9][11] = int_stack + 34330;
 Libint->vrr_classes[9][12] = int_stack + 38620;
 Libint->vrr_classes[9][13] = int_stack + 43625;
 Libint->vrr_classes[9][14] = int_stack + 49400;
 Libint->vrr_classes[10][8] = int_stack + 56000;
 Libint->vrr_classes[10][9] = int_stack + 58970;
 Libint->vrr_classes[10][10] = int_stack + 62600;
 Libint->vrr_classes[10][11] = int_stack + 66956;
 Libint->vrr_classes[10][12] = int_stack + 72104;
 Libint->vrr_classes[10][13] = int_stack + 78110;
 Libint->vrr_classes[10][14] = int_stack + 85040;
 Libint->vrr_classes[11][8] = int_stack + 92960;
 Libint->vrr_classes[11][9] = int_stack + 96470;
 Libint->vrr_classes[11][10] = int_stack + 100760;
 Libint->vrr_classes[11][11] = int_stack + 105908;
 Libint->vrr_classes[11][12] = int_stack + 111992;
 Libint->vrr_classes[11][13] = int_stack + 119090;
 Libint->vrr_classes[11][14] = int_stack + 127280;
 memset(int_stack,0,136640*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 136640;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lfli(Libint, Data);
   Data++;
 }
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+136640,int_stack+2025,int_stack+0,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+142715,int_stack+4500,int_stack+2025,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+150140,int_stack+142715,int_stack+136640,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+162290,int_stack+7470,int_stack+4500,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+171200,int_stack+162290,int_stack+142715,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+186050,int_stack+171200,int_stack+150140,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+136640,int_stack+10980,int_stack+7470,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+206300,int_stack+136640,int_stack+162290,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+224120,int_stack+206300,int_stack+171200,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+147170,int_stack+224120,int_stack+186050,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+177545,int_stack+15075,int_stack+10980,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+248870,int_stack+177545,int_stack+136640,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+269930,int_stack+248870,int_stack+206300,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+299630,int_stack+269930,int_stack+224120,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+189830,int_stack+299630,int_stack+147170,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+136640,int_stack+19800,int_stack+15075,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+150815,int_stack+136640,int_stack+177545,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+336755,int_stack+150815,int_stack+248870,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+136640,int_stack+336755,int_stack+269930,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+232355,int_stack+136640,int_stack+299630,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+284330,int_stack+232355,int_stack+189830,45);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+136640,int_stack+27675,int_stack+25200,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+144065,int_stack+30700,int_stack+27675,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+153140,int_stack+144065,int_stack+136640,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+167990,int_stack+34330,int_stack+30700,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+178880,int_stack+167990,int_stack+144065,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+197030,int_stack+178880,int_stack+153140,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+136640,int_stack+38620,int_stack+34330,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+221780,int_stack+136640,int_stack+167990,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+243560,int_stack+221780,int_stack+178880,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+149510,int_stack+243560,int_stack+197030,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+186635,int_stack+43625,int_stack+38620,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+341030,int_stack+186635,int_stack+136640,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+341030,int_stack+221780,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+366770,int_stack+0,int_stack+243560,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+201650,int_stack+366770,int_stack+149510,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+136640,int_stack+49400,int_stack+43625,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+153965,int_stack+136640,int_stack+186635,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+412145,int_stack+153965,int_stack+341030,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+136640,int_stack+412145,int_stack+0,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+412145,int_stack+136640,int_stack+366770,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+341030,int_stack+412145,int_stack+201650,55);
 /*--- compute (lp|li) ---*/
 hrr1_build_lp(Libint->AB,int_stack+410330,int_stack+341030,int_stack+284330,1260);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+136640,int_stack+58970,int_stack+56000,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+145550,int_stack+62600,int_stack+58970,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+156440,int_stack+145550,int_stack+136640,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+174260,int_stack+66956,int_stack+62600,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+187328,int_stack+174260,int_stack+145550,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+209108,int_stack+187328,int_stack+156440,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+136640,int_stack+72104,int_stack+66956,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+238808,int_stack+136640,int_stack+174260,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+264944,int_stack+238808,int_stack+187328,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+152084,int_stack+264944,int_stack+209108,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+196634,int_stack+78110,int_stack+72104,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+301244,int_stack+196634,int_stack+136640,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+301244,int_stack+238808,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+580430,int_stack+0,int_stack+264944,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+214652,int_stack+580430,int_stack+152084,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+136640,int_stack+85040,int_stack+78110,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+157430,int_stack+136640,int_stack+196634,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+634880,int_stack+157430,int_stack+301244,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+136640,int_stack+634880,int_stack+0,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+136640,int_stack+580430,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+580430,int_stack+0,int_stack+214652,66);
 /*--- compute (mp|li) ---*/
 hrr1_build_mp(Libint->AB,int_stack+663590,int_stack+580430,int_stack+341030,1260);
 /*--- compute (ld|li) ---*/
 hrr1_build_ld(Libint->AB,int_stack+871490,int_stack+663590,int_stack+410330,1260);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+96470,int_stack+92960,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+10530,int_stack+100760,int_stack+96470,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+23400,int_stack+10530,int_stack+0,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+44460,int_stack+105908,int_stack+100760,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+59904,int_stack+44460,int_stack+10530,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+136640,int_stack+59904,int_stack+23400,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+111992,int_stack+105908,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+171740,int_stack+0,int_stack+44460,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+202628,int_stack+171740,int_stack+59904,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+18252,int_stack+202628,int_stack+136640,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+136640,int_stack+119090,int_stack+111992,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+70902,int_stack+136640,int_stack+0,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+245528,int_stack+70902,int_stack+171740,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+297008,int_stack+245528,int_stack+202628,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+157934,int_stack+297008,int_stack+18252,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+127280,int_stack+119090,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+24570,int_stack+0,int_stack+136640,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+361358,int_stack+24570,int_stack+70902,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+361358,int_stack+245528,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+361358,int_stack+0,int_stack+297008,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+361358,int_stack+157934,78);
 /*--- compute (np|li) ---*/
 hrr1_build_np(Libint->AB,int_stack+98280,int_stack+0,int_stack+580430,1260);
 /*--- compute (md|li) ---*/
 hrr1_build_md(Libint->AB,int_stack+1211690,int_stack+98280,int_stack+663590,1260);
 /*--- compute (lf|li) ---*/
 hrr1_build_lf(Libint->AB,int_stack+0,int_stack+1211690,int_stack+871490,1260);
 return int_stack+0;}
