#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lhnm(Libint_t*, prim_data*);

  /* Computes quartets of (lh|nm) integrals */

REALTYPE *hrr_order_lhnm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][10] = int_stack + 0;
 Libint->vrr_classes[8][11] = int_stack + 2970;
 Libint->vrr_classes[8][12] = int_stack + 6480;
 Libint->vrr_classes[8][13] = int_stack + 10575;
 Libint->vrr_classes[8][14] = int_stack + 15300;
 Libint->vrr_classes[8][15] = int_stack + 20700;
 Libint->vrr_classes[8][16] = int_stack + 26820;
 Libint->vrr_classes[8][17] = int_stack + 33705;
 Libint->vrr_classes[8][18] = int_stack + 41400;
 Libint->vrr_classes[8][19] = int_stack + 49950;
 Libint->vrr_classes[9][10] = int_stack + 59400;
 Libint->vrr_classes[9][11] = int_stack + 63030;
 Libint->vrr_classes[9][12] = int_stack + 67320;
 Libint->vrr_classes[9][13] = int_stack + 72325;
 Libint->vrr_classes[9][14] = int_stack + 78100;
 Libint->vrr_classes[9][15] = int_stack + 84700;
 Libint->vrr_classes[9][16] = int_stack + 92180;
 Libint->vrr_classes[9][17] = int_stack + 100595;
 Libint->vrr_classes[9][18] = int_stack + 110000;
 Libint->vrr_classes[9][19] = int_stack + 120450;
 Libint->vrr_classes[10][10] = int_stack + 132000;
 Libint->vrr_classes[10][11] = int_stack + 136356;
 Libint->vrr_classes[10][12] = int_stack + 141504;
 Libint->vrr_classes[10][13] = int_stack + 147510;
 Libint->vrr_classes[10][14] = int_stack + 154440;
 Libint->vrr_classes[10][15] = int_stack + 162360;
 Libint->vrr_classes[10][16] = int_stack + 171336;
 Libint->vrr_classes[10][17] = int_stack + 181434;
 Libint->vrr_classes[10][18] = int_stack + 192720;
 Libint->vrr_classes[10][19] = int_stack + 205260;
 Libint->vrr_classes[11][10] = int_stack + 219120;
 Libint->vrr_classes[11][11] = int_stack + 224268;
 Libint->vrr_classes[11][12] = int_stack + 230352;
 Libint->vrr_classes[11][13] = int_stack + 237450;
 Libint->vrr_classes[11][14] = int_stack + 245640;
 Libint->vrr_classes[11][15] = int_stack + 255000;
 Libint->vrr_classes[11][16] = int_stack + 265608;
 Libint->vrr_classes[11][17] = int_stack + 277542;
 Libint->vrr_classes[11][18] = int_stack + 290880;
 Libint->vrr_classes[11][19] = int_stack + 305700;
 Libint->vrr_classes[12][10] = int_stack + 322080;
 Libint->vrr_classes[12][11] = int_stack + 328086;
 Libint->vrr_classes[12][12] = int_stack + 335184;
 Libint->vrr_classes[12][13] = int_stack + 343465;
 Libint->vrr_classes[12][14] = int_stack + 353020;
 Libint->vrr_classes[12][15] = int_stack + 363940;
 Libint->vrr_classes[12][16] = int_stack + 376316;
 Libint->vrr_classes[12][17] = int_stack + 390239;
 Libint->vrr_classes[12][18] = int_stack + 405800;
 Libint->vrr_classes[12][19] = int_stack + 423090;
 Libint->vrr_classes[13][10] = int_stack + 442200;
 Libint->vrr_classes[13][11] = int_stack + 449130;
 Libint->vrr_classes[13][12] = int_stack + 457320;
 Libint->vrr_classes[13][13] = int_stack + 466875;
 Libint->vrr_classes[13][14] = int_stack + 477900;
 Libint->vrr_classes[13][15] = int_stack + 490500;
 Libint->vrr_classes[13][16] = int_stack + 504780;
 Libint->vrr_classes[13][17] = int_stack + 520845;
 Libint->vrr_classes[13][18] = int_stack + 538800;
 Libint->vrr_classes[13][19] = int_stack + 558750;
 memset(int_stack,0,580800*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 580800;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lhnm(Libint, Data);
   Data++;
 }
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+580800,int_stack+2970,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+589710,int_stack+6480,int_stack+2970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+600240,int_stack+589710,int_stack+580800,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+618060,int_stack+10575,int_stack+6480,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+630345,int_stack+618060,int_stack+589710,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+651405,int_stack+630345,int_stack+600240,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+580800,int_stack+15300,int_stack+10575,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+681105,int_stack+580800,int_stack+618060,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+594975,int_stack+681105,int_stack+630345,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+705675,int_stack+594975,int_stack+651405,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+630075,int_stack+20700,int_stack+15300,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+646275,int_stack+630075,int_stack+580800,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+750225,int_stack+646275,int_stack+681105,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+791175,int_stack+750225,int_stack+594975,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+843825,int_stack+791175,int_stack+705675,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+580800,int_stack+26820,int_stack+20700,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+674625,int_stack+580800,int_stack+630075,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+906195,int_stack+674625,int_stack+646275,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+599160,int_stack+906195,int_stack+750225,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+707025,int_stack+599160,int_stack+791175,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+953445,int_stack+707025,int_stack+843825,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+780735,int_stack+33705,int_stack+26820,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+801390,int_stack+780735,int_stack+580800,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+838110,int_stack+801390,int_stack+674625,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1036605,int_stack+838110,int_stack+906195,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1107480,int_stack+1036605,int_stack+599160,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+580800,int_stack+1107480,int_stack+707025,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1193475,int_stack+580800,int_stack+953445,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+679080,int_stack+41400,int_stack+33705,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+702165,int_stack+679080,int_stack+780735,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+892110,int_stack+702165,int_stack+801390,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+743475,int_stack+892110,int_stack+838110,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1300395,int_stack+743475,int_stack+1036605,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+953310,int_stack+1300395,int_stack+1107480,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1399620,int_stack+953310,int_stack+580800,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1525980,int_stack+1399620,int_stack+1193475,45);
 /*--- compute (l0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+580800,int_stack+49950,int_stack+41400,45);
 /*--- compute (l0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+606450,int_stack+580800,int_stack+679080,45);
 /*--- compute (l0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1067970,int_stack+606450,int_stack+702165,45);
 /*--- compute (l0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+580800,int_stack+1067970,int_stack+892110,45);
 /*--- compute (l0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1067970,int_stack+580800,int_stack+743475,45);
 /*--- compute (l0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+580800,int_stack+1067970,int_stack+1300395,45);
 /*--- compute (l0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1067970,int_stack+580800,int_stack+953310,45);
 /*--- compute (l0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+580800,int_stack+1067970,int_stack+1399620,45);
 /*--- compute (l0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+738750,int_stack+580800,int_stack+1525980,45);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+580800,int_stack+63030,int_stack+59400,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+591690,int_stack+67320,int_stack+63030,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+604560,int_stack+591690,int_stack+580800,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+626340,int_stack+72325,int_stack+67320,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+641355,int_stack+626340,int_stack+591690,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+667095,int_stack+641355,int_stack+604560,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+580800,int_stack+78100,int_stack+72325,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+703395,int_stack+580800,int_stack+626340,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+598125,int_stack+703395,int_stack+641355,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+902100,int_stack+598125,int_stack+667095,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+641025,int_stack+84700,int_stack+78100,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+660825,int_stack+641025,int_stack+580800,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+956550,int_stack+660825,int_stack+703395,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1006600,int_stack+956550,int_stack+598125,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1070950,int_stack+1006600,int_stack+902100,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+902100,int_stack+92180,int_stack+84700,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+580800,int_stack+902100,int_stack+641025,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1147180,int_stack+580800,int_stack+660825,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+620400,int_stack+1147180,int_stack+956550,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1204930,int_stack+620400,int_stack+1006600,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+924540,int_stack+1204930,int_stack+1070950,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1026180,int_stack+100595,int_stack+92180,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1051425,int_stack+1026180,int_stack+902100,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1295020,int_stack+1051425,int_stack+580800,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1361020,int_stack+1295020,int_stack+1147180,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1096305,int_stack+1361020,int_stack+620400,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+580800,int_stack+1096305,int_stack+1204930,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1447645,int_stack+580800,int_stack+924540,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+700920,int_stack+110000,int_stack+100595,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+902100,int_stack+700920,int_stack+1026180,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+952590,int_stack+902100,int_stack+1051425,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+952590,int_stack+1295020,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1201410,int_stack+0,int_stack+1361020,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1578325,int_stack+1201410,int_stack+1096305,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1027390,int_stack+1578325,int_stack+580800,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1718465,int_stack+1027390,int_stack+1447645,55);
 /*--- compute (m0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+580800,int_stack+120450,int_stack+110000,55);
 /*--- compute (m0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+612150,int_stack+580800,int_stack+700920,55);
 /*--- compute (m0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1322685,int_stack+612150,int_stack+902100,55);
 /*--- compute (m0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+580800,int_stack+1322685,int_stack+952590,55);
 /*--- compute (m0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1322685,int_stack+580800,int_stack+0,55);
 /*--- compute (m0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1881815,int_stack+1322685,int_stack+1201410,55);
 /*--- compute (m0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1181830,int_stack+1881815,int_stack+1578325,55);
 /*--- compute (m0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1362010,int_stack+1181830,int_stack+1027390,55);
 /*--- compute (m0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+902100,int_stack+1362010,int_stack+1718465,55);
 /*--- compute (lp|nm) ---*/
 hrr1_build_lp(Libint->AB,int_stack+1101750,int_stack+902100,int_stack+738750,3630);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+136356,int_stack+132000,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13068,int_stack+141504,int_stack+136356,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+28512,int_stack+13068,int_stack+0,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+54648,int_stack+147510,int_stack+141504,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+72666,int_stack+54648,int_stack+13068,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+103554,int_stack+72666,int_stack+28512,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+154440,int_stack+147510,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+580800,int_stack+0,int_stack+54648,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+20790,int_stack+580800,int_stack+72666,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+616836,int_stack+20790,int_stack+103554,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+72270,int_stack+162360,int_stack+154440,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+96030,int_stack+72270,int_stack+0,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+682176,int_stack+96030,int_stack+580800,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+742236,int_stack+682176,int_stack+20790,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1591800,int_stack+742236,int_stack+616836,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+580800,int_stack+171336,int_stack+162360,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+607728,int_stack+580800,int_stack+72270,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+607728,int_stack+96030,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+69300,int_stack+0,int_stack+682176,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1683276,int_stack+69300,int_stack+742236,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+655248,int_stack+1683276,int_stack+1591800,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1591800,int_stack+181434,int_stack+171336,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1622094,int_stack+1591800,int_stack+580800,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+777216,int_stack+1622094,int_stack+607728,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1791384,int_stack+777216,int_stack+0,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1895334,int_stack+1791384,int_stack+69300,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+1895334,int_stack+1683276,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2021460,int_stack+0,int_stack+655248,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+144144,int_stack+192720,int_stack+181434,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+580800,int_stack+144144,int_stack+1591800,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+641388,int_stack+580800,int_stack+1622094,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1591800,int_stack+641388,int_stack+777216,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+731148,int_stack+1591800,int_stack+1791384,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1710600,int_stack+731148,int_stack+1895334,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2178276,int_stack+1710600,int_stack+0,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2363604,int_stack+2178276,int_stack+2021460,66);
 /*--- compute (n0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+0,int_stack+205260,int_stack+192720,66);
 /*--- compute (n0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+37620,int_stack+0,int_stack+144144,66);
 /*--- compute (n0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+105336,int_stack+37620,int_stack+580800,66);
 /*--- compute (n0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1878768,int_stack+105336,int_stack+641388,66);
 /*--- compute (n0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+0,int_stack+1878768,int_stack+1591800,66);
 /*--- compute (n0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1878768,int_stack+0,int_stack+731148,66);
 /*--- compute (n0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+0,int_stack+1878768,int_stack+1710600,66);
 /*--- compute (n0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1591800,int_stack+0,int_stack+2178276,66);
 /*--- compute (n0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1823460,int_stack+1591800,int_stack+2363604,66);
 /*--- compute (mp|nm) ---*/
 hrr1_build_mp(Libint->AB,int_stack+2063040,int_stack+1823460,int_stack+902100,3630);
 /*--- compute (ld|nm) ---*/
 hrr1_build_ld(Libint->AB,int_stack+2661990,int_stack+2063040,int_stack+1101750,3630);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+224268,int_stack+219120,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+15444,int_stack+230352,int_stack+224268,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+33696,int_stack+15444,int_stack+0,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+64584,int_stack+237450,int_stack+230352,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+85878,int_stack+64584,int_stack+15444,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+122382,int_stack+85878,int_stack+33696,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+245640,int_stack+237450,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+173862,int_stack+0,int_stack+64584,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+24570,int_stack+173862,int_stack+85878,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+580800,int_stack+24570,int_stack+122382,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+85410,int_stack+255000,int_stack+245640,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+113490,int_stack+85410,int_stack+0,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+658020,int_stack+113490,int_stack+173862,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+162630,int_stack+658020,int_stack+24570,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+729000,int_stack+162630,int_stack+580800,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+580800,int_stack+265608,int_stack+255000,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+0,int_stack+580800,int_stack+85410,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+837108,int_stack+0,int_stack+113490,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+56160,int_stack+837108,int_stack+658020,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+919008,int_stack+56160,int_stack+162630,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1046772,int_stack+919008,int_stack+729000,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+162630,int_stack+277542,int_stack+265608,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+198432,int_stack+162630,int_stack+580800,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+580800,int_stack+198432,int_stack+0,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+674400,int_stack+580800,int_stack+837108,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1190916,int_stack+674400,int_stack+56160,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1339974,int_stack+1190916,int_stack+919008,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+797250,int_stack+1339974,int_stack+1046772,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+290880,int_stack+277542,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+40014,int_stack+0,int_stack+162630,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+982578,int_stack+40014,int_stack+198432,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+111618,int_stack+982578,int_stack+580800,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1510326,int_stack+111618,int_stack+674400,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+580800,int_stack+1510326,int_stack+1190916,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1088658,int_stack+580800,int_stack+1339974,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+3642090,int_stack+1088658,int_stack+797250,78);
 /*--- compute (o0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+779544,int_stack+305700,int_stack+290880,78);
 /*--- compute (o0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+824004,int_stack+779544,int_stack+0,78);
 /*--- compute (o0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1307682,int_stack+824004,int_stack+40014,78);
 /*--- compute (o0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+779544,int_stack+1307682,int_stack+982578,78);
 /*--- compute (o0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1307682,int_stack+779544,int_stack+111618,78);
 /*--- compute (o0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+779544,int_stack+1307682,int_stack+1510326,78);
 /*--- compute (o0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1307682,int_stack+779544,int_stack+580800,78);
 /*--- compute (o0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+580800,int_stack+1307682,int_stack+1088658,78);
 /*--- compute (o0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+854580,int_stack+580800,int_stack+3642090,78);
 /*--- compute (np|nm) ---*/
 hrr1_build_np(Libint->AB,int_stack+3642090,int_stack+854580,int_stack+1823460,3630);
 /*--- compute (md|nm) ---*/
 hrr1_build_md(Libint->AB,int_stack+4360830,int_stack+3642090,int_stack+2063040,3630);
 /*--- compute (lf|nm) ---*/
 hrr1_build_lf(Libint->AB,int_stack+5558730,int_stack+4360830,int_stack+2661990,3630);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+580800,int_stack+328086,int_stack+322080,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+598818,int_stack+335184,int_stack+328086,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+620112,int_stack+598818,int_stack+580800,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+656148,int_stack+343465,int_stack+335184,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+680991,int_stack+656148,int_stack+598818,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+723579,int_stack+680991,int_stack+620112,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+580800,int_stack+353020,int_stack+343465,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+783639,int_stack+580800,int_stack+656148,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+609465,int_stack+783639,int_stack+680991,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1137720,int_stack+609465,int_stack+723579,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+680445,int_stack+363940,int_stack+353020,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+713205,int_stack+680445,int_stack+580800,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1227810,int_stack+713205,int_stack+783639,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1310620,int_stack+1227810,int_stack+609465,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1417090,int_stack+1310620,int_stack+1137720,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1137720,int_stack+376316,int_stack+363940,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+580800,int_stack+1137720,int_stack+680445,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1543216,int_stack+580800,int_stack+713205,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+646320,int_stack+1543216,int_stack+1227810,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1638766,int_stack+646320,int_stack+1310620,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1174848,int_stack+1638766,int_stack+1417090,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1343016,int_stack+390239,int_stack+376316,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1384785,int_stack+1343016,int_stack+1137720,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1787824,int_stack+1384785,int_stack+580800,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1897024,int_stack+1787824,int_stack+1543216,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1459041,int_stack+1897024,int_stack+646320,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+580800,int_stack+1459041,int_stack+1638766,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2040349,int_stack+580800,int_stack+1174848,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+779544,int_stack+405800,int_stack+390239,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1137720,int_stack+779544,int_stack+1343016,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1221258,int_stack+1137720,int_stack+1384785,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2256565,int_stack+1221258,int_stack+1787824,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1632942,int_stack+2256565,int_stack+1897024,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2420365,int_stack+1632942,int_stack+1459041,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1345018,int_stack+2420365,int_stack+580800,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2652233,int_stack+1345018,int_stack+2040349,91);
 /*--- compute (q0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+580800,int_stack+423090,int_stack+405800,91);
 /*--- compute (q0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+632670,int_stack+580800,int_stack+779544,91);
 /*--- compute (q0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1833597,int_stack+632670,int_stack+1137720,91);
 /*--- compute (q0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+580800,int_stack+1833597,int_stack+1221258,91);
 /*--- compute (q0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1833597,int_stack+580800,int_stack+2256565,91);
 /*--- compute (q0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+580800,int_stack+1833597,int_stack+1632942,91);
 /*--- compute (q0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1600546,int_stack+580800,int_stack+2420365,91);
 /*--- compute (q0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1898662,int_stack+1600546,int_stack+1345018,91);
 /*--- compute (q0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1137720,int_stack+1898662,int_stack+2652233,91);
 /*--- compute (op|nm) ---*/
 hrr1_build_op(Libint->AB,int_stack+1468050,int_stack+1137720,int_stack+854580,3630);
 /*--- compute (nd|nm) ---*/
 hrr1_build_nd(Libint->AB,int_stack+7192230,int_stack+1468050,int_stack+3642090,3630);
 /*--- compute (mf|nm) ---*/
 hrr1_build_mf(Libint->AB,int_stack+2317470,int_stack+7192230,int_stack+4360830,3630);
 /*--- compute (lg|nm) ---*/
 hrr1_build_lg(Libint->AB,int_stack+8629710,int_stack+2317470,int_stack+5558730,3630);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+580800,int_stack+449130,int_stack+442200,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+601590,int_stack+457320,int_stack+449130,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+626160,int_stack+601590,int_stack+580800,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+667740,int_stack+466875,int_stack+457320,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+696405,int_stack+667740,int_stack+601590,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+745545,int_stack+696405,int_stack+626160,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+580800,int_stack+477900,int_stack+466875,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+814845,int_stack+580800,int_stack+667740,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+613875,int_stack+814845,int_stack+696405,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+872175,int_stack+613875,int_stack+745545,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+695775,int_stack+490500,int_stack+477900,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+733575,int_stack+695775,int_stack+580800,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+976125,int_stack+733575,int_stack+814845,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+4313970,int_stack+976125,int_stack+613875,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+4436820,int_stack+4313970,int_stack+872175,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+580800,int_stack+504780,int_stack+490500,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+799725,int_stack+580800,int_stack+695775,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+4582350,int_stack+799725,int_stack+733575,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+623640,int_stack+4582350,int_stack+976125,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+875325,int_stack+623640,int_stack+4313970,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+4692600,int_stack+875325,int_stack+4436820,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+4313970,int_stack+520845,int_stack+504780,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+4362165,int_stack+4313970,int_stack+580800,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+4447845,int_stack+4362165,int_stack+799725,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+4886640,int_stack+4447845,int_stack+4582350,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+5052015,int_stack+4886640,int_stack+623640,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+580800,int_stack+5052015,int_stack+875325,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+810120,int_stack+580800,int_stack+4692600,105);
 /*--- compute (r0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1059600,int_stack+538800,int_stack+520845,105);
 /*--- compute (r0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+4573845,int_stack+1059600,int_stack+4313970,105);
 /*--- compute (r0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+4670235,int_stack+4573845,int_stack+4362165,105);
 /*--- compute (r0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+5252670,int_stack+4670235,int_stack+4447845,105);
 /*--- compute (r0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+4313970,int_stack+5252670,int_stack+4886640,105);
 /*--- compute (r0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+5441670,int_stack+4313970,int_stack+5052015,105);
 /*--- compute (r0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+4813035,int_stack+5441670,int_stack+580800,105);
 /*--- compute (r0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+5709210,int_stack+4813035,int_stack+810120,105);
 /*--- compute (r0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+580800,int_stack+558750,int_stack+538800,105);
 /*--- compute (r0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+640650,int_stack+580800,int_stack+1059600,105);
 /*--- compute (r0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+748380,int_stack+640650,int_stack+4573845,105);
 /*--- compute (r0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+909030,int_stack+748380,int_stack+4670235,105);
 /*--- compute (r0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+4545495,int_stack+909030,int_stack+5252670,105);
 /*--- compute (r0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+5107875,int_stack+4545495,int_stack+4313970,105);
 /*--- compute (r0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+4313970,int_stack+5107875,int_stack+5441670,105);
 /*--- compute (r0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+5107875,int_stack+4313970,int_stack+4813035,105);
 /*--- compute (r0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+4313970,int_stack+5107875,int_stack+5709210,105);
 /*--- compute (qp|nm) ---*/
 hrr1_build_qp(Libint->AB,int_stack+4695120,int_stack+4313970,int_stack+1137720,3630);
 /*--- compute (od|nm) ---*/
 hrr1_build_od(Libint->AB,int_stack+11079960,int_stack+4695120,int_stack+1468050,3630);
 /*--- compute (nf|nm) ---*/
 hrr1_build_nf(Libint->AB,int_stack+4313970,int_stack+11079960,int_stack+7192230,3630);
 /*--- compute (mg|nm) ---*/
 hrr1_build_mg(Libint->AB,int_stack+11079960,int_stack+4313970,int_stack+2317470,3630);
 /*--- compute (lh|nm) ---*/
 hrr1_build_lh(Libint->AB,int_stack+0,int_stack+11079960,int_stack+8629710,3630);
 return int_stack+0;}
