#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mlnm(Libint_t*, prim_data*);

  /* Computes quartets of (ml|nm) integrals */

REALTYPE *hrr_order_mlnm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][10] = int_stack + 0;
 Libint->vrr_classes[9][11] = int_stack + 3630;
 Libint->vrr_classes[9][12] = int_stack + 7920;
 Libint->vrr_classes[9][13] = int_stack + 12925;
 Libint->vrr_classes[9][14] = int_stack + 18700;
 Libint->vrr_classes[9][15] = int_stack + 25300;
 Libint->vrr_classes[9][16] = int_stack + 32780;
 Libint->vrr_classes[9][17] = int_stack + 41195;
 Libint->vrr_classes[9][18] = int_stack + 50600;
 Libint->vrr_classes[9][19] = int_stack + 61050;
 Libint->vrr_classes[10][10] = int_stack + 72600;
 Libint->vrr_classes[10][11] = int_stack + 76956;
 Libint->vrr_classes[10][12] = int_stack + 82104;
 Libint->vrr_classes[10][13] = int_stack + 88110;
 Libint->vrr_classes[10][14] = int_stack + 95040;
 Libint->vrr_classes[10][15] = int_stack + 102960;
 Libint->vrr_classes[10][16] = int_stack + 111936;
 Libint->vrr_classes[10][17] = int_stack + 122034;
 Libint->vrr_classes[10][18] = int_stack + 133320;
 Libint->vrr_classes[10][19] = int_stack + 145860;
 Libint->vrr_classes[11][10] = int_stack + 159720;
 Libint->vrr_classes[11][11] = int_stack + 164868;
 Libint->vrr_classes[11][12] = int_stack + 170952;
 Libint->vrr_classes[11][13] = int_stack + 178050;
 Libint->vrr_classes[11][14] = int_stack + 186240;
 Libint->vrr_classes[11][15] = int_stack + 195600;
 Libint->vrr_classes[11][16] = int_stack + 206208;
 Libint->vrr_classes[11][17] = int_stack + 218142;
 Libint->vrr_classes[11][18] = int_stack + 231480;
 Libint->vrr_classes[11][19] = int_stack + 246300;
 Libint->vrr_classes[12][10] = int_stack + 262680;
 Libint->vrr_classes[12][11] = int_stack + 268686;
 Libint->vrr_classes[12][12] = int_stack + 275784;
 Libint->vrr_classes[12][13] = int_stack + 284065;
 Libint->vrr_classes[12][14] = int_stack + 293620;
 Libint->vrr_classes[12][15] = int_stack + 304540;
 Libint->vrr_classes[12][16] = int_stack + 316916;
 Libint->vrr_classes[12][17] = int_stack + 330839;
 Libint->vrr_classes[12][18] = int_stack + 346400;
 Libint->vrr_classes[12][19] = int_stack + 363690;
 Libint->vrr_classes[13][10] = int_stack + 382800;
 Libint->vrr_classes[13][11] = int_stack + 389730;
 Libint->vrr_classes[13][12] = int_stack + 397920;
 Libint->vrr_classes[13][13] = int_stack + 407475;
 Libint->vrr_classes[13][14] = int_stack + 418500;
 Libint->vrr_classes[13][15] = int_stack + 431100;
 Libint->vrr_classes[13][16] = int_stack + 445380;
 Libint->vrr_classes[13][17] = int_stack + 461445;
 Libint->vrr_classes[13][18] = int_stack + 479400;
 Libint->vrr_classes[13][19] = int_stack + 499350;
 Libint->vrr_classes[14][10] = int_stack + 521400;
 Libint->vrr_classes[14][11] = int_stack + 529320;
 Libint->vrr_classes[14][12] = int_stack + 538680;
 Libint->vrr_classes[14][13] = int_stack + 549600;
 Libint->vrr_classes[14][14] = int_stack + 562200;
 Libint->vrr_classes[14][15] = int_stack + 576600;
 Libint->vrr_classes[14][16] = int_stack + 592920;
 Libint->vrr_classes[14][17] = int_stack + 611280;
 Libint->vrr_classes[14][18] = int_stack + 631800;
 Libint->vrr_classes[14][19] = int_stack + 654600;
 Libint->vrr_classes[15][10] = int_stack + 679800;
 Libint->vrr_classes[15][11] = int_stack + 688776;
 Libint->vrr_classes[15][12] = int_stack + 699384;
 Libint->vrr_classes[15][13] = int_stack + 711760;
 Libint->vrr_classes[15][14] = int_stack + 726040;
 Libint->vrr_classes[15][15] = int_stack + 742360;
 Libint->vrr_classes[15][16] = int_stack + 760856;
 Libint->vrr_classes[15][17] = int_stack + 781664;
 Libint->vrr_classes[15][18] = int_stack + 804920;
 Libint->vrr_classes[15][19] = int_stack + 830760;
 Libint->vrr_classes[16][10] = int_stack + 859320;
 Libint->vrr_classes[16][11] = int_stack + 869418;
 Libint->vrr_classes[16][12] = int_stack + 881352;
 Libint->vrr_classes[16][13] = int_stack + 895275;
 Libint->vrr_classes[16][14] = int_stack + 911340;
 Libint->vrr_classes[16][15] = int_stack + 929700;
 Libint->vrr_classes[16][16] = int_stack + 950508;
 Libint->vrr_classes[16][17] = int_stack + 973917;
 Libint->vrr_classes[16][18] = int_stack + 1000080;
 Libint->vrr_classes[16][19] = int_stack + 1029150;
 Libint->vrr_classes[17][10] = int_stack + 1061280;
 Libint->vrr_classes[17][11] = int_stack + 1072566;
 Libint->vrr_classes[17][12] = int_stack + 1085904;
 Libint->vrr_classes[17][13] = int_stack + 1101465;
 Libint->vrr_classes[17][14] = int_stack + 1119420;
 Libint->vrr_classes[17][15] = int_stack + 1139940;
 Libint->vrr_classes[17][16] = int_stack + 1163196;
 Libint->vrr_classes[17][17] = int_stack + 1189359;
 Libint->vrr_classes[17][18] = int_stack + 1218600;
 Libint->vrr_classes[17][19] = int_stack + 1251090;
 memset(int_stack,0,1287000*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 1287000;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mlnm(Libint, Data);
   Data++;
 }
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1287000,int_stack+3630,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1297890,int_stack+7920,int_stack+3630,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1310760,int_stack+1297890,int_stack+1287000,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1332540,int_stack+12925,int_stack+7920,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1347555,int_stack+1332540,int_stack+1297890,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1373295,int_stack+1347555,int_stack+1310760,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1287000,int_stack+18700,int_stack+12925,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1409595,int_stack+1287000,int_stack+1332540,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1304325,int_stack+1409595,int_stack+1347555,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1439625,int_stack+1304325,int_stack+1373295,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1347225,int_stack+25300,int_stack+18700,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1367025,int_stack+1347225,int_stack+1287000,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1494075,int_stack+1367025,int_stack+1409595,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1544125,int_stack+1494075,int_stack+1304325,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1608475,int_stack+1544125,int_stack+1439625,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1287000,int_stack+32780,int_stack+25300,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1401675,int_stack+1287000,int_stack+1347225,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1684705,int_stack+1401675,int_stack+1367025,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1309440,int_stack+1684705,int_stack+1494075,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1441275,int_stack+1309440,int_stack+1544125,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1742455,int_stack+1441275,int_stack+1608475,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1531365,int_stack+41195,int_stack+32780,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1556610,int_stack+1531365,int_stack+1287000,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1601490,int_stack+1556610,int_stack+1401675,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1844095,int_stack+1601490,int_stack+1684705,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1930720,int_stack+1844095,int_stack+1309440,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1287000,int_stack+1930720,int_stack+1441275,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2035825,int_stack+1287000,int_stack+1742455,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1407120,int_stack+50600,int_stack+41195,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1435335,int_stack+1407120,int_stack+1531365,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1667490,int_stack+1435335,int_stack+1556610,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1485825,int_stack+1667490,int_stack+1601490,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2166505,int_stack+1485825,int_stack+1844095,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1742290,int_stack+2166505,int_stack+1930720,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2287780,int_stack+1742290,int_stack+1287000,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2442220,int_stack+2287780,int_stack+2035825,55);
 /*--- compute (m0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+1287000,int_stack+61050,int_stack+50600,55);
 /*--- compute (m0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+1318350,int_stack+1287000,int_stack+1407120,55);
 /*--- compute (m0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1882430,int_stack+1318350,int_stack+1435335,55);
 /*--- compute (m0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1287000,int_stack+1882430,int_stack+1667490,55);
 /*--- compute (m0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1882430,int_stack+1287000,int_stack+1485825,55);
 /*--- compute (m0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1287000,int_stack+1882430,int_stack+2166505,55);
 /*--- compute (m0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1882430,int_stack+1287000,int_stack+1742290,55);
 /*--- compute (m0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1287000,int_stack+1882430,int_stack+2287780,55);
 /*--- compute (m0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1480050,int_stack+1287000,int_stack+2442220,55);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1287000,int_stack+76956,int_stack+72600,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1300068,int_stack+82104,int_stack+76956,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1315512,int_stack+1300068,int_stack+1287000,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1341648,int_stack+88110,int_stack+82104,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1359666,int_stack+1341648,int_stack+1300068,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1390554,int_stack+1359666,int_stack+1315512,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1287000,int_stack+95040,int_stack+88110,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1434114,int_stack+1287000,int_stack+1341648,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1307790,int_stack+1434114,int_stack+1359666,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1679700,int_stack+1307790,int_stack+1390554,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1359270,int_stack+102960,int_stack+95040,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1383030,int_stack+1359270,int_stack+1287000,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1745040,int_stack+1383030,int_stack+1434114,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1805100,int_stack+1745040,int_stack+1307790,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1882320,int_stack+1805100,int_stack+1679700,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1679700,int_stack+111936,int_stack+102960,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1287000,int_stack+1679700,int_stack+1359270,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1973796,int_stack+1287000,int_stack+1383030,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1334520,int_stack+1973796,int_stack+1745040,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2043096,int_stack+1334520,int_stack+1805100,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1706628,int_stack+2043096,int_stack+1882320,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1828596,int_stack+122034,int_stack+111936,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1858890,int_stack+1828596,int_stack+1679700,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2151204,int_stack+1858890,int_stack+1287000,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2230404,int_stack+2151204,int_stack+1973796,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1912746,int_stack+2230404,int_stack+1334520,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1287000,int_stack+1912746,int_stack+2043096,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2334354,int_stack+1287000,int_stack+1706628,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1431144,int_stack+133320,int_stack+122034,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1679700,int_stack+1431144,int_stack+1828596,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1740288,int_stack+1679700,int_stack+1858890,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+1740288,int_stack+2151204,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2038872,int_stack+0,int_stack+2230404,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2491170,int_stack+2038872,int_stack+1912746,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1830048,int_stack+2491170,int_stack+1287000,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2659338,int_stack+1830048,int_stack+2334354,66);
 /*--- compute (n0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+1287000,int_stack+145860,int_stack+133320,66);
 /*--- compute (n0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+1324620,int_stack+1287000,int_stack+1431144,66);
 /*--- compute (n0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+2184402,int_stack+1324620,int_stack+1679700,66);
 /*--- compute (n0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1287000,int_stack+2184402,int_stack+1740288,66);
 /*--- compute (n0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+2184402,int_stack+1287000,int_stack+0,66);
 /*--- compute (n0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+2855358,int_stack+2184402,int_stack+2038872,66);
 /*--- compute (n0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+2015376,int_stack+2855358,int_stack+2491170,66);
 /*--- compute (n0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+2231592,int_stack+2015376,int_stack+1830048,66);
 /*--- compute (n0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1679700,int_stack+2231592,int_stack+2659338,66);
 /*--- compute (mp|nm) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1919280,int_stack+1679700,int_stack+1480050,3630);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+164868,int_stack+159720,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+15444,int_stack+170952,int_stack+164868,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+33696,int_stack+15444,int_stack+0,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+64584,int_stack+178050,int_stack+170952,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+85878,int_stack+64584,int_stack+15444,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+122382,int_stack+85878,int_stack+33696,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+186240,int_stack+178050,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1287000,int_stack+0,int_stack+64584,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+24570,int_stack+1287000,int_stack+85878,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1329588,int_stack+24570,int_stack+122382,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+85410,int_stack+195600,int_stack+186240,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+113490,int_stack+85410,int_stack+0,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1406808,int_stack+113490,int_stack+1287000,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1477788,int_stack+1406808,int_stack+24570,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1569048,int_stack+1477788,int_stack+1329588,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1287000,int_stack+206208,int_stack+195600,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1318824,int_stack+1287000,int_stack+85410,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+1318824,int_stack+113490,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+81900,int_stack+0,int_stack+1406808,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2518230,int_stack+81900,int_stack+1477788,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1374984,int_stack+2518230,int_stack+1569048,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1519128,int_stack+218142,int_stack+206208,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1554930,int_stack+1519128,int_stack+1287000,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2645994,int_stack+1554930,int_stack+1318824,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2739594,int_stack+2645994,int_stack+0,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2862444,int_stack+2739594,int_stack+81900,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+2862444,int_stack+2518230,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+3011502,int_stack+0,int_stack+1374984,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+2518230,int_stack+231480,int_stack+218142,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+2558244,int_stack+2518230,int_stack+1519128,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1287000,int_stack+2558244,int_stack+1554930,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1393080,int_stack+1287000,int_stack+2645994,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+3196830,int_stack+1393080,int_stack+2739594,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2629848,int_stack+3196830,int_stack+2862444,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+3368820,int_stack+2629848,int_stack+0,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+3587844,int_stack+3368820,int_stack+3011502,78);
 /*--- compute (o0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+0,int_stack+246300,int_stack+231480,78);
 /*--- compute (o0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+44460,int_stack+0,int_stack+2518230,78);
 /*--- compute (o0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+124488,int_stack+44460,int_stack+2558244,78);
 /*--- compute (o0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+2828592,int_stack+124488,int_stack+1287000,78);
 /*--- compute (o0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+0,int_stack+2828592,int_stack+1393080,78);
 /*--- compute (o0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+2828592,int_stack+0,int_stack+3196830,78);
 /*--- compute (o0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+0,int_stack+2828592,int_stack+2629848,78);
 /*--- compute (o0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1287000,int_stack+0,int_stack+3368820,78);
 /*--- compute (o0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+2518230,int_stack+1287000,int_stack+3587844,78);
 /*--- compute (np|nm) ---*/
 hrr1_build_np(Libint->AB,int_stack+2801370,int_stack+2518230,int_stack+1679700,3630);
 /*--- compute (md|nm) ---*/
 hrr1_build_md(Libint->AB,int_stack+3520110,int_stack+2801370,int_stack+1919280,3630);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1287000,int_stack+268686,int_stack+262680,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1305018,int_stack+275784,int_stack+268686,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1326312,int_stack+1305018,int_stack+1287000,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1362348,int_stack+284065,int_stack+275784,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1387191,int_stack+1362348,int_stack+1305018,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1429779,int_stack+1387191,int_stack+1326312,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1287000,int_stack+293620,int_stack+284065,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1489839,int_stack+1287000,int_stack+1362348,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1315665,int_stack+1489839,int_stack+1387191,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1539525,int_stack+1315665,int_stack+1429779,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1386645,int_stack+304540,int_stack+293620,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1419405,int_stack+1386645,int_stack+1287000,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1629615,int_stack+1419405,int_stack+1489839,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1712425,int_stack+1629615,int_stack+1315665,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1818895,int_stack+1712425,int_stack+1539525,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1287000,int_stack+316916,int_stack+304540,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1476735,int_stack+1287000,int_stack+1386645,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1945021,int_stack+1476735,int_stack+1419405,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1324128,int_stack+1945021,int_stack+1629615,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1542255,int_stack+1324128,int_stack+1712425,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2040571,int_stack+1542255,int_stack+1818895,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1691313,int_stack+330839,int_stack+316916,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1733082,int_stack+1691313,int_stack+1287000,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1807338,int_stack+1733082,int_stack+1476735,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2208739,int_stack+1807338,int_stack+1945021,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+2208739,int_stack+1324128,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1287000,int_stack+0,int_stack+1542255,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+4718010,int_stack+1287000,int_stack+2040571,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1485744,int_stack+346400,int_stack+330839,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1532427,int_stack+1485744,int_stack+1691313,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1916538,int_stack+1532427,int_stack+1733082,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1615965,int_stack+1916538,int_stack+1807338,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+4934226,int_stack+1615965,int_stack+2208739,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2040298,int_stack+4934226,int_stack+0,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+2040298,int_stack+1287000,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+5134881,int_stack+0,int_stack+4718010,91);
 /*--- compute (q0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+4718010,int_stack+363690,int_stack+346400,91);
 /*--- compute (q0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+4769880,int_stack+4718010,int_stack+1485744,91);
 /*--- compute (q0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1287000,int_stack+4769880,int_stack+1532427,91);
 /*--- compute (q0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+4718010,int_stack+1287000,int_stack+1916538,91);
 /*--- compute (q0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1287000,int_stack+4718010,int_stack+1615965,91);
 /*--- compute (q0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1516320,int_stack+1287000,int_stack+4934226,91);
 /*--- compute (q0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+4718010,int_stack+1516320,int_stack+2040298,91);
 /*--- compute (q0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1287000,int_stack+4718010,int_stack+0,91);
 /*--- compute (q0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+0,int_stack+1287000,int_stack+5134881,91);
 /*--- compute (op|nm) ---*/
 hrr1_build_op(Libint->AB,int_stack+1287000,int_stack+0,int_stack+2518230,3630);
 /*--- compute (nd|nm) ---*/
 hrr1_build_nd(Libint->AB,int_stack+4718010,int_stack+1287000,int_stack+2801370,3630);
 /*--- compute (mf|nm) ---*/
 hrr1_build_mf(Libint->AB,int_stack+6155490,int_stack+4718010,int_stack+3520110,3630);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+2136420,int_stack+389730,int_stack+382800,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+2157210,int_stack+397920,int_stack+389730,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+2181780,int_stack+2157210,int_stack+2136420,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+2223360,int_stack+407475,int_stack+397920,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+2252025,int_stack+2223360,int_stack+2157210,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+2301165,int_stack+2252025,int_stack+2181780,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+2136420,int_stack+418500,int_stack+407475,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+2370465,int_stack+2136420,int_stack+2223360,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+2169495,int_stack+2370465,int_stack+2252025,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+2427795,int_stack+2169495,int_stack+2301165,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+2251395,int_stack+431100,int_stack+418500,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+2289195,int_stack+2251395,int_stack+2136420,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2531745,int_stack+2289195,int_stack+2370465,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2627295,int_stack+2531745,int_stack+2169495,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2750145,int_stack+2627295,int_stack+2427795,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+2136420,int_stack+445380,int_stack+431100,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+2355345,int_stack+2136420,int_stack+2251395,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2895675,int_stack+2355345,int_stack+2289195,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+2179260,int_stack+2895675,int_stack+2531745,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2430945,int_stack+2179260,int_stack+2627295,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+3005925,int_stack+2430945,int_stack+2750145,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+2602935,int_stack+461445,int_stack+445380,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+2651130,int_stack+2602935,int_stack+2136420,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2736810,int_stack+2651130,int_stack+2355345,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+3199965,int_stack+2736810,int_stack+2895675,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+3365340,int_stack+3199965,int_stack+2179260,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+2136420,int_stack+3365340,int_stack+2430945,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+3565995,int_stack+2136420,int_stack+3005925,105);
 /*--- compute (r0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+2365740,int_stack+479400,int_stack+461445,105);
 /*--- compute (r0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+2419605,int_stack+2365740,int_stack+2602935,105);
 /*--- compute (r0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2862810,int_stack+2419605,int_stack+2651130,105);
 /*--- compute (r0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2515995,int_stack+2862810,int_stack+2736810,105);
 /*--- compute (r0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+3815475,int_stack+2515995,int_stack+3199965,105);
 /*--- compute (r0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+3005610,int_stack+3815475,int_stack+3365340,105);
 /*--- compute (r0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+4047000,int_stack+3005610,int_stack+2136420,105);
 /*--- compute (r0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+4341840,int_stack+4047000,int_stack+3565995,105);
 /*--- compute (r0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+2136420,int_stack+499350,int_stack+479400,105);
 /*--- compute (r0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+2196270,int_stack+2136420,int_stack+2365740,105);
 /*--- compute (r0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+3273150,int_stack+2196270,int_stack+2419605,105);
 /*--- compute (r0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+2136420,int_stack+3273150,int_stack+2862810,105);
 /*--- compute (r0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+3273150,int_stack+2136420,int_stack+2515995,105);
 /*--- compute (r0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+2136420,int_stack+3273150,int_stack+3815475,105);
 /*--- compute (r0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+3273150,int_stack+2136420,int_stack+3005610,105);
 /*--- compute (r0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+2136420,int_stack+3273150,int_stack+4047000,105);
 /*--- compute (r0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+2504970,int_stack+2136420,int_stack+4341840,105);
 /*--- compute (qp|nm) ---*/
 hrr1_build_qp(Libint->AB,int_stack+2886120,int_stack+2504970,int_stack+0,3630);
 /*--- compute (od|nm) ---*/
 hrr1_build_od(Libint->AB,int_stack+8151990,int_stack+2886120,int_stack+1287000,3630);
 /*--- compute (nf|nm) ---*/
 hrr1_build_nf(Libint->AB,int_stack+9850830,int_stack+8151990,int_stack+4718010,3630);
 /*--- compute (mg|nm) ---*/
 hrr1_build_mg(Libint->AB,int_stack+12246630,int_stack+9850830,int_stack+6155490,3630);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1287000,int_stack+529320,int_stack+521400,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1310760,int_stack+538680,int_stack+529320,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1338840,int_stack+1310760,int_stack+1287000,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1386360,int_stack+549600,int_stack+538680,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1419120,int_stack+1386360,int_stack+1310760,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1475280,int_stack+1419120,int_stack+1338840,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1287000,int_stack+562200,int_stack+549600,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1554480,int_stack+1287000,int_stack+1386360,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1324800,int_stack+1554480,int_stack+1419120,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1620000,int_stack+1324800,int_stack+1475280,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1418400,int_stack+576600,int_stack+562200,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1461600,int_stack+1418400,int_stack+1287000,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1738800,int_stack+1461600,int_stack+1554480,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1848000,int_stack+1738800,int_stack+1324800,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1988400,int_stack+1848000,int_stack+1620000,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1287000,int_stack+592920,int_stack+576600,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1537200,int_stack+1287000,int_stack+1418400,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2154720,int_stack+1537200,int_stack+1461600,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1335960,int_stack+2154720,int_stack+1738800,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1623600,int_stack+1335960,int_stack+1848000,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2280720,int_stack+1623600,int_stack+1988400,120);
 /*--- compute (t0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1820160,int_stack+611280,int_stack+592920,120);
 /*--- compute (t0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1875240,int_stack+1820160,int_stack+1287000,120);
 /*--- compute (t0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1973160,int_stack+1875240,int_stack+1537200,120);
 /*--- compute (t0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+1973160,int_stack+2154720,120);
 /*--- compute (t0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+189000,int_stack+0,int_stack+1335960,120);
 /*--- compute (t0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1287000,int_stack+189000,int_stack+1623600,120);
 /*--- compute (t0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+3877110,int_stack+1287000,int_stack+2280720,120);
 /*--- compute (t0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1549080,int_stack+631800,int_stack+611280,120);
 /*--- compute (t0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1610640,int_stack+1549080,int_stack+1820160,120);
 /*--- compute (t0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2117160,int_stack+1610640,int_stack+1875240,120);
 /*--- compute (t0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1720800,int_stack+2117160,int_stack+1973160,120);
 /*--- compute (t0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+4162230,int_stack+1720800,int_stack+0,120);
 /*--- compute (t0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+4426830,int_stack+4162230,int_stack+189000,120);
 /*--- compute (t0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+4426830,int_stack+1287000,120);
 /*--- compute (t0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+4732590,int_stack+0,int_stack+3877110,120);
 /*--- compute (t0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+3877110,int_stack+654600,int_stack+631800,120);
 /*--- compute (t0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+3945510,int_stack+3877110,int_stack+1549080,120);
 /*--- compute (t0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1287000,int_stack+3945510,int_stack+1610640,120);
 /*--- compute (t0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+3877110,int_stack+1287000,int_stack+2117160,120);
 /*--- compute (t0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1287000,int_stack+3877110,int_stack+1720800,120);
 /*--- compute (t0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1589400,int_stack+1287000,int_stack+4162230,120);
 /*--- compute (t0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+3877110,int_stack+1589400,int_stack+4426830,120);
 /*--- compute (t0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1287000,int_stack+3877110,int_stack+0,120);
 /*--- compute (t0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+0,int_stack+1287000,int_stack+4732590,120);
 /*--- compute (rp|nm) ---*/
 hrr1_build_rp(Libint->AB,int_stack+1287000,int_stack+0,int_stack+2504970,3630);
 /*--- compute (qd|nm) ---*/
 hrr1_build_qd(Libint->AB,int_stack+3877110,int_stack+1287000,int_stack+2886120,3630);
 /*--- compute (of|nm) ---*/
 hrr1_build_of(Libint->AB,int_stack+15241380,int_stack+3877110,int_stack+8151990,3630);
 /*--- compute (ng|nm) ---*/
 hrr1_build_ng(Libint->AB,int_stack+5859090,int_stack+15241380,int_stack+9850830,3630);
 /*--- compute (mh|nm) ---*/
 hrr1_build_mh(Libint->AB,int_stack+18072780,int_stack+5859090,int_stack+12246630,3630);
 /*--- compute (u0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+2430450,int_stack+688776,int_stack+679800,136);
 /*--- compute (u0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+2457378,int_stack+699384,int_stack+688776,136);
 /*--- compute (u0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+2489202,int_stack+2457378,int_stack+2430450,136);
 /*--- compute (u0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+2543058,int_stack+711760,int_stack+699384,136);
 /*--- compute (u0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+2580186,int_stack+2543058,int_stack+2457378,136);
 /*--- compute (u0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+2643834,int_stack+2580186,int_stack+2489202,136);
 /*--- compute (u0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+2430450,int_stack+726040,int_stack+711760,136);
 /*--- compute (u0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+2733594,int_stack+2430450,int_stack+2543058,136);
 /*--- compute (u0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+2473290,int_stack+2733594,int_stack+2580186,136);
 /*--- compute (u0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+2807850,int_stack+2473290,int_stack+2643834,136);
 /*--- compute (u0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+2579370,int_stack+742360,int_stack+726040,136);
 /*--- compute (u0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+2628330,int_stack+2579370,int_stack+2430450,136);
 /*--- compute (u0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2942490,int_stack+2628330,int_stack+2733594,136);
 /*--- compute (u0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+3066250,int_stack+2942490,int_stack+2473290,136);
 /*--- compute (u0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+3225370,int_stack+3066250,int_stack+2807850,136);
 /*--- compute (u0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+2430450,int_stack+760856,int_stack+742360,136);
 /*--- compute (u0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+2714010,int_stack+2430450,int_stack+2579370,136);
 /*--- compute (u0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+3413866,int_stack+2714010,int_stack+2628330,136);
 /*--- compute (u0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+2485938,int_stack+3413866,int_stack+2942490,136);
 /*--- compute (u0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2811930,int_stack+2485938,int_stack+3066250,136);
 /*--- compute (u0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+3556666,int_stack+2811930,int_stack+3225370,136);
 /*--- compute (u0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+3034698,int_stack+781664,int_stack+760856,136);
 /*--- compute (u0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+3097122,int_stack+3034698,int_stack+2430450,136);
 /*--- compute (u0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+3208098,int_stack+3097122,int_stack+2714010,136);
 /*--- compute (u0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+435600,int_stack+3208098,int_stack+3413866,136);
 /*--- compute (u0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+9452790,int_stack+435600,int_stack+2485938,136);
 /*--- compute (u0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+2430450,int_stack+9452790,int_stack+2811930,136);
 /*--- compute (u0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+9712686,int_stack+2430450,int_stack+3556666,136);
 /*--- compute (u0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+2727474,int_stack+804920,int_stack+781664,136);
 /*--- compute (u0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+2797242,int_stack+2727474,int_stack+3034698,136);
 /*--- compute (u0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+3371298,int_stack+2797242,int_stack+3097122,136);
 /*--- compute (u0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2922090,int_stack+3371298,int_stack+3208098,136);
 /*--- compute (u0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+3556258,int_stack+2922090,int_stack+435600,136);
 /*--- compute (u0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+435600,int_stack+3556258,int_stack+9452790,136);
 /*--- compute (u0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+10035822,int_stack+435600,int_stack+2430450,136);
 /*--- compute (u0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+10417710,int_stack+10035822,int_stack+9712686,136);
 /*--- compute (u0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+2430450,int_stack+830760,int_stack+804920,136);
 /*--- compute (u0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+2507970,int_stack+2430450,int_stack+2727474,136);
 /*--- compute (u0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+9452790,int_stack+2507970,int_stack+2797242,136);
 /*--- compute (u0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+2430450,int_stack+9452790,int_stack+3371298,136);
 /*--- compute (u0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+9452790,int_stack+2430450,int_stack+2922090,136);
 /*--- compute (u0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+2430450,int_stack+9452790,int_stack+3556258,136);
 /*--- compute (u0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+9452790,int_stack+2430450,int_stack+435600,136);
 /*--- compute (u0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+2430450,int_stack+9452790,int_stack+10035822,136);
 /*--- compute (u0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+9452790,int_stack+2430450,int_stack+10417710,136);
 /*--- compute (tp|nm) ---*/
 hrr1_build_tp(Libint->AB,int_stack+2430450,int_stack+9452790,int_stack+0,3630);
 /*--- compute (rd|nm) ---*/
 hrr1_build_rd(Libint->AB,int_stack+9946470,int_stack+2430450,int_stack+1287000,3630);
 /*--- compute (qf|nm) ---*/
 hrr1_build_qf(Libint->AB,int_stack+22265430,int_stack+9946470,int_stack+3877110,3630);
 /*--- compute (og|nm) ---*/
 hrr1_build_og(Libint->AB,int_stack+25568730,int_stack+22265430,int_stack+15241380,3630);
 /*--- compute (nh|nm) ---*/
 hrr1_build_nh(Libint->AB,int_stack+12233370,int_stack+25568730,int_stack+5859090,3630);
 /*--- compute (mi|nm) ---*/
 hrr1_build_mi(Libint->AB,int_stack+3737250,int_stack+12233370,int_stack+18072780,3630);
 /*--- compute (v0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1287000,int_stack+869418,int_stack+859320,153);
 /*--- compute (v0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1317294,int_stack+881352,int_stack+869418,153);
 /*--- compute (v0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1353096,int_stack+1317294,int_stack+1287000,153);
 /*--- compute (v0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1413684,int_stack+895275,int_stack+881352,153);
 /*--- compute (v0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1455453,int_stack+1413684,int_stack+1317294,153);
 /*--- compute (v0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1527057,int_stack+1455453,int_stack+1353096,153);
 /*--- compute (v0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1287000,int_stack+911340,int_stack+895275,153);
 /*--- compute (v0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1628037,int_stack+1287000,int_stack+1413684,153);
 /*--- compute (v0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1335195,int_stack+1628037,int_stack+1455453,153);
 /*--- compute (v0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1711575,int_stack+1335195,int_stack+1527057,153);
 /*--- compute (v0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1454535,int_stack+929700,int_stack+911340,153);
 /*--- compute (v0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1509615,int_stack+1454535,int_stack+1287000,153);
 /*--- compute (v0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1863045,int_stack+1509615,int_stack+1628037,153);
 /*--- compute (v0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2002275,int_stack+1863045,int_stack+1335195,153);
 /*--- compute (v0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2181285,int_stack+2002275,int_stack+1711575,153);
 /*--- compute (v0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1287000,int_stack+950508,int_stack+929700,153);
 /*--- compute (v0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1606005,int_stack+1287000,int_stack+1454535,153);
 /*--- compute (v0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+1606005,int_stack+1509615,153);
 /*--- compute (v0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1349424,int_stack+0,int_stack+1863045,153);
 /*--- compute (v0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1716165,int_stack+1349424,int_stack+2002275,153);
 /*--- compute (v0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+160650,int_stack+1716165,int_stack+2181285,153);
 /*--- compute (v0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1966779,int_stack+973917,int_stack+950508,153);
 /*--- compute (v0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+2037006,int_stack+1966779,int_stack+1287000,153);
 /*--- compute (v0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2161854,int_stack+2037006,int_stack+1606005,153);
 /*--- compute (v0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+443394,int_stack+2161854,int_stack+0,153);
 /*--- compute (v0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+17264550,int_stack+443394,int_stack+1349424,153);
 /*--- compute (v0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1287000,int_stack+17264550,int_stack+1716165,153);
 /*--- compute (v0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+17556933,int_stack+1287000,int_stack+160650,153);
 /*--- compute (v0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+1000080,int_stack+973917,153);
 /*--- compute (v0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+78489,int_stack+0,int_stack+1966779,153);
 /*--- compute (v0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+218943,int_stack+78489,int_stack+2037006,153);
 /*--- compute (v0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1621152,int_stack+218943,int_stack+2161854,153);
 /*--- compute (v0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1896552,int_stack+1621152,int_stack+443394,153);
 /*--- compute (v0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+427023,int_stack+1896552,int_stack+17264550,153);
 /*--- compute (v0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+17920461,int_stack+427023,int_stack+1287000,153);
 /*--- compute (v0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+18350085,int_stack+17920461,int_stack+17556933,153);
 /*--- compute (v0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+1287000,int_stack+1029150,int_stack+1000080,153);
 /*--- compute (v0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+1374210,int_stack+1287000,int_stack+0,153);
 /*--- compute (v0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+17264550,int_stack+1374210,int_stack+78489,153);
 /*--- compute (v0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1287000,int_stack+17264550,int_stack+218943,153);
 /*--- compute (v0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+17264550,int_stack+1287000,int_stack+1621152,153);
 /*--- compute (v0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1287000,int_stack+17264550,int_stack+1896552,153);
 /*--- compute (v0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+17264550,int_stack+1287000,int_stack+427023,153);
 /*--- compute (v0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1287000,int_stack+17264550,int_stack+17920461,153);
 /*--- compute (v0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+17264550,int_stack+1287000,int_stack+18350085,153);
 /*--- compute (up|nm) ---*/
 hrr1_build_up(Libint->AB,int_stack+17819940,int_stack+17264550,int_stack+9452790,3630);
 /*--- compute (td|nm) ---*/
 hrr1_build_td(Libint->AB,int_stack+19300980,int_stack+17819940,int_stack+2430450,3630);
 /*--- compute (rf|nm) ---*/
 hrr1_build_rf(Libint->AB,int_stack+29815830,int_stack+19300980,int_stack+9946470,3630);
 /*--- compute (qg|nm) ---*/
 hrr1_build_qg(Libint->AB,int_stack+33627330,int_stack+29815830,int_stack+22265430,3630);
 /*--- compute (oh|nm) ---*/
 hrr1_build_oh(Libint->AB,int_stack+38582280,int_stack+33627330,int_stack+25568730,3630);
 /*--- compute (ni|nm) ---*/
 hrr1_build_ni(Libint->AB,int_stack+21914580,int_stack+38582280,int_stack+12233370,3630);
 /*--- compute (mk|nm) ---*/
 hrr1_build_mk(Libint->AB,int_stack+9327450,int_stack+21914580,int_stack+3737250,3630);
 /*--- compute (w0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1287000,int_stack+1072566,int_stack+1061280,171);
 /*--- compute (w0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1320858,int_stack+1085904,int_stack+1072566,171);
 /*--- compute (w0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1360872,int_stack+1320858,int_stack+1287000,171);
 /*--- compute (w0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1428588,int_stack+1101465,int_stack+1085904,171);
 /*--- compute (w0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1475271,int_stack+1428588,int_stack+1320858,171);
 /*--- compute (w0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1555299,int_stack+1475271,int_stack+1360872,171);
 /*--- compute (w0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1287000,int_stack+1119420,int_stack+1101465,171);
 /*--- compute (w0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1668159,int_stack+1287000,int_stack+1428588,171);
 /*--- compute (w0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1340865,int_stack+1668159,int_stack+1475271,171);
 /*--- compute (w0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1761525,int_stack+1340865,int_stack+1555299,171);
 /*--- compute (w0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1474245,int_stack+1139940,int_stack+1119420,171);
 /*--- compute (w0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1535805,int_stack+1474245,int_stack+1287000,171);
 /*--- compute (w0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1930815,int_stack+1535805,int_stack+1668159,171);
 /*--- compute (w0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2086425,int_stack+1930815,int_stack+1340865,171);
 /*--- compute (w0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2286495,int_stack+2086425,int_stack+1761525,171);
 /*--- compute (w0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1287000,int_stack+1163196,int_stack+1139940,171);
 /*--- compute (w0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1643535,int_stack+1287000,int_stack+1474245,171);
 /*--- compute (w0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2523501,int_stack+1643535,int_stack+1535805,171);
 /*--- compute (w0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1356768,int_stack+2523501,int_stack+1930815,171);
 /*--- compute (w0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1766655,int_stack+1356768,int_stack+2086425,171);
 /*--- compute (w0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2703051,int_stack+1766655,int_stack+2286495,171);
 /*--- compute (w0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+2046753,int_stack+1189359,int_stack+1163196,171);
 /*--- compute (w0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+2125242,int_stack+2046753,int_stack+1287000,171);
 /*--- compute (w0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2264778,int_stack+2125242,int_stack+1643535,171);
 /*--- compute (w0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+3019059,int_stack+2264778,int_stack+2523501,171);
 /*--- compute (w0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+3288384,int_stack+3019059,int_stack+1356768,171);
 /*--- compute (w0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1287000,int_stack+3288384,int_stack+1766655,171);
 /*--- compute (w0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+3615165,int_stack+1287000,int_stack+2703051,171);
 /*--- compute (w0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1660464,int_stack+1218600,int_stack+1189359,171);
 /*--- compute (w0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1748187,int_stack+1660464,int_stack+2046753,171);
 /*--- compute (w0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2469978,int_stack+1748187,int_stack+2125242,171);
 /*--- compute (w0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1905165,int_stack+2469978,int_stack+2264778,171);
 /*--- compute (w0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+4021461,int_stack+1905165,int_stack+3019059,171);
 /*--- compute (w0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2702538,int_stack+4021461,int_stack+3288384,171);
 /*--- compute (w0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+4398516,int_stack+2702538,int_stack+1287000,171);
 /*--- compute (w0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+4878684,int_stack+4398516,int_stack+3615165,171);
 /*--- compute (w0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+1287000,int_stack+1251090,int_stack+1218600,171);
 /*--- compute (w0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+1384470,int_stack+1287000,int_stack+1660464,171);
 /*--- compute (w0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+3138246,int_stack+1384470,int_stack+1748187,171);
 /*--- compute (w0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+3399876,int_stack+3138246,int_stack+2469978,171);
 /*--- compute (w0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+2212965,int_stack+3399876,int_stack+1905165,171);
 /*--- compute (w0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+3138246,int_stack+2212965,int_stack+4021461,171);
 /*--- compute (w0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+3640986,int_stack+3138246,int_stack+2702538,171);
 /*--- compute (w0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+5386554,int_stack+3640986,int_stack+4398516,171);
 /*--- compute (w0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+5986764,int_stack+5386554,int_stack+4878684,171);
 /*--- compute (vp|nm) ---*/
 hrr1_build_vp(Libint->AB,int_stack+6607494,int_stack+5986764,int_stack+17264550,3630);
 /*--- compute (ud|nm) ---*/
 hrr1_build_ud(Libint->AB,int_stack+0,int_stack+6607494,int_stack+17819940,3630);
 /*--- compute (tf|nm) ---*/
 hrr1_build_tf(Libint->AB,int_stack+2962080,int_stack+0,int_stack+19300980,3630);
 /*--- compute (rg|nm) ---*/
 hrr1_build_rg(Libint->AB,int_stack+44528220,int_stack+2962080,int_stack+29815830,3630);
 /*--- compute (qh|nm) ---*/
 hrr1_build_qh(Libint->AB,int_stack+0,int_stack+44528220,int_stack+33627330,3630);
 /*--- compute (oi|nm) ---*/
 hrr1_build_oi(Libint->AB,int_stack+28622820,int_stack+0,int_stack+38582280,3630);
 /*--- compute (nk|nm) ---*/
 hrr1_build_nk(Libint->AB,int_stack+0,int_stack+28622820,int_stack+21914580,3630);
 /*--- compute (ml|nm) ---*/
 hrr1_build_ml(Libint->AB,int_stack+16514850,int_stack+0,int_stack+9327450,3630);
 return int_stack+16514850;}
