#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ndki(Libint_t*, prim_data*);

  /* Computes quartets of (nd|ki) integrals */

REALTYPE *hrr_order_ndki(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][7] = int_stack + 0;
 Libint->vrr_classes[10][8] = int_stack + 2376;
 Libint->vrr_classes[10][9] = int_stack + 5346;
 Libint->vrr_classes[10][10] = int_stack + 8976;
 Libint->vrr_classes[10][11] = int_stack + 13332;
 Libint->vrr_classes[10][12] = int_stack + 18480;
 Libint->vrr_classes[10][13] = int_stack + 24486;
 Libint->vrr_classes[11][7] = int_stack + 31416;
 Libint->vrr_classes[11][8] = int_stack + 34224;
 Libint->vrr_classes[11][9] = int_stack + 37734;
 Libint->vrr_classes[11][10] = int_stack + 42024;
 Libint->vrr_classes[11][11] = int_stack + 47172;
 Libint->vrr_classes[11][12] = int_stack + 53256;
 Libint->vrr_classes[11][13] = int_stack + 60354;
 Libint->vrr_classes[12][7] = int_stack + 68544;
 Libint->vrr_classes[12][8] = int_stack + 71820;
 Libint->vrr_classes[12][9] = int_stack + 75915;
 Libint->vrr_classes[12][10] = int_stack + 80920;
 Libint->vrr_classes[12][11] = int_stack + 86926;
 Libint->vrr_classes[12][12] = int_stack + 94024;
 Libint->vrr_classes[12][13] = int_stack + 102305;
 memset(int_stack,0,111860*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 111860;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ndki(Libint, Data);
   Data++;
 }
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+111860,int_stack+2376,int_stack+0,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+118988,int_stack+5346,int_stack+2376,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+127898,int_stack+118988,int_stack+111860,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+142154,int_stack+8976,int_stack+5346,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+153044,int_stack+142154,int_stack+118988,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+170864,int_stack+153044,int_stack+127898,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+111860,int_stack+13332,int_stack+8976,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+194624,int_stack+111860,int_stack+142154,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+216404,int_stack+194624,int_stack+153044,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+124928,int_stack+216404,int_stack+170864,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+160568,int_stack+18480,int_stack+13332,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+246104,int_stack+160568,int_stack+111860,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+272240,int_stack+246104,int_stack+194624,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+308540,int_stack+272240,int_stack+216404,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+176012,int_stack+308540,int_stack+124928,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+111860,int_stack+24486,int_stack+18480,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+111860,int_stack+160568,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+111860,int_stack+0,int_stack+246104,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+353090,int_stack+111860,int_stack+272240,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+111860,int_stack+353090,int_stack+308540,66);
 /*--- compute (n0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+225908,int_stack+111860,int_stack+176012,66);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+111860,int_stack+34224,int_stack+31416,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+120284,int_stack+37734,int_stack+34224,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+130814,int_stack+120284,int_stack+111860,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+147662,int_stack+42024,int_stack+37734,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+160532,int_stack+147662,int_stack+120284,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+181592,int_stack+160532,int_stack+130814,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+111860,int_stack+47172,int_stack+42024,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+111860,int_stack+147662,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+292436,int_stack+0,int_stack+160532,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+127304,int_stack+292436,int_stack+181592,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+169424,int_stack+53256,int_stack+47172,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+187676,int_stack+169424,int_stack+111860,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+327536,int_stack+187676,int_stack+0,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+327536,int_stack+292436,78);
 /*--- compute (o0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+370436,int_stack+0,int_stack+127304,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+292436,int_stack+60354,int_stack+53256,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+111860,int_stack+292436,int_stack+169424,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+429404,int_stack+111860,int_stack+187676,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+111860,int_stack+429404,int_stack+327536,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+292436,int_stack+111860,int_stack+0,78);
 /*--- compute (o0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+111860,int_stack+292436,int_stack+370436,78);
 /*--- compute (np|ki) ---*/
 hrr1_build_np(Libint->AB,int_stack+292436,int_stack+111860,int_stack+225908,1008);
 /*--- compute (q0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+71820,int_stack+68544,91);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+9828,int_stack+75915,int_stack+71820,91);
 /*--- compute (q0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+22113,int_stack+9828,int_stack+0,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+41769,int_stack+80920,int_stack+75915,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+190484,int_stack+41769,int_stack+9828,91);
 /*--- compute (q0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+215054,int_stack+190484,int_stack+22113,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+86926,int_stack+80920,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+56784,int_stack+0,int_stack+41769,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+247814,int_stack+56784,int_stack+190484,91);
 /*--- compute (q0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+492020,int_stack+247814,int_stack+215054,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+190484,int_stack+94024,int_stack+86926,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+211778,int_stack+190484,int_stack+0,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+211778,int_stack+56784,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+541160,int_stack+0,int_stack+247814,91);
 /*--- compute (q0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+602585,int_stack+541160,int_stack+492020,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+492020,int_stack+102305,int_stack+94024,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+247814,int_stack+492020,int_stack+190484,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+50050,int_stack+247814,int_stack+211778,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+190484,int_stack+50050,int_stack+0,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+0,int_stack+190484,int_stack+541160,91);
 /*--- compute (q0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+190484,int_stack+0,int_stack+602585,91);
 /*--- compute (op|ki) ---*/
 hrr1_build_op(Libint->AB,int_stack+492020,int_stack+190484,int_stack+111860,1008);
 /*--- compute (nd|ki) ---*/
 hrr1_build_nd(Libint->AB,int_stack+727892,int_stack+492020,int_stack+292436,1008);
 return int_stack+727892;}
