#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_npkk(Libint_t*, prim_data*);

  /* Computes quartets of (np|kk) integrals */

REALTYPE *hrr_order_npkk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][7] = int_stack + 0;
 Libint->vrr_classes[10][8] = int_stack + 2376;
 Libint->vrr_classes[10][9] = int_stack + 5346;
 Libint->vrr_classes[10][10] = int_stack + 8976;
 Libint->vrr_classes[10][11] = int_stack + 13332;
 Libint->vrr_classes[10][12] = int_stack + 18480;
 Libint->vrr_classes[10][13] = int_stack + 24486;
 Libint->vrr_classes[10][14] = int_stack + 31416;
 Libint->vrr_classes[11][7] = int_stack + 39336;
 Libint->vrr_classes[11][8] = int_stack + 42144;
 Libint->vrr_classes[11][9] = int_stack + 45654;
 Libint->vrr_classes[11][10] = int_stack + 49944;
 Libint->vrr_classes[11][11] = int_stack + 55092;
 Libint->vrr_classes[11][12] = int_stack + 61176;
 Libint->vrr_classes[11][13] = int_stack + 68274;
 Libint->vrr_classes[11][14] = int_stack + 76464;
 memset(int_stack,0,85824*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 85824;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_npkk(Libint, Data);
   Data++;
 }
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+85824,int_stack+2376,int_stack+0,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+92952,int_stack+5346,int_stack+2376,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+101862,int_stack+92952,int_stack+85824,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+116118,int_stack+8976,int_stack+5346,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+127008,int_stack+116118,int_stack+92952,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+144828,int_stack+127008,int_stack+101862,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+85824,int_stack+13332,int_stack+8976,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+168588,int_stack+85824,int_stack+116118,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+190368,int_stack+168588,int_stack+127008,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+98892,int_stack+190368,int_stack+144828,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+134532,int_stack+18480,int_stack+13332,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+220068,int_stack+134532,int_stack+85824,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+246204,int_stack+220068,int_stack+168588,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+282504,int_stack+246204,int_stack+190368,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+149976,int_stack+282504,int_stack+98892,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+85824,int_stack+24486,int_stack+18480,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+327054,int_stack+85824,int_stack+134532,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+103842,int_stack+327054,int_stack+220068,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+357942,int_stack+103842,int_stack+246204,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+199872,int_stack+357942,int_stack+282504,66);
 /*--- compute (n0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+412392,int_stack+199872,int_stack+149976,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+147402,int_stack+31416,int_stack+24486,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+262242,int_stack+147402,int_stack+85824,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+147402,int_stack+262242,int_stack+327054,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+262242,int_stack+147402,int_stack+103842,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+85824,int_stack+262242,int_stack+357942,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+262242,int_stack+85824,int_stack+199872,66);
 /*--- compute (n0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+85824,int_stack+262242,int_stack+412392,66);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+171360,int_stack+42144,int_stack+39336,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+179784,int_stack+45654,int_stack+42144,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+190314,int_stack+179784,int_stack+171360,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+207162,int_stack+49944,int_stack+45654,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+220032,int_stack+207162,int_stack+179784,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+241092,int_stack+220032,int_stack+190314,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+171360,int_stack+55092,int_stack+49944,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+269172,int_stack+171360,int_stack+207162,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+294912,int_stack+269172,int_stack+220032,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+186804,int_stack+294912,int_stack+241092,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+228924,int_stack+61176,int_stack+55092,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+330012,int_stack+228924,int_stack+171360,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+360900,int_stack+330012,int_stack+269172,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+403800,int_stack+360900,int_stack+294912,78);
 /*--- compute (o0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+247176,int_stack+403800,int_stack+186804,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+171360,int_stack+68274,int_stack+61176,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+171360,int_stack+228924,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+192654,int_stack+0,int_stack+330012,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+456450,int_stack+192654,int_stack+360900,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+306144,int_stack+456450,int_stack+403800,78);
 /*--- compute (o0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+520800,int_stack+306144,int_stack+247176,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+244134,int_stack+76464,int_stack+68274,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+379854,int_stack+244134,int_stack+171360,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+244134,int_stack+379854,int_stack+0,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+244134,int_stack+192654,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+171360,int_stack+0,int_stack+456450,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+379854,int_stack+171360,int_stack+306144,78);
 /*--- compute (o0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+171360,int_stack+379854,int_stack+520800,78);
 /*--- compute (np|kk) ---*/
 hrr1_build_np(Libint->AB,int_stack+272448,int_stack+171360,int_stack+85824,1296);
 return int_stack+272448;}
