#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ppli(Libint_t*, prim_data*);

  /* Computes quartets of (pp|li) integrals */

REALTYPE *hrr_order_ppli(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][8] = int_stack + 0;
 Libint->vrr_classes[1][9] = int_stack + 135;
 Libint->vrr_classes[1][10] = int_stack + 300;
 Libint->vrr_classes[1][11] = int_stack + 498;
 Libint->vrr_classes[1][12] = int_stack + 732;
 Libint->vrr_classes[1][13] = int_stack + 1005;
 Libint->vrr_classes[1][14] = int_stack + 1320;
 Libint->vrr_classes[2][8] = int_stack + 1680;
 Libint->vrr_classes[2][9] = int_stack + 1950;
 Libint->vrr_classes[2][10] = int_stack + 2280;
 Libint->vrr_classes[2][11] = int_stack + 2676;
 Libint->vrr_classes[2][12] = int_stack + 3144;
 Libint->vrr_classes[2][13] = int_stack + 3690;
 Libint->vrr_classes[2][14] = int_stack + 4320;
 memset(int_stack,0,5040*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 5040;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ppli(Libint, Data);
   Data++;
 }
 /*--- compute (p0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+5040,int_stack+135,int_stack+0,3);
 /*--- compute (p0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+5445,int_stack+300,int_stack+135,3);
 /*--- compute (p0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+5940,int_stack+5445,int_stack+5040,3);
 /*--- compute (p0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+6750,int_stack+498,int_stack+300,3);
 /*--- compute (p0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+7344,int_stack+6750,int_stack+5445,3);
 /*--- compute (p0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+8334,int_stack+7344,int_stack+5940,3);
 /*--- compute (p0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+5040,int_stack+732,int_stack+498,3);
 /*--- compute (p0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+9684,int_stack+5040,int_stack+6750,3);
 /*--- compute (p0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+10872,int_stack+9684,int_stack+7344,3);
 /*--- compute (p0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+5742,int_stack+10872,int_stack+8334,3);
 /*--- compute (p0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+7767,int_stack+1005,int_stack+732,3);
 /*--- compute (p0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+12522,int_stack+7767,int_stack+5040,3);
 /*--- compute (p0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+13926,int_stack+12522,int_stack+9684,3);
 /*--- compute (p0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+15906,int_stack+13926,int_stack+10872,3);
 /*--- compute (p0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+8586,int_stack+15906,int_stack+5742,3);
 /*--- compute (p0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+5040,int_stack+1320,int_stack+1005,3);
 /*--- compute (p0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+5985,int_stack+5040,int_stack+7767,3);
 /*--- compute (p0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+18381,int_stack+5985,int_stack+12522,3);
 /*--- compute (p0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+5040,int_stack+18381,int_stack+13926,3);
 /*--- compute (p0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+11421,int_stack+5040,int_stack+15906,3);
 /*--- compute (p0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+14886,int_stack+11421,int_stack+8586,3);
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+5040,int_stack+1950,int_stack+1680,6);
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+5850,int_stack+2280,int_stack+1950,6);
 /*--- compute (d0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+6840,int_stack+5850,int_stack+5040,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+8460,int_stack+2676,int_stack+2280,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+9648,int_stack+8460,int_stack+5850,6);
 /*--- compute (d0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+11628,int_stack+9648,int_stack+6840,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+5040,int_stack+3144,int_stack+2676,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+5040,int_stack+8460,6);
 /*--- compute (d0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+18666,int_stack+0,int_stack+9648,6);
 /*--- compute (d0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+6444,int_stack+18666,int_stack+11628,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+10494,int_stack+3690,int_stack+3144,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+21966,int_stack+10494,int_stack+5040,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+24774,int_stack+21966,int_stack+0,6);
 /*--- compute (d0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+28734,int_stack+24774,int_stack+18666,6);
 /*--- compute (d0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+33684,int_stack+28734,int_stack+6444,6);
 /*--- compute (d0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+18666,int_stack+4320,int_stack+3690,6);
 /*--- compute (d0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+18666,int_stack+10494,6);
 /*--- compute (d0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+3276,int_stack+0,int_stack+21966,6);
 /*--- compute (d0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+18666,int_stack+3276,int_stack+24774,6);
 /*--- compute (d0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+18666,int_stack+28734,6);
 /*--- compute (d0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+18666,int_stack+0,int_stack+33684,6);
 /*--- compute (pp|li) ---*/
 hrr1_build_pp(Libint->AB,int_stack+0,int_stack+18666,int_stack+14886,1260);
 return int_stack+0;}
