#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ppll(Libint_t*, prim_data*);

  /* Computes quartets of (pp|ll) integrals */

REALTYPE *hrr_order_ppll(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][8] = int_stack + 0;
 Libint->vrr_classes[1][9] = int_stack + 135;
 Libint->vrr_classes[1][10] = int_stack + 300;
 Libint->vrr_classes[1][11] = int_stack + 498;
 Libint->vrr_classes[1][12] = int_stack + 732;
 Libint->vrr_classes[1][13] = int_stack + 1005;
 Libint->vrr_classes[1][14] = int_stack + 1320;
 Libint->vrr_classes[1][15] = int_stack + 1680;
 Libint->vrr_classes[1][16] = int_stack + 2088;
 Libint->vrr_classes[2][8] = int_stack + 2547;
 Libint->vrr_classes[2][9] = int_stack + 2817;
 Libint->vrr_classes[2][10] = int_stack + 3147;
 Libint->vrr_classes[2][11] = int_stack + 3543;
 Libint->vrr_classes[2][12] = int_stack + 4011;
 Libint->vrr_classes[2][13] = int_stack + 4557;
 Libint->vrr_classes[2][14] = int_stack + 5187;
 Libint->vrr_classes[2][15] = int_stack + 5907;
 Libint->vrr_classes[2][16] = int_stack + 6723;
 memset(int_stack,0,7641*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 7641;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ppll(Libint, Data);
   Data++;
 }
 /*--- compute (p0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+7641,int_stack+135,int_stack+0,3);
 /*--- compute (p0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+8046,int_stack+300,int_stack+135,3);
 /*--- compute (p0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+8541,int_stack+8046,int_stack+7641,3);
 /*--- compute (p0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+9351,int_stack+498,int_stack+300,3);
 /*--- compute (p0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+9945,int_stack+9351,int_stack+8046,3);
 /*--- compute (p0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+10935,int_stack+9945,int_stack+8541,3);
 /*--- compute (p0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+7641,int_stack+732,int_stack+498,3);
 /*--- compute (p0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+12285,int_stack+7641,int_stack+9351,3);
 /*--- compute (p0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+13473,int_stack+12285,int_stack+9945,3);
 /*--- compute (p0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+8343,int_stack+13473,int_stack+10935,3);
 /*--- compute (p0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+10368,int_stack+1005,int_stack+732,3);
 /*--- compute (p0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+15123,int_stack+10368,int_stack+7641,3);
 /*--- compute (p0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+16527,int_stack+15123,int_stack+12285,3);
 /*--- compute (p0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+18507,int_stack+16527,int_stack+13473,3);
 /*--- compute (p0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+11187,int_stack+18507,int_stack+8343,3);
 /*--- compute (p0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+7641,int_stack+1320,int_stack+1005,3);
 /*--- compute (p0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+8586,int_stack+7641,int_stack+10368,3);
 /*--- compute (p0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+20982,int_stack+8586,int_stack+15123,3);
 /*--- compute (p0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+23322,int_stack+20982,int_stack+16527,3);
 /*--- compute (p0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+14022,int_stack+23322,int_stack+18507,3);
 /*--- compute (p0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+26292,int_stack+14022,int_stack+11187,3);
 /*--- compute (p0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+10224,int_stack+1680,int_stack+1320,3);
 /*--- compute (p0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+11304,int_stack+10224,int_stack+7641,3);
 /*--- compute (p0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+17487,int_stack+11304,int_stack+8586,3);
 /*--- compute (p0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+30072,int_stack+17487,int_stack+20982,3);
 /*--- compute (p0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+33582,int_stack+30072,int_stack+23322,3);
 /*--- compute (p0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+20217,int_stack+33582,int_stack+14022,3);
 /*--- compute (p0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+37740,int_stack+20217,int_stack+26292,3);
 /*--- compute (p0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+7641,int_stack+2088,int_stack+1680,3);
 /*--- compute (p0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+13194,int_stack+7641,int_stack+10224,3);
 /*--- compute (p0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+7641,int_stack+13194,int_stack+11304,3);
 /*--- compute (p0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+10791,int_stack+7641,int_stack+17487,3);
 /*--- compute (p0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+14886,int_stack+10791,int_stack+30072,3);
 /*--- compute (p0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+7641,int_stack+14886,int_stack+33582,3);
 /*--- compute (p0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+13185,int_stack+7641,int_stack+20217,3);
 /*--- compute (p0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+19125,int_stack+13185,int_stack+37740,3);
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+7641,int_stack+2817,int_stack+2547,6);
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+8451,int_stack+3147,int_stack+2817,6);
 /*--- compute (d0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+9441,int_stack+8451,int_stack+7641,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+11061,int_stack+3543,int_stack+3147,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+12249,int_stack+11061,int_stack+8451,6);
 /*--- compute (d0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+14229,int_stack+12249,int_stack+9441,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+7641,int_stack+4011,int_stack+3543,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+25200,int_stack+7641,int_stack+11061,6);
 /*--- compute (d0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+27576,int_stack+25200,int_stack+12249,6);
 /*--- compute (d0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+9045,int_stack+27576,int_stack+14229,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+13095,int_stack+4557,int_stack+4011,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+14733,int_stack+13095,int_stack+7641,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+30876,int_stack+14733,int_stack+25200,6);
 /*--- compute (d0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+34836,int_stack+30876,int_stack+27576,6);
 /*--- compute (d0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+25200,int_stack+34836,int_stack+9045,6);
 /*--- compute (d0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+7641,int_stack+5187,int_stack+4557,6);
 /*--- compute (d0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+9531,int_stack+7641,int_stack+13095,6);
 /*--- compute (d0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+9531,int_stack+14733,6);
 /*--- compute (d0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+12807,int_stack+0,int_stack+30876,6);
 /*--- compute (d0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+39786,int_stack+12807,int_stack+34836,6);
 /*--- compute (d0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+30870,int_stack+39786,int_stack+25200,6);
 /*--- compute (d0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+25200,int_stack+5907,int_stack+5187,6);
 /*--- compute (d0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+46716,int_stack+25200,int_stack+7641,6);
 /*--- compute (d0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+50496,int_stack+46716,int_stack+9531,6);
 /*--- compute (d0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+55956,int_stack+50496,int_stack+0,6);
 /*--- compute (d0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+62976,int_stack+55956,int_stack+12807,6);
 /*--- compute (d0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+7641,int_stack+62976,int_stack+39786,6);
 /*--- compute (d0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+71292,int_stack+7641,int_stack+30870,6);
 /*--- compute (d0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+6723,int_stack+5907,6);
 /*--- compute (d0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+2448,int_stack+0,int_stack+25200,6);
 /*--- compute (d0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+25200,int_stack+2448,int_stack+46716,6);
 /*--- compute (d0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+31500,int_stack+25200,int_stack+50496,6);
 /*--- compute (d0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+39690,int_stack+31500,int_stack+55956,6);
 /*--- compute (d0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+25200,int_stack+39690,int_stack+62976,6);
 /*--- compute (d0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+36288,int_stack+25200,int_stack+7641,6);
 /*--- compute (d0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+48168,int_stack+36288,int_stack+71292,6);
 /*--- compute (pp|ll) ---*/
 hrr1_build_pp(Libint->AB,int_stack+25200,int_stack+48168,int_stack+19125,2025);
 return int_stack+25200;}
