#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ppmh(Libint_t*, prim_data*);

  /* Computes quartets of (pp|mh) integrals */

REALTYPE *hrr_order_ppmh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][9] = int_stack + 0;
 Libint->vrr_classes[1][10] = int_stack + 165;
 Libint->vrr_classes[1][11] = int_stack + 363;
 Libint->vrr_classes[1][12] = int_stack + 597;
 Libint->vrr_classes[1][13] = int_stack + 870;
 Libint->vrr_classes[1][14] = int_stack + 1185;
 Libint->vrr_classes[2][9] = int_stack + 1545;
 Libint->vrr_classes[2][10] = int_stack + 1875;
 Libint->vrr_classes[2][11] = int_stack + 2271;
 Libint->vrr_classes[2][12] = int_stack + 2739;
 Libint->vrr_classes[2][13] = int_stack + 3285;
 Libint->vrr_classes[2][14] = int_stack + 3915;
 memset(int_stack,0,4635*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 4635;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ppmh(Libint, Data);
   Data++;
 }
 /*--- compute (p0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+4635,int_stack+165,int_stack+0,3);
 /*--- compute (p0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+5130,int_stack+363,int_stack+165,3);
 /*--- compute (p0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+5724,int_stack+5130,int_stack+4635,3);
 /*--- compute (p0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+6714,int_stack+597,int_stack+363,3);
 /*--- compute (p0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+7416,int_stack+6714,int_stack+5130,3);
 /*--- compute (p0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+8604,int_stack+7416,int_stack+5724,3);
 /*--- compute (p0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+4635,int_stack+870,int_stack+597,3);
 /*--- compute (p0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+10254,int_stack+4635,int_stack+6714,3);
 /*--- compute (p0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+11658,int_stack+10254,int_stack+7416,3);
 /*--- compute (p0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+5454,int_stack+11658,int_stack+8604,3);
 /*--- compute (p0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+7929,int_stack+1185,int_stack+870,3);
 /*--- compute (p0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+13638,int_stack+7929,int_stack+4635,3);
 /*--- compute (p0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+15276,int_stack+13638,int_stack+10254,3);
 /*--- compute (p0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+7929,int_stack+15276,int_stack+11658,3);
 /*--- compute (p0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+10899,int_stack+7929,int_stack+5454,3);
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+4635,int_stack+1875,int_stack+1545,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+5625,int_stack+2271,int_stack+1875,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+6813,int_stack+5625,int_stack+4635,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+8793,int_stack+2739,int_stack+2271,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+14364,int_stack+8793,int_stack+5625,6);
 /*--- compute (d0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+16740,int_stack+14364,int_stack+6813,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+4635,int_stack+3285,int_stack+2739,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+4635,int_stack+8793,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+6273,int_stack+0,int_stack+14364,6);
 /*--- compute (d0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+20040,int_stack+6273,int_stack+16740,6);
 /*--- compute (d0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+14364,int_stack+3915,int_stack+3285,6);
 /*--- compute (d0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+16254,int_stack+14364,int_stack+4635,6);
 /*--- compute (d0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+24990,int_stack+16254,int_stack+0,6);
 /*--- compute (d0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+24990,int_stack+6273,6);
 /*--- compute (d0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+24990,int_stack+0,int_stack+20040,6);
 /*--- compute (pp|mh) ---*/
 hrr1_build_pp(Libint->AB,int_stack+0,int_stack+24990,int_stack+10899,1155);
 return int_stack+0;}
