#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ppnk(Libint_t*, prim_data*);

  /* Computes quartets of (pp|nk) integrals */

REALTYPE *hrr_order_ppnk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][10] = int_stack + 0;
 Libint->vrr_classes[1][11] = int_stack + 198;
 Libint->vrr_classes[1][12] = int_stack + 432;
 Libint->vrr_classes[1][13] = int_stack + 705;
 Libint->vrr_classes[1][14] = int_stack + 1020;
 Libint->vrr_classes[1][15] = int_stack + 1380;
 Libint->vrr_classes[1][16] = int_stack + 1788;
 Libint->vrr_classes[1][17] = int_stack + 2247;
 Libint->vrr_classes[2][10] = int_stack + 2760;
 Libint->vrr_classes[2][11] = int_stack + 3156;
 Libint->vrr_classes[2][12] = int_stack + 3624;
 Libint->vrr_classes[2][13] = int_stack + 4170;
 Libint->vrr_classes[2][14] = int_stack + 4800;
 Libint->vrr_classes[2][15] = int_stack + 5520;
 Libint->vrr_classes[2][16] = int_stack + 6336;
 Libint->vrr_classes[2][17] = int_stack + 7254;
 memset(int_stack,0,8280*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 8280;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ppnk(Libint, Data);
   Data++;
 }
 /*--- compute (p0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+8280,int_stack+198,int_stack+0,3);
 /*--- compute (p0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+8874,int_stack+432,int_stack+198,3);
 /*--- compute (p0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+9576,int_stack+8874,int_stack+8280,3);
 /*--- compute (p0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+10764,int_stack+705,int_stack+432,3);
 /*--- compute (p0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+11583,int_stack+10764,int_stack+8874,3);
 /*--- compute (p0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+12987,int_stack+11583,int_stack+9576,3);
 /*--- compute (p0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+8280,int_stack+1020,int_stack+705,3);
 /*--- compute (p0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+14967,int_stack+8280,int_stack+10764,3);
 /*--- compute (p0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+9225,int_stack+14967,int_stack+11583,3);
 /*--- compute (p0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+16605,int_stack+9225,int_stack+12987,3);
 /*--- compute (p0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+11565,int_stack+1380,int_stack+1020,3);
 /*--- compute (p0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+12645,int_stack+11565,int_stack+8280,3);
 /*--- compute (p0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+19575,int_stack+12645,int_stack+14967,3);
 /*--- compute (p0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+22305,int_stack+19575,int_stack+9225,3);
 /*--- compute (p0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+25815,int_stack+22305,int_stack+16605,3);
 /*--- compute (p0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+8280,int_stack+1788,int_stack+1380,3);
 /*--- compute (p0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+14535,int_stack+8280,int_stack+11565,3);
 /*--- compute (p0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+29973,int_stack+14535,int_stack+12645,3);
 /*--- compute (p0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+9504,int_stack+29973,int_stack+19575,3);
 /*--- compute (p0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+16695,int_stack+9504,int_stack+22305,3);
 /*--- compute (p0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+33123,int_stack+16695,int_stack+25815,3);
 /*--- compute (p0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+21609,int_stack+2247,int_stack+1788,3);
 /*--- compute (p0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+22986,int_stack+21609,int_stack+8280,3);
 /*--- compute (p0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+25434,int_stack+22986,int_stack+14535,3);
 /*--- compute (p0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+38667,int_stack+25434,int_stack+29973,3);
 /*--- compute (p0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+21609,int_stack+38667,int_stack+9504,3);
 /*--- compute (p0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+8280,int_stack+21609,int_stack+16695,3);
 /*--- compute (p0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+14832,int_stack+8280,int_stack+33123,3);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+8280,int_stack+3156,int_stack+2760,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+9468,int_stack+3624,int_stack+3156,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+10872,int_stack+9468,int_stack+8280,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+21960,int_stack+4170,int_stack+3624,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+23598,int_stack+21960,int_stack+9468,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+26406,int_stack+23598,int_stack+10872,6);
 /*--- compute (d0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+8280,int_stack+4800,int_stack+4170,6);
 /*--- compute (d0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+10170,int_stack+8280,int_stack+21960,6);
 /*--- compute (d0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+30366,int_stack+10170,int_stack+23598,6);
 /*--- compute (d0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+35046,int_stack+30366,int_stack+26406,6);
 /*--- compute (d0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+21960,int_stack+5520,int_stack+4800,6);
 /*--- compute (d0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+24120,int_stack+21960,int_stack+8280,6);
 /*--- compute (d0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+24120,int_stack+10170,6);
 /*--- compute (d0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+40986,int_stack+0,int_stack+30366,6);
 /*--- compute (d0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+48006,int_stack+40986,int_stack+35046,6);
 /*--- compute (d0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+8280,int_stack+6336,int_stack+5520,6);
 /*--- compute (d0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+27900,int_stack+8280,int_stack+21960,6);
 /*--- compute (d0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+32220,int_stack+27900,int_stack+24120,6);
 /*--- compute (d0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+56322,int_stack+32220,int_stack+0,6);
 /*--- compute (d0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+64512,int_stack+56322,int_stack+40986,6);
 /*--- compute (d0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+74340,int_stack+64512,int_stack+48006,6);
 /*--- compute (d0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+0,int_stack+7254,int_stack+6336,6);
 /*--- compute (d0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+2754,int_stack+0,int_stack+8280,6);
 /*--- compute (d0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+38520,int_stack+2754,int_stack+27900,6);
 /*--- compute (d0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+38520,int_stack+32220,6);
 /*--- compute (d0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+21960,int_stack+0,int_stack+56322,6);
 /*--- compute (d0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+21960,int_stack+64512,6);
 /*--- compute (d0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+21960,int_stack+0,int_stack+74340,6);
 /*--- compute (pp|nk) ---*/
 hrr1_build_pp(Libint->AB,int_stack+36216,int_stack+21960,int_stack+14832,2376);
 return int_stack+36216;}
