#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ddfd(Libr12_t *, prim_data *);

  /* Computes (dd|fd) integrals for linear R12-methods */

void hrr_grt_order_ddfd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][3] = int_stack + 0;
 Libr12->t2vrr_classes[2][4] = int_stack + 60;
 Libr12->t2vrr_classes[2][5] = int_stack + 150;
 Libr12->t2vrr_classes[3][3] = int_stack + 276;
 Libr12->t2vrr_classes[3][4] = int_stack + 376;
 Libr12->t2vrr_classes[3][5] = int_stack + 526;
 Libr12->gvrr_classes[5][3] = int_stack + 736;
 Libr12->t2vrr_classes[4][3] = int_stack + 946;
 Libr12->gvrr_classes[5][4] = int_stack + 1096;
 Libr12->t2vrr_classes[4][4] = int_stack + 1411;
 Libr12->t2vrr_classes[4][5] = int_stack + 1636;
 Libr12->gvrr_classes[2][6] = int_stack + 1951;
 Libr12->t1vrr_classes[2][3] = int_stack + 2119;
 Libr12->t1vrr_classes[2][4] = int_stack + 2179;
 Libr12->t1vrr_classes[2][5] = int_stack + 2269;
 Libr12->gvrr_classes[3][6] = int_stack + 2395;
 Libr12->t1vrr_classes[3][3] = int_stack + 2675;
 Libr12->t1vrr_classes[3][4] = int_stack + 2775;
 Libr12->t1vrr_classes[3][5] = int_stack + 2925;
 Libr12->t1vrr_classes[4][3] = int_stack + 3135;
 Libr12->t1vrr_classes[4][4] = int_stack + 3285;
 Libr12->t1vrr_classes[4][5] = int_stack + 3510;
 Libr12->rvrr_classes[2][3] = int_stack + 3825;
 Libr12->rvrr_classes[2][4] = int_stack + 3885;
 Libr12->rvrr_classes[2][5] = int_stack + 3975;
 Libr12->rvrr_classes[3][3] = int_stack + 4101;
 Libr12->rvrr_classes[3][4] = int_stack + 4201;
 Libr12->rvrr_classes[3][5] = int_stack + 4351;
 Libr12->rvrr_classes[4][3] = int_stack + 4561;
 Libr12->rvrr_classes[4][4] = int_stack + 4711;
 Libr12->rvrr_classes[4][5] = int_stack + 4936;
 Libr12->gvrr_classes[2][3] = int_stack + 5251;
 Libr12->gvrr_classes[2][4] = int_stack + 5311;
 Libr12->gvrr_classes[2][5] = int_stack + 5401;
 Libr12->gvrr_classes[3][3] = int_stack + 5527;
 Libr12->gvrr_classes[3][4] = int_stack + 5627;
 Libr12->gvrr_classes[3][5] = int_stack + 5777;
 Libr12->gvrr_classes[4][3] = int_stack + 5987;
 Libr12->gvrr_classes[4][4] = int_stack + 6137;
 Libr12->gvrr_classes[4][5] = int_stack + 6362;
 memset(int_stack,0,6677*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 6677;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ddfd(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+6677, int_stack+5311, int_stack+5251, 6);
 /*--- compute (f0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+6857, int_stack+5627, int_stack+5527, 10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+7157, int_stack+5401, int_stack+5311, 6);
 /*--- compute (d0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7427, int_stack+60, int_stack+0, int_stack+5311, int_stack+5527, int_stack+5251, 2, 0);
 /*--- compute (d0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7607, int_stack+150, int_stack+60, int_stack+5401, int_stack+5627, int_stack+5311, 2, 0);
 /*--- compute (d0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7877, int_stack+7607, int_stack+7427, int_stack+7157, int_stack+6857, int_stack+6677, 2, 0);
 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+7427, int_stack+6137, int_stack+5987, 15);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+8237, int_stack+5777, int_stack+5627, 10);
 /*--- compute (f0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8687, int_stack+376, int_stack+276, int_stack+5627, int_stack+5987, int_stack+5527, 3, 0);
 /*--- compute (f0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8987, int_stack+526, int_stack+376, int_stack+5777, int_stack+6137, int_stack+5627, 3, 0);
 /*--- compute (f0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+8987, int_stack+8687, int_stack+8237, int_stack+7427, int_stack+6857, 3, 0);
 /*--- compute (dp|[r12,T2]|fd) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+8687, int_stack+0, int_stack+7877, 60);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+9767, int_stack+1096, int_stack+736, 21);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+10397, int_stack+6362, int_stack+6137, 15);
 /*--- compute (g0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11072, int_stack+1411, int_stack+946, int_stack+6137, int_stack+736, int_stack+5987, 4, 0);
 /*--- compute (g0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11522, int_stack+1636, int_stack+1411, int_stack+6362, int_stack+1096, int_stack+6137, 4, 0);
 /*--- compute (g0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+600, int_stack+11522, int_stack+11072, int_stack+10397, int_stack+9767, int_stack+7427, 4, 0);
 /*--- compute (fp|[r12,T2]|fd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+11072, int_stack+600, int_stack+0, 60);
 /*--- compute (d0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+7877, int_stack+7157, int_stack+6677, 6);
 /*--- compute (f0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+8237, int_stack+6857, 10);
 /*--- compute (dp|fd) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+600, int_stack+0, int_stack+7877, 60);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+9767, int_stack+1951, int_stack+5401, 6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+5987, int_stack+9767, int_stack+7157, 6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+9767, int_stack+2395, int_stack+5777, 10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+6527, int_stack+9767, int_stack+8237, 10);
 /*--- compute (dp|gd) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+12872, int_stack+6527, int_stack+5987, 90);
 /*--- compute (g0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+14492, int_stack+10397, int_stack+7427, 15);
 /*--- compute (fp|fd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+15392, int_stack+14492, int_stack+0, 60);
 /*--- compute (d0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+7427, int_stack+2179, int_stack+2119, 6);
 /*--- compute (d0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+7607, int_stack+2269, int_stack+2179, 6);
 /*--- compute (d0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+8237, int_stack+7607, int_stack+7427, 6);
 /*--- compute (f0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+7427, int_stack+2775, int_stack+2675, 10);
 /*--- compute (f0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+9767, int_stack+2925, int_stack+2775, 10);
 /*--- compute (f0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+10217, int_stack+9767, int_stack+7427, 10);
 /*--- compute (dp|[r12,T1]|fd) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1680, int_stack+10217, int_stack+8237, int_stack+0, int_stack+5987, int_stack+7877, 3, 2);
 /*--- compute (g0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+9767, int_stack+3285, int_stack+3135, 15);
 /*--- compute (g0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+7427, int_stack+3510, int_stack+3285, 15);
 /*--- compute (g0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+2760, int_stack+7427, int_stack+9767, 15);
 /*--- compute (fp|[r12,T1]|fd) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+17192, int_stack+2760, int_stack+10217, int_stack+14492, int_stack+6527, int_stack+0, 3, 2);
 /*--- compute (d0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+3885, int_stack+3825, 6);
 /*--- compute (d0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+180, int_stack+3975, int_stack+3885, 6);
 /*--- compute (d0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+14492, int_stack+180, int_stack+0, 6);
 /*--- compute (f0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+4201, int_stack+4101, 10);
 /*--- compute (f0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+14852, int_stack+4351, int_stack+4201, 10);
 /*--- compute (f0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+2760, int_stack+14852, int_stack+0, 10);
 /*--- compute (dp||fd) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+3360, int_stack+2760, int_stack+14492, 60);
 /*--- compute (g0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+14492, int_stack+4711, int_stack+4561, 15);
 /*--- compute (g0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+9767, int_stack+4936, int_stack+4711, 15);
 /*--- compute (g0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+4440, int_stack+9767, int_stack+14492, 15);
 /*--- compute (fp||fd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+5340, int_stack+4440, int_stack+2760, 60);
 /*--- compute (dd|[r12,T2]|fd) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+18992, int_stack+11072, int_stack+8687, 60);
     Libr12->te_ptr[3] = int_stack + 18992;
 /*--- compute (dd|[r12,T1]|fd) ---*/
   t1hrr1_build_dd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+7140, int_stack+17192, int_stack+1680, int_stack+15392, int_stack+12872, int_stack+600, 3, 2);
     Libr12->te_ptr[2] = int_stack + 7140;
 /*--- compute (dd||fd) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+9300, int_stack+5340, int_stack+3360, 60);
     Libr12->te_ptr[1] = int_stack + 9300;
 /*--- compute (dd|fd) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+1680, int_stack+15392, int_stack+600, 60);
     Libr12->te_ptr[0] = int_stack + 1680;

}
