#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ddhg(Libr12_t *, prim_data *);

  /* Computes (dd|hg) integrals for linear R12-methods */

void hrr_grt_order_ddhg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][5] = int_stack + 0;
 Libr12->t2vrr_classes[2][6] = int_stack + 126;
 Libr12->t2vrr_classes[2][7] = int_stack + 294;
 Libr12->t2vrr_classes[2][8] = int_stack + 510;
 Libr12->t2vrr_classes[2][9] = int_stack + 780;
 Libr12->t2vrr_classes[3][5] = int_stack + 1110;
 Libr12->t2vrr_classes[3][6] = int_stack + 1320;
 Libr12->t2vrr_classes[3][7] = int_stack + 1600;
 Libr12->t2vrr_classes[3][8] = int_stack + 1960;
 Libr12->t2vrr_classes[3][9] = int_stack + 2410;
 Libr12->gvrr_classes[5][5] = int_stack + 2960;
 Libr12->t2vrr_classes[4][5] = int_stack + 3401;
 Libr12->gvrr_classes[5][6] = int_stack + 3716;
 Libr12->t2vrr_classes[4][6] = int_stack + 4304;
 Libr12->gvrr_classes[5][7] = int_stack + 4724;
 Libr12->t2vrr_classes[4][7] = int_stack + 5480;
 Libr12->gvrr_classes[5][8] = int_stack + 6020;
 Libr12->t2vrr_classes[4][8] = int_stack + 6965;
 Libr12->t2vrr_classes[4][9] = int_stack + 7640;
 Libr12->gvrr_classes[2][10] = int_stack + 8465;
 Libr12->t1vrr_classes[2][5] = int_stack + 8861;
 Libr12->t1vrr_classes[2][6] = int_stack + 8987;
 Libr12->t1vrr_classes[2][7] = int_stack + 9155;
 Libr12->t1vrr_classes[2][8] = int_stack + 9371;
 Libr12->t1vrr_classes[2][9] = int_stack + 9641;
 Libr12->gvrr_classes[3][10] = int_stack + 9971;
 Libr12->t1vrr_classes[3][5] = int_stack + 10631;
 Libr12->t1vrr_classes[3][6] = int_stack + 10841;
 Libr12->t1vrr_classes[3][7] = int_stack + 11121;
 Libr12->t1vrr_classes[3][8] = int_stack + 11481;
 Libr12->t1vrr_classes[3][9] = int_stack + 11931;
 Libr12->t1vrr_classes[4][5] = int_stack + 12481;
 Libr12->t1vrr_classes[4][6] = int_stack + 12796;
 Libr12->t1vrr_classes[4][7] = int_stack + 13216;
 Libr12->t1vrr_classes[4][8] = int_stack + 13756;
 Libr12->t1vrr_classes[4][9] = int_stack + 14431;
 Libr12->rvrr_classes[2][5] = int_stack + 15256;
 Libr12->rvrr_classes[2][6] = int_stack + 15382;
 Libr12->rvrr_classes[2][7] = int_stack + 15550;
 Libr12->rvrr_classes[2][8] = int_stack + 15766;
 Libr12->rvrr_classes[2][9] = int_stack + 16036;
 Libr12->rvrr_classes[3][5] = int_stack + 16366;
 Libr12->rvrr_classes[3][6] = int_stack + 16576;
 Libr12->rvrr_classes[3][7] = int_stack + 16856;
 Libr12->rvrr_classes[3][8] = int_stack + 17216;
 Libr12->rvrr_classes[3][9] = int_stack + 17666;
 Libr12->rvrr_classes[4][5] = int_stack + 18216;
 Libr12->rvrr_classes[4][6] = int_stack + 18531;
 Libr12->rvrr_classes[4][7] = int_stack + 18951;
 Libr12->rvrr_classes[4][8] = int_stack + 19491;
 Libr12->rvrr_classes[4][9] = int_stack + 20166;
 Libr12->gvrr_classes[2][5] = int_stack + 20991;
 Libr12->gvrr_classes[2][6] = int_stack + 21117;
 Libr12->gvrr_classes[2][7] = int_stack + 21285;
 Libr12->gvrr_classes[2][8] = int_stack + 21501;
 Libr12->gvrr_classes[2][9] = int_stack + 21771;
 Libr12->gvrr_classes[3][5] = int_stack + 22101;
 Libr12->gvrr_classes[3][6] = int_stack + 22311;
 Libr12->gvrr_classes[3][7] = int_stack + 22591;
 Libr12->gvrr_classes[3][8] = int_stack + 22951;
 Libr12->gvrr_classes[3][9] = int_stack + 23401;
 Libr12->gvrr_classes[4][5] = int_stack + 23951;
 Libr12->gvrr_classes[4][6] = int_stack + 24266;
 Libr12->gvrr_classes[4][7] = int_stack + 24686;
 Libr12->gvrr_classes[4][8] = int_stack + 25226;
 Libr12->gvrr_classes[4][9] = int_stack + 25901;
 memset(int_stack,0,26726*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 26726;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ddhg(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+26726, int_stack+21117, int_stack+20991, 6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+27104, int_stack+21285, int_stack+21117, 6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+27608, int_stack+27104, int_stack+26726, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+28364, int_stack+21501, int_stack+21285, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+29012, int_stack+28364, int_stack+27104, 6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+30020, int_stack+29012, int_stack+27608, 6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+31280, int_stack+22311, int_stack+22101, 10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+31910, int_stack+22591, int_stack+22311, 10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+32750, int_stack+31910, int_stack+31280, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+34010, int_stack+22951, int_stack+22591, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+35090, int_stack+34010, int_stack+31910, 10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+36770, int_stack+35090, int_stack+32750, 10);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+38870, int_stack+21771, int_stack+21501, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+39680, int_stack+38870, int_stack+28364, 6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+40976, int_stack+39680, int_stack+29012, 6);
 /*--- compute (d0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42656, int_stack+126, int_stack+0, int_stack+21117, int_stack+22101, int_stack+20991, 2, 0);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+43034, int_stack+294, int_stack+126, int_stack+21285, int_stack+22311, int_stack+21117, 2, 0);
 /*--- compute (d0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+43538, int_stack+43034, int_stack+42656, int_stack+27104, int_stack+31280, int_stack+26726, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+44294, int_stack+510, int_stack+294, int_stack+21501, int_stack+22591, int_stack+21285, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+44942, int_stack+44294, int_stack+43034, int_stack+28364, int_stack+31910, int_stack+27104, 2, 0);
 /*--- compute (d0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+45950, int_stack+44942, int_stack+43538, int_stack+29012, int_stack+32750, int_stack+27608, 2, 0);
 /*--- compute (d0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26726, int_stack+780, int_stack+510, int_stack+21771, int_stack+22951, int_stack+21501, 2, 0);
 /*--- compute (d0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42656, int_stack+26726, int_stack+44294, int_stack+38870, int_stack+34010, int_stack+28364, 2, 0);
 /*--- compute (d0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26726, int_stack+42656, int_stack+44942, int_stack+39680, int_stack+35090, int_stack+29012, 2, 0);
 /*--- compute (d0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42656, int_stack+26726, int_stack+45950, int_stack+40976, int_stack+36770, int_stack+30020, 2, 0);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+26726, int_stack+24266, int_stack+23951, 15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+27671, int_stack+24686, int_stack+24266, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+44546, int_stack+27671, int_stack+26726, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+46436, int_stack+25226, int_stack+24686, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+48056, int_stack+46436, int_stack+27671, 15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+50576, int_stack+48056, int_stack+44546, 15);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+53726, int_stack+23401, int_stack+22951, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+55076, int_stack+53726, int_stack+34010, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+57236, int_stack+55076, int_stack+35090, 10);
 /*--- compute (f0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28931, int_stack+1320, int_stack+1110, int_stack+22311, int_stack+23951, int_stack+22101, 3, 0);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+60036, int_stack+1600, int_stack+1320, int_stack+22591, int_stack+24266, int_stack+22311, 3, 0);
 /*--- compute (f0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+60036, int_stack+28931, int_stack+31910, int_stack+26726, int_stack+31280, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28931, int_stack+1960, int_stack+1600, int_stack+22951, int_stack+24686, int_stack+22591, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+60876, int_stack+28931, int_stack+60036, int_stack+34010, int_stack+27671, int_stack+31910, 3, 0);
 /*--- compute (f0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+62556, int_stack+60876, int_stack+0, int_stack+35090, int_stack+44546, int_stack+32750, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2410, int_stack+1960, int_stack+23401, int_stack+25226, int_stack+22951, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31280, int_stack+0, int_stack+28931, int_stack+53726, int_stack+46436, int_stack+34010, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+31280, int_stack+60876, int_stack+55076, int_stack+48056, int_stack+35090, 3, 0);
 /*--- compute (f0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31280, int_stack+0, int_stack+62556, int_stack+57236, int_stack+50576, int_stack+36770, 3, 0);
 /*--- compute (dp|[r12,T2]|hg) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+60036, int_stack+31280, int_stack+42656, 315);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+42656, int_stack+3716, int_stack+2960, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+4724, int_stack+3716, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+65706, int_stack+0, int_stack+42656, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+34430, int_stack+6020, int_stack+4724, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+68352, int_stack+34430, int_stack+0, 21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+71880, int_stack+68352, int_stack+65706, 21);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+76290, int_stack+25901, int_stack+25226, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+78315, int_stack+76290, int_stack+46436, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+81555, int_stack+78315, int_stack+48056, 15);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1764, int_stack+4304, int_stack+3401, int_stack+24266, int_stack+2960, int_stack+23951, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22101, int_stack+5480, int_stack+4304, int_stack+24686, int_stack+3716, int_stack+24266, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2709, int_stack+22101, int_stack+1764, int_stack+27671, int_stack+42656, int_stack+26726, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42656, int_stack+6965, int_stack+5480, int_stack+25226, int_stack+4724, int_stack+24686, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+85755, int_stack+42656, int_stack+22101, int_stack+46436, int_stack+0, int_stack+27671, 4, 0);
 /*--- compute (g0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26726, int_stack+85755, int_stack+2709, int_stack+48056, int_stack+65706, int_stack+44546, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+65706, int_stack+7640, int_stack+6965, int_stack+25901, int_stack+6020, int_stack+25226, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+65706, int_stack+42656, int_stack+76290, int_stack+34430, int_stack+46436, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42656, int_stack+0, int_stack+85755, int_stack+78315, int_stack+68352, int_stack+48056, 4, 0);
 /*--- compute (g0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+42656, int_stack+26726, int_stack+81555, int_stack+71880, int_stack+50576, 4, 0);
 /*--- compute (fp|[r12,T2]|hg) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+65706, int_stack+0, int_stack+31280, 315);
 /*--- compute (d0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+31280, int_stack+40976, int_stack+30020, 6);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+33170, int_stack+57236, int_stack+36770, 10);
 /*--- compute (dp|hg) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+33170, int_stack+31280, 315);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+36320, int_stack+8465, int_stack+21771, 6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+5670, int_stack+36320, int_stack+38870, 6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+36320, int_stack+5670, int_stack+39680, 6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+5670, int_stack+36320, int_stack+40976, 6);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+36320, int_stack+9971, int_stack+23401, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+37970, int_stack+36320, int_stack+53726, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+40670, int_stack+37970, int_stack+55076, 10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+36320, int_stack+40670, int_stack+57236, 10);
 /*--- compute (dp|ig) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+40520, int_stack+36320, int_stack+5670, 420);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+53726, int_stack+81555, int_stack+50576, 15);
 /*--- compute (fp|hg) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+75156, int_stack+53726, int_stack+33170, 315);
 /*--- compute (d0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+58451, int_stack+8987, int_stack+8861, 6);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+58829, int_stack+9155, int_stack+8987, 6);
 /*--- compute (d0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+48080, int_stack+58829, int_stack+58451, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+59333, int_stack+9371, int_stack+9155, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+48836, int_stack+59333, int_stack+58829, 6);
 /*--- compute (d0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+49844, int_stack+48836, int_stack+48080, 6);
 /*--- compute (d0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+58451, int_stack+9641, int_stack+9371, 6);
 /*--- compute (d0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+51104, int_stack+58451, int_stack+59333, 6);
 /*--- compute (d0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+8190, int_stack+51104, int_stack+48836, 6);
 /*--- compute (d0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+51104, int_stack+8190, int_stack+49844, 6);
 /*--- compute (f0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+8190, int_stack+10841, int_stack+10631, 10);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+11121, int_stack+10841, 10);
 /*--- compute (f0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+9660, int_stack+8820, int_stack+8190, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+58451, int_stack+11481, int_stack+11121, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+48080, int_stack+58451, int_stack+8820, 10);
 /*--- compute (f0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+84606, int_stack+48080, int_stack+9660, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+8190, int_stack+11931, int_stack+11481, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+9540, int_stack+8190, int_stack+58451, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+20991, int_stack+9540, int_stack+48080, 10);
 /*--- compute (f0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+8190, int_stack+20991, int_stack+84606, 10);
 /*--- compute (dp|[r12,T1]|hg) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+20991, int_stack+8190, int_stack+51104, int_stack+33170, int_stack+5670, int_stack+31280, 5, 4);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+5670, int_stack+12796, int_stack+12481, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+6615, int_stack+13216, int_stack+12796, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+84606, int_stack+6615, int_stack+5670, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+86496, int_stack+13756, int_stack+13216, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+26661, int_stack+86496, int_stack+6615, 15);
 /*--- compute (g0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+29181, int_stack+26661, int_stack+84606, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+5670, int_stack+14431, int_stack+13756, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+48080, int_stack+5670, int_stack+86496, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+84606, int_stack+48080, int_stack+26661, 15);
 /*--- compute (g0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+48080, int_stack+84606, int_stack+29181, 15);
 /*--- compute (fp|[r12,T1]|hg) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+84606, int_stack+48080, int_stack+8190, int_stack+53726, int_stack+36320, int_stack+33170, 5, 4);
 /*--- compute (d0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+48080, int_stack+15382, int_stack+15256, 6);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+48458, int_stack+15550, int_stack+15382, 6);
 /*--- compute (d0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+48962, int_stack+48458, int_stack+48080, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+49718, int_stack+15766, int_stack+15550, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+50366, int_stack+49718, int_stack+48458, 6);
 /*--- compute (d0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+51374, int_stack+50366, int_stack+48962, 6);
 /*--- compute (d0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+48080, int_stack+16036, int_stack+15766, 6);
 /*--- compute (d0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+52634, int_stack+48080, int_stack+49718, 6);
 /*--- compute (d0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+48080, int_stack+52634, int_stack+50366, 6);
 /*--- compute (d0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+52634, int_stack+48080, int_stack+51374, 6);
 /*--- compute (f0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+48080, int_stack+16576, int_stack+16366, 10);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+48710, int_stack+16856, int_stack+16576, 10);
 /*--- compute (f0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+49550, int_stack+48710, int_stack+48080, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+50810, int_stack+17216, int_stack+16856, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+54524, int_stack+50810, int_stack+48710, 10);
 /*--- compute (f0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+56204, int_stack+54524, int_stack+49550, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+48080, int_stack+17666, int_stack+17216, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+26661, int_stack+48080, int_stack+50810, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+48080, int_stack+26661, int_stack+54524, 10);
 /*--- compute (f0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+26661, int_stack+48080, int_stack+56204, 10);
 /*--- compute (dp||hg) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+29811, int_stack+26661, int_stack+52634, 315);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+94056, int_stack+18531, int_stack+18216, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+48080, int_stack+18951, int_stack+18531, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+49340, int_stack+48080, int_stack+94056, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+51230, int_stack+19491, int_stack+18951, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+52850, int_stack+51230, int_stack+48080, 15);
 /*--- compute (g0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+55370, int_stack+52850, int_stack+49340, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+48080, int_stack+20166, int_stack+19491, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+35481, int_stack+48080, int_stack+51230, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+48080, int_stack+35481, int_stack+52850, 15);
 /*--- compute (g0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+35481, int_stack+48080, int_stack+55370, 15);
 /*--- compute (fp||hg) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+48080, int_stack+35481, int_stack+26661, 315);
 /*--- compute (dd|[r12,T2]|hg) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+5670, int_stack+65706, int_stack+60036, 315);
     Libr12->te_ptr[3] = int_stack + 5670;
 /*--- compute (dd|[r12,T1]|hg) ---*/
   t1hrr1_build_dd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+57530, int_stack+84606, int_stack+20991, int_stack+75156, int_stack+40520, int_stack+0, 5, 4);
     Libr12->te_ptr[2] = int_stack + 57530;
 /*--- compute (dd||hg) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+35481, int_stack+48080, int_stack+29811, 315);
     Libr12->te_ptr[1] = int_stack + 35481;
 /*--- compute (dd|hg) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+17010, int_stack+75156, int_stack+0, 315);
     Libr12->te_ptr[0] = int_stack + 17010;

}
