#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fdfd(Libr12_t *, prim_data *);

  /* Computes (fd|fd) integrals for linear R12-methods */

void hrr_grt_order_fdfd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][3] = int_stack + 0;
 Libr12->t2vrr_classes[3][4] = int_stack + 100;
 Libr12->t2vrr_classes[3][5] = int_stack + 250;
 Libr12->t2vrr_classes[4][3] = int_stack + 460;
 Libr12->t2vrr_classes[4][4] = int_stack + 610;
 Libr12->t2vrr_classes[4][5] = int_stack + 835;
 Libr12->gvrr_classes[6][3] = int_stack + 1150;
 Libr12->t2vrr_classes[5][3] = int_stack + 1430;
 Libr12->gvrr_classes[6][4] = int_stack + 1640;
 Libr12->t2vrr_classes[5][4] = int_stack + 2060;
 Libr12->t2vrr_classes[5][5] = int_stack + 2375;
 Libr12->gvrr_classes[3][6] = int_stack + 2816;
 Libr12->t1vrr_classes[3][3] = int_stack + 3096;
 Libr12->t1vrr_classes[3][4] = int_stack + 3196;
 Libr12->t1vrr_classes[3][5] = int_stack + 3346;
 Libr12->gvrr_classes[4][6] = int_stack + 3556;
 Libr12->t1vrr_classes[4][3] = int_stack + 3976;
 Libr12->t1vrr_classes[4][4] = int_stack + 4126;
 Libr12->t1vrr_classes[4][5] = int_stack + 4351;
 Libr12->t1vrr_classes[5][3] = int_stack + 4666;
 Libr12->t1vrr_classes[5][4] = int_stack + 4876;
 Libr12->t1vrr_classes[5][5] = int_stack + 5191;
 Libr12->rvrr_classes[3][3] = int_stack + 5632;
 Libr12->rvrr_classes[3][4] = int_stack + 5732;
 Libr12->rvrr_classes[3][5] = int_stack + 5882;
 Libr12->rvrr_classes[4][3] = int_stack + 6092;
 Libr12->rvrr_classes[4][4] = int_stack + 6242;
 Libr12->rvrr_classes[4][5] = int_stack + 6467;
 Libr12->rvrr_classes[5][3] = int_stack + 6782;
 Libr12->rvrr_classes[5][4] = int_stack + 6992;
 Libr12->rvrr_classes[5][5] = int_stack + 7307;
 Libr12->gvrr_classes[3][3] = int_stack + 7748;
 Libr12->gvrr_classes[3][4] = int_stack + 7848;
 Libr12->gvrr_classes[3][5] = int_stack + 7998;
 Libr12->gvrr_classes[4][3] = int_stack + 8208;
 Libr12->gvrr_classes[4][4] = int_stack + 8358;
 Libr12->gvrr_classes[4][5] = int_stack + 8583;
 Libr12->gvrr_classes[5][3] = int_stack + 8898;
 Libr12->gvrr_classes[5][4] = int_stack + 9108;
 Libr12->gvrr_classes[5][5] = int_stack + 9423;
 memset(int_stack,0,9864*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 9864;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fdfd(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+9864, int_stack+7848, int_stack+7748, 10);
 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+10164, int_stack+8358, int_stack+8208, 15);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+10614, int_stack+7998, int_stack+7848, 10);
 /*--- compute (f0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11064, int_stack+100, int_stack+0, int_stack+7848, int_stack+8208, int_stack+7748, 3, 0);
 /*--- compute (f0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11364, int_stack+250, int_stack+100, int_stack+7998, int_stack+8358, int_stack+7848, 3, 0);
 /*--- compute (f0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11814, int_stack+11364, int_stack+11064, int_stack+10614, int_stack+10164, int_stack+9864, 3, 0);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+11064, int_stack+9108, int_stack+8898, 21);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+12414, int_stack+8583, int_stack+8358, 15);
 /*--- compute (g0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+610, int_stack+460, int_stack+8358, int_stack+8898, int_stack+8208, 4, 0);
 /*--- compute (g0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13089, int_stack+835, int_stack+610, int_stack+8583, int_stack+9108, int_stack+8358, 4, 0);
 /*--- compute (g0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13764, int_stack+13089, int_stack+0, int_stack+12414, int_stack+11064, int_stack+10164, 4, 0);
 /*--- compute (fp|[r12,T2]|fd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+14664, int_stack+13764, int_stack+11814, 60);
 /*--- compute (i0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1640, int_stack+1150, 28);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+16464, int_stack+9423, int_stack+9108, 21);
 /*--- compute (h0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13089, int_stack+2060, int_stack+1430, int_stack+9108, int_stack+1150, int_stack+8898, 5, 0);
 /*--- compute (h0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17409, int_stack+2375, int_stack+2060, int_stack+9423, int_stack+1640, int_stack+9108, 5, 0);
 /*--- compute (h0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+840, int_stack+17409, int_stack+13089, int_stack+16464, int_stack+0, int_stack+11064, 5, 0);
 /*--- compute (gp|[r12,T2]|fd) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+17409, int_stack+840, int_stack+13764, 60);
 /*--- compute (f0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+10614, int_stack+9864, 10);
 /*--- compute (g0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+600, int_stack+12414, int_stack+10164, 15);
 /*--- compute (fp|fd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+20109, int_stack+600, int_stack+0, 60);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1500, int_stack+2816, int_stack+7998, 10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+2130, int_stack+1500, int_stack+10614, 10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+13089, int_stack+3556, int_stack+8583, 15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+7748, int_stack+13089, int_stack+12414, 15);
 /*--- compute (fp|gd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+11694, int_stack+7748, int_stack+2130, 90);
 /*--- compute (h0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+9098, int_stack+16464, int_stack+11064, 21);
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+21909, int_stack+9098, int_stack+600, 60);
 /*--- compute (f0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+16464, int_stack+3196, int_stack+3096, 10);
 /*--- compute (f0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+16764, int_stack+3346, int_stack+3196, 10);
 /*--- compute (f0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+1500, int_stack+16764, int_stack+16464, 10);
 /*--- compute (g0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+16464, int_stack+4126, int_stack+3976, 15);
 /*--- compute (g0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+3030, int_stack+4351, int_stack+4126, 15);
 /*--- compute (g0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+3705, int_stack+3030, int_stack+16464, 15);
 /*--- compute (fp|[r12,T1]|fd) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+24609, int_stack+3705, int_stack+1500, int_stack+600, int_stack+2130, int_stack+0, 3, 2);
 /*--- compute (h0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+1500, int_stack+4876, int_stack+4666, 21);
 /*--- compute (h0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+16464, int_stack+5191, int_stack+4876, 21);
 /*--- compute (h0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+2130, int_stack+16464, int_stack+1500, 21);
 /*--- compute (gp|[r12,T1]|fd) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+26409, int_stack+2130, int_stack+3705, int_stack+9098, int_stack+7748, int_stack+600, 3, 2);
 /*--- compute (f0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+7748, int_stack+5732, int_stack+5632, 10);
 /*--- compute (f0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+8048, int_stack+5882, int_stack+5732, 10);
 /*--- compute (f0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+8498, int_stack+8048, int_stack+7748, 10);
 /*--- compute (g0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+7748, int_stack+6242, int_stack+6092, 15);
 /*--- compute (g0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+9098, int_stack+6467, int_stack+6242, 15);
 /*--- compute (g0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+9773, int_stack+9098, int_stack+7748, 15);
 /*--- compute (fp||fd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+9773, int_stack+8498, 60);
 /*--- compute (h0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+7748, int_stack+6992, int_stack+6782, 21);
 /*--- compute (h0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+16464, int_stack+7307, int_stack+6992, 21);
 /*--- compute (h0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+8378, int_stack+16464, int_stack+7748, 21);
 /*--- compute (gp||fd) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+1800, int_stack+8378, int_stack+9773, 60);
 /*--- compute (fd|[r12,T2]|fd) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+4500, int_stack+17409, int_stack+14664, 60);
     Libr12->te_ptr[3] = int_stack + 4500;
 /*--- compute (fd|[r12,T1]|fd) ---*/
   t1hrr1_build_fd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+14394, int_stack+26409, int_stack+24609, int_stack+21909, int_stack+11694, int_stack+20109, 3, 2);
     Libr12->te_ptr[2] = int_stack + 14394;
 /*--- compute (fd||fd) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+24609, int_stack+1800, int_stack+0, 60);
     Libr12->te_ptr[1] = int_stack + 24609;
 /*--- compute (fd|fd) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+21909, int_stack+20109, 60);
     Libr12->te_ptr[0] = int_stack + 0;

}
