#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fpfp(Libr12_t *, prim_data *);

  /* Computes (fp|fp) integrals for linear R12-methods */

void hrr_grt_order_fpfp(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][3] = int_stack + 0;
 Libr12->t2vrr_classes[3][4] = int_stack + 100;
 Libr12->gvrr_classes[5][3] = int_stack + 250;
 Libr12->t2vrr_classes[4][3] = int_stack + 460;
 Libr12->t2vrr_classes[4][4] = int_stack + 610;
 Libr12->gvrr_classes[3][5] = int_stack + 835;
 Libr12->t1vrr_classes[3][3] = int_stack + 1045;
 Libr12->t1vrr_classes[3][4] = int_stack + 1145;
 Libr12->t1vrr_classes[4][3] = int_stack + 1295;
 Libr12->t1vrr_classes[4][4] = int_stack + 1445;
 Libr12->rvrr_classes[3][3] = int_stack + 1670;
 Libr12->rvrr_classes[3][4] = int_stack + 1770;
 Libr12->rvrr_classes[4][3] = int_stack + 1920;
 Libr12->rvrr_classes[4][4] = int_stack + 2070;
 Libr12->gvrr_classes[3][3] = int_stack + 2295;
 Libr12->gvrr_classes[3][4] = int_stack + 2395;
 Libr12->gvrr_classes[4][3] = int_stack + 2545;
 Libr12->gvrr_classes[4][4] = int_stack + 2695;
 memset(int_stack,0,2920*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 2920;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fpfp(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2920, int_stack+100, int_stack+0, int_stack+2395, int_stack+2545, int_stack+2295, 3, 0);
 /*--- compute (g0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3220, int_stack+610, int_stack+460, int_stack+2695, int_stack+250, int_stack+2545, 4, 0);
 /*--- compute (f0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+2395, int_stack+2295, 10);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+300, int_stack+835, int_stack+2395, 10);
 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+3670, int_stack+2695, int_stack+2545, 15);
 /*--- compute (f0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+2295, int_stack+1145, int_stack+1045, 10);
 /*--- compute (g0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+750, int_stack+1445, int_stack+1295, 15);
 /*--- compute (f0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+2595, int_stack+1770, int_stack+1670, 10);
 /*--- compute (g0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+1200, int_stack+2070, int_stack+1920, 15);
 /*--- compute (fp|[r12,T2]|fp) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+4120, int_stack+3220, int_stack+2920, 30);
     Libr12->te_ptr[3] = int_stack + 4120;
 /*--- compute (fp|[r12,T1]|fp) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+5020, int_stack+750, int_stack+2295, int_stack+3670, int_stack+300, int_stack+0, 3, 1);
     Libr12->te_ptr[2] = int_stack + 5020;
 /*--- compute (fp||fp) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+300, int_stack+1200, int_stack+2595, 30);
     Libr12->te_ptr[1] = int_stack + 300;
 /*--- compute (fp|fp) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+1200, int_stack+3670, int_stack+0, 30);
     Libr12->te_ptr[0] = int_stack + 1200;

}
