#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gdhp(Libr12_t *, prim_data *);

  /* Computes (gd|hp) integrals for linear R12-methods */

void hrr_grt_order_gdhp(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][5] = int_stack + 0;
 Libr12->t2vrr_classes[4][6] = int_stack + 315;
 Libr12->t2vrr_classes[5][5] = int_stack + 735;
 Libr12->t2vrr_classes[5][6] = int_stack + 1176;
 Libr12->gvrr_classes[7][5] = int_stack + 1764;
 Libr12->t2vrr_classes[6][5] = int_stack + 2520;
 Libr12->t2vrr_classes[6][6] = int_stack + 3108;
 Libr12->gvrr_classes[4][7] = int_stack + 3892;
 Libr12->t1vrr_classes[4][5] = int_stack + 4432;
 Libr12->t1vrr_classes[4][6] = int_stack + 4747;
 Libr12->gvrr_classes[5][7] = int_stack + 5167;
 Libr12->t1vrr_classes[5][5] = int_stack + 5923;
 Libr12->t1vrr_classes[5][6] = int_stack + 6364;
 Libr12->t1vrr_classes[6][5] = int_stack + 6952;
 Libr12->t1vrr_classes[6][6] = int_stack + 7540;
 Libr12->rvrr_classes[4][5] = int_stack + 8324;
 Libr12->rvrr_classes[4][6] = int_stack + 8639;
 Libr12->rvrr_classes[5][5] = int_stack + 9059;
 Libr12->rvrr_classes[5][6] = int_stack + 9500;
 Libr12->rvrr_classes[6][5] = int_stack + 10088;
 Libr12->rvrr_classes[6][6] = int_stack + 10676;
 Libr12->gvrr_classes[4][5] = int_stack + 11460;
 Libr12->gvrr_classes[4][6] = int_stack + 11775;
 Libr12->gvrr_classes[5][5] = int_stack + 12195;
 Libr12->gvrr_classes[5][6] = int_stack + 12636;
 Libr12->gvrr_classes[6][5] = int_stack + 13224;
 Libr12->gvrr_classes[6][6] = int_stack + 13812;
 memset(int_stack,0,14596*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 14596;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gdhp(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14596, int_stack+315, int_stack+0, int_stack+11775, int_stack+12195, int_stack+11460, 4, 0);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15541, int_stack+1176, int_stack+735, int_stack+12636, int_stack+13224, int_stack+12195, 5, 0);
 /*--- compute (gp|[r12,T2]|hp) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+16864, int_stack+15541, int_stack+14596, 63);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3108, int_stack+2520, int_stack+13812, int_stack+1764, int_stack+13224, 6, 0);
 /*--- compute (hp|[r12,T2]|hp) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+19699, int_stack+0, int_stack+15541, 63);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+11775, int_stack+11460, 15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+945, int_stack+12636, int_stack+12195, 21);
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+23668, int_stack+945, int_stack+0, 63);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2268, int_stack+3892, int_stack+11775, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+14596, int_stack+5167, int_stack+12636, 21);
 /*--- compute (gp|ip) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+26503, int_stack+14596, int_stack+2268, 84);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+11460, int_stack+13812, int_stack+13224, 28);
 /*--- compute (hp|hp) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+30283, int_stack+11460, int_stack+945, 63);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+13224, int_stack+4747, int_stack+4432, 15);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+3528, int_stack+6364, int_stack+5923, 21);
 /*--- compute (gp|[r12,T1]|hp) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+34252, int_stack+3528, int_stack+13224, int_stack+945, int_stack+2268, int_stack+0, 5, 1);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+4851, int_stack+7540, int_stack+6952, 28);
 /*--- compute (hp|[r12,T1]|hp) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+37087, int_stack+4851, int_stack+3528, int_stack+11460, int_stack+14596, int_stack+945, 5, 1);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+41056, int_stack+8639, int_stack+8324, 15);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+11460, int_stack+9500, int_stack+9059, 21);
 /*--- compute (gp||hp) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+12783, int_stack+11460, int_stack+41056, 63);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+10676, int_stack+10088, 28);
 /*--- compute (hp||hp) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+1764, int_stack+0, int_stack+11460, 63);
 /*--- compute (gd|[r12,T2]|hp) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+5733, int_stack+19699, int_stack+16864, 63);
     Libr12->te_ptr[3] = int_stack + 5733;
 /*--- compute (gd|[r12,T1]|hp) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+15618, int_stack+37087, int_stack+34252, int_stack+30283, int_stack+26503, int_stack+23668, 5, 1);
     Libr12->te_ptr[2] = int_stack + 15618;
 /*--- compute (gd||hp) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+34252, int_stack+1764, int_stack+12783, 63);
     Libr12->te_ptr[1] = int_stack + 34252;
 /*--- compute (gd|hp) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+30283, int_stack+23668, 63);
     Libr12->te_ptr[0] = int_stack + 0;

}
