#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gphg(Libr12_t *, prim_data *);

  /* Computes (gp|hg) integrals for linear R12-methods */

void hrr_grt_order_gphg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][5] = int_stack + 0;
 Libr12->t2vrr_classes[4][6] = int_stack + 315;
 Libr12->t2vrr_classes[4][7] = int_stack + 735;
 Libr12->t2vrr_classes[4][8] = int_stack + 1275;
 Libr12->t2vrr_classes[4][9] = int_stack + 1950;
 Libr12->gvrr_classes[6][5] = int_stack + 2775;
 Libr12->t2vrr_classes[5][5] = int_stack + 3363;
 Libr12->gvrr_classes[6][6] = int_stack + 3804;
 Libr12->t2vrr_classes[5][6] = int_stack + 4588;
 Libr12->gvrr_classes[6][7] = int_stack + 5176;
 Libr12->t2vrr_classes[5][7] = int_stack + 6184;
 Libr12->gvrr_classes[6][8] = int_stack + 6940;
 Libr12->t2vrr_classes[5][8] = int_stack + 8200;
 Libr12->t2vrr_classes[5][9] = int_stack + 9145;
 Libr12->gvrr_classes[4][10] = int_stack + 10300;
 Libr12->t1vrr_classes[4][5] = int_stack + 11290;
 Libr12->t1vrr_classes[4][6] = int_stack + 11605;
 Libr12->t1vrr_classes[4][7] = int_stack + 12025;
 Libr12->t1vrr_classes[4][8] = int_stack + 12565;
 Libr12->t1vrr_classes[4][9] = int_stack + 13240;
 Libr12->t1vrr_classes[5][5] = int_stack + 14065;
 Libr12->t1vrr_classes[5][6] = int_stack + 14506;
 Libr12->t1vrr_classes[5][7] = int_stack + 15094;
 Libr12->t1vrr_classes[5][8] = int_stack + 15850;
 Libr12->t1vrr_classes[5][9] = int_stack + 16795;
 Libr12->rvrr_classes[4][5] = int_stack + 17950;
 Libr12->rvrr_classes[4][6] = int_stack + 18265;
 Libr12->rvrr_classes[4][7] = int_stack + 18685;
 Libr12->rvrr_classes[4][8] = int_stack + 19225;
 Libr12->rvrr_classes[4][9] = int_stack + 19900;
 Libr12->rvrr_classes[5][5] = int_stack + 20725;
 Libr12->rvrr_classes[5][6] = int_stack + 21166;
 Libr12->rvrr_classes[5][7] = int_stack + 21754;
 Libr12->rvrr_classes[5][8] = int_stack + 22510;
 Libr12->rvrr_classes[5][9] = int_stack + 23455;
 Libr12->gvrr_classes[4][5] = int_stack + 24610;
 Libr12->gvrr_classes[4][6] = int_stack + 24925;
 Libr12->gvrr_classes[4][7] = int_stack + 25345;
 Libr12->gvrr_classes[4][8] = int_stack + 25885;
 Libr12->gvrr_classes[4][9] = int_stack + 26560;
 Libr12->gvrr_classes[5][5] = int_stack + 27385;
 Libr12->gvrr_classes[5][6] = int_stack + 27826;
 Libr12->gvrr_classes[5][7] = int_stack + 28414;
 Libr12->gvrr_classes[5][8] = int_stack + 29170;
 Libr12->gvrr_classes[5][9] = int_stack + 30115;
 memset(int_stack,0,31270*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 31270;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gphg(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+31270, int_stack+24925, int_stack+24610, 15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+32215, int_stack+25345, int_stack+24925, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+33475, int_stack+32215, int_stack+31270, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+35365, int_stack+25885, int_stack+25345, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+36985, int_stack+35365, int_stack+32215, 15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+39505, int_stack+36985, int_stack+33475, 15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+42655, int_stack+27826, int_stack+27385, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+43978, int_stack+28414, int_stack+27826, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+45742, int_stack+43978, int_stack+42655, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+48388, int_stack+29170, int_stack+28414, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+50656, int_stack+48388, int_stack+43978, 21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+54184, int_stack+50656, int_stack+45742, 21);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+58594, int_stack+26560, int_stack+25885, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+60619, int_stack+58594, int_stack+35365, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+63859, int_stack+60619, int_stack+36985, 15);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68059, int_stack+315, int_stack+0, int_stack+24925, int_stack+27385, int_stack+24610, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+69004, int_stack+735, int_stack+315, int_stack+25345, int_stack+27826, int_stack+24925, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70264, int_stack+69004, int_stack+68059, int_stack+32215, int_stack+42655, int_stack+31270, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+72154, int_stack+1275, int_stack+735, int_stack+25885, int_stack+28414, int_stack+25345, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+73774, int_stack+72154, int_stack+69004, int_stack+35365, int_stack+43978, int_stack+32215, 4, 0);
 /*--- compute (g0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+76294, int_stack+73774, int_stack+70264, int_stack+36985, int_stack+45742, int_stack+33475, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31270, int_stack+1950, int_stack+1275, int_stack+26560, int_stack+29170, int_stack+25885, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68059, int_stack+31270, int_stack+72154, int_stack+58594, int_stack+48388, int_stack+35365, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31270, int_stack+68059, int_stack+73774, int_stack+60619, int_stack+50656, int_stack+36985, 4, 0);
 /*--- compute (g0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68059, int_stack+31270, int_stack+76294, int_stack+63859, int_stack+54184, int_stack+39505, 4, 0);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+31270, int_stack+3804, int_stack+2775, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+33034, int_stack+5176, int_stack+3804, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+35386, int_stack+33034, int_stack+31270, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+72784, int_stack+6940, int_stack+5176, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+75808, int_stack+72784, int_stack+33034, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+80512, int_stack+75808, int_stack+35386, 28);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+86392, int_stack+30115, int_stack+29170, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+89227, int_stack+86392, int_stack+48388, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+93763, int_stack+89227, int_stack+50656, 21);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+24610, int_stack+4588, int_stack+3363, int_stack+27826, int_stack+2775, int_stack+27385, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+6184, int_stack+4588, int_stack+28414, int_stack+3804, int_stack+27826, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1764, int_stack+0, int_stack+24610, int_stack+43978, int_stack+31270, int_stack+42655, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+99643, int_stack+8200, int_stack+6184, int_stack+29170, int_stack+5176, int_stack+28414, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+101911, int_stack+99643, int_stack+0, int_stack+48388, int_stack+33034, int_stack+43978, 5, 0);
 /*--- compute (h0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+105439, int_stack+101911, int_stack+1764, int_stack+50656, int_stack+35386, int_stack+45742, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+9145, int_stack+8200, int_stack+30115, int_stack+6940, int_stack+29170, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2835, int_stack+0, int_stack+99643, int_stack+86392, int_stack+72784, int_stack+48388, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42655, int_stack+2835, int_stack+101911, int_stack+89227, int_stack+75808, int_stack+50656, 5, 0);
 /*--- compute (h0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+72784, int_stack+42655, int_stack+105439, int_stack+93763, int_stack+80512, int_stack+54184, 5, 0);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+42655, int_stack+63859, int_stack+39505, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+47380, int_stack+10300, int_stack+26560, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+49855, int_stack+47380, int_stack+58594, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+79399, int_stack+49855, int_stack+60619, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+47380, int_stack+79399, int_stack+63859, 15);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+79399, int_stack+93763, int_stack+54184, 21);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+86014, int_stack+11605, int_stack+11290, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+86959, int_stack+12025, int_stack+11605, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+88219, int_stack+86959, int_stack+86014, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+90109, int_stack+12565, int_stack+12025, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+91729, int_stack+90109, int_stack+86959, 15);
 /*--- compute (g0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+94249, int_stack+91729, int_stack+88219, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+86014, int_stack+13240, int_stack+12565, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+97399, int_stack+86014, int_stack+90109, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+86014, int_stack+97399, int_stack+91729, 15);
 /*--- compute (g0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+97399, int_stack+86014, int_stack+94249, 15);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+86014, int_stack+14506, int_stack+14065, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+87337, int_stack+15094, int_stack+14506, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+89101, int_stack+87337, int_stack+86014, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+91747, int_stack+15850, int_stack+15094, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+102124, int_stack+91747, int_stack+87337, 21);
 /*--- compute (h0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+53680, int_stack+102124, int_stack+89101, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+86014, int_stack+16795, int_stack+15850, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+58090, int_stack+86014, int_stack+91747, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+86014, int_stack+58090, int_stack+102124, 21);
 /*--- compute (h0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+102124, int_stack+86014, int_stack+53680, 21);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+53680, int_stack+18265, int_stack+17950, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+54625, int_stack+18685, int_stack+18265, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+55885, int_stack+54625, int_stack+53680, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+57775, int_stack+19225, int_stack+18685, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+59395, int_stack+57775, int_stack+54625, 15);
 /*--- compute (g0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+61915, int_stack+59395, int_stack+55885, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+53680, int_stack+19900, int_stack+19225, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+86014, int_stack+53680, int_stack+57775, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+53680, int_stack+86014, int_stack+59395, 15);
 /*--- compute (g0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+86014, int_stack+53680, int_stack+61915, 15);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+53680, int_stack+21166, int_stack+20725, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+55003, int_stack+21754, int_stack+21166, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+56767, int_stack+55003, int_stack+53680, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+59413, int_stack+22510, int_stack+21754, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+61681, int_stack+59413, int_stack+55003, 21);
 /*--- compute (h0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+90739, int_stack+61681, int_stack+56767, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+53680, int_stack+23455, int_stack+22510, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+53680, int_stack+59413, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+53680, int_stack+0, int_stack+61681, 21);
 /*--- compute (h0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+53680, int_stack+90739, 21);
 /*--- compute (gp|[r12,T2]|hg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+53680, int_stack+72784, int_stack+68059, 315);
     Libr12->te_ptr[3] = int_stack + 53680;
 /*--- compute (gp|[r12,T1]|hg) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+6615, int_stack+102124, int_stack+97399, int_stack+79399, int_stack+47380, int_stack+42655, 5, 4);
     Libr12->te_ptr[2] = int_stack + 6615;
 /*--- compute (gp||hg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+90739, int_stack+0, int_stack+86014, 315);
     Libr12->te_ptr[1] = int_stack + 90739;
 /*--- compute (gp|hg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+20790, int_stack+79399, int_stack+42655, 315);
     Libr12->te_ptr[0] = int_stack + 20790;

}
