#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ppfp(Libr12_t *, prim_data *);

  /* Computes (pp|fp) integrals for linear R12-methods */

void hrr_grt_order_ppfp(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[1][3] = int_stack + 0;
 Libr12->t2vrr_classes[1][4] = int_stack + 30;
 Libr12->gvrr_classes[3][3] = int_stack + 75;
 Libr12->t2vrr_classes[2][3] = int_stack + 175;
 Libr12->t2vrr_classes[2][4] = int_stack + 235;
 Libr12->gvrr_classes[1][5] = int_stack + 325;
 Libr12->t1vrr_classes[1][3] = int_stack + 388;
 Libr12->t1vrr_classes[1][4] = int_stack + 418;
 Libr12->t1vrr_classes[2][3] = int_stack + 463;
 Libr12->t1vrr_classes[2][4] = int_stack + 523;
 Libr12->rvrr_classes[1][3] = int_stack + 613;
 Libr12->rvrr_classes[1][4] = int_stack + 643;
 Libr12->rvrr_classes[2][3] = int_stack + 688;
 Libr12->rvrr_classes[2][4] = int_stack + 748;
 Libr12->gvrr_classes[1][3] = int_stack + 838;
 Libr12->gvrr_classes[1][4] = int_stack + 868;
 Libr12->gvrr_classes[2][3] = int_stack + 913;
 Libr12->gvrr_classes[2][4] = int_stack + 973;
 memset(int_stack,0,1063*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 1063;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ppfp(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1063, int_stack+30, int_stack+0, int_stack+868, int_stack+913, int_stack+838, 1, 0);
 /*--- compute (d0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1153, int_stack+235, int_stack+175, int_stack+973, int_stack+75, int_stack+913, 2, 0);
 /*--- compute (p0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+868, int_stack+838, 3);
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+90, int_stack+325, int_stack+868, 3);
 /*--- compute (d0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+1333, int_stack+973, int_stack+913, 6);
 /*--- compute (p0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+838, int_stack+418, int_stack+388, 3);
 /*--- compute (d0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+225, int_stack+523, int_stack+463, 6);
 /*--- compute (p0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+928, int_stack+643, int_stack+613, 3);
 /*--- compute (d0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+405, int_stack+748, int_stack+688, 6);
 /*--- compute (pp|[r12,T2]|fp) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+1513, int_stack+1153, int_stack+1063, 30);
     Libr12->te_ptr[3] = int_stack + 1513;
 /*--- compute (pp|[r12,T1]|fp) ---*/
   t1hrr1_build_pp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1018, int_stack+225, int_stack+838, int_stack+1333, int_stack+90, int_stack+0, 3, 1);
     Libr12->te_ptr[2] = int_stack + 1018;
 /*--- compute (pp||fp) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+90, int_stack+405, int_stack+928, 30);
     Libr12->te_ptr[1] = int_stack + 90;
 /*--- compute (pp|fp) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+360, int_stack+1333, int_stack+0, 30);
     Libr12->te_ptr[0] = int_stack + 360;

}
