#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ffhf(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+3, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+6, NULL, NULL, r12vrr_stack+0);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+49, r12vrr_stack+12, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+58, r12vrr_stack+52, r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+12, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+68, r12vrr_stack+3, r12vrr_stack+12, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+74, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+84, r12vrr_stack+39, r12vrr_stack+74, NULL, NULL, r12vrr_stack+6);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+114, r12vrr_stack+58, r12vrr_stack+39, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+144, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+21);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+204, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+219, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+52, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+234, r12vrr_stack+219, r12vrr_stack+204, NULL, NULL, r12vrr_stack+39);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+279, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+282, r12vrr_stack+279, r12vrr_stack+49, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+288, r12vrr_stack+282, r12vrr_stack+52, r12vrr_stack+279, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+298, r12vrr_stack+288, r12vrr_stack+58, r12vrr_stack+282, r12vrr_stack+52, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+313, r12vrr_stack+298, r12vrr_stack+219, NULL, NULL, r12vrr_stack+58);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+12, r12vrr_stack+49, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+358, r12vrr_stack+68, r12vrr_stack+52, r12vrr_stack+3, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+368, r12vrr_stack+74, r12vrr_stack+358, r12vrr_stack+6, r12vrr_stack+68, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+383, r12vrr_stack+204, r12vrr_stack+368, NULL, NULL, r12vrr_stack+74);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+428, r12vrr_stack+234, r12vrr_stack+383, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+84);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+518, r12vrr_stack+313, r12vrr_stack+234, r12vrr_stack+298, r12vrr_stack+219, r12vrr_stack+114);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+608, r12vrr_stack+518, r12vrr_stack+428, r12vrr_stack+313, r12vrr_stack+234, r12vrr_stack+144);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+758, r12vrr_stack+0, r12vrr_stack+3, NULL, NULL, Data->F+4);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+767, r12vrr_stack+6, r12vrr_stack+68, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+785, r12vrr_stack+21, r12vrr_stack+767, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+758);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+821, r12vrr_stack+74, r12vrr_stack+358, NULL, NULL, r12vrr_stack+68);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+851, r12vrr_stack+84, r12vrr_stack+821, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+767);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+911, r12vrr_stack+144, r12vrr_stack+851, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+785);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+114, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+114, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+117, r12vrr_stack+52, r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+127, r12vrr_stack+358, r12vrr_stack+117, r12vrr_stack+68, r12vrr_stack+52, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1011, r12vrr_stack+368, r12vrr_stack+127, NULL, NULL, r12vrr_stack+358);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1056, r12vrr_stack+383, r12vrr_stack+1011, r12vrr_stack+204, r12vrr_stack+368, r12vrr_stack+821);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1146, r12vrr_stack+428, r12vrr_stack+1056, r12vrr_stack+234, r12vrr_stack+383, r12vrr_stack+851);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+1296, r12vrr_stack+608, r12vrr_stack+1146, r12vrr_stack+518, r12vrr_stack+428, r12vrr_stack+911);

 /*--- compute (00|h0)^2 ---*/
 _BUILD_00h0(Data,r12vrr_stack+1521, r12vrr_stack+204, r12vrr_stack+368, r12vrr_stack+39, r12vrr_stack+74, NULL);

 /*--- compute (00|h0)^1 ---*/
 _BUILD_00h0(Data,r12vrr_stack+1542, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+58, r12vrr_stack+39, NULL);

 /*--- compute (00|h0)^3 ---*/
 _BUILD_00h0(Data,r12vrr_stack+1563, r12vrr_stack+368, r12vrr_stack+127, r12vrr_stack+74, r12vrr_stack+358, NULL);

 /*--- compute (p0|h0)^2 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+1584, r12vrr_stack+1521, r12vrr_stack+1563, NULL, NULL, r12vrr_stack+368);

 /*--- compute (p0|h0)^1 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+1647, r12vrr_stack+1542, r12vrr_stack+1521, NULL, NULL, r12vrr_stack+204);

 /*--- compute (d0|h0)^1 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+1710, r12vrr_stack+1647, r12vrr_stack+1584, r12vrr_stack+1542, r12vrr_stack+1521, r12vrr_stack+383);

 /*--- compute (00|h0)^0 ---*/
 _BUILD_00h0(Data,r12vrr_stack+1836, r12vrr_stack+298, r12vrr_stack+219, r12vrr_stack+288, r12vrr_stack+58, NULL);

 /*--- compute (p0|h0)^0 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+1857, r12vrr_stack+1836, r12vrr_stack+1542, NULL, NULL, r12vrr_stack+219);

 /*--- compute (d0|h0)^0 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+1920, r12vrr_stack+1857, r12vrr_stack+1647, r12vrr_stack+1836, r12vrr_stack+1542, r12vrr_stack+234);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+234, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+237, r12vrr_stack+114, r12vrr_stack+234, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+58, r12vrr_stack+15, r12vrr_stack+237, r12vrr_stack+49, r12vrr_stack+114, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+243, r12vrr_stack+117, r12vrr_stack+58, r12vrr_stack+52, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^4 ---*/
 _BUILD_00h0(Data,r12vrr_stack+258, r12vrr_stack+127, r12vrr_stack+243, r12vrr_stack+358, r12vrr_stack+117, NULL);

 /*--- compute (p0|h0)^3 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+2046, r12vrr_stack+1563, r12vrr_stack+258, NULL, NULL, r12vrr_stack+127);

 /*--- compute (d0|h0)^2 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+2109, r12vrr_stack+1584, r12vrr_stack+2046, r12vrr_stack+1521, r12vrr_stack+1563, r12vrr_stack+1011);

 /*--- compute (f0|h0)^1 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+2235, r12vrr_stack+1710, r12vrr_stack+2109, r12vrr_stack+1647, r12vrr_stack+1584, r12vrr_stack+1056);

 /*--- compute (f0|h0)^0 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+2445, r12vrr_stack+1920, r12vrr_stack+1710, r12vrr_stack+1857, r12vrr_stack+1647, r12vrr_stack+428);
 tmp = r12vrr_stack + 2445;
 target_ptr = Libr12->gvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|h0)^0 ---*/
 _BUILD_g0h0(Data,r12vrr_stack+2655, r12vrr_stack+2445, r12vrr_stack+2235, r12vrr_stack+1920, r12vrr_stack+1710, r12vrr_stack+1146);
 tmp = r12vrr_stack + 2655;
 target_ptr = Libr12->gvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^2 ---*/
 _BUILD_00i0(Data,r12vrr_stack+2970, r12vrr_stack+1521, r12vrr_stack+1563, r12vrr_stack+204, r12vrr_stack+368, NULL);

 /*--- compute (00|i0)^1 ---*/
 _BUILD_00i0(Data,r12vrr_stack+2998, r12vrr_stack+1542, r12vrr_stack+1521, r12vrr_stack+219, r12vrr_stack+204, NULL);

 /*--- compute (p0|i0)^1 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+3026, r12vrr_stack+2998, r12vrr_stack+2970, NULL, NULL, r12vrr_stack+1521);

 /*--- compute (00|i0)^0 ---*/
 _BUILD_00i0(Data,r12vrr_stack+3110, r12vrr_stack+1836, r12vrr_stack+1542, r12vrr_stack+298, r12vrr_stack+219, NULL);

 /*--- compute (p0|i0)^0 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+3138, r12vrr_stack+3110, r12vrr_stack+2998, NULL, NULL, r12vrr_stack+1542);

 /*--- compute (00|i0)^3 ---*/
 _BUILD_00i0(Data,r12vrr_stack+204, r12vrr_stack+1563, r12vrr_stack+258, r12vrr_stack+368, r12vrr_stack+127, NULL);

 /*--- compute (p0|i0)^2 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+3222, r12vrr_stack+2970, r12vrr_stack+204, NULL, NULL, r12vrr_stack+1563);

 /*--- compute (d0|i0)^1 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+3306, r12vrr_stack+3026, r12vrr_stack+3222, r12vrr_stack+2998, r12vrr_stack+2970, r12vrr_stack+1584);

 /*--- compute (d0|i0)^0 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+3474, r12vrr_stack+3138, r12vrr_stack+3026, r12vrr_stack+3110, r12vrr_stack+2998, r12vrr_stack+1647);

 /*--- compute (f0|i0)^0 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+3642, r12vrr_stack+3474, r12vrr_stack+3306, r12vrr_stack+3138, r12vrr_stack+3026, r12vrr_stack+1710);
 tmp = r12vrr_stack + 3642;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1647, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1650, r12vrr_stack+234, r12vrr_stack+1647, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+237, r12vrr_stack+1650, r12vrr_stack+114, r12vrr_stack+234, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1656, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+237, NULL);

 /*--- compute (00|h0)^5 ---*/
 _BUILD_00h0(Data,r12vrr_stack+1671, r12vrr_stack+243, r12vrr_stack+1656, r12vrr_stack+117, r12vrr_stack+58, NULL);

 /*--- compute (00|i0)^4 ---*/
 _BUILD_00i0(Data,r12vrr_stack+3922, r12vrr_stack+258, r12vrr_stack+1671, r12vrr_stack+127, r12vrr_stack+243, NULL);

 /*--- compute (p0|i0)^3 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+3950, r12vrr_stack+204, r12vrr_stack+3922, NULL, NULL, r12vrr_stack+258);

 /*--- compute (d0|i0)^2 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+4034, r12vrr_stack+3222, r12vrr_stack+3950, r12vrr_stack+2970, r12vrr_stack+204, r12vrr_stack+2046);

 /*--- compute (f0|i0)^1 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+4202, r12vrr_stack+3306, r12vrr_stack+4034, r12vrr_stack+3026, r12vrr_stack+3222, r12vrr_stack+2109);

 /*--- compute (g0|i0)^0 ---*/
 _BUILD_g0i0(Data,r12vrr_stack+4482, r12vrr_stack+3642, r12vrr_stack+4202, r12vrr_stack+3474, r12vrr_stack+3306, r12vrr_stack+2235);
 tmp = r12vrr_stack + 4482;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4902, r12vrr_stack+2970, r12vrr_stack+204, r12vrr_stack+1521, r12vrr_stack+1563, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4938, r12vrr_stack+2998, r12vrr_stack+2970, r12vrr_stack+1542, r12vrr_stack+1521, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4974, r12vrr_stack+4938, r12vrr_stack+4902, NULL, NULL, r12vrr_stack+2970);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5082, r12vrr_stack+3110, r12vrr_stack+2998, r12vrr_stack+1836, r12vrr_stack+1542, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5118, r12vrr_stack+5082, r12vrr_stack+4938, NULL, NULL, r12vrr_stack+2998);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1521, r12vrr_stack+204, r12vrr_stack+3922, r12vrr_stack+1563, r12vrr_stack+258, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5226, r12vrr_stack+4902, r12vrr_stack+1521, NULL, NULL, r12vrr_stack+204);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5334, r12vrr_stack+4974, r12vrr_stack+5226, r12vrr_stack+4938, r12vrr_stack+4902, r12vrr_stack+3222);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5550, r12vrr_stack+5118, r12vrr_stack+4974, r12vrr_stack+5082, r12vrr_stack+4938, r12vrr_stack+3026);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5766, r12vrr_stack+5550, r12vrr_stack+5334, r12vrr_stack+5118, r12vrr_stack+4974, r12vrr_stack+3306);
 tmp = r12vrr_stack + 5766;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3026, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1557, r12vrr_stack+1647, r12vrr_stack+3026, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3029, r12vrr_stack+1650, r12vrr_stack+1557, r12vrr_stack+234, r12vrr_stack+1647, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3039, r12vrr_stack+39, r12vrr_stack+3029, r12vrr_stack+237, r12vrr_stack+1650, NULL);

 /*--- compute (00|h0)^6 ---*/
 _BUILD_00h0(Data,r12vrr_stack+3054, r12vrr_stack+1656, r12vrr_stack+3039, r12vrr_stack+58, r12vrr_stack+39, NULL);

 /*--- compute (00|i0)^5 ---*/
 _BUILD_00i0(Data,r12vrr_stack+3075, r12vrr_stack+1671, r12vrr_stack+3054, r12vrr_stack+243, r12vrr_stack+1656, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6126, r12vrr_stack+3922, r12vrr_stack+3075, r12vrr_stack+258, r12vrr_stack+1671, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6162, r12vrr_stack+1521, r12vrr_stack+6126, NULL, NULL, r12vrr_stack+3922);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6270, r12vrr_stack+5226, r12vrr_stack+6162, r12vrr_stack+4902, r12vrr_stack+1521, r12vrr_stack+3950);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6486, r12vrr_stack+5334, r12vrr_stack+6270, r12vrr_stack+4974, r12vrr_stack+5226, r12vrr_stack+4034);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6846, r12vrr_stack+5766, r12vrr_stack+6486, r12vrr_stack+5550, r12vrr_stack+5334, r12vrr_stack+4202);
 tmp = r12vrr_stack + 6846;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7386, r12vrr_stack+4902, r12vrr_stack+1521, r12vrr_stack+2970, r12vrr_stack+204, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7431, r12vrr_stack+4938, r12vrr_stack+4902, r12vrr_stack+2998, r12vrr_stack+2970, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7476, r12vrr_stack+7431, r12vrr_stack+7386, NULL, NULL, r12vrr_stack+4902);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7611, r12vrr_stack+5082, r12vrr_stack+4938, r12vrr_stack+3110, r12vrr_stack+2998, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7656, r12vrr_stack+7611, r12vrr_stack+7431, NULL, NULL, r12vrr_stack+4938);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2970, r12vrr_stack+1521, r12vrr_stack+6126, r12vrr_stack+204, r12vrr_stack+3922, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7791, r12vrr_stack+7386, r12vrr_stack+2970, NULL, NULL, r12vrr_stack+1521);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7926, r12vrr_stack+7476, r12vrr_stack+7791, r12vrr_stack+7431, r12vrr_stack+7386, r12vrr_stack+5226);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8196, r12vrr_stack+7656, r12vrr_stack+7476, r12vrr_stack+7611, r12vrr_stack+7431, r12vrr_stack+4974);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8466, r12vrr_stack+8196, r12vrr_stack+7926, r12vrr_stack+7656, r12vrr_stack+7476, r12vrr_stack+5334);
 tmp = r12vrr_stack + 8466;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+4974, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4977, r12vrr_stack+3026, r12vrr_stack+4974, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+4983, r12vrr_stack+1557, r12vrr_stack+4977, r12vrr_stack+1647, r12vrr_stack+3026, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+4993, r12vrr_stack+3029, r12vrr_stack+4983, r12vrr_stack+1650, r12vrr_stack+1557, NULL);

 /*--- compute (00|h0)^7 ---*/
 _BUILD_00h0(Data,r12vrr_stack+5008, r12vrr_stack+3039, r12vrr_stack+4993, r12vrr_stack+39, r12vrr_stack+3029, NULL);

 /*--- compute (00|i0)^6 ---*/
 _BUILD_00i0(Data,r12vrr_stack+5029, r12vrr_stack+3054, r12vrr_stack+5008, r12vrr_stack+1656, r12vrr_stack+3039, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8916, r12vrr_stack+3075, r12vrr_stack+5029, r12vrr_stack+1671, r12vrr_stack+3054, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8952, r12vrr_stack+6126, r12vrr_stack+8916, r12vrr_stack+3922, r12vrr_stack+3075, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8997, r12vrr_stack+2970, r12vrr_stack+8952, NULL, NULL, r12vrr_stack+6126);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9132, r12vrr_stack+7791, r12vrr_stack+8997, r12vrr_stack+7386, r12vrr_stack+2970, r12vrr_stack+6162);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9402, r12vrr_stack+7926, r12vrr_stack+9132, r12vrr_stack+7476, r12vrr_stack+7791, r12vrr_stack+6270);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9852, r12vrr_stack+8466, r12vrr_stack+9402, r12vrr_stack+8196, r12vrr_stack+7926, r12vrr_stack+6486);
 tmp = r12vrr_stack + 9852;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10527, r12vrr_stack+7386, r12vrr_stack+2970, r12vrr_stack+4902, r12vrr_stack+1521, NULL);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10582, r12vrr_stack+7431, r12vrr_stack+7386, r12vrr_stack+4938, r12vrr_stack+4902, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10637, r12vrr_stack+10582, r12vrr_stack+10527, NULL, NULL, r12vrr_stack+7386);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10802, r12vrr_stack+7611, r12vrr_stack+7431, r12vrr_stack+5082, r12vrr_stack+4938, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10857, r12vrr_stack+10802, r12vrr_stack+10582, NULL, NULL, r12vrr_stack+7431);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7386, r12vrr_stack+2970, r12vrr_stack+8952, r12vrr_stack+1521, r12vrr_stack+6126, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11022, r12vrr_stack+10527, r12vrr_stack+7386, NULL, NULL, r12vrr_stack+2970);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11187, r12vrr_stack+10637, r12vrr_stack+11022, r12vrr_stack+10582, r12vrr_stack+10527, r12vrr_stack+7791);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11517, r12vrr_stack+10857, r12vrr_stack+10637, r12vrr_stack+10802, r12vrr_stack+10582, r12vrr_stack+7476);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11847, r12vrr_stack+11517, r12vrr_stack+11187, r12vrr_stack+10857, r12vrr_stack+10637, r12vrr_stack+7926);
 tmp = r12vrr_stack + 11847;
 target_ptr = Libr12->gvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+10582, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1647, r12vrr_stack+3, r12vrr_stack+12, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+1692, r12vrr_stack+758, r12vrr_stack+1647, r12vrr_stack+0, r12vrr_stack+3, r12vrr_stack+10582);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+10585, r12vrr_stack+68, r12vrr_stack+52, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+10802, r12vrr_stack+767, r12vrr_stack+10585, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+1647);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+10838, r12vrr_stack+785, r12vrr_stack+10802, r12vrr_stack+21, r12vrr_stack+767, r12vrr_stack+1692);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+10603, r12vrr_stack+358, r12vrr_stack+117, NULL, NULL, r12vrr_stack+52);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+10898, r12vrr_stack+821, r12vrr_stack+10603, r12vrr_stack+74, r12vrr_stack+358, r12vrr_stack+10585);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+7441, r12vrr_stack+851, r12vrr_stack+10898, r12vrr_stack+84, r12vrr_stack+821, r12vrr_stack+10802);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+12397, r12vrr_stack+911, r12vrr_stack+7441, r12vrr_stack+144, r12vrr_stack+851, r12vrr_stack+10838);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+10958, r12vrr_stack+127, r12vrr_stack+243, NULL, NULL, r12vrr_stack+117);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+12547, r12vrr_stack+1011, r12vrr_stack+10958, r12vrr_stack+368, r12vrr_stack+127, r12vrr_stack+10603);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+12637, r12vrr_stack+1056, r12vrr_stack+12547, r12vrr_stack+383, r12vrr_stack+1011, r12vrr_stack+10898);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+12787, r12vrr_stack+1146, r12vrr_stack+12637, r12vrr_stack+428, r12vrr_stack+1056, r12vrr_stack+7441);

 /*--- compute (h0|g0)^0 ---*/
 _BUILD_h0g0(Data,r12vrr_stack+13012, r12vrr_stack+1296, r12vrr_stack+12787, r12vrr_stack+608, r12vrr_stack+1146, r12vrr_stack+12397);

 /*--- compute (p0|h0)^4 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+368, r12vrr_stack+258, r12vrr_stack+1671, NULL, NULL, r12vrr_stack+243);

 /*--- compute (d0|h0)^3 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+13327, r12vrr_stack+2046, r12vrr_stack+368, r12vrr_stack+1563, r12vrr_stack+258, r12vrr_stack+10958);

 /*--- compute (f0|h0)^2 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+13453, r12vrr_stack+2109, r12vrr_stack+13327, r12vrr_stack+1584, r12vrr_stack+2046, r12vrr_stack+12547);

 /*--- compute (g0|h0)^1 ---*/
 _BUILD_g0h0(Data,r12vrr_stack+13663, r12vrr_stack+2235, r12vrr_stack+13453, r12vrr_stack+1710, r12vrr_stack+2109, r12vrr_stack+12637);

 /*--- compute (h0|h0)^0 ---*/
 _BUILD_h0h0(Data,r12vrr_stack+13978, r12vrr_stack+2655, r12vrr_stack+13663, r12vrr_stack+2445, r12vrr_stack+2235, r12vrr_stack+12787);
 tmp = r12vrr_stack + 13978;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^4 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+1563, r12vrr_stack+3922, r12vrr_stack+3075, NULL, NULL, r12vrr_stack+1671);

 /*--- compute (d0|i0)^3 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+14419, r12vrr_stack+3950, r12vrr_stack+1563, r12vrr_stack+204, r12vrr_stack+3922, r12vrr_stack+368);

 /*--- compute (f0|i0)^2 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+14587, r12vrr_stack+4034, r12vrr_stack+14419, r12vrr_stack+3222, r12vrr_stack+3950, r12vrr_stack+13327);

 /*--- compute (g0|i0)^1 ---*/
 _BUILD_g0i0(Data,r12vrr_stack+14867, r12vrr_stack+4202, r12vrr_stack+14587, r12vrr_stack+3306, r12vrr_stack+4034, r12vrr_stack+13453);

 /*--- compute (h0|i0)^0 ---*/
 _BUILD_h0i0(Data,r12vrr_stack+15287, r12vrr_stack+4482, r12vrr_stack+14867, r12vrr_stack+3642, r12vrr_stack+4202, r12vrr_stack+13663);
 tmp = r12vrr_stack + 15287;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3222, r12vrr_stack+6126, r12vrr_stack+8916, NULL, NULL, r12vrr_stack+3075);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15875, r12vrr_stack+6162, r12vrr_stack+3222, r12vrr_stack+1521, r12vrr_stack+6126, r12vrr_stack+1563);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16091, r12vrr_stack+6270, r12vrr_stack+15875, r12vrr_stack+5226, r12vrr_stack+6162, r12vrr_stack+14419);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16451, r12vrr_stack+6486, r12vrr_stack+16091, r12vrr_stack+5334, r12vrr_stack+6270, r12vrr_stack+14587);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16991, r12vrr_stack+6846, r12vrr_stack+16451, r12vrr_stack+5766, r12vrr_stack+6486, r12vrr_stack+14867);
 tmp = r12vrr_stack + 16991;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+4974, r12vrr_stack+0, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+5226, r12vrr_stack+4977, r12vrr_stack+6, r12vrr_stack+3026, r12vrr_stack+4974, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+5236, r12vrr_stack+4983, r12vrr_stack+5226, r12vrr_stack+1557, r12vrr_stack+4977, NULL);

 /*--- compute (00|h0)^8 ---*/
 _BUILD_00h0(Data,r12vrr_stack+5251, r12vrr_stack+4993, r12vrr_stack+5236, r12vrr_stack+3029, r12vrr_stack+4983, NULL);

 /*--- compute (00|i0)^7 ---*/
 _BUILD_00i0(Data,r12vrr_stack+5272, r12vrr_stack+5008, r12vrr_stack+5251, r12vrr_stack+3039, r12vrr_stack+4993, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5300, r12vrr_stack+5029, r12vrr_stack+5272, r12vrr_stack+3054, r12vrr_stack+5008, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5336, r12vrr_stack+8916, r12vrr_stack+5300, r12vrr_stack+3075, r12vrr_stack+5029, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5381, r12vrr_stack+8952, r12vrr_stack+5336, NULL, NULL, r12vrr_stack+8916);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+17747, r12vrr_stack+8997, r12vrr_stack+5381, r12vrr_stack+2970, r12vrr_stack+8952, r12vrr_stack+3222);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+18017, r12vrr_stack+9132, r12vrr_stack+17747, r12vrr_stack+7791, r12vrr_stack+8997, r12vrr_stack+15875);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+18467, r12vrr_stack+9402, r12vrr_stack+18017, r12vrr_stack+7926, r12vrr_stack+9132, r12vrr_stack+16091);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19142, r12vrr_stack+9852, r12vrr_stack+18467, r12vrr_stack+8466, r12vrr_stack+9402, r12vrr_stack+16451);
 tmp = r12vrr_stack + 19142;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7791, r12vrr_stack+8952, r12vrr_stack+5336, r12vrr_stack+6126, r12vrr_stack+8916, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7846, r12vrr_stack+7386, r12vrr_stack+7791, NULL, NULL, r12vrr_stack+8952);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20087, r12vrr_stack+11022, r12vrr_stack+7846, r12vrr_stack+10527, r12vrr_stack+7386, r12vrr_stack+8997);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20417, r12vrr_stack+11187, r12vrr_stack+20087, r12vrr_stack+10637, r12vrr_stack+11022, r12vrr_stack+9132);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20967, r12vrr_stack+11847, r12vrr_stack+20417, r12vrr_stack+11517, r12vrr_stack+11187, r12vrr_stack+9402);
 tmp = r12vrr_stack + 20967;
 target_ptr = Libr12->gvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+10527, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+10530, r12vrr_stack+10582, r12vrr_stack+10527, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+10536, r12vrr_stack+12, r12vrr_stack+49, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+21, r12vrr_stack+1647, r12vrr_stack+10536, r12vrr_stack+3, r12vrr_stack+12, r12vrr_stack+10527);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+10545, r12vrr_stack+1692, r12vrr_stack+21, r12vrr_stack+758, r12vrr_stack+1647, r12vrr_stack+10530);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+8011, r12vrr_stack+52, r12vrr_stack+15, NULL, NULL, r12vrr_stack+49);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+8029, r12vrr_stack+10585, r12vrr_stack+8011, r12vrr_stack+68, r12vrr_stack+52, r12vrr_stack+10536);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+8065, r12vrr_stack+10802, r12vrr_stack+8029, r12vrr_stack+767, r12vrr_stack+10585, r12vrr_stack+21);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+3330, r12vrr_stack+10838, r12vrr_stack+8065, r12vrr_stack+785, r12vrr_stack+10802, r12vrr_stack+10545);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+68, r12vrr_stack+117, r12vrr_stack+58, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+758, r12vrr_stack+10603, r12vrr_stack+68, r12vrr_stack+358, r12vrr_stack+117, r12vrr_stack+8011);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1710, r12vrr_stack+10898, r12vrr_stack+758, r12vrr_stack+821, r12vrr_stack+10603, r12vrr_stack+8029);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+10633, r12vrr_stack+7441, r12vrr_stack+1710, r12vrr_stack+851, r12vrr_stack+10898, r12vrr_stack+8065);

 /*--- compute (h0|f0)^1 ---*/
 _BUILD_h0f0(Data,r12vrr_stack+21792, r12vrr_stack+12397, r12vrr_stack+10633, r12vrr_stack+911, r12vrr_stack+7441, r12vrr_stack+3330);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+818, r12vrr_stack+243, r12vrr_stack+1656, NULL, NULL, r12vrr_stack+58);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+863, r12vrr_stack+10958, r12vrr_stack+818, r12vrr_stack+127, r12vrr_stack+243, r12vrr_stack+68);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+22002, r12vrr_stack+12547, r12vrr_stack+863, r12vrr_stack+1011, r12vrr_stack+10958, r12vrr_stack+758);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+22152, r12vrr_stack+12637, r12vrr_stack+22002, r12vrr_stack+1056, r12vrr_stack+12547, r12vrr_stack+1710);

 /*--- compute (h0|g0)^1 ---*/
 _BUILD_h0g0(Data,r12vrr_stack+22377, r12vrr_stack+12787, r12vrr_stack+22152, r12vrr_stack+1146, r12vrr_stack+12637, r12vrr_stack+10633);

 /*--- compute (i0|g0)^0 ---*/
 _BUILD_i0g0(Data,r12vrr_stack+22692, r12vrr_stack+13012, r12vrr_stack+22377, r12vrr_stack+1296, r12vrr_stack+12787, r12vrr_stack+21792);

 /*--- compute (p0|h0)^5 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+127, r12vrr_stack+1671, r12vrr_stack+3054, NULL, NULL, r12vrr_stack+1656);

 /*--- compute (d0|h0)^4 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+953, r12vrr_stack+368, r12vrr_stack+127, r12vrr_stack+258, r12vrr_stack+1671, r12vrr_stack+818);

 /*--- compute (f0|h0)^3 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+1079, r12vrr_stack+13327, r12vrr_stack+953, r12vrr_stack+2046, r12vrr_stack+368, r12vrr_stack+863);

 /*--- compute (g0|h0)^2 ---*/
 _BUILD_g0h0(Data,r12vrr_stack+23112, r12vrr_stack+13453, r12vrr_stack+1079, r12vrr_stack+2109, r12vrr_stack+13327, r12vrr_stack+22002);

 /*--- compute (h0|h0)^1 ---*/
 _BUILD_h0h0(Data,r12vrr_stack+23427, r12vrr_stack+13663, r12vrr_stack+23112, r12vrr_stack+2235, r12vrr_stack+13453, r12vrr_stack+22152);

 /*--- compute (i0|h0)^0 ---*/
 _BUILD_i0h0(Data,r12vrr_stack+23868, r12vrr_stack+13978, r12vrr_stack+23427, r12vrr_stack+2655, r12vrr_stack+13663, r12vrr_stack+22377);
 tmp = r12vrr_stack + 23868;
 target_ptr = Libr12->gvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^5 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+2046, r12vrr_stack+3075, r12vrr_stack+5029, NULL, NULL, r12vrr_stack+3054);

 /*--- compute (d0|i0)^4 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+2130, r12vrr_stack+1563, r12vrr_stack+2046, r12vrr_stack+3922, r12vrr_stack+3075, r12vrr_stack+127);

 /*--- compute (f0|i0)^3 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+24456, r12vrr_stack+14419, r12vrr_stack+2130, r12vrr_stack+3950, r12vrr_stack+1563, r12vrr_stack+953);

 /*--- compute (g0|i0)^2 ---*/
 _BUILD_g0i0(Data,r12vrr_stack+24736, r12vrr_stack+14587, r12vrr_stack+24456, r12vrr_stack+4034, r12vrr_stack+14419, r12vrr_stack+1079);

 /*--- compute (h0|i0)^1 ---*/
 _BUILD_h0i0(Data,r12vrr_stack+25156, r12vrr_stack+14867, r12vrr_stack+24736, r12vrr_stack+4202, r12vrr_stack+14587, r12vrr_stack+23112);

 /*--- compute (i0|i0)^0 ---*/
 _BUILD_i0i0(Data,r12vrr_stack+25744, r12vrr_stack+15287, r12vrr_stack+25156, r12vrr_stack+4482, r12vrr_stack+14867, r12vrr_stack+23427);
 tmp = r12vrr_stack + 25744;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3922, r12vrr_stack+8916, r12vrr_stack+5300, NULL, NULL, r12vrr_stack+5029);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4030, r12vrr_stack+3222, r12vrr_stack+3922, r12vrr_stack+6126, r12vrr_stack+8916, r12vrr_stack+2046);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+26528, r12vrr_stack+15875, r12vrr_stack+4030, r12vrr_stack+6162, r12vrr_stack+3222, r12vrr_stack+2130);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+26888, r12vrr_stack+16091, r12vrr_stack+26528, r12vrr_stack+6270, r12vrr_stack+15875, r12vrr_stack+24456);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+27428, r12vrr_stack+16451, r12vrr_stack+26888, r12vrr_stack+6486, r12vrr_stack+16091, r12vrr_stack+24736);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+28184, r12vrr_stack+16991, r12vrr_stack+27428, r12vrr_stack+6846, r12vrr_stack+16451, r12vrr_stack+25156);
 tmp = r12vrr_stack + 28184;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6126, r12vrr_stack+0, r12vrr_stack+3, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+358, r12vrr_stack+6, r12vrr_stack+6126, r12vrr_stack+4974, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+6132, r12vrr_stack+5226, r12vrr_stack+358, r12vrr_stack+4977, r12vrr_stack+6, NULL);

 /*--- compute (00|h0)^9 ---*/
 _BUILD_00h0(Data,r12vrr_stack+258, r12vrr_stack+5236, r12vrr_stack+6132, r12vrr_stack+4983, r12vrr_stack+5226, NULL);

 /*--- compute (00|i0)^8 ---*/
 _BUILD_00i0(Data,r12vrr_stack+6147, r12vrr_stack+5251, r12vrr_stack+258, r12vrr_stack+4993, r12vrr_stack+5236, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6175, r12vrr_stack+5272, r12vrr_stack+6147, r12vrr_stack+5008, r12vrr_stack+5251, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6211, r12vrr_stack+5300, r12vrr_stack+6175, r12vrr_stack+5029, r12vrr_stack+5272, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6256, r12vrr_stack+5336, r12vrr_stack+6211, NULL, NULL, r12vrr_stack+5300);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6391, r12vrr_stack+5381, r12vrr_stack+6256, r12vrr_stack+8952, r12vrr_stack+5336, r12vrr_stack+3922);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29192, r12vrr_stack+17747, r12vrr_stack+6391, r12vrr_stack+8997, r12vrr_stack+5381, r12vrr_stack+4030);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29642, r12vrr_stack+18017, r12vrr_stack+29192, r12vrr_stack+9132, r12vrr_stack+17747, r12vrr_stack+26528);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30317, r12vrr_stack+18467, r12vrr_stack+29642, r12vrr_stack+9402, r12vrr_stack+18017, r12vrr_stack+26888);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31262, r12vrr_stack+19142, r12vrr_stack+30317, r12vrr_stack+9852, r12vrr_stack+18467, r12vrr_stack+27428);
 tmp = r12vrr_stack + 31262;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8952, r12vrr_stack+5336, r12vrr_stack+6211, r12vrr_stack+8916, r12vrr_stack+5300, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9007, r12vrr_stack+7791, r12vrr_stack+8952, NULL, NULL, r12vrr_stack+5336);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9172, r12vrr_stack+7846, r12vrr_stack+9007, r12vrr_stack+7386, r12vrr_stack+7791, r12vrr_stack+5381);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+32522, r12vrr_stack+20087, r12vrr_stack+9172, r12vrr_stack+11022, r12vrr_stack+7846, r12vrr_stack+17747);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33072, r12vrr_stack+20417, r12vrr_stack+32522, r12vrr_stack+11187, r12vrr_stack+20087, r12vrr_stack+18017);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33897, r12vrr_stack+20967, r12vrr_stack+33072, r12vrr_stack+11847, r12vrr_stack+20417, r12vrr_stack+18467);
 tmp = r12vrr_stack + 33897;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+7386, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+7389, r12vrr_stack+10527, r12vrr_stack+7386, Data->F+5, Data->F+6, NULL);

 /*--- compute (f0|00)^4 ---*/
 _BUILD_f000(Data,r12vrr_stack+7395, r12vrr_stack+10530, r12vrr_stack+7389, r12vrr_stack+10582, r12vrr_stack+10527, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+10527, r12vrr_stack+49, r12vrr_stack+114, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+7405, r12vrr_stack+10536, r12vrr_stack+10527, r12vrr_stack+12, r12vrr_stack+49, r12vrr_stack+7386);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+9502, r12vrr_stack+21, r12vrr_stack+7405, r12vrr_stack+1647, r12vrr_stack+10536, r12vrr_stack+7389);

 /*--- compute (g0|p0)^3 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+9532, r12vrr_stack+10545, r12vrr_stack+9502, r12vrr_stack+1692, r12vrr_stack+21, r12vrr_stack+7395);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+237, NULL, NULL, r12vrr_stack+114);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+10536, r12vrr_stack+8011, r12vrr_stack+21, r12vrr_stack+52, r12vrr_stack+15, r12vrr_stack+10527);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+9577, r12vrr_stack+8029, r12vrr_stack+10536, r12vrr_stack+10585, r12vrr_stack+8011, r12vrr_stack+7405);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+9637, r12vrr_stack+8065, r12vrr_stack+9577, r12vrr_stack+10802, r12vrr_stack+8029, r12vrr_stack+9502);

 /*--- compute (h0|d0)^2 ---*/
 _BUILD_h0d0(Data,r12vrr_stack+6661, r12vrr_stack+3330, r12vrr_stack+9637, r12vrr_stack+10838, r12vrr_stack+8065, r12vrr_stack+9532);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+3330, r12vrr_stack+58, r12vrr_stack+39, NULL, NULL, r12vrr_stack+237);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+3360, r12vrr_stack+68, r12vrr_stack+3330, r12vrr_stack+117, r12vrr_stack+58, r12vrr_stack+21);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+8011, r12vrr_stack+758, r12vrr_stack+3360, r12vrr_stack+10603, r12vrr_stack+68, r12vrr_stack+10536);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+4246, r12vrr_stack+1710, r12vrr_stack+8011, r12vrr_stack+10898, r12vrr_stack+758, r12vrr_stack+9577);

 /*--- compute (h0|f0)^2 ---*/
 _BUILD_h0f0(Data,r12vrr_stack+11003, r12vrr_stack+10633, r12vrr_stack+4246, r12vrr_stack+7441, r12vrr_stack+1710, r12vrr_stack+9637);

 /*--- compute (i0|f0)^1 ---*/
 _BUILD_i0f0(Data,r12vrr_stack+9502, r12vrr_stack+21792, r12vrr_stack+11003, r12vrr_stack+12397, r12vrr_stack+10633, r12vrr_stack+6661);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+6661, r12vrr_stack+1656, r12vrr_stack+3039, NULL, NULL, r12vrr_stack+39);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+6706, r12vrr_stack+818, r12vrr_stack+6661, r12vrr_stack+243, r12vrr_stack+1656, r12vrr_stack+3330);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+12397, r12vrr_stack+863, r12vrr_stack+6706, r12vrr_stack+10958, r12vrr_stack+818, r12vrr_stack+3360);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+7386, r12vrr_stack+22002, r12vrr_stack+12397, r12vrr_stack+12547, r12vrr_stack+863, r12vrr_stack+8011);

 /*--- compute (h0|g0)^2 ---*/
 _BUILD_h0g0(Data,r12vrr_stack+10527, r12vrr_stack+22152, r12vrr_stack+7386, r12vrr_stack+12637, r12vrr_stack+22002, r12vrr_stack+4246);

 /*--- compute (i0|g0)^1 ---*/
 _BUILD_i0g0(Data,r12vrr_stack+35052, r12vrr_stack+22377, r12vrr_stack+10527, r12vrr_stack+12787, r12vrr_stack+22152, r12vrr_stack+11003);

 /*--- compute (k0|g0)^0 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+21792, r12vrr_stack+22692, r12vrr_stack+35052, r12vrr_stack+13012, r12vrr_stack+22377, r12vrr_stack+9502);

 /*--- compute (p0|h0)^6 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+9502, r12vrr_stack+3054, r12vrr_stack+5008, NULL, NULL, r12vrr_stack+3039);

 /*--- compute (d0|h0)^5 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+9565, r12vrr_stack+127, r12vrr_stack+9502, r12vrr_stack+1671, r12vrr_stack+3054, r12vrr_stack+6661);

 /*--- compute (f0|h0)^4 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+4246, r12vrr_stack+953, r12vrr_stack+9565, r12vrr_stack+368, r12vrr_stack+127, r12vrr_stack+6706);

 /*--- compute (g0|h0)^3 ---*/
 _BUILD_g0h0(Data,r12vrr_stack+12547, r12vrr_stack+1079, r12vrr_stack+4246, r12vrr_stack+13327, r12vrr_stack+953, r12vrr_stack+12397);

 /*--- compute (h0|h0)^2 ---*/
 _BUILD_h0h0(Data,r12vrr_stack+10842, r12vrr_stack+23112, r12vrr_stack+12547, r12vrr_stack+13453, r12vrr_stack+1079, r12vrr_stack+7386);

 /*--- compute (i0|h0)^1 ---*/
 _BUILD_i0h0(Data,r12vrr_stack+35472, r12vrr_stack+23427, r12vrr_stack+10842, r12vrr_stack+13663, r12vrr_stack+23112, r12vrr_stack+10527);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+36060, r12vrr_stack+23868, r12vrr_stack+35472, r12vrr_stack+13978, r12vrr_stack+23427, r12vrr_stack+35052);
 tmp = r12vrr_stack + 36060;
 target_ptr = Libr12->gvrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^6 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+35052, r12vrr_stack+5029, r12vrr_stack+5272, NULL, NULL, r12vrr_stack+5008);

 /*--- compute (d0|i0)^5 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+35136, r12vrr_stack+2046, r12vrr_stack+35052, r12vrr_stack+3075, r12vrr_stack+5029, r12vrr_stack+9502);

 /*--- compute (f0|i0)^4 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+10527, r12vrr_stack+2130, r12vrr_stack+35136, r12vrr_stack+1563, r12vrr_stack+2046, r12vrr_stack+9565);

 /*--- compute (g0|i0)^3 ---*/
 _BUILD_g0i0(Data,r12vrr_stack+23112, r12vrr_stack+24456, r12vrr_stack+10527, r12vrr_stack+14419, r12vrr_stack+2130, r12vrr_stack+4246);

 /*--- compute (h0|i0)^2 ---*/
 _BUILD_h0i0(Data,r12vrr_stack+13327, r12vrr_stack+24736, r12vrr_stack+23112, r12vrr_stack+14587, r12vrr_stack+24456, r12vrr_stack+12547);

 /*--- compute (i0|i0)^1 ---*/
 _BUILD_i0i0(Data,r12vrr_stack+36816, r12vrr_stack+25156, r12vrr_stack+13327, r12vrr_stack+14867, r12vrr_stack+24736, r12vrr_stack+10842);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+37600, r12vrr_stack+25744, r12vrr_stack+36816, r12vrr_stack+15287, r12vrr_stack+25156, r12vrr_stack+35472);
 tmp = r12vrr_stack + 37600;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+24456, r12vrr_stack+5300, r12vrr_stack+6175, NULL, NULL, r12vrr_stack+5272);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+24564, r12vrr_stack+3922, r12vrr_stack+24456, r12vrr_stack+8916, r12vrr_stack+5300, r12vrr_stack+35052);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22332, r12vrr_stack+4030, r12vrr_stack+24564, r12vrr_stack+3222, r12vrr_stack+3922, r12vrr_stack+35136);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+35052, r12vrr_stack+26528, r12vrr_stack+22332, r12vrr_stack+15875, r12vrr_stack+4030, r12vrr_stack+10527);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10527, r12vrr_stack+26888, r12vrr_stack+35052, r12vrr_stack+16091, r12vrr_stack+26528, r12vrr_stack+23112);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+38608, r12vrr_stack+27428, r12vrr_stack+10527, r12vrr_stack+16451, r12vrr_stack+26888, r12vrr_stack+13327);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+39616, r12vrr_stack+28184, r12vrr_stack+38608, r12vrr_stack+16991, r12vrr_stack+27428, r12vrr_stack+36816);
 tmp = r12vrr_stack + 39616;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+36816, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+36819, r12vrr_stack+3, r12vrr_stack+36816, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+36825, r12vrr_stack+6126, r12vrr_stack+36819, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+36835, r12vrr_stack+358, r12vrr_stack+36825, r12vrr_stack+6, r12vrr_stack+6126, NULL);

 /*--- compute (00|h0)^10 ---*/
 _BUILD_00h0(Data,r12vrr_stack+0, r12vrr_stack+6132, r12vrr_stack+36835, r12vrr_stack+5226, r12vrr_stack+358, NULL);

 /*--- compute (00|i0)^9 ---*/
 _BUILD_00i0(Data,r12vrr_stack+358, r12vrr_stack+258, r12vrr_stack+0, r12vrr_stack+5236, r12vrr_stack+6132, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8916, r12vrr_stack+6147, r12vrr_stack+358, r12vrr_stack+5251, r12vrr_stack+258, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+358, r12vrr_stack+6175, r12vrr_stack+8916, r12vrr_stack+5272, r12vrr_stack+6147, NULL);

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+6211, r12vrr_stack+358, NULL, NULL, r12vrr_stack+6175);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+36816, r12vrr_stack+6256, r12vrr_stack+0, r12vrr_stack+5336, r12vrr_stack+6211, r12vrr_stack+24456);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37086, r12vrr_stack+6391, r12vrr_stack+36816, r12vrr_stack+5381, r12vrr_stack+6256, r12vrr_stack+24564);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24456, r12vrr_stack+29192, r12vrr_stack+37086, r12vrr_stack+17747, r12vrr_stack+6391, r12vrr_stack+22332);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+26528, r12vrr_stack+29642, r12vrr_stack+24456, r12vrr_stack+18017, r12vrr_stack+29192, r12vrr_stack+35052);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24456, r12vrr_stack+30317, r12vrr_stack+26528, r12vrr_stack+18467, r12vrr_stack+29642, r12vrr_stack+10527);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+26528, r12vrr_stack+31262, r12vrr_stack+24456, r12vrr_stack+19142, r12vrr_stack+30317, r12vrr_stack+38608);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+38608, r12vrr_stack+6211, r12vrr_stack+358, r12vrr_stack+5300, r12vrr_stack+6175, NULL);

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+38663, r12vrr_stack+8952, r12vrr_stack+38608, NULL, NULL, r12vrr_stack+6211);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+38828, r12vrr_stack+9007, r12vrr_stack+38663, r12vrr_stack+7791, r12vrr_stack+8952, r12vrr_stack+6256);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+24456, r12vrr_stack+9172, r12vrr_stack+38828, r12vrr_stack+7846, r12vrr_stack+9007, r12vrr_stack+6391);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+38608, r12vrr_stack+32522, r12vrr_stack+24456, r12vrr_stack+20087, r12vrr_stack+9172, r12vrr_stack+29192);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+24456, r12vrr_stack+33072, r12vrr_stack+38608, r12vrr_stack+20417, r12vrr_stack+32522, r12vrr_stack+29642);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+40912, r12vrr_stack+33897, r12vrr_stack+24456, r12vrr_stack+20967, r12vrr_stack+33072, r12vrr_stack+30317);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+24456, &(Data->ss_r12_ss), NULL, r12vrr_stack+279, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+24459, r12vrr_stack+24456, &(Data->ss_r12_ss), r12vrr_stack+282, r12vrr_stack+279, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+24465, r12vrr_stack+24459, r12vrr_stack+24456, r12vrr_stack+288, r12vrr_stack+282, r12vrr_stack+279, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+24475, r12vrr_stack+24465, r12vrr_stack+24459, r12vrr_stack+298, r12vrr_stack+288, r12vrr_stack+282, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+24490, r12vrr_stack+24475, r12vrr_stack+24465, r12vrr_stack+1836, r12vrr_stack+298, r12vrr_stack+288, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+24511, r12vrr_stack+24490, NULL, r12vrr_stack+1857, r12vrr_stack+1836, NULL, r12vrr_stack+298);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+24574, r12vrr_stack+24511, r12vrr_stack+24490, r12vrr_stack+1920, r12vrr_stack+1857, r12vrr_stack+1836, r12vrr_stack+313);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+24700, r12vrr_stack+24574, r12vrr_stack+24511, r12vrr_stack+2445, r12vrr_stack+1920, r12vrr_stack+1857, r12vrr_stack+518);
 tmp = r12vrr_stack + 24700;
 target_ptr = Libr12->rvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+1521, r12vrr_stack+24700, r12vrr_stack+24574, r12vrr_stack+2655, r12vrr_stack+2445, r12vrr_stack+1920, r12vrr_stack+608);
 tmp = r12vrr_stack + 1521;
 target_ptr = Libr12->rvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+24910, r12vrr_stack+1521, r12vrr_stack+24700, r12vrr_stack+13978, r12vrr_stack+2655, r12vrr_stack+2445, r12vrr_stack+1296);
 tmp = r12vrr_stack + 24910;
 target_ptr = Libr12->rvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+24511, r12vrr_stack+24490, r12vrr_stack+24475, r12vrr_stack+3110, r12vrr_stack+1836, r12vrr_stack+298, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+24539, r12vrr_stack+24511, NULL, r12vrr_stack+3138, r12vrr_stack+3110, NULL, r12vrr_stack+1836);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+24623, r12vrr_stack+24539, r12vrr_stack+24511, r12vrr_stack+3474, r12vrr_stack+3138, r12vrr_stack+3110, r12vrr_stack+1857);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+25351, r12vrr_stack+24623, r12vrr_stack+24539, r12vrr_stack+3642, r12vrr_stack+3474, r12vrr_stack+3138, r12vrr_stack+1920);
 tmp = r12vrr_stack + 25351;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+32522, r12vrr_stack+25351, r12vrr_stack+24623, r12vrr_stack+4482, r12vrr_stack+3642, r12vrr_stack+3474, r12vrr_stack+2445);
 tmp = r12vrr_stack + 32522;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+32942, r12vrr_stack+32522, r12vrr_stack+25351, r12vrr_stack+15287, r12vrr_stack+4482, r12vrr_stack+3642, r12vrr_stack+2655);
 tmp = r12vrr_stack + 32942;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+28148, r12vrr_stack+24511, r12vrr_stack+24490, r12vrr_stack+5082, r12vrr_stack+3110, r12vrr_stack+1836, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+25351, r12vrr_stack+28148, NULL, r12vrr_stack+5118, r12vrr_stack+5082, NULL, r12vrr_stack+3110);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+25459, r12vrr_stack+25351, r12vrr_stack+28148, r12vrr_stack+5550, r12vrr_stack+5118, r12vrr_stack+5082, r12vrr_stack+3138);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+22332, r12vrr_stack+25459, r12vrr_stack+25351, r12vrr_stack+5766, r12vrr_stack+5550, r12vrr_stack+5118, r12vrr_stack+3474);
 tmp = r12vrr_stack + 22332;
 target_ptr = Libr12->rvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+38608, r12vrr_stack+22332, r12vrr_stack+25459, r12vrr_stack+6846, r12vrr_stack+5766, r12vrr_stack+5550, r12vrr_stack+3642);
 tmp = r12vrr_stack + 38608;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+23112, r12vrr_stack+38608, r12vrr_stack+22332, r12vrr_stack+16991, r12vrr_stack+6846, r12vrr_stack+5766, r12vrr_stack+4482);
 tmp = r12vrr_stack + 23112;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+22332, r12vrr_stack+28148, r12vrr_stack+24511, r12vrr_stack+7611, r12vrr_stack+5082, r12vrr_stack+3110, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+22377, r12vrr_stack+22332, NULL, r12vrr_stack+7656, r12vrr_stack+7611, NULL, r12vrr_stack+5082);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+25351, r12vrr_stack+22377, r12vrr_stack+22332, r12vrr_stack+8196, r12vrr_stack+7656, r12vrr_stack+7611, r12vrr_stack+5118);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+24456, r12vrr_stack+25351, r12vrr_stack+22377, r12vrr_stack+8466, r12vrr_stack+8196, r12vrr_stack+7656, r12vrr_stack+5550);
 tmp = r12vrr_stack + 24456;
 target_ptr = Libr12->rvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+29192, r12vrr_stack+24456, r12vrr_stack+25351, r12vrr_stack+9852, r12vrr_stack+8466, r12vrr_stack+8196, r12vrr_stack+5766);
 tmp = r12vrr_stack + 29192;
 target_ptr = Libr12->rvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+29867, r12vrr_stack+29192, r12vrr_stack+24456, r12vrr_stack+19142, r12vrr_stack+9852, r12vrr_stack+8466, r12vrr_stack+6846);
 tmp = r12vrr_stack + 29867;
 target_ptr = Libr12->rvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+24456, r12vrr_stack+2445, r12vrr_stack+3642, r12vrr_stack+2655, r12vrr_stack+1296, r12vrr_stack+608);
 tmp = r12vrr_stack + 24456;
 target_ptr = Libr12->t2vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+25351, r12vrr_stack+3642, r12vrr_stack+5766, r12vrr_stack+4482, r12vrr_stack+2655, r12vrr_stack+2445);
 tmp = r12vrr_stack + 25351;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+22332, r12vrr_stack+5766, r12vrr_stack+8466, r12vrr_stack+6846, r12vrr_stack+4482, r12vrr_stack+3642);
 tmp = r12vrr_stack + 22332;
 target_ptr = Libr12->t2vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+30812, r12vrr_stack+8466, r12vrr_stack+11847, r12vrr_stack+9852, r12vrr_stack+6846, r12vrr_stack+5766);
 tmp = r12vrr_stack + 30812;
 target_ptr = Libr12->t2vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+33530, r12vrr_stack+2655, r12vrr_stack+4482, r12vrr_stack+13978, r12vrr_stack+13012, r12vrr_stack+1296);
 tmp = r12vrr_stack + 33530;
 target_ptr = Libr12->t2vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+39148, r12vrr_stack+4482, r12vrr_stack+6846, r12vrr_stack+15287, r12vrr_stack+13978, r12vrr_stack+2655);
 tmp = r12vrr_stack + 39148;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+20087, r12vrr_stack+6846, r12vrr_stack+9852, r12vrr_stack+16991, r12vrr_stack+15287, r12vrr_stack+4482);
 tmp = r12vrr_stack + 20087;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10527, r12vrr_stack+9852, r12vrr_stack+20967, r12vrr_stack+19142, r12vrr_stack+16991, r12vrr_stack+6846);
 tmp = r12vrr_stack + 10527;
 target_ptr = Libr12->t2vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+35052, r12vrr_stack+13978, r12vrr_stack+15287, r12vrr_stack+23868, r12vrr_stack+22692, r12vrr_stack+13012);
 tmp = r12vrr_stack + 35052;
 target_ptr = Libr12->t2vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+17747, r12vrr_stack+15287, r12vrr_stack+16991, r12vrr_stack+25744, r12vrr_stack+23868, r12vrr_stack+13978);
 tmp = r12vrr_stack + 17747;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+18335, r12vrr_stack+16991, r12vrr_stack+19142, r12vrr_stack+28184, r12vrr_stack+25744, r12vrr_stack+15287);
 tmp = r12vrr_stack + 18335;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+19142, r12vrr_stack+33897, r12vrr_stack+31262, r12vrr_stack+28184, r12vrr_stack+16991);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+36816, r12vrr_stack+23868, r12vrr_stack+25744, r12vrr_stack+36060, r12vrr_stack+21792, r12vrr_stack+22692);
 tmp = r12vrr_stack + 36816;
 target_ptr = Libr12->t2vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8916, r12vrr_stack+25744, r12vrr_stack+28184, r12vrr_stack+37600, r12vrr_stack+36060, r12vrr_stack+23868);
 tmp = r12vrr_stack + 8916;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15875, r12vrr_stack+28184, r12vrr_stack+31262, r12vrr_stack+39616, r12vrr_stack+37600, r12vrr_stack+25744);
 tmp = r12vrr_stack + 15875;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+42452, r12vrr_stack+31262, r12vrr_stack+40912, r12vrr_stack+26528, r12vrr_stack+39616, r12vrr_stack+28184);
 tmp = r12vrr_stack + 42452;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+22692, r12vrr_stack+2445, r12vrr_stack+2655, r12vrr_stack+3642, r12vrr_stack+3474, r12vrr_stack+1920);
 tmp = r12vrr_stack + 22692;
 target_ptr = Libr12->t1vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+21792, r12vrr_stack+3642, r12vrr_stack+4482, r12vrr_stack+5766, r12vrr_stack+5550, r12vrr_stack+3474);
 tmp = r12vrr_stack + 21792;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1836, r12vrr_stack+5766, r12vrr_stack+6846, r12vrr_stack+8466, r12vrr_stack+8196, r12vrr_stack+5550);
 tmp = r12vrr_stack + 1836;
 target_ptr = Libr12->t1vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+35493, r12vrr_stack+8466, r12vrr_stack+9852, r12vrr_stack+11847, r12vrr_stack+11517, r12vrr_stack+8196);
 tmp = r12vrr_stack + 35493;
 target_ptr = Libr12->t1vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+20627, r12vrr_stack+2655, r12vrr_stack+13978, r12vrr_stack+4482, r12vrr_stack+3642, r12vrr_stack+2445);
 tmp = r12vrr_stack + 20627;
 target_ptr = Libr12->t1vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2196, r12vrr_stack+4482, r12vrr_stack+15287, r12vrr_stack+6846, r12vrr_stack+5766, r12vrr_stack+3642);
 tmp = r12vrr_stack + 2196;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11202, r12vrr_stack+6846, r12vrr_stack+16991, r12vrr_stack+9852, r12vrr_stack+8466, r12vrr_stack+5766);
 tmp = r12vrr_stack + 11202;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14419, r12vrr_stack+9852, r12vrr_stack+19142, r12vrr_stack+20967, r12vrr_stack+11847, r12vrr_stack+8466);
 tmp = r12vrr_stack + 14419;
 target_ptr = Libr12->t1vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11742, r12vrr_stack+13978, r12vrr_stack+23868, r12vrr_stack+15287, r12vrr_stack+4482, r12vrr_stack+2655);
 tmp = r12vrr_stack + 11742;
 target_ptr = Libr12->t1vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12183, r12vrr_stack+15287, r12vrr_stack+25744, r12vrr_stack+16991, r12vrr_stack+6846, r12vrr_stack+4482);
 tmp = r12vrr_stack + 12183;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7386, r12vrr_stack+16991, r12vrr_stack+28184, r12vrr_stack+19142, r12vrr_stack+9852, r12vrr_stack+6846);
 tmp = r12vrr_stack + 7386;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2970, r12vrr_stack+19142, r12vrr_stack+31262, r12vrr_stack+33897, r12vrr_stack+20967, r12vrr_stack+9852);
 tmp = r12vrr_stack + 2970;
 target_ptr = Libr12->t1vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+20942, r12vrr_stack+23868, r12vrr_stack+36060, r12vrr_stack+25744, r12vrr_stack+15287, r12vrr_stack+13978);
 tmp = r12vrr_stack + 20942;
 target_ptr = Libr12->t1vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+35943, r12vrr_stack+25744, r12vrr_stack+37600, r12vrr_stack+28184, r12vrr_stack+16991, r12vrr_stack+15287);
 tmp = r12vrr_stack + 35943;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+37404, r12vrr_stack+28184, r12vrr_stack+39616, r12vrr_stack+31262, r12vrr_stack+19142, r12vrr_stack+16991);
 tmp = r12vrr_stack + 37404;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+39568, r12vrr_stack+31262, r12vrr_stack+26528, r12vrr_stack+40912, r12vrr_stack+33897, r12vrr_stack+19142);
 tmp = r12vrr_stack + 39568;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||h0)^0 ---*/
 _R_BUILD_i0h0(Data,r12vrr_stack+26528, r12vrr_stack+24910, r12vrr_stack+1521, r12vrr_stack+23868, r12vrr_stack+13978, r12vrr_stack+2655, r12vrr_stack+13012);
 tmp = r12vrr_stack + 26528;
 target_ptr = Libr12->rvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+27116, r12vrr_stack+32942, r12vrr_stack+32522, r12vrr_stack+25744, r12vrr_stack+15287, r12vrr_stack+4482, r12vrr_stack+13978);
 tmp = r12vrr_stack + 27116;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+32522, r12vrr_stack+23112, r12vrr_stack+38608, r12vrr_stack+28184, r12vrr_stack+16991, r12vrr_stack+6846, r12vrr_stack+15287);
 tmp = r12vrr_stack + 32522;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||l0)^0 ---*/
 _R_BUILD_i0l0(Data,r12vrr_stack+27900, r12vrr_stack+29867, r12vrr_stack+29192, r12vrr_stack+31262, r12vrr_stack+19142, r12vrr_stack+9852, r12vrr_stack+16991);
 tmp = r12vrr_stack + 27900;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];


}

