#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_gpgp(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+12, r12vrr_stack+3, r12vrr_stack+9, NULL, NULL, Data->F+4);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+3, NULL, NULL, Data->F+3);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+9, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+6, r12vrr_stack+3, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+60, r12vrr_stack+54, r12vrr_stack+48, NULL, NULL, r12vrr_stack+3);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+6, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+87, r12vrr_stack+81, r12vrr_stack+54, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+105, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+108, r12vrr_stack+9, r12vrr_stack+105, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+114, r12vrr_stack+48, r12vrr_stack+108, NULL, NULL, r12vrr_stack+9);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+132, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+12);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+168, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+21);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+204, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+30);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+264, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+6, r12vrr_stack+3, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+274, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+284, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+3, r12vrr_stack+9, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+294, r12vrr_stack+264, r12vrr_stack+284, NULL, NULL, r12vrr_stack+48);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+324, r12vrr_stack+274, r12vrr_stack+264, NULL, NULL, r12vrr_stack+54);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+354, r12vrr_stack+324, r12vrr_stack+294, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+60);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+414, r12vrr_stack+6, r12vrr_stack+78, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+420, r12vrr_stack+414, r12vrr_stack+81, r12vrr_stack+6, r12vrr_stack+78, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+430, r12vrr_stack+420, r12vrr_stack+274, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+460, r12vrr_stack+430, r12vrr_stack+324, r12vrr_stack+420, r12vrr_stack+274, r12vrr_stack+87);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+87, r12vrr_stack+105, r12vrr_stack+78, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+93, r12vrr_stack+108, r12vrr_stack+87, r12vrr_stack+9, r12vrr_stack+105, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+520, r12vrr_stack+284, r12vrr_stack+93, NULL, NULL, r12vrr_stack+108);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+550, r12vrr_stack+294, r12vrr_stack+520, r12vrr_stack+264, r12vrr_stack+284, r12vrr_stack+114);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+610, r12vrr_stack+354, r12vrr_stack+550, r12vrr_stack+324, r12vrr_stack+294, r12vrr_stack+132);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+710, r12vrr_stack+460, r12vrr_stack+354, r12vrr_stack+430, r12vrr_stack+324, r12vrr_stack+168);

 /*--- compute (g0|f0)^0 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+810, r12vrr_stack+710, r12vrr_stack+610, r12vrr_stack+460, r12vrr_stack+354, r12vrr_stack+204);

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+960, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (d0|00)^3 ---*/
 _BUILD_d000(Data,r12vrr_stack+963, r12vrr_stack+0, r12vrr_stack+960, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+969, r12vrr_stack+9, r12vrr_stack+105, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+978, r12vrr_stack+12, r12vrr_stack+969, r12vrr_stack+3, r12vrr_stack+9, r12vrr_stack+960);

 /*--- compute (f0|p0)^2 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+996, r12vrr_stack+30, r12vrr_stack+978, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+963);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1026, r12vrr_stack+108, r12vrr_stack+87, NULL, NULL, r12vrr_stack+105);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+1044, r12vrr_stack+114, r12vrr_stack+1026, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+969);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+1080, r12vrr_stack+132, r12vrr_stack+1044, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+978);

 /*--- compute (g0|d0)^1 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+1140, r12vrr_stack+204, r12vrr_stack+1080, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+996);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+168, r12vrr_stack+78, r12vrr_stack+3, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+174, r12vrr_stack+87, r12vrr_stack+168, r12vrr_stack+105, r12vrr_stack+78, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1230, r12vrr_stack+93, r12vrr_stack+174, NULL, NULL, r12vrr_stack+87);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1260, r12vrr_stack+520, r12vrr_stack+1230, r12vrr_stack+284, r12vrr_stack+93, r12vrr_stack+1026);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1320, r12vrr_stack+550, r12vrr_stack+1260, r12vrr_stack+294, r12vrr_stack+520, r12vrr_stack+1044);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1420, r12vrr_stack+610, r12vrr_stack+1320, r12vrr_stack+354, r12vrr_stack+550, r12vrr_stack+1080);

 /*--- compute (h0|f0)^0 ---*/
 _BUILD_h0f0(Data,r12vrr_stack+1570, r12vrr_stack+810, r12vrr_stack+1420, r12vrr_stack+710, r12vrr_stack+610, r12vrr_stack+1140);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+184, r12vrr_stack+284, r12vrr_stack+93, r12vrr_stack+48, r12vrr_stack+108, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+60, r12vrr_stack+264, r12vrr_stack+284, r12vrr_stack+54, r12vrr_stack+48, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1780, r12vrr_stack+60, r12vrr_stack+184, NULL, NULL, r12vrr_stack+284);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1825, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+81, r12vrr_stack+54, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1840, r12vrr_stack+1825, r12vrr_stack+60, NULL, NULL, r12vrr_stack+264);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1885, r12vrr_stack+93, r12vrr_stack+174, r12vrr_stack+108, r12vrr_stack+87, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1900, r12vrr_stack+184, r12vrr_stack+1885, NULL, NULL, r12vrr_stack+93);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1945, r12vrr_stack+1780, r12vrr_stack+1900, r12vrr_stack+60, r12vrr_stack+184, r12vrr_stack+520);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2035, r12vrr_stack+1840, r12vrr_stack+1780, r12vrr_stack+1825, r12vrr_stack+60, r12vrr_stack+294);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2125, r12vrr_stack+2035, r12vrr_stack+1945, r12vrr_stack+1840, r12vrr_stack+1780, r12vrr_stack+550);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+294, r12vrr_stack+420, r12vrr_stack+274, r12vrr_stack+414, r12vrr_stack+81, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2275, r12vrr_stack+294, r12vrr_stack+1825, NULL, NULL, r12vrr_stack+274);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2320, r12vrr_stack+2275, r12vrr_stack+1840, r12vrr_stack+294, r12vrr_stack+1825, r12vrr_stack+324);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2410, r12vrr_stack+2320, r12vrr_stack+2035, r12vrr_stack+2275, r12vrr_stack+1840, r12vrr_stack+354);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+75, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+3, r12vrr_stack+75, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+309, r12vrr_stack+168, r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+319, r12vrr_stack+174, r12vrr_stack+309, r12vrr_stack+87, r12vrr_stack+168, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+334, r12vrr_stack+1885, r12vrr_stack+319, NULL, NULL, r12vrr_stack+174);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2560, r12vrr_stack+1900, r12vrr_stack+334, r12vrr_stack+184, r12vrr_stack+1885, r12vrr_stack+1230);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2650, r12vrr_stack+1945, r12vrr_stack+2560, r12vrr_stack+1780, r12vrr_stack+1900, r12vrr_stack+1260);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2800, r12vrr_stack+2125, r12vrr_stack+2650, r12vrr_stack+2035, r12vrr_stack+1945, r12vrr_stack+1320);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+3025, r12vrr_stack+2410, r12vrr_stack+2125, r12vrr_stack+2320, r12vrr_stack+2035, r12vrr_stack+610);
 tmp = r12vrr_stack + 3025;
 target_ptr = Libr12->gvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|g0)^0 ---*/
 _BUILD_h0g0(Data,r12vrr_stack+3250, r12vrr_stack+3025, r12vrr_stack+2800, r12vrr_stack+2410, r12vrr_stack+2125, r12vrr_stack+1420);
 tmp = r12vrr_stack + 3250;
 target_ptr = Libr12->gvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^2 ---*/
 _BUILD_00h0(Data,r12vrr_stack+379, r12vrr_stack+60, r12vrr_stack+184, r12vrr_stack+264, r12vrr_stack+284, NULL);

 /*--- compute (00|h0)^1 ---*/
 _BUILD_00h0(Data,r12vrr_stack+3565, r12vrr_stack+1825, r12vrr_stack+60, r12vrr_stack+274, r12vrr_stack+264, NULL);

 /*--- compute (00|h0)^3 ---*/
 _BUILD_00h0(Data,r12vrr_stack+3586, r12vrr_stack+184, r12vrr_stack+1885, r12vrr_stack+284, r12vrr_stack+93, NULL);

 /*--- compute (p0|h0)^2 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+3607, r12vrr_stack+379, r12vrr_stack+3586, NULL, NULL, r12vrr_stack+184);

 /*--- compute (p0|h0)^1 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+3670, r12vrr_stack+3565, r12vrr_stack+379, NULL, NULL, r12vrr_stack+60);

 /*--- compute (d0|h0)^1 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+3733, r12vrr_stack+3670, r12vrr_stack+3607, r12vrr_stack+3565, r12vrr_stack+379, r12vrr_stack+1780);

 /*--- compute (00|h0)^0 ---*/
 _BUILD_00h0(Data,r12vrr_stack+1780, r12vrr_stack+294, r12vrr_stack+1825, r12vrr_stack+420, r12vrr_stack+274, NULL);

 /*--- compute (p0|h0)^0 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+3859, r12vrr_stack+1780, r12vrr_stack+3565, NULL, NULL, r12vrr_stack+1825);

 /*--- compute (d0|h0)^0 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+3922, r12vrr_stack+3859, r12vrr_stack+3670, r12vrr_stack+1780, r12vrr_stack+3565, r12vrr_stack+1840);

 /*--- compute (00|h0)^4 ---*/
 _BUILD_00h0(Data,r12vrr_stack+1840, r12vrr_stack+1885, r12vrr_stack+319, r12vrr_stack+93, r12vrr_stack+174, NULL);

 /*--- compute (p0|h0)^3 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+4048, r12vrr_stack+3586, r12vrr_stack+1840, NULL, NULL, r12vrr_stack+1885);

 /*--- compute (d0|h0)^2 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+4111, r12vrr_stack+3607, r12vrr_stack+4048, r12vrr_stack+379, r12vrr_stack+3586, r12vrr_stack+1900);

 /*--- compute (f0|h0)^1 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+4237, r12vrr_stack+3733, r12vrr_stack+4111, r12vrr_stack+3670, r12vrr_stack+3607, r12vrr_stack+1945);

 /*--- compute (f0|h0)^0 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+4447, r12vrr_stack+3922, r12vrr_stack+3733, r12vrr_stack+3859, r12vrr_stack+3670, r12vrr_stack+2035);

 /*--- compute (g0|h0)^0 ---*/
 _BUILD_g0h0(Data,r12vrr_stack+4657, r12vrr_stack+4447, r12vrr_stack+4237, r12vrr_stack+3922, r12vrr_stack+3733, r12vrr_stack+2125);
 tmp = r12vrr_stack + 4657;
 target_ptr = Libr12->gvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+2035, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+2038, r12vrr_stack+75, r12vrr_stack+2035, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2044, r12vrr_stack+81, r12vrr_stack+2038, r12vrr_stack+3, r12vrr_stack+75, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2054, r12vrr_stack+309, r12vrr_stack+2044, r12vrr_stack+168, r12vrr_stack+81, NULL);

 /*--- compute (00|h0)^5 ---*/
 _BUILD_00h0(Data,r12vrr_stack+2069, r12vrr_stack+319, r12vrr_stack+2054, r12vrr_stack+174, r12vrr_stack+309, NULL);

 /*--- compute (p0|h0)^4 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+4972, r12vrr_stack+1840, r12vrr_stack+2069, NULL, NULL, r12vrr_stack+319);

 /*--- compute (d0|h0)^3 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+5035, r12vrr_stack+4048, r12vrr_stack+4972, r12vrr_stack+3586, r12vrr_stack+1840, r12vrr_stack+334);

 /*--- compute (f0|h0)^2 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+5161, r12vrr_stack+4111, r12vrr_stack+5035, r12vrr_stack+3607, r12vrr_stack+4048, r12vrr_stack+2560);

 /*--- compute (g0|h0)^1 ---*/
 _BUILD_g0h0(Data,r12vrr_stack+5371, r12vrr_stack+4237, r12vrr_stack+5161, r12vrr_stack+3733, r12vrr_stack+4111, r12vrr_stack+2650);

 /*--- compute (h0|h0)^0 ---*/
 _BUILD_h0h0(Data,r12vrr_stack+5686, r12vrr_stack+4657, r12vrr_stack+5371, r12vrr_stack+4447, r12vrr_stack+4237, r12vrr_stack+2800);
 tmp = r12vrr_stack + 5686;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^2 ---*/
 _BUILD_00i0(Data,r12vrr_stack+2090, r12vrr_stack+379, r12vrr_stack+3586, r12vrr_stack+60, r12vrr_stack+184, NULL);

 /*--- compute (00|i0)^1 ---*/
 _BUILD_00i0(Data,r12vrr_stack+264, r12vrr_stack+3565, r12vrr_stack+379, r12vrr_stack+1825, r12vrr_stack+60, NULL);

 /*--- compute (00|i0)^3 ---*/
 _BUILD_00i0(Data,r12vrr_stack+6127, r12vrr_stack+3586, r12vrr_stack+1840, r12vrr_stack+184, r12vrr_stack+1885, NULL);

 /*--- compute (p0|i0)^2 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+6155, r12vrr_stack+2090, r12vrr_stack+6127, NULL, NULL, r12vrr_stack+3586);

 /*--- compute (p0|i0)^1 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+6239, r12vrr_stack+264, r12vrr_stack+2090, NULL, NULL, r12vrr_stack+379);

 /*--- compute (d0|i0)^1 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+6323, r12vrr_stack+6239, r12vrr_stack+6155, r12vrr_stack+264, r12vrr_stack+2090, r12vrr_stack+3607);

 /*--- compute (00|i0)^0 ---*/
 _BUILD_00i0(Data,r12vrr_stack+379, r12vrr_stack+1780, r12vrr_stack+3565, r12vrr_stack+294, r12vrr_stack+1825, NULL);

 /*--- compute (p0|i0)^0 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+3586, r12vrr_stack+379, r12vrr_stack+264, NULL, NULL, r12vrr_stack+3565);

 /*--- compute (d0|i0)^0 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+6491, r12vrr_stack+3586, r12vrr_stack+6239, r12vrr_stack+379, r12vrr_stack+264, r12vrr_stack+3670);

 /*--- compute (00|i0)^4 ---*/
 _BUILD_00i0(Data,r12vrr_stack+3670, r12vrr_stack+1840, r12vrr_stack+2069, r12vrr_stack+1885, r12vrr_stack+319, NULL);

 /*--- compute (p0|i0)^3 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+6659, r12vrr_stack+6127, r12vrr_stack+3670, NULL, NULL, r12vrr_stack+1840);

 /*--- compute (d0|i0)^2 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+6743, r12vrr_stack+6155, r12vrr_stack+6659, r12vrr_stack+2090, r12vrr_stack+6127, r12vrr_stack+4048);

 /*--- compute (f0|i0)^1 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+6911, r12vrr_stack+6323, r12vrr_stack+6743, r12vrr_stack+6239, r12vrr_stack+6155, r12vrr_stack+4111);

 /*--- compute (f0|i0)^0 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+7191, r12vrr_stack+6491, r12vrr_stack+6323, r12vrr_stack+3586, r12vrr_stack+6239, r12vrr_stack+3733);

 /*--- compute (g0|i0)^0 ---*/
 _BUILD_g0i0(Data,r12vrr_stack+7471, r12vrr_stack+7191, r12vrr_stack+6911, r12vrr_stack+6491, r12vrr_stack+6323, r12vrr_stack+4237);
 tmp = r12vrr_stack + 7471;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+6491, r12vrr_stack+960, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (f0|00)^3 ---*/
 _BUILD_f000(Data,r12vrr_stack+6497, r12vrr_stack+963, r12vrr_stack+6491, r12vrr_stack+0, r12vrr_stack+960, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+960, r12vrr_stack+105, r12vrr_stack+78, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+6507, r12vrr_stack+969, r12vrr_stack+960, r12vrr_stack+9, r12vrr_stack+105, r12vrr_stack+3);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+264, r12vrr_stack+978, r12vrr_stack+6507, r12vrr_stack+12, r12vrr_stack+969, r12vrr_stack+6491);

 /*--- compute (g0|p0)^2 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+6525, r12vrr_stack+996, r12vrr_stack+264, r12vrr_stack+30, r12vrr_stack+978, r12vrr_stack+6497);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+969, r12vrr_stack+87, r12vrr_stack+168, NULL, NULL, r12vrr_stack+78);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+987, r12vrr_stack+1026, r12vrr_stack+969, r12vrr_stack+108, r12vrr_stack+87, r12vrr_stack+960);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+9, r12vrr_stack+1044, r12vrr_stack+987, r12vrr_stack+114, r12vrr_stack+1026, r12vrr_stack+6507);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+3698, r12vrr_stack+1080, r12vrr_stack+9, r12vrr_stack+132, r12vrr_stack+1044, r12vrr_stack+264);

 /*--- compute (h0|d0)^1 ---*/
 _BUILD_h0d0(Data,r12vrr_stack+7891, r12vrr_stack+1140, r12vrr_stack+3698, r12vrr_stack+204, r12vrr_stack+1080, r12vrr_stack+6525);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+6491, r12vrr_stack+174, r12vrr_stack+309, NULL, NULL, r12vrr_stack+168);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+6521, r12vrr_stack+1230, r12vrr_stack+6491, r12vrr_stack+93, r12vrr_stack+174, r12vrr_stack+969);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+87, r12vrr_stack+1260, r12vrr_stack+6521, r12vrr_stack+520, r12vrr_stack+1230, r12vrr_stack+987);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+960, r12vrr_stack+1320, r12vrr_stack+87, r12vrr_stack+550, r12vrr_stack+1260, r12vrr_stack+9);

 /*--- compute (h0|f0)^1 ---*/
 _BUILD_h0f0(Data,r12vrr_stack+1110, r12vrr_stack+1420, r12vrr_stack+960, r12vrr_stack+610, r12vrr_stack+1320, r12vrr_stack+3698);

 /*--- compute (i0|f0)^0 ---*/
 _BUILD_i0f0(Data,r12vrr_stack+8017, r12vrr_stack+1570, r12vrr_stack+1110, r12vrr_stack+810, r12vrr_stack+1420, r12vrr_stack+7891);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+7891, r12vrr_stack+319, r12vrr_stack+2054, NULL, NULL, r12vrr_stack+309);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+3698, r12vrr_stack+334, r12vrr_stack+7891, r12vrr_stack+1885, r12vrr_stack+319, r12vrr_stack+6491);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1320, r12vrr_stack+2560, r12vrr_stack+3698, r12vrr_stack+1900, r12vrr_stack+334, r12vrr_stack+6521);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+8297, r12vrr_stack+2650, r12vrr_stack+1320, r12vrr_stack+1945, r12vrr_stack+2560, r12vrr_stack+87);

 /*--- compute (h0|g0)^1 ---*/
 _BUILD_h0g0(Data,r12vrr_stack+8522, r12vrr_stack+2800, r12vrr_stack+8297, r12vrr_stack+2125, r12vrr_stack+2650, r12vrr_stack+960);

 /*--- compute (i0|g0)^0 ---*/
 _BUILD_i0g0(Data,r12vrr_stack+8837, r12vrr_stack+3250, r12vrr_stack+8522, r12vrr_stack+3025, r12vrr_stack+2800, r12vrr_stack+1110);
 tmp = r12vrr_stack + 8837;
 target_ptr = Libr12->gvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+0, r12vrr_stack+2035, r12vrr_stack+78, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+960, r12vrr_stack+2038, r12vrr_stack+0, r12vrr_stack+75, r12vrr_stack+2035, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+970, r12vrr_stack+2044, r12vrr_stack+960, r12vrr_stack+81, r12vrr_stack+2038, NULL);

 /*--- compute (00|h0)^6 ---*/
 _BUILD_00h0(Data,r12vrr_stack+985, r12vrr_stack+2054, r12vrr_stack+970, r12vrr_stack+309, r12vrr_stack+2044, NULL);

 /*--- compute (p0|h0)^5 ---*/
 _BUILD_p0h0(Data,r12vrr_stack+1006, r12vrr_stack+2069, r12vrr_stack+985, NULL, NULL, r12vrr_stack+2054);

 /*--- compute (d0|h0)^4 ---*/
 _BUILD_d0h0(Data,r12vrr_stack+1069, r12vrr_stack+4972, r12vrr_stack+1006, r12vrr_stack+1840, r12vrr_stack+2069, r12vrr_stack+7891);

 /*--- compute (f0|h0)^3 ---*/
 _BUILD_f0h0(Data,r12vrr_stack+2560, r12vrr_stack+5035, r12vrr_stack+1069, r12vrr_stack+4048, r12vrr_stack+4972, r12vrr_stack+3698);

 /*--- compute (g0|h0)^2 ---*/
 _BUILD_g0h0(Data,r12vrr_stack+9257, r12vrr_stack+5161, r12vrr_stack+2560, r12vrr_stack+4111, r12vrr_stack+5035, r12vrr_stack+1320);

 /*--- compute (h0|h0)^1 ---*/
 _BUILD_h0h0(Data,r12vrr_stack+2560, r12vrr_stack+5371, r12vrr_stack+9257, r12vrr_stack+4237, r12vrr_stack+5161, r12vrr_stack+8297);

 /*--- compute (i0|h0)^0 ---*/
 _BUILD_i0h0(Data,r12vrr_stack+9257, r12vrr_stack+5686, r12vrr_stack+2560, r12vrr_stack+4657, r12vrr_stack+5371, r12vrr_stack+8522);

 /*--- compute (00|i0)^5 ---*/
 _BUILD_00i0(Data,r12vrr_stack+2560, r12vrr_stack+2069, r12vrr_stack+985, r12vrr_stack+319, r12vrr_stack+2054, NULL);

 /*--- compute (p0|i0)^4 ---*/
 _BUILD_p0i0(Data,r12vrr_stack+6239, r12vrr_stack+3670, r12vrr_stack+2560, NULL, NULL, r12vrr_stack+2069);

 /*--- compute (d0|i0)^3 ---*/
 _BUILD_d0i0(Data,r12vrr_stack+6491, r12vrr_stack+6659, r12vrr_stack+6239, r12vrr_stack+6127, r12vrr_stack+3670, r12vrr_stack+4972);

 /*--- compute (f0|i0)^2 ---*/
 _BUILD_f0i0(Data,r12vrr_stack+2560, r12vrr_stack+6743, r12vrr_stack+6491, r12vrr_stack+6155, r12vrr_stack+6659, r12vrr_stack+5035);

 /*--- compute (g0|i0)^1 ---*/
 _BUILD_g0i0(Data,r12vrr_stack+8297, r12vrr_stack+6911, r12vrr_stack+2560, r12vrr_stack+6323, r12vrr_stack+6743, r12vrr_stack+5161);

 /*--- compute (h0|i0)^0 ---*/
 _BUILD_h0i0(Data,r12vrr_stack+6127, r12vrr_stack+7471, r12vrr_stack+8297, r12vrr_stack+7191, r12vrr_stack+6911, r12vrr_stack+5371);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+8297, &(Data->ss_r12_ss), NULL, r12vrr_stack+6, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+0, r12vrr_stack+8297, &(Data->ss_r12_ss), r12vrr_stack+414, r12vrr_stack+6, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+8300, r12vrr_stack+0, r12vrr_stack+8297, r12vrr_stack+420, r12vrr_stack+414, r12vrr_stack+6, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+6, r12vrr_stack+8300, r12vrr_stack+0, r12vrr_stack+294, r12vrr_stack+420, r12vrr_stack+414, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+21, r12vrr_stack+6, NULL, r12vrr_stack+2275, r12vrr_stack+294, NULL, r12vrr_stack+420);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+66, r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+2320, r12vrr_stack+2275, r12vrr_stack+294, r12vrr_stack+430);

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+8310, r12vrr_stack+66, r12vrr_stack+21, r12vrr_stack+2410, r12vrr_stack+2320, r12vrr_stack+2275, r12vrr_stack+460);

 /*--- compute (g0||g0)^0 ---*/
 _R_BUILD_g0g0(Data,r12vrr_stack+430, r12vrr_stack+8310, r12vrr_stack+66, r12vrr_stack+3025, r12vrr_stack+2410, r12vrr_stack+2320, r12vrr_stack+710);
 tmp = r12vrr_stack + 430;
 target_ptr = Libr12->rvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+8300, r12vrr_stack+1780, r12vrr_stack+294, r12vrr_stack+420, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+42, r12vrr_stack+21, NULL, r12vrr_stack+3859, r12vrr_stack+1780, NULL, r12vrr_stack+294);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+7891, r12vrr_stack+42, r12vrr_stack+21, r12vrr_stack+3922, r12vrr_stack+3859, r12vrr_stack+1780, r12vrr_stack+2275);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+1780, r12vrr_stack+7891, r12vrr_stack+42, r12vrr_stack+4447, r12vrr_stack+3922, r12vrr_stack+3859, r12vrr_stack+2320);

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+1990, r12vrr_stack+1780, r12vrr_stack+7891, r12vrr_stack+4657, r12vrr_stack+4447, r12vrr_stack+3922, r12vrr_stack+2410);
 tmp = r12vrr_stack + 1990;
 target_ptr = Libr12->rvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+3025, r12vrr_stack+4657, r12vrr_stack+3250, r12vrr_stack+1570, r12vrr_stack+810);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8460, r12vrr_stack+4657, r12vrr_stack+7471, r12vrr_stack+5686, r12vrr_stack+3250, r12vrr_stack+3025);
 tmp = r12vrr_stack + 8460;
 target_ptr = Libr12->t2vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2560, r12vrr_stack+3250, r12vrr_stack+5686, r12vrr_stack+8837, r12vrr_stack+8017, r12vrr_stack+1570);
 tmp = r12vrr_stack + 2560;
 target_ptr = Libr12->t2vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4972, r12vrr_stack+5686, r12vrr_stack+6127, r12vrr_stack+9257, r12vrr_stack+8837, r12vrr_stack+3250);
 tmp = r12vrr_stack + 4972;
 target_ptr = Libr12->t2vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7891, r12vrr_stack+3025, r12vrr_stack+3250, r12vrr_stack+4657, r12vrr_stack+4447, r12vrr_stack+2410);
 tmp = r12vrr_stack + 7891;
 target_ptr = Libr12->t1vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6715, r12vrr_stack+4657, r12vrr_stack+5686, r12vrr_stack+7471, r12vrr_stack+7191, r12vrr_stack+4447);
 tmp = r12vrr_stack + 6715;
 target_ptr = Libr12->t1vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7030, r12vrr_stack+3250, r12vrr_stack+8837, r12vrr_stack+5686, r12vrr_stack+4657, r12vrr_stack+3025);
 tmp = r12vrr_stack + 7030;
 target_ptr = Libr12->t1vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8775, r12vrr_stack+5686, r12vrr_stack+9257, r12vrr_stack+6127, r12vrr_stack+7471, r12vrr_stack+4657);
 tmp = r12vrr_stack + 8775;
 target_ptr = Libr12->t1vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||g0)^0 ---*/
 _R_BUILD_h0g0(Data,r12vrr_stack+6127, r12vrr_stack+430, r12vrr_stack+8310, r12vrr_stack+3250, r12vrr_stack+3025, r12vrr_stack+2410, r12vrr_stack+810);
 tmp = r12vrr_stack + 6127;
 target_ptr = Libr12->rvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+3250, r12vrr_stack+1990, r12vrr_stack+1780, r12vrr_stack+5686, r12vrr_stack+4657, r12vrr_stack+4447, r12vrr_stack+3025);
 tmp = r12vrr_stack + 3250;
 target_ptr = Libr12->rvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];


}

