#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_p0p0(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^0 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (p0|00)^1 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (d0|00)^0 ---*/
 _BUILD_d000(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+3, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+18, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+18, NULL, NULL, Data->F+2);

 /*--- compute (p0|p0)^0 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+30, r12vrr_stack+15, r12vrr_stack+12, NULL, NULL, Data->F+1);
 tmp = r12vrr_stack + 30;
 target_ptr = Libr12->gvrr_classes[1][1];
 for(i=0;i<9;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|p0)^0 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+39, r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+3);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+18, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+57, r12vrr_stack+15, r12vrr_stack+12, Data->F+0, Data->F+1, NULL);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+63, r12vrr_stack+57, r12vrr_stack+21, NULL, NULL, r12vrr_stack+12);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+12, &(Data->ss_r12_ss), NULL, r12vrr_stack+15, Data->F+0, NULL, NULL);

 /*--- compute (p0|[r12,T2]|p0)^0 ---*/
 _T2_BUILD_p0p0(Data,&(Libr12->ShellQuartet),r12vrr_stack+18, r12vrr_stack+30, r12vrr_stack+63, r12vrr_stack+39, r12vrr_stack+6, r12vrr_stack+0);
 tmp = r12vrr_stack + 18;
 target_ptr = Libr12->t2vrr_classes[1][1];
 for(i=0;i<9;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|p0)^0 ---*/
 _T1_BUILD_p0p0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+30, r12vrr_stack+39, r12vrr_stack+63, r12vrr_stack+57, r12vrr_stack+15);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t1vrr_classes[1][1];
 for(i=0;i<9;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0||p0)^0 ---*/
 _R_BUILD_p0p0(Data,r12vrr_stack+39, r12vrr_stack+12, NULL, r12vrr_stack+30, r12vrr_stack+15, NULL, Data->F+0);
 tmp = r12vrr_stack + 39;
 target_ptr = Libr12->rvrr_classes[1][1];
 for(i=0;i<9;i++)
   target_ptr[i] += tmp[i];


}

