#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_dphf(Libderiv_t *, prim_data *);

  /* Computes derivatives of (dp|hf) integrals */

void d12hrr_order_dphf(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][8][11] = int_stack + 0;
 Libderiv->deriv_classes[3][8][10] = int_stack + 450;
 Libderiv->deriv_classes[3][8][9] = int_stack + 900;
 Libderiv->deriv_classes[3][8][8] = int_stack + 1350;
 Libderiv->deriv_classes[3][8][7] = int_stack + 1800;
 Libderiv->dvrr_classes[3][7] = int_stack + 2250;
 Libderiv->deriv_classes[3][8][6] = int_stack + 2610;
 Libderiv->deriv_classes[3][8][2] = int_stack + 3060;
 Libderiv->deriv_classes[3][8][1] = int_stack + 3510;
 Libderiv->dvrr_classes[2][8] = int_stack + 3960;
 Libderiv->deriv_classes[3][8][0] = int_stack + 4230;
 Libderiv->deriv2_classes[2][5][143] = int_stack + 4680;
 Libderiv->deriv2_classes[2][6][143] = int_stack + 4806;
 Libderiv->deriv2_classes[2][7][143] = int_stack + 4974;
 Libderiv->deriv2_classes[2][8][143] = int_stack + 5190;
 Libderiv->deriv2_classes[3][5][143] = int_stack + 5460;
 Libderiv->deriv2_classes[3][6][143] = int_stack + 5670;
 Libderiv->deriv2_classes[3][7][143] = int_stack + 5950;
 Libderiv->deriv2_classes[3][8][143] = int_stack + 6310;
 Libderiv->deriv2_classes[2][5][131] = int_stack + 6760;
 Libderiv->deriv2_classes[2][6][131] = int_stack + 6886;
 Libderiv->deriv2_classes[2][7][131] = int_stack + 7054;
 Libderiv->deriv2_classes[2][8][131] = int_stack + 7270;
 Libderiv->deriv2_classes[3][5][131] = int_stack + 7540;
 Libderiv->deriv2_classes[3][6][131] = int_stack + 7750;
 Libderiv->deriv2_classes[3][7][131] = int_stack + 8030;
 Libderiv->deriv2_classes[3][8][131] = int_stack + 8390;
 Libderiv->deriv2_classes[2][5][130] = int_stack + 8840;
 Libderiv->deriv2_classes[2][6][130] = int_stack + 8966;
 Libderiv->deriv2_classes[2][7][130] = int_stack + 9134;
 Libderiv->deriv2_classes[2][8][130] = int_stack + 9350;
 Libderiv->deriv2_classes[3][5][130] = int_stack + 9620;
 Libderiv->deriv2_classes[3][6][130] = int_stack + 9830;
 Libderiv->deriv2_classes[3][7][130] = int_stack + 10110;
 Libderiv->deriv2_classes[3][8][130] = int_stack + 10470;
 Libderiv->deriv2_classes[2][5][119] = int_stack + 10920;
 Libderiv->deriv2_classes[2][6][119] = int_stack + 11046;
 Libderiv->deriv2_classes[2][7][119] = int_stack + 11214;
 Libderiv->deriv2_classes[2][8][119] = int_stack + 11430;
 Libderiv->deriv2_classes[3][5][119] = int_stack + 11700;
 Libderiv->deriv2_classes[3][6][119] = int_stack + 11910;
 Libderiv->deriv2_classes[3][7][119] = int_stack + 12190;
 Libderiv->deriv2_classes[3][8][119] = int_stack + 12550;
 Libderiv->deriv2_classes[2][5][118] = int_stack + 13000;
 Libderiv->deriv2_classes[2][6][118] = int_stack + 13126;
 Libderiv->deriv2_classes[2][7][118] = int_stack + 13294;
 Libderiv->deriv2_classes[2][8][118] = int_stack + 13510;
 Libderiv->deriv2_classes[3][5][118] = int_stack + 13780;
 Libderiv->deriv2_classes[3][6][118] = int_stack + 13990;
 Libderiv->deriv2_classes[3][7][118] = int_stack + 14270;
 Libderiv->deriv2_classes[3][8][118] = int_stack + 14630;
 Libderiv->deriv2_classes[2][5][117] = int_stack + 15080;
 Libderiv->deriv2_classes[2][6][117] = int_stack + 15206;
 Libderiv->deriv2_classes[2][7][117] = int_stack + 15374;
 Libderiv->deriv2_classes[2][8][117] = int_stack + 15590;
 Libderiv->deriv2_classes[3][5][117] = int_stack + 15860;
 Libderiv->deriv2_classes[3][6][117] = int_stack + 16070;
 Libderiv->deriv2_classes[3][7][117] = int_stack + 16350;
 Libderiv->deriv2_classes[3][8][117] = int_stack + 16710;
 Libderiv->deriv2_classes[2][5][107] = int_stack + 17160;
 Libderiv->deriv2_classes[2][6][107] = int_stack + 17286;
 Libderiv->deriv2_classes[2][7][107] = int_stack + 17454;
 Libderiv->deriv2_classes[2][8][107] = int_stack + 17670;
 Libderiv->deriv2_classes[3][5][107] = int_stack + 17940;
 Libderiv->deriv2_classes[3][6][107] = int_stack + 18150;
 Libderiv->deriv2_classes[3][7][107] = int_stack + 18430;
 Libderiv->deriv2_classes[3][8][107] = int_stack + 18790;
 Libderiv->deriv2_classes[2][5][106] = int_stack + 19240;
 Libderiv->deriv2_classes[2][6][106] = int_stack + 19366;
 Libderiv->deriv2_classes[2][7][106] = int_stack + 19534;
 Libderiv->deriv2_classes[2][8][106] = int_stack + 19750;
 Libderiv->deriv2_classes[3][5][106] = int_stack + 20020;
 Libderiv->deriv2_classes[3][6][106] = int_stack + 20230;
 Libderiv->deriv2_classes[3][7][106] = int_stack + 20510;
 Libderiv->deriv2_classes[3][8][106] = int_stack + 20870;
 Libderiv->deriv2_classes[2][5][105] = int_stack + 21320;
 Libderiv->deriv2_classes[2][6][105] = int_stack + 21446;
 Libderiv->deriv2_classes[2][7][105] = int_stack + 21614;
 Libderiv->deriv2_classes[2][8][105] = int_stack + 21830;
 Libderiv->deriv2_classes[3][5][105] = int_stack + 22100;
 Libderiv->deriv2_classes[3][6][105] = int_stack + 22310;
 Libderiv->deriv2_classes[3][7][105] = int_stack + 22590;
 Libderiv->deriv2_classes[3][8][105] = int_stack + 22950;
 Libderiv->deriv2_classes[2][5][104] = int_stack + 23400;
 Libderiv->deriv2_classes[2][6][104] = int_stack + 23526;
 Libderiv->deriv2_classes[2][7][104] = int_stack + 23694;
 Libderiv->deriv2_classes[2][8][104] = int_stack + 23910;
 Libderiv->deriv2_classes[3][5][104] = int_stack + 24180;
 Libderiv->deriv2_classes[3][6][104] = int_stack + 24390;
 Libderiv->deriv2_classes[3][7][104] = int_stack + 24670;
 Libderiv->deriv2_classes[3][8][104] = int_stack + 25030;
 Libderiv->deriv2_classes[2][5][95] = int_stack + 25480;
 Libderiv->deriv2_classes[2][6][95] = int_stack + 25606;
 Libderiv->deriv2_classes[2][7][95] = int_stack + 25774;
 Libderiv->deriv2_classes[2][8][95] = int_stack + 25990;
 Libderiv->deriv2_classes[3][5][95] = int_stack + 26260;
 Libderiv->deriv2_classes[3][6][95] = int_stack + 26470;
 Libderiv->deriv2_classes[3][7][95] = int_stack + 26750;
 Libderiv->deriv2_classes[3][8][95] = int_stack + 27110;
 Libderiv->deriv2_classes[2][5][94] = int_stack + 27560;
 Libderiv->deriv2_classes[2][6][94] = int_stack + 27686;
 Libderiv->deriv2_classes[2][7][94] = int_stack + 27854;
 Libderiv->deriv2_classes[2][8][94] = int_stack + 28070;
 Libderiv->deriv2_classes[3][5][94] = int_stack + 28340;
 Libderiv->deriv2_classes[3][6][94] = int_stack + 28550;
 Libderiv->deriv2_classes[3][7][94] = int_stack + 28830;
 Libderiv->deriv2_classes[3][8][94] = int_stack + 29190;
 Libderiv->deriv2_classes[2][5][93] = int_stack + 29640;
 Libderiv->deriv2_classes[2][6][93] = int_stack + 29766;
 Libderiv->deriv2_classes[2][7][93] = int_stack + 29934;
 Libderiv->deriv2_classes[2][8][93] = int_stack + 30150;
 Libderiv->deriv2_classes[3][5][93] = int_stack + 30420;
 Libderiv->deriv2_classes[3][6][93] = int_stack + 30630;
 Libderiv->deriv2_classes[3][7][93] = int_stack + 30910;
 Libderiv->deriv2_classes[3][8][93] = int_stack + 31270;
 Libderiv->deriv2_classes[2][5][92] = int_stack + 31720;
 Libderiv->deriv2_classes[2][6][92] = int_stack + 31846;
 Libderiv->deriv2_classes[2][7][92] = int_stack + 32014;
 Libderiv->deriv2_classes[2][8][92] = int_stack + 32230;
 Libderiv->deriv2_classes[3][5][92] = int_stack + 32500;
 Libderiv->deriv2_classes[3][6][92] = int_stack + 32710;
 Libderiv->deriv2_classes[3][7][92] = int_stack + 32990;
 Libderiv->deriv2_classes[3][8][92] = int_stack + 33350;
 Libderiv->deriv2_classes[2][5][91] = int_stack + 33800;
 Libderiv->deriv2_classes[2][6][91] = int_stack + 33926;
 Libderiv->deriv2_classes[2][7][91] = int_stack + 34094;
 Libderiv->deriv2_classes[2][8][91] = int_stack + 34310;
 Libderiv->deriv2_classes[3][5][91] = int_stack + 34580;
 Libderiv->deriv2_classes[3][6][91] = int_stack + 34790;
 Libderiv->deriv2_classes[3][7][91] = int_stack + 35070;
 Libderiv->deriv2_classes[3][8][91] = int_stack + 35430;
 Libderiv->deriv2_classes[2][5][83] = int_stack + 35880;
 Libderiv->deriv2_classes[2][6][83] = int_stack + 36006;
 Libderiv->deriv2_classes[2][7][83] = int_stack + 36174;
 Libderiv->deriv2_classes[2][8][83] = int_stack + 36390;
 Libderiv->deriv_classes[3][5][11] = int_stack + 36660;
 Libderiv->deriv2_classes[3][5][83] = int_stack + 36870;
 Libderiv->deriv_classes[3][6][11] = int_stack + 37080;
 Libderiv->deriv2_classes[3][6][83] = int_stack + 37360;
 Libderiv->deriv_classes[3][7][11] = int_stack + 37640;
 Libderiv->deriv2_classes[3][7][83] = int_stack + 38000;
 Libderiv->deriv2_classes[3][8][83] = int_stack + 38360;
 Libderiv->deriv2_classes[2][5][82] = int_stack + 38810;
 Libderiv->deriv2_classes[2][6][82] = int_stack + 38936;
 Libderiv->deriv2_classes[2][7][82] = int_stack + 39104;
 Libderiv->deriv2_classes[2][8][82] = int_stack + 39320;
 Libderiv->deriv_classes[3][5][10] = int_stack + 39590;
 Libderiv->deriv2_classes[3][5][82] = int_stack + 39800;
 Libderiv->deriv_classes[3][6][10] = int_stack + 40010;
 Libderiv->deriv2_classes[3][6][82] = int_stack + 40290;
 Libderiv->deriv_classes[3][7][10] = int_stack + 40570;
 Libderiv->deriv2_classes[3][7][82] = int_stack + 40930;
 Libderiv->deriv2_classes[3][8][82] = int_stack + 41290;
 Libderiv->deriv2_classes[2][5][81] = int_stack + 41740;
 Libderiv->deriv2_classes[2][6][81] = int_stack + 41866;
 Libderiv->deriv2_classes[2][7][81] = int_stack + 42034;
 Libderiv->deriv2_classes[2][8][81] = int_stack + 42250;
 Libderiv->deriv_classes[3][5][9] = int_stack + 42520;
 Libderiv->deriv2_classes[3][5][81] = int_stack + 42730;
 Libderiv->deriv_classes[3][6][9] = int_stack + 42940;
 Libderiv->deriv2_classes[3][6][81] = int_stack + 43220;
 Libderiv->deriv_classes[3][7][9] = int_stack + 43500;
 Libderiv->deriv2_classes[3][7][81] = int_stack + 43860;
 Libderiv->deriv2_classes[3][8][81] = int_stack + 44220;
 Libderiv->deriv2_classes[2][5][80] = int_stack + 44670;
 Libderiv->deriv2_classes[2][6][80] = int_stack + 44796;
 Libderiv->deriv2_classes[2][7][80] = int_stack + 44964;
 Libderiv->deriv2_classes[2][8][80] = int_stack + 45180;
 Libderiv->deriv_classes[3][5][8] = int_stack + 45450;
 Libderiv->deriv2_classes[3][5][80] = int_stack + 45660;
 Libderiv->deriv_classes[3][6][8] = int_stack + 45870;
 Libderiv->deriv2_classes[3][6][80] = int_stack + 46150;
 Libderiv->deriv_classes[3][7][8] = int_stack + 46430;
 Libderiv->deriv2_classes[3][7][80] = int_stack + 46790;
 Libderiv->deriv2_classes[3][8][80] = int_stack + 47150;
 Libderiv->deriv2_classes[2][5][79] = int_stack + 47600;
 Libderiv->deriv2_classes[2][6][79] = int_stack + 47726;
 Libderiv->deriv2_classes[2][7][79] = int_stack + 47894;
 Libderiv->deriv2_classes[2][8][79] = int_stack + 48110;
 Libderiv->deriv_classes[3][5][7] = int_stack + 48380;
 Libderiv->deriv2_classes[3][5][79] = int_stack + 48590;
 Libderiv->deriv_classes[3][6][7] = int_stack + 48800;
 Libderiv->deriv2_classes[3][6][79] = int_stack + 49080;
 Libderiv->deriv_classes[3][7][7] = int_stack + 49360;
 Libderiv->deriv2_classes[3][7][79] = int_stack + 49720;
 Libderiv->deriv2_classes[3][8][79] = int_stack + 50080;
 Libderiv->deriv2_classes[2][5][78] = int_stack + 50530;
 Libderiv->deriv2_classes[2][6][78] = int_stack + 50656;
 Libderiv->deriv2_classes[2][7][78] = int_stack + 50824;
 Libderiv->deriv2_classes[2][8][78] = int_stack + 51040;
 Libderiv->dvrr_classes[3][5] = int_stack + 51310;
 Libderiv->deriv_classes[3][5][6] = int_stack + 51520;
 Libderiv->deriv2_classes[3][5][78] = int_stack + 51730;
 Libderiv->dvrr_classes[3][6] = int_stack + 51940;
 Libderiv->deriv_classes[3][6][6] = int_stack + 52220;
 Libderiv->deriv2_classes[3][6][78] = int_stack + 52500;
 Libderiv->deriv_classes[3][7][6] = int_stack + 52780;
 Libderiv->deriv2_classes[3][7][78] = int_stack + 53140;
 Libderiv->deriv2_classes[3][8][78] = int_stack + 53500;
 Libderiv->deriv2_classes[2][5][35] = int_stack + 53950;
 Libderiv->deriv2_classes[2][6][35] = int_stack + 54076;
 Libderiv->deriv2_classes[2][7][35] = int_stack + 54244;
 Libderiv->deriv2_classes[2][8][35] = int_stack + 54460;
 Libderiv->deriv2_classes[3][5][35] = int_stack + 54730;
 Libderiv->deriv2_classes[3][6][35] = int_stack + 54940;
 Libderiv->deriv2_classes[3][7][35] = int_stack + 55220;
 Libderiv->deriv2_classes[3][8][35] = int_stack + 55580;
 Libderiv->deriv2_classes[2][5][34] = int_stack + 56030;
 Libderiv->deriv2_classes[2][6][34] = int_stack + 56156;
 Libderiv->deriv2_classes[2][7][34] = int_stack + 56324;
 Libderiv->deriv2_classes[2][8][34] = int_stack + 56540;
 Libderiv->deriv2_classes[3][5][34] = int_stack + 56810;
 Libderiv->deriv2_classes[3][6][34] = int_stack + 57020;
 Libderiv->deriv2_classes[3][7][34] = int_stack + 57300;
 Libderiv->deriv2_classes[3][8][34] = int_stack + 57660;
 Libderiv->deriv2_classes[2][5][33] = int_stack + 58110;
 Libderiv->deriv2_classes[2][6][33] = int_stack + 58236;
 Libderiv->deriv2_classes[2][7][33] = int_stack + 58404;
 Libderiv->deriv2_classes[2][8][33] = int_stack + 58620;
 Libderiv->deriv2_classes[3][5][33] = int_stack + 58890;
 Libderiv->deriv2_classes[3][6][33] = int_stack + 59100;
 Libderiv->deriv2_classes[3][7][33] = int_stack + 59380;
 Libderiv->deriv2_classes[3][8][33] = int_stack + 59740;
 Libderiv->deriv2_classes[2][5][32] = int_stack + 60190;
 Libderiv->deriv2_classes[2][6][32] = int_stack + 60316;
 Libderiv->deriv2_classes[2][7][32] = int_stack + 60484;
 Libderiv->deriv2_classes[2][8][32] = int_stack + 60700;
 Libderiv->deriv2_classes[3][5][32] = int_stack + 60970;
 Libderiv->deriv2_classes[3][6][32] = int_stack + 61180;
 Libderiv->deriv2_classes[3][7][32] = int_stack + 61460;
 Libderiv->deriv2_classes[3][8][32] = int_stack + 61820;
 Libderiv->deriv2_classes[2][5][31] = int_stack + 62270;
 Libderiv->deriv2_classes[2][6][31] = int_stack + 62396;
 Libderiv->deriv2_classes[2][7][31] = int_stack + 62564;
 Libderiv->deriv2_classes[2][8][31] = int_stack + 62780;
 Libderiv->deriv2_classes[3][5][31] = int_stack + 63050;
 Libderiv->deriv2_classes[3][6][31] = int_stack + 63260;
 Libderiv->deriv2_classes[3][7][31] = int_stack + 63540;
 Libderiv->deriv2_classes[3][8][31] = int_stack + 63900;
 Libderiv->deriv2_classes[2][5][30] = int_stack + 64350;
 Libderiv->deriv2_classes[2][6][30] = int_stack + 64476;
 Libderiv->deriv2_classes[2][7][30] = int_stack + 64644;
 Libderiv->deriv2_classes[2][8][30] = int_stack + 64860;
 Libderiv->deriv_classes[3][5][2] = int_stack + 65130;
 Libderiv->deriv2_classes[3][5][30] = int_stack + 65340;
 Libderiv->deriv_classes[3][6][2] = int_stack + 65550;
 Libderiv->deriv2_classes[3][6][30] = int_stack + 65830;
 Libderiv->deriv_classes[3][7][2] = int_stack + 66110;
 Libderiv->deriv2_classes[3][7][30] = int_stack + 66470;
 Libderiv->deriv2_classes[3][8][30] = int_stack + 66830;
 Libderiv->deriv2_classes[2][5][26] = int_stack + 67280;
 Libderiv->deriv2_classes[2][6][26] = int_stack + 67406;
 Libderiv->deriv2_classes[2][7][26] = int_stack + 67574;
 Libderiv->deriv2_classes[2][8][26] = int_stack + 67790;
 Libderiv->deriv2_classes[3][5][26] = int_stack + 68060;
 Libderiv->deriv2_classes[3][6][26] = int_stack + 68270;
 Libderiv->deriv2_classes[3][7][26] = int_stack + 68550;
 Libderiv->deriv2_classes[3][8][26] = int_stack + 68910;
 Libderiv->deriv2_classes[2][5][23] = int_stack + 69360;
 Libderiv->deriv2_classes[2][6][23] = int_stack + 69486;
 Libderiv->deriv2_classes[2][7][23] = int_stack + 69654;
 Libderiv->deriv2_classes[2][8][23] = int_stack + 69870;
 Libderiv->deriv2_classes[3][5][23] = int_stack + 70140;
 Libderiv->deriv2_classes[3][6][23] = int_stack + 70350;
 Libderiv->deriv2_classes[3][7][23] = int_stack + 70630;
 Libderiv->deriv2_classes[3][8][23] = int_stack + 70990;
 Libderiv->deriv2_classes[2][5][22] = int_stack + 71440;
 Libderiv->deriv2_classes[2][6][22] = int_stack + 71566;
 Libderiv->deriv2_classes[2][7][22] = int_stack + 71734;
 Libderiv->deriv2_classes[2][8][22] = int_stack + 71950;
 Libderiv->deriv2_classes[3][5][22] = int_stack + 72220;
 Libderiv->deriv2_classes[3][6][22] = int_stack + 72430;
 Libderiv->deriv2_classes[3][7][22] = int_stack + 72710;
 Libderiv->deriv2_classes[3][8][22] = int_stack + 73070;
 Libderiv->deriv2_classes[2][5][21] = int_stack + 73520;
 Libderiv->deriv2_classes[2][6][21] = int_stack + 73646;
 Libderiv->deriv2_classes[2][7][21] = int_stack + 73814;
 Libderiv->deriv2_classes[2][8][21] = int_stack + 74030;
 Libderiv->deriv2_classes[3][5][21] = int_stack + 74300;
 Libderiv->deriv2_classes[3][6][21] = int_stack + 74510;
 Libderiv->deriv2_classes[3][7][21] = int_stack + 74790;
 Libderiv->deriv2_classes[3][8][21] = int_stack + 75150;
 Libderiv->deriv2_classes[2][5][20] = int_stack + 75600;
 Libderiv->deriv2_classes[2][6][20] = int_stack + 75726;
 Libderiv->deriv2_classes[2][7][20] = int_stack + 75894;
 Libderiv->deriv2_classes[2][8][20] = int_stack + 76110;
 Libderiv->deriv2_classes[3][5][20] = int_stack + 76380;
 Libderiv->deriv2_classes[3][6][20] = int_stack + 76590;
 Libderiv->deriv2_classes[3][7][20] = int_stack + 76870;
 Libderiv->deriv2_classes[3][8][20] = int_stack + 77230;
 Libderiv->deriv2_classes[2][5][19] = int_stack + 77680;
 Libderiv->deriv2_classes[2][6][19] = int_stack + 77806;
 Libderiv->deriv2_classes[2][7][19] = int_stack + 77974;
 Libderiv->deriv2_classes[2][8][19] = int_stack + 78190;
 Libderiv->deriv2_classes[3][5][19] = int_stack + 78460;
 Libderiv->deriv2_classes[3][6][19] = int_stack + 78670;
 Libderiv->deriv2_classes[3][7][19] = int_stack + 78950;
 Libderiv->deriv2_classes[3][8][19] = int_stack + 79310;
 Libderiv->deriv2_classes[2][5][18] = int_stack + 79760;
 Libderiv->deriv2_classes[2][6][18] = int_stack + 79886;
 Libderiv->deriv2_classes[2][7][18] = int_stack + 80054;
 Libderiv->deriv2_classes[2][8][18] = int_stack + 80270;
 Libderiv->deriv_classes[3][5][1] = int_stack + 80540;
 Libderiv->deriv2_classes[3][5][18] = int_stack + 80750;
 Libderiv->deriv_classes[3][6][1] = int_stack + 80960;
 Libderiv->deriv2_classes[3][6][18] = int_stack + 81240;
 Libderiv->deriv_classes[3][7][1] = int_stack + 81520;
 Libderiv->deriv2_classes[3][7][18] = int_stack + 81880;
 Libderiv->deriv2_classes[3][8][18] = int_stack + 82240;
 Libderiv->deriv2_classes[2][5][14] = int_stack + 82690;
 Libderiv->deriv2_classes[2][6][14] = int_stack + 82816;
 Libderiv->deriv2_classes[2][7][14] = int_stack + 82984;
 Libderiv->deriv2_classes[2][8][14] = int_stack + 83200;
 Libderiv->deriv2_classes[3][5][14] = int_stack + 83470;
 Libderiv->deriv2_classes[3][6][14] = int_stack + 83680;
 Libderiv->deriv2_classes[3][7][14] = int_stack + 83960;
 Libderiv->deriv2_classes[3][8][14] = int_stack + 84320;
 Libderiv->deriv2_classes[2][5][13] = int_stack + 84770;
 Libderiv->deriv2_classes[2][6][13] = int_stack + 84896;
 Libderiv->deriv2_classes[2][7][13] = int_stack + 85064;
 Libderiv->deriv2_classes[2][8][13] = int_stack + 85280;
 Libderiv->deriv2_classes[3][5][13] = int_stack + 85550;
 Libderiv->deriv2_classes[3][6][13] = int_stack + 85760;
 Libderiv->deriv2_classes[3][7][13] = int_stack + 86040;
 Libderiv->deriv2_classes[3][8][13] = int_stack + 86400;
 Libderiv->deriv_classes[2][5][11] = int_stack + 86850;
 Libderiv->deriv_classes[2][6][11] = int_stack + 86976;
 Libderiv->deriv_classes[2][7][11] = int_stack + 87144;
 Libderiv->deriv_classes[2][8][11] = int_stack + 87360;
 Libderiv->deriv2_classes[2][5][11] = int_stack + 87630;
 Libderiv->deriv2_classes[2][6][11] = int_stack + 87756;
 Libderiv->deriv2_classes[2][7][11] = int_stack + 87924;
 Libderiv->deriv2_classes[2][8][11] = int_stack + 88140;
 Libderiv->deriv2_classes[3][5][11] = int_stack + 88410;
 Libderiv->deriv2_classes[3][6][11] = int_stack + 88620;
 Libderiv->deriv2_classes[3][7][11] = int_stack + 88900;
 Libderiv->deriv2_classes[3][8][11] = int_stack + 89260;
 Libderiv->deriv_classes[2][5][10] = int_stack + 89710;
 Libderiv->deriv_classes[2][6][10] = int_stack + 89836;
 Libderiv->deriv_classes[2][7][10] = int_stack + 90004;
 Libderiv->deriv_classes[2][8][10] = int_stack + 90220;
 Libderiv->deriv2_classes[2][5][10] = int_stack + 90490;
 Libderiv->deriv2_classes[2][6][10] = int_stack + 90616;
 Libderiv->deriv2_classes[2][7][10] = int_stack + 90784;
 Libderiv->deriv2_classes[2][8][10] = int_stack + 91000;
 Libderiv->deriv2_classes[3][5][10] = int_stack + 91270;
 Libderiv->deriv2_classes[3][6][10] = int_stack + 91480;
 Libderiv->deriv2_classes[3][7][10] = int_stack + 91760;
 Libderiv->deriv2_classes[3][8][10] = int_stack + 92120;
 Libderiv->deriv_classes[2][5][9] = int_stack + 92570;
 Libderiv->deriv_classes[2][6][9] = int_stack + 92696;
 Libderiv->deriv_classes[2][7][9] = int_stack + 92864;
 Libderiv->deriv_classes[2][8][9] = int_stack + 93080;
 Libderiv->deriv2_classes[2][5][9] = int_stack + 93350;
 Libderiv->deriv2_classes[2][6][9] = int_stack + 93476;
 Libderiv->deriv2_classes[2][7][9] = int_stack + 93644;
 Libderiv->deriv2_classes[2][8][9] = int_stack + 93860;
 Libderiv->deriv2_classes[3][5][9] = int_stack + 94130;
 Libderiv->deriv2_classes[3][6][9] = int_stack + 94340;
 Libderiv->deriv2_classes[3][7][9] = int_stack + 94620;
 Libderiv->deriv2_classes[3][8][9] = int_stack + 94980;
 Libderiv->deriv_classes[2][5][8] = int_stack + 95430;
 Libderiv->deriv_classes[2][6][8] = int_stack + 95556;
 Libderiv->deriv_classes[2][7][8] = int_stack + 95724;
 Libderiv->deriv_classes[2][8][8] = int_stack + 95940;
 Libderiv->deriv2_classes[2][5][8] = int_stack + 96210;
 Libderiv->deriv2_classes[2][6][8] = int_stack + 96336;
 Libderiv->deriv2_classes[2][7][8] = int_stack + 96504;
 Libderiv->deriv2_classes[2][8][8] = int_stack + 96720;
 Libderiv->deriv2_classes[3][5][8] = int_stack + 96990;
 Libderiv->deriv2_classes[3][6][8] = int_stack + 97200;
 Libderiv->deriv2_classes[3][7][8] = int_stack + 97480;
 Libderiv->deriv2_classes[3][8][8] = int_stack + 97840;
 Libderiv->deriv_classes[2][5][7] = int_stack + 98290;
 Libderiv->deriv_classes[2][6][7] = int_stack + 98416;
 Libderiv->deriv_classes[2][7][7] = int_stack + 98584;
 Libderiv->deriv_classes[2][8][7] = int_stack + 98800;
 Libderiv->deriv2_classes[2][5][7] = int_stack + 99070;
 Libderiv->deriv2_classes[2][6][7] = int_stack + 99196;
 Libderiv->deriv2_classes[2][7][7] = int_stack + 99364;
 Libderiv->deriv2_classes[2][8][7] = int_stack + 99580;
 Libderiv->deriv2_classes[3][5][7] = int_stack + 99850;
 Libderiv->deriv2_classes[3][6][7] = int_stack + 100060;
 Libderiv->deriv2_classes[3][7][7] = int_stack + 100340;
 Libderiv->deriv2_classes[3][8][7] = int_stack + 100700;
 Libderiv->dvrr_classes[2][5] = int_stack + 101150;
 Libderiv->deriv_classes[2][5][6] = int_stack + 101276;
 Libderiv->dvrr_classes[2][6] = int_stack + 101402;
 Libderiv->deriv_classes[2][6][6] = int_stack + 101570;
 Libderiv->dvrr_classes[2][7] = int_stack + 101738;
 Libderiv->deriv_classes[2][7][6] = int_stack + 101954;
 Libderiv->deriv_classes[2][8][6] = int_stack + 102170;
 Libderiv->deriv2_classes[2][5][6] = int_stack + 102440;
 Libderiv->deriv2_classes[2][6][6] = int_stack + 102566;
 Libderiv->deriv2_classes[2][7][6] = int_stack + 102734;
 Libderiv->deriv2_classes[2][8][6] = int_stack + 102950;
 Libderiv->deriv_classes[3][5][0] = int_stack + 103220;
 Libderiv->deriv2_classes[3][5][6] = int_stack + 103430;
 Libderiv->deriv_classes[3][6][0] = int_stack + 103640;
 Libderiv->deriv2_classes[3][6][6] = int_stack + 103920;
 Libderiv->deriv_classes[3][7][0] = int_stack + 104200;
 Libderiv->deriv2_classes[3][7][6] = int_stack + 104560;
 Libderiv->deriv2_classes[3][8][6] = int_stack + 104920;
 Libderiv->deriv_classes[2][5][2] = int_stack + 105370;
 Libderiv->deriv_classes[2][6][2] = int_stack + 105496;
 Libderiv->deriv_classes[2][7][2] = int_stack + 105664;
 Libderiv->deriv_classes[2][8][2] = int_stack + 105880;
 Libderiv->deriv2_classes[2][5][2] = int_stack + 106150;
 Libderiv->deriv2_classes[2][6][2] = int_stack + 106276;
 Libderiv->deriv2_classes[2][7][2] = int_stack + 106444;
 Libderiv->deriv2_classes[2][8][2] = int_stack + 106660;
 Libderiv->deriv2_classes[3][5][2] = int_stack + 106930;
 Libderiv->deriv2_classes[3][6][2] = int_stack + 107140;
 Libderiv->deriv2_classes[3][7][2] = int_stack + 107420;
 Libderiv->deriv2_classes[3][8][2] = int_stack + 107780;
 Libderiv->deriv_classes[2][5][1] = int_stack + 108230;
 Libderiv->deriv_classes[2][6][1] = int_stack + 108356;
 Libderiv->deriv_classes[2][7][1] = int_stack + 108524;
 Libderiv->deriv_classes[2][8][1] = int_stack + 108740;
 Libderiv->deriv2_classes[2][5][1] = int_stack + 109010;
 Libderiv->deriv2_classes[2][6][1] = int_stack + 109136;
 Libderiv->deriv2_classes[2][7][1] = int_stack + 109304;
 Libderiv->deriv2_classes[2][8][1] = int_stack + 109520;
 Libderiv->deriv2_classes[3][5][1] = int_stack + 109790;
 Libderiv->deriv2_classes[3][6][1] = int_stack + 110000;
 Libderiv->deriv2_classes[3][7][1] = int_stack + 110280;
 Libderiv->deriv2_classes[3][8][1] = int_stack + 110640;
 Libderiv->deriv_classes[2][5][0] = int_stack + 111090;
 Libderiv->deriv_classes[2][6][0] = int_stack + 111216;
 Libderiv->deriv_classes[2][7][0] = int_stack + 111384;
 Libderiv->deriv_classes[2][8][0] = int_stack + 111600;
 Libderiv->deriv2_classes[2][5][0] = int_stack + 111870;
 Libderiv->deriv2_classes[2][6][0] = int_stack + 111996;
 Libderiv->deriv2_classes[2][7][0] = int_stack + 112164;
 Libderiv->deriv2_classes[2][8][0] = int_stack + 112380;
 Libderiv->deriv2_classes[3][5][0] = int_stack + 112650;
 Libderiv->deriv2_classes[3][6][0] = int_stack + 112860;
 Libderiv->deriv2_classes[3][7][0] = int_stack + 113140;
 Libderiv->deriv2_classes[3][8][0] = int_stack + 113500;
 memset(int_stack,0,911600);

 Libderiv->dvrr_stack = int_stack + 264850;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_dphf(Libderiv, Data);
   Data++;
 }

 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+113950,int_stack+101402,int_stack+101150,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+114328,int_stack+101738,int_stack+101402,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+114832,int_stack+114328,int_stack+113950,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+115588,int_stack+86976,int_stack+86850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101150,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+115966,int_stack+87144,int_stack+86976, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101402,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+116470,int_stack+115966,int_stack+115588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+113950,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+117226,int_stack+87360,int_stack+87144, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101738,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+117874,int_stack+117226,int_stack+115966, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114328,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+118882,int_stack+117874,int_stack+116470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114832,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+117226,int_stack+51940,int_stack+51310,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+117856,int_stack+2250,int_stack+51940,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+120142,int_stack+117856,int_stack+117226,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+121402,int_stack+37080,int_stack+36660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51310,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+122032,int_stack+37640,int_stack+37080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51940,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+122872,int_stack+122032,int_stack+121402, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117226,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+124132,int_stack+0,int_stack+37640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2250,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+125212,int_stack+124132,int_stack+122032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117856,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+126892,int_stack+125212,int_stack+122872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120142,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+124132,int_stack+89836,int_stack+89710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101150, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+124510,int_stack+90004,int_stack+89836, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101402, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+125014,int_stack+124510,int_stack+124132, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+113950, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+125770,int_stack+90220,int_stack+90004, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101738, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+128992,int_stack+125770,int_stack+124510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114328, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+130000,int_stack+128992,int_stack+125014, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114832, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+128992,int_stack+40010,int_stack+39590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51310, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+125770,int_stack+40570,int_stack+40010, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51940, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+131260,int_stack+125770,int_stack+128992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117226, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+132520,int_stack+450,int_stack+40570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2250, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+133600,int_stack+132520,int_stack+125770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117856, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+135280,int_stack+133600,int_stack+131260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120142, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+129622,int_stack+92696,int_stack+92570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101150, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+132520,int_stack+92864,int_stack+92696, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101402, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+133024,int_stack+132520,int_stack+129622, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+113950, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+133780,int_stack+93080,int_stack+92864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101738, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+137380,int_stack+133780,int_stack+132520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114328, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+133780,int_stack+137380,int_stack+133024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114832, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+137380,int_stack+42940,int_stack+42520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51310, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+138010,int_stack+43500,int_stack+42940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51940, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+138850,int_stack+138010,int_stack+137380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117226, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+140110,int_stack+900,int_stack+43500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2250, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+141190,int_stack+140110,int_stack+138010, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117856, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+142870,int_stack+141190,int_stack+138850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120142, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+140110,int_stack+95556,int_stack+95430, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+140488,int_stack+95724,int_stack+95556, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101402, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+140992,int_stack+140488,int_stack+140110, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+113950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+141748,int_stack+95940,int_stack+95724, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101738, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+141748,int_stack+140488, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114328, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+144970,int_stack+0,int_stack+140992, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+45870,int_stack+45450, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+141748,int_stack+46430,int_stack+45870, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+146230,int_stack+141748,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117226, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+147490,int_stack+1350,int_stack+46430, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+148570,int_stack+147490,int_stack+141748, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+150250,int_stack+148570,int_stack+146230, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+147490,int_stack+98416,int_stack+98290, 0.0, zero_stack, 1.0, int_stack+101150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+147868,int_stack+98584,int_stack+98416, 0.0, zero_stack, 1.0, int_stack+101402, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+148372,int_stack+147868,int_stack+147490, 0.0, zero_stack, 1.0, int_stack+113950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+149128,int_stack+98800,int_stack+98584, 0.0, zero_stack, 1.0, int_stack+101738, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+630,int_stack+149128,int_stack+147868, 0.0, zero_stack, 1.0, int_stack+114328, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+152350,int_stack+630,int_stack+148372, 0.0, zero_stack, 1.0, int_stack+114832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+630,int_stack+48800,int_stack+48380, 0.0, zero_stack, 1.0, int_stack+51310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+149128,int_stack+49360,int_stack+48800, 0.0, zero_stack, 1.0, int_stack+51940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+153610,int_stack+149128,int_stack+630, 0.0, zero_stack, 1.0, int_stack+117226, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+154870,int_stack+1800,int_stack+49360, 0.0, zero_stack, 1.0, int_stack+2250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+155950,int_stack+154870,int_stack+149128, 0.0, zero_stack, 1.0, int_stack+117856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+157630,int_stack+155950,int_stack+153610, 0.0, zero_stack, 1.0, int_stack+120142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+154870,int_stack+101570,int_stack+101276, 1.0, int_stack+101150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+155248,int_stack+101954,int_stack+101570, 1.0, int_stack+101402, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+155752,int_stack+155248,int_stack+154870, 1.0, int_stack+113950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+156508,int_stack+102170,int_stack+101954, 1.0, int_stack+101738, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+159730,int_stack+156508,int_stack+155248, 1.0, int_stack+114328, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+160738,int_stack+159730,int_stack+155752, 1.0, int_stack+114832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+159730,int_stack+52220,int_stack+51520, 1.0, int_stack+51310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+156508,int_stack+52780,int_stack+52220, 1.0, int_stack+51940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+161998,int_stack+156508,int_stack+159730, 1.0, int_stack+117226, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+163258,int_stack+2610,int_stack+52780, 1.0, int_stack+2250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1260,int_stack+163258,int_stack+156508, 1.0, int_stack+117856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+163258,int_stack+1260,int_stack+161998, 1.0, int_stack+120142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+120142,int_stack+3960,int_stack+101738,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1260,int_stack+120142,int_stack+114328,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+120142,int_stack+1260,int_stack+114832,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+160360,int_stack+105496,int_stack+105370,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1260,int_stack+105664,int_stack+105496,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1764,int_stack+1260,int_stack+160360,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+117226,int_stack+105880,int_stack+105664,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+117874,int_stack+117226,int_stack+1260,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+113950,int_stack+117874,int_stack+1764,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+117226,int_stack+65550,int_stack+65130,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+117856,int_stack+66110,int_stack+65550,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+165358,int_stack+117856,int_stack+117226,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+166618,int_stack+3060,int_stack+66110,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+167698,int_stack+166618,int_stack+117856,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+169378,int_stack+167698,int_stack+165358,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+115210,int_stack+108356,int_stack+108230,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+166618,int_stack+108524,int_stack+108356,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+167122,int_stack+166618,int_stack+115210,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+167878,int_stack+108740,int_stack+108524,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+171478,int_stack+167878,int_stack+166618,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+167878,int_stack+171478,int_stack+167122,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+171478,int_stack+80960,int_stack+80540,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+172108,int_stack+81520,int_stack+80960,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+172948,int_stack+172108,int_stack+171478,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+174208,int_stack+3510,int_stack+81520,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+2520,int_stack+174208,int_stack+172108,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+174208,int_stack+2520,int_stack+172948,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2520,int_stack+111216,int_stack+111090,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+2898,int_stack+111384,int_stack+111216,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+3402,int_stack+2898,int_stack+2520,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+176308,int_stack+111600,int_stack+111384,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+176956,int_stack+176308,int_stack+2898,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+177964,int_stack+176956,int_stack+3402,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+176308,int_stack+103640,int_stack+103220,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+176938,int_stack+104200,int_stack+103640,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+179224,int_stack+176938,int_stack+176308,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+180484,int_stack+4230,int_stack+104200,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+181564,int_stack+180484,int_stack+176938,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+183244,int_stack+181564,int_stack+179224,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+180484,int_stack+4806,int_stack+4680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+86850,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+180862,int_stack+4974,int_stack+4806, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+86976,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+181366,int_stack+180862,int_stack+180484, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+115588,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+182122,int_stack+5190,int_stack+4974, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+87144,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4158,int_stack+182122,int_stack+180862, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+115966,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+185344,int_stack+4158,int_stack+181366, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+116470,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+4158,int_stack+5670,int_stack+5460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+36660,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4788,int_stack+5950,int_stack+5670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+37080,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+180484,int_stack+4788,int_stack+4158, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+121402,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+181744,int_stack+6310,int_stack+5950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+37640,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+186604,int_stack+181744,int_stack+4788, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+122032,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+4158,int_stack+186604,int_stack+180484, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+122872,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+180484,int_stack+6886,int_stack+6760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86850, 1.0, int_stack+89710,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+180862,int_stack+7054,int_stack+6886, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86976, 1.0, int_stack+89836,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+181366,int_stack+180862,int_stack+180484, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115588, 1.0, int_stack+124132,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+182122,int_stack+7270,int_stack+7054, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87144, 1.0, int_stack+90004,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+186604,int_stack+182122,int_stack+180862, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115966, 1.0, int_stack+124510,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+187612,int_stack+186604,int_stack+181366, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116470, 1.0, int_stack+125014,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+186604,int_stack+7750,int_stack+7540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36660, 1.0, int_stack+39590,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+180484,int_stack+8030,int_stack+7750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37080, 1.0, int_stack+40010,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+181324,int_stack+180484,int_stack+186604, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121402, 1.0, int_stack+128992,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+6258,int_stack+8390,int_stack+8030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37640, 1.0, int_stack+40570,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+188872,int_stack+6258,int_stack+180484, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+122032, 1.0, int_stack+125770,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+6258,int_stack+188872,int_stack+181324, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+122872, 1.0, int_stack+131260,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+188872,int_stack+8966,int_stack+8840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+89710, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+189250,int_stack+9134,int_stack+8966, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+89836, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+189754,int_stack+189250,int_stack+188872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+124132, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+180484,int_stack+9350,int_stack+9134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+90004, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+186604,int_stack+180484,int_stack+189250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+124510, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+180484,int_stack+186604,int_stack+189754, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+125014, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+186604,int_stack+9830,int_stack+9620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+39590, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+181744,int_stack+10110,int_stack+9830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+40010, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+188872,int_stack+181744,int_stack+186604, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+128992, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+8358,int_stack+10470,int_stack+10110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+40570, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+190132,int_stack+8358,int_stack+181744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+125770, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+8358,int_stack+190132,int_stack+188872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+131260, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+188872,int_stack+11046,int_stack+10920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86850, 0.0, zero_stack, 1.0, int_stack+92570,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+189250,int_stack+11214,int_stack+11046, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86976, 0.0, zero_stack, 1.0, int_stack+92696,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+10458,int_stack+189250,int_stack+188872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115588, 0.0, zero_stack, 1.0, int_stack+129622,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+189754,int_stack+11430,int_stack+11214, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87144, 0.0, zero_stack, 1.0, int_stack+92864,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+186604,int_stack+189754,int_stack+189250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115966, 0.0, zero_stack, 1.0, int_stack+132520,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+188872,int_stack+186604,int_stack+10458, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116470, 0.0, zero_stack, 1.0, int_stack+133024,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+10458,int_stack+11910,int_stack+11700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36660, 0.0, zero_stack, 1.0, int_stack+42520,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+186604,int_stack+12190,int_stack+11910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37080, 0.0, zero_stack, 1.0, int_stack+42940,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+190132,int_stack+186604,int_stack+10458, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121402, 0.0, zero_stack, 1.0, int_stack+137380,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+10458,int_stack+12550,int_stack+12190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37640, 0.0, zero_stack, 1.0, int_stack+43500,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+191392,int_stack+10458,int_stack+186604, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+122032, 0.0, zero_stack, 1.0, int_stack+138010,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+10458,int_stack+191392,int_stack+190132, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+122872, 0.0, zero_stack, 1.0, int_stack+138850,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+190132,int_stack+13126,int_stack+13000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89710, 1.0, int_stack+92570, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+190510,int_stack+13294,int_stack+13126, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89836, 1.0, int_stack+92696, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+191014,int_stack+190510,int_stack+190132, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124132, 1.0, int_stack+129622, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+191770,int_stack+13510,int_stack+13294, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90004, 1.0, int_stack+92864, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+186604,int_stack+191770,int_stack+190510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124510, 1.0, int_stack+132520, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+191770,int_stack+186604,int_stack+191014, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+125014, 1.0, int_stack+133024, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+186604,int_stack+13990,int_stack+13780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39590, 1.0, int_stack+42520, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+193030,int_stack+14270,int_stack+13990, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40010, 1.0, int_stack+42940, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+190132,int_stack+193030,int_stack+186604, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128992, 1.0, int_stack+137380, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+12558,int_stack+14630,int_stack+14270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40570, 1.0, int_stack+43500, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+193870,int_stack+12558,int_stack+193030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+125770, 1.0, int_stack+138010, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+12558,int_stack+193870,int_stack+190132, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131260, 1.0, int_stack+138850, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+190132,int_stack+15206,int_stack+15080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+92570, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+190510,int_stack+15374,int_stack+15206, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+92696, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+191014,int_stack+190510,int_stack+190132, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+129622, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+193030,int_stack+15590,int_stack+15374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+92864, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+186604,int_stack+193030,int_stack+190510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+132520, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+193030,int_stack+186604,int_stack+191014, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+133024, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+186604,int_stack+16070,int_stack+15860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+42520, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+194290,int_stack+16350,int_stack+16070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+42940, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+190132,int_stack+194290,int_stack+186604, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+137380, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+14658,int_stack+16710,int_stack+16350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+43500, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+195130,int_stack+14658,int_stack+194290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+138010, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+14658,int_stack+195130,int_stack+190132, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+138850, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+190132,int_stack+17286,int_stack+17160, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86850, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95430,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+190510,int_stack+17454,int_stack+17286, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86976, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95556,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+191014,int_stack+190510,int_stack+190132, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115588, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140110,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+194290,int_stack+17670,int_stack+17454, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+87144, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+95724,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+186604,int_stack+194290,int_stack+190510, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115966, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140488,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+194290,int_stack+186604,int_stack+191014, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+116470, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140992,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+186604,int_stack+18150,int_stack+17940, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36660, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45450,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+195550,int_stack+18430,int_stack+18150, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37080, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45870,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+190132,int_stack+195550,int_stack+186604, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121402, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+16758,int_stack+18790,int_stack+18430, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37640, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46430,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+196390,int_stack+16758,int_stack+195550, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+122032, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+141748,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+16758,int_stack+196390,int_stack+190132, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+122872, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+146230,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+190132,int_stack+19366,int_stack+19240, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89710, 0.0, zero_stack, 1.0, int_stack+95430, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+190510,int_stack+19534,int_stack+19366, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89836, 0.0, zero_stack, 1.0, int_stack+95556, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+191014,int_stack+190510,int_stack+190132, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124132, 0.0, zero_stack, 1.0, int_stack+140110, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+195550,int_stack+19750,int_stack+19534, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+90004, 0.0, zero_stack, 1.0, int_stack+95724, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+186604,int_stack+195550,int_stack+190510, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124510, 0.0, zero_stack, 1.0, int_stack+140488, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+195550,int_stack+186604,int_stack+191014, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+125014, 0.0, zero_stack, 1.0, int_stack+140992, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+186604,int_stack+20230,int_stack+20020, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39590, 0.0, zero_stack, 1.0, int_stack+45450, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+196810,int_stack+20510,int_stack+20230, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40010, 0.0, zero_stack, 1.0, int_stack+45870, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+197650,int_stack+196810,int_stack+186604, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+128992, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+190132,int_stack+20870,int_stack+20510, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+40570, 0.0, zero_stack, 1.0, int_stack+46430, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+18858,int_stack+190132,int_stack+196810, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+125770, 0.0, zero_stack, 1.0, int_stack+141748, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+198910,int_stack+18858,int_stack+197650, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+131260, 0.0, zero_stack, 1.0, int_stack+146230, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+18858,int_stack+21446,int_stack+21320, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92570, 1.0, int_stack+95430, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19236,int_stack+21614,int_stack+21446, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92696, 1.0, int_stack+95556, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19740,int_stack+19236,int_stack+18858, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+129622, 1.0, int_stack+140110, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+20496,int_stack+21830,int_stack+21614, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92864, 1.0, int_stack+95724, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+186604,int_stack+20496,int_stack+19236, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+132520, 1.0, int_stack+140488, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+20496,int_stack+186604,int_stack+19740, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+133024, 1.0, int_stack+140992, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+186604,int_stack+22310,int_stack+22100, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42520, 1.0, int_stack+45450, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+18858,int_stack+22590,int_stack+22310, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+42940, 1.0, int_stack+45870, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+196810,int_stack+18858,int_stack+186604, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137380, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+190132,int_stack+22950,int_stack+22590, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43500, 1.0, int_stack+46430, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+201010,int_stack+190132,int_stack+18858, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+138010, 1.0, int_stack+141748, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+202690,int_stack+201010,int_stack+196810, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+138850, 1.0, int_stack+146230, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+196810,int_stack+23526,int_stack+23400, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+95430, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+197188,int_stack+23694,int_stack+23526, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+95556, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+197692,int_stack+197188,int_stack+196810, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+140110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+201010,int_stack+23910,int_stack+23694, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+95724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+186604,int_stack+201010,int_stack+197188, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+140488, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+201010,int_stack+186604,int_stack+197692, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+140992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+186604,int_stack+24390,int_stack+24180, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+45450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+196810,int_stack+24670,int_stack+24390, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+45870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+197650,int_stack+196810,int_stack+186604, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+18858,int_stack+25030,int_stack+24670, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+46430, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+21756,int_stack+18858,int_stack+196810, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+141748, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+204790,int_stack+21756,int_stack+197650, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+146230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+21756,int_stack+25606,int_stack+25480, 0.0, zero_stack, 1.0, int_stack+86850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98290,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22134,int_stack+25774,int_stack+25606, 0.0, zero_stack, 1.0, int_stack+86976, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98416,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+22638,int_stack+22134,int_stack+21756, 0.0, zero_stack, 1.0, int_stack+115588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147490,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+23394,int_stack+25990,int_stack+25774, 0.0, zero_stack, 1.0, int_stack+87144, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98584,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+186604,int_stack+23394,int_stack+22134, 0.0, zero_stack, 1.0, int_stack+115966, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147868,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+23394,int_stack+186604,int_stack+22638, 0.0, zero_stack, 1.0, int_stack+116470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+148372,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+186604,int_stack+26470,int_stack+26260, 0.0, zero_stack, 1.0, int_stack+36660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48380,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+24654,int_stack+26750,int_stack+26470, 0.0, zero_stack, 1.0, int_stack+37080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48800,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+21756,int_stack+24654,int_stack+186604, 0.0, zero_stack, 1.0, int_stack+121402, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+630,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+25494,int_stack+27110,int_stack+26750, 0.0, zero_stack, 1.0, int_stack+37640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49360,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+196810,int_stack+25494,int_stack+24654, 0.0, zero_stack, 1.0, int_stack+122032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149128,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+24654,int_stack+196810,int_stack+21756, 0.0, zero_stack, 1.0, int_stack+122872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153610,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+21756,int_stack+27686,int_stack+27560, 0.0, zero_stack, 1.0, int_stack+89710, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98290, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22134,int_stack+27854,int_stack+27686, 0.0, zero_stack, 1.0, int_stack+89836, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98416, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+22638,int_stack+22134,int_stack+21756, 0.0, zero_stack, 1.0, int_stack+124132, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147490, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+196810,int_stack+28070,int_stack+27854, 0.0, zero_stack, 1.0, int_stack+90004, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98584, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+186604,int_stack+196810,int_stack+22134, 0.0, zero_stack, 1.0, int_stack+124510, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+147868, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+196810,int_stack+186604,int_stack+22638, 0.0, zero_stack, 1.0, int_stack+125014, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+148372, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+186604,int_stack+28550,int_stack+28340, 0.0, zero_stack, 1.0, int_stack+39590, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48380, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+28830,int_stack+28550, 0.0, zero_stack, 1.0, int_stack+40010, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48800, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+21756,int_stack+198070,int_stack+186604, 0.0, zero_stack, 1.0, int_stack+128992, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+630, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+26754,int_stack+29190,int_stack+28830, 0.0, zero_stack, 1.0, int_stack+40570, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49360, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+27834,int_stack+26754,int_stack+198070, 0.0, zero_stack, 1.0, int_stack+125770, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+149128, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+206890,int_stack+27834,int_stack+21756, 0.0, zero_stack, 1.0, int_stack+131260, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+153610, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+21756,int_stack+29766,int_stack+29640, 0.0, zero_stack, 1.0, int_stack+92570, 0.0, zero_stack, 1.0, int_stack+98290, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22134,int_stack+29934,int_stack+29766, 0.0, zero_stack, 1.0, int_stack+92696, 0.0, zero_stack, 1.0, int_stack+98416, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+22638,int_stack+22134,int_stack+21756, 0.0, zero_stack, 1.0, int_stack+129622, 0.0, zero_stack, 1.0, int_stack+147490, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+198070,int_stack+30150,int_stack+29934, 0.0, zero_stack, 1.0, int_stack+92864, 0.0, zero_stack, 1.0, int_stack+98584, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+186604,int_stack+198070,int_stack+22134, 0.0, zero_stack, 1.0, int_stack+132520, 0.0, zero_stack, 1.0, int_stack+147868, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+26754,int_stack+186604,int_stack+22638, 0.0, zero_stack, 1.0, int_stack+133024, 0.0, zero_stack, 1.0, int_stack+148372, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+186604,int_stack+30630,int_stack+30420, 0.0, zero_stack, 1.0, int_stack+42520, 0.0, zero_stack, 1.0, int_stack+48380, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+30910,int_stack+30630, 0.0, zero_stack, 1.0, int_stack+42940, 0.0, zero_stack, 1.0, int_stack+48800, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+21756,int_stack+198070,int_stack+186604, 0.0, zero_stack, 1.0, int_stack+137380, 0.0, zero_stack, 1.0, int_stack+630, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+28014,int_stack+31270,int_stack+30910, 0.0, zero_stack, 1.0, int_stack+43500, 0.0, zero_stack, 1.0, int_stack+49360, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+29094,int_stack+28014,int_stack+198070, 0.0, zero_stack, 1.0, int_stack+138010, 0.0, zero_stack, 1.0, int_stack+149128, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+208990,int_stack+29094,int_stack+21756, 0.0, zero_stack, 1.0, int_stack+138850, 0.0, zero_stack, 1.0, int_stack+153610, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+21756,int_stack+31846,int_stack+31720, 0.0, zero_stack, 1.0, int_stack+95430, 1.0, int_stack+98290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22134,int_stack+32014,int_stack+31846, 0.0, zero_stack, 1.0, int_stack+95556, 1.0, int_stack+98416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+22638,int_stack+22134,int_stack+21756, 0.0, zero_stack, 1.0, int_stack+140110, 1.0, int_stack+147490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+198070,int_stack+32230,int_stack+32014, 0.0, zero_stack, 1.0, int_stack+95724, 1.0, int_stack+98584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+186604,int_stack+198070,int_stack+22134, 0.0, zero_stack, 1.0, int_stack+140488, 1.0, int_stack+147868, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+28014,int_stack+186604,int_stack+22638, 0.0, zero_stack, 1.0, int_stack+140992, 1.0, int_stack+148372, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+186604,int_stack+32710,int_stack+32500, 0.0, zero_stack, 1.0, int_stack+45450, 1.0, int_stack+48380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+32990,int_stack+32710, 0.0, zero_stack, 1.0, int_stack+45870, 1.0, int_stack+48800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+21756,int_stack+198070,int_stack+186604, 0.0, zero_stack, 1.0, int_stack+0, 1.0, int_stack+630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+29274,int_stack+33350,int_stack+32990, 0.0, zero_stack, 1.0, int_stack+46430, 1.0, int_stack+49360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+30354,int_stack+29274,int_stack+198070, 0.0, zero_stack, 1.0, int_stack+141748, 1.0, int_stack+149128, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+211090,int_stack+30354,int_stack+21756, 0.0, zero_stack, 1.0, int_stack+146230, 1.0, int_stack+153610, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+21756,int_stack+33926,int_stack+33800, 0.0, zero_stack, 2.0, int_stack+98290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22134,int_stack+34094,int_stack+33926, 0.0, zero_stack, 2.0, int_stack+98416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+22638,int_stack+22134,int_stack+21756, 0.0, zero_stack, 2.0, int_stack+147490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+198070,int_stack+34310,int_stack+34094, 0.0, zero_stack, 2.0, int_stack+98584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+186604,int_stack+198070,int_stack+22134, 0.0, zero_stack, 2.0, int_stack+147868, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+29274,int_stack+186604,int_stack+22638, 0.0, zero_stack, 2.0, int_stack+148372, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+186604,int_stack+34790,int_stack+34580, 0.0, zero_stack, 2.0, int_stack+48380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+35070,int_stack+34790, 0.0, zero_stack, 2.0, int_stack+48800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+21756,int_stack+198070,int_stack+186604, 0.0, zero_stack, 2.0, int_stack+630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+30534,int_stack+35430,int_stack+35070, 0.0, zero_stack, 2.0, int_stack+49360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+31614,int_stack+30534,int_stack+198070, 0.0, zero_stack, 2.0, int_stack+149128, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+33294,int_stack+31614,int_stack+21756, 0.0, zero_stack, 2.0, int_stack+153610, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+21756,int_stack+36006,int_stack+35880, 1.0, int_stack+86850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101276,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22134,int_stack+36174,int_stack+36006, 1.0, int_stack+86976, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101570,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+22638,int_stack+22134,int_stack+21756, 1.0, int_stack+115588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154870,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+198070,int_stack+36390,int_stack+36174, 1.0, int_stack+87144, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101954,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+186604,int_stack+198070,int_stack+22134, 1.0, int_stack+115966, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155248,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+30534,int_stack+186604,int_stack+22638, 1.0, int_stack+116470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155752,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+186604,int_stack+37360,int_stack+36870, 1.0, int_stack+36660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51520,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+38000,int_stack+37360, 1.0, int_stack+37080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52220,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+115588,int_stack+198070,int_stack+186604, 1.0, int_stack+121402, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159730,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+21756,int_stack+38360,int_stack+38000, 1.0, int_stack+37640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52780,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+35394,int_stack+21756,int_stack+198070, 1.0, int_stack+122032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+156508,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+213190,int_stack+35394,int_stack+115588, 1.0, int_stack+122872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161998,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+115588,int_stack+38936,int_stack+38810, 1.0, int_stack+89710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101276, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+115966,int_stack+39104,int_stack+38936, 1.0, int_stack+89836, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101570, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+116470,int_stack+115966,int_stack+115588, 1.0, int_stack+124132, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154870, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+35394,int_stack+39320,int_stack+39104, 1.0, int_stack+90004, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101954, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+186604,int_stack+35394,int_stack+115966, 1.0, int_stack+124510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155248, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+35394,int_stack+186604,int_stack+116470, 1.0, int_stack+125014, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155752, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+186604,int_stack+40290,int_stack+39800, 1.0, int_stack+39590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51520, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+40930,int_stack+40290, 1.0, int_stack+40010, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52220, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36654,int_stack+198070,int_stack+186604, 1.0, int_stack+128992, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159730, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+37914,int_stack+41290,int_stack+40930, 1.0, int_stack+40570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52780, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+38994,int_stack+37914,int_stack+198070, 1.0, int_stack+125770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+156508, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+121402,int_stack+38994,int_stack+36654, 1.0, int_stack+131260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161998, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+131260,int_stack+41866,int_stack+41740, 1.0, int_stack+92570, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101276, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+131638,int_stack+42034,int_stack+41866, 1.0, int_stack+92696, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101570, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36654,int_stack+131638,int_stack+131260, 1.0, int_stack+129622, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154870, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+37410,int_stack+42250,int_stack+42034, 1.0, int_stack+92864, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101954, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+128992,int_stack+37410,int_stack+131638, 1.0, int_stack+132520, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155248, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+37410,int_stack+128992,int_stack+36654, 1.0, int_stack+133024, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155752, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+36654,int_stack+43220,int_stack+42730, 1.0, int_stack+42520, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51520, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+43860,int_stack+43220, 1.0, int_stack+42940, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52220, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+38670,int_stack+198070,int_stack+36654, 1.0, int_stack+137380, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+159730, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+39930,int_stack+44220,int_stack+43860, 1.0, int_stack+43500, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+52780, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+41010,int_stack+39930,int_stack+198070, 1.0, int_stack+138010, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+156508, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+131260,int_stack+41010,int_stack+38670, 1.0, int_stack+138850, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161998, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+38670,int_stack+44796,int_stack+44670, 1.0, int_stack+95430, 0.0, zero_stack, 1.0, int_stack+101276, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+39048,int_stack+44964,int_stack+44796, 1.0, int_stack+95556, 0.0, zero_stack, 1.0, int_stack+101570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36654,int_stack+39048,int_stack+38670, 1.0, int_stack+140110, 0.0, zero_stack, 1.0, int_stack+154870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+39552,int_stack+45180,int_stack+44964, 1.0, int_stack+95724, 0.0, zero_stack, 1.0, int_stack+101954, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+128992,int_stack+39552,int_stack+39048, 1.0, int_stack+140488, 0.0, zero_stack, 1.0, int_stack+155248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+38670,int_stack+128992,int_stack+36654, 1.0, int_stack+140992, 0.0, zero_stack, 1.0, int_stack+155752, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+36654,int_stack+46150,int_stack+45660, 1.0, int_stack+45450, 0.0, zero_stack, 1.0, int_stack+51520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+46790,int_stack+46150, 1.0, int_stack+45870, 0.0, zero_stack, 1.0, int_stack+52220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+39930,int_stack+198070,int_stack+36654, 1.0, int_stack+0, 0.0, zero_stack, 1.0, int_stack+159730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+41190,int_stack+47150,int_stack+46790, 1.0, int_stack+46430, 0.0, zero_stack, 1.0, int_stack+52780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+42270,int_stack+41190,int_stack+198070, 1.0, int_stack+141748, 0.0, zero_stack, 1.0, int_stack+156508, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+43950,int_stack+42270,int_stack+39930, 1.0, int_stack+146230, 0.0, zero_stack, 1.0, int_stack+161998, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+146230,int_stack+47726,int_stack+47600, 1.0, int_stack+98290, 1.0, int_stack+101276, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+146608,int_stack+47894,int_stack+47726, 1.0, int_stack+98416, 1.0, int_stack+101570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36654,int_stack+146608,int_stack+146230, 1.0, int_stack+147490, 1.0, int_stack+154870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+147112,int_stack+48110,int_stack+47894, 1.0, int_stack+98584, 1.0, int_stack+101954, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+128992,int_stack+147112,int_stack+146608, 1.0, int_stack+147868, 1.0, int_stack+155248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+146230,int_stack+128992,int_stack+36654, 1.0, int_stack+148372, 1.0, int_stack+155752, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+49080,int_stack+48590, 1.0, int_stack+48380, 1.0, int_stack+51520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+49720,int_stack+49080, 1.0, int_stack+48800, 1.0, int_stack+52220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+147490,int_stack+198070,int_stack+0, 1.0, int_stack+630, 1.0, int_stack+159730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+50080,int_stack+49720, 1.0, int_stack+49360, 1.0, int_stack+52780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+39930,int_stack+0,int_stack+198070, 1.0, int_stack+149128, 1.0, int_stack+156508, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+41610,int_stack+39930,int_stack+147490, 1.0, int_stack+153610, 1.0, int_stack+161998, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+153610,int_stack+50656,int_stack+50530, 2.0, int_stack+101276, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+153988,int_stack+50824,int_stack+50656, 2.0, int_stack+101570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36654,int_stack+153988,int_stack+153610, 2.0, int_stack+154870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+154492,int_stack+51040,int_stack+50824, 2.0, int_stack+101954, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+128992,int_stack+154492,int_stack+153988, 2.0, int_stack+155248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+128992,int_stack+36654, 2.0, int_stack+155752, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+36654,int_stack+52500,int_stack+51730, 2.0, int_stack+51520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+53140,int_stack+52500, 2.0, int_stack+52220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+153610,int_stack+198070,int_stack+36654, 2.0, int_stack+159730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+154870,int_stack+53500,int_stack+53140, 2.0, int_stack+52780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+39930,int_stack+154870,int_stack+198070, 2.0, int_stack+156508, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+154870,int_stack+39930,int_stack+153610, 2.0, int_stack+161998, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+161998,int_stack+54076,int_stack+53950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105370,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+162376,int_stack+54244,int_stack+54076, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105496,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36654,int_stack+162376,int_stack+161998, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160360,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+153610,int_stack+54460,int_stack+54244, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105664,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+128992,int_stack+153610,int_stack+162376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1260,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+153610,int_stack+128992,int_stack+36654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1764,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+159730,int_stack+54940,int_stack+54730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65130,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+55220,int_stack+54940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65550,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+161998,int_stack+198070,int_stack+159730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117226,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+39930,int_stack+55580,int_stack+55220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66110,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+147490,int_stack+39930,int_stack+198070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117856,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+46050,int_stack+147490,int_stack+161998, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+165358,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+161998,int_stack+56156,int_stack+56030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105370, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+162376,int_stack+56324,int_stack+56156, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105496, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36654,int_stack+162376,int_stack+161998, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160360, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+147490,int_stack+56540,int_stack+56324, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105664, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+128992,int_stack+147490,int_stack+162376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1260, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+161998,int_stack+128992,int_stack+36654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1764, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+159730,int_stack+57020,int_stack+56810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65130, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+57300,int_stack+57020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65550, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+147490,int_stack+198070,int_stack+159730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117226, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+148750,int_stack+57660,int_stack+57300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66110, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+39930,int_stack+148750,int_stack+198070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117856, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+48150,int_stack+39930,int_stack+147490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+165358, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+147490,int_stack+58236,int_stack+58110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105370, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+147868,int_stack+58404,int_stack+58236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105496, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36654,int_stack+147868,int_stack+147490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160360, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+148372,int_stack+58620,int_stack+58404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105664, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+128992,int_stack+148372,int_stack+147868, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1260, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+147490,int_stack+128992,int_stack+36654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1764, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+159730,int_stack+59100,int_stack+58890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65130, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+59380,int_stack+59100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65550, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+148750,int_stack+198070,int_stack+159730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117226, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+39930,int_stack+59740,int_stack+59380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66110, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+50250,int_stack+39930,int_stack+198070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117856, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+51930,int_stack+50250,int_stack+148750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+165358, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+148750,int_stack+60316,int_stack+60190, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+149128,int_stack+60484,int_stack+60316, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36654,int_stack+149128,int_stack+148750, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+50250,int_stack+60700,int_stack+60484, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105664, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+128992,int_stack+50250,int_stack+149128, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+50250,int_stack+128992,int_stack+36654, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+159730,int_stack+61180,int_stack+60970, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+61460,int_stack+61180, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+148750,int_stack+198070,int_stack+159730, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117226, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+39930,int_stack+61820,int_stack+61460, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+54030,int_stack+39930,int_stack+198070, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+117856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+55710,int_stack+54030,int_stack+148750, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+165358, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+148750,int_stack+62396,int_stack+62270, 0.0, zero_stack, 1.0, int_stack+105370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+149128,int_stack+62564,int_stack+62396, 0.0, zero_stack, 1.0, int_stack+105496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36654,int_stack+149128,int_stack+148750, 0.0, zero_stack, 1.0, int_stack+160360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+54030,int_stack+62780,int_stack+62564, 0.0, zero_stack, 1.0, int_stack+105664, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+128992,int_stack+54030,int_stack+149128, 0.0, zero_stack, 1.0, int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+54030,int_stack+128992,int_stack+36654, 0.0, zero_stack, 1.0, int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+159730,int_stack+63260,int_stack+63050, 0.0, zero_stack, 1.0, int_stack+65130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+63540,int_stack+63260, 0.0, zero_stack, 1.0, int_stack+65550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+148750,int_stack+198070,int_stack+159730, 0.0, zero_stack, 1.0, int_stack+117226, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+39930,int_stack+63900,int_stack+63540, 0.0, zero_stack, 1.0, int_stack+66110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+57810,int_stack+39930,int_stack+198070, 0.0, zero_stack, 1.0, int_stack+117856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+59490,int_stack+57810,int_stack+148750, 0.0, zero_stack, 1.0, int_stack+165358, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+148750,int_stack+64476,int_stack+64350, 1.0, int_stack+105370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+149128,int_stack+64644,int_stack+64476, 1.0, int_stack+105496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36654,int_stack+149128,int_stack+148750, 1.0, int_stack+160360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+57810,int_stack+64860,int_stack+64644, 1.0, int_stack+105664, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+159730,int_stack+57810,int_stack+149128, 1.0, int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+57810,int_stack+159730,int_stack+36654, 1.0, int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+36654,int_stack+65830,int_stack+65340, 1.0, int_stack+65130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+66470,int_stack+65830, 1.0, int_stack+65550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1260,int_stack+198070,int_stack+36654, 1.0, int_stack+117226, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+148750,int_stack+66830,int_stack+66470, 1.0, int_stack+66110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+39930,int_stack+148750,int_stack+198070, 1.0, int_stack+117856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+61590,int_stack+39930,int_stack+1260, 1.0, int_stack+165358, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+165358,int_stack+67406,int_stack+67280,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+165736,int_stack+67574,int_stack+67406,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+36654,int_stack+165736,int_stack+165358,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1260,int_stack+67790,int_stack+67574,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+159730,int_stack+1260,int_stack+165736,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1260,int_stack+159730,int_stack+36654,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+36654,int_stack+68270,int_stack+68060,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+68550,int_stack+68270,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+165358,int_stack+198070,int_stack+36654,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+39930,int_stack+68910,int_stack+68550,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+63690,int_stack+39930,int_stack+198070,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+65370,int_stack+63690,int_stack+165358,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+165358,int_stack+69486,int_stack+69360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108230,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+165736,int_stack+69654,int_stack+69486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108356,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36654,int_stack+165736,int_stack+165358, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115210,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+63690,int_stack+69870,int_stack+69654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108524,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+159730,int_stack+63690,int_stack+165736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166618,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+165358,int_stack+159730,int_stack+36654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167122,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+36654,int_stack+70350,int_stack+70140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80540,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+70630,int_stack+70350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80960,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+63690,int_stack+198070,int_stack+36654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+171478,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+39930,int_stack+70990,int_stack+70630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81520,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+67470,int_stack+39930,int_stack+198070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172108,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+69150,int_stack+67470,int_stack+63690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172948,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+63690,int_stack+71566,int_stack+71440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108230, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+64068,int_stack+71734,int_stack+71566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108356, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36654,int_stack+64068,int_stack+63690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115210, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+64572,int_stack+71950,int_stack+71734, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108524, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+159730,int_stack+64572,int_stack+64068, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166618, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+63690,int_stack+159730,int_stack+36654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167122, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+36654,int_stack+72430,int_stack+72220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80540, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+72710,int_stack+72430, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80960, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+67470,int_stack+198070,int_stack+36654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+171478, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+39930,int_stack+73070,int_stack+72710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81520, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+71250,int_stack+39930,int_stack+198070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172108, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+137380,int_stack+71250,int_stack+67470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172948, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+67470,int_stack+73646,int_stack+73520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108230, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+67848,int_stack+73814,int_stack+73646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108356, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36654,int_stack+67848,int_stack+67470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115210, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+68352,int_stack+74030,int_stack+73814, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108524, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+159730,int_stack+68352,int_stack+67848, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166618, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+67470,int_stack+159730,int_stack+36654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167122, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+36654,int_stack+74510,int_stack+74300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80540, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+74790,int_stack+74510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80960, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+71250,int_stack+198070,int_stack+36654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+171478, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+72510,int_stack+75150,int_stack+74790, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81520, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+39930,int_stack+72510,int_stack+198070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172108, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+72510,int_stack+39930,int_stack+71250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172948, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+71250,int_stack+75726,int_stack+75600, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+71628,int_stack+75894,int_stack+75726, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36654,int_stack+71628,int_stack+71250, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+39930,int_stack+76110,int_stack+75894, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108524, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+159730,int_stack+39930,int_stack+71628, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+166618, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+71250,int_stack+159730,int_stack+36654, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167122, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+36654,int_stack+76590,int_stack+76380, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+76870,int_stack+76590, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+39930,int_stack+198070,int_stack+36654, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+171478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+74610,int_stack+77230,int_stack+76870, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+75690,int_stack+74610,int_stack+198070, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172108, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+139480,int_stack+75690,int_stack+39930, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+172948, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+39930,int_stack+77806,int_stack+77680, 0.0, zero_stack, 1.0, int_stack+108230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+40308,int_stack+77974,int_stack+77806, 0.0, zero_stack, 1.0, int_stack+108356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36654,int_stack+40308,int_stack+39930, 0.0, zero_stack, 1.0, int_stack+115210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+40812,int_stack+78190,int_stack+77974, 0.0, zero_stack, 1.0, int_stack+108524, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+159730,int_stack+40812,int_stack+40308, 0.0, zero_stack, 1.0, int_stack+166618, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+39930,int_stack+159730,int_stack+36654, 0.0, zero_stack, 1.0, int_stack+167122, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+36654,int_stack+78670,int_stack+78460, 0.0, zero_stack, 1.0, int_stack+80540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+78950,int_stack+78670, 0.0, zero_stack, 1.0, int_stack+80960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+74610,int_stack+198070,int_stack+36654, 0.0, zero_stack, 1.0, int_stack+171478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+75870,int_stack+79310,int_stack+78950, 0.0, zero_stack, 1.0, int_stack+81520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+76950,int_stack+75870,int_stack+198070, 0.0, zero_stack, 1.0, int_stack+172108, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+115588,int_stack+76950,int_stack+74610, 0.0, zero_stack, 1.0, int_stack+172948, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+74610,int_stack+79886,int_stack+79760, 1.0, int_stack+108230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+74988,int_stack+80054,int_stack+79886, 1.0, int_stack+108356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+36654,int_stack+74988,int_stack+74610, 1.0, int_stack+115210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+75492,int_stack+80270,int_stack+80054, 1.0, int_stack+108524, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+159730,int_stack+75492,int_stack+74988, 1.0, int_stack+166618, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+74610,int_stack+159730,int_stack+36654, 1.0, int_stack+167122, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+36654,int_stack+81240,int_stack+80750, 1.0, int_stack+80540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+81880,int_stack+81240, 1.0, int_stack+80960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+166618,int_stack+198070,int_stack+36654, 1.0, int_stack+171478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+75870,int_stack+82240,int_stack+81880, 1.0, int_stack+81520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+76950,int_stack+75870,int_stack+198070, 1.0, int_stack+172108, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+78630,int_stack+76950,int_stack+166618, 1.0, int_stack+172948, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+115210,int_stack+82816,int_stack+82690,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+166618,int_stack+82984,int_stack+82816,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+167122,int_stack+166618,int_stack+115210,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+198070,int_stack+83200,int_stack+82984,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+159730,int_stack+198070,int_stack+166618,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+75870,int_stack+159730,int_stack+167122,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+159730,int_stack+83680,int_stack+83470,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+83960,int_stack+83680,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+166618,int_stack+198070,int_stack+159730,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+77130,int_stack+84320,int_stack+83960,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+171478,int_stack+77130,int_stack+198070,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+80730,int_stack+171478,int_stack+166618,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+115210,int_stack+84896,int_stack+84770,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+166618,int_stack+85064,int_stack+84896,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+167122,int_stack+166618,int_stack+115210,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+171478,int_stack+85280,int_stack+85064,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+159730,int_stack+171478,int_stack+166618,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+171478,int_stack+159730,int_stack+167122,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+159730,int_stack+85760,int_stack+85550,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+86040,int_stack+85760,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+166618,int_stack+198070,int_stack+159730,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+172738,int_stack+86400,int_stack+86040,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+82830,int_stack+172738,int_stack+198070,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+84510,int_stack+82830,int_stack+166618,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+115210,int_stack+87756,int_stack+87630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111090,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+166618,int_stack+87924,int_stack+87756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111216,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+167122,int_stack+166618,int_stack+115210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2520,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+82830,int_stack+88140,int_stack+87924, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111384,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+159730,int_stack+82830,int_stack+166618, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2898,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+82830,int_stack+159730,int_stack+167122, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3402,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+159730,int_stack+88620,int_stack+88410, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103220,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+88900,int_stack+88620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103640,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+166618,int_stack+198070,int_stack+159730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176308,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+172738,int_stack+89260,int_stack+88900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104200,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+86610,int_stack+172738,int_stack+198070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176938,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+88290,int_stack+86610,int_stack+166618, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+179224,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+115210,int_stack+90616,int_stack+90490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111090, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+166618,int_stack+90784,int_stack+90616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111216, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+167122,int_stack+166618,int_stack+115210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2520, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+86610,int_stack+91000,int_stack+90784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111384, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+159730,int_stack+86610,int_stack+166618, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2898, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+86610,int_stack+159730,int_stack+167122, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3402, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+159730,int_stack+91480,int_stack+91270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103220, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+91760,int_stack+91480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103640, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+166618,int_stack+198070,int_stack+159730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176308, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+172738,int_stack+92120,int_stack+91760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104200, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+90390,int_stack+172738,int_stack+198070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176938, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+123502,int_stack+90390,int_stack+166618, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+179224, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+115210,int_stack+93476,int_stack+93350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111090, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+166618,int_stack+93644,int_stack+93476, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111216, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+167122,int_stack+166618,int_stack+115210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2520, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+90390,int_stack+93860,int_stack+93644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111384, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+159730,int_stack+90390,int_stack+166618, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2898, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+90390,int_stack+159730,int_stack+167122, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3402, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+159730,int_stack+94340,int_stack+94130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103220, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+94620,int_stack+94340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103640, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+166618,int_stack+198070,int_stack+159730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176308, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+91650,int_stack+94980,int_stack+94620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104200, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+92730,int_stack+91650,int_stack+198070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176938, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+215290,int_stack+92730,int_stack+166618, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+179224, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+115210,int_stack+96336,int_stack+96210, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+166618,int_stack+96504,int_stack+96336, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111216, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+167122,int_stack+166618,int_stack+115210, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+198070,int_stack+96720,int_stack+96504, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+111384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+159730,int_stack+198070,int_stack+166618, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2898, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+91650,int_stack+159730,int_stack+167122, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3402, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+159730,int_stack+97200,int_stack+96990, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+97480,int_stack+97200, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+166618,int_stack+198070,int_stack+159730, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176308, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+92910,int_stack+97840,int_stack+97480, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+93990,int_stack+92910,int_stack+198070, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+95670,int_stack+93990,int_stack+166618, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+179224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+115210,int_stack+99196,int_stack+99070, 0.0, zero_stack, 1.0, int_stack+111090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+166618,int_stack+99364,int_stack+99196, 0.0, zero_stack, 1.0, int_stack+111216, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+167122,int_stack+166618,int_stack+115210, 0.0, zero_stack, 1.0, int_stack+2520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+198070,int_stack+99580,int_stack+99364, 0.0, zero_stack, 1.0, int_stack+111384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+159730,int_stack+198070,int_stack+166618, 0.0, zero_stack, 1.0, int_stack+2898, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+92910,int_stack+159730,int_stack+167122, 0.0, zero_stack, 1.0, int_stack+3402, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+159730,int_stack+100060,int_stack+99850, 0.0, zero_stack, 1.0, int_stack+103220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+100340,int_stack+100060, 0.0, zero_stack, 1.0, int_stack+103640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+166618,int_stack+198070,int_stack+159730, 0.0, zero_stack, 1.0, int_stack+176308, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+94170,int_stack+100700,int_stack+100340, 0.0, zero_stack, 1.0, int_stack+104200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+97770,int_stack+94170,int_stack+198070, 0.0, zero_stack, 1.0, int_stack+176938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+99450,int_stack+97770,int_stack+166618, 0.0, zero_stack, 1.0, int_stack+179224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+115210,int_stack+102566,int_stack+102440, 1.0, int_stack+111090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+166618,int_stack+102734,int_stack+102566, 1.0, int_stack+111216, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+167122,int_stack+166618,int_stack+115210, 1.0, int_stack+2520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+97770,int_stack+102950,int_stack+102734, 1.0, int_stack+111384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+159730,int_stack+97770,int_stack+166618, 1.0, int_stack+2898, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+97770,int_stack+159730,int_stack+167122, 1.0, int_stack+3402, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+159730,int_stack+103920,int_stack+103430, 1.0, int_stack+103220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+104560,int_stack+103920, 1.0, int_stack+103640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+166618,int_stack+198070,int_stack+159730, 1.0, int_stack+176308, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2520,int_stack+104920,int_stack+104560, 1.0, int_stack+104200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+101550,int_stack+2520,int_stack+198070, 1.0, int_stack+176938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+103230,int_stack+101550,int_stack+166618, 1.0, int_stack+179224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+115210,int_stack+106276,int_stack+106150,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+179224,int_stack+106444,int_stack+106276,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+179728,int_stack+179224,int_stack+115210,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+166618,int_stack+106660,int_stack+106444,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+159730,int_stack+166618,int_stack+179224,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+166618,int_stack+159730,int_stack+179728,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+159730,int_stack+107140,int_stack+106930,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+107420,int_stack+107140,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+179224,int_stack+198070,int_stack+159730,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+101550,int_stack+107780,int_stack+107420,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+105330,int_stack+101550,int_stack+198070,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+217390,int_stack+105330,int_stack+179224,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+115210,int_stack+109136,int_stack+109010,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+179224,int_stack+109304,int_stack+109136,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+179728,int_stack+179224,int_stack+115210,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+105330,int_stack+109520,int_stack+109304,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+159730,int_stack+105330,int_stack+179224,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+105330,int_stack+159730,int_stack+179728,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+159730,int_stack+110000,int_stack+109790,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+110280,int_stack+110000,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+179224,int_stack+198070,int_stack+159730,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+106590,int_stack+110640,int_stack+110280,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+101550,int_stack+106590,int_stack+198070,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+106590,int_stack+101550,int_stack+179224,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+115210,int_stack+111996,int_stack+111870,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+179224,int_stack+112164,int_stack+111996,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+179728,int_stack+179224,int_stack+115210,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+101550,int_stack+112380,int_stack+112164,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+159730,int_stack+101550,int_stack+179224,6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+101550,int_stack+159730,int_stack+179728,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+159730,int_stack+112860,int_stack+112650,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+198070,int_stack+113140,int_stack+112860,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+179224,int_stack+198070,int_stack+159730,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+108690,int_stack+113500,int_stack+113140,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+109770,int_stack+108690,int_stack+198070,10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+111450,int_stack+109770,int_stack+179224,10);
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+219490,int_stack+126892,int_stack+118882,210);
     Libderiv->ABCD[11] = int_stack + 219490;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+125602,int_stack+135280,int_stack+130000,210);
     Libderiv->ABCD[10] = int_stack + 125602;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+223270,int_stack+142870,int_stack+133780,210);
     Libderiv->ABCD[9] = int_stack + 223270;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+227050,int_stack+150250,int_stack+144970,210);
     Libderiv->ABCD[8] = int_stack + 227050;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+230830,int_stack+157630,int_stack+152350,210);
     Libderiv->ABCD[7] = int_stack + 230830;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+234610,int_stack+163258,int_stack+160738,210);
     Libderiv->ABCD[6] = int_stack + 234610;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+238390,int_stack+169378,int_stack+113950, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[2] = int_stack + 238390;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+242170,int_stack+174208,int_stack+167878, 0.0, zero_stack, 1.0, int_stack+120142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[1] = int_stack + 242170;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+172738,int_stack+183244,int_stack+177964, 1.0, int_stack+120142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[0] = int_stack + 172738;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+245950,int_stack+4158,int_stack+185344,210);
     Libderiv->ABCD[155] = int_stack + 245950;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+181744,int_stack+6258,int_stack+187612,210);
     Libderiv->ABCD[143] = int_stack + 181744;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+2520,int_stack+8358,int_stack+180484,210);
     Libderiv->ABCD[142] = int_stack + 2520;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+6300,int_stack+10458,int_stack+188872,210);
     Libderiv->ABCD[131] = int_stack + 6300;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+185524,int_stack+12558,int_stack+191770,210);
     Libderiv->ABCD[130] = int_stack + 185524;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+10080,int_stack+14658,int_stack+193030,210);
     Libderiv->ABCD[129] = int_stack + 10080;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+189304,int_stack+16758,int_stack+194290,210);
     Libderiv->ABCD[119] = int_stack + 189304;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+13860,int_stack+198910,int_stack+195550,210);
     Libderiv->ABCD[118] = int_stack + 13860;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+249730,int_stack+202690,int_stack+20496,210);
     Libderiv->ABCD[117] = int_stack + 249730;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+17640,int_stack+204790,int_stack+201010,210);
     Libderiv->ABCD[116] = int_stack + 17640;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+198070,int_stack+24654,int_stack+23394,210);
     Libderiv->ABCD[107] = int_stack + 198070;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+201850,int_stack+206890,int_stack+196810,210);
     Libderiv->ABCD[106] = int_stack + 201850;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+21420,int_stack+208990,int_stack+26754,210);
     Libderiv->ABCD[105] = int_stack + 21420;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+205630,int_stack+211090,int_stack+28014,210);
     Libderiv->ABCD[104] = int_stack + 205630;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+209410,int_stack+33294,int_stack+29274,210);
     Libderiv->ABCD[103] = int_stack + 209410;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+25200,int_stack+213190,int_stack+30534,210);
     Libderiv->ABCD[95] = int_stack + 25200;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+28980,int_stack+121402,int_stack+35394,210);
     Libderiv->ABCD[94] = int_stack + 28980;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+32760,int_stack+131260,int_stack+37410,210);
     Libderiv->ABCD[93] = int_stack + 32760;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+193084,int_stack+43950,int_stack+38670,210);
     Libderiv->ABCD[92] = int_stack + 193084;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+253510,int_stack+41610,int_stack+146230,210);
     Libderiv->ABCD[91] = int_stack + 253510;
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+41190,int_stack+154870,int_stack+0,210);
     Libderiv->ABCD[90] = int_stack + 41190;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+154870,int_stack+46050,int_stack+153610, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+118882, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[47] = int_stack + 154870;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+257290,int_stack+48150,int_stack+161998, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+130000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[46] = int_stack + 257290;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+44970,int_stack+51930,int_stack+147490, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+133780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[45] = int_stack + 44970;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+146230,int_stack+55710,int_stack+50250, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[44] = int_stack + 146230;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+48750,int_stack+59490,int_stack+54030, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+152350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[43] = int_stack + 48750;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+52530,int_stack+61590,int_stack+57810, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160738, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[42] = int_stack + 52530;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+56310,int_stack+65370,int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+113950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[38] = int_stack + 56310;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+261070,int_stack+69150,int_stack+165358, 0.0, zero_stack, 1.0, int_stack+118882, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[35] = int_stack + 261070;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+161998,int_stack+137380,int_stack+63690, 0.0, zero_stack, 1.0, int_stack+130000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[34] = int_stack + 161998;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+60090,int_stack+72510,int_stack+67470, 0.0, zero_stack, 1.0, int_stack+133780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[33] = int_stack + 60090;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+63870,int_stack+139480,int_stack+71250, 0.0, zero_stack, 1.0, int_stack+144970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[32] = int_stack + 63870;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+67650,int_stack+115588,int_stack+39930, 0.0, zero_stack, 1.0, int_stack+152350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[31] = int_stack + 67650;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+36540,int_stack+78630,int_stack+74610, 0.0, zero_stack, 1.0, int_stack+160738, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[30] = int_stack + 36540;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+71430,int_stack+80730,int_stack+75870, 0.0, zero_stack, 1.0, int_stack+113950, 1.0, int_stack+167878, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[26] = int_stack + 71430;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+75210,int_stack+84510,int_stack+171478, 0.0, zero_stack, 2.0, int_stack+167878, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[25] = int_stack + 75210;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+78990,int_stack+88290,int_stack+82830, 1.0, int_stack+118882, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[23] = int_stack + 78990;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+115210,int_stack+123502,int_stack+86610, 1.0, int_stack+130000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[22] = int_stack + 115210;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+118990,int_stack+215290,int_stack+90390, 1.0, int_stack+133780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[21] = int_stack + 118990;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+213190,int_stack+95670,int_stack+91650, 1.0, int_stack+144970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[20] = int_stack + 213190;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+82770,int_stack+99450,int_stack+92910, 1.0, int_stack+152350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[19] = int_stack + 82770;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+150010,int_stack+103230,int_stack+97770, 1.0, int_stack+160738, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[18] = int_stack + 150010;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+86550,int_stack+217390,int_stack+166618, 1.0, int_stack+113950, 0.0, zero_stack, 1.0, int_stack+177964, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[14] = int_stack + 86550;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+90330,int_stack+106590,int_stack+105330, 1.0, int_stack+167878, 1.0, int_stack+177964, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[13] = int_stack + 90330;
 /*--- compute (dp|hf) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+165778,int_stack+111450,int_stack+101550, 2.0, int_stack+177964, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,210);
     Libderiv->ABCD[12] = int_stack + 165778;

}
