#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_ihii(Libderiv_t *, prim_data *);

  /* Computes derivatives of (ih|ii) integrals */

void d1hrr_order_ihii(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[6][6][11] = int_stack + 0;
 Libderiv->deriv_classes[6][7][11] = int_stack + 784;
 Libderiv->deriv_classes[6][8][11] = int_stack + 1792;
 Libderiv->deriv_classes[6][9][11] = int_stack + 3052;
 Libderiv->deriv_classes[6][10][11] = int_stack + 4592;
 Libderiv->deriv_classes[6][11][11] = int_stack + 6440;
 Libderiv->deriv_classes[6][12][11] = int_stack + 8624;
 Libderiv->deriv_classes[7][6][11] = int_stack + 11172;
 Libderiv->deriv_classes[7][7][11] = int_stack + 12180;
 Libderiv->deriv_classes[7][8][11] = int_stack + 13476;
 Libderiv->deriv_classes[7][9][11] = int_stack + 15096;
 Libderiv->deriv_classes[7][10][11] = int_stack + 17076;
 Libderiv->deriv_classes[7][11][11] = int_stack + 19452;
 Libderiv->deriv_classes[7][12][11] = int_stack + 22260;
 Libderiv->deriv_classes[8][6][11] = int_stack + 25536;
 Libderiv->deriv_classes[8][7][11] = int_stack + 26796;
 Libderiv->deriv_classes[8][8][11] = int_stack + 28416;
 Libderiv->deriv_classes[8][9][11] = int_stack + 30441;
 Libderiv->deriv_classes[8][10][11] = int_stack + 32916;
 Libderiv->deriv_classes[8][11][11] = int_stack + 35886;
 Libderiv->deriv_classes[8][12][11] = int_stack + 39396;
 Libderiv->deriv_classes[9][6][11] = int_stack + 43491;
 Libderiv->deriv_classes[9][7][11] = int_stack + 45031;
 Libderiv->deriv_classes[9][8][11] = int_stack + 47011;
 Libderiv->deriv_classes[9][9][11] = int_stack + 49486;
 Libderiv->deriv_classes[9][10][11] = int_stack + 52511;
 Libderiv->deriv_classes[9][11][11] = int_stack + 56141;
 Libderiv->deriv_classes[9][12][11] = int_stack + 60431;
 Libderiv->deriv_classes[10][6][11] = int_stack + 65436;
 Libderiv->deriv_classes[10][7][11] = int_stack + 67284;
 Libderiv->deriv_classes[10][8][11] = int_stack + 69660;
 Libderiv->deriv_classes[10][9][11] = int_stack + 72630;
 Libderiv->deriv_classes[10][10][11] = int_stack + 76260;
 Libderiv->deriv_classes[10][11][11] = int_stack + 80616;
 Libderiv->deriv_classes[10][12][11] = int_stack + 85764;
 Libderiv->deriv_classes[11][6][11] = int_stack + 91770;
 Libderiv->deriv_classes[11][7][11] = int_stack + 93954;
 Libderiv->deriv_classes[11][8][11] = int_stack + 96762;
 Libderiv->deriv_classes[11][9][11] = int_stack + 100272;
 Libderiv->deriv_classes[11][10][11] = int_stack + 104562;
 Libderiv->deriv_classes[11][11][11] = int_stack + 109710;
 Libderiv->deriv_classes[11][12][11] = int_stack + 115794;
 Libderiv->deriv_classes[6][6][10] = int_stack + 122892;
 Libderiv->deriv_classes[6][7][10] = int_stack + 123676;
 Libderiv->deriv_classes[6][8][10] = int_stack + 124684;
 Libderiv->deriv_classes[6][9][10] = int_stack + 125944;
 Libderiv->deriv_classes[6][10][10] = int_stack + 127484;
 Libderiv->deriv_classes[6][11][10] = int_stack + 129332;
 Libderiv->deriv_classes[6][12][10] = int_stack + 131516;
 Libderiv->deriv_classes[7][6][10] = int_stack + 134064;
 Libderiv->deriv_classes[7][7][10] = int_stack + 135072;
 Libderiv->deriv_classes[7][8][10] = int_stack + 136368;
 Libderiv->deriv_classes[7][9][10] = int_stack + 137988;
 Libderiv->deriv_classes[7][10][10] = int_stack + 139968;
 Libderiv->deriv_classes[7][11][10] = int_stack + 142344;
 Libderiv->deriv_classes[7][12][10] = int_stack + 145152;
 Libderiv->deriv_classes[8][6][10] = int_stack + 148428;
 Libderiv->deriv_classes[8][7][10] = int_stack + 149688;
 Libderiv->deriv_classes[8][8][10] = int_stack + 151308;
 Libderiv->deriv_classes[8][9][10] = int_stack + 153333;
 Libderiv->deriv_classes[8][10][10] = int_stack + 155808;
 Libderiv->deriv_classes[8][11][10] = int_stack + 158778;
 Libderiv->deriv_classes[8][12][10] = int_stack + 162288;
 Libderiv->deriv_classes[9][6][10] = int_stack + 166383;
 Libderiv->deriv_classes[9][7][10] = int_stack + 167923;
 Libderiv->deriv_classes[9][8][10] = int_stack + 169903;
 Libderiv->deriv_classes[9][9][10] = int_stack + 172378;
 Libderiv->deriv_classes[9][10][10] = int_stack + 175403;
 Libderiv->deriv_classes[9][11][10] = int_stack + 179033;
 Libderiv->deriv_classes[9][12][10] = int_stack + 183323;
 Libderiv->deriv_classes[10][6][10] = int_stack + 188328;
 Libderiv->deriv_classes[10][7][10] = int_stack + 190176;
 Libderiv->deriv_classes[10][8][10] = int_stack + 192552;
 Libderiv->deriv_classes[10][9][10] = int_stack + 195522;
 Libderiv->deriv_classes[10][10][10] = int_stack + 199152;
 Libderiv->deriv_classes[10][11][10] = int_stack + 203508;
 Libderiv->deriv_classes[10][12][10] = int_stack + 208656;
 Libderiv->deriv_classes[11][6][10] = int_stack + 214662;
 Libderiv->deriv_classes[11][7][10] = int_stack + 216846;
 Libderiv->deriv_classes[11][8][10] = int_stack + 219654;
 Libderiv->deriv_classes[11][9][10] = int_stack + 223164;
 Libderiv->deriv_classes[11][10][10] = int_stack + 227454;
 Libderiv->deriv_classes[11][11][10] = int_stack + 232602;
 Libderiv->deriv_classes[11][12][10] = int_stack + 238686;
 Libderiv->deriv_classes[6][6][9] = int_stack + 245784;
 Libderiv->deriv_classes[6][7][9] = int_stack + 246568;
 Libderiv->deriv_classes[6][8][9] = int_stack + 247576;
 Libderiv->deriv_classes[6][9][9] = int_stack + 248836;
 Libderiv->deriv_classes[6][10][9] = int_stack + 250376;
 Libderiv->deriv_classes[6][11][9] = int_stack + 252224;
 Libderiv->deriv_classes[6][12][9] = int_stack + 254408;
 Libderiv->deriv_classes[7][6][9] = int_stack + 256956;
 Libderiv->deriv_classes[7][7][9] = int_stack + 257964;
 Libderiv->deriv_classes[7][8][9] = int_stack + 259260;
 Libderiv->deriv_classes[7][9][9] = int_stack + 260880;
 Libderiv->deriv_classes[7][10][9] = int_stack + 262860;
 Libderiv->deriv_classes[7][11][9] = int_stack + 265236;
 Libderiv->deriv_classes[7][12][9] = int_stack + 268044;
 Libderiv->deriv_classes[8][6][9] = int_stack + 271320;
 Libderiv->deriv_classes[8][7][9] = int_stack + 272580;
 Libderiv->deriv_classes[8][8][9] = int_stack + 274200;
 Libderiv->deriv_classes[8][9][9] = int_stack + 276225;
 Libderiv->deriv_classes[8][10][9] = int_stack + 278700;
 Libderiv->deriv_classes[8][11][9] = int_stack + 281670;
 Libderiv->deriv_classes[8][12][9] = int_stack + 285180;
 Libderiv->deriv_classes[9][6][9] = int_stack + 289275;
 Libderiv->deriv_classes[9][7][9] = int_stack + 290815;
 Libderiv->deriv_classes[9][8][9] = int_stack + 292795;
 Libderiv->deriv_classes[9][9][9] = int_stack + 295270;
 Libderiv->deriv_classes[9][10][9] = int_stack + 298295;
 Libderiv->deriv_classes[9][11][9] = int_stack + 301925;
 Libderiv->deriv_classes[9][12][9] = int_stack + 306215;
 Libderiv->deriv_classes[10][6][9] = int_stack + 311220;
 Libderiv->deriv_classes[10][7][9] = int_stack + 313068;
 Libderiv->deriv_classes[10][8][9] = int_stack + 315444;
 Libderiv->deriv_classes[10][9][9] = int_stack + 318414;
 Libderiv->deriv_classes[10][10][9] = int_stack + 322044;
 Libderiv->deriv_classes[10][11][9] = int_stack + 326400;
 Libderiv->deriv_classes[10][12][9] = int_stack + 331548;
 Libderiv->deriv_classes[11][6][9] = int_stack + 337554;
 Libderiv->deriv_classes[11][7][9] = int_stack + 339738;
 Libderiv->deriv_classes[11][8][9] = int_stack + 342546;
 Libderiv->deriv_classes[11][9][9] = int_stack + 346056;
 Libderiv->deriv_classes[11][10][9] = int_stack + 350346;
 Libderiv->deriv_classes[11][11][9] = int_stack + 355494;
 Libderiv->deriv_classes[11][12][9] = int_stack + 361578;
 Libderiv->deriv_classes[6][6][8] = int_stack + 368676;
 Libderiv->deriv_classes[6][7][8] = int_stack + 369460;
 Libderiv->deriv_classes[6][8][8] = int_stack + 370468;
 Libderiv->deriv_classes[6][9][8] = int_stack + 371728;
 Libderiv->deriv_classes[6][10][8] = int_stack + 373268;
 Libderiv->deriv_classes[6][11][8] = int_stack + 375116;
 Libderiv->deriv_classes[6][12][8] = int_stack + 377300;
 Libderiv->deriv_classes[7][6][8] = int_stack + 379848;
 Libderiv->deriv_classes[7][7][8] = int_stack + 380856;
 Libderiv->deriv_classes[7][8][8] = int_stack + 382152;
 Libderiv->deriv_classes[7][9][8] = int_stack + 383772;
 Libderiv->deriv_classes[7][10][8] = int_stack + 385752;
 Libderiv->deriv_classes[7][11][8] = int_stack + 388128;
 Libderiv->deriv_classes[7][12][8] = int_stack + 390936;
 Libderiv->deriv_classes[8][6][8] = int_stack + 394212;
 Libderiv->deriv_classes[8][7][8] = int_stack + 395472;
 Libderiv->deriv_classes[8][8][8] = int_stack + 397092;
 Libderiv->deriv_classes[8][9][8] = int_stack + 399117;
 Libderiv->deriv_classes[8][10][8] = int_stack + 401592;
 Libderiv->deriv_classes[8][11][8] = int_stack + 404562;
 Libderiv->deriv_classes[8][12][8] = int_stack + 408072;
 Libderiv->deriv_classes[9][6][8] = int_stack + 412167;
 Libderiv->deriv_classes[9][7][8] = int_stack + 413707;
 Libderiv->deriv_classes[9][8][8] = int_stack + 415687;
 Libderiv->deriv_classes[9][9][8] = int_stack + 418162;
 Libderiv->deriv_classes[9][10][8] = int_stack + 421187;
 Libderiv->deriv_classes[9][11][8] = int_stack + 424817;
 Libderiv->deriv_classes[9][12][8] = int_stack + 429107;
 Libderiv->deriv_classes[10][6][8] = int_stack + 434112;
 Libderiv->deriv_classes[10][7][8] = int_stack + 435960;
 Libderiv->deriv_classes[10][8][8] = int_stack + 438336;
 Libderiv->deriv_classes[10][9][8] = int_stack + 441306;
 Libderiv->deriv_classes[10][10][8] = int_stack + 444936;
 Libderiv->deriv_classes[10][11][8] = int_stack + 449292;
 Libderiv->deriv_classes[10][12][8] = int_stack + 454440;
 Libderiv->deriv_classes[11][6][8] = int_stack + 460446;
 Libderiv->deriv_classes[11][7][8] = int_stack + 462630;
 Libderiv->deriv_classes[11][8][8] = int_stack + 465438;
 Libderiv->deriv_classes[11][9][8] = int_stack + 468948;
 Libderiv->deriv_classes[11][10][8] = int_stack + 473238;
 Libderiv->deriv_classes[11][11][8] = int_stack + 478386;
 Libderiv->deriv_classes[11][12][8] = int_stack + 484470;
 Libderiv->deriv_classes[6][6][7] = int_stack + 491568;
 Libderiv->deriv_classes[6][7][7] = int_stack + 492352;
 Libderiv->deriv_classes[6][8][7] = int_stack + 493360;
 Libderiv->deriv_classes[6][9][7] = int_stack + 494620;
 Libderiv->deriv_classes[6][10][7] = int_stack + 496160;
 Libderiv->deriv_classes[6][11][7] = int_stack + 498008;
 Libderiv->deriv_classes[6][12][7] = int_stack + 500192;
 Libderiv->deriv_classes[7][6][7] = int_stack + 502740;
 Libderiv->deriv_classes[7][7][7] = int_stack + 503748;
 Libderiv->deriv_classes[7][8][7] = int_stack + 505044;
 Libderiv->deriv_classes[7][9][7] = int_stack + 506664;
 Libderiv->deriv_classes[7][10][7] = int_stack + 508644;
 Libderiv->deriv_classes[7][11][7] = int_stack + 511020;
 Libderiv->deriv_classes[7][12][7] = int_stack + 513828;
 Libderiv->deriv_classes[8][6][7] = int_stack + 517104;
 Libderiv->deriv_classes[8][7][7] = int_stack + 518364;
 Libderiv->deriv_classes[8][8][7] = int_stack + 519984;
 Libderiv->deriv_classes[8][9][7] = int_stack + 522009;
 Libderiv->deriv_classes[8][10][7] = int_stack + 524484;
 Libderiv->deriv_classes[8][11][7] = int_stack + 527454;
 Libderiv->deriv_classes[8][12][7] = int_stack + 530964;
 Libderiv->deriv_classes[9][6][7] = int_stack + 535059;
 Libderiv->deriv_classes[9][7][7] = int_stack + 536599;
 Libderiv->deriv_classes[9][8][7] = int_stack + 538579;
 Libderiv->deriv_classes[9][9][7] = int_stack + 541054;
 Libderiv->deriv_classes[9][10][7] = int_stack + 544079;
 Libderiv->deriv_classes[9][11][7] = int_stack + 547709;
 Libderiv->deriv_classes[9][12][7] = int_stack + 551999;
 Libderiv->deriv_classes[10][6][7] = int_stack + 557004;
 Libderiv->deriv_classes[10][7][7] = int_stack + 558852;
 Libderiv->deriv_classes[10][8][7] = int_stack + 561228;
 Libderiv->deriv_classes[10][9][7] = int_stack + 564198;
 Libderiv->deriv_classes[10][10][7] = int_stack + 567828;
 Libderiv->deriv_classes[10][11][7] = int_stack + 572184;
 Libderiv->deriv_classes[10][12][7] = int_stack + 577332;
 Libderiv->deriv_classes[11][6][7] = int_stack + 583338;
 Libderiv->deriv_classes[11][7][7] = int_stack + 585522;
 Libderiv->deriv_classes[11][8][7] = int_stack + 588330;
 Libderiv->deriv_classes[11][9][7] = int_stack + 591840;
 Libderiv->deriv_classes[11][10][7] = int_stack + 596130;
 Libderiv->deriv_classes[11][11][7] = int_stack + 601278;
 Libderiv->deriv_classes[11][12][7] = int_stack + 607362;
 Libderiv->deriv_classes[6][6][6] = int_stack + 614460;
 Libderiv->deriv_classes[6][7][6] = int_stack + 615244;
 Libderiv->deriv_classes[6][8][6] = int_stack + 616252;
 Libderiv->deriv_classes[6][9][6] = int_stack + 617512;
 Libderiv->deriv_classes[6][10][6] = int_stack + 619052;
 Libderiv->deriv_classes[6][11][6] = int_stack + 620900;
 Libderiv->deriv_classes[6][12][6] = int_stack + 623084;
 Libderiv->deriv_classes[7][6][6] = int_stack + 625632;
 Libderiv->deriv_classes[7][7][6] = int_stack + 626640;
 Libderiv->deriv_classes[7][8][6] = int_stack + 627936;
 Libderiv->deriv_classes[7][9][6] = int_stack + 629556;
 Libderiv->deriv_classes[7][10][6] = int_stack + 631536;
 Libderiv->deriv_classes[7][11][6] = int_stack + 633912;
 Libderiv->deriv_classes[7][12][6] = int_stack + 636720;
 Libderiv->deriv_classes[8][6][6] = int_stack + 639996;
 Libderiv->deriv_classes[8][7][6] = int_stack + 641256;
 Libderiv->deriv_classes[8][8][6] = int_stack + 642876;
 Libderiv->deriv_classes[8][9][6] = int_stack + 644901;
 Libderiv->deriv_classes[8][10][6] = int_stack + 647376;
 Libderiv->deriv_classes[8][11][6] = int_stack + 650346;
 Libderiv->deriv_classes[8][12][6] = int_stack + 653856;
 Libderiv->deriv_classes[9][6][6] = int_stack + 657951;
 Libderiv->deriv_classes[9][7][6] = int_stack + 659491;
 Libderiv->deriv_classes[9][8][6] = int_stack + 661471;
 Libderiv->deriv_classes[9][9][6] = int_stack + 663946;
 Libderiv->deriv_classes[9][10][6] = int_stack + 666971;
 Libderiv->deriv_classes[9][11][6] = int_stack + 670601;
 Libderiv->deriv_classes[9][12][6] = int_stack + 674891;
 Libderiv->deriv_classes[10][6][6] = int_stack + 679896;
 Libderiv->deriv_classes[10][7][6] = int_stack + 681744;
 Libderiv->deriv_classes[10][8][6] = int_stack + 684120;
 Libderiv->deriv_classes[10][9][6] = int_stack + 687090;
 Libderiv->deriv_classes[10][10][6] = int_stack + 690720;
 Libderiv->deriv_classes[10][11][6] = int_stack + 695076;
 Libderiv->deriv_classes[10][12][6] = int_stack + 700224;
 Libderiv->dvrr_classes[11][6] = int_stack + 706230;
 Libderiv->deriv_classes[11][6][6] = int_stack + 708414;
 Libderiv->dvrr_classes[11][7] = int_stack + 710598;
 Libderiv->deriv_classes[11][7][6] = int_stack + 713406;
 Libderiv->dvrr_classes[11][8] = int_stack + 716214;
 Libderiv->deriv_classes[11][8][6] = int_stack + 719724;
 Libderiv->dvrr_classes[11][9] = int_stack + 723234;
 Libderiv->deriv_classes[11][9][6] = int_stack + 727524;
 Libderiv->dvrr_classes[11][10] = int_stack + 731814;
 Libderiv->deriv_classes[11][10][6] = int_stack + 736962;
 Libderiv->dvrr_classes[11][11] = int_stack + 742110;
 Libderiv->deriv_classes[11][11][6] = int_stack + 748194;
 Libderiv->deriv_classes[11][12][6] = int_stack + 754278;
 Libderiv->deriv_classes[6][6][2] = int_stack + 761376;
 Libderiv->deriv_classes[6][7][2] = int_stack + 762160;
 Libderiv->deriv_classes[6][8][2] = int_stack + 763168;
 Libderiv->deriv_classes[6][9][2] = int_stack + 764428;
 Libderiv->deriv_classes[6][10][2] = int_stack + 765968;
 Libderiv->deriv_classes[6][11][2] = int_stack + 767816;
 Libderiv->deriv_classes[6][12][2] = int_stack + 770000;
 Libderiv->deriv_classes[7][6][2] = int_stack + 772548;
 Libderiv->deriv_classes[7][7][2] = int_stack + 773556;
 Libderiv->deriv_classes[7][8][2] = int_stack + 774852;
 Libderiv->deriv_classes[7][9][2] = int_stack + 776472;
 Libderiv->deriv_classes[7][10][2] = int_stack + 778452;
 Libderiv->deriv_classes[7][11][2] = int_stack + 780828;
 Libderiv->deriv_classes[7][12][2] = int_stack + 783636;
 Libderiv->deriv_classes[8][6][2] = int_stack + 786912;
 Libderiv->deriv_classes[8][7][2] = int_stack + 788172;
 Libderiv->deriv_classes[8][8][2] = int_stack + 789792;
 Libderiv->deriv_classes[8][9][2] = int_stack + 791817;
 Libderiv->deriv_classes[8][10][2] = int_stack + 794292;
 Libderiv->deriv_classes[8][11][2] = int_stack + 797262;
 Libderiv->deriv_classes[8][12][2] = int_stack + 800772;
 Libderiv->deriv_classes[9][6][2] = int_stack + 804867;
 Libderiv->deriv_classes[9][7][2] = int_stack + 806407;
 Libderiv->deriv_classes[9][8][2] = int_stack + 808387;
 Libderiv->deriv_classes[9][9][2] = int_stack + 810862;
 Libderiv->deriv_classes[9][10][2] = int_stack + 813887;
 Libderiv->deriv_classes[9][11][2] = int_stack + 817517;
 Libderiv->deriv_classes[9][12][2] = int_stack + 821807;
 Libderiv->deriv_classes[10][6][2] = int_stack + 826812;
 Libderiv->deriv_classes[10][7][2] = int_stack + 828660;
 Libderiv->deriv_classes[10][8][2] = int_stack + 831036;
 Libderiv->deriv_classes[10][9][2] = int_stack + 834006;
 Libderiv->deriv_classes[10][10][2] = int_stack + 837636;
 Libderiv->deriv_classes[10][11][2] = int_stack + 841992;
 Libderiv->deriv_classes[10][12][2] = int_stack + 847140;
 Libderiv->deriv_classes[11][6][2] = int_stack + 853146;
 Libderiv->deriv_classes[11][7][2] = int_stack + 855330;
 Libderiv->deriv_classes[11][8][2] = int_stack + 858138;
 Libderiv->deriv_classes[11][9][2] = int_stack + 861648;
 Libderiv->deriv_classes[11][10][2] = int_stack + 865938;
 Libderiv->deriv_classes[11][11][2] = int_stack + 871086;
 Libderiv->deriv_classes[11][12][2] = int_stack + 877170;
 Libderiv->deriv_classes[6][6][1] = int_stack + 884268;
 Libderiv->deriv_classes[6][7][1] = int_stack + 885052;
 Libderiv->deriv_classes[6][8][1] = int_stack + 886060;
 Libderiv->deriv_classes[6][9][1] = int_stack + 887320;
 Libderiv->deriv_classes[6][10][1] = int_stack + 888860;
 Libderiv->deriv_classes[6][11][1] = int_stack + 890708;
 Libderiv->deriv_classes[6][12][1] = int_stack + 892892;
 Libderiv->deriv_classes[7][6][1] = int_stack + 895440;
 Libderiv->deriv_classes[7][7][1] = int_stack + 896448;
 Libderiv->deriv_classes[7][8][1] = int_stack + 897744;
 Libderiv->deriv_classes[7][9][1] = int_stack + 899364;
 Libderiv->deriv_classes[7][10][1] = int_stack + 901344;
 Libderiv->deriv_classes[7][11][1] = int_stack + 903720;
 Libderiv->deriv_classes[7][12][1] = int_stack + 906528;
 Libderiv->deriv_classes[8][6][1] = int_stack + 909804;
 Libderiv->deriv_classes[8][7][1] = int_stack + 911064;
 Libderiv->deriv_classes[8][8][1] = int_stack + 912684;
 Libderiv->deriv_classes[8][9][1] = int_stack + 914709;
 Libderiv->deriv_classes[8][10][1] = int_stack + 917184;
 Libderiv->deriv_classes[8][11][1] = int_stack + 920154;
 Libderiv->deriv_classes[8][12][1] = int_stack + 923664;
 Libderiv->deriv_classes[9][6][1] = int_stack + 927759;
 Libderiv->deriv_classes[9][7][1] = int_stack + 929299;
 Libderiv->deriv_classes[9][8][1] = int_stack + 931279;
 Libderiv->deriv_classes[9][9][1] = int_stack + 933754;
 Libderiv->deriv_classes[9][10][1] = int_stack + 936779;
 Libderiv->deriv_classes[9][11][1] = int_stack + 940409;
 Libderiv->deriv_classes[9][12][1] = int_stack + 944699;
 Libderiv->deriv_classes[10][6][1] = int_stack + 949704;
 Libderiv->deriv_classes[10][7][1] = int_stack + 951552;
 Libderiv->deriv_classes[10][8][1] = int_stack + 953928;
 Libderiv->deriv_classes[10][9][1] = int_stack + 956898;
 Libderiv->deriv_classes[10][10][1] = int_stack + 960528;
 Libderiv->deriv_classes[10][11][1] = int_stack + 964884;
 Libderiv->deriv_classes[10][12][1] = int_stack + 970032;
 Libderiv->deriv_classes[11][6][1] = int_stack + 976038;
 Libderiv->deriv_classes[11][7][1] = int_stack + 978222;
 Libderiv->deriv_classes[11][8][1] = int_stack + 981030;
 Libderiv->deriv_classes[11][9][1] = int_stack + 984540;
 Libderiv->deriv_classes[11][10][1] = int_stack + 988830;
 Libderiv->deriv_classes[11][11][1] = int_stack + 993978;
 Libderiv->deriv_classes[11][12][1] = int_stack + 1000062;
 Libderiv->dvrr_classes[6][6] = int_stack + 1007160;
 Libderiv->dvrr_classes[6][7] = int_stack + 1007944;
 Libderiv->dvrr_classes[6][8] = int_stack + 1008952;
 Libderiv->dvrr_classes[6][9] = int_stack + 1010212;
 Libderiv->dvrr_classes[6][10] = int_stack + 1011752;
 Libderiv->dvrr_classes[6][11] = int_stack + 1013600;
 Libderiv->dvrr_classes[6][12] = int_stack + 1015784;
 Libderiv->deriv_classes[6][6][0] = int_stack + 1018332;
 Libderiv->deriv_classes[6][7][0] = int_stack + 1019116;
 Libderiv->deriv_classes[6][8][0] = int_stack + 1020124;
 Libderiv->deriv_classes[6][9][0] = int_stack + 1021384;
 Libderiv->deriv_classes[6][10][0] = int_stack + 1022924;
 Libderiv->deriv_classes[6][11][0] = int_stack + 1024772;
 Libderiv->deriv_classes[6][12][0] = int_stack + 1026956;
 Libderiv->dvrr_classes[7][6] = int_stack + 1029504;
 Libderiv->dvrr_classes[7][7] = int_stack + 1030512;
 Libderiv->dvrr_classes[7][8] = int_stack + 1031808;
 Libderiv->dvrr_classes[7][9] = int_stack + 1033428;
 Libderiv->dvrr_classes[7][10] = int_stack + 1035408;
 Libderiv->dvrr_classes[7][11] = int_stack + 1037784;
 Libderiv->dvrr_classes[7][12] = int_stack + 1040592;
 Libderiv->deriv_classes[7][6][0] = int_stack + 1043868;
 Libderiv->deriv_classes[7][7][0] = int_stack + 1044876;
 Libderiv->deriv_classes[7][8][0] = int_stack + 1046172;
 Libderiv->deriv_classes[7][9][0] = int_stack + 1047792;
 Libderiv->deriv_classes[7][10][0] = int_stack + 1049772;
 Libderiv->deriv_classes[7][11][0] = int_stack + 1052148;
 Libderiv->deriv_classes[7][12][0] = int_stack + 1054956;
 Libderiv->dvrr_classes[8][6] = int_stack + 1058232;
 Libderiv->dvrr_classes[8][7] = int_stack + 1059492;
 Libderiv->dvrr_classes[8][8] = int_stack + 1061112;
 Libderiv->dvrr_classes[8][9] = int_stack + 1063137;
 Libderiv->dvrr_classes[8][10] = int_stack + 1065612;
 Libderiv->dvrr_classes[8][11] = int_stack + 1068582;
 Libderiv->dvrr_classes[8][12] = int_stack + 1072092;
 Libderiv->deriv_classes[8][6][0] = int_stack + 1076187;
 Libderiv->deriv_classes[8][7][0] = int_stack + 1077447;
 Libderiv->deriv_classes[8][8][0] = int_stack + 1079067;
 Libderiv->deriv_classes[8][9][0] = int_stack + 1081092;
 Libderiv->deriv_classes[8][10][0] = int_stack + 1083567;
 Libderiv->deriv_classes[8][11][0] = int_stack + 1086537;
 Libderiv->deriv_classes[8][12][0] = int_stack + 1090047;
 Libderiv->dvrr_classes[9][6] = int_stack + 1094142;
 Libderiv->dvrr_classes[9][7] = int_stack + 1095682;
 Libderiv->dvrr_classes[9][8] = int_stack + 1097662;
 Libderiv->dvrr_classes[9][9] = int_stack + 1100137;
 Libderiv->dvrr_classes[9][10] = int_stack + 1103162;
 Libderiv->dvrr_classes[9][11] = int_stack + 1106792;
 Libderiv->dvrr_classes[9][12] = int_stack + 1111082;
 Libderiv->deriv_classes[9][6][0] = int_stack + 1116087;
 Libderiv->deriv_classes[9][7][0] = int_stack + 1117627;
 Libderiv->deriv_classes[9][8][0] = int_stack + 1119607;
 Libderiv->deriv_classes[9][9][0] = int_stack + 1122082;
 Libderiv->deriv_classes[9][10][0] = int_stack + 1125107;
 Libderiv->deriv_classes[9][11][0] = int_stack + 1128737;
 Libderiv->deriv_classes[9][12][0] = int_stack + 1133027;
 Libderiv->dvrr_classes[10][6] = int_stack + 1138032;
 Libderiv->dvrr_classes[10][7] = int_stack + 1139880;
 Libderiv->dvrr_classes[10][8] = int_stack + 1142256;
 Libderiv->dvrr_classes[10][9] = int_stack + 1145226;
 Libderiv->dvrr_classes[10][10] = int_stack + 1148856;
 Libderiv->dvrr_classes[10][11] = int_stack + 1153212;
 Libderiv->dvrr_classes[10][12] = int_stack + 1158360;
 Libderiv->deriv_classes[10][6][0] = int_stack + 1164366;
 Libderiv->deriv_classes[10][7][0] = int_stack + 1166214;
 Libderiv->deriv_classes[10][8][0] = int_stack + 1168590;
 Libderiv->deriv_classes[10][9][0] = int_stack + 1171560;
 Libderiv->deriv_classes[10][10][0] = int_stack + 1175190;
 Libderiv->deriv_classes[10][11][0] = int_stack + 1179546;
 Libderiv->deriv_classes[10][12][0] = int_stack + 1184694;
 Libderiv->deriv_classes[11][6][0] = int_stack + 1190700;
 Libderiv->deriv_classes[11][7][0] = int_stack + 1192884;
 Libderiv->deriv_classes[11][8][0] = int_stack + 1195692;
 Libderiv->deriv_classes[11][9][0] = int_stack + 1199202;
 Libderiv->deriv_classes[11][10][0] = int_stack + 1203492;
 Libderiv->deriv_classes[11][11][0] = int_stack + 1208640;
 Libderiv->deriv_classes[11][12][0] = int_stack + 1214724;
 memset(int_stack,0,9774576);

 Libderiv->dvrr_stack = int_stack + 11083329;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_ihii(Libderiv, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1221822,int_stack+1007944,int_stack+1007160,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1224174,int_stack+1008952,int_stack+1007944,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1227198,int_stack+1224174,int_stack+1221822,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1231902,int_stack+1010212,int_stack+1008952,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1235682,int_stack+1231902,int_stack+1224174,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1241730,int_stack+1235682,int_stack+1227198,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+1249570,int_stack+1011752,int_stack+1010212,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+1254190,int_stack+1249570,int_stack+1231902,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+1261750,int_stack+1254190,int_stack+1235682,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+1271830,int_stack+1261750,int_stack+1241730,28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+1283590,int_stack+1013600,int_stack+1011752,28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+1289134,int_stack+1283590,int_stack+1249570,28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+1298374,int_stack+1289134,int_stack+1254190,28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+1310974,int_stack+1298374,int_stack+1261750,28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+1326094,int_stack+1310974,int_stack+1271830,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1342558,int_stack+784,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1007160,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1344910,int_stack+1792,int_stack+784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1007944,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1347934,int_stack+1344910,int_stack+1342558, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1221822,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+1352638,int_stack+3052,int_stack+1792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1008952,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1356418,int_stack+1352638,int_stack+1344910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1224174,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+1362466,int_stack+1356418,int_stack+1347934, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1227198,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+1342558,int_stack+4592,int_stack+3052, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1010212,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+1370306,int_stack+1342558,int_stack+1352638, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1231902,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+1377866,int_stack+1370306,int_stack+1356418, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1235682,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+1347178,int_stack+1377866,int_stack+1362466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1241730,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+1358938,int_stack+6440,int_stack+4592, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1011752,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+1387946,int_stack+1358938,int_stack+1342558, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1249570,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+1397186,int_stack+1387946,int_stack+1370306, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1254190,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+1409786,int_stack+1397186,int_stack+1377866, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1261750,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+1364482,int_stack+1409786,int_stack+1347178, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1271830,28);
 /*--- compute (i0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+1342558,int_stack+8624,int_stack+6440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1013600,28);
 /*--- compute (i0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+0,int_stack+1342558,int_stack+1358938, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1283590,28);
 /*--- compute (i0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+1342558,int_stack+0,int_stack+1387946, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1289134,28);
 /*--- compute (i0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+1424906,int_stack+1342558,int_stack+1397186, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1298374,28);
 /*--- compute (i0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+1342558,int_stack+1424906,int_stack+1409786, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1310974,28);
 /*--- compute (i0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+1380946,int_stack+1342558,int_stack+1364482, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1326094,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1342558,int_stack+1030512,int_stack+1029504,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1345582,int_stack+1031808,int_stack+1030512,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1349470,int_stack+1345582,int_stack+1342558,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1355518,int_stack+1033428,int_stack+1031808,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1360378,int_stack+1355518,int_stack+1345582,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1368154,int_stack+1360378,int_stack+1349470,36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+1035408,int_stack+1033428,36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+1402898,int_stack+0,int_stack+1355518,36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+1412618,int_stack+1402898,int_stack+1360378,36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+1425578,int_stack+1412618,int_stack+1368154,36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+1440698,int_stack+1037784,int_stack+1035408,36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+1447826,int_stack+1440698,int_stack+0,36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+1459706,int_stack+1447826,int_stack+1402898,36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+1475906,int_stack+1459706,int_stack+1412618,36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+1495346,int_stack+1475906,int_stack+1425578,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5940,int_stack+12180,int_stack+11172, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1029504,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1516514,int_stack+13476,int_stack+12180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1030512,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1520402,int_stack+1516514,int_stack+5940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1342558,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+5940,int_stack+15096,int_stack+13476, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1031808,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1526450,int_stack+5940,int_stack+1516514, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1345582,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+1534226,int_stack+1526450,int_stack+1520402, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1349470,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+1516514,int_stack+17076,int_stack+15096, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1033428,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+1544306,int_stack+1516514,int_stack+5940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1355518,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+1554026,int_stack+1544306,int_stack+1526450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1360378,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+1566986,int_stack+1554026,int_stack+1534226, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1368154,36);
 /*--- compute (k0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+5940,int_stack+19452,int_stack+17076, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1035408,36);
 /*--- compute (k0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+1522454,int_stack+5940,int_stack+1516514, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,36);
 /*--- compute (k0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+1582106,int_stack+1522454,int_stack+1544306, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1402898,36);
 /*--- compute (k0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+1534334,int_stack+1582106,int_stack+1554026, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1412618,36);
 /*--- compute (k0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+1598306,int_stack+1534334,int_stack+1566986, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1425578,36);
 /*--- compute (k0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+1553774,int_stack+22260,int_stack+19452, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1037784,36);
 /*--- compute (k0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+1562198,int_stack+1553774,int_stack+5940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1440698,36);
 /*--- compute (k0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+1619474,int_stack+1562198,int_stack+1522454, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1447826,36);
 /*--- compute (k0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+1553774,int_stack+1619474,int_stack+1582106, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1459706,36);
 /*--- compute (k0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+1619474,int_stack+1553774,int_stack+1534334, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1475906,36);
 /*--- compute (k0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+1516514,int_stack+1619474,int_stack+1598306, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1495346,36);
 /*--- compute (ip|ii) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+1544738,int_stack+1516514,int_stack+1380946,784);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+5940,int_stack+1059492,int_stack+1058232,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+9720,int_stack+1061112,int_stack+1059492,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+14580,int_stack+9720,int_stack+5940,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1610594,int_stack+1063137,int_stack+1061112,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1616669,int_stack+1610594,int_stack+9720,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1626389,int_stack+1616669,int_stack+14580,45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+1638989,int_stack+1065612,int_stack+1063137,45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+1378234,int_stack+1638989,int_stack+1610594,45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+1646414,int_stack+1378234,int_stack+1616669,45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+1662614,int_stack+1646414,int_stack+1626389,45);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+1390384,int_stack+1068582,int_stack+1065612,45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+1681514,int_stack+1390384,int_stack+1638989,45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+1696364,int_stack+1681514,int_stack+1378234,45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+1716614,int_stack+1696364,int_stack+1646414,45);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+1740914,int_stack+1716614,int_stack+1662614,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1767374,int_stack+26796,int_stack+25536, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1058232,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1771154,int_stack+28416,int_stack+26796, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1059492,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1776014,int_stack+1771154,int_stack+1767374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5940,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+22140,int_stack+30441,int_stack+28416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1061112,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1783574,int_stack+22140,int_stack+1771154, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9720,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+1793294,int_stack+1783574,int_stack+1776014, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14580,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+1767374,int_stack+32916,int_stack+30441, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1063137,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+1805894,int_stack+1767374,int_stack+22140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1610594,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+1818044,int_stack+1805894,int_stack+1783574, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1616669,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+1834244,int_stack+1818044,int_stack+1793294, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1626389,45);
 /*--- compute (l0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+22140,int_stack+35886,int_stack+32916, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1065612,45);
 /*--- compute (l0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+1774799,int_stack+22140,int_stack+1767374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1638989,45);
 /*--- compute (l0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+1853144,int_stack+1774799,int_stack+1805894, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1378234,45);
 /*--- compute (l0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+1789649,int_stack+1853144,int_stack+1818044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1646414,45);
 /*--- compute (l0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+1873394,int_stack+1789649,int_stack+1834244, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1662614,45);
 /*--- compute (l0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+1813949,int_stack+39396,int_stack+35886, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1068582,45);
 /*--- compute (l0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+1824479,int_stack+1813949,int_stack+22140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1390384,45);
 /*--- compute (l0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+1899854,int_stack+1824479,int_stack+1774799, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1681514,45);
 /*--- compute (l0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+1813949,int_stack+1899854,int_stack+1853144, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1696364,45);
 /*--- compute (l0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+1899854,int_stack+1813949,int_stack+1789649, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1716614,45);
 /*--- compute (l0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+1767374,int_stack+1899854,int_stack+1873394, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1740914,45);
 /*--- compute (kp|ii) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+1802654,int_stack+1767374,int_stack+1516514,784);
 /*--- compute (id|ii) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+1887326,int_stack+1802654,int_stack+1544738,784);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1516514,int_stack+1095682,int_stack+1094142,55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1521134,int_stack+1097662,int_stack+1095682,55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1527074,int_stack+1521134,int_stack+1516514,55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1536314,int_stack+1100137,int_stack+1097662,55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1543739,int_stack+1536314,int_stack+1521134,55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1555619,int_stack+1543739,int_stack+1527074,55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+1571019,int_stack+1103162,int_stack+1100137,55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+1580094,int_stack+1571019,int_stack+1536314,55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+22140,int_stack+1580094,int_stack+1543739,55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+2019038,int_stack+22140,int_stack+1555619,55);
 /*--- compute (m0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+1594944,int_stack+1106792,int_stack+1103162,55);
 /*--- compute (m0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+2042138,int_stack+1594944,int_stack+1571019,55);
 /*--- compute (m0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+2060288,int_stack+2042138,int_stack+1580094,55);
 /*--- compute (m0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+2085038,int_stack+2060288,int_stack+22140,55);
 /*--- compute (m0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+2114738,int_stack+2085038,int_stack+2019038,55);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1605834,int_stack+45031,int_stack+43491, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1094142,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2147078,int_stack+47011,int_stack+45031, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1095682,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2153018,int_stack+2147078,int_stack+1605834, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1516514,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2162258,int_stack+49486,int_stack+47011, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1097662,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2169683,int_stack+2162258,int_stack+2147078, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1521134,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2181563,int_stack+2169683,int_stack+2153018, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1527074,55);
 /*--- compute (m0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2147078,int_stack+52511,int_stack+49486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1100137,55);
 /*--- compute (m0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2196963,int_stack+2147078,int_stack+2162258, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1536314,55);
 /*--- compute (m0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+2211813,int_stack+2196963,int_stack+2169683, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1543739,55);
 /*--- compute (m0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2156153,int_stack+2211813,int_stack+2181563, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1555619,55);
 /*--- compute (m0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+2179253,int_stack+56141,int_stack+52511, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1103162,55);
 /*--- compute (m0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+2231613,int_stack+2179253,int_stack+2147078, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1571019,55);
 /*--- compute (m0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2249763,int_stack+2231613,int_stack+2196963, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1580094,55);
 /*--- compute (m0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+2274513,int_stack+2249763,int_stack+2211813, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22140,55);
 /*--- compute (m0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+2190143,int_stack+2274513,int_stack+2156153, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2019038,55);
 /*--- compute (m0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+2147078,int_stack+60431,int_stack+56141, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1106792,55);
 /*--- compute (m0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+41940,int_stack+2147078,int_stack+2179253, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1594944,55);
 /*--- compute (m0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+2147078,int_stack+41940,int_stack+2231613, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2042138,55);
 /*--- compute (m0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+2304213,int_stack+2147078,int_stack+2249763, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2060288,55);
 /*--- compute (m0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+2147078,int_stack+2304213,int_stack+2274513, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2085038,55);
 /*--- compute (m0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+2222483,int_stack+2147078,int_stack+2190143, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2114738,55);
 /*--- compute (lp|ii) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+2265603,int_stack+2222483,int_stack+1767374,784);
 /*--- compute (kd|ii) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+2371443,int_stack+2265603,int_stack+1802654,784);
 /*--- compute (if|ii) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+2540787,int_stack+2371443,int_stack+1887326,784);
 /*--- compute (n0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1767374,int_stack+1139880,int_stack+1138032,66);
 /*--- compute (n0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1772918,int_stack+1142256,int_stack+1139880,66);
 /*--- compute (n0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1780046,int_stack+1772918,int_stack+1767374,66);
 /*--- compute (n0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1791134,int_stack+1145226,int_stack+1142256,66);
 /*--- compute (n0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1800044,int_stack+1791134,int_stack+1772918,66);
 /*--- compute (n0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1814300,int_stack+1800044,int_stack+1780046,66);
 /*--- compute (n0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+1832780,int_stack+1148856,int_stack+1145226,66);
 /*--- compute (n0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+1843670,int_stack+1832780,int_stack+1791134,66);
 /*--- compute (n0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+1861490,int_stack+1843670,int_stack+1800044,66);
 /*--- compute (n0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+1885250,int_stack+1861490,int_stack+1814300,66);
 /*--- compute (n0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+1912970,int_stack+1153212,int_stack+1148856,66);
 /*--- compute (n0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+1926038,int_stack+1912970,int_stack+1832780,66);
 /*--- compute (n0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+1947818,int_stack+1926038,int_stack+1843670,66);
 /*--- compute (n0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+1977518,int_stack+1947818,int_stack+1861490,66);
 /*--- compute (n0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+2147078,int_stack+1977518,int_stack+1885250,66);
 /*--- compute (n0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2013158,int_stack+67284,int_stack+65436, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1138032,66);
 /*--- compute (n0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2185886,int_stack+69660,int_stack+67284, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1139880,66);
 /*--- compute (n0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2193014,int_stack+2185886,int_stack+2013158, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1767374,66);
 /*--- compute (n0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2204102,int_stack+72630,int_stack+69660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1142256,66);
 /*--- compute (n0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+41940,int_stack+2204102,int_stack+2185886, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1772918,66);
 /*--- compute (n0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2760307,int_stack+41940,int_stack+2193014, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1780046,66);
 /*--- compute (n0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2185886,int_stack+76260,int_stack+72630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1145226,66);
 /*--- compute (n0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+56196,int_stack+2185886,int_stack+2204102, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1791134,66);
 /*--- compute (n0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+2196776,int_stack+56196,int_stack+41940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1800044,66);
 /*--- compute (n0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2778787,int_stack+2196776,int_stack+2760307, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1814300,66);
 /*--- compute (n0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+2760307,int_stack+80616,int_stack+76260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1148856,66);
 /*--- compute (n0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+2806507,int_stack+2760307,int_stack+2185886, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1832780,66);
 /*--- compute (n0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2828287,int_stack+2806507,int_stack+56196, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1843670,66);
 /*--- compute (n0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+41940,int_stack+2828287,int_stack+2196776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1861490,66);
 /*--- compute (n0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+2857987,int_stack+41940,int_stack+2778787, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1885250,66);
 /*--- compute (n0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+2185886,int_stack+85764,int_stack+80616, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1153212,66);
 /*--- compute (n0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+2773375,int_stack+2185886,int_stack+2760307, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1912970,66);
 /*--- compute (n0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+2185886,int_stack+2773375,int_stack+2806507, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1926038,66);
 /*--- compute (n0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+2760307,int_stack+2185886,int_stack+2828287, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1947818,66);
 /*--- compute (n0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+2804857,int_stack+2760307,int_stack+41940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1977518,66);
 /*--- compute (n0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+2896795,int_stack+2804857,int_stack+2857987, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2147078,66);
 /*--- compute (mp|ii) ---*/
   hrr1_build_mp(Libderiv->AB,int_stack+2760307,int_stack+2896795,int_stack+2222483,784);
 /*--- compute (ld|ii) ---*/
   hrr1_build_ld(Libderiv->AB,int_stack+2948539,int_stack+2760307,int_stack+2265603,784);
 /*--- compute (kf|ii) ---*/
   hrr1_build_kf(Libderiv->AB,int_stack+3160219,int_stack+2948539,int_stack+2371443,784);
 /*--- compute (ig|ii) ---*/
   hrr1_build_ig(Libderiv->AB,int_stack+2185886,int_stack+3160219,int_stack+2540787,784);
 /*--- compute (o0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+41940,int_stack+710598,int_stack+706230,78);
 /*--- compute (o0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+48492,int_stack+716214,int_stack+710598,78);
 /*--- compute (o0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+56916,int_stack+48492,int_stack+41940,78);
 /*--- compute (o0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+70020,int_stack+723234,int_stack+716214,78);
 /*--- compute (o0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+2515166,int_stack+70020,int_stack+48492,78);
 /*--- compute (o0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+2532014,int_stack+2515166,int_stack+56916,78);
 /*--- compute (o0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+2553854,int_stack+731814,int_stack+723234,78);
 /*--- compute (o0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+2566724,int_stack+2553854,int_stack+70020,78);
 /*--- compute (o0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+2587784,int_stack+2566724,int_stack+2515166,78);
 /*--- compute (o0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+2615864,int_stack+2587784,int_stack+2532014,78);
 /*--- compute (o0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+2648624,int_stack+742110,int_stack+731814,78);
 /*--- compute (o0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+2664068,int_stack+2648624,int_stack+2553854,78);
 /*--- compute (o0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+2689808,int_stack+2664068,int_stack+2566724,78);
 /*--- compute (o0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+3442459,int_stack+2689808,int_stack+2587784,78);
 /*--- compute (o0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+3484579,int_stack+3442459,int_stack+2615864,78);
 /*--- compute (o0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+80550,int_stack+93954,int_stack+91770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+706230,78);
 /*--- compute (o0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2724908,int_stack+96762,int_stack+93954, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+710598,78);
 /*--- compute (o0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2733332,int_stack+2724908,int_stack+80550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41940,78);
 /*--- compute (o0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+80550,int_stack+100272,int_stack+96762, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+716214,78);
 /*--- compute (o0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+3530443,int_stack+80550,int_stack+2724908, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48492,78);
 /*--- compute (o0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+3547291,int_stack+3530443,int_stack+2733332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56916,78);
 /*--- compute (o0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2724908,int_stack+104562,int_stack+100272, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+723234,78);
 /*--- compute (o0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2737778,int_stack+2724908,int_stack+80550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70020,78);
 /*--- compute (o0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+3569131,int_stack+2737778,int_stack+3530443, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2515166,78);
 /*--- compute (o0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+3597211,int_stack+3569131,int_stack+3547291, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2532014,78);
 /*--- compute (o0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+3530443,int_stack+109710,int_stack+104562, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+731814,78);
 /*--- compute (o0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+80550,int_stack+3530443,int_stack+2724908, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2553854,78);
 /*--- compute (o0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+3629971,int_stack+80550,int_stack+2737778, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2566724,78);
 /*--- compute (o0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+3665071,int_stack+3629971,int_stack+3569131, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2587784,78);
 /*--- compute (o0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+3545887,int_stack+3665071,int_stack+3597211, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2615864,78);
 /*--- compute (o0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+2724908,int_stack+115794,int_stack+109710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+742110,78);
 /*--- compute (o0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+3591751,int_stack+2724908,int_stack+3530443, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2648624,78);
 /*--- compute (o0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+3707191,int_stack+3591751,int_stack+80550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2664068,78);
 /*--- compute (o0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+3750091,int_stack+3707191,int_stack+3629971, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2689808,78);
 /*--- compute (o0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+3591751,int_stack+3750091,int_stack+3665071, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3442459,78);
 /*--- compute (o0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+3650719,int_stack+3591751,int_stack+3545887, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3484579,78);
 /*--- compute (np|ii) ---*/
   hrr1_build_np(Libderiv->AB,int_stack+3711871,int_stack+3650719,int_stack+2896795,784);
 /*--- compute (md|ii) ---*/
   hrr1_build_md(Libderiv->AB,int_stack+3867103,int_stack+3711871,int_stack+2760307,784);
 /*--- compute (lf|ii) ---*/
   hrr1_build_lf(Libderiv->AB,int_stack+4125823,int_stack+3867103,int_stack+2948539,784);
 /*--- compute (kg|ii) ---*/
   hrr1_build_kg(Libderiv->AB,int_stack+3530443,int_stack+4125823,int_stack+3160219,784);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+80550,int_stack+123676,int_stack+122892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1007160, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+82902,int_stack+124684,int_stack+123676, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1007944, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+85926,int_stack+82902,int_stack+80550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1221822, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+90630,int_stack+125944,int_stack+124684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1008952, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+94410,int_stack+90630,int_stack+82902, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1224174, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+100458,int_stack+94410,int_stack+85926, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1227198, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+80550,int_stack+127484,int_stack+125944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1010212, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+108298,int_stack+80550,int_stack+90630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1231902, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+115858,int_stack+108298,int_stack+94410, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1235682, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+85170,int_stack+115858,int_stack+100458, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1241730, 0.0, zero_stack,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+96930,int_stack+129332,int_stack+127484, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1011752, 0.0, zero_stack,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+3953803,int_stack+96930,int_stack+80550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1249570, 0.0, zero_stack,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+3963043,int_stack+3953803,int_stack+108298, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1254190, 0.0, zero_stack,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+3975643,int_stack+3963043,int_stack+115858, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1261750, 0.0, zero_stack,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+102474,int_stack+3975643,int_stack+85170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1271830, 0.0, zero_stack,28);
 /*--- compute (i0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+80550,int_stack+131516,int_stack+129332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1013600, 0.0, zero_stack,28);
 /*--- compute (i0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+118938,int_stack+80550,int_stack+96930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1283590, 0.0, zero_stack,28);
 /*--- compute (i0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+80550,int_stack+118938,int_stack+3953803, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1289134, 0.0, zero_stack,28);
 /*--- compute (i0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+3990763,int_stack+80550,int_stack+3963043, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1298374, 0.0, zero_stack,28);
 /*--- compute (i0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+80550,int_stack+3990763,int_stack+3975643, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1310974, 0.0, zero_stack,28);
 /*--- compute (i0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+3953803,int_stack+80550,int_stack+102474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1326094, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+80550,int_stack+135072,int_stack+134064, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1029504, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+83574,int_stack+136368,int_stack+135072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1030512, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+87462,int_stack+83574,int_stack+80550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1342558, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+93510,int_stack+137988,int_stack+136368, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1031808, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+98370,int_stack+93510,int_stack+83574, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1345582, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+106146,int_stack+98370,int_stack+87462, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1349470, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+80550,int_stack+139968,int_stack+137988, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1033428, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+116226,int_stack+80550,int_stack+93510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1355518, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+125946,int_stack+116226,int_stack+98370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1360378, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+86490,int_stack+125946,int_stack+106146, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1368154, 0.0, zero_stack,36);
 /*--- compute (k0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+101610,int_stack+142344,int_stack+139968, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1035408, 0.0, zero_stack,36);
 /*--- compute (k0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+3975755,int_stack+101610,int_stack+80550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,36);
 /*--- compute (k0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+3987635,int_stack+3975755,int_stack+116226, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1402898, 0.0, zero_stack,36);
 /*--- compute (k0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4003835,int_stack+3987635,int_stack+125946, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1412618, 0.0, zero_stack,36);
 /*--- compute (k0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+108738,int_stack+4003835,int_stack+86490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1425578, 0.0, zero_stack,36);
 /*--- compute (k0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+80550,int_stack+145152,int_stack+142344, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1037784, 0.0, zero_stack,36);
 /*--- compute (k0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+129906,int_stack+80550,int_stack+101610, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1440698, 0.0, zero_stack,36);
 /*--- compute (k0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+80550,int_stack+129906,int_stack+3975755, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1447826, 0.0, zero_stack,36);
 /*--- compute (k0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+4023275,int_stack+80550,int_stack+3987635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1459706, 0.0, zero_stack,36);
 /*--- compute (k0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+80550,int_stack+4023275,int_stack+4003835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1475906, 0.0, zero_stack,36);
 /*--- compute (k0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+3975755,int_stack+80550,int_stack+108738, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1495346, 0.0, zero_stack,36);
 /*--- compute (ip|ii) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+80550,int_stack+3975755,int_stack+3953803,784);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3953803,int_stack+149688,int_stack+148428, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1058232, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3957583,int_stack+151308,int_stack+149688, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1059492, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3962443,int_stack+3957583,int_stack+3953803, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5940, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4003979,int_stack+153333,int_stack+151308, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1061112, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4010054,int_stack+4003979,int_stack+3957583, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9720, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4019774,int_stack+4010054,int_stack+3962443, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14580, 0.0, zero_stack,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+3953803,int_stack+155808,int_stack+153333, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1063137, 0.0, zero_stack,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+3961228,int_stack+3953803,int_stack+4003979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1610594, 0.0, zero_stack,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4032374,int_stack+3961228,int_stack+4010054, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1616669, 0.0, zero_stack,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4048574,int_stack+4032374,int_stack+4019774, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1626389, 0.0, zero_stack,45);
 /*--- compute (l0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+4003979,int_stack+158778,int_stack+155808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1065612, 0.0, zero_stack,45);
 /*--- compute (l0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+4012889,int_stack+4003979,int_stack+3953803, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1638989, 0.0, zero_stack,45);
 /*--- compute (l0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+4067474,int_stack+4012889,int_stack+3961228, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1378234, 0.0, zero_stack,45);
 /*--- compute (l0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4087724,int_stack+4067474,int_stack+4032374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1646414, 0.0, zero_stack,45);
 /*--- compute (l0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+4112024,int_stack+4087724,int_stack+4048574, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1662614, 0.0, zero_stack,45);
 /*--- compute (l0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+3953803,int_stack+162288,int_stack+158778, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1068582, 0.0, zero_stack,45);
 /*--- compute (l0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+4027739,int_stack+3953803,int_stack+4003979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1390384, 0.0, zero_stack,45);
 /*--- compute (l0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+4138484,int_stack+4027739,int_stack+4012889, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1681514, 0.0, zero_stack,45);
 /*--- compute (l0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+4003979,int_stack+4138484,int_stack+4067474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1696364, 0.0, zero_stack,45);
 /*--- compute (l0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+4138484,int_stack+4003979,int_stack+4087724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1716614, 0.0, zero_stack,45);
 /*--- compute (l0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+4003979,int_stack+4138484,int_stack+4112024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1740914, 0.0, zero_stack,45);
 /*--- compute (kp|ii) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+4039259,int_stack+4003979,int_stack+3975755,784);
 /*--- compute (id|ii) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+4123931,int_stack+4039259,int_stack+80550,784);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+80550,int_stack+167923,int_stack+166383, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1094142, 0.0, zero_stack,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+85170,int_stack+169903,int_stack+167923, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1095682, 0.0, zero_stack,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+91110,int_stack+85170,int_stack+80550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1516514, 0.0, zero_stack,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+100350,int_stack+172378,int_stack+169903, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1097662, 0.0, zero_stack,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+107775,int_stack+100350,int_stack+85170, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1521134, 0.0, zero_stack,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+119655,int_stack+107775,int_stack+91110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1527074, 0.0, zero_stack,55);
 /*--- compute (m0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+80550,int_stack+175403,int_stack+172378, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1100137, 0.0, zero_stack,55);
 /*--- compute (m0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+135055,int_stack+80550,int_stack+100350, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1536314, 0.0, zero_stack,55);
 /*--- compute (m0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+149905,int_stack+135055,int_stack+107775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1543739, 0.0, zero_stack,55);
 /*--- compute (m0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+89625,int_stack+149905,int_stack+119655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1555619, 0.0, zero_stack,55);
 /*--- compute (m0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+112725,int_stack+179033,int_stack+175403, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1103162, 0.0, zero_stack,55);
 /*--- compute (m0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+4255643,int_stack+112725,int_stack+80550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1571019, 0.0, zero_stack,55);
 /*--- compute (m0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+4273793,int_stack+4255643,int_stack+135055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1580094, 0.0, zero_stack,55);
 /*--- compute (m0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4298543,int_stack+4273793,int_stack+149905, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22140, 0.0, zero_stack,55);
 /*--- compute (m0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+123615,int_stack+4298543,int_stack+89625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2019038, 0.0, zero_stack,55);
 /*--- compute (m0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+80550,int_stack+183323,int_stack+179033, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1106792, 0.0, zero_stack,55);
 /*--- compute (m0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+155955,int_stack+80550,int_stack+112725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1594944, 0.0, zero_stack,55);
 /*--- compute (m0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+80550,int_stack+155955,int_stack+4255643, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2042138, 0.0, zero_stack,55);
 /*--- compute (m0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+4328243,int_stack+80550,int_stack+4273793, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2060288, 0.0, zero_stack,55);
 /*--- compute (m0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+80550,int_stack+4328243,int_stack+4298543, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2085038, 0.0, zero_stack,55);
 /*--- compute (m0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+4255643,int_stack+80550,int_stack+123615, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2114738, 0.0, zero_stack,55);
 /*--- compute (lp|ii) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+80550,int_stack+4255643,int_stack+4003979,784);
 /*--- compute (kd|ii) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+4298763,int_stack+80550,int_stack+4039259,784);
 /*--- compute (if|ii) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+2724908,int_stack+4298763,int_stack+4123931,784);
 /*--- compute (n0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4468107,int_stack+190176,int_stack+188328, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1138032, 0.0, zero_stack,66);
 /*--- compute (n0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3953803,int_stack+192552,int_stack+190176, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1139880, 0.0, zero_stack,66);
 /*--- compute (n0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3960931,int_stack+3953803,int_stack+4468107, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1767374, 0.0, zero_stack,66);
 /*--- compute (n0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4468107,int_stack+195522,int_stack+192552, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1142256, 0.0, zero_stack,66);
 /*--- compute (n0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+3972019,int_stack+4468107,int_stack+3953803, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1772918, 0.0, zero_stack,66);
 /*--- compute (n0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+3986275,int_stack+3972019,int_stack+3960931, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1780046, 0.0, zero_stack,66);
 /*--- compute (n0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+3953803,int_stack+199152,int_stack+195522, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1145226, 0.0, zero_stack,66);
 /*--- compute (n0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+4004755,int_stack+3953803,int_stack+4468107, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1791134, 0.0, zero_stack,66);
 /*--- compute (n0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4022575,int_stack+4004755,int_stack+3972019, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1800044, 0.0, zero_stack,66);
 /*--- compute (n0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4046335,int_stack+4022575,int_stack+3986275, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1814300, 0.0, zero_stack,66);
 /*--- compute (n0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+3964693,int_stack+203508,int_stack+199152, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1148856, 0.0, zero_stack,66);
 /*--- compute (n0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+3977761,int_stack+3964693,int_stack+3953803, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1832780, 0.0, zero_stack,66);
 /*--- compute (n0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+4074055,int_stack+3977761,int_stack+4004755, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1843670, 0.0, zero_stack,66);
 /*--- compute (n0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4103755,int_stack+4074055,int_stack+4022575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1861490, 0.0, zero_stack,66);
 /*--- compute (n0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+3999541,int_stack+4103755,int_stack+4046335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1885250, 0.0, zero_stack,66);
 /*--- compute (n0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+4038349,int_stack+208656,int_stack+203508, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1153212, 0.0, zero_stack,66);
 /*--- compute (n0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+186390,int_stack+4038349,int_stack+3964693, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1912970, 0.0, zero_stack,66);
 /*--- compute (n0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+4139395,int_stack+186390,int_stack+3977761, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1926038, 0.0, zero_stack,66);
 /*--- compute (n0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+3953803,int_stack+4139395,int_stack+4074055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1947818, 0.0, zero_stack,66);
 /*--- compute (n0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+4139395,int_stack+3953803,int_stack+4103755, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1977518, 0.0, zero_stack,66);
 /*--- compute (n0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+4189291,int_stack+4139395,int_stack+3999541, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2147078, 0.0, zero_stack,66);
 /*--- compute (mp|ii) ---*/
   hrr1_build_mp(Libderiv->AB,int_stack+3953803,int_stack+4189291,int_stack+4255643,784);
 /*--- compute (ld|ii) ---*/
   hrr1_build_ld(Libderiv->AB,int_stack+2944428,int_stack+3953803,int_stack+80550,784);
 /*--- compute (kf|ii) ---*/
   hrr1_build_kf(Libderiv->AB,int_stack+3156108,int_stack+2944428,int_stack+4298763,784);
 /*--- compute (ig|ii) ---*/
   hrr1_build_ig(Libderiv->AB,int_stack+4241035,int_stack+3156108,int_stack+2724908,784);
 /*--- compute (o0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2724908,int_stack+216846,int_stack+214662, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+706230, 0.0, zero_stack,78);
 /*--- compute (o0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2731460,int_stack+219654,int_stack+216846, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+710598, 0.0, zero_stack,78);
 /*--- compute (o0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2739884,int_stack+2731460,int_stack+2724908, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41940, 0.0, zero_stack,78);
 /*--- compute (o0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+2752988,int_stack+223164,int_stack+219654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+716214, 0.0, zero_stack,78);
 /*--- compute (o0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+2763518,int_stack+2752988,int_stack+2731460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48492, 0.0, zero_stack,78);
 /*--- compute (o0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2780366,int_stack+2763518,int_stack+2739884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56916, 0.0, zero_stack,78);
 /*--- compute (o0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+2724908,int_stack+227454,int_stack+223164, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+723234, 0.0, zero_stack,78);
 /*--- compute (o0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2802206,int_stack+2724908,int_stack+2752988, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70020, 0.0, zero_stack,78);
 /*--- compute (o0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+2823266,int_stack+2802206,int_stack+2763518, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2515166, 0.0, zero_stack,78);
 /*--- compute (o0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+2737778,int_stack+2823266,int_stack+2780366, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2532014, 0.0, zero_stack,78);
 /*--- compute (o0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+2770538,int_stack+232602,int_stack+227454, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+731814, 0.0, zero_stack,78);
 /*--- compute (o0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+2851346,int_stack+2770538,int_stack+2724908, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2553854, 0.0, zero_stack,78);
 /*--- compute (o0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2877086,int_stack+2851346,int_stack+2802206, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2566724, 0.0, zero_stack,78);
 /*--- compute (o0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+80550,int_stack+2877086,int_stack+2823266, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2587784, 0.0, zero_stack,78);
 /*--- compute (o0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+2785982,int_stack+80550,int_stack+2737778, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2615864, 0.0, zero_stack,78);
 /*--- compute (o0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+2724908,int_stack+238686,int_stack+232602, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+742110, 0.0, zero_stack,78);
 /*--- compute (o0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+2912186,int_stack+2724908,int_stack+2770538, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2648624, 0.0, zero_stack,78);
 /*--- compute (o0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+2724908,int_stack+2912186,int_stack+2851346, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2664068, 0.0, zero_stack,78);
 /*--- compute (o0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+122670,int_stack+2724908,int_stack+2877086, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2689808, 0.0, zero_stack,78);
 /*--- compute (o0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+2724908,int_stack+122670,int_stack+80550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3442459, 0.0, zero_stack,78);
 /*--- compute (o0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+80550,int_stack+2724908,int_stack+2785982, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3484579, 0.0, zero_stack,78);
 /*--- compute (np|ii) ---*/
   hrr1_build_np(Libderiv->AB,int_stack+2724908,int_stack+80550,int_stack+4189291,784);
 /*--- compute (md|ii) ---*/
   hrr1_build_md(Libderiv->AB,int_stack+4570315,int_stack+2724908,int_stack+3953803,784);
 /*--- compute (lf|ii) ---*/
   hrr1_build_lf(Libderiv->AB,int_stack+4829035,int_stack+4570315,int_stack+2944428,784);
 /*--- compute (kg|ii) ---*/
   hrr1_build_kg(Libderiv->AB,int_stack+2724908,int_stack+4829035,int_stack+3156108,784);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4570315,int_stack+246568,int_stack+245784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1007160, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4572667,int_stack+247576,int_stack+246568, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1007944, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4575691,int_stack+4572667,int_stack+4570315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1221822, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4580395,int_stack+248836,int_stack+247576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1008952, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4584175,int_stack+4580395,int_stack+4572667, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1224174, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4590223,int_stack+4584175,int_stack+4575691, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1227198, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+4570315,int_stack+250376,int_stack+248836, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1010212, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+4598063,int_stack+4570315,int_stack+4580395, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1231902, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4605623,int_stack+4598063,int_stack+4584175, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1235682, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4574935,int_stack+4605623,int_stack+4590223, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1241730, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+4586695,int_stack+252224,int_stack+250376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1011752, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+4615703,int_stack+4586695,int_stack+4570315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1249570, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+4624943,int_stack+4615703,int_stack+4598063, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1254190, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4637543,int_stack+4624943,int_stack+4605623, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1261750, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+4592239,int_stack+4637543,int_stack+4574935, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1271830, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+4570315,int_stack+254408,int_stack+252224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1013600, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+4652663,int_stack+4570315,int_stack+4586695, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1283590, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+4570315,int_stack+4652663,int_stack+4615703, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1289134, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+4652663,int_stack+4570315,int_stack+4624943, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1298374, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+4570315,int_stack+4652663,int_stack+4637543, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1310974, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+4608703,int_stack+4570315,int_stack+4592239, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1326094, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4570315,int_stack+257964,int_stack+256956, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1029504, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4573339,int_stack+259260,int_stack+257964, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1030512, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4577227,int_stack+4573339,int_stack+4570315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1342558, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4583275,int_stack+260880,int_stack+259260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1031808, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4588135,int_stack+4583275,int_stack+4573339, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1345582, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4595911,int_stack+4588135,int_stack+4577227, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1349470, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+4570315,int_stack+262860,int_stack+260880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1033428, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+4630655,int_stack+4570315,int_stack+4583275, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1355518, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4640375,int_stack+4630655,int_stack+4588135, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1360378, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4576255,int_stack+4640375,int_stack+4595911, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1368154, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+4591375,int_stack+265236,int_stack+262860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1035408, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+4653335,int_stack+4591375,int_stack+4570315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+4665215,int_stack+4653335,int_stack+4630655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1402898, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4681415,int_stack+4665215,int_stack+4640375, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1412618, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+4630655,int_stack+4681415,int_stack+4576255, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1425578, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+4570315,int_stack+268044,int_stack+265236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1037784, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+4700855,int_stack+4570315,int_stack+4591375, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1440698, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+4570315,int_stack+4700855,int_stack+4653335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1447826, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+4700855,int_stack+4570315,int_stack+4665215, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1459706, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+4570315,int_stack+4700855,int_stack+4681415, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1475906, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+4651823,int_stack+4570315,int_stack+4630655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1495346, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|ii) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+4680047,int_stack+4651823,int_stack+4608703,784);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4570315,int_stack+272580,int_stack+271320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1058232, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4574095,int_stack+274200,int_stack+272580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1059492, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4578955,int_stack+4574095,int_stack+4570315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5940, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4586515,int_stack+276225,int_stack+274200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1061112, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4592590,int_stack+4586515,int_stack+4574095, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9720, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4602310,int_stack+4592590,int_stack+4578955, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14580, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+4570315,int_stack+278700,int_stack+276225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1063137, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+4614910,int_stack+4570315,int_stack+4586515, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1610594, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4627060,int_stack+4614910,int_stack+4592590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1616669, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4577740,int_stack+4627060,int_stack+4602310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1626389, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+4596640,int_stack+281670,int_stack+278700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1065612, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+4745903,int_stack+4596640,int_stack+4570315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1638989, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+4760753,int_stack+4745903,int_stack+4614910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1378234, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4781003,int_stack+4760753,int_stack+4627060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1646414, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+4605550,int_stack+4781003,int_stack+4577740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1662614, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+4570315,int_stack+285180,int_stack+281670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1068582, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+4632010,int_stack+4570315,int_stack+4596640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1390384, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+4570315,int_stack+4632010,int_stack+4745903, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1681514, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+4805303,int_stack+4570315,int_stack+4760753, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1696364, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+4570315,int_stack+4805303,int_stack+4781003, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1716614, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+4745903,int_stack+4570315,int_stack+4605550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1740914, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|ii) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+4781183,int_stack+4745903,int_stack+4651823,784);
 /*--- compute (id|ii) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+4865855,int_stack+4781183,int_stack+4680047,784);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4570315,int_stack+290815,int_stack+289275, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1094142, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4574935,int_stack+292795,int_stack+290815, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1095682, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4580875,int_stack+4574935,int_stack+4570315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1516514, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4590115,int_stack+295270,int_stack+292795, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1097662, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4597540,int_stack+4590115,int_stack+4574935, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1521134, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4609420,int_stack+4597540,int_stack+4580875, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1527074, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+4570315,int_stack+298295,int_stack+295270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1100137, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+4624820,int_stack+4570315,int_stack+4590115, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1536314, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4639670,int_stack+4624820,int_stack+4597540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1543739, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4579390,int_stack+4639670,int_stack+4609420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1555619, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+4602490,int_stack+301925,int_stack+298295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1103162, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+4659470,int_stack+4602490,int_stack+4570315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1571019, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+4677620,int_stack+4659470,int_stack+4624820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1580094, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4702370,int_stack+4677620,int_stack+4639670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22140, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+4613380,int_stack+4702370,int_stack+4579390, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2019038, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+4570315,int_stack+306215,int_stack+301925, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1106792, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+4997567,int_stack+4570315,int_stack+4602490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1594944, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+4570315,int_stack+4997567,int_stack+4659470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2042138, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+4997567,int_stack+4570315,int_stack+4677620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2060288, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+4570315,int_stack+4997567,int_stack+4702370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2085038, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+4997567,int_stack+4570315,int_stack+4613380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2114738, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (lp|ii) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+4570315,int_stack+4997567,int_stack+4745903,784);
 /*--- compute (kd|ii) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+3953803,int_stack+4570315,int_stack+4781183,784);
 /*--- compute (if|ii) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+3148268,int_stack+3953803,int_stack+4865855,784);
 /*--- compute (n0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4676155,int_stack+313068,int_stack+311220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1138032, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4681699,int_stack+315444,int_stack+313068, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1139880, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4688827,int_stack+4681699,int_stack+4676155, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1767374, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4699915,int_stack+318414,int_stack+315444, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1142256, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4708825,int_stack+4699915,int_stack+4681699, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1772918, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4723081,int_stack+4708825,int_stack+4688827, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1780046, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+4676155,int_stack+322044,int_stack+318414, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1145226, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+4741561,int_stack+4676155,int_stack+4699915, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1791134, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4759381,int_stack+4741561,int_stack+4708825, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1800044, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4687045,int_stack+4759381,int_stack+4723081, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1814300, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+4714765,int_stack+326400,int_stack+322044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1148856, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+4783141,int_stack+4714765,int_stack+4676155, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1832780, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+4804921,int_stack+4783141,int_stack+4741561, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1843670, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4834621,int_stack+4804921,int_stack+4759381, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1861490, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+4727833,int_stack+4834621,int_stack+4687045, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1885250, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+4676155,int_stack+331548,int_stack+326400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1153212, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+4870261,int_stack+4676155,int_stack+4714765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1912970, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+4676155,int_stack+4870261,int_stack+4783141, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1926038, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+4870261,int_stack+4676155,int_stack+4804921, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1947818, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+4676155,int_stack+4870261,int_stack+4834621, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1977518, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+4766641,int_stack+4676155,int_stack+4727833, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2147078, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (mp|ii) ---*/
   hrr1_build_mp(Libderiv->AB,int_stack+4818385,int_stack+4766641,int_stack+4997567,784);
 /*--- compute (ld|ii) ---*/
   hrr1_build_ld(Libderiv->AB,int_stack+4947745,int_stack+4818385,int_stack+4570315,784);
 /*--- compute (kf|ii) ---*/
   hrr1_build_kf(Libderiv->AB,int_stack+5159425,int_stack+4947745,int_stack+3953803,784);
 /*--- compute (ig|ii) ---*/
   hrr1_build_ig(Libderiv->AB,int_stack+5441665,int_stack+5159425,int_stack+3148268,784);
 /*--- compute (o0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3148268,int_stack+339738,int_stack+337554, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+706230, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3154820,int_stack+342546,int_stack+339738, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+710598, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3163244,int_stack+3154820,int_stack+3148268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41940, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+3176348,int_stack+346056,int_stack+342546, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+716214, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+3186878,int_stack+3176348,int_stack+3154820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48492, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+3203726,int_stack+3186878,int_stack+3163244, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56916, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+3148268,int_stack+350346,int_stack+346056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+723234, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+3225566,int_stack+3148268,int_stack+3176348, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70020, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+3246626,int_stack+3225566,int_stack+3186878, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2515166, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+3161138,int_stack+3246626,int_stack+3203726, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2532014, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+3193898,int_stack+355494,int_stack+350346, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+731814, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+3274706,int_stack+3193898,int_stack+3148268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2553854, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+3300446,int_stack+3274706,int_stack+3225566, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2566724, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+3335546,int_stack+3300446,int_stack+3246626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2587784, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+3209342,int_stack+3335546,int_stack+3161138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2615864, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+3148268,int_stack+361578,int_stack+355494, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+742110, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+3377666,int_stack+3148268,int_stack+3193898, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2648624, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+3148268,int_stack+3377666,int_stack+3274706, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2664068, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+3377666,int_stack+3148268,int_stack+3300446, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2689808, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+3148268,int_stack+3377666,int_stack+3335546, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3442459, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+3255206,int_stack+3148268,int_stack+3209342, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3484579, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (np|ii) ---*/
   hrr1_build_np(Libderiv->AB,int_stack+3953803,int_stack+3255206,int_stack+4766641,784);
 /*--- compute (md|ii) ---*/
   hrr1_build_md(Libderiv->AB,int_stack+3148268,int_stack+3953803,int_stack+4818385,784);
 /*--- compute (lf|ii) ---*/
   hrr1_build_lf(Libderiv->AB,int_stack+4570315,int_stack+3148268,int_stack+4947745,784);
 /*--- compute (kg|ii) ---*/
   hrr1_build_kg(Libderiv->AB,int_stack+5770945,int_stack+4570315,int_stack+5159425,784);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4570315,int_stack+369460,int_stack+368676, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1007160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4572667,int_stack+370468,int_stack+369460, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1007944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4575691,int_stack+4572667,int_stack+4570315, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1221822, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4580395,int_stack+371728,int_stack+370468, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1008952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4584175,int_stack+4580395,int_stack+4572667, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1224174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4590223,int_stack+4584175,int_stack+4575691, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1227198, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+4570315,int_stack+373268,int_stack+371728, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1010212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+4598063,int_stack+4570315,int_stack+4580395, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1231902, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4605623,int_stack+4598063,int_stack+4584175, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1235682, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4574935,int_stack+4605623,int_stack+4590223, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1241730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+4586695,int_stack+375116,int_stack+373268, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1011752, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+4615703,int_stack+4586695,int_stack+4570315, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1249570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+4624943,int_stack+4615703,int_stack+4598063, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1254190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4637543,int_stack+4624943,int_stack+4605623, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1261750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+4592239,int_stack+4637543,int_stack+4574935, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1271830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+4570315,int_stack+377300,int_stack+375116, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1013600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+4652663,int_stack+4570315,int_stack+4586695, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1283590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+4570315,int_stack+4652663,int_stack+4615703, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1289134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+4652663,int_stack+4570315,int_stack+4624943, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1298374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+4570315,int_stack+4652663,int_stack+4637543, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1310974, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+4608703,int_stack+4570315,int_stack+4592239, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1326094, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4570315,int_stack+380856,int_stack+379848, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1029504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4573339,int_stack+382152,int_stack+380856, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1030512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4577227,int_stack+4573339,int_stack+4570315, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1342558, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4583275,int_stack+383772,int_stack+382152, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1031808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4588135,int_stack+4583275,int_stack+4573339, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1345582, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4595911,int_stack+4588135,int_stack+4577227, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1349470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+4570315,int_stack+385752,int_stack+383772, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1033428, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+4630655,int_stack+4570315,int_stack+4583275, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1355518, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4640375,int_stack+4630655,int_stack+4588135, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1360378, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4576255,int_stack+4640375,int_stack+4595911, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1368154, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+4591375,int_stack+388128,int_stack+385752, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1035408, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+4653335,int_stack+4591375,int_stack+4570315, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+4665215,int_stack+4653335,int_stack+4630655, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1402898, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4681415,int_stack+4665215,int_stack+4640375, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1412618, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+4630655,int_stack+4681415,int_stack+4576255, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1425578, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+4570315,int_stack+390936,int_stack+388128, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1037784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+4700855,int_stack+4570315,int_stack+4591375, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1440698, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+4570315,int_stack+4700855,int_stack+4653335, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1447826, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+4700855,int_stack+4570315,int_stack+4665215, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1459706, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+4570315,int_stack+4700855,int_stack+4681415, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1475906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+4651823,int_stack+4570315,int_stack+4630655, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1495346, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|ii) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+4680047,int_stack+4651823,int_stack+4608703,784);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4570315,int_stack+395472,int_stack+394212, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1058232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4574095,int_stack+397092,int_stack+395472, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1059492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4578955,int_stack+4574095,int_stack+4570315, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4586515,int_stack+399117,int_stack+397092, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1061112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4592590,int_stack+4586515,int_stack+4574095, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4602310,int_stack+4592590,int_stack+4578955, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+4570315,int_stack+401592,int_stack+399117, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1063137, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+4614910,int_stack+4570315,int_stack+4586515, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1610594, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4627060,int_stack+4614910,int_stack+4592590, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1616669, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4577740,int_stack+4627060,int_stack+4602310, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1626389, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+4596640,int_stack+404562,int_stack+401592, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1065612, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+4745903,int_stack+4596640,int_stack+4570315, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1638989, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+4760753,int_stack+4745903,int_stack+4614910, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1378234, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4781003,int_stack+4760753,int_stack+4627060, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1646414, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+4605550,int_stack+4781003,int_stack+4577740, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1662614, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+4570315,int_stack+408072,int_stack+404562, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1068582, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+4632010,int_stack+4570315,int_stack+4596640, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1390384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+4570315,int_stack+4632010,int_stack+4745903, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1681514, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+4805303,int_stack+4570315,int_stack+4760753, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1696364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+4570315,int_stack+4805303,int_stack+4781003, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1716614, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+4745903,int_stack+4570315,int_stack+4605550, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1740914, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|ii) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+4781183,int_stack+4745903,int_stack+4651823,784);
 /*--- compute (id|ii) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+4865855,int_stack+4781183,int_stack+4680047,784);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4570315,int_stack+413707,int_stack+412167, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1094142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4574935,int_stack+415687,int_stack+413707, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1095682, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4580875,int_stack+4574935,int_stack+4570315, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1516514, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4590115,int_stack+418162,int_stack+415687, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1097662, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4597540,int_stack+4590115,int_stack+4574935, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1521134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4609420,int_stack+4597540,int_stack+4580875, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1527074, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+4570315,int_stack+421187,int_stack+418162, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1100137, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+4624820,int_stack+4570315,int_stack+4590115, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1536314, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4639670,int_stack+4624820,int_stack+4597540, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1543739, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4579390,int_stack+4639670,int_stack+4609420, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1555619, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+4602490,int_stack+424817,int_stack+421187, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1103162, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+4659470,int_stack+4602490,int_stack+4570315, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1571019, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+4677620,int_stack+4659470,int_stack+4624820, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1580094, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4702370,int_stack+4677620,int_stack+4639670, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+4613380,int_stack+4702370,int_stack+4579390, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2019038, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+4570315,int_stack+429107,int_stack+424817, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1106792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+4997567,int_stack+4570315,int_stack+4602490, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1594944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+4570315,int_stack+4997567,int_stack+4659470, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2042138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+4997567,int_stack+4570315,int_stack+4677620, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2060288, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+4570315,int_stack+4997567,int_stack+4702370, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2085038, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+4997567,int_stack+4570315,int_stack+4613380, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2114738, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (lp|ii) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+4570315,int_stack+4997567,int_stack+4745903,784);
 /*--- compute (kd|ii) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+5040687,int_stack+4570315,int_stack+4781183,784);
 /*--- compute (if|ii) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+5210031,int_stack+5040687,int_stack+4865855,784);
 /*--- compute (n0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4676155,int_stack+435960,int_stack+434112, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1138032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4681699,int_stack+438336,int_stack+435960, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1139880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4688827,int_stack+4681699,int_stack+4676155, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1767374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4699915,int_stack+441306,int_stack+438336, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1142256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4708825,int_stack+4699915,int_stack+4681699, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1772918, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4723081,int_stack+4708825,int_stack+4688827, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1780046, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+4676155,int_stack+444936,int_stack+441306, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1145226, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+4741561,int_stack+4676155,int_stack+4699915, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1791134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4759381,int_stack+4741561,int_stack+4708825, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1800044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4687045,int_stack+4759381,int_stack+4723081, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1814300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+4714765,int_stack+449292,int_stack+444936, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1148856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+4783141,int_stack+4714765,int_stack+4676155, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1832780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+4804921,int_stack+4783141,int_stack+4741561, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1843670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4834621,int_stack+4804921,int_stack+4759381, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1861490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+4727833,int_stack+4834621,int_stack+4687045, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1885250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+4676155,int_stack+454440,int_stack+449292, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1153212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+4870261,int_stack+4676155,int_stack+4714765, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1912970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+4676155,int_stack+4870261,int_stack+4783141, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1926038, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+4870261,int_stack+4676155,int_stack+4804921, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1947818, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+4676155,int_stack+4870261,int_stack+4834621, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1977518, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+4766641,int_stack+4676155,int_stack+4727833, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2147078, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (mp|ii) ---*/
   hrr1_build_mp(Libderiv->AB,int_stack+4818385,int_stack+4766641,int_stack+4997567,784);
 /*--- compute (ld|ii) ---*/
   hrr1_build_ld(Libderiv->AB,int_stack+3148268,int_stack+4818385,int_stack+4570315,784);
 /*--- compute (kf|ii) ---*/
   hrr1_build_kf(Libderiv->AB,int_stack+3953803,int_stack+3148268,int_stack+5040687,784);
 /*--- compute (ig|ii) ---*/
   hrr1_build_ig(Libderiv->AB,int_stack+80550,int_stack+3953803,int_stack+5210031,784);
 /*--- compute (o0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4570315,int_stack+462630,int_stack+460446, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+706230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4576867,int_stack+465438,int_stack+462630, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+710598, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4585291,int_stack+4576867,int_stack+4570315, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4598395,int_stack+468948,int_stack+465438, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+716214, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4608925,int_stack+4598395,int_stack+4576867, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+48492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4625773,int_stack+4608925,int_stack+4585291, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56916, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+4570315,int_stack+473238,int_stack+468948, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+723234, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+4647613,int_stack+4570315,int_stack+4598395, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4668673,int_stack+4647613,int_stack+4608925, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2515166, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4583185,int_stack+4668673,int_stack+4625773, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2532014, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+4615945,int_stack+478386,int_stack+473238, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+731814, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+4696753,int_stack+4615945,int_stack+4570315, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2553854, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+4722493,int_stack+4696753,int_stack+4647613, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2566724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4947745,int_stack+4722493,int_stack+4668673, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2587784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+4631389,int_stack+4947745,int_stack+4583185, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2615864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+4570315,int_stack+484470,int_stack+478386, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+742110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+4989865,int_stack+4570315,int_stack+4615945, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2648624, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+4570315,int_stack+4989865,int_stack+4696753, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2664068, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+4989865,int_stack+4570315,int_stack+4722493, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2689808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+4570315,int_stack+4989865,int_stack+4947745, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3442459, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+4947745,int_stack+4570315,int_stack+4631389, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3484579, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (np|ii) ---*/
   hrr1_build_np(Libderiv->AB,int_stack+4570315,int_stack+4947745,int_stack+4766641,784);
 /*--- compute (md|ii) ---*/
   hrr1_build_md(Libderiv->AB,int_stack+4947745,int_stack+4570315,int_stack+4818385,784);
 /*--- compute (lf|ii) ---*/
   hrr1_build_lf(Libderiv->AB,int_stack+4570315,int_stack+4947745,int_stack+3148268,784);
 /*--- compute (kg|ii) ---*/
   hrr1_build_kg(Libderiv->AB,int_stack+4923115,int_stack+4570315,int_stack+3953803,784);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3953803,int_stack+492352,int_stack+491568, 0.0, zero_stack, 1.0, int_stack+1007160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3956155,int_stack+493360,int_stack+492352, 0.0, zero_stack, 1.0, int_stack+1007944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3959179,int_stack+3956155,int_stack+3953803, 0.0, zero_stack, 1.0, int_stack+1221822, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+3963883,int_stack+494620,int_stack+493360, 0.0, zero_stack, 1.0, int_stack+1008952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+3967663,int_stack+3963883,int_stack+3956155, 0.0, zero_stack, 1.0, int_stack+1224174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+3973711,int_stack+3967663,int_stack+3959179, 0.0, zero_stack, 1.0, int_stack+1227198, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+3953803,int_stack+496160,int_stack+494620, 0.0, zero_stack, 1.0, int_stack+1010212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+3981551,int_stack+3953803,int_stack+3963883, 0.0, zero_stack, 1.0, int_stack+1231902, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+3989111,int_stack+3981551,int_stack+3967663, 0.0, zero_stack, 1.0, int_stack+1235682, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+3958423,int_stack+3989111,int_stack+3973711, 0.0, zero_stack, 1.0, int_stack+1241730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+3970183,int_stack+498008,int_stack+496160, 0.0, zero_stack, 1.0, int_stack+1011752, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+3999191,int_stack+3970183,int_stack+3953803, 0.0, zero_stack, 1.0, int_stack+1249570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+4008431,int_stack+3999191,int_stack+3981551, 0.0, zero_stack, 1.0, int_stack+1254190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4021031,int_stack+4008431,int_stack+3989111, 0.0, zero_stack, 1.0, int_stack+1261750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+3975727,int_stack+4021031,int_stack+3958423, 0.0, zero_stack, 1.0, int_stack+1271830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+3953803,int_stack+500192,int_stack+498008, 0.0, zero_stack, 1.0, int_stack+1013600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+4036151,int_stack+3953803,int_stack+3970183, 0.0, zero_stack, 1.0, int_stack+1283590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+3953803,int_stack+4036151,int_stack+3999191, 0.0, zero_stack, 1.0, int_stack+1289134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+4036151,int_stack+3953803,int_stack+4008431, 0.0, zero_stack, 1.0, int_stack+1298374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+3953803,int_stack+4036151,int_stack+4021031, 0.0, zero_stack, 1.0, int_stack+1310974, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+3992191,int_stack+3953803,int_stack+3975727, 0.0, zero_stack, 1.0, int_stack+1326094, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3953803,int_stack+503748,int_stack+502740, 0.0, zero_stack, 1.0, int_stack+1029504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3956827,int_stack+505044,int_stack+503748, 0.0, zero_stack, 1.0, int_stack+1030512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3960715,int_stack+3956827,int_stack+3953803, 0.0, zero_stack, 1.0, int_stack+1342558, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+3966763,int_stack+506664,int_stack+505044, 0.0, zero_stack, 1.0, int_stack+1031808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+3971623,int_stack+3966763,int_stack+3956827, 0.0, zero_stack, 1.0, int_stack+1345582, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+3979399,int_stack+3971623,int_stack+3960715, 0.0, zero_stack, 1.0, int_stack+1349470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+3953803,int_stack+508644,int_stack+506664, 0.0, zero_stack, 1.0, int_stack+1033428, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+4014143,int_stack+3953803,int_stack+3966763, 0.0, zero_stack, 1.0, int_stack+1355518, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4023863,int_stack+4014143,int_stack+3971623, 0.0, zero_stack, 1.0, int_stack+1360378, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+3959743,int_stack+4023863,int_stack+3979399, 0.0, zero_stack, 1.0, int_stack+1368154, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+3974863,int_stack+511020,int_stack+508644, 0.0, zero_stack, 1.0, int_stack+1035408, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+4036823,int_stack+3974863,int_stack+3953803, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+4048703,int_stack+4036823,int_stack+4014143, 0.0, zero_stack, 1.0, int_stack+1402898, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4064903,int_stack+4048703,int_stack+4023863, 0.0, zero_stack, 1.0, int_stack+1412618, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+4014143,int_stack+4064903,int_stack+3959743, 0.0, zero_stack, 1.0, int_stack+1425578, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+3953803,int_stack+513828,int_stack+511020, 0.0, zero_stack, 1.0, int_stack+1037784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+4084343,int_stack+3953803,int_stack+3974863, 0.0, zero_stack, 1.0, int_stack+1440698, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+3953803,int_stack+4084343,int_stack+4036823, 0.0, zero_stack, 1.0, int_stack+1447826, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+4084343,int_stack+3953803,int_stack+4048703, 0.0, zero_stack, 1.0, int_stack+1459706, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+3953803,int_stack+4084343,int_stack+4064903, 0.0, zero_stack, 1.0, int_stack+1475906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+4035311,int_stack+3953803,int_stack+4014143, 0.0, zero_stack, 1.0, int_stack+1495346, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|ii) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+4063535,int_stack+4035311,int_stack+3992191,784);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3953803,int_stack+518364,int_stack+517104, 0.0, zero_stack, 1.0, int_stack+1058232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3957583,int_stack+519984,int_stack+518364, 0.0, zero_stack, 1.0, int_stack+1059492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3962443,int_stack+3957583,int_stack+3953803, 0.0, zero_stack, 1.0, int_stack+5940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+3970003,int_stack+522009,int_stack+519984, 0.0, zero_stack, 1.0, int_stack+1061112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+3976078,int_stack+3970003,int_stack+3957583, 0.0, zero_stack, 1.0, int_stack+9720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+3985798,int_stack+3976078,int_stack+3962443, 0.0, zero_stack, 1.0, int_stack+14580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+3953803,int_stack+524484,int_stack+522009, 0.0, zero_stack, 1.0, int_stack+1063137, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+3998398,int_stack+3953803,int_stack+3970003, 0.0, zero_stack, 1.0, int_stack+1610594, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4010548,int_stack+3998398,int_stack+3976078, 0.0, zero_stack, 1.0, int_stack+1616669, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+3961228,int_stack+4010548,int_stack+3985798, 0.0, zero_stack, 1.0, int_stack+1626389, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+3980128,int_stack+527454,int_stack+524484, 0.0, zero_stack, 1.0, int_stack+1065612, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+4129391,int_stack+3980128,int_stack+3953803, 0.0, zero_stack, 1.0, int_stack+1638989, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+4144241,int_stack+4129391,int_stack+3998398, 0.0, zero_stack, 1.0, int_stack+1378234, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4164491,int_stack+4144241,int_stack+4010548, 0.0, zero_stack, 1.0, int_stack+1646414, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+3989038,int_stack+4164491,int_stack+3961228, 0.0, zero_stack, 1.0, int_stack+1662614, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+3953803,int_stack+530964,int_stack+527454, 0.0, zero_stack, 1.0, int_stack+1068582, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+4015498,int_stack+3953803,int_stack+3980128, 0.0, zero_stack, 1.0, int_stack+1390384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+3953803,int_stack+4015498,int_stack+4129391, 0.0, zero_stack, 1.0, int_stack+1681514, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+4188791,int_stack+3953803,int_stack+4144241, 0.0, zero_stack, 1.0, int_stack+1696364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+3953803,int_stack+4188791,int_stack+4164491, 0.0, zero_stack, 1.0, int_stack+1716614, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+4129391,int_stack+3953803,int_stack+3989038, 0.0, zero_stack, 1.0, int_stack+1740914, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|ii) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+4570315,int_stack+4129391,int_stack+4035311,784);
 /*--- compute (id|ii) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+4654987,int_stack+4570315,int_stack+4063535,784);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3953803,int_stack+536599,int_stack+535059, 0.0, zero_stack, 1.0, int_stack+1094142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3958423,int_stack+538579,int_stack+536599, 0.0, zero_stack, 1.0, int_stack+1095682, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3964363,int_stack+3958423,int_stack+3953803, 0.0, zero_stack, 1.0, int_stack+1516514, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+3973603,int_stack+541054,int_stack+538579, 0.0, zero_stack, 1.0, int_stack+1097662, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+3981028,int_stack+3973603,int_stack+3958423, 0.0, zero_stack, 1.0, int_stack+1521134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+3992908,int_stack+3981028,int_stack+3964363, 0.0, zero_stack, 1.0, int_stack+1527074, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+3953803,int_stack+544079,int_stack+541054, 0.0, zero_stack, 1.0, int_stack+1100137, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+4008308,int_stack+3953803,int_stack+3973603, 0.0, zero_stack, 1.0, int_stack+1536314, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4023158,int_stack+4008308,int_stack+3981028, 0.0, zero_stack, 1.0, int_stack+1543739, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+3962878,int_stack+4023158,int_stack+3992908, 0.0, zero_stack, 1.0, int_stack+1555619, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+3985978,int_stack+547709,int_stack+544079, 0.0, zero_stack, 1.0, int_stack+1103162, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+4042958,int_stack+3985978,int_stack+3953803, 0.0, zero_stack, 1.0, int_stack+1571019, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+4061108,int_stack+4042958,int_stack+4008308, 0.0, zero_stack, 1.0, int_stack+1580094, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4085858,int_stack+4061108,int_stack+4023158, 0.0, zero_stack, 1.0, int_stack+22140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+3996868,int_stack+4085858,int_stack+3962878, 0.0, zero_stack, 1.0, int_stack+2019038, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+3953803,int_stack+551999,int_stack+547709, 0.0, zero_stack, 1.0, int_stack+1106792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+4164671,int_stack+3953803,int_stack+3985978, 0.0, zero_stack, 1.0, int_stack+1594944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+3953803,int_stack+4164671,int_stack+4042958, 0.0, zero_stack, 1.0, int_stack+2042138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+4164671,int_stack+3953803,int_stack+4061108, 0.0, zero_stack, 1.0, int_stack+2060288, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+3953803,int_stack+4164671,int_stack+4085858, 0.0, zero_stack, 1.0, int_stack+2085038, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+4164671,int_stack+3953803,int_stack+3996868, 0.0, zero_stack, 1.0, int_stack+2114738, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (lp|ii) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+3953803,int_stack+4164671,int_stack+4129391,784);
 /*--- compute (kd|ii) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+3148268,int_stack+3953803,int_stack+4570315,784);
 /*--- compute (if|ii) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+6194305,int_stack+3148268,int_stack+4654987,784);
 /*--- compute (n0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4570315,int_stack+558852,int_stack+557004, 0.0, zero_stack, 1.0, int_stack+1138032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4575859,int_stack+561228,int_stack+558852, 0.0, zero_stack, 1.0, int_stack+1139880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4582987,int_stack+4575859,int_stack+4570315, 0.0, zero_stack, 1.0, int_stack+1767374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4594075,int_stack+564198,int_stack+561228, 0.0, zero_stack, 1.0, int_stack+1142256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4602985,int_stack+4594075,int_stack+4575859, 0.0, zero_stack, 1.0, int_stack+1772918, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4617241,int_stack+4602985,int_stack+4582987, 0.0, zero_stack, 1.0, int_stack+1780046, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+4570315,int_stack+567828,int_stack+564198, 0.0, zero_stack, 1.0, int_stack+1145226, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+4635721,int_stack+4570315,int_stack+4594075, 0.0, zero_stack, 1.0, int_stack+1791134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4653541,int_stack+4635721,int_stack+4602985, 0.0, zero_stack, 1.0, int_stack+1800044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+4581205,int_stack+4653541,int_stack+4617241, 0.0, zero_stack, 1.0, int_stack+1814300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+4608925,int_stack+572184,int_stack+567828, 0.0, zero_stack, 1.0, int_stack+1148856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+4677301,int_stack+4608925,int_stack+4570315, 0.0, zero_stack, 1.0, int_stack+1832780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+4699081,int_stack+4677301,int_stack+4635721, 0.0, zero_stack, 1.0, int_stack+1843670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4728781,int_stack+4699081,int_stack+4653541, 0.0, zero_stack, 1.0, int_stack+1861490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+4621993,int_stack+4728781,int_stack+4581205, 0.0, zero_stack, 1.0, int_stack+1885250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+4570315,int_stack+577332,int_stack+572184, 0.0, zero_stack, 1.0, int_stack+1153212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+4764421,int_stack+4570315,int_stack+4608925, 0.0, zero_stack, 1.0, int_stack+1912970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+4570315,int_stack+4764421,int_stack+4677301, 0.0, zero_stack, 1.0, int_stack+1926038, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+4764421,int_stack+4570315,int_stack+4699081, 0.0, zero_stack, 1.0, int_stack+1947818, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+4570315,int_stack+4764421,int_stack+4728781, 0.0, zero_stack, 1.0, int_stack+1977518, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+4660801,int_stack+4570315,int_stack+4621993, 0.0, zero_stack, 1.0, int_stack+2147078, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (mp|ii) ---*/
   hrr1_build_mp(Libderiv->AB,int_stack+4712545,int_stack+4660801,int_stack+4164671,784);
 /*--- compute (ld|ii) ---*/
   hrr1_build_ld(Libderiv->AB,int_stack+6413825,int_stack+4712545,int_stack+3953803,784);
 /*--- compute (kf|ii) ---*/
   hrr1_build_kf(Libderiv->AB,int_stack+3953803,int_stack+6413825,int_stack+3148268,784);
 /*--- compute (ig|ii) ---*/
   hrr1_build_ig(Libderiv->AB,int_stack+6625505,int_stack+3953803,int_stack+6194305,784);
 /*--- compute (o0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+6194305,int_stack+585522,int_stack+583338, 0.0, zero_stack, 1.0, int_stack+706230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+6200857,int_stack+588330,int_stack+585522, 0.0, zero_stack, 1.0, int_stack+710598, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+6209281,int_stack+6200857,int_stack+6194305, 0.0, zero_stack, 1.0, int_stack+41940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+6222385,int_stack+591840,int_stack+588330, 0.0, zero_stack, 1.0, int_stack+716214, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+6232915,int_stack+6222385,int_stack+6200857, 0.0, zero_stack, 1.0, int_stack+48492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+6249763,int_stack+6232915,int_stack+6209281, 0.0, zero_stack, 1.0, int_stack+56916, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+6194305,int_stack+596130,int_stack+591840, 0.0, zero_stack, 1.0, int_stack+723234, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+6271603,int_stack+6194305,int_stack+6222385, 0.0, zero_stack, 1.0, int_stack+70020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+6292663,int_stack+6271603,int_stack+6232915, 0.0, zero_stack, 1.0, int_stack+2515166, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+6207175,int_stack+6292663,int_stack+6249763, 0.0, zero_stack, 1.0, int_stack+2532014, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+6239935,int_stack+601278,int_stack+596130, 0.0, zero_stack, 1.0, int_stack+731814, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+6320743,int_stack+6239935,int_stack+6194305, 0.0, zero_stack, 1.0, int_stack+2553854, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+6346483,int_stack+6320743,int_stack+6271603, 0.0, zero_stack, 1.0, int_stack+2566724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+3148268,int_stack+6346483,int_stack+6292663, 0.0, zero_stack, 1.0, int_stack+2587784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+6255379,int_stack+3148268,int_stack+6207175, 0.0, zero_stack, 1.0, int_stack+2615864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+6194305,int_stack+607362,int_stack+601278, 0.0, zero_stack, 1.0, int_stack+742110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+6381583,int_stack+6194305,int_stack+6239935, 0.0, zero_stack, 1.0, int_stack+2648624, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+6194305,int_stack+6381583,int_stack+6320743, 0.0, zero_stack, 1.0, int_stack+2664068, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+3190388,int_stack+6194305,int_stack+6346483, 0.0, zero_stack, 1.0, int_stack+2689808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+6194305,int_stack+3190388,int_stack+3148268, 0.0, zero_stack, 1.0, int_stack+3442459, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+3148268,int_stack+6194305,int_stack+6255379, 0.0, zero_stack, 1.0, int_stack+3484579, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (np|ii) ---*/
   hrr1_build_np(Libderiv->AB,int_stack+6194305,int_stack+3148268,int_stack+4660801,784);
 /*--- compute (md|ii) ---*/
   hrr1_build_md(Libderiv->AB,int_stack+3148268,int_stack+6194305,int_stack+4712545,784);
 /*--- compute (lf|ii) ---*/
   hrr1_build_lf(Libderiv->AB,int_stack+4570315,int_stack+3148268,int_stack+6413825,784);
 /*--- compute (kg|ii) ---*/
   hrr1_build_kg(Libderiv->AB,int_stack+6194305,int_stack+4570315,int_stack+3953803,784);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3953803,int_stack+615244,int_stack+614460, 1.0, int_stack+1007160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3956155,int_stack+616252,int_stack+615244, 1.0, int_stack+1007944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3959179,int_stack+3956155,int_stack+3953803, 1.0, int_stack+1221822, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+3963883,int_stack+617512,int_stack+616252, 1.0, int_stack+1008952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+3967663,int_stack+3963883,int_stack+3956155, 1.0, int_stack+1224174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+6617665,int_stack+3967663,int_stack+3959179, 1.0, int_stack+1227198, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+1221822,int_stack+619052,int_stack+617512, 1.0, int_stack+1010212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+3953803,int_stack+1221822,int_stack+3963883, 1.0, int_stack+1231902, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+3973711,int_stack+3953803,int_stack+3967663, 1.0, int_stack+1235682, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+1226442,int_stack+3973711,int_stack+6617665, 1.0, int_stack+1241730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+6617665,int_stack+620900,int_stack+619052, 1.0, int_stack+1011752, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+1238202,int_stack+6617665,int_stack+1221822, 1.0, int_stack+1249570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+3983791,int_stack+1238202,int_stack+3953803, 1.0, int_stack+1254190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+3953803,int_stack+3983791,int_stack+3973711, 1.0, int_stack+1261750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+1247442,int_stack+3953803,int_stack+1226442, 1.0, int_stack+1271830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+3968923,int_stack+623084,int_stack+620900, 1.0, int_stack+1013600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+1221822,int_stack+3968923,int_stack+6617665, 1.0, int_stack+1283590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+1263906,int_stack+1221822,int_stack+1238202, 1.0, int_stack+1289134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+1221822,int_stack+1263906,int_stack+3983791, 1.0, int_stack+1298374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+3968923,int_stack+1221822,int_stack+3953803, 1.0, int_stack+1310974, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+1221822,int_stack+3968923,int_stack+1247442, 1.0, int_stack+1326094, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3953803,int_stack+626640,int_stack+625632, 1.0, int_stack+1029504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3956827,int_stack+627936,int_stack+626640, 1.0, int_stack+1030512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3960715,int_stack+3956827,int_stack+3953803, 1.0, int_stack+1342558, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+3966763,int_stack+629556,int_stack+627936, 1.0, int_stack+1031808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+3971623,int_stack+3966763,int_stack+3956827, 1.0, int_stack+1345582, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+3979399,int_stack+3971623,int_stack+3960715, 1.0, int_stack+1349470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+1342558,int_stack+631536,int_stack+629556, 1.0, int_stack+1033428, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+3953803,int_stack+1342558,int_stack+3966763, 1.0, int_stack+1355518, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+3989479,int_stack+3953803,int_stack+3971623, 1.0, int_stack+1360378, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+1348498,int_stack+3989479,int_stack+3979399, 1.0, int_stack+1368154, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+1363618,int_stack+633912,int_stack+631536, 1.0, int_stack+1035408, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+3963523,int_stack+1363618,int_stack+1342558, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+4002439,int_stack+3963523,int_stack+3953803, 1.0, int_stack+1402898, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+4018639,int_stack+4002439,int_stack+3989479, 1.0, int_stack+1412618, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+3975403,int_stack+4018639,int_stack+1348498, 1.0, int_stack+1425578, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+3953803,int_stack+636720,int_stack+633912, 1.0, int_stack+1037784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+1342558,int_stack+3953803,int_stack+1363618, 1.0, int_stack+1440698, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+1356814,int_stack+1342558,int_stack+3963523, 1.0, int_stack+1447826, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+4038079,int_stack+1356814,int_stack+4002439, 1.0, int_stack+1459706, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+1342558,int_stack+4038079,int_stack+4018639, 1.0, int_stack+1475906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+3996571,int_stack+1342558,int_stack+3975403, 1.0, int_stack+1495346, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|ii) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+4024795,int_stack+3996571,int_stack+1221822,784);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1221822,int_stack+641256,int_stack+639996, 1.0, int_stack+1058232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1225602,int_stack+642876,int_stack+641256, 1.0, int_stack+1059492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1230462,int_stack+1225602,int_stack+1221822, 1.0, int_stack+5940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+1238022,int_stack+644901,int_stack+642876, 1.0, int_stack+1061112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+1238022,int_stack+1225602, 1.0, int_stack+9720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+1244097,int_stack+0,int_stack+1230462, 1.0, int_stack+14580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+9720,int_stack+647376,int_stack+644901, 1.0, int_stack+1063137, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+1221822,int_stack+9720,int_stack+1238022, 1.0, int_stack+1610594, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+1256697,int_stack+1221822,int_stack+0, 1.0, int_stack+1616669, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+1342558,int_stack+1256697,int_stack+1244097, 1.0, int_stack+1626389, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+0,int_stack+650346,int_stack+647376, 1.0, int_stack+1065612, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+1233972,int_stack+0,int_stack+9720, 1.0, int_stack+1638989, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+3953803,int_stack+1233972,int_stack+1221822, 1.0, int_stack+1378234, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+1361458,int_stack+3953803,int_stack+1256697, 1.0, int_stack+1646414, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+1248822,int_stack+1361458,int_stack+1342558, 1.0, int_stack+1662614, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+1342558,int_stack+653856,int_stack+650346, 1.0, int_stack+1068582, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+3974053,int_stack+1342558,int_stack+0, 1.0, int_stack+1390384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+4090651,int_stack+3974053,int_stack+1233972, 1.0, int_stack+1681514, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+4115401,int_stack+4090651,int_stack+3953803, 1.0, int_stack+1696364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+3953803,int_stack+4115401,int_stack+1361458, 1.0, int_stack+1716614, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+4090651,int_stack+3953803,int_stack+1248822, 1.0, int_stack+1740914, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|ii) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+4125931,int_stack+4090651,int_stack+3996571,784);
 /*--- compute (id|ii) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+4570315,int_stack+4125931,int_stack+4024795,784);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3953803,int_stack+659491,int_stack+657951, 1.0, int_stack+1094142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3958423,int_stack+661471,int_stack+659491, 1.0, int_stack+1095682, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3964363,int_stack+3958423,int_stack+3953803, 1.0, int_stack+1516514, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+3973603,int_stack+663946,int_stack+661471, 1.0, int_stack+1097662, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+3981028,int_stack+3973603,int_stack+3958423, 1.0, int_stack+1521134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+3992908,int_stack+3981028,int_stack+3964363, 1.0, int_stack+1527074, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+1516514,int_stack+666971,int_stack+663946, 1.0, int_stack+1100137, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+3953803,int_stack+1516514,int_stack+3973603, 1.0, int_stack+1536314, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4008308,int_stack+3953803,int_stack+3981028, 1.0, int_stack+1543739, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+1525589,int_stack+4008308,int_stack+3992908, 1.0, int_stack+1555619, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+1548689,int_stack+670601,int_stack+666971, 1.0, int_stack+1103162, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+3968653,int_stack+1548689,int_stack+1516514, 1.0, int_stack+1571019, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+4028108,int_stack+3968653,int_stack+3953803, 1.0, int_stack+1580094, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+1559579,int_stack+4028108,int_stack+4008308, 1.0, int_stack+22140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+3986803,int_stack+1559579,int_stack+1525589, 1.0, int_stack+2019038, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+3953803,int_stack+674891,int_stack+670601, 1.0, int_stack+1106792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+1516514,int_stack+3953803,int_stack+1548689, 1.0, int_stack+1594944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+4052858,int_stack+1516514,int_stack+3968653, 1.0, int_stack+2042138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+1516514,int_stack+4052858,int_stack+4028108, 1.0, int_stack+2060288, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+4019143,int_stack+1516514,int_stack+1559579, 1.0, int_stack+2085038, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+1516514,int_stack+4019143,int_stack+3986803, 1.0, int_stack+2114738, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (lp|ii) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+3953803,int_stack+1516514,int_stack+4090651,784);
 /*--- compute (kd|ii) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+4702027,int_stack+3953803,int_stack+4125931,784);
 /*--- compute (if|ii) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+3148268,int_stack+4702027,int_stack+4570315,784);
 /*--- compute (n0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4570315,int_stack+681744,int_stack+679896, 1.0, int_stack+1138032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4575859,int_stack+684120,int_stack+681744, 1.0, int_stack+1139880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4582987,int_stack+4575859,int_stack+4570315, 1.0, int_stack+1767374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+4594075,int_stack+687090,int_stack+684120, 1.0, int_stack+1142256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4602985,int_stack+4594075,int_stack+4575859, 1.0, int_stack+1772918, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+4617241,int_stack+4602985,int_stack+4582987, 1.0, int_stack+1780046, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+1767374,int_stack+690720,int_stack+687090, 1.0, int_stack+1145226, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+4570315,int_stack+1767374,int_stack+4594075, 1.0, int_stack+1791134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+4635721,int_stack+4570315,int_stack+4602985, 1.0, int_stack+1800044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+1778264,int_stack+4635721,int_stack+4617241, 1.0, int_stack+1814300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+1805984,int_stack+695076,int_stack+690720, 1.0, int_stack+1148856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+4588135,int_stack+1805984,int_stack+1767374, 1.0, int_stack+1832780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+4659481,int_stack+4588135,int_stack+4570315, 1.0, int_stack+1843670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+1819052,int_stack+4659481,int_stack+4635721, 1.0, int_stack+1861490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+4609915,int_stack+1819052,int_stack+1778264, 1.0, int_stack+1885250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+4570315,int_stack+700224,int_stack+695076, 1.0, int_stack+1153212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+1767374,int_stack+4570315,int_stack+1805984, 1.0, int_stack+1912970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+1854692,int_stack+1767374,int_stack+4588135, 1.0, int_stack+1926038, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+1767374,int_stack+1854692,int_stack+4659481, 1.0, int_stack+1947818, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+1854692,int_stack+1767374,int_stack+1819052, 1.0, int_stack+1977518, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (n0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+4871371,int_stack+1854692,int_stack+4609915, 1.0, int_stack+2147078, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,66);
 /*--- compute (mp|ii) ---*/
   hrr1_build_mp(Libderiv->AB,int_stack+1767374,int_stack+4871371,int_stack+1516514,784);
 /*--- compute (ld|ii) ---*/
   hrr1_build_ld(Libderiv->AB,int_stack+409830,int_stack+1767374,int_stack+3953803,784);
 /*--- compute (kf|ii) ---*/
   hrr1_build_kf(Libderiv->AB,int_stack+3953803,int_stack+409830,int_stack+4702027,784);
 /*--- compute (ig|ii) ---*/
   hrr1_build_ig(Libderiv->AB,int_stack+6954785,int_stack+3953803,int_stack+3148268,784);
 /*--- compute (o0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3148268,int_stack+713406,int_stack+708414, 1.0, int_stack+706230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3154820,int_stack+719724,int_stack+713406, 1.0, int_stack+710598, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3163244,int_stack+3154820,int_stack+3148268, 1.0, int_stack+41940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+3176348,int_stack+727524,int_stack+719724, 1.0, int_stack+716214, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+3186878,int_stack+3176348,int_stack+3154820, 1.0, int_stack+48492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+3203726,int_stack+3186878,int_stack+3163244, 1.0, int_stack+56916, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+3148268,int_stack+736962,int_stack+727524, 1.0, int_stack+723234, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+3225566,int_stack+3148268,int_stack+3176348, 1.0, int_stack+70020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+3246626,int_stack+3225566,int_stack+3186878, 1.0, int_stack+2515166, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+3161138,int_stack+3246626,int_stack+3203726, 1.0, int_stack+2532014, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+2515166,int_stack+748194,int_stack+736962, 1.0, int_stack+731814, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+3193898,int_stack+2515166,int_stack+3148268, 1.0, int_stack+2553854, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+2530610,int_stack+3193898,int_stack+3225566, 1.0, int_stack+2566724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+3274706,int_stack+2530610,int_stack+3246626, 1.0, int_stack+2587784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+2565710,int_stack+3274706,int_stack+3161138, 1.0, int_stack+2615864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+3148268,int_stack+754278,int_stack+748194, 1.0, int_stack+742110, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+2611574,int_stack+3148268,int_stack+2515166, 1.0, int_stack+2648624, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+3148268,int_stack+2611574,int_stack+3193898, 1.0, int_stack+2664068, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+2611574,int_stack+3148268,int_stack+2530610, 1.0, int_stack+2689808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+3148268,int_stack+2611574,int_stack+3274706, 1.0, int_stack+3442459, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (o0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+2611574,int_stack+3148268,int_stack+2565710, 1.0, int_stack+3484579, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,78);
 /*--- compute (np|ii) ---*/
   hrr1_build_np(Libderiv->AB,int_stack+3148268,int_stack+2611574,int_stack+4871371,784);
 /*--- compute (md|ii) ---*/
   hrr1_build_md(Libderiv->AB,int_stack+4570315,int_stack+3148268,int_stack+1767374,784);
 /*--- compute (lf|ii) ---*/
   hrr1_build_lf(Libderiv->AB,int_stack+3148268,int_stack+4570315,int_stack+409830,784);
 /*--- compute (kg|ii) ---*/
   hrr1_build_kg(Libderiv->AB,int_stack+7284065,int_stack+3148268,int_stack+3953803,784);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+3953803,int_stack+1015784,int_stack+1013600,28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+3960355,int_stack+3953803,int_stack+1283590,28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+3971443,int_stack+3960355,int_stack+1289134,28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+3986843,int_stack+3971443,int_stack+1298374,28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+3953803,int_stack+3986843,int_stack+1310974,28);
 /*--- compute (i0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+3974971,int_stack+3953803,int_stack+1326094,28);
 /*--- compute (k0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+3953803,int_stack+1040592,int_stack+1037784,36);
 /*--- compute (k0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+3996923,int_stack+3953803,int_stack+1440698,36);
 /*--- compute (k0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+3953803,int_stack+3996923,int_stack+1447826,36);
 /*--- compute (k0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+3996923,int_stack+3953803,int_stack+1459706,36);
 /*--- compute (k0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+4021223,int_stack+3996923,int_stack+1475906,36);
 /*--- compute (k0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+4048439,int_stack+4021223,int_stack+1495346,36);
 /*--- compute (ip|ii) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+4076663,int_stack+4048439,int_stack+3974971,784);
 /*--- compute (l0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+3996923,int_stack+1072092,int_stack+1068582,45);
 /*--- compute (l0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+4007453,int_stack+3996923,int_stack+1390384,45);
 /*--- compute (l0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+4142519,int_stack+4007453,int_stack+1681514,45);
 /*--- compute (l0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+3996923,int_stack+4142519,int_stack+1696364,45);
 /*--- compute (l0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+4142519,int_stack+3996923,int_stack+1716614,45);
 /*--- compute (l0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+3996923,int_stack+4142519,int_stack+1740914,45);
 /*--- compute (kp|ii) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+4142519,int_stack+3996923,int_stack+4048439,784);
 /*--- compute (id|ii) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+3148268,int_stack+4142519,int_stack+4076663,784);
 /*--- compute (m0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+4227191,int_stack+1111082,int_stack+1106792,55);
 /*--- compute (m0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+3279980,int_stack+4227191,int_stack+1594944,55);
 /*--- compute (m0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+3301760,int_stack+3279980,int_stack+2042138,55);
 /*--- compute (m0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+3332010,int_stack+3301760,int_stack+2060288,55);
 /*--- compute (m0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+3279980,int_stack+3332010,int_stack+2085038,55);
 /*--- compute (m0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+3321560,int_stack+3279980,int_stack+2114738,55);
 /*--- compute (lp|ii) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+3364680,int_stack+3321560,int_stack+3996923,784);
 /*--- compute (kd|ii) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+409830,int_stack+3364680,int_stack+4142519,784);
 /*--- compute (if|ii) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+4570315,int_stack+409830,int_stack+3148268,784);
 /*--- compute (n0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+3279980,int_stack+1158360,int_stack+1153212,66);
 /*--- compute (n0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+3295424,int_stack+3279980,int_stack+1912970,66);
 /*--- compute (n0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+3470520,int_stack+3295424,int_stack+1926038,66);
 /*--- compute (n0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+579174,int_stack+3470520,int_stack+1947818,66);
 /*--- compute (n0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+3470520,int_stack+579174,int_stack+1977518,66);
 /*--- compute (n0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+579174,int_stack+3470520,int_stack+2147078,66);
 /*--- compute (mp|ii) ---*/
   hrr1_build_mp(Libderiv->AB,int_stack+630918,int_stack+579174,int_stack+3321560,784);
 /*--- compute (ld|ii) ---*/
   hrr1_build_ld(Libderiv->AB,int_stack+1221822,int_stack+630918,int_stack+3364680,784);
 /*--- compute (kf|ii) ---*/
   hrr1_build_kf(Libderiv->AB,int_stack+1433502,int_stack+1221822,int_stack+409830,784);
 /*--- compute (ig|ii) ---*/
   hrr1_build_ig(Libderiv->AB,int_stack+1715742,int_stack+1433502,int_stack+4570315,784);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+3470520,int_stack+762160,int_stack+761376,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3472872,int_stack+763168,int_stack+762160,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+3475896,int_stack+3472872,int_stack+3470520,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+3480600,int_stack+764428,int_stack+763168,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+3484380,int_stack+3480600,int_stack+3472872,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+6617665,int_stack+3484380,int_stack+3475896,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+3470520,int_stack+765968,int_stack+764428,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+3490428,int_stack+3470520,int_stack+3480600,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+3497988,int_stack+3490428,int_stack+3484380,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+3475140,int_stack+3497988,int_stack+6617665,28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+6617665,int_stack+767816,int_stack+765968,28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+3508068,int_stack+6617665,int_stack+3470520,28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+3517308,int_stack+3508068,int_stack+3490428,28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+3279980,int_stack+3517308,int_stack+3497988,28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+3486900,int_stack+3279980,int_stack+3475140,28);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+3470520,int_stack+770000,int_stack+767816,28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+760278,int_stack+3470520,int_stack+6617665,28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+3470520,int_stack+760278,int_stack+3508068,28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+3295100,int_stack+3470520,int_stack+3517308,28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+3953803,int_stack+3295100,int_stack+3279980,28);
 /*--- compute (i0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+3279980,int_stack+3953803,int_stack+3486900,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+3953803,int_stack+773556,int_stack+772548,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3956827,int_stack+774852,int_stack+773556,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+3960715,int_stack+3956827,int_stack+3953803,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+3966763,int_stack+776472,int_stack+774852,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+3301932,int_stack+3966763,int_stack+3956827,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+3309708,int_stack+3301932,int_stack+3960715,36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+3953803,int_stack+778452,int_stack+776472,36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+3470520,int_stack+3953803,int_stack+3966763,36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+3959743,int_stack+3470520,int_stack+3301932,36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+3480240,int_stack+3959743,int_stack+3309708,36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+3301932,int_stack+780828,int_stack+778452,36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+3309060,int_stack+3301932,int_stack+3953803,36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+3495360,int_stack+3309060,int_stack+3470520,36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+760278,int_stack+3495360,int_stack+3959743,36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+3953803,int_stack+760278,int_stack+3480240,36);
 /*--- compute (k0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+3470520,int_stack+783636,int_stack+780828,36);
 /*--- compute (k0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+3478944,int_stack+3470520,int_stack+3301932,36);
 /*--- compute (k0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+4789835,int_stack+3478944,int_stack+3309060,36);
 /*--- compute (k0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+3470520,int_stack+4789835,int_stack+3495360,36);
 /*--- compute (k0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+4789835,int_stack+3470520,int_stack+760278,36);
 /*--- compute (k0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+3470520,int_stack+4789835,int_stack+3953803,36);
 /*--- compute (ip|ii) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+4789835,int_stack+3470520,int_stack+3279980, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3974971, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+3279980,int_stack+788172,int_stack+786912,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3283760,int_stack+789792,int_stack+788172,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+3288620,int_stack+3283760,int_stack+3279980,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+3296180,int_stack+791817,int_stack+789792,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+3302255,int_stack+3296180,int_stack+3283760,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+3953803,int_stack+3302255,int_stack+3288620,45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+3279980,int_stack+794292,int_stack+791817,45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+4855691,int_stack+3279980,int_stack+3296180,45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+4867841,int_stack+4855691,int_stack+3302255,45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+3287405,int_stack+4867841,int_stack+3953803,45);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+3953803,int_stack+797262,int_stack+794292,45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+3306305,int_stack+3953803,int_stack+3279980,45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+4884041,int_stack+3306305,int_stack+4855691,45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+760278,int_stack+4884041,int_stack+4867841,45);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+4855691,int_stack+760278,int_stack+3287405,45);
 /*--- compute (l0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+3279980,int_stack+800772,int_stack+797262,45);
 /*--- compute (l0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+4904291,int_stack+3279980,int_stack+3953803,45);
 /*--- compute (l0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+3279980,int_stack+4904291,int_stack+3306305,45);
 /*--- compute (l0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+3498744,int_stack+3279980,int_stack+4884041,45);
 /*--- compute (l0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+3279980,int_stack+3498744,int_stack+760278,45);
 /*--- compute (l0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+760278,int_stack+3279980,int_stack+4855691,45);
 /*--- compute (kp|ii) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+2515166,int_stack+760278,int_stack+3470520, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4048439, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (id|ii) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+2045022,int_stack+2515166,int_stack+4789835, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4076663, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+4789835,int_stack+806407,int_stack+804867,55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+4794455,int_stack+808387,int_stack+806407,55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+4800395,int_stack+4794455,int_stack+4789835,55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+4809635,int_stack+810862,int_stack+808387,55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+4817060,int_stack+4809635,int_stack+4794455,55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+4828940,int_stack+4817060,int_stack+4800395,55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+4789835,int_stack+813887,int_stack+810862,55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+4844340,int_stack+4789835,int_stack+4809635,55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+4859190,int_stack+4844340,int_stack+4817060,55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+4798910,int_stack+4859190,int_stack+4828940,55);
 /*--- compute (m0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+4822010,int_stack+817517,int_stack+813887,55);
 /*--- compute (m0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+4878990,int_stack+4822010,int_stack+4789835,55);
 /*--- compute (m0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+4897140,int_stack+4878990,int_stack+4844340,55);
 /*--- compute (m0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+3470520,int_stack+4897140,int_stack+4859190,55);
 /*--- compute (m0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+4832900,int_stack+3470520,int_stack+4798910,55);
 /*--- compute (m0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+4789835,int_stack+821807,int_stack+817517,55);
 /*--- compute (m0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+3500220,int_stack+4789835,int_stack+4822010,55);
 /*--- compute (m0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+4789835,int_stack+3500220,int_stack+4878990,55);
 /*--- compute (m0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+3279980,int_stack+4789835,int_stack+4897140,55);
 /*--- compute (m0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+4789835,int_stack+3279980,int_stack+3470520,55);
 /*--- compute (m0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+3470520,int_stack+4789835,int_stack+4832900,55);
 /*--- compute (lp|ii) ---*/
   d1hrr1_build_lp(Libderiv->AB,int_stack+4789835,int_stack+3470520,int_stack+760278, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3996923, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (kd|ii) ---*/
   d1hrr1_build_kd(Libderiv->AB,int_stack+7707425,int_stack+4789835,int_stack+2515166, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4142519, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (if|ii) ---*/
   d1hrr1_build_if(Libderiv->AB,int_stack+7876769,int_stack+7707425,int_stack+2045022, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3148268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (n0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+2045022,int_stack+828660,int_stack+826812,66);
 /*--- compute (n0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+2050566,int_stack+831036,int_stack+828660,66);
 /*--- compute (n0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+2057694,int_stack+2050566,int_stack+2045022,66);
 /*--- compute (n0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+2068782,int_stack+834006,int_stack+831036,66);
 /*--- compute (n0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+2077692,int_stack+2068782,int_stack+2050566,66);
 /*--- compute (n0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+2091948,int_stack+2077692,int_stack+2057694,66);
 /*--- compute (n0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+2045022,int_stack+837636,int_stack+834006,66);
 /*--- compute (n0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+2110428,int_stack+2045022,int_stack+2068782,66);
 /*--- compute (n0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+2128248,int_stack+2110428,int_stack+2077692,66);
 /*--- compute (n0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+2055912,int_stack+2128248,int_stack+2091948,66);
 /*--- compute (n0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+2083632,int_stack+841992,int_stack+837636,66);
 /*--- compute (n0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+2152008,int_stack+2083632,int_stack+2045022,66);
 /*--- compute (n0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+2515166,int_stack+2152008,int_stack+2110428,66);
 /*--- compute (n0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+2544866,int_stack+2515166,int_stack+2128248,66);
 /*--- compute (n0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+2096700,int_stack+2544866,int_stack+2055912,66);
 /*--- compute (n0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+2045022,int_stack+847140,int_stack+841992,66);
 /*--- compute (n0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+2580506,int_stack+2045022,int_stack+2083632,66);
 /*--- compute (n0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+2045022,int_stack+2580506,int_stack+2152008,66);
 /*--- compute (n0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+2580506,int_stack+2045022,int_stack+2515166,66);
 /*--- compute (n0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+2045022,int_stack+2580506,int_stack+2544866,66);
 /*--- compute (n0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+2515166,int_stack+2045022,int_stack+2096700,66);
 /*--- compute (mp|ii) ---*/
   d1hrr1_build_mp(Libderiv->AB,int_stack+2045022,int_stack+2515166,int_stack+3470520, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3321560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (ld|ii) ---*/
   d1hrr1_build_ld(Libderiv->AB,int_stack+8096289,int_stack+2045022,int_stack+4789835, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3364680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (kf|ii) ---*/
   d1hrr1_build_kf(Libderiv->AB,int_stack+8307969,int_stack+8096289,int_stack+7707425, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+409830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (ig|ii) ---*/
   d1hrr1_build_ig(Libderiv->AB,int_stack+8590209,int_stack+8307969,int_stack+7876769, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4570315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (o0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+7707425,int_stack+855330,int_stack+853146,78);
 /*--- compute (o0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+7713977,int_stack+858138,int_stack+855330,78);
 /*--- compute (o0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+7722401,int_stack+7713977,int_stack+7707425,78);
 /*--- compute (o0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+7735505,int_stack+861648,int_stack+858138,78);
 /*--- compute (o0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+7746035,int_stack+7735505,int_stack+7713977,78);
 /*--- compute (o0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+7762883,int_stack+7746035,int_stack+7722401,78);
 /*--- compute (o0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+7707425,int_stack+865938,int_stack+861648,78);
 /*--- compute (o0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+7784723,int_stack+7707425,int_stack+7735505,78);
 /*--- compute (o0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+7805783,int_stack+7784723,int_stack+7746035,78);
 /*--- compute (o0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+7720295,int_stack+7805783,int_stack+7762883,78);
 /*--- compute (o0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+7753055,int_stack+871086,int_stack+865938,78);
 /*--- compute (o0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+7833863,int_stack+7753055,int_stack+7707425,78);
 /*--- compute (o0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+7859603,int_stack+7833863,int_stack+7784723,78);
 /*--- compute (o0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+7894703,int_stack+7859603,int_stack+7805783,78);
 /*--- compute (o0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+7768499,int_stack+7894703,int_stack+7720295,78);
 /*--- compute (o0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+7707425,int_stack+877170,int_stack+871086,78);
 /*--- compute (o0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+7936823,int_stack+7707425,int_stack+7753055,78);
 /*--- compute (o0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+7707425,int_stack+7936823,int_stack+7833863,78);
 /*--- compute (o0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+7936823,int_stack+7707425,int_stack+7859603,78);
 /*--- compute (o0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+7707425,int_stack+7936823,int_stack+7894703,78);
 /*--- compute (o0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+7814363,int_stack+7707425,int_stack+7768499,78);
 /*--- compute (np|ii) ---*/
   d1hrr1_build_np(Libderiv->AB,int_stack+7875515,int_stack+7814363,int_stack+2515166, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+579174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (md|ii) ---*/
   d1hrr1_build_md(Libderiv->AB,int_stack+8919489,int_stack+7875515,int_stack+2045022, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+630918, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (lf|ii) ---*/
   d1hrr1_build_lf(Libderiv->AB,int_stack+7707425,int_stack+8919489,int_stack+8096289, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1221822, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (kg|ii) ---*/
   d1hrr1_build_kg(Libderiv->AB,int_stack+8919489,int_stack+7707425,int_stack+8307969, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1433502, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+7707425,int_stack+885052,int_stack+884268,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+7709777,int_stack+886060,int_stack+885052,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+7712801,int_stack+7709777,int_stack+7707425,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+7717505,int_stack+887320,int_stack+886060,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+7721285,int_stack+7717505,int_stack+7709777,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+6617665,int_stack+7721285,int_stack+7712801,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+7707425,int_stack+888860,int_stack+887320,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+7727333,int_stack+7707425,int_stack+7717505,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+7734893,int_stack+7727333,int_stack+7721285,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+7712045,int_stack+7734893,int_stack+6617665,28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+6617665,int_stack+890708,int_stack+888860,28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+7744973,int_stack+6617665,int_stack+7707425,28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+7754213,int_stack+7744973,int_stack+7727333,28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+7766813,int_stack+7754213,int_stack+7734893,28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+7723805,int_stack+7766813,int_stack+7712045,28);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+7707425,int_stack+892892,int_stack+890708,28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+7781933,int_stack+7707425,int_stack+6617665,28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+7707425,int_stack+7781933,int_stack+7744973,28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+7781933,int_stack+7707425,int_stack+7754213,28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+3953803,int_stack+7781933,int_stack+7766813,28);
 /*--- compute (i0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+7740269,int_stack+3953803,int_stack+7723805,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+3953803,int_stack+896448,int_stack+895440,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3956827,int_stack+897744,int_stack+896448,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+3960715,int_stack+3956827,int_stack+3953803,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+3966763,int_stack+899364,int_stack+897744,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+7707425,int_stack+3966763,int_stack+3956827,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+7715201,int_stack+7707425,int_stack+3960715,36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+3953803,int_stack+901344,int_stack+899364,36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+7725281,int_stack+3953803,int_stack+3966763,36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+3959743,int_stack+7725281,int_stack+7707425,36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+7762221,int_stack+3959743,int_stack+7715201,36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+7707425,int_stack+903720,int_stack+901344,36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+7777341,int_stack+7707425,int_stack+3953803,36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+7789221,int_stack+7777341,int_stack+7725281,36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+7714553,int_stack+7789221,int_stack+3959743,36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+3953803,int_stack+7714553,int_stack+7762221,36);
 /*--- compute (k0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+7762221,int_stack+906528,int_stack+903720,36);
 /*--- compute (k0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+7805421,int_stack+7762221,int_stack+7707425,36);
 /*--- compute (k0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+7819677,int_stack+7805421,int_stack+7777341,36);
 /*--- compute (k0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+7762221,int_stack+7819677,int_stack+7789221,36);
 /*--- compute (k0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+7786521,int_stack+7762221,int_stack+7714553,36);
 /*--- compute (k0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+7707425,int_stack+7786521,int_stack+3953803,36);
 /*--- compute (ip|ii) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+7762221,int_stack+7707425,int_stack+7740269, 0.0, zero_stack, 1.0, int_stack+3974971, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+3953803,int_stack+911064,int_stack+909804,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3957583,int_stack+912684,int_stack+911064,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+3962443,int_stack+3957583,int_stack+3953803,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+7828077,int_stack+914709,int_stack+912684,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+7834152,int_stack+7828077,int_stack+3957583,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+7843872,int_stack+7834152,int_stack+3962443,45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+3953803,int_stack+917184,int_stack+914709,45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+3961228,int_stack+3953803,int_stack+7828077,45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+7856472,int_stack+3961228,int_stack+7834152,45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+7872672,int_stack+7856472,int_stack+7843872,45);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+7828077,int_stack+920154,int_stack+917184,45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+7836987,int_stack+7828077,int_stack+3953803,45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+7891572,int_stack+7836987,int_stack+3961228,45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+7911822,int_stack+7891572,int_stack+7856472,45);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+7936122,int_stack+7911822,int_stack+7872672,45);
 /*--- compute (l0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+3953803,int_stack+923664,int_stack+920154,45);
 /*--- compute (l0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+7851837,int_stack+3953803,int_stack+7828077,45);
 /*--- compute (l0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+7962582,int_stack+7851837,int_stack+7836987,45);
 /*--- compute (l0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+7828077,int_stack+7962582,int_stack+7891572,45);
 /*--- compute (l0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+7962582,int_stack+7828077,int_stack+7911822,45);
 /*--- compute (l0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+7828077,int_stack+7962582,int_stack+7936122,45);
 /*--- compute (kp|ii) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+7863357,int_stack+7828077,int_stack+7707425, 0.0, zero_stack, 1.0, int_stack+4048439, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (id|ii) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+7948029,int_stack+7863357,int_stack+7762221, 0.0, zero_stack, 1.0, int_stack+4076663, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+7707425,int_stack+929299,int_stack+927759,55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+7712045,int_stack+931279,int_stack+929299,55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+7717985,int_stack+7712045,int_stack+7707425,55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+7727225,int_stack+933754,int_stack+931279,55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+7734650,int_stack+7727225,int_stack+7712045,55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+7746530,int_stack+7734650,int_stack+7717985,55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+7707425,int_stack+936779,int_stack+933754,55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+7761930,int_stack+7707425,int_stack+7727225,55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+7776780,int_stack+7761930,int_stack+7734650,55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+7716500,int_stack+7776780,int_stack+7746530,55);
 /*--- compute (m0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+7739600,int_stack+940409,int_stack+936779,55);
 /*--- compute (m0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+7796580,int_stack+7739600,int_stack+7707425,55);
 /*--- compute (m0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+8079741,int_stack+7796580,int_stack+7761930,55);
 /*--- compute (m0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+8104491,int_stack+8079741,int_stack+7776780,55);
 /*--- compute (m0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+7750490,int_stack+8104491,int_stack+7716500,55);
 /*--- compute (m0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+7707425,int_stack+944699,int_stack+940409,55);
 /*--- compute (m0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+8134191,int_stack+7707425,int_stack+7739600,55);
 /*--- compute (m0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+7707425,int_stack+8134191,int_stack+7796580,55);
 /*--- compute (m0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+8134191,int_stack+7707425,int_stack+8079741,55);
 /*--- compute (m0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+3279980,int_stack+8134191,int_stack+8104491,55);
 /*--- compute (m0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+8079741,int_stack+3279980,int_stack+7750490,55);
 /*--- compute (lp|ii) ---*/
   d1hrr1_build_lp(Libderiv->AB,int_stack+8122861,int_stack+8079741,int_stack+7828077, 0.0, zero_stack, 1.0, int_stack+3996923, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (kd|ii) ---*/
   d1hrr1_build_kd(Libderiv->AB,int_stack+8228701,int_stack+8122861,int_stack+7863357, 0.0, zero_stack, 1.0, int_stack+4142519, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (if|ii) ---*/
   d1hrr1_build_if(Libderiv->AB,int_stack+7707425,int_stack+8228701,int_stack+7948029, 0.0, zero_stack, 1.0, int_stack+3148268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (n0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+3279980,int_stack+951552,int_stack+949704,66);
 /*--- compute (n0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3285524,int_stack+953928,int_stack+951552,66);
 /*--- compute (n0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+3292652,int_stack+3285524,int_stack+3279980,66);
 /*--- compute (n0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+3303740,int_stack+956898,int_stack+953928,66);
 /*--- compute (n0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+8398045,int_stack+3303740,int_stack+3285524,66);
 /*--- compute (n0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+8412301,int_stack+8398045,int_stack+3292652,66);
 /*--- compute (n0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+3279980,int_stack+960528,int_stack+956898,66);
 /*--- compute (n0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+8430781,int_stack+3279980,int_stack+3303740,66);
 /*--- compute (n0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+3290870,int_stack+8430781,int_stack+8398045,66);
 /*--- compute (n0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+8448601,int_stack+3290870,int_stack+8412301,66);
 /*--- compute (n0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+8398045,int_stack+964884,int_stack+960528,66);
 /*--- compute (n0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+8476321,int_stack+8398045,int_stack+3279980,66);
 /*--- compute (n0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+8498101,int_stack+8476321,int_stack+8430781,66);
 /*--- compute (n0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+8411113,int_stack+8498101,int_stack+3290870,66);
 /*--- compute (n0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+3279980,int_stack+8411113,int_stack+8448601,66);
 /*--- compute (n0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+8446753,int_stack+970032,int_stack+964884,66);
 /*--- compute (n0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+8527801,int_stack+8446753,int_stack+8398045,66);
 /*--- compute (n0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+7926945,int_stack+8527801,int_stack+8476321,66);
 /*--- compute (n0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+8527801,int_stack+7926945,int_stack+8498101,66);
 /*--- compute (n0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+7926945,int_stack+8527801,int_stack+8411113,66);
 /*--- compute (n0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+7976841,int_stack+7926945,int_stack+3279980,66);
 /*--- compute (mp|ii) ---*/
   d1hrr1_build_mp(Libderiv->AB,int_stack+8398045,int_stack+7976841,int_stack+8079741, 0.0, zero_stack, 1.0, int_stack+3321560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (ld|ii) ---*/
   d1hrr1_build_ld(Libderiv->AB,int_stack+760278,int_stack+8398045,int_stack+8122861, 0.0, zero_stack, 1.0, int_stack+3364680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (kf|ii) ---*/
   d1hrr1_build_kf(Libderiv->AB,int_stack+9342849,int_stack+760278,int_stack+8228701, 0.0, zero_stack, 1.0, int_stack+409830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (ig|ii) ---*/
   d1hrr1_build_ig(Libderiv->AB,int_stack+8028585,int_stack+9342849,int_stack+7707425, 0.0, zero_stack, 1.0, int_stack+4570315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (o0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+7707425,int_stack+978222,int_stack+976038,78);
 /*--- compute (o0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+7713977,int_stack+981030,int_stack+978222,78);
 /*--- compute (o0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+7722401,int_stack+7713977,int_stack+7707425,78);
 /*--- compute (o0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+7735505,int_stack+984540,int_stack+981030,78);
 /*--- compute (o0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+7746035,int_stack+7735505,int_stack+7713977,78);
 /*--- compute (o0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+7762883,int_stack+7746035,int_stack+7722401,78);
 /*--- compute (o0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+7707425,int_stack+988830,int_stack+984540,78);
 /*--- compute (o0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+7784723,int_stack+7707425,int_stack+7735505,78);
 /*--- compute (o0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+7805783,int_stack+7784723,int_stack+7746035,78);
 /*--- compute (o0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+7720295,int_stack+7805783,int_stack+7762883,78);
 /*--- compute (o0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+7753055,int_stack+993978,int_stack+988830,78);
 /*--- compute (o0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+7833863,int_stack+7753055,int_stack+7707425,78);
 /*--- compute (o0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+7859603,int_stack+7833863,int_stack+7784723,78);
 /*--- compute (o0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+7894703,int_stack+7859603,int_stack+7805783,78);
 /*--- compute (o0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+7768499,int_stack+7894703,int_stack+7720295,78);
 /*--- compute (o0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+7707425,int_stack+1000062,int_stack+993978,78);
 /*--- compute (o0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+7936823,int_stack+7707425,int_stack+7753055,78);
 /*--- compute (o0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+7707425,int_stack+7936823,int_stack+7833863,78);
 /*--- compute (o0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+8527405,int_stack+7707425,int_stack+7859603,78);
 /*--- compute (o0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+7707425,int_stack+8527405,int_stack+7894703,78);
 /*--- compute (o0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+8527405,int_stack+7707425,int_stack+7768499,78);
 /*--- compute (np|ii) ---*/
   d1hrr1_build_np(Libderiv->AB,int_stack+7707425,int_stack+8527405,int_stack+7976841, 0.0, zero_stack, 1.0, int_stack+579174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (md|ii) ---*/
   d1hrr1_build_md(Libderiv->AB,int_stack+9625089,int_stack+7707425,int_stack+8398045, 0.0, zero_stack, 1.0, int_stack+630918, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (lf|ii) ---*/
   d1hrr1_build_lf(Libderiv->AB,int_stack+9883809,int_stack+9625089,int_stack+760278, 0.0, zero_stack, 1.0, int_stack+1221822, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (kg|ii) ---*/
   d1hrr1_build_kg(Libderiv->AB,int_stack+10236609,int_stack+9883809,int_stack+9342849, 0.0, zero_stack, 1.0, int_stack+1433502, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+9342849,int_stack+1019116,int_stack+1018332,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+9345201,int_stack+1020124,int_stack+1019116,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+9348225,int_stack+9345201,int_stack+9342849,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+9352929,int_stack+1021384,int_stack+1020124,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+9356709,int_stack+9352929,int_stack+9345201,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+6617665,int_stack+9356709,int_stack+9348225,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+9342849,int_stack+1022924,int_stack+1021384,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+9362757,int_stack+9342849,int_stack+9352929,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+9370317,int_stack+9362757,int_stack+9356709,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+9347469,int_stack+9370317,int_stack+6617665,28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+6617665,int_stack+1024772,int_stack+1022924,28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+9380397,int_stack+6617665,int_stack+9342849,28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+9389637,int_stack+9380397,int_stack+9362757,28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+9402237,int_stack+9389637,int_stack+9370317,28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+9359229,int_stack+9402237,int_stack+9347469,28);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+9342849,int_stack+1026956,int_stack+1024772,28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+9417357,int_stack+9342849,int_stack+6617665,28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+9342849,int_stack+9417357,int_stack+9380397,28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+9417357,int_stack+9342849,int_stack+9389637,28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+3953803,int_stack+9417357,int_stack+9402237,28);
 /*--- compute (i0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+9375693,int_stack+3953803,int_stack+9359229,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+3953803,int_stack+1044876,int_stack+1043868,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3956827,int_stack+1046172,int_stack+1044876,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+3960715,int_stack+3956827,int_stack+3953803,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+3966763,int_stack+1047792,int_stack+1046172,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+9342849,int_stack+3966763,int_stack+3956827,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+9350625,int_stack+9342849,int_stack+3960715,36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+3953803,int_stack+1049772,int_stack+1047792,36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+9360705,int_stack+3953803,int_stack+3966763,36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+3959743,int_stack+9360705,int_stack+9342849,36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+9397645,int_stack+3959743,int_stack+9350625,36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+9342849,int_stack+1052148,int_stack+1049772,36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+9412765,int_stack+9342849,int_stack+3953803,36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+9424645,int_stack+9412765,int_stack+9360705,36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+9349977,int_stack+9424645,int_stack+3959743,36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+3953803,int_stack+9349977,int_stack+9397645,36);
 /*--- compute (k0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+9397645,int_stack+1054956,int_stack+1052148,36);
 /*--- compute (k0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+9440845,int_stack+9397645,int_stack+9342849,36);
 /*--- compute (k0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+9455101,int_stack+9440845,int_stack+9412765,36);
 /*--- compute (k0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+9397645,int_stack+9455101,int_stack+9424645,36);
 /*--- compute (k0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+9421945,int_stack+9397645,int_stack+9349977,36);
 /*--- compute (k0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+9342849,int_stack+9421945,int_stack+3953803,36);
 /*--- compute (ip|ii) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+9397645,int_stack+9342849,int_stack+9375693, 1.0, int_stack+3974971, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+3953803,int_stack+1077447,int_stack+1076187,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3957583,int_stack+1079067,int_stack+1077447,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+3962443,int_stack+3957583,int_stack+3953803,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+3970003,int_stack+1081092,int_stack+1079067,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+3976078,int_stack+3970003,int_stack+3957583,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+9463501,int_stack+3976078,int_stack+3962443,45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+3953803,int_stack+1083567,int_stack+1081092,45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+9476101,int_stack+3953803,int_stack+3970003,45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+9488251,int_stack+9476101,int_stack+3976078,45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+3961228,int_stack+9488251,int_stack+9463501,45);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+9463501,int_stack+1086537,int_stack+1083567,45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+3980128,int_stack+9463501,int_stack+3953803,45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+9504451,int_stack+3980128,int_stack+9476101,45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+9524701,int_stack+9504451,int_stack+9488251,45);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+9472411,int_stack+9524701,int_stack+3961228,45);
 /*--- compute (l0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+3953803,int_stack+1090047,int_stack+1086537,45);
 /*--- compute (l0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+9549001,int_stack+3953803,int_stack+9463501,45);
 /*--- compute (l0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+3953803,int_stack+9549001,int_stack+3980128,45);
 /*--- compute (l0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+9549001,int_stack+3953803,int_stack+9504451,45);
 /*--- compute (l0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+3953803,int_stack+9549001,int_stack+9524701,45);
 /*--- compute (l0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+9498871,int_stack+3953803,int_stack+9472411,45);
 /*--- compute (kp|ii) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+9534151,int_stack+9498871,int_stack+9342849, 1.0, int_stack+4048439, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (id|ii) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+9618823,int_stack+9534151,int_stack+9397645, 1.0, int_stack+4076663, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+9342849,int_stack+1117627,int_stack+1116087,55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+9347469,int_stack+1119607,int_stack+1117627,55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+9353409,int_stack+9347469,int_stack+9342849,55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+9362649,int_stack+1122082,int_stack+1119607,55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+9370074,int_stack+9362649,int_stack+9347469,55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+9381954,int_stack+9370074,int_stack+9353409,55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+9342849,int_stack+1125107,int_stack+1122082,55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+9397354,int_stack+9342849,int_stack+9362649,55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+9412204,int_stack+9397354,int_stack+9370074,55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+9351924,int_stack+9412204,int_stack+9381954,55);
 /*--- compute (m0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+9375024,int_stack+1128737,int_stack+1125107,55);
 /*--- compute (m0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+9432004,int_stack+9375024,int_stack+9342849,55);
 /*--- compute (m0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+9450154,int_stack+9432004,int_stack+9397354,55);
 /*--- compute (m0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+3953803,int_stack+9450154,int_stack+9412204,55);
 /*--- compute (m0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+9385914,int_stack+3953803,int_stack+9351924,55);
 /*--- compute (m0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+9342849,int_stack+1133027,int_stack+1128737,55);
 /*--- compute (m0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+9474904,int_stack+9342849,int_stack+9375024,55);
 /*--- compute (m0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+9342849,int_stack+9474904,int_stack+9432004,55);
 /*--- compute (m0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+9750535,int_stack+9342849,int_stack+9450154,55);
 /*--- compute (m0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+3279980,int_stack+9750535,int_stack+3953803,55);
 /*--- compute (m0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+3953803,int_stack+3279980,int_stack+9385914,55);
 /*--- compute (lp|ii) ---*/
   d1hrr1_build_lp(Libderiv->AB,int_stack+9750535,int_stack+3953803,int_stack+9498871, 1.0, int_stack+3996923, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (kd|ii) ---*/
   d1hrr1_build_kd(Libderiv->AB,int_stack+9856375,int_stack+9750535,int_stack+9534151, 1.0, int_stack+4142519, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (if|ii) ---*/
   d1hrr1_build_if(Libderiv->AB,int_stack+3996923,int_stack+9856375,int_stack+9618823, 1.0, int_stack+3148268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (n0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+3148268,int_stack+1166214,int_stack+1164366,66);
 /*--- compute (n0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3153812,int_stack+1168590,int_stack+1166214,66);
 /*--- compute (n0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+3160940,int_stack+3153812,int_stack+3148268,66);
 /*--- compute (n0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+3172028,int_stack+1171560,int_stack+1168590,66);
 /*--- compute (n0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+3180938,int_stack+3172028,int_stack+3153812,66);
 /*--- compute (n0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+3195194,int_stack+3180938,int_stack+3160940,66);
 /*--- compute (n0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+3148268,int_stack+1175190,int_stack+1171560,66);
 /*--- compute (n0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+3213674,int_stack+3148268,int_stack+3172028,66);
 /*--- compute (n0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+3231494,int_stack+3213674,int_stack+3180938,66);
 /*--- compute (n0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+3159158,int_stack+3231494,int_stack+3195194,66);
 /*--- compute (n0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+3186878,int_stack+1179546,int_stack+1175190,66);
 /*--- compute (n0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+3255254,int_stack+3186878,int_stack+3148268,66);
 /*--- compute (n0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+3277034,int_stack+3255254,int_stack+3213674,66);
 /*--- compute (n0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+10025719,int_stack+3277034,int_stack+3231494,66);
 /*--- compute (n0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+3199946,int_stack+10025719,int_stack+3159158,66);
 /*--- compute (n0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+3148268,int_stack+1184694,int_stack+1179546,66);
 /*--- compute (n0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+10061359,int_stack+3148268,int_stack+3186878,66);
 /*--- compute (n0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+3148268,int_stack+10061359,int_stack+3255254,66);
 /*--- compute (n0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+10061359,int_stack+3148268,int_stack+3277034,66);
 /*--- compute (n0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+3148268,int_stack+10061359,int_stack+10025719,66);
 /*--- compute (n0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+10025719,int_stack+3148268,int_stack+3199946,66);
 /*--- compute (mp|ii) ---*/
   d1hrr1_build_mp(Libderiv->AB,int_stack+3148268,int_stack+10025719,int_stack+3953803, 1.0, int_stack+3321560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (ld|ii) ---*/
   d1hrr1_build_ld(Libderiv->AB,int_stack+9342849,int_stack+3148268,int_stack+9750535, 1.0, int_stack+3364680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (kf|ii) ---*/
   d1hrr1_build_kf(Libderiv->AB,int_stack+9554529,int_stack+9342849,int_stack+9856375, 1.0, int_stack+409830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (ig|ii) ---*/
   d1hrr1_build_ig(Libderiv->AB,int_stack+760278,int_stack+9554529,int_stack+3996923, 1.0, int_stack+4570315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (o0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+4570315,int_stack+1192884,int_stack+1190700,78);
 /*--- compute (o0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+4576867,int_stack+1195692,int_stack+1192884,78);
 /*--- compute (o0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+4585291,int_stack+4576867,int_stack+4570315,78);
 /*--- compute (o0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+4598395,int_stack+1199202,int_stack+1195692,78);
 /*--- compute (o0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+4608925,int_stack+4598395,int_stack+4576867,78);
 /*--- compute (o0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+4625773,int_stack+4608925,int_stack+4585291,78);
 /*--- compute (o0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+4570315,int_stack+1203492,int_stack+1199202,78);
 /*--- compute (o0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+4647613,int_stack+4570315,int_stack+4598395,78);
 /*--- compute (o0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+4668673,int_stack+4647613,int_stack+4608925,78);
 /*--- compute (o0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+4583185,int_stack+4668673,int_stack+4625773,78);
 /*--- compute (o0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+4615945,int_stack+1208640,int_stack+1203492,78);
 /*--- compute (o0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+4696753,int_stack+4615945,int_stack+4570315,78);
 /*--- compute (o0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+4722493,int_stack+4696753,int_stack+4647613,78);
 /*--- compute (o0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+4757593,int_stack+4722493,int_stack+4668673,78);
 /*--- compute (o0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+4631389,int_stack+4757593,int_stack+4583185,78);
 /*--- compute (o0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+4570315,int_stack+1214724,int_stack+1208640,78);
 /*--- compute (o0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+4799713,int_stack+4570315,int_stack+4615945,78);
 /*--- compute (o0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+4570315,int_stack+4799713,int_stack+4696753,78);
 /*--- compute (o0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+4799713,int_stack+4570315,int_stack+4722493,78);
 /*--- compute (o0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+4570315,int_stack+4799713,int_stack+4757593,78);
 /*--- compute (o0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+4677253,int_stack+4570315,int_stack+4631389,78);
 /*--- compute (np|ii) ---*/
   d1hrr1_build_np(Libderiv->AB,int_stack+4738405,int_stack+4677253,int_stack+10025719, 1.0, int_stack+579174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (md|ii) ---*/
   d1hrr1_build_md(Libderiv->AB,int_stack+3953803,int_stack+4738405,int_stack+3148268, 1.0, int_stack+630918, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (lf|ii) ---*/
   d1hrr1_build_lf(Libderiv->AB,int_stack+4570315,int_stack+3953803,int_stack+9342849, 1.0, int_stack+1221822, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (kg|ii) ---*/
   d1hrr1_build_kg(Libderiv->AB,int_stack+10659969,int_stack+4570315,int_stack+9554529, 1.0, int_stack+1433502, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
 /*--- compute (ih|ii) ---*/
   hrr1_build_ih(Libderiv->AB,int_stack+9342849,int_stack+3530443,int_stack+2185886,784);
     Libderiv->ABCD[11] = int_stack + 9342849;
 /*--- compute (ih|ii) ---*/
   hrr1_build_ih(Libderiv->AB,int_stack+3148268,int_stack+2724908,int_stack+4241035,784);
     Libderiv->ABCD[10] = int_stack + 3148268;
 /*--- compute (ih|ii) ---*/
   hrr1_build_ih(Libderiv->AB,int_stack+3609260,int_stack+5770945,int_stack+5441665,784);
     Libderiv->ABCD[9] = int_stack + 3609260;
 /*--- compute (ih|ii) ---*/
   hrr1_build_ih(Libderiv->AB,int_stack+4070252,int_stack+4923115,int_stack+80550,784);
     Libderiv->ABCD[8] = int_stack + 4070252;
 /*--- compute (ih|ii) ---*/
   hrr1_build_ih(Libderiv->AB,int_stack+4531244,int_stack+6194305,int_stack+6625505,784);
     Libderiv->ABCD[7] = int_stack + 4531244;
 /*--- compute (ih|ii) ---*/
   hrr1_build_ih(Libderiv->AB,int_stack+4992236,int_stack+7284065,int_stack+6954785,784);
     Libderiv->ABCD[6] = int_stack + 4992236;
 /*--- compute (ih|ii) ---*/
   d1hrr1_build_ih(Libderiv->AB,int_stack+5453228,int_stack+8919489,int_stack+8590209, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1715742, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
     Libderiv->ABCD[2] = int_stack + 5453228;
 /*--- compute (ih|ii) ---*/
   d1hrr1_build_ih(Libderiv->AB,int_stack+5914220,int_stack+10236609,int_stack+8028585, 0.0, zero_stack, 1.0, int_stack+1715742, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
     Libderiv->ABCD[1] = int_stack + 5914220;
 /*--- compute (ih|ii) ---*/
   d1hrr1_build_ih(Libderiv->AB,int_stack+9803841,int_stack+10659969,int_stack+760278, 1.0, int_stack+1715742, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,784);
     Libderiv->ABCD[0] = int_stack + 9803841;

}
